// Header file
#pragma chip PIC18F45Q10, core 16, code 16384, ram 0 : 0x7FF

#ifdef ICD2_DEBUG
 #error ICD2 reservations are not defined!
 //#pragma stackLevels 29   // reserve two levels for debugging
#endif

// Extended Instruction Set

#pragma accessGPR 0x60


/* Predefined:
TOSU,TOSH,TOSL,
STKPTR,
PCLATU,PCLATH,PCL,
TBLPTRU,TBLPTRH,TBLPTRL,TBLPTR,TABLAT,
PRODH,PRODL,
INTCON,INTCON2,INTCON3,
INDF0,POSTINC0,POSTDEC0,PREINC0,PLUSW0,FSR0H,FSR0L,FSR0,
WREG,
INDF1,POSTINC1,POSTDEC1,PREINC1,PLUSW1,FSR1H,FSR1L,FSR1,
BSR,BSRL,
INDF2,POSTINC2,POSTDEC2,PREINC2,PLUSW2,FSR2H,FSR2L,FSR2,
STATUS,
Carry,DC,Zero_,Overflow,Negative,
*/


char PCON0    @ 0xFD7;
char PCON1    @ 0xFD6;
char T0CON1   @ 0xFD5;
char T0CON0   @ 0xFD4;
char TMR0H    @ 0xFD3;
char TMR0L    @ 0xFD2;
char TMR1CLK  @ 0xFD1;
char T1CLK    @ TMR1CLK;
char TMR1GATE @ 0xFD0;
char T1GATE   @ TMR1GATE;
char T1GCON   @ 0xFCF;
char T1CON    @ 0xFCE;
char TMR1H    @ 0xFCD;
char TMR1L    @ 0xFCC;
char TMR3CLK  @ 0xFCB;
char T3CLK    @ TMR3CLK;
char TMR3GATE @ 0xFCA;
char T3GATE   @ TMR3GATE;
char T3GCON   @ 0xFC9;
char T3CON    @ 0xFC8;
char TMR3H    @ 0xFC7;
char TMR3L    @ 0xFC6;
char TMR5CLK  @ 0xFC5;
char T5CLK    @ TMR5CLK;
char TMR5GATE @ 0xFC4;
char T5GATE   @ TMR5GATE;
char T5GCON   @ 0xFC3;
char T5CON    @ 0xFC2;
char TMR5H    @ 0xFC1;
char TMR5L    @ 0xFC0;
char T2RST    @ 0xFBF;
char T2CLKCON @ 0xFBE;
char T2HLT    @ 0xFBD;
char T2CON    @ 0xFBC;
char T2PR     @ 0xFBB;
char T2TMR    @ 0xFBA;
char T4RST    @ 0xFB9;
char T4CLKCON @ 0xFB8;
char T4HLT    @ 0xFB7;
char T4CON    @ 0xFB6;
char T4PR     @ 0xFB5;
char T4TMR    @ 0xFB4;
char T6RST    @ 0xFB3;
char T6CLKCON @ 0xFB2;
char T6HLT    @ 0xFB1;
char T6CON    @ 0xFB0;
char T6PR     @ 0xFAF;
char T6TMR    @ 0xFAE;
char CCPTMRS  @ 0xFAD;
char CCP1CAP  @ 0xFAC;
char CCP1CON  @ 0xFAB;
char CCPR1H   @ 0xFAA;
char CCPR1L   @ 0xFA9;
char CCP2CAP  @ 0xFA8;
char CCP2CON  @ 0xFA7;
char CCPR2H   @ 0xFA6;
char CCPR2L   @ 0xFA5;
char PWM3CON  @ 0xFA4;
char PWM3DCH  @ 0xFA3;
char PWM3DCL  @ 0xFA2;
char PWM4CON  @ 0xFA1;
char PWM4DCH  @ 0xFA0;
char PWM4DCL  @ 0xF9F;
char BAUDCON1 @ 0xF9E;
char BAUD1CON @ BAUDCON1;
char TXSTA1   @ 0xF9D;
char TX1STA   @ TXSTA1;
char RCSTA1   @ 0xF9C;
char RC1STA   @ RCSTA1;
char SP1BRGH  @ 0xF9B;
char SP1BRGL  @ 0xF9A;
char TXREG1   @ 0xF99;
char TX1REG   @ TXREG1;
char RCREG1   @ 0xF98;
char RC1REG   @ RCREG1;
char SSP1CON3 @ 0xF97;
char SSP1CON2 @ 0xF96;
char SSP1CON1 @ 0xF95;
char SSP1STAT @ 0xF94;
char SSP1MSK  @ 0xF93;
char SSP1ADD  @ 0xF92;
char SSP1BUF  @ 0xF91;
char PORTE    @ 0xF90;
char PORTD    @ 0xF8F;
char PORTC    @ 0xF8E;
char PORTB    @ 0xF8D;
char PORTA    @ 0xF8C;
char TRISE    @ 0xF8B;
char TRISD    @ 0xF8A;
char TRISC    @ 0xF89;
char TRISB    @ 0xF88;
char TRISA    @ 0xF87;
char LATE     @ 0xF86;
char LATD     @ 0xF85;
char LATC     @ 0xF84;
char LATB     @ 0xF83;
char LATA     @ 0xF82;
char NVMCON2  @ 0xF81;
char NVMCON1  @ 0xF80;
char NVMCON0  @ 0xF7F;

char NVMDATH  @ 0xF7D;
char NVMDATL  @ 0xF7C;
char NVMADRU  @ 0xF7B;
char NVMADRH  @ 0xF7A;
char NVMADRL  @ 0xF79;
char CRCCON1  @ 0xF78;
char CRCCON0  @ 0xF77;
char CRCXORH  @ 0xF76;
char CRCXORL  @ 0xF75;
char CRCSHIFTH @ 0xF74;
char CRCSHIFTL @ 0xF73;
char CRCACCH  @ 0xF72;
char CRCACCL  @ 0xF71;
char CRCDATH  @ 0xF70;
char CRCDATL  @ 0xF6F;
char ADFLTRH  @ 0xF6E;
char ADFLTRL  @ 0xF6D;
char ADACCH   @ 0xF6C;
char ADACCL   @ 0xF6B;
char ADERRH   @ 0xF6A;
char ADERRL   @ 0xF69;
char ADUTHH   @ 0xF68;
char ADUTHL   @ 0xF67;
char ADLTHH   @ 0xF66;
char ADLTHL   @ 0xF65;
char ADSTPTH  @ 0xF64;
char ADSTPTL  @ 0xF63;
char ADCNT    @ 0xF62;
char ADRPT    @ 0xF61;
char ADSTAT   @ 0xF60;
char ADRESH   @ 0xF5F;
char ADRESL   @ 0xF5E;
char ADPREVH  @ 0xF5D;
char ADPREVL  @ 0xF5C;
char ADCON0   @ 0xF5B;
char ADPCH    @ 0xF5A;
char ADPRE    @ 0xF59;
char ADCAP    @ 0xF58;
char ADACQ    @ 0xF57;
char ADCON3   @ 0xF56;
char ADCON2   @ 0xF55;
char ADCON1   @ 0xF54;
char ADREF    @ 0xF53;
char ADCLK    @ 0xF52;
char ADACT    @ 0xF51;
char MDCARH   @ 0xF50;
char MDCARL   @ 0xF4F;
char MDSRC    @ 0xF4E;
char MDCON1   @ 0xF4D;
char MDCON0   @ 0xF4C;
char SCANTRIG @ 0xF4B;
char SCANCON0 @ 0xF4A;
char SCANHADRU @ 0xF49;
char SCANHADRH @ 0xF48;
char SCANHADRL @ 0xF47;
char SCANLADRU @ 0xF46;
char SCANLADRH @ 0xF45;
char SCANLADRL @ 0xF44;
char CWG1STR  @ 0xF43;
char CWG1AS1  @ 0xF42;
char CWG1AS0  @ 0xF41;
char CWG1CON1 @ 0xF40;
char CWG1CON0 @ 0xF3F;
char CWG1DBF  @ 0xF3E;
char CWG1DBR  @ 0xF3D;
char CWG1ISM  @ 0xF3C;
char CWG1CLKCON @ 0xF3B;
char CLKRCLK  @ 0xF3A;
char CLKRCON  @ 0xF39;
char CMOUT    @ 0xF38;
char CM1PCH   @ 0xF37;
char CM1NCH   @ 0xF36;
char CM1CON1  @ 0xF35;
char CM1CON0  @ 0xF34;
char CM2PCH   @ 0xF33;
char CM2NCH   @ 0xF32;
char CM2CON1  @ 0xF31;
char CM2CON0  @ 0xF30;
char DAC1CON1 @ 0xF2F;
char DAC1CON0 @ 0xF2E;
char ZCDCON   @ 0xF2D;
char FVRCON   @ 0xF2C;
char HLVDCON1 @ 0xF2B;
char HLVDCON0 @ 0xF2A;
char ANSELE   @ 0xF29;
char WPUE     @ 0xF28;
char ODCONE   @ 0xF27;
char SLRCONE  @ 0xF26;
char INLVLE   @ 0xF25;
char IOCEP    @ 0xF24;
char IOCEN    @ 0xF23;
char IOCEF    @ 0xF22;
char ANSELD   @ 0xF21;
char WPUD     @ 0xF20;
char ODCOND   @ 0xF1F;
char SLRCOND  @ 0xF1E;
char INLVLD   @ 0xF1D;
char ANSELC   @ 0xF1C;
char WPUC     @ 0xF1B;
char ODCONC   @ 0xF1A;
char SLRCONC  @ 0xF19;
char INLVLC   @ 0xF18;
char IOCCP    @ 0xF17;
char IOCCN    @ 0xF16;
char IOCCF    @ 0xF15;
char ANSELB   @ 0xF14;
char WPUB     @ 0xF13;
char ODCONB   @ 0xF12;
char SLRCONB  @ 0xF11;
char INLVLB   @ 0xF10;
char IOCBP    @ 0xF0F;
char IOCBN    @ 0xF0E;
char IOCBF    @ 0xF0D;
char ANSELA   @ 0xF0C;
char WPUA     @ 0xF0B;
char ODCONA   @ 0xF0A;
char SLRCONA  @ 0xF09;
char INLVLA   @ 0xF08;
char IOCAP    @ 0xF07;
char IOCAN    @ 0xF06;
char IOCAF    @ 0xF05;
char RE2PPS   @ 0xF04;
char RE1PPS   @ 0xF03;
char RE0PPS   @ 0xF02;
char RD7PPS   @ 0xF01;
char RD6PPS   @ 0xF00;
char RD5PPS   @ 0xEFF;
char RD4PPS   @ 0xEFE;
char RD3PPS   @ 0xEFD;
char RD2PPS   @ 0xEFC;
char RD1PPS   @ 0xEFB;
char RD0PPS   @ 0xEFA;
char RC7PPS   @ 0xEF9;
char RC6PPS   @ 0xEF8;
char RC5PPS   @ 0xEF7;
char RC4PPS   @ 0xEF6;
char RC3PPS   @ 0xEF5;
char RC2PPS   @ 0xEF4;
char RC1PPS   @ 0xEF3;
char RC0PPS   @ 0xEF2;
char RB7PPS   @ 0xEF1;
char RB6PPS   @ 0xEF0;
char RB5PPS   @ 0xEEF;
char RB4PPS   @ 0xEEE;
char RB3PPS   @ 0xEED;
char RB2PPS   @ 0xEEC;
char RB1PPS   @ 0xEEB;
char RB0PPS   @ 0xEEA;
char RA7PPS   @ 0xEE9;
char RA6PPS   @ 0xEE8;
char RA5PPS   @ 0xEE7;
char RA4PPS   @ 0xEE6;
char RA3PPS   @ 0xEE5;
char RA2PPS   @ 0xEE4;
char RA1PPS   @ 0xEE3;
char RA0PPS   @ 0xEE2;
char PMD5     @ 0xEE1;
char PMD4     @ 0xEE0;
char PMD3     @ 0xEDF;
char PMD2     @ 0xEDE;
char PMD1     @ 0xEDD;
char PMD0     @ 0xEDC;
char BORCON   @ 0xEDB;
char VREGCON  @ 0xEDA;
char OSCFREQ  @ 0xED9;
char OSCTUNE  @ 0xED8;
char OSCEN    @ 0xED7;
char OSCSTAT1 @ 0xED6;
char OSCSTAT  @ OSCSTAT1;
char OSCCON3  @ 0xED5;
char OSCCON2  @ 0xED4;
char OSCCON1  @ 0xED3;
char CPUDOZE  @ 0xED2;
char WDTTMR   @ 0xED1;
char WDTPSH   @ 0xED0;
char WDTPSL   @ 0xECF;
char WDTCON1  @ 0xECE;
char WDTCON0  @ 0xECD;
char PIR7     @ 0xECC;
char PIR6     @ 0xECB;
char PIR5     @ 0xECA;
char PIR4     @ 0xEC9;
char PIR3     @ 0xEC8;
char PIR2     @ 0xEC7;
char PIR1     @ 0xEC6;
char PIR0     @ 0xEC5;
char PIE7     @ 0xEC4;
char PIE6     @ 0xEC3;
char PIE5     @ 0xEC2;
char PIE4     @ 0xEC1;
char PIE3     @ 0xEC0;
char PIE2     @ 0xEBF;
char PIE1     @ 0xEBE;
char PIE0     @ 0xEBD;
char IPR7     @ 0xEBC;
char IPR6     @ 0xEBB;
char IPR5     @ 0xEBA;
char IPR4     @ 0xEB9;
char IPR3     @ 0xEB8;
char IPR2     @ 0xEB7;
char IPR1     @ 0xEB6;
char IPR0     @ 0xEB5;
char SSP1SSPPS @ 0xEB4;
char SSP1DATPPS @ 0xEB3;
char SSP1CLKPPS @ 0xEB2;
char TXCK1PPS @ 0xEB1;
char RXDT1PPS @ 0xEB0;
char MDSRCPPS @ 0xEAF;
char MDCARHPPS @ 0xEAE;
char MDCARLPPS @ 0xEAD;
char CWG1INPPS @ 0xEAC;
char CCP2PPS  @ 0xEAB;
char CCP1PPS  @ 0xEAA;
char ADACTPPS @ 0xEA9;
char T6INPPS  @ 0xEA8;
char T4INPPS  @ 0xEA7;
char T2INPPS  @ 0xEA6;
char T5GPPS   @ 0xEA5;
char T5CKIPPS @ 0xEA4;
char T3GPPS   @ 0xEA3;
char T3CKIPPS @ 0xEA2;
char T1GPPS   @ 0xEA1;
char T1CKIPPS @ 0xEA0;
char T0CKIPPS @ 0xE9F;
char INT2PPS  @ 0xE9E;
char INT1PPS  @ 0xE9D;
char INT0PPS  @ 0xE9C;
char PPSLOCK  @ 0xE9B;
char BAUDCON2 @ 0xE9A;
char BAUD2CON @ BAUDCON2;
char TXSTA2   @ 0xE99;
char TX2STA   @ TXSTA2;
char RCSTA2   @ 0xE98;
char RC2STA   @ RCSTA2;
char SP2BRGH  @ 0xE97;
char SP2BRGL  @ 0xE96;
char TXREG2   @ 0xE95;
char TX2REG   @ TXREG2;
char RCREG2   @ 0xE94;
char RC2REG   @ RCREG2;
char SSP2CON3 @ 0xE93;
char SSP2CON2 @ 0xE92;
char SSP2CON1 @ 0xE91;
char SSP2STAT @ 0xE90;
char SSP2MSK  @ 0xE8F;
char SSP2ADD  @ 0xE8E;
char SSP2BUF  @ 0xE8D;
char SSP2SSPPS @ 0xE8C;
char SSP2DATPPS @ 0xE8B;
char SSP2CLKPPS @ 0xE8A;
char TXCK2PPS @ 0xE89;
char RXDT2PPS @ 0xE88;

char CLCDATA  @ 0xE77;
char CLC8GLS3 @ 0xE76;
char CLC8GLS2 @ 0xE75;
char CLC8GLS1 @ 0xE74;
char CLC8GLS0 @ 0xE73;
char CLC8SEL3 @ 0xE72;
char CLC8SEL2 @ 0xE71;
char CLC8SEL1 @ 0xE70;
char CLC8SEL0 @ 0xE6F;
char CLC8POL  @ 0xE6E;
char CLC8CON  @ 0xE6D;
char CLC7GLS3 @ 0xE6C;
char CLC7GLS2 @ 0xE6B;
char CLC7GLS1 @ 0xE6A;
char CLC7GLS0 @ 0xE69;
char CLC7SEL3 @ 0xE68;
char CLC7SEL2 @ 0xE67;
char CLC7SEL1 @ 0xE66;
char CLC7SEL0 @ 0xE65;
char CLC7POL  @ 0xE64;
char CLC7CON  @ 0xE63;
char CLC6GLS3 @ 0xE62;
char CLC6GLS2 @ 0xE61;
char CLC6GLS1 @ 0xE60;
char CLC6GLS0 @ 0xE5F;
char CLC6SEL3 @ 0xE5E;
char CLC6SEL2 @ 0xE5D;
char CLC6SEL1 @ 0xE5C;
char CLC6SEL0 @ 0xE5B;
char CLC6POL  @ 0xE5A;
char CLC6CON  @ 0xE59;
char CLC5GLS3 @ 0xE58;
char CLC5GLS2 @ 0xE57;
char CLC5GLS1 @ 0xE56;
char CLC5GLS0 @ 0xE55;
char CLC5SEL3 @ 0xE54;
char CLC5SEL2 @ 0xE53;
char CLC5SEL1 @ 0xE52;
char CLC5SEL0 @ 0xE51;
char CLC5POL  @ 0xE50;
char CLC5CON  @ 0xE4F;
char CLC4GLS3 @ 0xE4E;
char CLC4GLS2 @ 0xE4D;
char CLC4GLS1 @ 0xE4C;
char CLC4GLS0 @ 0xE4B;
char CLC4SEL3 @ 0xE4A;
char CLC4SEL2 @ 0xE49;
char CLC4SEL1 @ 0xE48;
char CLC4SEL0 @ 0xE47;
char CLC4POL  @ 0xE46;
char CLC4CON  @ 0xE45;
char CLC3GLS3 @ 0xE44;
char CLC3GLS2 @ 0xE43;
char CLC3GLS1 @ 0xE42;
char CLC3GLS0 @ 0xE41;
char CLC3SEL3 @ 0xE40;
char CLC3SEL2 @ 0xE3F;
char CLC3SEL1 @ 0xE3E;
char CLC3SEL0 @ 0xE3D;
char CLC3POL  @ 0xE3C;
char CLC3CON  @ 0xE3B;
char CLC2GLS3 @ 0xE3A;
char CLC2GLS2 @ 0xE39;
char CLC2GLS1 @ 0xE38;
char CLC2GLS0 @ 0xE37;
char CLC2SEL3 @ 0xE36;
char CLC2SEL2 @ 0xE35;
char CLC2SEL1 @ 0xE34;
char CLC2SEL0 @ 0xE33;
char CLC2POL  @ 0xE32;
char CLC2CON  @ 0xE31;
char CLC1GLS3 @ 0xE30;
char CLC1GLS2 @ 0xE2F;
char CLC1GLS1 @ 0xE2E;
char CLC1GLS0 @ 0xE2D;
char CLC1SEL3 @ 0xE2C;
char CLC1SEL2 @ 0xE2B;
char CLC1SEL1 @ 0xE2A;
char CLC1SEL0 @ 0xE29;
char CLC1POL  @ 0xE28;
char CLC1CON  @ 0xE27;
char CLCIN7PPS @ 0xE26;
char CLCIN6PPS @ 0xE25;
char CLCIN5PPS @ 0xE24;
char CLCIN4PPS @ 0xE23;
char CLCIN3PPS @ 0xE22;
char CLCIN2PPS @ 0xE21;
char CLCIN1PPS @ 0xE20;
char CLCIN0PPS @ 0xE1F;


bit INT0EDG  @ INTCON.0;
bit INT1EDG  @ INTCON.1;
bit INT2EDG  @ INTCON.2;
bit IPEN     @ INTCON.5;
bit PEIE     @ INTCON.6;
bit GIEL     @ INTCON.6;
bit GIE      @ INTCON.7;
bit GIEH     @ INTCON.7;

bit PD_      @ STATUS.5;
bit TO_      @ STATUS.6;

bit BOR_     @ PCON0.0;
bit POR_     @ PCON0.1;
bit RI_      @ PCON0.2;
bit RMCLR_   @ PCON0.3;
bit RWDT_    @ PCON0.4;
bit WDTWV_   @ PCON0.5;
bit STKUNF   @ PCON0.6;
bit STKOVF   @ PCON0.7;

bit RCM_     @ PCON1.0;
bit RVREG_   @ PCON1.2;

bit T0CKPS0  @ T0CON1.0;
bit T0CKPS1  @ T0CON1.1;
bit T0CKPS2  @ T0CON1.2;
bit T0CKPS3  @ T0CON1.3;
bit T0ASYNC  @ T0CON1.4;
bit T0CS0    @ T0CON1.5;
bit T0CS1    @ T0CON1.6;
bit T0CS2    @ T0CON1.7;

bit T0OUTPS0 @ T0CON0.0;
bit T0OUTPS1 @ T0CON0.1;
bit T0OUTPS2 @ T0CON0.2;
bit T0OUTPS3 @ T0CON0.3;
bit T016BIT  @ T0CON0.4;
bit T0OUT    @ T0CON0.5;
bit T0EN     @ T0CON0.7;

bit T1CS0    @ TMR1CLK.0;
bit T1CS1    @ TMR1CLK.1;
bit T1CS2    @ TMR1CLK.2;
bit T1CS3    @ TMR1CLK.3;

bit T1GSS0   @ TMR1GATE.0;
bit T1GSS1   @ TMR1GATE.1;
bit T1GSS2   @ TMR1GATE.2;
bit T1GSS3   @ TMR1GATE.3;

bit T1GVAL   @ T1GCON.2;
bit T1GGO    @ T1GCON.3;
bit T1GSPM   @ T1GCON.4;
bit T1GTM    @ T1GCON.5;
bit T1GPOL   @ T1GCON.6;
bit T1GE     @ T1GCON.7;

bit TMR1ON   @ T1CON.0;
bit T1RD16   @ T1CON.1;
bit T1SYNC_  @ T1CON.2;
bit T1CKPS0  @ T1CON.4;
bit T1CKPS1  @ T1CON.5;

bit T3CS0    @ TMR3CLK.0;
bit T3CS1    @ TMR3CLK.1;
bit T3CS2    @ TMR3CLK.2;
bit T3CS3    @ TMR3CLK.3;

bit T3GSS0   @ TMR3GATE.0;
bit T3GSS1   @ TMR3GATE.1;
bit T3GSS2   @ TMR3GATE.2;
bit T3GSS3   @ TMR3GATE.3;

bit T3GVAL   @ T3GCON.2;
bit T3GGO    @ T3GCON.3;
bit T3GSPM   @ T3GCON.4;
bit T3GTM    @ T3GCON.5;
bit T3GPOL   @ T3GCON.6;
bit T3GE     @ T3GCON.7;

bit TMR3ON   @ T3CON.0;
bit T3RD16   @ T3CON.1;
bit T3SYNC_  @ T3CON.2;
bit T3CKPS0  @ T3CON.4;
bit T3CKPS1  @ T3CON.5;

bit T5CS0    @ TMR5CLK.0;
bit T5CS1    @ TMR5CLK.1;
bit T5CS2    @ TMR5CLK.2;
bit T5CS3    @ TMR5CLK.3;

bit T5GSS0   @ TMR5GATE.0;
bit T5GSS1   @ TMR5GATE.1;
bit T5GSS2   @ TMR5GATE.2;
bit T5GSS3   @ TMR5GATE.3;

bit T5GVAL   @ T5GCON.2;
bit T5GGO    @ T5GCON.3;
bit T5GSPM   @ T5GCON.4;
bit T5GTM    @ T5GCON.5;
bit T5GPOL   @ T5GCON.6;
bit T5GE     @ T5GCON.7;

bit TMR5ON   @ T5CON.0;
bit T5RD16   @ T5CON.1;
bit T5SYNC_  @ T5CON.2;
bit T5CKPS0  @ T5CON.4;
bit T5CKPS1  @ T5CON.5;

bit T2MODE0  @ T2HLT.0;
bit T2MODE1  @ T2HLT.1;
bit T2MODE2  @ T2HLT.2;
bit T2MODE3  @ T2HLT.3;
bit T2MODE4  @ T2HLT.4;
bit T2CKSYNC @ T2HLT.5;
bit T2CKPOL  @ T2HLT.6;
bit T2PSYNC  @ T2HLT.7;

bit T2OUTPS0 @ T2CON.0;
bit T2OUTPS1 @ T2CON.1;
bit T2OUTPS2 @ T2CON.2;
bit T2OUTPS3 @ T2CON.3;
bit T2CKPS0  @ T2CON.4;
bit T2CKPS1  @ T2CON.5;
bit T2CKPS2  @ T2CON.6;
bit TMR2ON   @ T2CON.7;

bit T4MODE0  @ T4HLT.0;
bit T4MODE1  @ T4HLT.1;
bit T4MODE2  @ T4HLT.2;
bit T4MODE3  @ T4HLT.3;
bit T4MODE4  @ T4HLT.4;
bit T4CKSYNC @ T4HLT.5;
bit T4CKPOL  @ T4HLT.6;
bit T4PSYNC  @ T4HLT.7;

bit T4OUTPS0 @ T4CON.0;
bit T4OUTPS1 @ T4CON.1;
bit T4OUTPS2 @ T4CON.2;
bit T4OUTPS3 @ T4CON.3;
bit T4CKPS0  @ T4CON.4;
bit T4CKPS1  @ T4CON.5;
bit T4CKPS2  @ T4CON.6;
bit TMR4ON   @ T4CON.7;

bit T6MODE0  @ T6HLT.0;
bit T6MODE1  @ T6HLT.1;
bit T6MODE2  @ T6HLT.2;
bit T6MODE3  @ T6HLT.3;
bit T6MODE4  @ T6HLT.4;
bit T6CKSYNC @ T6HLT.5;
bit T6CKPOL  @ T6HLT.6;
bit T6PSYNC  @ T6HLT.7;

bit T6OUTPS0 @ T6CON.0;
bit T6OUTPS1 @ T6CON.1;
bit T6OUTPS2 @ T6CON.2;
bit T6OUTPS3 @ T6CON.3;
bit T6CKPS0  @ T6CON.4;
bit T6CKPS1  @ T6CON.5;
bit T6CKPS2  @ T6CON.6;
bit TMR6ON   @ T6CON.7;

bit C1TSEL0  @ CCPTMRS.0;
bit C1TSEL1  @ CCPTMRS.1;
bit C2TSEL0  @ CCPTMRS.2;
bit C2TSEL1  @ CCPTMRS.3;
bit P3TSEL0  @ CCPTMRS.4;
bit P3TSEL1  @ CCPTMRS.5;
bit P4TSEL0  @ CCPTMRS.6;
bit P4TSEL1  @ CCPTMRS.7;

bit CCP1CTS0 @ CCP1CAP.0;
bit CCP1CTS1 @ CCP1CAP.1;

bit CCP1MODE0 @ CCP1CON.0;
bit CCP1MODE1 @ CCP1CON.1;
bit CCP1MODE2 @ CCP1CON.2;
bit CCP1MODE3 @ CCP1CON.3;
bit CCP1FMT  @ CCP1CON.4;
bit CCP1OUT  @ CCP1CON.5;
bit CCP1EN   @ CCP1CON.7;

bit CCP2CTS0 @ CCP2CAP.0;
bit CCP2CTS1 @ CCP2CAP.1;

bit CCP2MODE0 @ CCP2CON.0;
bit CCP2MODE1 @ CCP2CON.1;
bit CCP2MODE2 @ CCP2CON.2;
bit CCP2MODE3 @ CCP2CON.3;
bit CCP2FMT  @ CCP2CON.4;
bit CCP2OUT  @ CCP2CON.5;
bit CCP2EN   @ CCP2CON.7;

bit PWM3POL  @ PWM3CON.4;
bit PWM3OUT  @ PWM3CON.5;
bit PWM3EN   @ PWM3CON.7;

bit PWM4POL  @ PWM4CON.4;
bit PWM4OUT  @ PWM4CON.5;
bit PWM4EN   @ PWM4CON.7;

bit ABDEN1   @ BAUDCON1.0;
bit WUE1     @ BAUDCON1.1;
bit BRG16_1  @ BAUDCON1.3;
bit SCKP1    @ BAUDCON1.4;
bit RCIDL1   @ BAUDCON1.6;
bit ABDOVF1  @ BAUDCON1.7;

bit ABDEN    @ BAUD1CON.0;
bit WUE      @ BAUD1CON.1;
bit BRG16    @ BAUD1CON.3;
bit SCKP     @ BAUD1CON.4;
bit RCIDL    @ BAUD1CON.6;
bit ABDOVF   @ BAUD1CON.7;

bit TX9D1    @ TXSTA1.0;
bit TRMT1    @ TXSTA1.1;
bit BRGH1    @ TXSTA1.2;
bit SENDB1   @ TXSTA1.3;
bit SYNC1    @ TXSTA1.4;
bit TXEN1    @ TXSTA1.5;
bit TX9_1    @ TXSTA1.6;
bit CSRC1    @ TXSTA1.7;

bit TX9D     @ TX1STA.0;
bit TRMT     @ TX1STA.1;
bit BRGH     @ TX1STA.2;
bit SENDB    @ TX1STA.3;
bit SYNC     @ TX1STA.4;
bit TXEN     @ TX1STA.5;
bit TX9      @ TX1STA.6;
bit CSRC     @ TX1STA.7;

bit RX9D1    @ RCSTA1.0;
bit OERR1    @ RCSTA1.1;
bit FERR1    @ RCSTA1.2;
bit ADDEN1   @ RCSTA1.3;
bit CREN1    @ RCSTA1.4;
bit SREN1    @ RCSTA1.5;
bit RX9_1    @ RCSTA1.6;
bit SPEN1    @ RCSTA1.7;

bit RX9D     @ RC1STA.0;
bit OERR     @ RC1STA.1;
bit FERR     @ RC1STA.2;
bit ADDEN    @ RC1STA.3;
bit CREN     @ RC1STA.4;
bit SREN     @ RC1STA.5;
bit RX9      @ RC1STA.6;
bit SPEN     @ RC1STA.7;

bit DHEN     @ SSP1CON3.0;
bit AHEN     @ SSP1CON3.1;
bit SBCDE    @ SSP1CON3.2;
bit SDAHT    @ SSP1CON3.3;
bit BOEN     @ SSP1CON3.4;
bit SCIE     @ SSP1CON3.5;
bit PCIE     @ SSP1CON3.6;
bit ACKTIM   @ SSP1CON3.7;

bit SEN      @ SSP1CON2.0;
bit RSEN     @ SSP1CON2.1;
bit PEN      @ SSP1CON2.2;
bit RCEN     @ SSP1CON2.3;
bit ACKEN    @ SSP1CON2.4;
bit ACKDT    @ SSP1CON2.5;
bit ACKSTAT  @ SSP1CON2.6;
bit GCEN     @ SSP1CON2.7;

bit SSPM0    @ SSP1CON1.0;
bit SSPM1    @ SSP1CON1.1;
bit SSPM2    @ SSP1CON1.2;
bit SSPM3    @ SSP1CON1.3;
bit CKP      @ SSP1CON1.4;
bit SSPEN    @ SSP1CON1.5;
bit SSPOV    @ SSP1CON1.6;
bit WCOL     @ SSP1CON1.7;

bit BF       @ SSP1STAT.0;
bit UA       @ SSP1STAT.1;
bit RW_      @ SSP1STAT.2;
bit S        @ SSP1STAT.3;
bit P        @ SSP1STAT.4;
bit DA_      @ SSP1STAT.5;
bit CKE      @ SSP1STAT.6;
bit SMP      @ SSP1STAT.7;

bit RE0      @ PORTE.0;
bit RE1      @ PORTE.1;
bit RE2      @ PORTE.2;
bit RE3      @ PORTE.3;

bit RD0      @ PORTD.0;
bit RD1      @ PORTD.1;
bit RD2      @ PORTD.2;
bit RD3      @ PORTD.3;
bit RD4      @ PORTD.4;
bit RD5      @ PORTD.5;
bit RD6      @ PORTD.6;
bit RD7      @ PORTD.7;

bit RC0      @ PORTC.0;
bit RC1      @ PORTC.1;
bit RC2      @ PORTC.2;
bit RC3      @ PORTC.3;
bit RC4      @ PORTC.4;
bit RC5      @ PORTC.5;
bit RC6      @ PORTC.6;
bit RC7      @ PORTC.7;

bit RB0      @ PORTB.0;
bit RB1      @ PORTB.1;
bit RB2      @ PORTB.2;
bit RB3      @ PORTB.3;
bit RB4      @ PORTB.4;
bit RB5      @ PORTB.5;
bit RB6      @ PORTB.6;
bit RB7      @ PORTB.7;

bit RA0      @ PORTA.0;
bit RA1      @ PORTA.1;
bit RA2      @ PORTA.2;
bit RA3      @ PORTA.3;
bit RA4      @ PORTA.4;
bit RA5      @ PORTA.5;
bit RA6      @ PORTA.6;
bit RA7      @ PORTA.7;

bit TRISE0   @ TRISE.0;
bit TRISE1   @ TRISE.1;
bit TRISE2   @ TRISE.2;

bit TRISD0   @ TRISD.0;
bit TRISD1   @ TRISD.1;
bit TRISD2   @ TRISD.2;
bit TRISD3   @ TRISD.3;
bit TRISD4   @ TRISD.4;
bit TRISD5   @ TRISD.5;
bit TRISD6   @ TRISD.6;
bit TRISD7   @ TRISD.7;

bit TRISC0   @ TRISC.0;
bit TRISC1   @ TRISC.1;
bit TRISC2   @ TRISC.2;
bit TRISC3   @ TRISC.3;
bit TRISC4   @ TRISC.4;
bit TRISC5   @ TRISC.5;
bit TRISC6   @ TRISC.6;
bit TRISC7   @ TRISC.7;

bit TRISB0   @ TRISB.0;
bit TRISB1   @ TRISB.1;
bit TRISB2   @ TRISB.2;
bit TRISB3   @ TRISB.3;
bit TRISB4   @ TRISB.4;
bit TRISB5   @ TRISB.5;
bit TRISB6   @ TRISB.6;
bit TRISB7   @ TRISB.7;

bit TRISA0   @ TRISA.0;
bit TRISA1   @ TRISA.1;
bit TRISA2   @ TRISA.2;
bit TRISA3   @ TRISA.3;
bit TRISA4   @ TRISA.4;
bit TRISA5   @ TRISA.5;
bit TRISA6   @ TRISA.6;
bit TRISA7   @ TRISA.7;

bit LATE0    @ LATE.0;
bit LATE1    @ LATE.1;
bit LATE2    @ LATE.2;

bit LATD0    @ LATD.0;
bit LATD1    @ LATD.1;
bit LATD2    @ LATD.2;
bit LATD3    @ LATD.3;
bit LATD4    @ LATD.4;
bit LATD5    @ LATD.5;
bit LATD6    @ LATD.6;
bit LATD7    @ LATD.7;

bit LATC0    @ LATC.0;
bit LATC1    @ LATC.1;
bit LATC2    @ LATC.2;
bit LATC3    @ LATC.3;
bit LATC4    @ LATC.4;
bit LATC5    @ LATC.5;
bit LATC6    @ LATC.6;
bit LATC7    @ LATC.7;

bit LATB0    @ LATB.0;
bit LATB1    @ LATB.1;
bit LATB2    @ LATB.2;
bit LATB3    @ LATB.3;
bit LATB4    @ LATB.4;
bit LATB5    @ LATB.5;
bit LATB6    @ LATB.6;
bit LATB7    @ LATB.7;

bit LATA0    @ LATA.0;
bit LATA1    @ LATA.1;
bit LATA2    @ LATA.2;
bit LATA3    @ LATA.3;
bit LATA4    @ LATA.4;
bit LATA5    @ LATA.5;
bit LATA6    @ LATA.6;
bit LATA7    @ LATA.7;

bit RD       @ NVMCON1.0;
bit SECRD    @ NVMCON1.1;
bit WR       @ NVMCON1.4;
bit SECWR    @ NVMCON1.5;
bit SECER    @ NVMCON1.6;

bit NVMERR   @ NVMCON0.4;
bit NVMEN    @ NVMCON0.7;

bit CRCCON1_PLEN0 @ CRCCON1.0;
bit CRCCON1_PLEN1 @ CRCCON1.1;
bit CRCCON1_PLEN2 @ CRCCON1.2;
bit CRCCON1_PLEN3 @ CRCCON1.3;
bit CRCCON1_DLEN0 @ CRCCON1.4;
bit CRCCON1_DLEN1 @ CRCCON1.5;
bit CRCCON1_DLEN2 @ CRCCON1.6;
bit CRCCON1_DLEN3 @ CRCCON1.7;

bit CRCCON0_FULL @ CRCCON0.0;
bit CRCCON0_SHIFTM @ CRCCON0.1;
bit CRCCON0_ACCM @ CRCCON0.4;
bit CRCCON0_BUSY @ CRCCON0.5;
bit CRCCON0_CRCGO @ CRCCON0.6;
bit CRCCON0_CRCEN @ CRCCON0.7;

bit ADSTAT0  @ ADSTAT.0;
bit ADSTAT1  @ ADSTAT.1;
bit ADSTAT2  @ ADSTAT.2;
bit ADMATH   @ ADSTAT.4;
bit ADLTHR   @ ADSTAT.5;
bit ADUTHR   @ ADSTAT.6;
bit ADAOV    @ ADSTAT.7;

bit ADGO     @ ADCON0.0;
bit GO       @ ADCON0.0;
bit ADFM0    @ ADCON0.2;
bit ADCS     @ ADCON0.4;
bit ADCONT   @ ADCON0.6;
bit ADON     @ ADCON0.7;

bit ADTMD0   @ ADCON3.0;
bit ADTMD1   @ ADCON3.1;
bit ADTMD2   @ ADCON3.2;
bit ADSOI    @ ADCON3.3;
bit ADCALC0  @ ADCON3.4;
bit ADCALC1  @ ADCON3.5;
bit ADCALC2  @ ADCON3.6;

bit ADMD0    @ ADCON2.0;
bit ADMD1    @ ADCON2.1;
bit ADMD2    @ ADCON2.2;
bit ADACLR   @ ADCON2.3;
bit ADCRS0   @ ADCON2.4;
bit ADCRS1   @ ADCON2.5;
bit ADCRS2   @ ADCON2.6;
bit ADPSIS   @ ADCON2.7;

bit ADDSEN   @ ADCON1.0;
bit ADGPOL   @ ADCON1.5;
bit ADIPEN   @ ADCON1.6;
bit ADPPOL   @ ADCON1.7;

bit ADPREF0  @ ADREF.0;
bit ADPREF1  @ ADREF.1;
bit ADNREF   @ ADREF.4;

bit MDCHS0   @ MDCARH.0;
bit MDCHS1   @ MDCARH.1;
bit MDCHS2   @ MDCARH.2;

bit MDCLS0   @ MDCARL.0;
bit MDCLS1   @ MDCARL.1;
bit MDCLS2   @ MDCARL.2;

bit MDSRCS0  @ MDSRC.0;
bit MDSRCS1  @ MDSRC.1;
bit MDSRCS2  @ MDSRC.2;
bit MDSRCS3  @ MDSRC.3;

bit MDCLSYNC @ MDCON1.0;
bit MDCLPOL  @ MDCON1.1;
bit MDCHSYNC @ MDCON1.4;
bit MDCHPOL  @ MDCON1.5;

bit MDBIT    @ MDCON0.0;
bit MDOPOL   @ MDCON0.4;
bit MDOUT    @ MDCON0.5;
bit MDEN     @ MDCON0.7;

bit SCANTSEL0 @ SCANTRIG.0;
bit SCANTSEL1 @ SCANTRIG.1;
bit SCANTSEL2 @ SCANTRIG.2;
bit SCANTSEL3 @ SCANTRIG.3;

bit SCANMODE0 @ SCANCON0.0;
bit SCANMODE1 @ SCANCON0.1;
bit SCANINTM @ SCANCON0.3;
bit SCANINVALID @ SCANCON0.4;
bit SCANBUSY @ SCANCON0.5;
bit SCANGO   @ SCANCON0.6;
bit SCANEN   @ SCANCON0.7;

bit CWG1STRA @ CWG1STR.0;
bit CWG1STRB @ CWG1STR.1;
bit CWG1STRC @ CWG1STR.2;
bit CWG1STRD @ CWG1STR.3;
bit CWG1OVRA @ CWG1STR.4;
bit CWG1OVRB @ CWG1STR.5;
bit CWG1OVRC @ CWG1STR.6;
bit CWG1OVRD @ CWG1STR.7;

bit CWG1AS1_AS0E @ CWG1AS1.0;
bit CWG1AS1_AS1E @ CWG1AS1.1;
bit CWG1AS1_AS2E @ CWG1AS1.2;
bit CWG1AS1_AS3E @ CWG1AS1.3;
bit CWG1AS1_AS4E @ CWG1AS1.4;
bit CWG1AS1_AS5E @ CWG1AS1.5;

bit CWG1LSAC0 @ CWG1AS0.2;
bit CWG1LSAC1 @ CWG1AS0.3;
bit CWG1LSBD0 @ CWG1AS0.4;
bit CWG1LSBD1 @ CWG1AS0.5;
bit CWG1REN  @ CWG1AS0.6;
bit CWG1SHUTDOWN @ CWG1AS0.7;

bit CWG1POLA @ CWG1CON1.0;
bit CWG1POLB @ CWG1CON1.1;
bit CWG1POLC @ CWG1CON1.2;
bit CWG1POLD @ CWG1CON1.3;
bit CWG1IN   @ CWG1CON1.5;

bit CWG1MODE0 @ CWG1CON0.0;
bit CWG1MODE1 @ CWG1CON0.1;
bit CWG1MODE2 @ CWG1CON0.2;
bit CWG1LD   @ CWG1CON0.6;
bit CWG1EN   @ CWG1CON0.7;

bit CWG1CS   @ CWG1CLKCON.0;

bit CLKRDIV0 @ CLKRCON.0;
bit CLKRDIV1 @ CLKRCON.1;
bit CLKRDIV2 @ CLKRCON.2;
bit CLKRDC0  @ CLKRCON.3;
bit CLKRDC1  @ CLKRCON.4;
bit CLKREN   @ CLKRCON.7;

bit MC1OUT   @ CMOUT.0;
bit MC2OUT   @ CMOUT.1;

bit C1INTN   @ CM1CON1.0;
bit C1INTP   @ CM1CON1.1;

bit C1SYNC   @ CM1CON0.0;
bit C1HYS    @ CM1CON0.1;
bit C1POL    @ CM1CON0.4;
bit CM1CON0_OUT @ CM1CON0.6;
bit C1EN     @ CM1CON0.7;

bit C2INTN   @ CM2CON1.0;
bit C2INTP   @ CM2CON1.1;

bit C2SYNC   @ CM2CON0.0;
bit C2HYS    @ CM2CON0.1;
bit C2POL    @ CM2CON0.4;
bit C2OUT    @ CM2CON0.6;
bit C2EN     @ CM2CON0.7;

bit DAC1NSS  @ DAC1CON0.0;
bit DAC1PSS0 @ DAC1CON0.2;
bit DAC1PSS1 @ DAC1CON0.3;
bit DAC1OE2  @ DAC1CON0.4;
bit DAC1OE1  @ DAC1CON0.5;
bit DAC1EN   @ DAC1CON0.7;

bit ZCDINTN  @ ZCDCON.0;
bit ZCDINTP  @ ZCDCON.1;
bit ZCDPOL   @ ZCDCON.4;
bit ZCDOUT   @ ZCDCON.5;
bit ZCDSEN   @ ZCDCON.7;

bit ADFVR0   @ FVRCON.0;
bit ADFVR1   @ FVRCON.1;
bit CDAFVR0  @ FVRCON.2;
bit CDAFVR1  @ FVRCON.3;
bit TSRNG    @ FVRCON.4;
bit TSEN     @ FVRCON.5;
bit FVRRDY   @ FVRCON.6;
bit FVREN    @ FVRCON.7;

bit HLVDSEL0 @ HLVDCON1.0;
bit HLVDSEL1 @ HLVDCON1.1;
bit HLVDSEL2 @ HLVDCON1.2;
bit HLVDSEL3 @ HLVDCON1.3;

bit HLVDINTL @ HLVDCON0.0;
bit HLVDINTH @ HLVDCON0.1;
bit HLVDRDY  @ HLVDCON0.4;
bit HLVDOUT  @ HLVDCON0.5;
bit HLVDEN   @ HLVDCON0.7;

bit ANSELE0  @ ANSELE.0;
bit ANSELE1  @ ANSELE.1;
bit ANSELE2  @ ANSELE.2;

bit WPUE0    @ WPUE.0;
bit WPUE1    @ WPUE.1;
bit WPUE2    @ WPUE.2;
bit WPUE3    @ WPUE.3;

bit SLRE0    @ SLRCONE.0;
bit SLRE1    @ SLRCONE.1;
bit SLRE2    @ SLRCONE.2;

bit INLVLE0  @ INLVLE.0;
bit INLVLE1  @ INLVLE.1;
bit INLVLE2  @ INLVLE.2;
bit INLVLE3  @ INLVLE.3;

bit ANSELD0  @ ANSELD.0;
bit ANSELD1  @ ANSELD.1;
bit ANSELD2  @ ANSELD.2;
bit ANSELD3  @ ANSELD.3;
bit ANSELD4  @ ANSELD.4;
bit ANSELD5  @ ANSELD.5;
bit ANSELD6  @ ANSELD.6;
bit ANSELD7  @ ANSELD.7;

bit WPUD0    @ WPUD.0;
bit WPUD1    @ WPUD.1;
bit WPUD2    @ WPUD.2;
bit WPUD3    @ WPUD.3;
bit WPUD4    @ WPUD.4;
bit WPUD5    @ WPUD.5;
bit WPUD6    @ WPUD.6;
bit WPUD7    @ WPUD.7;

bit SLRD0    @ SLRCOND.0;
bit SLRD1    @ SLRCOND.1;
bit SLRD2    @ SLRCOND.2;
bit SLRD3    @ SLRCOND.3;
bit SLRD4    @ SLRCOND.4;
bit SLRD5    @ SLRCOND.5;
bit SLRD6    @ SLRCOND.6;
bit SLRD7    @ SLRCOND.7;

bit INLVLD0  @ INLVLD.0;
bit INLVLD1  @ INLVLD.1;
bit INLVLD2  @ INLVLD.2;
bit INLVLD3  @ INLVLD.3;
bit INLVLD4  @ INLVLD.4;
bit INLVLD5  @ INLVLD.5;
bit INLVLD6  @ INLVLD.6;
bit INLVLD7  @ INLVLD.7;

bit ANSELC0  @ ANSELC.0;
bit ANSELC1  @ ANSELC.1;
bit ANSELC2  @ ANSELC.2;
bit ANSELC3  @ ANSELC.3;
bit ANSELC4  @ ANSELC.4;
bit ANSELC5  @ ANSELC.5;
bit ANSELC6  @ ANSELC.6;
bit ANSELC7  @ ANSELC.7;

bit WPUC0    @ WPUC.0;
bit WPUC1    @ WPUC.1;
bit WPUC2    @ WPUC.2;
bit WPUC3    @ WPUC.3;
bit WPUC4    @ WPUC.4;
bit WPUC5    @ WPUC.5;
bit WPUC6    @ WPUC.6;
bit WPUC7    @ WPUC.7;

bit SLRC0    @ SLRCONC.0;
bit SLRC1    @ SLRCONC.1;
bit SLRC2    @ SLRCONC.2;
bit SLRC3    @ SLRCONC.3;
bit SLRC4    @ SLRCONC.4;
bit SLRC5    @ SLRCONC.5;
bit SLRC6    @ SLRCONC.6;
bit SLRC7    @ SLRCONC.7;

bit INLVLC0  @ INLVLC.0;
bit INLVLC1  @ INLVLC.1;
bit INLVLC2  @ INLVLC.2;
bit INLVLC3  @ INLVLC.3;
bit INLVLC4  @ INLVLC.4;
bit INLVLC5  @ INLVLC.5;
bit INLVLC6  @ INLVLC.6;
bit INLVLC7  @ INLVLC.7;

bit ANSELB0  @ ANSELB.0;
bit ANSELB1  @ ANSELB.1;
bit ANSELB2  @ ANSELB.2;
bit ANSELB3  @ ANSELB.3;
bit ANSELB4  @ ANSELB.4;
bit ANSELB5  @ ANSELB.5;
bit ANSELB6  @ ANSELB.6;
bit ANSELB7  @ ANSELB.7;

bit WPUB0    @ WPUB.0;
bit WPUB1    @ WPUB.1;
bit WPUB2    @ WPUB.2;
bit WPUB3    @ WPUB.3;
bit WPUB4    @ WPUB.4;
bit WPUB5    @ WPUB.5;
bit WPUB6    @ WPUB.6;
bit WPUB7    @ WPUB.7;

bit SLRB0    @ SLRCONB.0;
bit SLRB1    @ SLRCONB.1;
bit SLRB2    @ SLRCONB.2;
bit SLRB3    @ SLRCONB.3;
bit SLRB4    @ SLRCONB.4;
bit SLRB5    @ SLRCONB.5;
bit SLRB6    @ SLRCONB.6;
bit SLRB7    @ SLRCONB.7;

bit INLVLB0  @ INLVLB.0;
bit INLVLB1  @ INLVLB.1;
bit INLVLB2  @ INLVLB.2;
bit INLVLB3  @ INLVLB.3;
bit INLVLB4  @ INLVLB.4;
bit INLVLB5  @ INLVLB.5;
bit INLVLB6  @ INLVLB.6;
bit INLVLB7  @ INLVLB.7;

bit ANSELA0  @ ANSELA.0;
bit ANSELA1  @ ANSELA.1;
bit ANSELA2  @ ANSELA.2;
bit ANSELA3  @ ANSELA.3;
bit ANSELA4  @ ANSELA.4;
bit ANSELA5  @ ANSELA.5;
bit ANSELA6  @ ANSELA.6;
bit ANSELA7  @ ANSELA.7;

bit WPUA0    @ WPUA.0;
bit WPUA1    @ WPUA.1;
bit WPUA2    @ WPUA.2;
bit WPUA3    @ WPUA.3;
bit WPUA4    @ WPUA.4;
bit WPUA5    @ WPUA.5;
bit WPUA6    @ WPUA.6;
bit WPUA7    @ WPUA.7;

bit SLRA0    @ SLRCONA.0;
bit SLRA1    @ SLRCONA.1;
bit SLRA2    @ SLRCONA.2;
bit SLRA3    @ SLRCONA.3;
bit SLRA4    @ SLRCONA.4;
bit SLRA5    @ SLRCONA.5;
bit SLRA6    @ SLRCONA.6;
bit SLRA7    @ SLRCONA.7;

bit INLVLA0  @ INLVLA.0;
bit INLVLA1  @ INLVLA.1;
bit INLVLA2  @ INLVLA.2;
bit INLVLA3  @ INLVLA.3;
bit INLVLA4  @ INLVLA.4;
bit INLVLA5  @ INLVLA.5;
bit INLVLA6  @ INLVLA.6;
bit INLVLA7  @ INLVLA.7;

bit DSMMD    @ PMD5.0;
bit CLC1MD   @ PMD5.4;
bit CLC2MD   @ PMD5.5;
bit CLC3MD   @ PMD5.6;
bit CLC4MD   @ PMD5.7;

bit CWG1MD   @ PMD4.0;
bit MSSP1MD  @ PMD4.4;
bit MSSP2MD  @ PMD4.5;
bit UART1MD  @ PMD4.6;
bit UART2MD  @ PMD4.7;

bit CCP1MD   @ PMD3.0;
bit CCP2MD   @ PMD3.1;
bit PWM3MD   @ PMD3.2;
bit PWM4MD   @ PMD3.3;
bit CLC5MD   @ PMD3.4;
bit CLC6MD   @ PMD3.5;
bit CLC7MD   @ PMD3.6;
bit CLC8MD   @ PMD3.7;

bit ZCDMD    @ PMD2.0;
bit CMP1MD   @ PMD2.1;
bit CMP2MD   @ PMD2.2;
bit ADCMD    @ PMD2.5;
bit DACMD    @ PMD2.6;

bit TMR0MD   @ PMD1.0;
bit TMR1MD   @ PMD1.1;
bit TMR2MD   @ PMD1.2;
bit TMR3MD   @ PMD1.3;
bit TMR4MD   @ PMD1.4;
bit TMR5MD   @ PMD1.5;
bit TMR6MD   @ PMD1.6;

bit IOCMD    @ PMD0.0;
bit CLKRMD   @ PMD0.1;
bit NVMMD    @ PMD0.2;
bit SCANMD   @ PMD0.3;
bit CRCMD    @ PMD0.4;
bit HLVDMD   @ PMD0.5;
bit FVRMD    @ PMD0.6;
bit SYSCMD   @ PMD0.7;

bit BORRDY   @ BORCON.0;
bit SBOREN   @ BORCON.7;

bit VREGPM0  @ VREGCON.0;
bit VREGPM1  @ VREGCON.1;
bit PMSYS0   @ VREGCON.4;
bit PMSYS1   @ VREGCON.5;

bit ADOEN    @ OSCEN.2;
bit SOSCEN   @ OSCEN.3;
bit LFOEN    @ OSCEN.4;
bit MFOEN    @ OSCEN.5;
bit HFOEN    @ OSCEN.6;
bit EXTOEN   @ OSCEN.7;

bit PLLR     @ OSCSTAT1.0;
bit ADOR     @ OSCSTAT1.2;
bit SOR      @ OSCSTAT1.3;
bit LFOR     @ OSCSTAT1.4;
bit MFOR     @ OSCSTAT1.5;
bit HFOR     @ OSCSTAT1.6;
bit EXTOR    @ OSCSTAT1.7;

bit NOSCR    @ OSCCON3.3;
bit ORDY     @ OSCCON3.4;
bit SOSCPWR  @ OSCCON3.6;
bit CSWHOLD  @ OSCCON3.7;

bit CDIV0    @ OSCCON2.0;
bit CDIV1    @ OSCCON2.1;
bit CDIV2    @ OSCCON2.2;
bit CDIV3    @ OSCCON2.3;
bit COSC0    @ OSCCON2.4;
bit COSC1    @ OSCCON2.5;
bit COSC2    @ OSCCON2.6;

bit NDIV0    @ OSCCON1.0;
bit NDIV1    @ OSCCON1.1;
bit NDIV2    @ OSCCON1.2;
bit NDIV3    @ OSCCON1.3;
bit NOSC0    @ OSCCON1.4;
bit NOSC1    @ OSCCON1.5;
bit NOSC2    @ OSCCON1.6;

bit DOZE0    @ CPUDOZE.0;
bit DOZE1    @ CPUDOZE.1;
bit DOZE2    @ CPUDOZE.2;
bit DOE      @ CPUDOZE.4;
bit ROI      @ CPUDOZE.5;
bit DOZEN    @ CPUDOZE.6;
bit IDLEN    @ CPUDOZE.7;

bit WDTPSCNT16 @ WDTTMR.0;
bit WDTPSCNT17 @ WDTTMR.1;
bit WDTSTATE @ WDTTMR.2;
bit WDTTMR0  @ WDTTMR.3;
bit WDTTMR1  @ WDTTMR.4;
bit WDTTMR2  @ WDTTMR.5;
bit WDTTMR3  @ WDTTMR.6;
bit WDTTMR4  @ WDTTMR.7;

bit WDTWINDOW0 @ WDTCON1.0;
bit WDTWINDOW1 @ WDTCON1.1;
bit WDTWINDOW2 @ WDTCON1.2;
bit WDTCS0   @ WDTCON1.4;
bit WDTCS1   @ WDTCON1.5;
bit WDTCS2   @ WDTCON1.6;

bit SWDTEN   @ WDTCON0.0;
bit WDTSEN   @ WDTCON0.0;
bit WDTPS0   @ WDTCON0.1;
bit WDTPS1   @ WDTCON0.2;
bit WDTPS2   @ WDTCON0.3;
bit WDTPS3   @ WDTCON0.4;
bit WDTPS4   @ WDTCON0.5;

bit CWG1IF   @ PIR7.0;
bit NVMIF    @ PIR7.5;
bit CRCIF    @ PIR7.6;
bit SCANIF   @ PIR7.7;

bit CCP1IF   @ PIR6.0;
bit CCP2IF   @ PIR6.1;
bit CLC5IF   @ PIR6.4;
bit CLC6IF   @ PIR6.5;
bit CLC7IF   @ PIR6.6;
bit CLC8IF   @ PIR6.7;

bit TMR1GIF  @ PIR5.0;
bit TMR3GIF  @ PIR5.1;
bit TMR5GIF  @ PIR5.2;
bit CLC1IF   @ PIR5.4;
bit CLC2IF   @ PIR5.5;
bit CLC3IF   @ PIR5.6;
bit CLC4IF   @ PIR5.7;

bit TMR1IF   @ PIR4.0;
bit TMR2IF   @ PIR4.1;
bit TMR3IF   @ PIR4.2;
bit TMR4IF   @ PIR4.3;
bit TMR5IF   @ PIR4.4;
bit TMR6IF   @ PIR4.5;

bit SSP1IF   @ PIR3.0;
bit BCL1IF   @ PIR3.1;
bit SSP2IF   @ PIR3.2;
bit BCL2IF   @ PIR3.3;
bit TX1IF    @ PIR3.4;
bit RC1IF    @ PIR3.5;
bit TX2IF    @ PIR3.6;
bit RC2IF    @ PIR3.7;

bit C1IF     @ PIR2.0;
bit C2IF     @ PIR2.1;
bit ZCDIF    @ PIR2.6;
bit HLVDIF   @ PIR2.7;

bit ADIF     @ PIR1.0;
bit ADTIF    @ PIR1.1;
bit CSWIF    @ PIR1.6;
bit OSCFIF   @ PIR1.7;

bit INT0IF   @ PIR0.0;
bit INT1IF   @ PIR0.1;
bit INT2IF   @ PIR0.2;
bit IOCIF    @ PIR0.4;
bit TMR0IF   @ PIR0.5;

bit CWG1IE   @ PIE7.0;
bit NVMIE    @ PIE7.5;
bit CRCIE    @ PIE7.6;
bit SCANIE   @ PIE7.7;

bit CCP1IE   @ PIE6.0;
bit CCP2IE   @ PIE6.1;
bit CLC5IE   @ PIE6.4;
bit CLC6IE   @ PIE6.5;
bit CLC7IE   @ PIE6.6;
bit CLC8IE   @ PIE6.7;

bit TMR1GIE  @ PIE5.0;
bit TMR3GIE  @ PIE5.1;
bit TMR5GIE  @ PIE5.2;
bit CLC1IE   @ PIE5.4;
bit CLC2IE   @ PIE5.5;
bit CLC3IE   @ PIE5.6;
bit CLC4IE   @ PIE5.7;

bit TMR1IE   @ PIE4.0;
bit TMR2IE   @ PIE4.1;
bit TMR3IE   @ PIE4.2;
bit TMR4IE   @ PIE4.3;
bit TMR5IE   @ PIE4.4;
bit TMR6IE   @ PIE4.5;

bit SSP1IE   @ PIE3.0;
bit BCL1IE   @ PIE3.1;
bit SSP2IE   @ PIE3.2;
bit BCL2IE   @ PIE3.3;
bit TX1IE    @ PIE3.4;
bit RC1IE    @ PIE3.5;
bit TX2IE    @ PIE3.6;
bit RC2IE    @ PIE3.7;

bit C1IE     @ PIE2.0;
bit C2IE     @ PIE2.1;
bit ZCDIE    @ PIE2.6;
bit HLVDIE   @ PIE2.7;

bit ADIE     @ PIE1.0;
bit ADTIE    @ PIE1.1;
bit CSWIE    @ PIE1.6;
bit OSCFIE   @ PIE1.7;

bit INT0IE   @ PIE0.0;
bit INT1IE   @ PIE0.1;
bit INT2IE   @ PIE0.2;
bit IOCIE    @ PIE0.4;
bit TMR0IE   @ PIE0.5;

bit CWG1IP   @ IPR7.0;
bit NVMIP    @ IPR7.5;
bit CRCIP    @ IPR7.6;
bit SCANIP   @ IPR7.7;

bit CCP1IP   @ IPR6.0;
bit CCP2IP   @ IPR6.1;
bit CLC5IP   @ IPR6.4;
bit CLC6IP   @ IPR6.5;
bit CLC7IP   @ IPR6.6;
bit CLC8IP   @ IPR6.7;

bit TMR1GIP  @ IPR5.0;
bit TMR3GIP  @ IPR5.1;
bit TMR5GIP  @ IPR5.2;
bit CLC1IP   @ IPR5.4;
bit CLC2IP   @ IPR5.5;
bit CLC3IP   @ IPR5.6;
bit CLC4IP   @ IPR5.7;

bit TMR1IP   @ IPR4.0;
bit TMR2IP   @ IPR4.1;
bit TMR3IP   @ IPR4.2;
bit TMR4IP   @ IPR4.3;
bit TMR5IP   @ IPR4.4;
bit TMR6IP   @ IPR4.5;

bit SSP1IP   @ IPR3.0;
bit BCL1IP   @ IPR3.1;
bit SSP2IP   @ IPR3.2;
bit BCL2IP   @ IPR3.3;
bit TX1IP    @ IPR3.4;
bit RC1IP    @ IPR3.5;
bit TX2IP    @ IPR3.6;
bit RC2IP    @ IPR3.7;

bit C1IP     @ IPR2.0;
bit C2IP     @ IPR2.1;
bit ZCDIP    @ IPR2.6;
bit HLVDIP   @ IPR2.7;

bit ADIP     @ IPR1.0;
bit ADTIP    @ IPR1.1;
bit CSWIP    @ IPR1.6;
bit OSCFIP   @ IPR1.7;

bit INT0IP   @ IPR0.0;
bit INT1IP   @ IPR0.1;
bit INT2IP   @ IPR0.2;
bit IOCIP    @ IPR0.4;
bit TMR0IP   @ IPR0.5;

bit PPSLOCKED @ PPSLOCK.0;

bit ABDEN2   @ BAUDCON2.0;
bit WUE2     @ BAUDCON2.1;
bit BRG16_2  @ BAUDCON2.3;
bit SCKP2    @ BAUDCON2.4;
bit RCIDL2   @ BAUDCON2.6;
bit ABDOVF2  @ BAUDCON2.7;

bit TX9D2    @ TXSTA2.0;
bit TRMT2    @ TXSTA2.1;
bit BRGH2    @ TXSTA2.2;
bit SENDB2   @ TXSTA2.3;
bit SYNC2    @ TXSTA2.4;
bit TXEN2    @ TXSTA2.5;
bit TX9_2    @ TXSTA2.6;
bit CSRC2    @ TXSTA2.7;

bit RX9D2    @ RCSTA2.0;
bit OERR2    @ RCSTA2.1;
bit FERR2    @ RCSTA2.2;
bit ADDEN2   @ RCSTA2.3;
bit CREN2    @ RCSTA2.4;
bit SREN2    @ RCSTA2.5;
bit RX9_2    @ RCSTA2.6;
bit SPEN2    @ RCSTA2.7;

bit DHEN2    @ SSP2CON3.0;
bit AHEN2    @ SSP2CON3.1;
bit SBCDE2   @ SSP2CON3.2;
bit SDAHT2   @ SSP2CON3.3;
bit BOEN2    @ SSP2CON3.4;
bit SCIE2    @ SSP2CON3.5;
bit PCIE2    @ SSP2CON3.6;
bit ACKTIM2  @ SSP2CON3.7;

bit SEN2     @ SSP2CON2.0;
bit RSEN2    @ SSP2CON2.1;
bit PEN2     @ SSP2CON2.2;
bit RCEN2    @ SSP2CON2.3;
bit ACKEN2   @ SSP2CON2.4;
bit ACKDT2   @ SSP2CON2.5;
bit ACKSTAT2 @ SSP2CON2.6;
bit GCEN2    @ SSP2CON2.7;

bit SSP2M0   @ SSP2CON1.0;
bit SSP2M1   @ SSP2CON1.1;
bit SSP2M2   @ SSP2CON1.2;
bit SSP2M3   @ SSP2CON1.3;
bit CKP2     @ SSP2CON1.4;
bit SSPEN2   @ SSP2CON1.5;
bit SSPOV2   @ SSP2CON1.6;
bit WCOL2    @ SSP2CON1.7;

bit BF2      @ SSP2STAT.0;
bit UA2      @ SSP2STAT.1;
bit RW_2     @ SSP2STAT.2;
bit S2       @ SSP2STAT.3;
bit P2       @ SSP2STAT.4;
bit DA_2     @ SSP2STAT.5;
bit CKE2     @ SSP2STAT.6;
bit SMP2     @ SSP2STAT.7;

bit MLC1OUT  @ CLCDATA.0;
bit MLC2OUT  @ CLCDATA.1;
bit MLC3OUT  @ CLCDATA.2;
bit MLC4OUT  @ CLCDATA.3;
bit MLC5OUT  @ CLCDATA.4;
bit MLC6OUT  @ CLCDATA.5;
bit MLC7OUT  @ CLCDATA.6;
bit MLC8OUT  @ CLCDATA.7;

bit LC8G4D1N @ CLC8GLS3.0;
bit LC8G4D1T @ CLC8GLS3.1;
bit LC8G4D2N @ CLC8GLS3.2;
bit LC8G4D2T @ CLC8GLS3.3;
bit LC8G4D3N @ CLC8GLS3.4;
bit LC8G4D3T @ CLC8GLS3.5;
bit LC8G4D4N @ CLC8GLS3.6;
bit LC8G4D4T @ CLC8GLS3.7;

bit LC8G3D1N @ CLC8GLS2.0;
bit LC8G3D1T @ CLC8GLS2.1;
bit LC8G3D2N @ CLC8GLS2.2;
bit LC8G3D2T @ CLC8GLS2.3;
bit LC8G3D3N @ CLC8GLS2.4;
bit LC8G3D3T @ CLC8GLS2.5;
bit LC8G3D4N @ CLC8GLS2.6;
bit LC8G3D4T @ CLC8GLS2.7;

bit LC8G2D1N @ CLC8GLS1.0;
bit LC8G2D1T @ CLC8GLS1.1;
bit LC8G2D2N @ CLC8GLS1.2;
bit LC8G2D2T @ CLC8GLS1.3;
bit LC8G2D3N @ CLC8GLS1.4;
bit LC8G2D3T @ CLC8GLS1.5;
bit LC8G2D4N @ CLC8GLS1.6;
bit LC8G2D4T @ CLC8GLS1.7;

bit LC8G1D1N @ CLC8GLS0.0;
bit LC8G1D1T @ CLC8GLS0.1;
bit LC8G1D2N @ CLC8GLS0.2;
bit LC8G1D2T @ CLC8GLS0.3;
bit LC8G1D3N @ CLC8GLS0.4;
bit LC8G1D3T @ CLC8GLS0.5;
bit LC8G1D4N @ CLC8GLS0.6;
bit LC8G1D4T @ CLC8GLS0.7;

bit LC8D4S0  @ CLC8SEL3.0;
bit LC8D4S1  @ CLC8SEL3.1;
bit LC8D4S2  @ CLC8SEL3.2;
bit LC8D4S3  @ CLC8SEL3.3;
bit LC8D4S4  @ CLC8SEL3.4;
bit LC8D4S5  @ CLC8SEL3.5;
bit LC8D4S6  @ CLC8SEL3.6;
bit LC8D4S7  @ CLC8SEL3.7;

bit LC8D3S0  @ CLC8SEL2.0;
bit LC8D3S1  @ CLC8SEL2.1;
bit LC8D3S2  @ CLC8SEL2.2;
bit LC8D3S3  @ CLC8SEL2.3;
bit LC8D3S4  @ CLC8SEL2.4;
bit LC8D3S5  @ CLC8SEL2.5;
bit LC8D3S6  @ CLC8SEL2.6;
bit LC8D3S7  @ CLC8SEL2.7;

bit LC8D2S0  @ CLC8SEL1.0;
bit LC8D2S1  @ CLC8SEL1.1;
bit LC8D2S2  @ CLC8SEL1.2;
bit LC8D2S3  @ CLC8SEL1.3;
bit LC8D2S4  @ CLC8SEL1.4;
bit LC8D2S5  @ CLC8SEL1.5;
bit LC8D2S6  @ CLC8SEL1.6;
bit LC8D2S7  @ CLC8SEL1.7;

bit LC8D1S0  @ CLC8SEL0.0;
bit LC8D1S1  @ CLC8SEL0.1;
bit LC8D1S2  @ CLC8SEL0.2;
bit LC8D1S3  @ CLC8SEL0.3;
bit LC8D1S4  @ CLC8SEL0.4;
bit LC8D1S5  @ CLC8SEL0.5;
bit LC8D1S6  @ CLC8SEL0.6;
bit LC8D1S7  @ CLC8SEL0.7;

bit LC8G1POL @ CLC8POL.0;
bit LC8G2POL @ CLC8POL.1;
bit LC8G3POL @ CLC8POL.2;
bit LC8G4POL @ CLC8POL.3;
bit LC8POL   @ CLC8POL.7;

bit LC8MODE0 @ CLC8CON.0;
bit LC8MODE1 @ CLC8CON.1;
bit LC8MODE2 @ CLC8CON.2;
bit LC8INTN  @ CLC8CON.3;
bit LC8INTP  @ CLC8CON.4;
bit LC8OUT   @ CLC8CON.5;
bit LC8EN    @ CLC8CON.7;

bit LC7G4D1N @ CLC7GLS3.0;
bit LC7G4D1T @ CLC7GLS3.1;
bit LC7G4D2N @ CLC7GLS3.2;
bit LC7G4D2T @ CLC7GLS3.3;
bit LC7G4D3N @ CLC7GLS3.4;
bit LC7G4D3T @ CLC7GLS3.5;
bit LC7G4D4N @ CLC7GLS3.6;
bit LC7G4D4T @ CLC7GLS3.7;

bit LC7G3D1N @ CLC7GLS2.0;
bit LC7G3D1T @ CLC7GLS2.1;
bit LC7G3D2N @ CLC7GLS2.2;
bit LC7G3D2T @ CLC7GLS2.3;
bit LC7G3D3N @ CLC7GLS2.4;
bit LC7G3D3T @ CLC7GLS2.5;
bit LC7G3D4N @ CLC7GLS2.6;
bit LC7G3D4T @ CLC7GLS2.7;

bit LC7G2D1N @ CLC7GLS1.0;
bit LC7G2D1T @ CLC7GLS1.1;
bit LC7G2D2N @ CLC7GLS1.2;
bit LC7G2D2T @ CLC7GLS1.3;
bit LC7G2D3N @ CLC7GLS1.4;
bit LC7G2D3T @ CLC7GLS1.5;
bit LC7G2D4N @ CLC7GLS1.6;
bit LC7G2D4T @ CLC7GLS1.7;

bit LC7G1D1N @ CLC7GLS0.0;
bit LC7G1D1T @ CLC7GLS0.1;
bit LC7G1D2N @ CLC7GLS0.2;
bit LC7G1D2T @ CLC7GLS0.3;
bit LC7G1D3N @ CLC7GLS0.4;
bit LC7G1D3T @ CLC7GLS0.5;
bit LC7G1D4N @ CLC7GLS0.6;
bit LC7G1D4T @ CLC7GLS0.7;

bit LC7D4S0  @ CLC7SEL3.0;
bit LC7D4S1  @ CLC7SEL3.1;
bit LC7D4S2  @ CLC7SEL3.2;
bit LC7D4S3  @ CLC7SEL3.3;
bit LC7D4S4  @ CLC7SEL3.4;
bit LC7D4S5  @ CLC7SEL3.5;
bit LC7D4S6  @ CLC7SEL3.6;
bit LC7D4S7  @ CLC7SEL3.7;

bit LC7D3S0  @ CLC7SEL2.0;
bit LC7D3S1  @ CLC7SEL2.1;
bit LC7D3S2  @ CLC7SEL2.2;
bit LC7D3S3  @ CLC7SEL2.3;
bit LC7D3S4  @ CLC7SEL2.4;
bit LC7D3S5  @ CLC7SEL2.5;
bit LC7D3S6  @ CLC7SEL2.6;
bit LC7D3S7  @ CLC7SEL2.7;

bit LC7D2S0  @ CLC7SEL1.0;
bit LC7D2S1  @ CLC7SEL1.1;
bit LC7D2S2  @ CLC7SEL1.2;
bit LC7D2S3  @ CLC7SEL1.3;
bit LC7D2S4  @ CLC7SEL1.4;
bit LC7D2S5  @ CLC7SEL1.5;
bit LC7D2S6  @ CLC7SEL1.6;
bit LC7D2S7  @ CLC7SEL1.7;

bit LC7D1S0  @ CLC7SEL0.0;
bit LC7D1S1  @ CLC7SEL0.1;
bit LC7D1S2  @ CLC7SEL0.2;
bit LC7D1S3  @ CLC7SEL0.3;
bit LC7D1S4  @ CLC7SEL0.4;
bit LC7D1S5  @ CLC7SEL0.5;
bit LC7D1S6  @ CLC7SEL0.6;
bit LC7D1S7  @ CLC7SEL0.7;

bit LC7G1POL @ CLC7POL.0;
bit LC7G2POL @ CLC7POL.1;
bit LC7G3POL @ CLC7POL.2;
bit LC7G4POL @ CLC7POL.3;
bit LC7POL   @ CLC7POL.7;

bit LC7MODE0 @ CLC7CON.0;
bit LC7MODE1 @ CLC7CON.1;
bit LC7MODE2 @ CLC7CON.2;
bit LC7INTN  @ CLC7CON.3;
bit LC7INTP  @ CLC7CON.4;
bit LC7OUT   @ CLC7CON.5;
bit LC7EN    @ CLC7CON.7;

bit LC6G4D1N @ CLC6GLS3.0;
bit LC6G4D1T @ CLC6GLS3.1;
bit LC6G4D2N @ CLC6GLS3.2;
bit LC6G4D2T @ CLC6GLS3.3;
bit LC6G4D3N @ CLC6GLS3.4;
bit LC6G4D3T @ CLC6GLS3.5;
bit LC6G4D4N @ CLC6GLS3.6;
bit LC6G4D4T @ CLC6GLS3.7;

bit LC6G3D1N @ CLC6GLS2.0;
bit LC6G3D1T @ CLC6GLS2.1;
bit LC6G3D2N @ CLC6GLS2.2;
bit LC6G3D2T @ CLC6GLS2.3;
bit LC6G3D3N @ CLC6GLS2.4;
bit LC6G3D3T @ CLC6GLS2.5;
bit LC6G3D4N @ CLC6GLS2.6;
bit LC6G3D4T @ CLC6GLS2.7;

bit LC6G2D1N @ CLC6GLS1.0;
bit LC6G2D1T @ CLC6GLS1.1;
bit LC6G2D2N @ CLC6GLS1.2;
bit LC6G2D2T @ CLC6GLS1.3;
bit LC6G2D3N @ CLC6GLS1.4;
bit LC6G2D3T @ CLC6GLS1.5;
bit LC6G2D4N @ CLC6GLS1.6;
bit LC6G2D4T @ CLC6GLS1.7;

bit LC6G1D1N @ CLC6GLS0.0;
bit LC6G1D1T @ CLC6GLS0.1;
bit LC6G1D2N @ CLC6GLS0.2;
bit LC6G1D2T @ CLC6GLS0.3;
bit LC6G1D3N @ CLC6GLS0.4;
bit LC6G1D3T @ CLC6GLS0.5;
bit LC6G1D4N @ CLC6GLS0.6;
bit LC6G1D4T @ CLC6GLS0.7;

bit LC6D4S0  @ CLC6SEL3.0;
bit LC6D4S1  @ CLC6SEL3.1;
bit LC6D4S2  @ CLC6SEL3.2;
bit LC6D4S3  @ CLC6SEL3.3;
bit LC6D4S4  @ CLC6SEL3.4;
bit LC6D4S5  @ CLC6SEL3.5;
bit LC6D4S6  @ CLC6SEL3.6;
bit LC6D4S7  @ CLC6SEL3.7;

bit LC6D3S0  @ CLC6SEL2.0;
bit LC6D3S1  @ CLC6SEL2.1;
bit LC6D3S2  @ CLC6SEL2.2;
bit LC6D3S3  @ CLC6SEL2.3;
bit LC6D3S4  @ CLC6SEL2.4;
bit LC6D3S5  @ CLC6SEL2.5;
bit LC6D3S6  @ CLC6SEL2.6;
bit LC6D3S7  @ CLC6SEL2.7;

bit LC6D2S0  @ CLC6SEL1.0;
bit LC6D2S1  @ CLC6SEL1.1;
bit LC6D2S2  @ CLC6SEL1.2;
bit LC6D2S3  @ CLC6SEL1.3;
bit LC6D2S4  @ CLC6SEL1.4;
bit LC6D2S5  @ CLC6SEL1.5;
bit LC6D2S6  @ CLC6SEL1.6;
bit LC6D2S7  @ CLC6SEL1.7;

bit LC6D1S0  @ CLC6SEL0.0;
bit LC6D1S1  @ CLC6SEL0.1;
bit LC6D1S2  @ CLC6SEL0.2;
bit LC6D1S3  @ CLC6SEL0.3;
bit LC6D1S4  @ CLC6SEL0.4;
bit LC6D1S5  @ CLC6SEL0.5;
bit LC6D1S6  @ CLC6SEL0.6;
bit LC6D1S7  @ CLC6SEL0.7;

bit LC6G1POL @ CLC6POL.0;
bit LC6G2POL @ CLC6POL.1;
bit LC6G3POL @ CLC6POL.2;
bit LC6G4POL @ CLC6POL.3;
bit LC6POL   @ CLC6POL.7;

bit LC6MODE0 @ CLC6CON.0;
bit LC6MODE1 @ CLC6CON.1;
bit LC6MODE2 @ CLC6CON.2;
bit LC6INTN  @ CLC6CON.3;
bit LC6INTP  @ CLC6CON.4;
bit LC6OUT   @ CLC6CON.5;
bit LC6EN    @ CLC6CON.7;

bit LC5G4D1N @ CLC5GLS3.0;
bit LC5G4D1T @ CLC5GLS3.1;
bit LC5G4D2N @ CLC5GLS3.2;
bit LC5G4D2T @ CLC5GLS3.3;
bit LC5G4D3N @ CLC5GLS3.4;
bit LC5G4D3T @ CLC5GLS3.5;
bit LC5G4D4N @ CLC5GLS3.6;
bit LC5G4D4T @ CLC5GLS3.7;

bit LC5G3D1N @ CLC5GLS2.0;
bit LC5G3D1T @ CLC5GLS2.1;
bit LC5G3D2N @ CLC5GLS2.2;
bit LC5G3D2T @ CLC5GLS2.3;
bit LC5G3D3N @ CLC5GLS2.4;
bit LC5G3D3T @ CLC5GLS2.5;
bit LC5G3D4N @ CLC5GLS2.6;
bit LC5G3D4T @ CLC5GLS2.7;

bit LC5G2D1N @ CLC5GLS1.0;
bit LC5G2D1T @ CLC5GLS1.1;
bit LC5G2D2N @ CLC5GLS1.2;
bit LC5G2D2T @ CLC5GLS1.3;
bit LC5G2D3N @ CLC5GLS1.4;
bit LC5G2D3T @ CLC5GLS1.5;
bit LC5G2D4N @ CLC5GLS1.6;
bit LC5G2D4T @ CLC5GLS1.7;

bit LC5G1D1N @ CLC5GLS0.0;
bit LC5G1D1T @ CLC5GLS0.1;
bit LC5G1D2N @ CLC5GLS0.2;
bit LC5G1D2T @ CLC5GLS0.3;
bit LC5G1D3N @ CLC5GLS0.4;
bit LC5G1D3T @ CLC5GLS0.5;
bit LC5G1D4N @ CLC5GLS0.6;
bit LC5G1D4T @ CLC5GLS0.7;

bit LC5D4S0  @ CLC5SEL3.0;
bit LC5D4S1  @ CLC5SEL3.1;
bit LC5D4S2  @ CLC5SEL3.2;
bit LC5D4S3  @ CLC5SEL3.3;
bit LC5D4S4  @ CLC5SEL3.4;
bit LC5D4S5  @ CLC5SEL3.5;
bit LC5D4S6  @ CLC5SEL3.6;
bit LC5D4S7  @ CLC5SEL3.7;

bit LC5D3S0  @ CLC5SEL2.0;
bit LC5D3S1  @ CLC5SEL2.1;
bit LC5D3S2  @ CLC5SEL2.2;
bit LC5D3S3  @ CLC5SEL2.3;
bit LC5D3S4  @ CLC5SEL2.4;
bit LC5D3S5  @ CLC5SEL2.5;
bit LC5D3S6  @ CLC5SEL2.6;
bit LC5D3S7  @ CLC5SEL2.7;

bit LC5D2S0  @ CLC5SEL1.0;
bit LC5D2S1  @ CLC5SEL1.1;
bit LC5D2S2  @ CLC5SEL1.2;
bit LC5D2S3  @ CLC5SEL1.3;
bit LC5D2S4  @ CLC5SEL1.4;
bit LC5D2S5  @ CLC5SEL1.5;
bit LC5D2S6  @ CLC5SEL1.6;
bit LC5D2S7  @ CLC5SEL1.7;

bit LC5D1S0  @ CLC5SEL0.0;
bit LC5D1S1  @ CLC5SEL0.1;
bit LC5D1S2  @ CLC5SEL0.2;
bit LC5D1S3  @ CLC5SEL0.3;
bit LC5D1S4  @ CLC5SEL0.4;
bit LC5D1S5  @ CLC5SEL0.5;
bit LC5D1S6  @ CLC5SEL0.6;
bit LC5D1S7  @ CLC5SEL0.7;

bit LC5G1POL @ CLC5POL.0;
bit LC5G2POL @ CLC5POL.1;
bit LC5G3POL @ CLC5POL.2;
bit LC5G4POL @ CLC5POL.3;
bit LC5POL   @ CLC5POL.7;

bit LC5MODE0 @ CLC5CON.0;
bit LC5MODE1 @ CLC5CON.1;
bit LC5MODE2 @ CLC5CON.2;
bit LC5INTN  @ CLC5CON.3;
bit LC5INTP  @ CLC5CON.4;
bit LC5OUT   @ CLC5CON.5;
bit LC5EN    @ CLC5CON.7;

bit LC4G4D1N @ CLC4GLS3.0;
bit LC4G4D1T @ CLC4GLS3.1;
bit LC4G4D2N @ CLC4GLS3.2;
bit LC4G4D2T @ CLC4GLS3.3;
bit LC4G4D3N @ CLC4GLS3.4;
bit LC4G4D3T @ CLC4GLS3.5;
bit LC4G4D4N @ CLC4GLS3.6;
bit LC4G4D4T @ CLC4GLS3.7;

bit LC4G3D1N @ CLC4GLS2.0;
bit LC4G3D1T @ CLC4GLS2.1;
bit LC4G3D2N @ CLC4GLS2.2;
bit LC4G3D2T @ CLC4GLS2.3;
bit LC4G3D3N @ CLC4GLS2.4;
bit LC4G3D3T @ CLC4GLS2.5;
bit LC4G3D4N @ CLC4GLS2.6;
bit LC4G3D4T @ CLC4GLS2.7;

bit LC4G2D1N @ CLC4GLS1.0;
bit LC4G2D1T @ CLC4GLS1.1;
bit LC4G2D2N @ CLC4GLS1.2;
bit LC4G2D2T @ CLC4GLS1.3;
bit LC4G2D3N @ CLC4GLS1.4;
bit LC4G2D3T @ CLC4GLS1.5;
bit LC4G2D4N @ CLC4GLS1.6;
bit LC4G2D4T @ CLC4GLS1.7;

bit LC4G1D1N @ CLC4GLS0.0;
bit LC4G1D1T @ CLC4GLS0.1;
bit LC4G1D2N @ CLC4GLS0.2;
bit LC4G1D2T @ CLC4GLS0.3;
bit LC4G1D3N @ CLC4GLS0.4;
bit LC4G1D3T @ CLC4GLS0.5;
bit LC4G1D4N @ CLC4GLS0.6;
bit LC4G1D4T @ CLC4GLS0.7;

bit LC4D4S0  @ CLC4SEL3.0;
bit LC4D4S1  @ CLC4SEL3.1;
bit LC4D4S2  @ CLC4SEL3.2;
bit LC4D4S3  @ CLC4SEL3.3;
bit LC4D4S4  @ CLC4SEL3.4;
bit LC4D4S5  @ CLC4SEL3.5;
bit LC4D4S6  @ CLC4SEL3.6;
bit LC4D4S7  @ CLC4SEL3.7;

bit LC4D3S0  @ CLC4SEL2.0;
bit LC4D3S1  @ CLC4SEL2.1;
bit LC4D3S2  @ CLC4SEL2.2;
bit LC4D3S3  @ CLC4SEL2.3;
bit LC4D3S4  @ CLC4SEL2.4;
bit LC4D3S5  @ CLC4SEL2.5;
bit LC4D3S6  @ CLC4SEL2.6;
bit LC4D3S7  @ CLC4SEL2.7;

bit LC4D2S0  @ CLC4SEL1.0;
bit LC4D2S1  @ CLC4SEL1.1;
bit LC4D2S2  @ CLC4SEL1.2;
bit LC4D2S3  @ CLC4SEL1.3;
bit LC4D2S4  @ CLC4SEL1.4;
bit LC4D2S5  @ CLC4SEL1.5;
bit LC4D2S6  @ CLC4SEL1.6;
bit LC4D2S7  @ CLC4SEL1.7;

bit LC4D1S0  @ CLC4SEL0.0;
bit LC4D1S1  @ CLC4SEL0.1;
bit LC4D1S2  @ CLC4SEL0.2;
bit LC4D1S3  @ CLC4SEL0.3;
bit LC4D1S4  @ CLC4SEL0.4;
bit LC4D1S5  @ CLC4SEL0.5;
bit LC4D1S6  @ CLC4SEL0.6;
bit LC4D1S7  @ CLC4SEL0.7;

bit LC4G1POL @ CLC4POL.0;
bit LC4G2POL @ CLC4POL.1;
bit LC4G3POL @ CLC4POL.2;
bit LC4G4POL @ CLC4POL.3;
bit LC4POL   @ CLC4POL.7;

bit LC4MODE0 @ CLC4CON.0;
bit LC4MODE1 @ CLC4CON.1;
bit LC4MODE2 @ CLC4CON.2;
bit LC4INTN  @ CLC4CON.3;
bit LC4INTP  @ CLC4CON.4;
bit LC4OUT   @ CLC4CON.5;
bit LC4EN    @ CLC4CON.7;

bit LC3G4D1N @ CLC3GLS3.0;
bit LC3G4D1T @ CLC3GLS3.1;
bit LC3G4D2N @ CLC3GLS3.2;
bit LC3G4D2T @ CLC3GLS3.3;
bit LC3G4D3N @ CLC3GLS3.4;
bit LC3G4D3T @ CLC3GLS3.5;
bit LC3G4D4N @ CLC3GLS3.6;
bit LC3G4D4T @ CLC3GLS3.7;

bit LC3G3D1N @ CLC3GLS2.0;
bit LC3G3D1T @ CLC3GLS2.1;
bit LC3G3D2N @ CLC3GLS2.2;
bit LC3G3D2T @ CLC3GLS2.3;
bit LC3G3D3N @ CLC3GLS2.4;
bit LC3G3D3T @ CLC3GLS2.5;
bit LC3G3D4N @ CLC3GLS2.6;
bit LC3G3D4T @ CLC3GLS2.7;

bit LC3G2D1N @ CLC3GLS1.0;
bit LC3G2D1T @ CLC3GLS1.1;
bit LC3G2D2N @ CLC3GLS1.2;
bit LC3G2D2T @ CLC3GLS1.3;
bit LC3G2D3N @ CLC3GLS1.4;
bit LC3G2D3T @ CLC3GLS1.5;
bit LC3G2D4N @ CLC3GLS1.6;
bit LC3G2D4T @ CLC3GLS1.7;

bit LC3G1D1N @ CLC3GLS0.0;
bit LC3G1D1T @ CLC3GLS0.1;
bit LC3G1D2N @ CLC3GLS0.2;
bit LC3G1D2T @ CLC3GLS0.3;
bit LC3G1D3N @ CLC3GLS0.4;
bit LC3G1D3T @ CLC3GLS0.5;
bit LC3G1D4N @ CLC3GLS0.6;
bit LC3G1D4T @ CLC3GLS0.7;

bit LC3D4S0  @ CLC3SEL3.0;
bit LC3D4S1  @ CLC3SEL3.1;
bit LC3D4S2  @ CLC3SEL3.2;
bit LC3D4S3  @ CLC3SEL3.3;
bit LC3D4S4  @ CLC3SEL3.4;
bit LC3D4S5  @ CLC3SEL3.5;
bit LC3D4S6  @ CLC3SEL3.6;
bit LC3D4S7  @ CLC3SEL3.7;

bit LC3D3S0  @ CLC3SEL2.0;
bit LC3D3S1  @ CLC3SEL2.1;
bit LC3D3S2  @ CLC3SEL2.2;
bit LC3D3S3  @ CLC3SEL2.3;
bit LC3D3S4  @ CLC3SEL2.4;
bit LC3D3S5  @ CLC3SEL2.5;
bit LC3D3S6  @ CLC3SEL2.6;
bit LC3D3S7  @ CLC3SEL2.7;

bit LC3D2S0  @ CLC3SEL1.0;
bit LC3D2S1  @ CLC3SEL1.1;
bit LC3D2S2  @ CLC3SEL1.2;
bit LC3D2S3  @ CLC3SEL1.3;
bit LC3D2S4  @ CLC3SEL1.4;
bit LC3D2S5  @ CLC3SEL1.5;
bit LC3D2S6  @ CLC3SEL1.6;
bit LC3D2S7  @ CLC3SEL1.7;

bit LC3D1S0  @ CLC3SEL0.0;
bit LC3D1S1  @ CLC3SEL0.1;
bit LC3D1S2  @ CLC3SEL0.2;
bit LC3D1S3  @ CLC3SEL0.3;
bit LC3D1S4  @ CLC3SEL0.4;
bit LC3D1S5  @ CLC3SEL0.5;
bit LC3D1S6  @ CLC3SEL0.6;
bit LC3D1S7  @ CLC3SEL0.7;

bit LC3G1POL @ CLC3POL.0;
bit LC3G2POL @ CLC3POL.1;
bit LC3G3POL @ CLC3POL.2;
bit LC3G4POL @ CLC3POL.3;
bit LC3POL   @ CLC3POL.7;

bit LC3MODE0 @ CLC3CON.0;
bit LC3MODE1 @ CLC3CON.1;
bit LC3MODE2 @ CLC3CON.2;
bit LC3INTN  @ CLC3CON.3;
bit LC3INTP  @ CLC3CON.4;
bit LC3OUT   @ CLC3CON.5;
bit LC3EN    @ CLC3CON.7;

bit LC2G4D1N @ CLC2GLS3.0;
bit LC2G4D1T @ CLC2GLS3.1;
bit LC2G4D2N @ CLC2GLS3.2;
bit LC2G4D2T @ CLC2GLS3.3;
bit LC2G4D3N @ CLC2GLS3.4;
bit LC2G4D3T @ CLC2GLS3.5;
bit LC2G4D4N @ CLC2GLS3.6;
bit LC2G4D4T @ CLC2GLS3.7;

bit LC2G3D1N @ CLC2GLS2.0;
bit LC2G3D1T @ CLC2GLS2.1;
bit LC2G3D2N @ CLC2GLS2.2;
bit LC2G3D2T @ CLC2GLS2.3;
bit LC2G3D3N @ CLC2GLS2.4;
bit LC2G3D3T @ CLC2GLS2.5;
bit LC2G3D4N @ CLC2GLS2.6;
bit LC2G3D4T @ CLC2GLS2.7;

bit LC2G2D1N @ CLC2GLS1.0;
bit LC2G2D1T @ CLC2GLS1.1;
bit LC2G2D2N @ CLC2GLS1.2;
bit LC2G2D2T @ CLC2GLS1.3;
bit LC2G2D3N @ CLC2GLS1.4;
bit LC2G2D3T @ CLC2GLS1.5;
bit LC2G2D4N @ CLC2GLS1.6;
bit LC2G2D4T @ CLC2GLS1.7;

bit LC2G1D1N @ CLC2GLS0.0;
bit LC2G1D1T @ CLC2GLS0.1;
bit LC2G1D2N @ CLC2GLS0.2;
bit LC2G1D2T @ CLC2GLS0.3;
bit LC2G1D3N @ CLC2GLS0.4;
bit LC2G1D3T @ CLC2GLS0.5;
bit LC2G1D4N @ CLC2GLS0.6;
bit LC2G1D4T @ CLC2GLS0.7;

bit LC2D4S0  @ CLC2SEL3.0;
bit LC2D4S1  @ CLC2SEL3.1;
bit LC2D4S2  @ CLC2SEL3.2;
bit LC2D4S3  @ CLC2SEL3.3;
bit LC2D4S4  @ CLC2SEL3.4;
bit LC2D4S5  @ CLC2SEL3.5;
bit LC2D4S6  @ CLC2SEL3.6;
bit LC2D4S7  @ CLC2SEL3.7;

bit LC2D3S0  @ CLC2SEL2.0;
bit LC2D3S1  @ CLC2SEL2.1;
bit LC2D3S2  @ CLC2SEL2.2;
bit LC2D3S3  @ CLC2SEL2.3;
bit LC2D3S4  @ CLC2SEL2.4;
bit LC2D3S5  @ CLC2SEL2.5;
bit LC2D3S6  @ CLC2SEL2.6;
bit LC2D3S7  @ CLC2SEL2.7;

bit LC2D2S0  @ CLC2SEL1.0;
bit LC2D2S1  @ CLC2SEL1.1;
bit LC2D2S2  @ CLC2SEL1.2;
bit LC2D2S3  @ CLC2SEL1.3;
bit LC2D2S4  @ CLC2SEL1.4;
bit LC2D2S5  @ CLC2SEL1.5;
bit LC2D2S6  @ CLC2SEL1.6;
bit LC2D2S7  @ CLC2SEL1.7;

bit LC2D1S0  @ CLC2SEL0.0;
bit LC2D1S1  @ CLC2SEL0.1;
bit LC2D1S2  @ CLC2SEL0.2;
bit LC2D1S3  @ CLC2SEL0.3;
bit LC2D1S4  @ CLC2SEL0.4;
bit LC2D1S5  @ CLC2SEL0.5;
bit LC2D1S6  @ CLC2SEL0.6;
bit LC2D1S7  @ CLC2SEL0.7;

bit LC2G1POL @ CLC2POL.0;
bit LC2G2POL @ CLC2POL.1;
bit LC2G3POL @ CLC2POL.2;
bit LC2G4POL @ CLC2POL.3;
bit LC2POL   @ CLC2POL.7;

bit LC2MODE0 @ CLC2CON.0;
bit LC2MODE1 @ CLC2CON.1;
bit LC2MODE2 @ CLC2CON.2;
bit LC2INTN  @ CLC2CON.3;
bit LC2INTP  @ CLC2CON.4;
bit LC2OUT   @ CLC2CON.5;
bit LC2EN    @ CLC2CON.7;

bit LC1G4D1N @ CLC1GLS3.0;
bit LC1G4D1T @ CLC1GLS3.1;
bit LC1G4D2N @ CLC1GLS3.2;
bit LC1G4D2T @ CLC1GLS3.3;
bit LC1G4D3N @ CLC1GLS3.4;
bit LC1G4D3T @ CLC1GLS3.5;
bit LC1G4D4N @ CLC1GLS3.6;
bit LC1G4D4T @ CLC1GLS3.7;

bit LC1G3D1N @ CLC1GLS2.0;
bit LC1G3D1T @ CLC1GLS2.1;
bit LC1G3D2N @ CLC1GLS2.2;
bit LC1G3D2T @ CLC1GLS2.3;
bit LC1G3D3N @ CLC1GLS2.4;
bit LC1G3D3T @ CLC1GLS2.5;
bit LC1G3D4N @ CLC1GLS2.6;
bit LC1G3D4T @ CLC1GLS2.7;

bit LC1G2D1N @ CLC1GLS1.0;
bit LC1G2D1T @ CLC1GLS1.1;
bit LC1G2D2N @ CLC1GLS1.2;
bit LC1G2D2T @ CLC1GLS1.3;
bit LC1G2D3N @ CLC1GLS1.4;
bit LC1G2D3T @ CLC1GLS1.5;
bit LC1G2D4N @ CLC1GLS1.6;
bit LC1G2D4T @ CLC1GLS1.7;

bit LC1G1D1N @ CLC1GLS0.0;
bit LC1G1D1T @ CLC1GLS0.1;
bit LC1G1D2N @ CLC1GLS0.2;
bit LC1G1D2T @ CLC1GLS0.3;
bit LC1G1D3N @ CLC1GLS0.4;
bit LC1G1D3T @ CLC1GLS0.5;
bit LC1G1D4N @ CLC1GLS0.6;
bit LC1G1D4T @ CLC1GLS0.7;

bit LC1D4S0  @ CLC1SEL3.0;
bit LC1D4S1  @ CLC1SEL3.1;
bit LC1D4S2  @ CLC1SEL3.2;
bit LC1D4S3  @ CLC1SEL3.3;
bit LC1D4S4  @ CLC1SEL3.4;
bit LC1D4S5  @ CLC1SEL3.5;
bit LC1D4S6  @ CLC1SEL3.6;
bit LC1D4S7  @ CLC1SEL3.7;

bit LC1D3S0  @ CLC1SEL2.0;
bit LC1D3S1  @ CLC1SEL2.1;
bit LC1D3S2  @ CLC1SEL2.2;
bit LC1D3S3  @ CLC1SEL2.3;
bit LC1D3S4  @ CLC1SEL2.4;
bit LC1D3S5  @ CLC1SEL2.5;
bit LC1D3S6  @ CLC1SEL2.6;
bit LC1D3S7  @ CLC1SEL2.7;

bit LC1D2S0  @ CLC1SEL1.0;
bit LC1D2S1  @ CLC1SEL1.1;
bit LC1D2S2  @ CLC1SEL1.2;
bit LC1D2S3  @ CLC1SEL1.3;
bit LC1D2S4  @ CLC1SEL1.4;
bit LC1D2S5  @ CLC1SEL1.5;
bit LC1D2S6  @ CLC1SEL1.6;
bit LC1D2S7  @ CLC1SEL1.7;

bit LC1D1S0  @ CLC1SEL0.0;
bit LC1D1S1  @ CLC1SEL0.1;
bit LC1D1S2  @ CLC1SEL0.2;
bit LC1D1S3  @ CLC1SEL0.3;
bit LC1D1S4  @ CLC1SEL0.4;
bit LC1D1S5  @ CLC1SEL0.5;
bit LC1D1S6  @ CLC1SEL0.6;
bit LC1D1S7  @ CLC1SEL0.7;

bit LC1G1POL @ CLC1POL.0;
bit LC1G2POL @ CLC1POL.1;
bit LC1G3POL @ CLC1POL.2;
bit LC1G4POL @ CLC1POL.3;
bit LC1POL   @ CLC1POL.7;

bit LC1MODE0 @ CLC1CON.0;
bit LC1MODE1 @ CLC1CON.1;
bit LC1MODE2 @ CLC1CON.2;
bit LC1INTN  @ CLC1CON.3;
bit LC1INTP  @ CLC1CON.4;
bit LC1OUT   @ CLC1CON.5;
bit LC1EN    @ CLC1CON.7;


#if __CC8E__ >= 1500
#pragma config /0 0xF8 FEXTOSC = LP // LP (crystal oscillator) optimized for 32.768 kHz; PFM set to low power
#pragma config /0 0xF9 FEXTOSC = XT // XT (crystal oscillator) above 100 kHz, below 8 MHz; PFM set to medium power
#pragma config /0 0xFA FEXTOSC = HS // HS (crystal oscillator) above 8 MHz; PFM set to high power
#pragma config /0 0xFC FEXTOSC = OFF // Oscillator not enabled
#pragma config /0 0xFD FEXTOSC = ECL // EC (external clock) below 100 kHz; PFM set to low power
#pragma config /0 0xFE FEXTOSC = ECM // EC (external clock) for 500 kHz to 8 MHz; PFM set to medium power
#pragma config /0 0xFF FEXTOSC = ECH // EC (external clock) above 8 MHz; PFM set to high power
#pragma config /0 0x8F RSTOSC = HFINTOSC_64MHZ // HFINTOSC with HFFRQ = 64 MHz and CDIV = 1:1
#pragma config /0 0xAF RSTOSC = EXTOSC_4PLL // EXTOSC with 4x PLL, with EXTOSC operating per FEXTOSC bits
#pragma config /0 0xCF RSTOSC = SOSC // Secondary Oscillator
#pragma config /0 0xDF RSTOSC = LFINTOSC // Low-Frequency Oscillator
#pragma config /0 0xEF RSTOSC = HFINTOSC_1MHZ // HFINTOSC with HFFRQ = 4 MHz and CDIV = 4:1
#pragma config /0 0xFF RSTOSC = EXTOSC // EXTOSC operating per FEXTOSC bits (device manufacturing default)
#pragma config /1 0xFE CLKOUTEN = ON // CLKOUT function is enabled
#pragma config /1 0xFF CLKOUTEN = OFF // CLKOUT function is disabled
#pragma config /1 0xF7 CSWEN = OFF // The NOSC and NDIV bits cannot be changed by user software
#pragma config /1 0xFF CSWEN = ON // Writing to NOSC and NDIV is allowed
#pragma config /1 0xDF FCMEN = OFF // Fail-Safe Clock Monitor disabled
#pragma config /1 0xFF FCMEN = ON // Fail-Safe Clock Monitor enabled
#pragma config /2 0xFE MCLRE = INTMCLR // If LVP = 0, MCLR pin (RE3) is an input; If LVP =1, MCLR pin (RE3) is MCLR
#pragma config /2 0xFF MCLRE = EXTMCLR // MCLR pin (RE3) is MCLR
#pragma config /2 0xFD PWRTE = ON // Power up timer enabled
#pragma config /2 0xFF PWRTE = OFF // Power up timer disabled
#pragma config /2 0xDF LPBOREN = ON // Low power BOR is enabled
#pragma config /2 0xFF LPBOREN = OFF // Low power BOR is disabled
#pragma config /2 0x3F BOREN = OFF // Brown-out Reset disabled
#pragma config /2 0x7F BOREN = ON // Brown-out Reset enabled according to SBOREN
#pragma config /2 0xBF BOREN = NOSLP // Brown-out Reset enabled while running, disabled in Sleep; SBOREN is ignored
#pragma config /2 0xFF BOREN = SBORDIS // Brown-out Reset enabled , SBOREN bit is ignored
#pragma config /3 0xFC BORV = VBOR_285 // Brown-out Reset Voltage (VBOR) set to 2.85V
#pragma config /3 0xFD BORV = VBOR_270 // Brown-out Reset Voltage (VBOR) set to 2.70V
#pragma config /3 0xFE BORV = VBOR_245 // Brown-out Reset Voltage (VBOR) set to 2.45V
#pragma config /3 0xFF BORV = VBOR_190 // Brown-out Reset Voltage (VBOR) set to 1.90V
#pragma config /3 0xFB ZCD = ON // ZCD always enabled
#pragma config /3 0xFF ZCD = OFF // ZCD disabled. ZCD can be enabled by setting the ZCDSEN bit of ZCDCON
#pragma config /3 0xF7 PPS1WAY = OFF // PPSLOCK bit can be set and cleared repeatedly (subject to the unlock sequence)
#pragma config /3 0xFF PPS1WAY = ON // PPSLOCK bit can be cleared and set only once; PPS registers remain locked after one clear/set cycle
#pragma config /3 0xEF STVREN = OFF // Stack full/underflow will not cause Reset
#pragma config /3 0xFF STVREN = ON // Stack full/underflow will cause Reset
#pragma config /3 0x7F XINST = ON // Extended Instruction Set and Indexed Addressing Mode enabled
#pragma config /3 0xFF XINST = OFF // Extended Instruction Set and Indexed Addressing Mode disabled
#pragma config /4 0xE0 WDTCPS = WDTCPS_0 // Divider ratio 1:32
#pragma config /4 0xE1 WDTCPS = WDTCPS_1 // Divider ratio 1:64
#pragma config /4 0xE2 WDTCPS = WDTCPS_2 // Divider ratio 1:128
#pragma config /4 0xE3 WDTCPS = WDTCPS_3 // Divider ratio 1:256
#pragma config /4 0xE4 WDTCPS = WDTCPS_4 // Divider ratio 1:512
#pragma config /4 0xE5 WDTCPS = WDTCPS_5 // Divider ratio 1:1024
#pragma config /4 0xE6 WDTCPS = WDTCPS_6 // Divider ratio 1:2048
#pragma config /4 0xE7 WDTCPS = WDTCPS_7 // Divider ratio 1:4096
#pragma config /4 0xE8 WDTCPS = WDTCPS_8 // Divider ratio 1:8192
#pragma config /4 0xE9 WDTCPS = WDTCPS_9 // Divider ratio 1:16384
#pragma config /4 0xEA WDTCPS = WDTCPS_10 // Divider ratio 1:32768
#pragma config /4 0xEB WDTCPS = WDTCPS_11 // Divider ratio 1:65536
#pragma config /4 0xEC WDTCPS = WDTCPS_12 // Divider ratio 1:131072
#pragma config /4 0xED WDTCPS = WDTCPS_13 // Divider ratio 1:262144
#pragma config /4 0xEE WDTCPS = WDTCPS_14 // Divider ratio 1:524299
#pragma config /4 0xEF WDTCPS = WDTCPS_15 // Divider ratio 1:1048576
#pragma config /4 0xF0 WDTCPS = WDTCPS_16 // Divider ratio 1:2097152
#pragma config /4 0xF1 WDTCPS = WDTCPS_17 // Divider ratio 1:4194304
#pragma config /4 0xF2 WDTCPS = WDTCPS_18 // Divider ratio 1:8388608
#pragma config /4 0xF3 WDTCPS = WDTCPS_19 // Divider ratio 1:32
#pragma config /4 0xF4 WDTCPS = WDTCPS_20 // Divider ratio 1:32
#pragma config /4 0xF5 WDTCPS = WDTCPS_21 // Divider ratio 1:32
#pragma config /4 0xF6 WDTCPS = WDTCPS_22 // Divider ratio 1:32
#pragma config /4 0xF7 WDTCPS = WDTCPS_23 // Divider ratio 1:32
#pragma config /4 0xF8 WDTCPS = WDTCPS_24 // Divider ratio 1:32
#pragma config /4 0xF9 WDTCPS = WDTCPS_25 // Divider ratio 1:32
#pragma config /4 0xFA WDTCPS = WDTCPS_26 // Divider ratio 1:32
#pragma config /4 0xFB WDTCPS = WDTCPS_27 // Divider ratio 1:32
#pragma config /4 0xFC WDTCPS = WDTCPS_28 // Divider ratio 1:32
#pragma config /4 0xFD WDTCPS = WDTCPS_29 // Divider ratio 1:32
#pragma config /4 0xFE WDTCPS = WDTCPS_30 // Divider ratio 1:32
#pragma config /4 0xFF WDTCPS = WDTCPS_31 // Divider ratio 1:65536; software control of WDTPS
#pragma config /4 0x9F WDTE = OFF // WDT Disabled
#pragma config /4 0xBF WDTE = SWDTEN // WDT enabled/disabled by SWDTEN bit
#pragma config /4 0xDF WDTE = NSLEEP // WDT disabled in sleep, enabled when not in sleep
#pragma config /4 0xFF WDTE = ON // WDT always enabled
#pragma config /5 0xF8 WDTCWS = WDTCWS_0 // window delay = 87.5 % of time; no software control; keyed access required
#pragma config /5 0xF9 WDTCWS = WDTCWS_1 // window delay = 75 % of time; no software control; keyed access required
#pragma config /5 0xFA WDTCWS = WDTCWS_2 // window delay = 62.5 % of time; no software control; keyed access required
#pragma config /5 0xFB WDTCWS = WDTCWS_3 // window delay = 50 % of time; no software control; keyed access required
#pragma config /5 0xFC WDTCWS = WDTCWS_4 // window delay = 37.5 % of time; no software control; keyed access required
#pragma config /5 0xFD WDTCWS = WDTCWS_5 // window delay = 25 % of time; no software control; keyed access required
#pragma config /5 0xFE WDTCWS = WDTCWS_6 // window always open (100%); no software control; keyed access required
#pragma config /5 0xFF WDTCWS = WDTCWS_7 // window always open (100%); software control; keyed access not required
#pragma config /5 0xC7 WDTCCS = LFINTOSC // WDT reference clock is the 31.0 kHz LFINTOSC
#pragma config /5 0xCF WDTCCS = HFINTOSC // WDT reference clock is the 31.25 kHz MFINTOSC output
#pragma config /5 0xFF WDTCCS = SC // Software Control
#pragma config /6 0xFE WRT0 = ON // Block 0 (000800-001FFFh) write-protected
#pragma config /6 0xFF WRT0 = OFF // Block 0 (000800-001FFFh) not write-protected
#pragma config /6 0xFD WRT1 = ON // Block 1 (002000-003FFFh) write-protected
#pragma config /6 0xFF WRT1 = OFF // Block 1 (002000-003FFFh) not write-protected
#pragma config /6 0xFB WRT2 = ON // Block 2 (004000-005FFFh) write-protected
#pragma config /6 0xFF WRT2 = OFF // Block 2 (004000-005FFFh) not write-protected
#pragma config /6 0xF7 WRT3 = ON // Block 3 (006000-007FFFh) write-protected
#pragma config /6 0xFF WRT3 = OFF // Block 3 (006000-007FFFh) not write-protected
#pragma config /7 0xFE WRTC = ON // Configuration registers (300000-30000Bh) write-protected
#pragma config /7 0xFF WRTC = OFF // Configuration registers (300000-30000Bh) not write-protected
#pragma config /7 0xFD WRTB = ON // Boot Block (000000-0007FFh) write-protected
#pragma config /7 0xFF WRTB = OFF // Boot Block (000000-0007FFh) not write-protected
#pragma config /7 0xFB WRTD = ON // Data EEPROM write-protected
#pragma config /7 0xFF WRTD = OFF // Data EEPROM not write-protected
#pragma config /7 0xEF SCANE = OFF // Scanner module is NOT available for use, SCANMD bit is ignored
#pragma config /7 0xFF SCANE = ON // Scanner module is available for use, SCANMD bit can control the module
#pragma config /7 0xDF LVP = OFF // HV on MCLR/VPP must be used for programming
#pragma config /7 0xFF LVP = ON // Low voltage programming enabled. MCLR/VPP pin function is MCLR. MCLRE configuration bit is ignored
#pragma config /8 0xFE CP = ON // UserNVM code protection enabled
#pragma config /8 0xFF CP = OFF // UserNVM code protection disabled
#pragma config /8 0xFD CPD = ON // DataNVM code protection enabled
#pragma config /8 0xFF CPD = OFF // DataNVM code protection disabled
#pragma config /10 0xFE EBTR0 = ON // Block 0 (000800-001FFFh) protected from table reads executed in other blocks
#pragma config /10 0xFF EBTR0 = OFF // Block 0 (000800-001FFFh) not protected from table reads executed in other blocks
#pragma config /10 0xFD EBTR1 = ON // Block 1 (002000-003FFFh) protected from table reads executed in other blocks
#pragma config /10 0xFF EBTR1 = OFF // Block 1 (002000-003FFFh) not protected from table reads executed in other blocks
#pragma config /10 0xFB EBTR2 = ON // Block 2 (004000-005FFFh) protected from table reads executed in other blocks
#pragma config /10 0xFF EBTR2 = OFF // Block 2 (004000-005FFFh) not protected from table reads executed in other blocks
#pragma config /10 0xF7 EBTR3 = ON // Block 3 (006000-007FFFh) protected from table reads executed in other blocks
#pragma config /10 0xFF EBTR3 = OFF // Block 3 (006000-007FFFh) not protected from table reads executed in other blocks
#pragma config /11 0xFD EBTRB = ON // Boot Block (000000-0007FFh) protected from table reads executed in other blocks
#pragma config /11 0xFF EBTRB = OFF // Boot Block (000000-0007FFh) not protected from table reads executed in other blocks
#endif
