// Header file
#pragma chip PIC18F46K42, core 16 enh, code 32768, ram 0 : 0xFFF

#ifdef ICD2_DEBUG
 #error ICD2 reservations are not defined!
 //#pragma stackLevels 29   // reserve two levels for debugging
#endif

// Extended Instruction Set

#pragma accessGPR 0x60


/* Predefined:
TOSU,TOSH,TOSL,
STKPTR,
PCLATU,PCLATH,PCL,
TBLPTRU,TBLPTRH,TBLPTRL,TBLPTR,TABLAT,
PRODH,PRODL,
INDF0,POSTINC0,POSTDEC0,PREINC0,PLUSW0,FSR0H,FSR0L,FSR0,
WREG,
INDF1,POSTINC1,POSTDEC1,PREINC1,PLUSW1,FSR1H,FSR1L,FSR1,
BSR,BSRL,
INDF2,POSTINC2,POSTDEC2,PREINC2,PLUSW2,FSR2H,FSR2L,FSR2,
STATUS,
Carry,DC,Zero_,Overflow,Negative,
*/

uns24 IVTBASE24 @ 0x3FD5;


char PCON1    @ 0x3FF1;
char PCON0    @ 0x3FF0;

char IVTBASEU @ 0x3FD7;
char IVTBASEH @ 0x3FD6;
char IVTBASEL @ 0x3FD5;
char IVTLOCK  @ 0x3FD4;
char INTCON1  @ 0x3FD3;
char INTCON0  @ 0x3FD2;

char PORTE    @ 0x3FCE;
char PORTD    @ 0x3FCD;
char PORTC    @ 0x3FCC;
char PORTB    @ 0x3FCB;
char PORTA    @ 0x3FCA;

char TRISE    @ 0x3FC6;
char TRISD    @ 0x3FC5;
char TRISC    @ 0x3FC4;
char TRISB    @ 0x3FC3;
char TRISA    @ 0x3FC2;

char LATE     @ 0x3FBE;
char LATD     @ 0x3FBD;
char LATC     @ 0x3FBC;
char LATB     @ 0x3FBB;
char LATA     @ 0x3FBA;
char T0CON1   @ 0x3FB9;
char T0CON0   @ 0x3FB8;
char TMR0H    @ 0x3FB7;
char TMR0L    @ 0x3FB6;
char TMR1CLK  @ 0x3FB5;
char T1CLK    @ TMR1CLK;
char TMR1GATE @ 0x3FB4;
char T1GATE   @ TMR1GATE;
char TMR1GCON @ 0x3FB3;
char T1GCON   @ TMR1GCON;
char TMR1CON  @ 0x3FB2;
char T1CON    @ TMR1CON;
char TMR1H    @ 0x3FB1;
char TMR1L    @ 0x3FB0;
char T2RST    @ 0x3FAF;
char T2CLKCON @ 0x3FAE;
char T2HLT    @ 0x3FAD;
char T2CON    @ 0x3FAC;
char T2PR     @ 0x3FAB;
char T2TMR    @ 0x3FAA;
char TMR3CLK  @ 0x3FA9;
char T3CLK    @ TMR3CLK;
char TMR3GATE @ 0x3FA8;
char T3GATE   @ TMR3GATE;
char TMR3GCON @ 0x3FA7;
char T3GCON   @ TMR3GCON;
char TMR3CON  @ 0x3FA6;
char T3CON    @ TMR3CON;
char TMR3H    @ 0x3FA5;
char TMR3L    @ 0x3FA4;
char T4RST    @ 0x3FA3;
char T4CLKCON @ 0x3FA2;
char T4HLT    @ 0x3FA1;
char T4CON    @ 0x3FA0;
char T4PR     @ 0x3F9F;
char T4TMR    @ 0x3F9E;
char TMR5CLK  @ 0x3F9D;
char T5CLK    @ TMR5CLK;
char TMR5GATE @ 0x3F9C;
char T5GATE   @ TMR5GATE;
char TMR5GCON @ 0x3F9B;
char T5GCON   @ TMR5GCON;
char TMR5CON  @ 0x3F9A;
char T5CON    @ TMR5CON;
char TMR5H    @ 0x3F99;
char TMR5L    @ 0x3F98;
char T6RST    @ 0x3F97;
char T6CLKCON @ 0x3F96;
char T6HLT    @ 0x3F95;
char T6CON    @ 0x3F94;
char T6PR     @ 0x3F93;
char T6TMR    @ 0x3F92;

char CCP1CAP  @ 0x3F7F;
char CCP1CON  @ 0x3F7E;
char CCPR1H   @ 0x3F7D;
char CCPR1L   @ 0x3F7C;
char CCP2CAP  @ 0x3F7B;
char CCP2CON  @ 0x3F7A;
char CCPR2H   @ 0x3F79;
char CCPR2L   @ 0x3F78;
char CCP3CAP  @ 0x3F77;
char CCP3CON  @ 0x3F76;
char CCPR3H   @ 0x3F75;
char CCPR3L   @ 0x3F74;
char CCP4CAP  @ 0x3F73;
char CCP4CON  @ 0x3F72;
char CCPR4H   @ 0x3F71;
char CCPR4L   @ 0x3F70;

char PWM5CON  @ 0x3F6E;
char PWM5DCH  @ 0x3F6D;
char PWM5DCL  @ 0x3F6C;

char PWM6CON  @ 0x3F6A;
char PWM6DCH  @ 0x3F69;
char PWM6DCL  @ 0x3F68;

char PWM7CON  @ 0x3F66;
char PWM7DCH  @ 0x3F65;
char PWM7DCL  @ 0x3F64;

char PWM8CON  @ 0x3F62;
char PWM8DCH  @ 0x3F61;
char PWM8DCL  @ 0x3F60;
char CCPTMRS1 @ 0x3F5F;
char CCPTMRS0 @ 0x3F5E;

char CWG1STR  @ 0x3F5A;
char CWG1AS1  @ 0x3F59;
char CWG1AS0  @ 0x3F58;
char CWG1CON1 @ 0x3F57;
char CWG1CON0 @ 0x3F56;
char CWG1DBF  @ 0x3F55;
char CWG1DBR  @ 0x3F54;
char CWG1ISM  @ 0x3F53;
char CWG1CLKCON @ 0x3F52;
char CWG2STR  @ 0x3F51;
char CWG2AS1  @ 0x3F50;
char CWG2AS0  @ 0x3F4F;
char CWG2CON1 @ 0x3F4E;
char CWG2CON0 @ 0x3F4D;
char CWG2DBF  @ 0x3F4C;
char CWG2DBR  @ 0x3F4B;
char CWG2ISM  @ 0x3F4A;
char CWG2CLKCON @ 0x3F49;
char CWG3STR  @ 0x3F48;
char CWG3AS1  @ 0x3F47;
char CWG3AS0  @ 0x3F46;
char CWG3CON1 @ 0x3F45;
char CWG3CON0 @ 0x3F44;
char CWG3DBF  @ 0x3F43;
char CWG3DBR  @ 0x3F42;
char CWG3ISM  @ 0x3F41;
char CWG3CLKCON @ 0x3F40;
char NCO1CLK  @ 0x3F3F;
char NCO1CON  @ 0x3F3E;
char NCO1INCU @ 0x3F3D;
char NCO1INCH @ 0x3F3C;
char NCO1INCL @ 0x3F3B;
char NCO1ACCU @ 0x3F3A;
char NCO1ACCH @ 0x3F39;
char NCO1ACCL @ 0x3F38;

char SMT1WIN  @ 0x3F23;
char SMT1SIG  @ 0x3F22;
char SMT1CLK  @ 0x3F21;
char SMT1STAT @ 0x3F20;
char SMT1CON1 @ 0x3F1F;
char SMT1CON0 @ 0x3F1E;
char SMT1PRU  @ 0x3F1D;
char SMT1PRH  @ 0x3F1C;
char SMT1PRL  @ 0x3F1B;
char SMT1CPWU @ 0x3F1A;
char SMT1CPWH @ 0x3F19;
char SMT1CPWL @ 0x3F18;
char SMT1CPRU @ 0x3F17;
char SMT1CPRH @ 0x3F16;
char SMT1CPRL @ 0x3F15;
char SMT1TMRU @ 0x3F14;
char SMT1TMRH @ 0x3F13;
char SMT1TMRL @ 0x3F12;

char ADCLK    @ 0x3EFF;
char ADACT    @ 0x3EFE;
char ADREF    @ 0x3EFD;
char ADSTAT   @ 0x3EFC;
char ADCON3   @ 0x3EFB;
char ADCON2   @ 0x3EFA;
char ADCON1   @ 0x3EF9;
char ADCON0   @ 0x3EF8;
char ADPREH   @ 0x3EF7;
char ADPREL   @ 0x3EF6;
char ADCAP    @ 0x3EF5;
char ADACQH   @ 0x3EF4;
char ADACQL   @ 0x3EF3;

char ADPCH    @ 0x3EF1;
char ADRESH   @ 0x3EF0;
char ADRESL   @ 0x3EEF;
char ADPREVH  @ 0x3EEE;
char ADPREVL  @ 0x3EED;
char ADRPT    @ 0x3EEC;
char ADCNT    @ 0x3EEB;
char ADACCU   @ 0x3EEA;
char ADACCH   @ 0x3EE9;
char ADACCL   @ 0x3EE8;
char ADFLTRH  @ 0x3EE7;
char ADFLTRL  @ 0x3EE6;
char ADSTPTH  @ 0x3EE5;
char ADSTPTL  @ 0x3EE4;
char ADERRH   @ 0x3EE3;
char ADERRL   @ 0x3EE2;
char ADUTHH   @ 0x3EE1;
char ADUTHL   @ 0x3EE0;
char ADLTHH   @ 0x3EDF;
char ADLTHL   @ 0x3EDE;

char ADCP     @ 0x3ED7;

char HLVDCON1 @ 0x3ECA;
char HLVDCON0 @ 0x3EC9;

char ZCDCON   @ 0x3EC3;

char FVRCON   @ 0x3EC1;
char CMOUT    @ 0x3EC0;
char CM1PCH   @ 0x3EBF;
char CM1NCH   @ 0x3EBE;
char CM1CON1  @ 0x3EBD;
char CM1CON0  @ 0x3EBC;
char CM2PCH   @ 0x3EBB;
char CM2NCH   @ 0x3EBA;
char CM2CON1  @ 0x3EB9;
char CM2CON0  @ 0x3EB8;

char DAC1CON0 @ 0x3E9E;

char DAC1CON1 @ 0x3E9C;

char U1ERRIE  @ 0x3DFA;
char U1ERRIR  @ 0x3DF9;
char U1UIR    @ 0x3DF8;
char U1FIFO   @ 0x3DF7;
char U1BRGH   @ 0x3DF6;
char U1BRGL   @ 0x3DF5;
char U1CON2   @ 0x3DF4;
char U1CON1   @ 0x3DF3;
char U1CON0   @ 0x3DF2;
char U1P3H    @ 0x3DF1;
char U1P3L    @ 0x3DF0;
char U1P2H    @ 0x3DEF;
char U1P2L    @ 0x3DEE;
char U1P1H    @ 0x3DED;
char U1P1L    @ 0x3DEC;
char U1TXCHK  @ 0x3DEB;
char U1TXBL   @ 0x3DEA;
char U1RXCHK  @ 0x3DE9;
char U1RXBL   @ 0x3DE8;

char U2ERRIE  @ 0x3DE2;
char U2ERRIR  @ 0x3DE1;
char U2UIR    @ 0x3DE0;
char U2FIFO   @ 0x3DDF;
char U2BRGH   @ 0x3DDE;
char U2BRGL   @ 0x3DDD;
char U2CON2   @ 0x3DDC;
char U2CON1   @ 0x3DDB;
char U2CON0   @ 0x3DDA;

char U2P3L    @ 0x3DD8;

char U2P2L    @ 0x3DD6;

char U2P1L    @ 0x3DD4;

char U2TXBL   @ 0x3DD2;

char U2RXBL   @ 0x3DD0;

char I2C1BTO  @ 0x3D7C;
char I2C1CLK  @ 0x3D7B;
char I2C1PIE  @ 0x3D7A;
char I2C1PIR  @ 0x3D79;
char I2C1STAT1 @ 0x3D78;
char I2C1STAT0 @ 0x3D77;
char I2C1ERR  @ 0x3D76;
char I2C1CON2 @ 0x3D75;
char I2C1CON1 @ 0x3D74;
char I2C1CON0 @ 0x3D73;
char I2C1ADR3 @ 0x3D72;
char I2C1ADR2 @ 0x3D71;
char I2C1ADR1 @ 0x3D70;
char I2C1ADR0 @ 0x3D6F;
char I2C1ADB1 @ 0x3D6E;
char I2C1ADB0 @ 0x3D6D;
char I2C1CNT  @ 0x3D6C;
char I2C1TXB  @ 0x3D6B;
char I2C1RXB  @ 0x3D6A;

char I2C2BTO  @ 0x3D66;
char I2C2CLK  @ 0x3D65;
char I2C2PIE  @ 0x3D64;
char I2C2PIR  @ 0x3D63;
char I2C2STAT1 @ 0x3D62;
char I2C2STAT0 @ 0x3D61;
char I2C2ERR  @ 0x3D60;
char I2C2CON2 @ 0x3D5F;
char I2C2CON1 @ 0x3D5E;
char I2C2CON0 @ 0x3D5D;
char I2C2ADR3 @ 0x3D5C;
char I2C2ADR2 @ 0x3D5B;
char I2C2ADR1 @ 0x3D5A;
char I2C2ADR0 @ 0x3D59;
char I2C2ADB1 @ 0x3D58;
char I2C2ADB0 @ 0x3D57;
char I2C2CNT  @ 0x3D56;
char I2C2TXB  @ 0x3D55;
char I2C2RXB  @ 0x3D54;

char SPI1CLK  @ 0x3D1C;
char SPI1INTE @ 0x3D1B;
char SPI1INTF @ 0x3D1A;
char SPI1BAUD @ 0x3D19;
char SPI1TWIDTH @ 0x3D18;
char SPI1STATUS @ 0x3D17;
char SPI1CON2 @ 0x3D16;
char SPI1CON1 @ 0x3D15;
char SPI1CON0 @ 0x3D14;
char SPI1TCNTH @ 0x3D13;
char SPI1TCNTL @ 0x3D12;
char SPI1TXB  @ 0x3D11;
char SPI1RXB  @ 0x3D10;

char MD1CARH  @ 0x3CFE;
char MD1CARL  @ 0x3CFD;
char MD1SRC   @ 0x3CFC;
char MD1CON1  @ 0x3CFB;
char MD1CON0  @ 0x3CFA;

char CLKRCLK  @ 0x3CE6;
char CLKRCON  @ 0x3CE5;

char CLCDATA0 @ 0x3C7E;
char CLC1GLS3 @ 0x3C7D;
char CLC1GLS2 @ 0x3C7C;
char CLC1GLS1 @ 0x3C7B;
char CLC1GLS0 @ 0x3C7A;
char CLC1SEL3 @ 0x3C79;
char CLC1SEL2 @ 0x3C78;
char CLC1SEL1 @ 0x3C77;
char CLC1SEL0 @ 0x3C76;
char CLC1POL  @ 0x3C75;
char CLC1CON  @ 0x3C74;
char CLC2GLS3 @ 0x3C73;
char CLC2GLS2 @ 0x3C72;
char CLC2GLS1 @ 0x3C71;
char CLC2GLS0 @ 0x3C70;
char CLC2SEL3 @ 0x3C6F;
char CLC2SEL2 @ 0x3C6E;
char CLC2SEL1 @ 0x3C6D;
char CLC2SEL0 @ 0x3C6C;
char CLC2POL  @ 0x3C6B;
char CLC2CON  @ 0x3C6A;
char CLC3GLS3 @ 0x3C69;
char CLC3GLS2 @ 0x3C68;
char CLC3GLS1 @ 0x3C67;
char CLC3GLS0 @ 0x3C66;
char CLC3SEL3 @ 0x3C65;
char CLC3SEL2 @ 0x3C64;
char CLC3SEL1 @ 0x3C63;
char CLC3SEL0 @ 0x3C62;
char CLC3POL  @ 0x3C61;
char CLC3CON  @ 0x3C60;
char CLC4GLS3 @ 0x3C5F;
char CLC4GLS2 @ 0x3C5E;
char CLC4GLS1 @ 0x3C5D;
char CLC4GLS0 @ 0x3C5C;
char CLC4SEL3 @ 0x3C5B;
char CLC4SEL2 @ 0x3C5A;
char CLC4SEL1 @ 0x3C59;
char CLC4SEL0 @ 0x3C58;
char CLC4POL  @ 0x3C57;
char CLC4CON  @ 0x3C56;

char DMA1SIRQ @ 0x3BFF;
char DMA1AIRQ @ 0x3BFE;
char DMA1CON1 @ 0x3BFD;
char DMA1CON0 @ 0x3BFC;
char DMA1SSAU @ 0x3BFB;
char DMA1SSAH @ 0x3BFA;
char DMA1SSAL @ 0x3BF9;
char DMA1SSZH @ 0x3BF8;
char DMA1SSZL @ 0x3BF7;
char DMA1SPTRU @ 0x3BF6;
char DMA1SPTRH @ 0x3BF5;
char DMA1SPTRL @ 0x3BF4;
char DMA1SCNTH @ 0x3BF3;
char DMA1SCNTL @ 0x3BF2;
char DMA1DSAH @ 0x3BF1;
char DMA1DSAL @ 0x3BF0;
char DMA1DSZH @ 0x3BEF;
char DMA1DSZL @ 0x3BEE;
char DMA1DPTRH @ 0x3BED;
char DMA1DPTRL @ 0x3BEC;
char DMA1DCNTH @ 0x3BEB;
char DMA1DCNTL @ 0x3BEA;
char DMA1BUF  @ 0x3BE9;

char DMA2SIRQ @ 0x3BDF;
char DMA2AIRQ @ 0x3BDE;
char DMA2CON1 @ 0x3BDD;
char DMA2CON0 @ 0x3BDC;
char DMA2SSAU @ 0x3BDB;
char DMA2SSAH @ 0x3BDA;
char DMA2SSAL @ 0x3BD9;
char DMA2SSZH @ 0x3BD8;
char DMA2SSZL @ 0x3BD7;
char DMA2SPTRU @ 0x3BD6;
char DMA2SPTRH @ 0x3BD5;
char DMA2SPTRL @ 0x3BD4;
char DMA2SCNTH @ 0x3BD3;
char DMA2SCNTL @ 0x3BD2;
char DMA2DSAH @ 0x3BD1;
char DMA2DSAL @ 0x3BD0;
char DMA2DSZH @ 0x3BCF;
char DMA2DSZL @ 0x3BCE;
char DMA2DPTRH @ 0x3BCD;
char DMA2DPTRL @ 0x3BCC;
char DMA2DCNTH @ 0x3BCB;
char DMA2DCNTL @ 0x3BCA;
char DMA2BUF  @ 0x3BC9;

char U2CTSPPS @ 0x3AE9;
char U2RXPPS  @ 0x3AE8;

char U1CTSPPS @ 0x3AE6;
char U1RXPPS  @ 0x3AE5;
char I2C2SDAPPS @ 0x3AE4;
char I2C2SCLPPS @ 0x3AE3;
char I2C1SDAPPS @ 0x3AE2;
char I2C1SCLPPS @ 0x3AE1;
char SPI1SSPPS @ 0x3AE0;
char SPI1SDIPPS @ 0x3ADF;
char SPI1SCKPPS @ 0x3ADE;
char ADACTPPS @ 0x3ADD;
char CLCIN3PPS @ 0x3ADC;
char CLCIN2PPS @ 0x3ADB;
char CLCIN1PPS @ 0x3ADA;
char CLCIN0PPS @ 0x3AD9;
char MD1SRCPPS @ 0x3AD8;
char MD1CARHPPS @ 0x3AD7;
char MD1CARLPPS @ 0x3AD6;
char CWG3INPPS @ 0x3AD5;
char CWG2INPPS @ 0x3AD4;
char CWG1INPPS @ 0x3AD3;
char SMT1SIGPPS @ 0x3AD2;
char SMT1WINPPS @ 0x3AD1;
char CCP4PPS  @ 0x3AD0;
char CCP3PPS  @ 0x3ACF;
char CCP2PPS  @ 0x3ACE;
char CCP1PPS  @ 0x3ACD;
char T6INPPS  @ 0x3ACC;
char T4INPPS  @ 0x3ACB;
char T2INPPS  @ 0x3ACA;
char T5GPPS   @ 0x3AC9;
char T5CKIPPS @ 0x3AC8;
char T3GPPS   @ 0x3AC7;
char T3CKIPPS @ 0x3AC6;
char T1GPPS   @ 0x3AC5;
char T1CKIPPS @ 0x3AC4;
char T0CKIPPS @ 0x3AC3;
char INT2PPS  @ 0x3AC2;
char INT1PPS  @ 0x3AC1;
char INT0PPS  @ 0x3AC0;
char PPSLOCK  @ 0x3ABF;
char CCDCON   @ 0x3ABE;

char CCDNE    @ 0x3A89;
char CCDPE    @ 0x3A88;
char IOCEF    @ 0x3A87;
char IOCEN    @ 0x3A86;
char IOCEP    @ 0x3A85;
char INLVLE   @ 0x3A84;
char SLRCONE  @ 0x3A83;
char ODCONE   @ 0x3A82;
char WPUE     @ 0x3A81;
char ANSELE   @ 0x3A80;

char RD1I2C   @ 0x3A7B;
char RD0I2C   @ 0x3A7A;
char CCDND    @ 0x3A79;
char CCDPD    @ 0x3A78;

char INLVLD   @ 0x3A74;
char SLRCOND  @ 0x3A73;
char ODCOND   @ 0x3A72;
char WPUD     @ 0x3A71;
char ANSELD   @ 0x3A70;

char RC4I2C   @ 0x3A6B;
char RC3I2C   @ 0x3A6A;
char CCDNC    @ 0x3A69;
char CCDPC    @ 0x3A68;
char IOCCF    @ 0x3A67;
char IOCCN    @ 0x3A66;
char IOCCP    @ 0x3A65;
char INLVLC   @ 0x3A64;
char SLRCONC  @ 0x3A63;
char ODCONC   @ 0x3A62;
char WPUC     @ 0x3A61;
char ANSELC   @ 0x3A60;

char RB2I2C   @ 0x3A5B;
char RB1I2C   @ 0x3A5A;
char CCDNB    @ 0x3A59;
char CCDPB    @ 0x3A58;
char IOCBF    @ 0x3A57;
char IOCBN    @ 0x3A56;
char IOCBP    @ 0x3A55;
char INLVLB   @ 0x3A54;
char SLRCONB  @ 0x3A53;
char ODCONB   @ 0x3A52;
char WPUB     @ 0x3A51;
char ANSELB   @ 0x3A50;

char CCDNA    @ 0x3A49;
char CCDPA    @ 0x3A48;
char IOCAF    @ 0x3A47;
char IOCAN    @ 0x3A46;
char IOCAP    @ 0x3A45;
char INLVLA   @ 0x3A44;
char SLRCONA  @ 0x3A43;
char ODCONA   @ 0x3A42;
char WPUA     @ 0x3A41;
char ANSELA   @ 0x3A40;

char RE2PPS   @ 0x3A22;
char RE1PPS   @ 0x3A21;
char RE0PPS   @ 0x3A20;
char RD7PPS   @ 0x3A1F;
char RD6PPS   @ 0x3A1E;
char RD5PPS   @ 0x3A1D;
char RD4PPS   @ 0x3A1C;
char RD3PPS   @ 0x3A1B;
char RD2PPS   @ 0x3A1A;
char RD1PPS   @ 0x3A19;
char RD0PPS   @ 0x3A18;
char RC7PPS   @ 0x3A17;
char RC6PPS   @ 0x3A16;
char RC5PPS   @ 0x3A15;
char RC4PPS   @ 0x3A14;
char RC3PPS   @ 0x3A13;
char RC2PPS   @ 0x3A12;
char RC1PPS   @ 0x3A11;
char RC0PPS   @ 0x3A10;
char RB7PPS   @ 0x3A0F;
char RB6PPS   @ 0x3A0E;
char RB5PPS   @ 0x3A0D;
char RB4PPS   @ 0x3A0C;
char RB3PPS   @ 0x3A0B;
char RB2PPS   @ 0x3A0A;
char RB1PPS   @ 0x3A09;
char RB0PPS   @ 0x3A08;
char RA7PPS   @ 0x3A07;
char RA6PPS   @ 0x3A06;
char RA5PPS   @ 0x3A05;
char RA4PPS   @ 0x3A04;
char RA3PPS   @ 0x3A03;
char RA2PPS   @ 0x3A02;
char RA1PPS   @ 0x3A01;
char RA0PPS   @ 0x3A00;

char SCANPR   @ 0x39F7;

char DMA2PR   @ 0x39F4;
char DMA1PR   @ 0x39F3;
char MAINPR   @ 0x39F2;
char ISRPR    @ 0x39F1;

char PRLOCK   @ 0x39EF;

char NVMCON2  @ 0x39E6;
char NVMCON1  @ 0x39E5;

char NVMDAT   @ 0x39E3;

char NVMADRH  @ 0x39E1;
char NVMADRL  @ 0x39E0;
char OSCFRQ   @ 0x39DF;
char OSCTUNE  @ 0x39DE;
char OSCEN    @ 0x39DD;
char OSCSTAT1 @ 0x39DC;
char OSCSTAT  @ OSCSTAT1;
char OSCCON3  @ 0x39DB;
char OSCCON2  @ 0x39DA;
char OSCCON1  @ 0x39D9;
char CPUDOZE  @ 0x39D8;

#if _18F46K42
char VREGCON  @ 0x39D1;
#endif
char BORCON   @ 0x39D0;

char PMD7     @ 0x39C7;
char PMD6     @ 0x39C6;
char PMD5     @ 0x39C5;
char PMD4     @ 0x39C4;
char PMD3     @ 0x39C3;
char PMD2     @ 0x39C2;
char PMD1     @ 0x39C1;
char PMD0     @ 0x39C0;

char PIR10    @ 0x39AA;
char PIR9     @ 0x39A9;
char PIR8     @ 0x39A8;
char PIR7     @ 0x39A7;
char PIR6     @ 0x39A6;
char PIR5     @ 0x39A5;
char PIR4     @ 0x39A4;
char PIR3     @ 0x39A3;
char PIR2     @ 0x39A2;
char PIR1     @ 0x39A1;
char PIR0     @ 0x39A0;

char PIE10    @ 0x399A;
char PIE9     @ 0x3999;
char PIE8     @ 0x3998;
char PIE7     @ 0x3997;
char PIE6     @ 0x3996;
char PIE5     @ 0x3995;
char PIE4     @ 0x3994;
char PIE3     @ 0x3993;
char PIE2     @ 0x3992;
char PIE1     @ 0x3991;
char PIE0     @ 0x3990;

char IPR10    @ 0x398A;
char IPR9     @ 0x3989;
char IPR8     @ 0x3988;
char IPR7     @ 0x3987;
char IPR6     @ 0x3986;
char IPR5     @ 0x3985;
char IPR4     @ 0x3984;
char IPR3     @ 0x3983;
char IPR2     @ 0x3982;
char IPR1     @ 0x3981;
char IPR0     @ 0x3980;

char SCANTRIG @ 0x397D;
char SCANCON0 @ 0x397C;
char SCANHADRU @ 0x397B;
char SCANHADRH @ 0x397A;
char SCANHADRL @ 0x3979;
char SCANLADRU @ 0x3978;
char SCANLADRH @ 0x3977;
char SCANLADRL @ 0x3976;

char CRCCON1  @ 0x3969;
char CRCCON0  @ 0x3968;
char CRCXORH  @ 0x3967;
char CRCXORL  @ 0x3966;
char CRCSHIFTH @ 0x3965;
char CRCSHIFTL @ 0x3964;
char CRCACCH  @ 0x3963;
char CRCACCL  @ 0x3962;
char CRCDATH  @ 0x3961;
char CRCDATL  @ 0x3960;
char WDTTMR   @ 0x395F;
char WDTPSH   @ 0x395E;
char WDTPSL   @ 0x395D;
char WDTCON1  @ 0x395C;
char WDTCON0  @ 0x395B;

char IVTADU   @ 0x389F;
char IVTADH   @ 0x389E;
char IVTADL   @ 0x389D;

char PRODH_SHAD @ 0x3890;
char PRODL_SHAD @ 0x388F;
char FSR2H_SHAD @ 0x388E;
char FSR2L_SHAD @ 0x388D;
char FSR1H_SHAD @ 0x388C;
char FSR1L_SHAD @ 0x388B;
char FSR0H_SHAD @ 0x388A;
char FSR0L_SHAD @ 0x3889;
char PCLATU_SHAD @ 0x3888;
char PCLATH_SHAD @ 0x3887;
char BSR_SHAD @ 0x3886;
char WREG_SHAD @ 0x3885;
char STATUS_SHAD @ 0x3884;
char SHADCON  @ 0x3883;
char BSR_CSHAD @ 0x3882;
char WREG_CSHAD @ 0x3881;
char STATUS_CSHAD @ 0x3880;


bit MEMV_    @ PCON1.1;

bit BOR_     @ PCON0.0;
bit POR_     @ PCON0.1;
bit RI_      @ PCON0.2;
bit RMCLR_   @ PCON0.3;
bit RWDT_    @ PCON0.4;
bit WDTWV_   @ PCON0.5;
bit STKUNF   @ PCON0.6;
bit STKOVF   @ PCON0.7;

bit PD_      @ STATUS.5;
bit TO_      @ STATUS.6;

bit IVTLOCKED @ IVTLOCK.0;

bit INTCON1_STAT0 @ INTCON1.6;
bit INTCON1_STAT1 @ INTCON1.7;

bit INT0EDG  @ INTCON0.0;
bit INT1EDG  @ INTCON0.1;
bit INT2EDG  @ INTCON0.2;
bit IPEN     @ INTCON0.5;
bit GIEL     @ INTCON0.6;
bit GIE      @ INTCON0.7;
bit GIEH     @ INTCON0.7;

bit RE0      @ PORTE.0;
bit RE1      @ PORTE.1;
bit RE2      @ PORTE.2;
bit RE3      @ PORTE.3;

bit RD0      @ PORTD.0;
bit RD1      @ PORTD.1;
bit RD2      @ PORTD.2;
bit RD3      @ PORTD.3;
bit RD4      @ PORTD.4;
bit RD5      @ PORTD.5;
bit RD6      @ PORTD.6;
bit RD7      @ PORTD.7;

bit RC0      @ PORTC.0;
bit RC1      @ PORTC.1;
bit RC2      @ PORTC.2;
bit RC3      @ PORTC.3;
bit RC4      @ PORTC.4;
bit RC5      @ PORTC.5;
bit RC6      @ PORTC.6;
bit RC7      @ PORTC.7;

bit RB0      @ PORTB.0;
bit RB1      @ PORTB.1;
bit RB2      @ PORTB.2;
bit RB3      @ PORTB.3;
bit RB4      @ PORTB.4;
bit RB5      @ PORTB.5;
bit RB6      @ PORTB.6;
bit RB7      @ PORTB.7;

bit RA0      @ PORTA.0;
bit RA1      @ PORTA.1;
bit RA2      @ PORTA.2;
bit RA3      @ PORTA.3;
bit RA4      @ PORTA.4;
bit RA5      @ PORTA.5;
bit RA6      @ PORTA.6;
bit RA7      @ PORTA.7;

bit TRISE0   @ TRISE.0;
bit TRISE1   @ TRISE.1;
bit TRISE2   @ TRISE.2;

bit TRISD0   @ TRISD.0;
bit TRISD1   @ TRISD.1;
bit TRISD2   @ TRISD.2;
bit TRISD3   @ TRISD.3;
bit TRISD4   @ TRISD.4;
bit TRISD5   @ TRISD.5;
bit TRISD6   @ TRISD.6;
bit TRISD7   @ TRISD.7;

bit TRISC0   @ TRISC.0;
bit TRISC1   @ TRISC.1;
bit TRISC2   @ TRISC.2;
bit TRISC3   @ TRISC.3;
bit TRISC4   @ TRISC.4;
bit TRISC5   @ TRISC.5;
bit TRISC6   @ TRISC.6;
bit TRISC7   @ TRISC.7;

bit TRISB0   @ TRISB.0;
bit TRISB1   @ TRISB.1;
bit TRISB2   @ TRISB.2;
bit TRISB3   @ TRISB.3;
bit TRISB4   @ TRISB.4;
bit TRISB5   @ TRISB.5;
bit TRISB6   @ TRISB.6;
bit TRISB7   @ TRISB.7;

bit TRISA0   @ TRISA.0;
bit TRISA1   @ TRISA.1;
bit TRISA2   @ TRISA.2;
bit TRISA3   @ TRISA.3;
bit TRISA4   @ TRISA.4;
bit TRISA5   @ TRISA.5;
bit TRISA6   @ TRISA.6;
bit TRISA7   @ TRISA.7;

bit LATE0    @ LATE.0;
bit LATE1    @ LATE.1;
bit LATE2    @ LATE.2;

bit LATD0    @ LATD.0;
bit LATD1    @ LATD.1;
bit LATD2    @ LATD.2;
bit LATD3    @ LATD.3;
bit LATD4    @ LATD.4;
bit LATD5    @ LATD.5;
bit LATD6    @ LATD.6;
bit LATD7    @ LATD.7;

bit LATC0    @ LATC.0;
bit LATC1    @ LATC.1;
bit LATC2    @ LATC.2;
bit LATC3    @ LATC.3;
bit LATC4    @ LATC.4;
bit LATC5    @ LATC.5;
bit LATC6    @ LATC.6;
bit LATC7    @ LATC.7;

bit LATB0    @ LATB.0;
bit LATB1    @ LATB.1;
bit LATB2    @ LATB.2;
bit LATB3    @ LATB.3;
bit LATB4    @ LATB.4;
bit LATB5    @ LATB.5;
bit LATB6    @ LATB.6;
bit LATB7    @ LATB.7;

bit LATA0    @ LATA.0;
bit LATA1    @ LATA.1;
bit LATA2    @ LATA.2;
bit LATA3    @ LATA.3;
bit LATA4    @ LATA.4;
bit LATA5    @ LATA.5;
bit LATA6    @ LATA.6;
bit LATA7    @ LATA.7;

bit T0CKPS0  @ T0CON1.0;
bit T0CKPS1  @ T0CON1.1;
bit T0CKPS2  @ T0CON1.2;
bit T0CKPS3  @ T0CON1.3;
bit T0ASYNC  @ T0CON1.4;
bit T0CS0    @ T0CON1.5;
bit T0CS1    @ T0CON1.6;
bit T0CS2    @ T0CON1.7;

bit T0OUTPS0 @ T0CON0.0;
bit T0OUTPS1 @ T0CON0.1;
bit T0OUTPS2 @ T0CON0.2;
bit T0OUTPS3 @ T0CON0.3;
bit T016BIT  @ T0CON0.4;
bit T0OUT    @ T0CON0.5;
bit T0EN     @ T0CON0.7;

bit T1CS0    @ TMR1CLK.0;
bit T1CS1    @ TMR1CLK.1;
bit T1CS2    @ TMR1CLK.2;
bit T1CS3    @ TMR1CLK.3;
bit T1CS4    @ TMR1CLK.4;

bit T1GSS0   @ TMR1GATE.0;
bit T1GSS1   @ TMR1GATE.1;
bit T1GSS2   @ TMR1GATE.2;
bit T1GSS3   @ TMR1GATE.3;
bit T1GSS4   @ TMR1GATE.4;

bit T1GVAL   @ TMR1GCON.2;
bit T1DONE_  @ TMR1GCON.3;
bit T1GSPM   @ TMR1GCON.4;
bit T1GTM    @ TMR1GCON.5;
bit T1GPOL   @ TMR1GCON.6;
bit T1GE     @ TMR1GCON.7;

bit TMR1ON   @ TMR1CON.0;
bit T1RD16   @ TMR1CON.1;
bit T1SYNC_  @ TMR1CON.2;
bit T1CKPS0  @ TMR1CON.4;
bit T1CKPS1  @ TMR1CON.5;

bit T2MODE0  @ T2HLT.0;
bit T2MODE1  @ T2HLT.1;
bit T2MODE2  @ T2HLT.2;
bit T2MODE3  @ T2HLT.3;
bit T2MODE4  @ T2HLT.4;
bit T2CKSYNC @ T2HLT.5;
bit T2CKPOL  @ T2HLT.6;
bit T2PSYNC  @ T2HLT.7;

bit T2OUTPS0 @ T2CON.0;
bit T2OUTPS1 @ T2CON.1;
bit T2OUTPS2 @ T2CON.2;
bit T2OUTPS3 @ T2CON.3;
bit T2CKPS0  @ T2CON.4;
bit T2CKPS1  @ T2CON.5;
bit T2CKPS2  @ T2CON.6;
bit TMR2ON   @ T2CON.7;

bit T3CS0    @ TMR3CLK.0;
bit T3CS1    @ TMR3CLK.1;
bit T3CS2    @ TMR3CLK.2;
bit T3CS3    @ TMR3CLK.3;
bit T3CS4    @ TMR3CLK.4;

bit T3GSS0   @ TMR3GATE.0;
bit T3GSS1   @ TMR3GATE.1;
bit T3GSS2   @ TMR3GATE.2;
bit T3GSS3   @ TMR3GATE.3;
bit T3GSS4   @ TMR3GATE.4;

bit T3GVAL   @ TMR3GCON.2;
bit T3DONE_  @ TMR3GCON.3;
bit T3GSPM   @ TMR3GCON.4;
bit T3GTM    @ TMR3GCON.5;
bit T3GPOL   @ TMR3GCON.6;
bit T3GE     @ TMR3GCON.7;

bit TMR3ON   @ TMR3CON.0;
bit T3RD16   @ TMR3CON.1;
bit T3SYNC_  @ TMR3CON.2;
bit T3CKPS0  @ TMR3CON.4;
bit T3CKPS1  @ TMR3CON.5;

bit T4MODE0  @ T4HLT.0;
bit T4MODE1  @ T4HLT.1;
bit T4MODE2  @ T4HLT.2;
bit T4MODE3  @ T4HLT.3;
bit T4MODE4  @ T4HLT.4;
bit T4CKSYNC @ T4HLT.5;
bit T4CKPOL  @ T4HLT.6;
bit T4PSYNC  @ T4HLT.7;

bit T4OUTPS0 @ T4CON.0;
bit T4OUTPS1 @ T4CON.1;
bit T4OUTPS2 @ T4CON.2;
bit T4OUTPS3 @ T4CON.3;
bit T4CKPS0  @ T4CON.4;
bit T4CKPS1  @ T4CON.5;
bit T4CKPS2  @ T4CON.6;
bit TMR4ON   @ T4CON.7;

bit T5CS0    @ TMR5CLK.0;
bit T5CS1    @ TMR5CLK.1;
bit T5CS2    @ TMR5CLK.2;
bit T5CS3    @ TMR5CLK.3;
bit T5CS4    @ TMR5CLK.4;

bit T5GSS0   @ TMR5GATE.0;
bit T5GSS1   @ TMR5GATE.1;
bit T5GSS2   @ TMR5GATE.2;
bit T5GSS3   @ TMR5GATE.3;
bit T5GSS4   @ TMR5GATE.4;

bit T5GVAL   @ TMR5GCON.2;
bit T5DONE_  @ TMR5GCON.3;
bit T5GSPM   @ TMR5GCON.4;
bit T5GTM    @ TMR5GCON.5;
bit T5GPOL   @ TMR5GCON.6;
bit T5GE     @ TMR5GCON.7;

bit TMR5ON   @ TMR5CON.0;
bit T5RD16   @ TMR5CON.1;
bit T5SYNC_  @ TMR5CON.2;
bit T5CKPS0  @ TMR5CON.4;
bit T5CKPS1  @ TMR5CON.5;

bit T6MODE0  @ T6HLT.0;
bit T6MODE1  @ T6HLT.1;
bit T6MODE2  @ T6HLT.2;
bit T6MODE3  @ T6HLT.3;
bit T6MODE4  @ T6HLT.4;
bit T6CKSYNC @ T6HLT.5;
bit T6CKPOL  @ T6HLT.6;
bit T6PSYNC  @ T6HLT.7;

bit T6OUTPS0 @ T6CON.0;
bit T6OUTPS1 @ T6CON.1;
bit T6OUTPS2 @ T6CON.2;
bit T6OUTPS3 @ T6CON.3;
bit T6CKPS0  @ T6CON.4;
bit T6CKPS1  @ T6CON.5;
bit T6CKPS2  @ T6CON.6;
bit TMR6ON   @ T6CON.7;

bit CCP1CTS0 @ CCP1CAP.0;
bit CCP1CTS1 @ CCP1CAP.1;
bit CCP1CTS2 @ CCP1CAP.2;

bit CCP1MODE0 @ CCP1CON.0;
bit CCP1MODE1 @ CCP1CON.1;
bit CCP1MODE2 @ CCP1CON.2;
bit CCP1MODE3 @ CCP1CON.3;
bit CCP1FMT  @ CCP1CON.4;
bit CCP1OUT  @ CCP1CON.5;
bit CCP1EN   @ CCP1CON.7;

bit CCP2CTS0 @ CCP2CAP.0;
bit CCP2CTS1 @ CCP2CAP.1;
bit CCP2CTS2 @ CCP2CAP.2;

bit CCP2MODE0 @ CCP2CON.0;
bit CCP2MODE1 @ CCP2CON.1;
bit CCP2MODE2 @ CCP2CON.2;
bit CCP2MODE3 @ CCP2CON.3;
bit CCP2FMT  @ CCP2CON.4;
bit CCP2OUT  @ CCP2CON.5;
bit CCP2EN   @ CCP2CON.7;

bit CCP3CTS0 @ CCP3CAP.0;
bit CCP3CTS1 @ CCP3CAP.1;
bit CCP3CTS2 @ CCP3CAP.2;

bit CCP3MODE0 @ CCP3CON.0;
bit CCP3MODE1 @ CCP3CON.1;
bit CCP3MODE2 @ CCP3CON.2;
bit CCP3MODE3 @ CCP3CON.3;
bit CCP3FMT  @ CCP3CON.4;
bit CCP3OUT  @ CCP3CON.5;
bit CCP3EN   @ CCP3CON.7;

bit CCP4CTS0 @ CCP4CAP.0;
bit CCP4CTS1 @ CCP4CAP.1;
bit CCP4CTS2 @ CCP4CAP.2;

bit CCP4MODE0 @ CCP4CON.0;
bit CCP4MODE1 @ CCP4CON.1;
bit CCP4MODE2 @ CCP4CON.2;
bit CCP4MODE3 @ CCP4CON.3;
bit CCP4FMT  @ CCP4CON.4;
bit CCP4OUT  @ CCP4CON.5;
bit CCP4EN   @ CCP4CON.7;

bit PWM5POL  @ PWM5CON.4;
bit PWM5OUT  @ PWM5CON.5;
bit PWM5EN   @ PWM5CON.7;

bit PWM6POL  @ PWM6CON.4;
bit PWM6OUT  @ PWM6CON.5;
bit PWM6EN   @ PWM6CON.7;

bit PWM7POL  @ PWM7CON.4;
bit PWM7OUT  @ PWM7CON.5;
bit PWM7EN   @ PWM7CON.7;

bit PWM8POL  @ PWM8CON.4;
bit PWM8OUT  @ PWM8CON.5;
bit PWM8EN   @ PWM8CON.7;

bit P5TSEL0  @ CCPTMRS1.0;
bit P5TSEL1  @ CCPTMRS1.1;
bit P6TSEL0  @ CCPTMRS1.2;
bit P6TSEL1  @ CCPTMRS1.3;
bit P7TSEL0  @ CCPTMRS1.4;
bit P7TSEL1  @ CCPTMRS1.5;
bit P8TSEL0  @ CCPTMRS1.6;
bit P8TSEL1  @ CCPTMRS1.7;

bit C1TSEL0  @ CCPTMRS0.0;
bit C1TSEL1  @ CCPTMRS0.1;
bit C2TSEL0  @ CCPTMRS0.2;
bit C2TSEL1  @ CCPTMRS0.3;
bit C3TSEL0  @ CCPTMRS0.4;
bit C3TSEL1  @ CCPTMRS0.5;
bit C4TSEL0  @ CCPTMRS0.6;
bit C4TSEL1  @ CCPTMRS0.7;

bit CWG1STRA @ CWG1STR.0;
bit CWG1STRB @ CWG1STR.1;
bit CWG1STRC @ CWG1STR.2;
bit CWG1STRD @ CWG1STR.3;
bit CWG1OVRA @ CWG1STR.4;
bit CWG1OVRB @ CWG1STR.5;
bit CWG1OVRC @ CWG1STR.6;
bit CWG1OVRD @ CWG1STR.7;

bit CWG1AS1_AS0E @ CWG1AS1.0;
bit CWG1AS1_AS1E @ CWG1AS1.1;
bit CWG1AS1_AS2E @ CWG1AS1.2;
bit CWG1AS1_AS3E @ CWG1AS1.3;
bit CWG1AS1_AS4E @ CWG1AS1.4;
bit CWG1AS1_AS5E @ CWG1AS1.5;
bit CWG1AS1_AS6E @ CWG1AS1.6;

bit CWG1LSAC0 @ CWG1AS0.2;
bit CWG1LSAC1 @ CWG1AS0.3;
bit CWG1LSBD0 @ CWG1AS0.4;
bit CWG1LSBD1 @ CWG1AS0.5;
bit CWG1REN  @ CWG1AS0.6;
bit CWG1SHUTDOWN @ CWG1AS0.7;

bit CWG1POLA @ CWG1CON1.0;
bit CWG1POLB @ CWG1CON1.1;
bit CWG1POLC @ CWG1CON1.2;
bit CWG1POLD @ CWG1CON1.3;
bit CWG1IN   @ CWG1CON1.5;

bit CWG1MODE0 @ CWG1CON0.0;
bit CWG1MODE1 @ CWG1CON0.1;
bit CWG1MODE2 @ CWG1CON0.2;
bit CWG1LD   @ CWG1CON0.6;
bit CWG1EN   @ CWG1CON0.7;

bit CWG1CS   @ CWG1CLKCON.0;

bit CWG2STRA @ CWG2STR.0;
bit CWG2STRB @ CWG2STR.1;
bit CWG2STRC @ CWG2STR.2;
bit CWG2STRD @ CWG2STR.3;
bit CWG2OVRA @ CWG2STR.4;
bit CWG2OVRB @ CWG2STR.5;
bit CWG2OVRC @ CWG2STR.6;
bit CWG2OVRD @ CWG2STR.7;

bit CWG2AS1_AS0E @ CWG2AS1.0;
bit CWG2AS1_AS1E @ CWG2AS1.1;
bit CWG2AS1_AS2E @ CWG2AS1.2;
bit CWG2AS1_AS3E @ CWG2AS1.3;
bit CWG2AS1_AS4E @ CWG2AS1.4;
bit CWG2AS1_AS5E @ CWG2AS1.5;
bit CWG2AS1_AS6E @ CWG2AS1.6;

bit CWG2LSAC0 @ CWG2AS0.2;
bit CWG2LSAC1 @ CWG2AS0.3;
bit CWG2LSBD0 @ CWG2AS0.4;
bit CWG2LSBD1 @ CWG2AS0.5;
bit CWG2REN  @ CWG2AS0.6;
bit CWG2SHUTDOWN @ CWG2AS0.7;

bit CWG2POLA @ CWG2CON1.0;
bit CWG2POLB @ CWG2CON1.1;
bit CWG2POLC @ CWG2CON1.2;
bit CWG2POLD @ CWG2CON1.3;
bit CWG2IN   @ CWG2CON1.5;

bit CWG2MODE0 @ CWG2CON0.0;
bit CWG2MODE1 @ CWG2CON0.1;
bit CWG2MODE2 @ CWG2CON0.2;
bit CWG2LD   @ CWG2CON0.6;
bit CWG2EN   @ CWG2CON0.7;

bit CWG2CS   @ CWG2CLKCON.0;

bit CWG3STRA @ CWG3STR.0;
bit CWG3STRB @ CWG3STR.1;
bit CWG3STRC @ CWG3STR.2;
bit CWG3STRD @ CWG3STR.3;
bit CWG3OVRA @ CWG3STR.4;
bit CWG3OVRB @ CWG3STR.5;
bit CWG3OVRC @ CWG3STR.6;
bit CWG3OVRD @ CWG3STR.7;

bit CWG3AS1_AS0E @ CWG3AS1.0;
bit CWG3AS1_AS1E @ CWG3AS1.1;
bit CWG3AS1_AS2E @ CWG3AS1.2;
bit CWG3AS1_AS3E @ CWG3AS1.3;
bit CWG3AS1_AS4E @ CWG3AS1.4;
bit CWG3AS1_AS5E @ CWG3AS1.5;
bit CWG3AS1_AS6E @ CWG3AS1.6;

bit CWG3LSAC0 @ CWG3AS0.2;
bit CWG3LSAC1 @ CWG3AS0.3;
bit CWG3LSBD0 @ CWG3AS0.4;
bit CWG3LSBD1 @ CWG3AS0.5;
bit CWG3REN  @ CWG3AS0.6;
bit CWG3SHUTDOWN @ CWG3AS0.7;

bit CWG3POLA @ CWG3CON1.0;
bit CWG3POLB @ CWG3CON1.1;
bit CWG3POLC @ CWG3CON1.2;
bit CWG3POLD @ CWG3CON1.3;
bit CWG3IN   @ CWG3CON1.5;

bit CWG3MODE0 @ CWG3CON0.0;
bit CWG3MODE1 @ CWG3CON0.1;
bit CWG3MODE2 @ CWG3CON0.2;
bit CWG3LD   @ CWG3CON0.6;
bit CWG3EN   @ CWG3CON0.7;

bit CWG3CS   @ CWG3CLKCON.0;

bit NCO1CKS0 @ NCO1CLK.0;
bit NCO1CKS1 @ NCO1CLK.1;
bit NCO1CKS2 @ NCO1CLK.2;
bit NCO1CKS3 @ NCO1CLK.3;
bit NCO1PWS0 @ NCO1CLK.5;
bit NCO1PWS1 @ NCO1CLK.6;
bit NCO1PWS2 @ NCO1CLK.7;

bit NCO1PFM  @ NCO1CON.0;
bit NCO1POL  @ NCO1CON.4;
bit NCO1OUT  @ NCO1CON.5;
bit NCO1EN   @ NCO1CON.7;

bit SMT1AS   @ SMT1STAT.0;
bit SMT1WS   @ SMT1STAT.1;
bit SMT1TS   @ SMT1STAT.2;
bit SMT1RESET @ SMT1STAT.5;
bit SMT1CPWUP @ SMT1STAT.6;
bit SMT1CPRUP @ SMT1STAT.7;

bit SMT1MODE0 @ SMT1CON1.0;
bit SMT1MODE1 @ SMT1CON1.1;
bit SMT1MODE2 @ SMT1CON1.2;
bit SMT1MODE3 @ SMT1CON1.3;
bit SMT1REPEAT @ SMT1CON1.6;
bit SMT1GO   @ SMT1CON1.7;

bit SMT1PS0  @ SMT1CON0.0;
bit SMT1PS1  @ SMT1CON0.1;
bit SMT1CPOL @ SMT1CON0.2;
bit SMT1SPOL @ SMT1CON0.3;
bit SMT1WPOL @ SMT1CON0.4;
bit SMT1STP  @ SMT1CON0.5;
bit SMT1EN   @ SMT1CON0.7;

bit ADPREF0  @ ADREF.0;
bit ADPREF1  @ ADREF.1;
bit ADNREF0  @ ADREF.4;

bit ADSTAT0  @ ADSTAT.0;
bit ADSTAT1  @ ADSTAT.1;
bit ADSTAT2  @ ADSTAT.2;
bit ADMATH   @ ADSTAT.4;
bit ADLTHR   @ ADSTAT.5;
bit ADUTHR   @ ADSTAT.6;
bit ADAOV    @ ADSTAT.7;

bit ADTMD0   @ ADCON3.0;
bit ADTMD1   @ ADCON3.1;
bit ADTMD2   @ ADCON3.2;
bit ADSOI    @ ADCON3.3;
bit ADCALC0  @ ADCON3.4;
bit ADCALC1  @ ADCON3.5;
bit ADCALC2  @ ADCON3.6;

bit ADMD0    @ ADCON2.0;
bit ADMD1    @ ADCON2.1;
bit ADMD2    @ ADCON2.2;
bit ADACLR   @ ADCON2.3;
bit ADCRS0   @ ADCON2.4;
bit ADCRS1   @ ADCON2.5;
bit ADCRS2   @ ADCON2.6;
bit ADPSIS   @ ADCON2.7;

bit ADDSEN   @ ADCON1.0;
bit ADGPOL   @ ADCON1.5;
bit ADIPEN   @ ADCON1.6;
bit ADPPOL   @ ADCON1.7;

bit GO       @ ADCON0.0;
bit ADGO     @ ADCON0.0;
bit ADFM0    @ ADCON0.2;
bit ADCS     @ ADCON0.4;
bit ADCONT   @ ADCON0.6;
bit ADON     @ ADCON0.7;

bit ADCPRDY  @ ADCP.0;
bit ADCPON   @ ADCP.7;

bit HLVDSEL0 @ HLVDCON1.0;
bit HLVDSEL1 @ HLVDCON1.1;
bit HLVDSEL2 @ HLVDCON1.2;
bit HLVDSEL3 @ HLVDCON1.3;

bit HLVDINTL @ HLVDCON0.0;
bit HLVDINTH @ HLVDCON0.1;
bit HLVDRDY  @ HLVDCON0.4;
bit HLVDOUT  @ HLVDCON0.5;
bit HLVDEN   @ HLVDCON0.7;

bit ZCDINTN  @ ZCDCON.0;
bit ZCDINTP  @ ZCDCON.1;
bit ZCDPOL   @ ZCDCON.4;
bit ZCDOUT   @ ZCDCON.5;
bit ZCDSEN   @ ZCDCON.7;

bit ADFVR0   @ FVRCON.0;
bit ADFVR1   @ FVRCON.1;
bit CDAFVR0  @ FVRCON.2;
bit CDAFVR1  @ FVRCON.3;
bit TSRNG    @ FVRCON.4;
bit TSEN     @ FVRCON.5;
bit FVRRDY   @ FVRCON.6;
bit FVREN    @ FVRCON.7;

bit MC1OUT   @ CMOUT.0;
bit MC2OUT   @ CMOUT.1;

bit C1INTN   @ CM1CON1.0;
bit C1INTP   @ CM1CON1.1;

bit C1SYNC   @ CM1CON0.0;
bit C1HYS    @ CM1CON0.1;
bit C1POL    @ CM1CON0.4;
bit CM1CON0_OUT @ CM1CON0.6;
bit C1EN     @ CM1CON0.7;

bit C2INTN   @ CM2CON1.0;
bit C2INTP   @ CM2CON1.1;

bit C2SYNC   @ CM2CON0.0;
bit C2HYS    @ CM2CON0.1;
bit C2POL    @ CM2CON0.4;
bit C2OUT    @ CM2CON0.6;
bit C2EN     @ CM2CON0.7;

bit DAC1NSS  @ DAC1CON0.0;
bit DAC1PSS0 @ DAC1CON0.2;
bit DAC1PSS1 @ DAC1CON0.3;
bit DAC1OE2  @ DAC1CON0.4;
bit DAC1OE1  @ DAC1CON0.5;
bit DAC1EN   @ DAC1CON0.7;

bit U1TXCIE  @ U1ERRIE.0;
bit U1RXFOIE @ U1ERRIE.1;
bit U1RXBKIE @ U1ERRIE.2;
bit U1FERIE  @ U1ERRIE.3;
bit U1CERIE  @ U1ERRIE.4;
bit U1ABDOVE @ U1ERRIE.5;
bit U1PERIE  @ U1ERRIE.6;
bit U1TXMTIE @ U1ERRIE.7;

bit U1TXCIF  @ U1ERRIR.0;
bit U1RXFOIF @ U1ERRIR.1;
bit U1RXBKIF @ U1ERRIR.2;
bit U1FERIF  @ U1ERRIR.3;
bit U1CERIF  @ U1ERRIR.4;
bit U1ABDOVF @ U1ERRIR.5;
bit U1PERIF  @ U1ERRIR.6;
bit U1TXMTIF @ U1ERRIR.7;

bit U1ABDIE  @ U1UIR.2;
bit U1ABDIF  @ U1UIR.6;
bit U1WUIF   @ U1UIR.7;

bit U1RXBF   @ U1FIFO.0;
bit U1RXBE   @ U1FIFO.1;
bit U1XON    @ U1FIFO.2;
bit U1RXIDL  @ U1FIFO.3;
bit U1TXBF   @ U1FIFO.4;
bit U1TXBE   @ U1FIFO.5;
bit U1STPMD  @ U1FIFO.6;
bit U1TXWRE  @ U1FIFO.7;

bit U1FLO0   @ U1CON2.0;
bit U1FLO1   @ U1CON2.1;
bit U1TXPOL  @ U1CON2.2;
bit U1C0EN   @ U1CON2.3;
bit U1STP0   @ U1CON2.4;
bit U1STP1   @ U1CON2.5;
bit U1RXPOL  @ U1CON2.6;
bit U1RUNOVF @ U1CON2.7;

bit U1SENDB  @ U1CON1.0;
bit U1BRKOVR @ U1CON1.1;
bit U1RXBIMD @ U1CON1.3;
bit U1WUE    @ U1CON1.4;
bit U1ON     @ U1CON1.7;

bit U1MODE0  @ U1CON0.0;
bit U1MODE1  @ U1CON0.1;
bit U1MODE2  @ U1CON0.2;
bit U1RXEN   @ U1CON0.4;
bit U1TXEN   @ U1CON0.5;
bit U1ABDEN  @ U1CON0.6;
bit U1BRGS   @ U1CON0.7;

bit U2TXCIE  @ U2ERRIE.0;
bit U2RXFOIE @ U2ERRIE.1;
bit U2RXBKIE @ U2ERRIE.2;
bit U2FERIE  @ U2ERRIE.3;
bit U2CERIE  @ U2ERRIE.4;
bit U2ABDOVE @ U2ERRIE.5;
bit U2PERIE  @ U2ERRIE.6;
bit U2TXMTIE @ U2ERRIE.7;

bit U2TXCIF  @ U2ERRIR.0;
bit U2RXFOIF @ U2ERRIR.1;
bit U2RXBKIF @ U2ERRIR.2;
bit U2FERIF  @ U2ERRIR.3;
bit U2CERIF  @ U2ERRIR.4;
bit U2ABDOVF @ U2ERRIR.5;
bit U2PERIF  @ U2ERRIR.6;
bit U2TXMTIF @ U2ERRIR.7;

bit U2ABDIE  @ U2UIR.2;
bit U2ABDIF  @ U2UIR.6;
bit U2WUIF   @ U2UIR.7;

bit U2RXBF   @ U2FIFO.0;
bit U2RXBE   @ U2FIFO.1;
bit U2XON    @ U2FIFO.2;
bit U2RXIDL  @ U2FIFO.3;
bit U2TXBF   @ U2FIFO.4;
bit U2TXBE   @ U2FIFO.5;
bit U2STPMD  @ U2FIFO.6;
bit U2TXWRE  @ U2FIFO.7;

bit U2FLO0   @ U2CON2.0;
bit U2FLO1   @ U2CON2.1;
bit U2TXPOL  @ U2CON2.2;
bit U2STP0   @ U2CON2.4;
bit U2STP1   @ U2CON2.5;
bit U2RXPOL  @ U2CON2.6;
bit U2RUNOVF @ U2CON2.7;

bit U2SENDB  @ U2CON1.0;
bit U2BRKOVR @ U2CON1.1;
bit U2RXBIMD @ U2CON1.3;
bit U2WUE    @ U2CON1.4;
bit U2ON     @ U2CON1.7;

bit U2MODE0  @ U2CON0.0;
bit U2MODE1  @ U2CON0.1;
bit U2MODE2  @ U2CON0.2;
bit U2RXEN   @ U2CON0.4;
bit U2TXEN   @ U2CON0.5;
bit U2ABDEN  @ U2CON0.6;
bit U2BRGS   @ U2CON0.7;

bit SC1IE    @ I2C1PIE.0;
bit RSC1IE   @ I2C1PIE.1;
bit PC1IE    @ I2C1PIE.2;
bit ADR1IE   @ I2C1PIE.3;
bit WR1IE    @ I2C1PIE.4;
bit ACKT1IE  @ I2C1PIE.6;
bit CNT1IE   @ I2C1PIE.7;

bit SC1IF    @ I2C1PIR.0;
bit RSC1IF   @ I2C1PIR.1;
bit PC1IF    @ I2C1PIR.2;
bit ADR1IF   @ I2C1PIR.3;
bit WR1IF    @ I2C1PIR.4;
bit ACKT1IF  @ I2C1PIR.6;
bit CNT1IF   @ I2C1PIR.7;

bit I2C1STAT1_RXBF @ I2C1STAT1.0;
bit I2C1STAT1_CLRBF @ I2C1STAT1.2;
bit I2C1STAT1_RXRE @ I2C1STAT1.3;
bit I2C1STAT1_TXBE @ I2C1STAT1.5;
bit I2C1STAT1_TXWE @ I2C1STAT1.7;

bit I2C1STAT0_MMA @ I2C1STAT0.5;
bit I2C1STAT0_SMA @ I2C1STAT0.6;
bit I2C1STAT0_BFRE @ I2C1STAT0.7;

bit NACK1IE  @ I2C1ERR.0;
bit BCL1IE   @ I2C1ERR.1;
bit BTO1IE   @ I2C1ERR.2;
bit NACK1IF  @ I2C1ERR.4;
bit BCL1IF   @ I2C1ERR.5;
bit BTO1IF   @ I2C1ERR.6;

bit I2C1CON2_BFRET0 @ I2C1CON2.0;
bit I2C1CON2_BFRET1 @ I2C1CON2.1;
bit I2C1CON2_SDAHT0 @ I2C1CON2.2;
bit I2C1CON2_SDAHT1 @ I2C1CON2.3;
bit I2C1CON2_ABD @ I2C1CON2.4;
bit I2C1CON2_FME @ I2C1CON2.5;
bit I2C1CON2_GCEN @ I2C1CON2.6;
bit I2C1CON2_ACNT @ I2C1CON2.7;

bit I2C1CON1_CSD @ I2C1CON1.0;
bit I2C1CON1_TXU @ I2C1CON1.1;
bit I2C1CON1_RXO @ I2C1CON1.2;
bit I2C1CON1_ACKT @ I2C1CON1.4;
bit I2C1CON1_ACKSTAT @ I2C1CON1.5;
bit I2C1CON1_ACKDT @ I2C1CON1.6;
bit I2C1CON1_ACKCNT @ I2C1CON1.7;

bit I2C1CON0_MODE0 @ I2C1CON0.0;
bit I2C1CON0_MODE1 @ I2C1CON0.1;
bit I2C1CON0_MODE2 @ I2C1CON0.2;
bit I2C1CON0_MDR @ I2C1CON0.3;
bit I2C1CON0_CSTR @ I2C1CON0.4;
bit I2C1CON0_RSEN @ I2C1CON0.6;
bit I2C1CON0_I2CEN @ I2C1CON0.7;

bit SC2IE    @ I2C2PIE.0;
bit RSC2IE   @ I2C2PIE.1;
bit PC2IE    @ I2C2PIE.2;
bit ADR2IE   @ I2C2PIE.3;
bit WR2IE    @ I2C2PIE.4;
bit ACKT2IE  @ I2C2PIE.6;
bit CNT2IE   @ I2C2PIE.7;

bit SC2IF    @ I2C2PIR.0;
bit RSC2IF   @ I2C2PIR.1;
bit PC2IF    @ I2C2PIR.2;
bit ADR2IF   @ I2C2PIR.3;
bit WR2IF    @ I2C2PIR.4;
bit ACKT2IF  @ I2C2PIR.6;
bit CNT2IF   @ I2C2PIR.7;

bit I2C2STAT1_RXBF @ I2C2STAT1.0;
bit I2C2STAT1_CLRBF @ I2C2STAT1.2;
bit I2C2STAT1_RXRE @ I2C2STAT1.3;
bit I2C2STAT1_TXBE @ I2C2STAT1.5;
bit I2C2STAT1_TXWE @ I2C2STAT1.7;

bit I2C2STAT0_MMA @ I2C2STAT0.5;
bit I2C2STAT0_SMA @ I2C2STAT0.6;
bit I2C2STAT0_BFRE @ I2C2STAT0.7;

bit NACK2IE  @ I2C2ERR.0;
bit BCL2IE   @ I2C2ERR.1;
bit BTO2IE   @ I2C2ERR.2;
bit NACK2IF  @ I2C2ERR.4;
bit BCL2IF   @ I2C2ERR.5;
bit BTO2IF   @ I2C2ERR.6;

bit I2C2CON2_BFRET0 @ I2C2CON2.0;
bit I2C2CON2_BFRET1 @ I2C2CON2.1;
bit I2C2CON2_SDAHT0 @ I2C2CON2.2;
bit I2C2CON2_SDAHT1 @ I2C2CON2.3;
bit I2C2CON2_ABD @ I2C2CON2.4;
bit I2C2CON2_FME @ I2C2CON2.5;
bit I2C2CON2_GCEN @ I2C2CON2.6;
bit I2C2CON2_ACNT @ I2C2CON2.7;

bit I2C2CON1_CSD @ I2C2CON1.0;
bit I2C2CON1_TXU @ I2C2CON1.1;
bit I2C2CON1_RXO @ I2C2CON1.2;
bit I2C2CON1_ACKT @ I2C2CON1.4;
bit I2C2CON1_ACKSTAT @ I2C2CON1.5;
bit I2C2CON1_ACKDT @ I2C2CON1.6;
bit I2C2CON1_ACKCNT @ I2C2CON1.7;

bit I2C2CON0_MODE0 @ I2C2CON0.0;
bit I2C2CON0_MODE1 @ I2C2CON0.1;
bit I2C2CON0_MODE2 @ I2C2CON0.2;
bit I2C2CON0_MDR @ I2C2CON0.3;
bit I2C2CON0_CSTR @ I2C2CON0.4;
bit I2C2CON0_RSEN @ I2C2CON0.6;
bit I2C2CON0_I2CEN @ I2C2CON0.7;

bit SPI1TXUIE @ SPI1INTE.1;
bit SPI1RXOIE @ SPI1INTE.2;
bit SPI1EOSIE @ SPI1INTE.4;
bit SPI1SOSIE @ SPI1INTE.5;
bit SPI1TCZIE @ SPI1INTE.6;
bit SPI1SRMTIE @ SPI1INTE.7;

bit SPI1TXUIF @ SPI1INTF.1;
bit SPI1RXOIF @ SPI1INTF.2;
bit SPI1EOSIF @ SPI1INTF.4;
bit SPI1SOSIF @ SPI1INTF.5;
bit SPI1TCZIF @ SPI1INTF.6;
bit SPI1SRMTIF @ SPI1INTF.7;

bit SPI1RXBF @ SPI1STATUS.0;
bit SPI1CLRBF @ SPI1STATUS.2;
bit SPI1RXRE @ SPI1STATUS.3;
bit SPI1TXBE @ SPI1STATUS.5;
bit SPI1TXWE @ SPI1STATUS.7;

bit SPI1RXR  @ SPI1CON2.0;
bit SPI1TXR  @ SPI1CON2.1;
bit SPI1SSET @ SPI1CON2.2;
bit SPI1SSFLT @ SPI1CON2.6;
bit SPI1BUSY @ SPI1CON2.7;

bit SPI1SDOP @ SPI1CON1.0;
bit SPI1SDIP @ SPI1CON1.1;
bit SPI1SSP  @ SPI1CON1.2;
bit SPI1FST  @ SPI1CON1.4;
bit SPI1CKP  @ SPI1CON1.5;
bit SPI1CKE  @ SPI1CON1.6;
bit SPI1SMP  @ SPI1CON1.7;

bit SPI1BMODE @ SPI1CON0.0;
bit SPI1MST  @ SPI1CON0.1;
bit SPI1LSBF @ SPI1CON0.2;
bit SPI1SPIEN @ SPI1CON0.7;

bit MD1CLSYNC @ MD1CON1.0;
bit MD1CLPOL @ MD1CON1.1;
bit MD1CHSYNC @ MD1CON1.4;
bit MD1CHPOL @ MD1CON1.5;

bit MD1BIT   @ MD1CON0.0;
bit MD1OPOL  @ MD1CON0.4;
bit MD1OUT   @ MD1CON0.5;
bit MD1EN    @ MD1CON0.7;

bit CLKRDIV0 @ CLKRCON.0;
bit CLKRDIV1 @ CLKRCON.1;
bit CLKRDIV2 @ CLKRCON.2;
bit CLKRDC0  @ CLKRCON.3;
bit CLKRDC1  @ CLKRCON.4;
bit CLKREN   @ CLKRCON.7;

bit CLC1OUT  @ CLCDATA0.0;
bit CLC2OUT  @ CLCDATA0.1;
bit CLC3OUT  @ CLCDATA0.2;
bit CLC4OUT  @ CLCDATA0.3;

bit LC1G4D1N @ CLC1GLS3.0;
bit LC1G4D1T @ CLC1GLS3.1;
bit LC1G4D2N @ CLC1GLS3.2;
bit LC1G4D2T @ CLC1GLS3.3;
bit LC1G4D3N @ CLC1GLS3.4;
bit LC1G4D3T @ CLC1GLS3.5;
bit LC1G4D4N @ CLC1GLS3.6;
bit LC1G4D4T @ CLC1GLS3.7;

bit LC1G3D1N @ CLC1GLS2.0;
bit LC1G3D1T @ CLC1GLS2.1;
bit LC1G3D2N @ CLC1GLS2.2;
bit LC1G3D2T @ CLC1GLS2.3;
bit LC1G3D3N @ CLC1GLS2.4;
bit LC1G3D3T @ CLC1GLS2.5;
bit LC1G3D4N @ CLC1GLS2.6;
bit LC1G3D4T @ CLC1GLS2.7;

bit LC1G2D1N @ CLC1GLS1.0;
bit LC1G2D1T @ CLC1GLS1.1;
bit LC1G2D2N @ CLC1GLS1.2;
bit LC1G2D2T @ CLC1GLS1.3;
bit LC1G2D3N @ CLC1GLS1.4;
bit LC1G2D3T @ CLC1GLS1.5;
bit LC1G2D4N @ CLC1GLS1.6;
bit LC1G2D4T @ CLC1GLS1.7;

bit LC1G1D1N @ CLC1GLS0.0;
bit LC1G1D1T @ CLC1GLS0.1;
bit LC1G1D2N @ CLC1GLS0.2;
bit LC1G1D2T @ CLC1GLS0.3;
bit LC1G1D3N @ CLC1GLS0.4;
bit LC1G1D3T @ CLC1GLS0.5;
bit LC1G1D4N @ CLC1GLS0.6;
bit LC1G1D4T @ CLC1GLS0.7;

bit LC1D4S0  @ CLC1SEL3.0;
bit LC1D4S1  @ CLC1SEL3.1;
bit LC1D4S2  @ CLC1SEL3.2;
bit LC1D4S3  @ CLC1SEL3.3;
bit LC1D4S4  @ CLC1SEL3.4;
bit LC1D4S5  @ CLC1SEL3.5;
bit LC1D4S6  @ CLC1SEL3.6;
bit LC1D4S7  @ CLC1SEL3.7;

bit LC1D3S0  @ CLC1SEL2.0;
bit LC1D3S1  @ CLC1SEL2.1;
bit LC1D3S2  @ CLC1SEL2.2;
bit LC1D3S3  @ CLC1SEL2.3;
bit LC1D3S4  @ CLC1SEL2.4;
bit LC1D3S5  @ CLC1SEL2.5;
bit LC1D3S6  @ CLC1SEL2.6;
bit LC1D3S7  @ CLC1SEL2.7;

bit LC1D2S0  @ CLC1SEL1.0;
bit LC1D2S1  @ CLC1SEL1.1;
bit LC1D2S2  @ CLC1SEL1.2;
bit LC1D2S3  @ CLC1SEL1.3;
bit LC1D2S4  @ CLC1SEL1.4;
bit LC1D2S5  @ CLC1SEL1.5;
bit LC1D2S6  @ CLC1SEL1.6;
bit LC1D2S7  @ CLC1SEL1.7;

bit LC1D1S0  @ CLC1SEL0.0;
bit LC1D1S1  @ CLC1SEL0.1;
bit LC1D1S2  @ CLC1SEL0.2;
bit LC1D1S3  @ CLC1SEL0.3;
bit LC1D1S4  @ CLC1SEL0.4;
bit LC1D1S5  @ CLC1SEL0.5;
bit LC1D1S6  @ CLC1SEL0.6;
bit LC1D1S7  @ CLC1SEL0.7;

bit LC1G1POL @ CLC1POL.0;
bit LC1G2POL @ CLC1POL.1;
bit LC1G3POL @ CLC1POL.2;
bit LC1G4POL @ CLC1POL.3;
bit LC1POL   @ CLC1POL.7;

bit LC1MODE0 @ CLC1CON.0;
bit LC1MODE1 @ CLC1CON.1;
bit LC1MODE2 @ CLC1CON.2;
bit LC1INTN  @ CLC1CON.3;
bit LC1INTP  @ CLC1CON.4;
bit LC1OUT   @ CLC1CON.5;
bit LC1OE    @ CLC1CON.6;
bit LC1EN    @ CLC1CON.7;

bit LC2G4D1N @ CLC2GLS3.0;
bit LC2G4D1T @ CLC2GLS3.1;
bit LC2G4D2N @ CLC2GLS3.2;
bit LC2G4D2T @ CLC2GLS3.3;
bit LC2G4D3N @ CLC2GLS3.4;
bit LC2G4D3T @ CLC2GLS3.5;
bit LC2G4D4N @ CLC2GLS3.6;
bit LC2G4D4T @ CLC2GLS3.7;

bit LC2G3D1N @ CLC2GLS2.0;
bit LC2G3D1T @ CLC2GLS2.1;
bit LC2G3D2N @ CLC2GLS2.2;
bit LC2G3D2T @ CLC2GLS2.3;
bit LC2G3D3N @ CLC2GLS2.4;
bit LC2G3D3T @ CLC2GLS2.5;
bit LC2G3D4N @ CLC2GLS2.6;
bit LC2G3D4T @ CLC2GLS2.7;

bit LC2G2D1N @ CLC2GLS1.0;
bit LC2G2D1T @ CLC2GLS1.1;
bit LC2G2D2N @ CLC2GLS1.2;
bit LC2G2D2T @ CLC2GLS1.3;
bit LC2G2D3N @ CLC2GLS1.4;
bit LC2G2D3T @ CLC2GLS1.5;
bit LC2G2D4N @ CLC2GLS1.6;
bit LC2G2D4T @ CLC2GLS1.7;

bit LC2G1D1N @ CLC2GLS0.0;
bit LC2G1D1T @ CLC2GLS0.1;
bit LC2G1D2N @ CLC2GLS0.2;
bit LC2G1D2T @ CLC2GLS0.3;
bit LC2G1D3N @ CLC2GLS0.4;
bit LC2G1D3T @ CLC2GLS0.5;
bit LC2G1D4N @ CLC2GLS0.6;
bit LC2G1D4T @ CLC2GLS0.7;

bit LC2D4S0  @ CLC2SEL3.0;
bit LC2D4S1  @ CLC2SEL3.1;
bit LC2D4S2  @ CLC2SEL3.2;
bit LC2D4S3  @ CLC2SEL3.3;
bit LC2D4S4  @ CLC2SEL3.4;
bit LC2D4S5  @ CLC2SEL3.5;
bit LC2D4S6  @ CLC2SEL3.6;
bit LC2D4S7  @ CLC2SEL3.7;

bit LC2D3S0  @ CLC2SEL2.0;
bit LC2D3S1  @ CLC2SEL2.1;
bit LC2D3S2  @ CLC2SEL2.2;
bit LC2D3S3  @ CLC2SEL2.3;
bit LC2D3S4  @ CLC2SEL2.4;
bit LC2D3S5  @ CLC2SEL2.5;
bit LC2D3S6  @ CLC2SEL2.6;
bit LC2D3S7  @ CLC2SEL2.7;

bit LC2D2S0  @ CLC2SEL1.0;
bit LC2D2S1  @ CLC2SEL1.1;
bit LC2D2S2  @ CLC2SEL1.2;
bit LC2D2S3  @ CLC2SEL1.3;
bit LC2D2S4  @ CLC2SEL1.4;
bit LC2D2S5  @ CLC2SEL1.5;
bit LC2D2S6  @ CLC2SEL1.6;
bit LC2D2S7  @ CLC2SEL1.7;

bit LC2D1S0  @ CLC2SEL0.0;
bit LC2D1S1  @ CLC2SEL0.1;
bit LC2D1S2  @ CLC2SEL0.2;
bit LC2D1S3  @ CLC2SEL0.3;
bit LC2D1S4  @ CLC2SEL0.4;
bit LC2D1S5  @ CLC2SEL0.5;
bit LC2D1S6  @ CLC2SEL0.6;
bit LC2D1S7  @ CLC2SEL0.7;

bit LC2G1POL @ CLC2POL.0;
bit LC2G2POL @ CLC2POL.1;
bit LC2G3POL @ CLC2POL.2;
bit LC2G4POL @ CLC2POL.3;
bit LC2POL   @ CLC2POL.7;

bit LC2MODE0 @ CLC2CON.0;
bit LC2MODE1 @ CLC2CON.1;
bit LC2MODE2 @ CLC2CON.2;
bit LC2INTN  @ CLC2CON.3;
bit LC2INTP  @ CLC2CON.4;
bit LC2OUT   @ CLC2CON.5;
bit LC2OE    @ CLC2CON.6;
bit LC2EN    @ CLC2CON.7;

bit LC3G4D1N @ CLC3GLS3.0;
bit LC3G4D1T @ CLC3GLS3.1;
bit LC3G4D2N @ CLC3GLS3.2;
bit LC3G4D2T @ CLC3GLS3.3;
bit LC3G4D3N @ CLC3GLS3.4;
bit LC3G4D3T @ CLC3GLS3.5;
bit LC3G4D4N @ CLC3GLS3.6;
bit LC3G4D4T @ CLC3GLS3.7;

bit LC3G3D1N @ CLC3GLS2.0;
bit LC3G3D1T @ CLC3GLS2.1;
bit LC3G3D2N @ CLC3GLS2.2;
bit LC3G3D2T @ CLC3GLS2.3;
bit LC3G3D3N @ CLC3GLS2.4;
bit LC3G3D3T @ CLC3GLS2.5;
bit LC3G3D4N @ CLC3GLS2.6;
bit LC3G3D4T @ CLC3GLS2.7;

bit LC3G2D1N @ CLC3GLS1.0;
bit LC3G2D1T @ CLC3GLS1.1;
bit LC3G2D2N @ CLC3GLS1.2;
bit LC3G2D2T @ CLC3GLS1.3;
bit LC3G2D3N @ CLC3GLS1.4;
bit LC3G2D3T @ CLC3GLS1.5;
bit LC3G2D4N @ CLC3GLS1.6;
bit LC3G2D4T @ CLC3GLS1.7;

bit LC3G1D1N @ CLC3GLS0.0;
bit LC3G1D1T @ CLC3GLS0.1;
bit LC3G1D2N @ CLC3GLS0.2;
bit LC3G1D2T @ CLC3GLS0.3;
bit LC3G1D3N @ CLC3GLS0.4;
bit LC3G1D3T @ CLC3GLS0.5;
bit LC3G1D4N @ CLC3GLS0.6;
bit LC3G1D4T @ CLC3GLS0.7;

bit LC3D4S0  @ CLC3SEL3.0;
bit LC3D4S1  @ CLC3SEL3.1;
bit LC3D4S2  @ CLC3SEL3.2;
bit LC3D4S3  @ CLC3SEL3.3;
bit LC3D4S4  @ CLC3SEL3.4;
bit LC3D4S5  @ CLC3SEL3.5;
bit LC3D4S6  @ CLC3SEL3.6;
bit LC3D4S7  @ CLC3SEL3.7;

bit LC3D3S0  @ CLC3SEL2.0;
bit LC3D3S1  @ CLC3SEL2.1;
bit LC3D3S2  @ CLC3SEL2.2;
bit LC3D3S3  @ CLC3SEL2.3;
bit LC3D3S4  @ CLC3SEL2.4;
bit LC3D3S5  @ CLC3SEL2.5;
bit LC3D3S6  @ CLC3SEL2.6;
bit LC3D3S7  @ CLC3SEL2.7;

bit LC3D2S0  @ CLC3SEL1.0;
bit LC3D2S1  @ CLC3SEL1.1;
bit LC3D2S2  @ CLC3SEL1.2;
bit LC3D2S3  @ CLC3SEL1.3;
bit LC3D2S4  @ CLC3SEL1.4;
bit LC3D2S5  @ CLC3SEL1.5;
bit LC3D2S6  @ CLC3SEL1.6;
bit LC3D2S7  @ CLC3SEL1.7;

bit LC3D1S0  @ CLC3SEL0.0;
bit LC3D1S1  @ CLC3SEL0.1;
bit LC3D1S2  @ CLC3SEL0.2;
bit LC3D1S3  @ CLC3SEL0.3;
bit LC3D1S4  @ CLC3SEL0.4;
bit LC3D1S5  @ CLC3SEL0.5;
bit LC3D1S6  @ CLC3SEL0.6;
bit LC3D1S7  @ CLC3SEL0.7;

bit LC3G1POL @ CLC3POL.0;
bit LC3G2POL @ CLC3POL.1;
bit LC3G3POL @ CLC3POL.2;
bit LC3G4POL @ CLC3POL.3;
bit LC3POL   @ CLC3POL.7;

bit LC3MODE0 @ CLC3CON.0;
bit LC3MODE1 @ CLC3CON.1;
bit LC3MODE2 @ CLC3CON.2;
bit LC3INTN  @ CLC3CON.3;
bit LC3INTP  @ CLC3CON.4;
bit LC3OUT   @ CLC3CON.5;
bit LC3OE    @ CLC3CON.6;
bit LC3EN    @ CLC3CON.7;

bit LC4G4D1N @ CLC4GLS3.0;
bit LC4G4D1T @ CLC4GLS3.1;
bit LC4G4D2N @ CLC4GLS3.2;
bit LC4G4D2T @ CLC4GLS3.3;
bit LC4G4D3N @ CLC4GLS3.4;
bit LC4G4D3T @ CLC4GLS3.5;
bit LC4G4D4N @ CLC4GLS3.6;
bit LC4G4D4T @ CLC4GLS3.7;

bit LC4G3D1N @ CLC4GLS2.0;
bit LC4G3D1T @ CLC4GLS2.1;
bit LC4G3D2N @ CLC4GLS2.2;
bit LC4G3D2T @ CLC4GLS2.3;
bit LC4G3D3N @ CLC4GLS2.4;
bit LC4G3D3T @ CLC4GLS2.5;
bit LC4G3D4N @ CLC4GLS2.6;
bit LC4G3D4T @ CLC4GLS2.7;

bit LC4G2D1N @ CLC4GLS1.0;
bit LC4G2D1T @ CLC4GLS1.1;
bit LC4G2D2N @ CLC4GLS1.2;
bit LC4G2D2T @ CLC4GLS1.3;
bit LC4G2D3N @ CLC4GLS1.4;
bit LC4G2D3T @ CLC4GLS1.5;
bit LC4G2D4N @ CLC4GLS1.6;
bit LC4G2D4T @ CLC4GLS1.7;

bit LC4G1D1N @ CLC4GLS0.0;
bit LC4G1D1T @ CLC4GLS0.1;
bit LC4G1D2N @ CLC4GLS0.2;
bit LC4G1D2T @ CLC4GLS0.3;
bit LC4G1D3N @ CLC4GLS0.4;
bit LC4G1D3T @ CLC4GLS0.5;
bit LC4G1D4N @ CLC4GLS0.6;
bit LC4G1D4T @ CLC4GLS0.7;

bit LC4D4S0  @ CLC4SEL3.0;
bit LC4D4S1  @ CLC4SEL3.1;
bit LC4D4S2  @ CLC4SEL3.2;
bit LC4D4S3  @ CLC4SEL3.3;
bit LC4D4S4  @ CLC4SEL3.4;
bit LC4D4S5  @ CLC4SEL3.5;
bit LC4D4S6  @ CLC4SEL3.6;
bit LC4D4S7  @ CLC4SEL3.7;

bit LC4D3S0  @ CLC4SEL2.0;
bit LC4D3S1  @ CLC4SEL2.1;
bit LC4D3S2  @ CLC4SEL2.2;
bit LC4D3S3  @ CLC4SEL2.3;
bit LC4D3S4  @ CLC4SEL2.4;
bit LC4D3S5  @ CLC4SEL2.5;
bit LC4D3S6  @ CLC4SEL2.6;
bit LC4D3S7  @ CLC4SEL2.7;

bit LC4D2S0  @ CLC4SEL1.0;
bit LC4D2S1  @ CLC4SEL1.1;
bit LC4D2S2  @ CLC4SEL1.2;
bit LC4D2S3  @ CLC4SEL1.3;
bit LC4D2S4  @ CLC4SEL1.4;
bit LC4D2S5  @ CLC4SEL1.5;
bit LC4D2S6  @ CLC4SEL1.6;
bit LC4D2S7  @ CLC4SEL1.7;

bit LC4D1S0  @ CLC4SEL0.0;
bit LC4D1S1  @ CLC4SEL0.1;
bit LC4D1S2  @ CLC4SEL0.2;
bit LC4D1S3  @ CLC4SEL0.3;
bit LC4D1S4  @ CLC4SEL0.4;
bit LC4D1S5  @ CLC4SEL0.5;
bit LC4D1S6  @ CLC4SEL0.6;
bit LC4D1S7  @ CLC4SEL0.7;

bit LC4G1POL @ CLC4POL.0;
bit LC4G2POL @ CLC4POL.1;
bit LC4G3POL @ CLC4POL.2;
bit LC4G4POL @ CLC4POL.3;
bit LC4POL   @ CLC4POL.7;

bit LC4MODE0 @ CLC4CON.0;
bit LC4MODE1 @ CLC4CON.1;
bit LC4MODE2 @ CLC4CON.2;
bit LC4INTN  @ CLC4CON.3;
bit LC4INTP  @ CLC4CON.4;
bit LC4OUT   @ CLC4CON.5;
bit LC4OE    @ CLC4CON.6;
bit LC4EN    @ CLC4CON.7;

bit DMA1CON1_SSTP @ DMA1CON1.0;
bit DMA1CON1_DSTP @ DMA1CON1.5;

bit DMA1XIP  @ DMA1CON0.0;
bit DMA1AIRQEN @ DMA1CON0.2;
bit DMA1DGO  @ DMA1CON0.5;
bit DMA1SIRQEN @ DMA1CON0.6;
bit DMA1EN   @ DMA1CON0.7;

bit DMA2CON1_SSTP @ DMA2CON1.0;
bit DMA2CON1_DSTP @ DMA2CON1.5;

bit DMA2XIP  @ DMA2CON0.0;
bit DMA2AIRQEN @ DMA2CON0.2;
bit DMA2DGO  @ DMA2CON0.5;
bit DMA2SIRQEN @ DMA2CON0.6;
bit DMA2EN   @ DMA2CON0.7;

bit PPSLOCKED @ PPSLOCK.0;

bit CCDCON_SEL0 @ CCDCON.0;
bit CCDCON_SEL1 @ CCDCON.1;
bit CCDCON_CCDEN @ CCDCON.7;

bit INLVLE0  @ INLVLE.0;
bit INLVLE1  @ INLVLE.1;
bit INLVLE2  @ INLVLE.2;
bit INLVLE3  @ INLVLE.3;

bit SLRE0    @ SLRCONE.0;
bit SLRE1    @ SLRCONE.1;
bit SLRE2    @ SLRCONE.2;

bit WPUE0    @ WPUE.0;
bit WPUE1    @ WPUE.1;
bit WPUE2    @ WPUE.2;
bit WPUE3    @ WPUE.3;

bit ANSELE0  @ ANSELE.0;
bit ANSELE1  @ ANSELE.1;
bit ANSELE2  @ ANSELE.2;

bit RD1I2C_I2CTH0 @ RD1I2C.0;
bit RD1I2C_I2CTH1 @ RD1I2C.1;
bit RD1I2C_I2CPU0 @ RD1I2C.4;
bit RD1I2C_I2CPU1 @ RD1I2C.5;
bit RD1I2C_I2CSLEW @ RD1I2C.6;

bit RD0I2C_I2CTH0 @ RD0I2C.0;
bit RD0I2C_I2CTH1 @ RD0I2C.1;
bit RD0I2C_I2CPU0 @ RD0I2C.4;
bit RD0I2C_I2CPU1 @ RD0I2C.5;
bit RD0I2C_I2CSLEW @ RD0I2C.6;

bit INLVLD0  @ INLVLD.0;
bit INLVLD1  @ INLVLD.1;
bit INLVLD2  @ INLVLD.2;
bit INLVLD3  @ INLVLD.3;
bit INLVLD4  @ INLVLD.4;
bit INLVLD5  @ INLVLD.5;
bit INLVLD6  @ INLVLD.6;
bit INLVLD7  @ INLVLD.7;

bit SLRD0    @ SLRCOND.0;
bit SLRD1    @ SLRCOND.1;
bit SLRD2    @ SLRCOND.2;
bit SLRD3    @ SLRCOND.3;
bit SLRD4    @ SLRCOND.4;
bit SLRD5    @ SLRCOND.5;
bit SLRD6    @ SLRCOND.6;
bit SLRD7    @ SLRCOND.7;

bit WPUD0    @ WPUD.0;
bit WPUD1    @ WPUD.1;
bit WPUD2    @ WPUD.2;
bit WPUD3    @ WPUD.3;
bit WPUD4    @ WPUD.4;
bit WPUD5    @ WPUD.5;
bit WPUD6    @ WPUD.6;
bit WPUD7    @ WPUD.7;

bit ANSELD0  @ ANSELD.0;
bit ANSELD1  @ ANSELD.1;
bit ANSELD2  @ ANSELD.2;
bit ANSELD3  @ ANSELD.3;
bit ANSELD4  @ ANSELD.4;
bit ANSELD5  @ ANSELD.5;
bit ANSELD6  @ ANSELD.6;
bit ANSELD7  @ ANSELD.7;

bit RC4I2C_I2CTH0 @ RC4I2C.0;
bit RC4I2C_I2CTH1 @ RC4I2C.1;
bit RC4I2C_I2CPU0 @ RC4I2C.4;
bit RC4I2C_I2CPU1 @ RC4I2C.5;
bit RC4I2C_I2CSLEW @ RC4I2C.6;

bit RC3I2C_I2CTH0 @ RC3I2C.0;
bit RC3I2C_I2CTH1 @ RC3I2C.1;
bit RC3I2C_I2CPU0 @ RC3I2C.4;
bit RC3I2C_I2CPU1 @ RC3I2C.5;
bit RC3I2C_I2CSLEW @ RC3I2C.6;

bit INLVLC0  @ INLVLC.0;
bit INLVLC1  @ INLVLC.1;
bit INLVLC2  @ INLVLC.2;
bit INLVLC3  @ INLVLC.3;
bit INLVLC4  @ INLVLC.4;
bit INLVLC5  @ INLVLC.5;
bit INLVLC6  @ INLVLC.6;
bit INLVLC7  @ INLVLC.7;

bit SLRC0    @ SLRCONC.0;
bit SLRC1    @ SLRCONC.1;
bit SLRC2    @ SLRCONC.2;
bit SLRC3    @ SLRCONC.3;
bit SLRC4    @ SLRCONC.4;
bit SLRC5    @ SLRCONC.5;
bit SLRC6    @ SLRCONC.6;
bit SLRC7    @ SLRCONC.7;

bit WPUC0    @ WPUC.0;
bit WPUC1    @ WPUC.1;
bit WPUC2    @ WPUC.2;
bit WPUC3    @ WPUC.3;
bit WPUC4    @ WPUC.4;
bit WPUC5    @ WPUC.5;
bit WPUC6    @ WPUC.6;
bit WPUC7    @ WPUC.7;

bit ANSELC0  @ ANSELC.0;
bit ANSELC1  @ ANSELC.1;
bit ANSELC2  @ ANSELC.2;
bit ANSELC3  @ ANSELC.3;
bit ANSELC4  @ ANSELC.4;
bit ANSELC5  @ ANSELC.5;
bit ANSELC6  @ ANSELC.6;
bit ANSELC7  @ ANSELC.7;

bit RB2I2C_I2CTH0 @ RB2I2C.0;
bit RB2I2C_I2CTH1 @ RB2I2C.1;
bit RB2I2C_I2CPU0 @ RB2I2C.4;
bit RB2I2C_I2CPU1 @ RB2I2C.5;
bit RB2I2C_I2CSLEW @ RB2I2C.6;

bit RB1I2C_I2CTH0 @ RB1I2C.0;
bit RB1I2C_I2CTH1 @ RB1I2C.1;
bit RB1I2C_I2CPU0 @ RB1I2C.4;
bit RB1I2C_I2CPU1 @ RB1I2C.5;
bit RB1I2C_I2CSLEW @ RB1I2C.6;

bit INLVLB0  @ INLVLB.0;
bit INLVLB1  @ INLVLB.1;
bit INLVLB2  @ INLVLB.2;
bit INLVLB3  @ INLVLB.3;
bit INLVLB4  @ INLVLB.4;
bit INLVLB5  @ INLVLB.5;
bit INLVLB6  @ INLVLB.6;
bit INLVLB7  @ INLVLB.7;

bit SLRB0    @ SLRCONB.0;
bit SLRB1    @ SLRCONB.1;
bit SLRB2    @ SLRCONB.2;
bit SLRB3    @ SLRCONB.3;
bit SLRB4    @ SLRCONB.4;
bit SLRB5    @ SLRCONB.5;
bit SLRB6    @ SLRCONB.6;
bit SLRB7    @ SLRCONB.7;

bit WPUB0    @ WPUB.0;
bit WPUB1    @ WPUB.1;
bit WPUB2    @ WPUB.2;
bit WPUB3    @ WPUB.3;
bit WPUB4    @ WPUB.4;
bit WPUB5    @ WPUB.5;
bit WPUB6    @ WPUB.6;
bit WPUB7    @ WPUB.7;

bit ANSELB0  @ ANSELB.0;
bit ANSELB1  @ ANSELB.1;
bit ANSELB2  @ ANSELB.2;
bit ANSELB3  @ ANSELB.3;
bit ANSELB4  @ ANSELB.4;
bit ANSELB5  @ ANSELB.5;
bit ANSELB6  @ ANSELB.6;
bit ANSELB7  @ ANSELB.7;

bit INLVLA0  @ INLVLA.0;
bit INLVLA1  @ INLVLA.1;
bit INLVLA2  @ INLVLA.2;
bit INLVLA3  @ INLVLA.3;
bit INLVLA4  @ INLVLA.4;
bit INLVLA5  @ INLVLA.5;
bit INLVLA6  @ INLVLA.6;
bit INLVLA7  @ INLVLA.7;

bit SLRA0    @ SLRCONA.0;
bit SLRA1    @ SLRCONA.1;
bit SLRA2    @ SLRCONA.2;
bit SLRA3    @ SLRCONA.3;
bit SLRA4    @ SLRCONA.4;
bit SLRA5    @ SLRCONA.5;
bit SLRA6    @ SLRCONA.6;
bit SLRA7    @ SLRCONA.7;

bit WPUA0    @ WPUA.0;
bit WPUA1    @ WPUA.1;
bit WPUA2    @ WPUA.2;
bit WPUA3    @ WPUA.3;
bit WPUA4    @ WPUA.4;
bit WPUA5    @ WPUA.5;
bit WPUA6    @ WPUA.6;
bit WPUA7    @ WPUA.7;

bit ANSELA0  @ ANSELA.0;
bit ANSELA1  @ ANSELA.1;
bit ANSELA2  @ ANSELA.2;
bit ANSELA3  @ ANSELA.3;
bit ANSELA4  @ ANSELA.4;
bit ANSELA5  @ ANSELA.5;
bit ANSELA6  @ ANSELA.6;
bit ANSELA7  @ ANSELA.7;

bit SCANPR0  @ SCANPR.0;
bit SCANPR1  @ SCANPR.1;
bit SCANPR2  @ SCANPR.2;

bit DMA2PR0  @ DMA2PR.0;
bit DMA2PR1  @ DMA2PR.1;
bit DMA2PR2  @ DMA2PR.2;

bit DMA1PR0  @ DMA1PR.0;
bit DMA1PR1  @ DMA1PR.1;
bit DMA1PR2  @ DMA1PR.2;

bit MAINPR0  @ MAINPR.0;
bit MAINPR1  @ MAINPR.1;
bit MAINPR2  @ MAINPR.2;

bit ISRPR0   @ ISRPR.0;
bit ISRPR1   @ ISRPR.1;
bit ISRPR2   @ ISRPR.2;

bit PRLOCKED @ PRLOCK.0;

bit RD       @ NVMCON1.0;
bit WR       @ NVMCON1.1;
bit WREN     @ NVMCON1.2;
bit WRERR    @ NVMCON1.3;
bit FREE     @ NVMCON1.4;
bit NVMREG0  @ NVMCON1.6;
bit NVMREG1  @ NVMCON1.7;

bit HFTUN0   @ OSCTUNE.0;
bit HFTUN1   @ OSCTUNE.1;
bit HFTUN2   @ OSCTUNE.2;
bit HFTUN3   @ OSCTUNE.3;
bit HFTUN4   @ OSCTUNE.4;
bit HFTUN5   @ OSCTUNE.5;

bit HFFRQ0   @ OSCFRQ.0;
bit HFFRQ1   @ OSCFRQ.1;
bit HFFRQ2   @ OSCFRQ.2;
bit HFFRQ3   @ OSCFRQ.3;

bit ADOEN    @ OSCEN.2;
bit SOSCEN   @ OSCEN.3;
bit LFOEN    @ OSCEN.4;
bit MFOEN    @ OSCEN.5;
bit HFOEN    @ OSCEN.6;
bit EXTOEN   @ OSCEN.7;

bit PLLR     @ OSCSTAT1.0;
bit ADOR     @ OSCSTAT1.2;
bit SOR      @ OSCSTAT1.3;
bit LFOR     @ OSCSTAT1.4;
bit MFOR     @ OSCSTAT1.5;
bit HFOR     @ OSCSTAT1.6;
bit EXTOR    @ OSCSTAT1.7;

bit NOSCR    @ OSCCON3.3;
bit ORDY     @ OSCCON3.4;
bit SOSCPWR  @ OSCCON3.6;
bit CSWHOLD  @ OSCCON3.7;

bit CDIV0    @ OSCCON2.0;
bit CDIV1    @ OSCCON2.1;
bit CDIV2    @ OSCCON2.2;
bit CDIV3    @ OSCCON2.3;
bit COSC0    @ OSCCON2.4;
bit COSC1    @ OSCCON2.5;
bit COSC2    @ OSCCON2.6;

bit NDIV0    @ OSCCON1.0;
bit NDIV1    @ OSCCON1.1;
bit NDIV2    @ OSCCON1.2;
bit NDIV3    @ OSCCON1.3;
bit NOSC0    @ OSCCON1.4;
bit NOSC1    @ OSCCON1.5;
bit NOSC2    @ OSCCON1.6;

bit DOZE0    @ CPUDOZE.0;
bit DOZE1    @ CPUDOZE.1;
bit DOZE2    @ CPUDOZE.2;
bit DOE      @ CPUDOZE.4;
bit ROI      @ CPUDOZE.5;
bit DOZEN    @ CPUDOZE.6;
bit IDLEN    @ CPUDOZE.7;

#if _18F46K42
bit VREGPM   @ VREGCON.1;
#endif

bit BORRDY   @ BORCON.0;
bit SBOREN   @ BORCON.7;

bit DMA1MD   @ PMD7.0;
bit DMA2MD   @ PMD7.1;

bit DSMMD    @ PMD6.0;
bit CLC1MD   @ PMD6.1;
bit CLC2MD   @ PMD6.2;
bit CLC3MD   @ PMD6.3;
bit CLC4MD   @ PMD6.4;
bit SMT1MD   @ PMD6.5;

bit I2C1MD   @ PMD5.0;
bit I2C2MD   @ PMD5.1;
bit SPI1MD   @ PMD5.2;
bit U1MD     @ PMD5.4;
bit U2MD     @ PMD5.5;

bit CWG1MD   @ PMD4.5;
bit CWG2MD   @ PMD4.6;
bit CWG3MD   @ PMD4.7;

bit CCP1MD   @ PMD3.0;
bit CCP2MD   @ PMD3.1;
bit CCP3MD   @ PMD3.2;
bit CCP4MD   @ PMD3.3;
bit PWM5MD   @ PMD3.4;
bit PWM6MD   @ PMD3.5;
bit PWM7MD   @ PMD3.6;
bit PWM8MD   @ PMD3.7;

bit ZCDMD    @ PMD2.0;
bit CMP1MD   @ PMD2.1;
bit CMP2MD   @ PMD2.2;
bit ADCMD    @ PMD2.5;
bit DACMD    @ PMD2.6;

bit TMR0MD   @ PMD1.0;
bit TMR1MD   @ PMD1.1;
bit TMR2MD   @ PMD1.2;
bit TMR3MD   @ PMD1.3;
bit TMR4MD   @ PMD1.4;
bit TMR5MD   @ PMD1.5;
bit TMR6MD   @ PMD1.6;
bit NCO1MD   @ PMD1.7;

bit IOCMD    @ PMD0.0;
bit CLKRMD   @ PMD0.1;
bit NVMMD    @ PMD0.2;
bit SCANMD   @ PMD0.3;
bit CRCMD    @ PMD0.4;
bit HLVDMD   @ PMD0.5;
bit FVRMD    @ PMD0.6;
bit SYSCMD   @ PMD0.7;

bit CCP4IF   @ PIR10.0;
bit CLC4IF   @ PIR10.1;

bit TMR6IF   @ PIR9.0;
bit CCP3IF   @ PIR9.1;
bit CWG3IF   @ PIR9.2;
bit CLC3IF   @ PIR9.3;

bit TMR5IF   @ PIR8.6;
bit TMR5GIF  @ PIR8.7;

bit TMR4IF   @ PIR7.0;
bit CCP2IF   @ PIR7.1;
bit CWG2IF   @ PIR7.3;
bit CLC2IF   @ PIR7.4;
bit INT2IF   @ PIR7.5;

bit I2C2IF   @ PIR6.0;
bit I2C2EIF  @ PIR6.1;
bit U2RXIF   @ PIR6.2;
bit U2TXIF   @ PIR6.3;
bit U2EIF    @ PIR6.4;
bit U2IF     @ PIR6.5;
bit TMR3IF   @ PIR6.6;
bit TMR3GIF  @ PIR6.7;

bit INT1IF   @ PIR5.0;
bit C2IF     @ PIR5.1;
bit DMA2SCNTIF @ PIR5.2;
bit DMA2DCNTIF @ PIR5.3;
bit DMA2ORIF @ PIR5.4;
bit DMA2AIF  @ PIR5.5;
bit I2C2RXIF @ PIR5.6;
bit I2C2TXIF @ PIR5.7;

bit TMR1IF   @ PIR4.0;
bit TMR1GIF  @ PIR4.1;
bit TMR2IF   @ PIR4.2;
bit CCP1IF   @ PIR4.3;
bit NCO1IF   @ PIR4.5;
bit CWG1IF   @ PIR4.6;
bit CLC1IF   @ PIR4.7;

bit I2C1TXIF @ PIR3.0;
bit I2C1IF   @ PIR3.1;
bit I2C1EIF  @ PIR3.2;
bit U1RXIF   @ PIR3.3;
bit U1TXIF   @ PIR3.4;
bit U1EIF    @ PIR3.5;
bit U1IF     @ PIR3.6;
bit TMR0IF   @ PIR3.7;

bit DMA1SCNTIF @ PIR2.0;
bit DMA1DCNTIF @ PIR2.1;
bit DMA1ORIF @ PIR2.2;
bit DMA1AIF  @ PIR2.3;
bit SPI1RXIF @ PIR2.4;
bit SPI1TXIF @ PIR2.5;
bit SPI1IF   @ PIR2.6;
bit I2C1RXIF @ PIR2.7;

bit INT0IF   @ PIR1.0;
bit ZCDIF    @ PIR1.1;
bit ADIF     @ PIR1.2;
bit ADTIF    @ PIR1.3;
bit C1IF     @ PIR1.4;
bit SMT1IF   @ PIR1.5;
bit SMT1PRAIF @ PIR1.6;
bit SMT1PWAIF @ PIR1.7;

bit SWIF     @ PIR0.0;
bit HLVDIF   @ PIR0.1;
bit OSFIF    @ PIR0.2;
bit CSWIF    @ PIR0.3;
bit NVMIF    @ PIR0.4;
bit SCANIF   @ PIR0.5;
bit CRCIF    @ PIR0.6;
bit IOCIF    @ PIR0.7;

bit CCP4IE   @ PIE10.0;
bit CLC4IE   @ PIE10.1;

bit TMR6IE   @ PIE9.0;
bit CCP3IE   @ PIE9.1;
bit CWG3IE   @ PIE9.2;
bit CLC3IE   @ PIE9.3;

bit TMR5IE   @ PIE8.6;
bit TMR5GIE  @ PIE8.7;

bit TMR4IE   @ PIE7.0;
bit CCP2IE   @ PIE7.1;
bit CWG2IE   @ PIE7.3;
bit CLC2IE   @ PIE7.4;
bit INT2IE   @ PIE7.5;

bit I2C2IE   @ PIE6.0;
bit I2C2EIE  @ PIE6.1;
bit U2RXIE   @ PIE6.2;
bit U2TXIE   @ PIE6.3;
bit U2EIE    @ PIE6.4;
bit U2IE     @ PIE6.5;
bit TMR3IE   @ PIE6.6;
bit TMR3GIE  @ PIE6.7;

bit INT1IE   @ PIE5.0;
bit C2IE     @ PIE5.1;
bit DMA2SCNTIE @ PIE5.2;
bit DMA2DCNTIE @ PIE5.3;
bit DMA2ORIE @ PIE5.4;
bit DMA2AIE  @ PIE5.5;
bit I2C2RXIE @ PIE5.6;
bit I2C2TXIE @ PIE5.7;

bit TMR1IE   @ PIE4.0;
bit TMR1GIE  @ PIE4.1;
bit TMR2IE   @ PIE4.2;
bit CCP1IE   @ PIE4.3;
bit NCO1IE   @ PIE4.5;
bit CWG1IE   @ PIE4.6;
bit CLC1IE   @ PIE4.7;

bit I2C1TXIE @ PIE3.0;
bit I2C1IE   @ PIE3.1;
bit I2C1EIE  @ PIE3.2;
bit U1RXIE   @ PIE3.3;
bit U1TXIE   @ PIE3.4;
bit U1EIE    @ PIE3.5;
bit U1IE     @ PIE3.6;
bit TMR0IE   @ PIE3.7;

bit DMA1SCNTIE @ PIE2.0;
bit DMA1DCNTIE @ PIE2.1;
bit DMA1ORIE @ PIE2.2;
bit DMA1AIE  @ PIE2.3;
bit SPI1RXIE @ PIE2.4;
bit SPI1TXIE @ PIE2.5;
bit SPI1IE   @ PIE2.6;
bit I2C1RXIE @ PIE2.7;

bit INT0IE   @ PIE1.0;
bit ZCDIE    @ PIE1.1;
bit ADIE     @ PIE1.2;
bit ADTIE    @ PIE1.3;
bit C1IE     @ PIE1.4;
bit SMT1IE   @ PIE1.5;
bit SMT1PRAIE @ PIE1.6;
bit SMT1PWAIE @ PIE1.7;

bit SWIE     @ PIE0.0;
bit HLVDIE   @ PIE0.1;
bit OSFIE    @ PIE0.2;
bit CSWIE    @ PIE0.3;
bit NVMIE    @ PIE0.4;
bit SCANIE   @ PIE0.5;
bit CRCIE    @ PIE0.6;
bit IOCIE    @ PIE0.7;

bit CCP4IP   @ IPR10.0;
bit CLC4IP   @ IPR10.1;

bit TMR6IP   @ IPR9.0;
bit CCP3IP   @ IPR9.1;
bit CWG3IP   @ IPR9.2;
bit CLC3IP   @ IPR9.3;

bit TMR5IP   @ IPR8.6;
bit TMR5GIP  @ IPR8.7;

bit TMR4IP   @ IPR7.0;
bit CCP2IP   @ IPR7.1;
bit CWG2IP   @ IPR7.3;
bit CLC2IP   @ IPR7.4;
bit INT2IP   @ IPR7.5;

bit I2C2IP   @ IPR6.0;
bit I2C2EIP  @ IPR6.1;
bit U2RXIP   @ IPR6.2;
bit U2TXIP   @ IPR6.3;
bit U2EIP    @ IPR6.4;
bit U2IP     @ IPR6.5;
bit TMR3IP   @ IPR6.6;
bit TMR3GIP  @ IPR6.7;

bit INT1IP   @ IPR5.0;
bit C2IP     @ IPR5.1;
bit DMA2SCNTIP @ IPR5.2;
bit DMA2DCNTIP @ IPR5.3;
bit DMA2ORIP @ IPR5.4;
bit DMA2AIP  @ IPR5.5;
bit I2C2RXIP @ IPR5.6;
bit I2C2TXIP @ IPR5.7;

bit TMR1IP   @ IPR4.0;
bit TMR1GIP  @ IPR4.1;
bit TMR2IP   @ IPR4.2;
bit CCP1IP   @ IPR4.3;
bit NCO1IP   @ IPR4.5;
bit CWG1IP   @ IPR4.6;
bit CLC1IP   @ IPR4.7;

bit I2C1TXIP @ IPR3.0;
bit I2C1IP   @ IPR3.1;
bit I2C1EIP  @ IPR3.2;
bit U1RXIP   @ IPR3.3;
bit U1TXIP   @ IPR3.4;
bit U1EIP    @ IPR3.5;
bit U1IP     @ IPR3.6;
bit TMR0IP   @ IPR3.7;

bit DMA1SCNTIP @ IPR2.0;
bit DMA1DCNTIP @ IPR2.1;
bit DMA1ORIP @ IPR2.2;
bit DMA1AIP  @ IPR2.3;
bit SPI1RXIP @ IPR2.4;
bit SPI1TXIP @ IPR2.5;
bit SPI1IP   @ IPR2.6;
bit I2C1RXIP @ IPR2.7;

bit INT0IP   @ IPR1.0;
bit ZCDIP    @ IPR1.1;
bit ADIP     @ IPR1.2;
bit ADTIP    @ IPR1.3;
bit C1IP     @ IPR1.4;
bit SMT1IP   @ IPR1.5;
bit SMT1PRAIP @ IPR1.6;
bit SMT1PWAIP @ IPR1.7;

bit SWIP     @ IPR0.0;
bit HLVDIP   @ IPR0.1;
bit OSFIP    @ IPR0.2;
bit CSWIP    @ IPR0.3;
bit NVMIP    @ IPR0.4;
bit SCANIP   @ IPR0.5;
bit CRCIP    @ IPR0.6;
bit IOCIP    @ IPR0.7;

bit SCANBUSY @ SCANCON0.0;
bit SCANBURSTMD @ SCANCON0.1;
bit SCANMREG @ SCANCON0.2;
bit SCANGO   @ SCANCON0.5;
bit SCANTRIGEN @ SCANCON0.6;
bit SCANEN   @ SCANCON0.7;

bit CRCCON1_PLEN0 @ CRCCON1.0;
bit CRCCON1_PLEN1 @ CRCCON1.1;
bit CRCCON1_PLEN2 @ CRCCON1.2;
bit CRCCON1_PLEN3 @ CRCCON1.3;
bit CRCCON1_DLEN0 @ CRCCON1.4;
bit CRCCON1_DLEN1 @ CRCCON1.5;
bit CRCCON1_DLEN2 @ CRCCON1.6;
bit CRCCON1_DLEN3 @ CRCCON1.7;

bit CRCCON0_FULL @ CRCCON0.0;
bit CRCCON0_SHIFTM @ CRCCON0.1;
bit CRCCON0_ACCM @ CRCCON0.4;
bit CRCCON0_BUSY @ CRCCON0.5;
bit CRCCON0_CRCGO @ CRCCON0.6;
bit CRCCON0_CRCEN @ CRCCON0.7;

bit WDTPSCNT16 @ WDTTMR.0;
bit WDTPSCNT17 @ WDTTMR.1;
bit WDTSTATE @ WDTTMR.2;
bit WDTTMR0  @ WDTTMR.3;
bit WDTTMR1  @ WDTTMR.4;
bit WDTTMR2  @ WDTTMR.5;
bit WDTTMR3  @ WDTTMR.6;
bit WDTTMR4  @ WDTTMR.7;

bit WDTWINDOW0 @ WDTCON1.0;
bit WDTWINDOW1 @ WDTCON1.1;
bit WDTWINDOW2 @ WDTCON1.2;
bit WDTCS0   @ WDTCON1.4;
bit WDTCS1   @ WDTCON1.5;
bit WDTCS2   @ WDTCON1.6;

bit SWDTEN   @ WDTCON0.0;
bit WDTSEN   @ WDTCON0.0;
bit WDTPS0   @ WDTCON0.1;
bit WDTPS1   @ WDTCON0.2;
bit WDTPS2   @ WDTCON0.3;
bit WDTPS3   @ WDTCON0.4;
bit WDTPS4   @ WDTCON0.5;

bit SHADLO   @ SHADCON.0;


#if __CC8E__ >= 1800
#pragma intSRC_=SWINT,0,Software*Interrupt
#pragma intSRC_=HLVD,1,HLVD*Interrupt
#pragma intSRC_=OSF,2,Oscillator*Failure*Interrupt
#pragma intSRC_=CSW,3,Clock*Switch*Interrupt
#pragma intSRC_=NVM,4,NVM*Interrupt
#pragma intSRC_=SCAN,5,Scanner*Interrupt
#pragma intSRC_=CRC,6,CRC*Interrupt
#pragma intSRC_=IOC,7,Interrupt*on*change
#pragma intSRC_=INT0,8,External*Interrupt*0
#pragma intSRC_=ZCD,9,ZCD*Interrupt
#pragma intSRC_=AD,10,ADC*Interrupt
#pragma intSRC_=ADT,11,ADC*Treshold*Interrupt
#pragma intSRC_=CMP1,12,Comparator*1*Interrupt
#pragma intSRC_=SMT1,13,SMT1*Interrupt
#pragma intSRC_=SMT1PRA,14,SMT1*Period*acqusition*Interrupt
#pragma intSRC_=SMT1PRW,15,SMT1*Pulse*width*acqusition*Interrupt
#pragma intSRC_=DMA1SCNT,16,DMA1*Source*count*Interrupt
#pragma intSRC_=DMA1DCNT,17,DMA1*Destination*count*Interrupt
#pragma intSRC_=DMA1OR,18,DMA1*Overflow*Interrupt
#pragma intSRC_=DMA1A,19,DMA1*Abort*Interrupt
#pragma intSRC_=SPI1RX,20,SPI1*Receive*Interrupt
#pragma intSRC_=SPI1TX,21,SPI1*Transmit*Interrupt
#pragma intSRC_=SPI1,22,SPI1*Interrupt
#pragma intSRC_=I2C1RX,23,I2C1*Receive*Interrupt
#pragma intSRC_=I2C1TX,24,I2C1*Transmit*Interrupt
#pragma intSRC_=I2C1,25,I2C1*Interrupt
#pragma intSRC_=I2C1E,26,I2C1*Error*Interrupt
#pragma intSRC_=U1RX,27,UART1*Receive*Interrupt
#pragma intSRC_=U1TX,28,UART1*Transmit*Interrupt
#pragma intSRC_=U1E,29,UART1*Error*Interrupt
#pragma intSRC_=U1,30,UART1*Interrupt
#pragma intSRC_=TMR0,31,Timer0*Interrupt
#pragma intSRC_=TMR1,32,Timer1*Interrupt
#pragma intSRC_=TMR1G,33,Timer1*Gate*Interrupt
#pragma intSRC_=TMR2,34,Timer2*Interrupt
#pragma intSRC_=CCP1,35,CCP1*Interrupt
#pragma intSRC_=NCO1,37,NCO1*Interrupt
#pragma intSRC_=CWG1,38,CWG1*Interrupt
#pragma intSRC_=CLC1,39,CLC1*Interrupt
#pragma intSRC_=INT1,40,External*Interrupt*1
#pragma intSRC_=CMP2,41,Comparator*2*Interrupt
#pragma intSRC_=DMA2SCNT,42,DMA2*Source*count*Interrupt
#pragma intSRC_=DMA2DCNT,43,DMA2*Destination*count*Interrupt
#pragma intSRC_=DMA2OR,44,DMA2*Overflow*Interrupt
#pragma intSRC_=DMA2A,45,DMA2*Abort*Interrupt
#pragma intSRC_=I2C2RX,46,I2C2*Receive*Interrupt
#pragma intSRC_=I2C2TX,47,I2C2*Transmit*Interrupt
#pragma intSRC_=I2C2,48,I2C2*Interrupt
#pragma intSRC_=I2C2E,49,I2C2*Error*Interrupt
#pragma intSRC_=U2RX,50,UART2*Receive*Interrupt
#pragma intSRC_=U2TX,51,UART2*Transmit*Interrupt
#pragma intSRC_=U2E,52,UART2*Error*Interrupt
#pragma intSRC_=U2,53,UART2*Interrupt
#pragma intSRC_=TMR3,54,Timer3*Interrupt
#pragma intSRC_=TMR3G,55,Timer3*Gate*Interrupt
#pragma intSRC_=TMR4,56,Timer4*Interrupt
#pragma intSRC_=CCP2,57,CCP2*Interrupt
#pragma intSRC_=CWG2,59,CWG2*Interrupt
#pragma intSRC_=CLC2,60,CLC2*Interrupt
#pragma intSRC_=INT2,61,External*Interrupt*2
#pragma intSRC_=TMR5,70,Timer5*Interrupt
#pragma intSRC_=TMR5G,71,Timer5*Gate*Interrupt
#pragma intSRC_=TMR6,72,Timer6*Interrupt
#pragma intSRC_=CCP3,73,CCP3*Interrupt
#pragma intSRC_=CWG3,74,CWG3*Interrupt
#pragma intSRC_=CLC3,75,CLC3*Interrupt
#pragma intSRC_=CCP4,80,CCP4*Interrupt
#pragma intSRC_=CLC4,81,CLC4*Interrupt
#endif


#if __CC8E__ >= 1500
#pragma config /0 0xF8 FEXTOSC = LP // LP (crystal oscillator) optimized for 32.768 kHz; PFM set to low power
#pragma config /0 0xF9 FEXTOSC = XT // XT (crystal oscillator) above 100 kHz, below 8 MHz; PFM set to medium power
#pragma config /0 0xFA FEXTOSC = HS // HS (crystal oscillator) above 8 MHz; PFM set to high power
#pragma config /0 0xFC FEXTOSC = OFF // Oscillator not enabled
#pragma config /0 0xFD FEXTOSC = ECL // EC (external clock) below 100 kHz; PFM set to low power
#pragma config /0 0xFE FEXTOSC = ECM // EC (external clock) for 500 kHz to 8 MHz; PFM set to medium power
#pragma config /0 0xFF FEXTOSC = ECH // EC (external clock) above 8 MHz; PFM set to high power
#pragma config /0 0x8F RSTOSC = HFINTOSC_64MHZ // HFINTOSC with HFFRQ = 64 MHz and CDIV = 1:1
#pragma config /0 0xAF RSTOSC = EXTOSC_4PLL // EXTOSC with 4x PLL, with EXTOSC operating per FEXTOSC bits
#pragma config /0 0xCF RSTOSC = SOSC // Secondary Oscillator
#pragma config /0 0xDF RSTOSC = LFINTOSC // Low-Frequency Oscillator
#pragma config /0 0xEF RSTOSC = HFINTOSC_1MHZ // HFINTOSC with HFFRQ = 4 MHz and CDIV = 4:1
#pragma config /0 0xFF RSTOSC = EXTOSC // EXTOSC operating per FEXTOSC bits (device manufacturing default)
#pragma config /1 0xFE CLKOUTEN = ON // CLKOUT function is enabled
#pragma config /1 0xFF CLKOUTEN = OFF // CLKOUT function is disabled
#pragma config /1 0xFD PR1WAY = OFF // PRLOCK bit can be set and cleared repeatedly
#pragma config /1 0xFF PR1WAY = ON // PRLOCK bit can be cleared and set only once
#pragma config /1 0xF7 CSWEN = OFF // The NOSC and NDIV bits cannot be changed by user software
#pragma config /1 0xFF CSWEN = ON // Writing to NOSC and NDIV is allowed
#pragma config /1 0xDF FCMEN = OFF // Fail-Safe Clock Monitor disabled
#pragma config /1 0xFF FCMEN = ON // Fail-Safe Clock Monitor enabled
#pragma config /2 0xFE MCLRE = INTMCLR // If LVP = 0, MCLR pin function is port defined function; If LVP =1, RE3 pin fuction is MCLR
#pragma config /2 0xFF MCLRE = EXTMCLR // If LVP = 0, MCLR pin is MCLR; If LVP = 1, RE3 pin function is MCLR 
#pragma config /2 0xF9 PWRTS = PWRT_1 // PWRT set at 1ms
#pragma config /2 0xFB PWRTS = PWRT_16 // PWRT set at 16ms
#pragma config /2 0xFD PWRTS = PWRT_64 // PWRT set at 64ms
#pragma config /2 0xFF PWRTS = PWRT_OFF // PWRT is disabled
#pragma config /2 0xF7 MVECEN = OFF // Interrupt contoller does not use vector table to prioritze interrupts
#pragma config /2 0xFF MVECEN = ON // Multi-vector enabled, Vector table used for interrupts
#pragma config /2 0xEF IVT1WAY = OFF // IVTLOCK bit can be cleared and set repeatedly
#pragma config /2 0xFF IVT1WAY = ON // IVTLOCK bit can be cleared and set only once
#pragma config /2 0xDF LPBOREN = ON // ULPBOR enabled
#pragma config /2 0xFF LPBOREN = OFF // ULPBOR disabled
#pragma config /2 0x3F BOREN = OFF // Brown-out Reset disabled
#pragma config /2 0x7F BOREN = ON // Brown-out Reset enabled according to SBOREN
#pragma config /2 0xBF BOREN = NOSLP // Brown-out Reset enabled while running, disabled in Sleep; SBOREN is ignored
#pragma config /2 0xFF BOREN = SBORDIS // Brown-out Reset enabled , SBOREN bit is ignored
#pragma config /3 0xFC BORV = VBOR_2P85 // Brown-out Reset Voltage (VBOR) set to 2.8V
#pragma config /3 0xFD BORV = VBOR_2P7 // Brown-out Reset Voltage (VBOR) set to 2.7V
#pragma config /3 0xFE BORV = VBOR_245 // Brown-out Reset Voltage (VBOR) set to 2.45V
#ifdef _18F46K42
#pragma config /3 0xFF BORV = VBOR_2P45 // Brown-out Reset Voltage (VBOR) set to 2.45V
#endif
#ifdef _18LF46K42
#pragma config /3 0xFF BORV = VBOR_190 // Brown-out Reset Voltage (VBOR) set to 1.90V
#endif
#pragma config /3 0xFB ZCD = ON // ZCD always enabled
#pragma config /3 0xFF ZCD = OFF // ZCD disabled. ZCD can be enabled by setting the ZCDSEN bit of ZCDCON
#pragma config /3 0xF7 PPS1WAY = OFF // PPSLOCK bit can be set and cleared repeatedly (subject to the unlock sequence)
#pragma config /3 0xFF PPS1WAY = ON // PPSLOCK bit can be cleared and set only once; PPS registers remain locked after one clear/set cycle
#pragma config /3 0xEF STVREN = OFF // Stack full/underflow will not cause Reset
#pragma config /3 0xFF STVREN = ON // Stack full/underflow will cause Reset
#pragma config /3 0xDF DEBUG = ON // Background debugger enabled
#pragma config /3 0xFF DEBUG = OFF // Background debugger disabled
#pragma config /3 0x7F XINST = ON // Extended Instruction Set and Indexed Addressing Mode enabled
#pragma config /3 0xFF XINST = OFF // Extended Instruction Set and Indexed Addressing Mode disabled
#pragma config /4 0xE0 WDTCPS = WDTCPS_0 // Divider ratio 1:32
#pragma config /4 0xE1 WDTCPS = WDTCPS_1 // Divider ratio 1:64
#pragma config /4 0xE2 WDTCPS = WDTCPS_2 // Divider ratio 1:128
#pragma config /4 0xE3 WDTCPS = WDTCPS_3 // Divider ratio 1:256
#pragma config /4 0xE4 WDTCPS = WDTCPS_4 // Divider ratio 1:512
#pragma config /4 0xE5 WDTCPS = WDTCPS_5 // Divider ratio 1:1024
#pragma config /4 0xE6 WDTCPS = WDTCPS_6 // Divider ratio 1:2048
#pragma config /4 0xE7 WDTCPS = WDTCPS_7 // Divider ratio 1:4096
#pragma config /4 0xE8 WDTCPS = WDTCPS_8 // Divider ratio 1:8192
#pragma config /4 0xE9 WDTCPS = WDTCPS_9 // Divider ratio 1:16384
#pragma config /4 0xEA WDTCPS = WDTCPS_10 // Divider ratio 1:32768
#pragma config /4 0xEB WDTCPS = WDTCPS_11 // Divider ratio 1:65536
#pragma config /4 0xEC WDTCPS = WDTCPS_12 // Divider ratio 1:131072
#pragma config /4 0xED WDTCPS = WDTCPS_13 // Divider ratio 1:262144
#pragma config /4 0xEE WDTCPS = WDTCPS_14 // Divider ratio 1:524299
#pragma config /4 0xEF WDTCPS = WDTCPS_15 // Divider ratio 1:1048576
#pragma config /4 0xF0 WDTCPS = WDTCPS_16 // Divider ratio 1:2097152
#pragma config /4 0xF1 WDTCPS = WDTCPS_17 // Divider ratio 1:4194304
#pragma config /4 0xF2 WDTCPS = WDTCPS_18 // Divider ratio 1:8388608
#pragma config /4 0xF3 WDTCPS = WDTCPS_19 // Divider ratio 1:32
#pragma config /4 0xF4 WDTCPS = WDTCPS_20 // Divider ratio 1:32
#pragma config /4 0xF5 WDTCPS = WDTCPS_21 // Divider ratio 1:32
#pragma config /4 0xF6 WDTCPS = WDTCPS_22 // Divider ratio 1:32
#pragma config /4 0xF7 WDTCPS = WDTCPS_23 // Divider ratio 1:32
#pragma config /4 0xF8 WDTCPS = WDTCPS_24 // Divider ratio 1:32
#pragma config /4 0xF9 WDTCPS = WDTCPS_25 // Divider ratio 1:32
#pragma config /4 0xFA WDTCPS = WDTCPS_26 // Divider ratio 1:32
#pragma config /4 0xFB WDTCPS = WDTCPS_27 // Divider ratio 1:32
#pragma config /4 0xFC WDTCPS = WDTCPS_28 // Divider ratio 1:32
#pragma config /4 0xFD WDTCPS = WDTCPS_29 // Divider ratio 1:32
#pragma config /4 0xFE WDTCPS = WDTCPS_30 // Divider ratio 1:32
#pragma config /4 0xFF WDTCPS = WDTCPS_31 // Divider ratio 1:65536; software control of WDTPS
#pragma config /4 0x9F WDTE = OFF // WDT Disabled; SWDTEN is ignored
#pragma config /4 0xBF WDTE = SWDTEN // WDT enabled/disabled by SWDTEN bit
#pragma config /4 0xDF WDTE = NSLEEP // WDT enabled while sleep=0, suspended when sleep=1; SWDTEN ignored
#pragma config /4 0xFF WDTE = ON // WDT enabled regardless of sleep
#pragma config /5 0xF8 WDTCWS = WDTCWS_0 // window delay = 87.5; no software control; keyed access required
#pragma config /5 0xF9 WDTCWS = WDTCWS_1 // window delay = 75 percent of time; no software control; keyed access required
#pragma config /5 0xFA WDTCWS = WDTCWS_2 // window delay = 62.5 percent of time; no software control; keyed access required
#pragma config /5 0xFB WDTCWS = WDTCWS_3 // window delay = 50 percent of time; no software control; keyed access required
#pragma config /5 0xFC WDTCWS = WDTCWS_4 // window delay = 37.5 percent of time; no software control; keyed access required
#pragma config /5 0xFD WDTCWS = WDTCWS_5 // window delay = 25 percent of time; no software control; keyed access required
#pragma config /5 0xFE WDTCWS = WDTCWS_6 // window always open (100%); no software control; keyed access required
#pragma config /5 0xFF WDTCWS = WDTCWS_7 // window always open (100%); software control; keyed access not required
#pragma config /5 0xC7 WDTCCS = LFINTOSC // WDT reference clock is the 31.0 kHz LFINTOSC
#pragma config /5 0xCF WDTCCS = MFINTOSC // WDT reference clock is the 32kHz MFINTOSC output
#pragma config /5 0xD7 WDTCCS = SOSC // WDT reference clock is SOSC
#pragma config /5 0xFF WDTCCS = SC // Software Control
#pragma config /6 0xFA BBSIZE = BBSIZE_16384 // Boot Block size is 16384 words
#pragma config /6 0xFB BBSIZE = BBSIZE_8192 // Boot Block size is 8192 words
#pragma config /6 0xFC BBSIZE = BBSIZE_4096 // Boot Block size is 4096 words
#pragma config /6 0xFD BBSIZE = BBSIZE_2048 // Boot Block size is 2048 words
#pragma config /6 0xFE BBSIZE = BBSIZE_1024 // Boot Block size is 1024 words
#pragma config /6 0xFF BBSIZE = BBSIZE_512 // Boot Block size is 512 words
#pragma config /6 0xF7 BBEN = ON // Boot block enabled
#pragma config /6 0xFF BBEN = OFF // Boot block disabled
#pragma config /6 0xEF SAFEN = ON // SAF enabled
#pragma config /6 0xFF SAFEN = OFF // SAF disabled
#pragma config /6 0x7F WRTAPP = ON // Application Block write protected
#pragma config /6 0xFF WRTAPP = OFF // Application Block not write protected
#pragma config /7 0xFE WRTB = ON // Configuration registers (300000-30000Bh) write-protected
#pragma config /7 0xFF WRTB = OFF // Configuration registers (300000-30000Bh) not write-protected
#pragma config /7 0xFD WRTC = ON // Boot Block (000000-0007FFh) write-protected
#pragma config /7 0xFF WRTC = OFF // Boot Block (000000-0007FFh) not write-protected
#pragma config /7 0xFB WRTD = ON // Data EEPROM write-protected
#pragma config /7 0xFF WRTD = OFF // Data EEPROM not write-protected
#pragma config /7 0xF7 WRTSAF = ON // SAF Write Protected
#pragma config /7 0xFF WRTSAF = OFF // SAF not Write Protected
#pragma config /7 0xDF LVP = OFF // HV on MCLR/VPP must be used for programming
#pragma config /7 0xFF LVP = ON // Low voltage programming enabled. MCLR/VPP pin function is MCLR. MCLRE configuration bit is ignored
#pragma config /8 0xFE CP = ON // PFM and Data EEPROM code protection enabled
#pragma config /8 0xFF CP = OFF // PFM and Data EEPROM code protection disabled
#endif
