// Header file
#pragma chip PIC18F16Q20, core 16 enh, code 32768, ram 0x500 : 0x14FF

// Extended Instruction Set

#pragma accessGPR 0x60

#pragma stackLevels 127


/* Predefined:
TOSU,TOSH,TOSL,
STKPTR,
PCLATU,PCLATH,PCL,
TBLPTRU,TBLPTRH,TBLPTRL,TBLPTR,TABLAT,
PRODH,PRODL,
INDF0,POSTINC0,POSTDEC0,PREINC0,PLUSW0,FSR0H,FSR0L,FSR0,
WREG,
INDF1,POSTINC1,POSTDEC1,PREINC1,PLUSW1,FSR1H,FSR1L,FSR1,
BSR,BSRL,
INDF2,POSTINC2,POSTDEC2,PREINC2,PLUSW2,FSR2H,FSR2L,FSR2,
STATUS,
Carry,DC,Zero_,Overflow,Negative,
*/

uns24 IVTBASE24 @ 0x466;


/*
* The following REGISTER and CONFIG definitions are generated automatically
* from INI and CFGDATA files for the specific device. Note that some bit names
* are modified compared to the names found in the INI file.
*
* The INI and CFGDATA files contains a copyright and disclaimer notice from Microchip.
* The following text is copied from the INI file and should contain the notice:

# Generated 18/07/2023 GMT

# Copyright © 2023, Microchip Technology Inc. and its subsidiaries ("Microchip")
# All rights reserved.
# 
# This software is developed by Microchip Technology Inc. and its subsidiaries ("Microchip").
# 
# Redistribution and use in source and binary forms, with or without modification, are
# permitted provided that the following conditions are met:
# 
#     1. Redistributions of source code must retain the above copyright notice, this list of
#        conditions and the following disclaimer.
# 
#     2. Redistributions in binary form must reproduce the above copyright notice, this list
#        of conditions and the following disclaimer in the documentation and/or other
#        materials provided with the distribution. Publication is not required when
#        this file is used in an embedded application.
# 
#     3. Microchip's name may not be used to endorse or promote products derived from this
#        software without specific prior written permission.
# 
# THIS SOFTWARE IS PROVIDED BY MICROCHIP "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL MICROCHIP BE LIABLE FOR ANY DIRECT, INDIRECT,
# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING BUT NOT LIMITED TO
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWSOEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

*/


char CPUDOZE  @ 0x4F2;
char PCON1    @ 0x4F1;
char PCON0    @ 0x4F0;

char MVIOSTAT @ 0x4A6;
char PORTWCON @ 0x4A5;
char PORTWDF  @ 0x4A4;
char PORTWCLK @ 0x4A3;
char PORTWIN7 @ 0x4A2;
char PORTWIN6 @ 0x4A1;
char PORTWIN5 @ 0x4A0;
char PORTWIN4 @ 0x49F;
char PORTWIN3 @ 0x49E;
char PORTWIN2 @ 0x49D;
char PORTWIN1 @ 0x49C;
char PORTWIN0 @ 0x49B;
char LATW     @ 0x49A;
char PORTW    @ 0x499;

char LATC     @ 0x495;
char LATB     @ 0x494;
char LATA     @ 0x493;

char TRISC    @ 0x48F;
char TRISB    @ 0x48E;
char TRISA    @ 0x48D;

char PORTC    @ 0x489;
char PORTB    @ 0x488;
char PORTA    @ 0x487;
char IPR9     @ 0x486;
char IPR8     @ 0x485;
char IPR7     @ 0x484;
char IPR6     @ 0x483;
char IPR5     @ 0x482;
char IPR4     @ 0x481;
char IPR3     @ 0x480;
char IPR2     @ 0x47F;
char IPR1     @ 0x47E;
char IPR0     @ 0x47D;
char PIE9     @ 0x47C;
char PIE8     @ 0x47B;
char PIE7     @ 0x47A;
char PIE6     @ 0x479;
char PIE5     @ 0x478;
char PIE4     @ 0x477;
char PIE3     @ 0x476;
char PIE2     @ 0x475;
char PIE1     @ 0x474;
char PIE0     @ 0x473;
char PIR9     @ 0x472;
char PIR8     @ 0x471;
char PIR7     @ 0x470;
char PIR6     @ 0x46F;
char PIR5     @ 0x46E;
char PIR4     @ 0x46D;
char PIR3     @ 0x46C;
char PIR2     @ 0x46B;
char PIR1     @ 0x46A;
char PIR0     @ 0x469;
char IVTBASEU @ 0x468;
char IVTBASEH @ 0x467;
char IVTBASEL @ 0x466;
char IVTADU   @ 0x465;
char IVTADH   @ 0x464;
char IVTADL   @ 0x463;
char INTCON1  @ 0x462;
char INTCON0  @ 0x461;
char IVTLOCK  @ 0x460;

char IOCWF    @ 0x459;
char IOCWN    @ 0x458;
char IOCWP    @ 0x457;

char IOCCF    @ 0x431;
char IOCCN    @ 0x430;
char IOCCP    @ 0x42F;
char INLVLC   @ 0x42E;
char SLRCONC  @ 0x42D;
char ODCONC   @ 0x42C;
char WPUC     @ 0x42B;
char ANSELC   @ 0x42A;

char IOCBF    @ 0x427;
char IOCBN    @ 0x426;
char IOCBP    @ 0x425;
char INLVLB   @ 0x424;
char SLRCONB  @ 0x423;
char ODCONB   @ 0x422;
char WPUB     @ 0x421;
char ANSELB   @ 0x420;

char IOCAF    @ 0x41D;
char IOCAN    @ 0x41C;
char IOCAP    @ 0x41B;
char INLVLA   @ 0x41A;
char SLRCONA  @ 0x419;
char ODCONA   @ 0x418;
char WPUA     @ 0x417;
char ANSELA   @ 0x416;

char ADACTPPS @ 0x3B1;

char I2C1SDAPPS @ 0x3AE;
char I2C1SCLPPS @ 0x3AD;

char SPI1SSPPS @ 0x3A9;
char SPI1SDIPPS @ 0x3A8;
char SPI1SCKPPS @ 0x3A7;

char U2RXPPS  @ 0x3A4;
char U2CTSPPS @ 0x3A3;
char U1RXPPS  @ 0x3A2;
char U1CTSPPS @ 0x3A1;
char CLCIN3PPS @ 0x3A0;
char CLCIN2PPS @ 0x39F;
char CLCIN1PPS @ 0x39E;
char CLCIN0PPS @ 0x39D;

char CWG1INPPS @ 0x399;
char CWG1PPS  @ CWG1INPPS;

char PWM2ERSPPS @ 0x387;
char PWM1ERSPPS @ 0x386;
char PWMIN1PPS @ 0x385;
char PWMIN0PPS @ 0x384;
char PRODH_SHAD @ 0x383;
char PRODL_SHAD @ 0x382;
char PROD_SHAD @ PRODL_SHAD;
char FSR2H_SHAD @ 0x381;
char FSR2L_SHAD @ 0x380;
char FSR2_SHAD @ FSR2L_SHAD;
char FSR1H_SHAD @ 0x37F;
char FSR1L_SHAD @ 0x37E;
char FSR1_SHAD @ FSR1L_SHAD;
char FSR0H_SHAD @ 0x37D;
char FSR0L_SHAD @ 0x37C;
char FSR0_SHAD @ FSR0L_SHAD;
char PCLATU_SHAD @ 0x37B;
char PCLATH_SHAD @ 0x37A;
char PCLAT_SHAD @ PCLATH_SHAD;
char BSR_SHAD @ 0x379;
char WREG_SHAD @ 0x378;
char STATUS_SHAD @ 0x377;
char SHADCON  @ 0x376;
char BSR_CSHAD @ 0x375;
char WREG_CSHAD @ 0x374;
char STATUS_CSHAD @ 0x373;

char CCP2PPS  @ 0x36A;
char CCP1PPS  @ 0x369;

char TUIN1PPS @ 0x366;
char TUIN0PPS @ 0x365;

char T4INPPS  @ 0x361;
char T2INPPS  @ 0x360;

char T1GPPS   @ 0x357;
char T1CKIPPS @ 0x356;
char T0CKIPPS @ 0x355;
char INT2PPS  @ 0x354;
char INT1PPS  @ 0x353;
char INT0PPS  @ 0x352;
char PPSLOCK  @ 0x351;

char RC7PPS   @ 0x330;
char RC6PPS   @ 0x32F;
char RC5PPS   @ 0x32E;
char RC4PPS   @ 0x32D;
char RC3PPS   @ 0x32C;

char RC1PPS   @ 0x32A;
char RC0PPS   @ 0x329;
char RB7PPS   @ 0x328;
char RB6PPS   @ 0x327;
char RB5PPS   @ 0x326;

char RA5PPS   @ 0x31E;
char RA4PPS   @ 0x31D;

char RA2PPS   @ 0x31B;
char RA1PPS   @ 0x31A;
char RA0PPS   @ 0x319;

char RC5FEAT  @ 0x316;
char RC4FEAT  @ 0x315;

char RC1FEAT  @ 0x313;
char RC0FEAT  @ 0x312;

char RB6FEAT  @ 0x310;
char RB5FEAT  @ 0x30F;

char PMD4     @ 0x304;
char PMD3     @ 0x303;
char PMD2     @ 0x302;
char PMD1     @ 0x301;
char PMD0     @ 0x300;

char ADCG1C   @ 0x239;
char ADCG1B   @ 0x238;
char ADCG1A   @ 0x237;
char ADCLK    @ 0x236;
char ADACT    @ 0x235;
char ADREF    @ 0x234;
char ADSTAT   @ 0x233;
char ADCON3   @ 0x232;
char ADCON2   @ 0x231;
char ADCON1   @ 0x230;
char ADCON0   @ 0x22F;
char ADPREH   @ 0x22E;
char ADPREL   @ 0x22D;
char ADCAP    @ 0x22C;
char ADACQH   @ 0x22B;
char ADACQL   @ 0x22A;
char ADNCH    @ 0x229;
char ADPCH    @ 0x228;
char ADRESH   @ 0x227;
char ADRESL   @ 0x226;
char ADPREVH  @ 0x225;
char ADPREVL  @ 0x224;
char ADRPT    @ 0x223;
char ADCNT    @ 0x222;

char ADACCH   @ 0x220;
char ADACCL   @ 0x21F;
char ADFLTRH  @ 0x21E;
char ADFLTRL  @ 0x21D;
char ADSTPTH  @ 0x21C;
char ADSTPTL  @ 0x21B;
char ADERRH   @ 0x21A;
char ADERRL   @ 0x219;
char ADUTHH   @ 0x218;
char ADUTHL   @ 0x217;
char ADLTHH   @ 0x216;
char ADLTHL   @ 0x215;

char HLVDCON1 @ 0x203;
char HLVDCON0 @ 0x202;
char FVRCON   @ 0x201;

char I2C1BTOC @ 0x1FA;
char I2C1CLK  @ 0x1F9;
char I2C1BAUD @ 0x1F8;
char I2C1BTO  @ 0x1F7;
char I2C1ADR3 @ 0x1F6;
char I2C1ADR2 @ 0x1F5;
char I2C1ADR1 @ 0x1F4;
char I2C1ADR0 @ 0x1F3;
char I2C1ADB1 @ 0x1F2;
char I2C1ADB0 @ 0x1F1;
char I2C1TXB  @ 0x1F0;
char I2C1RXB  @ 0x1EF;
char I2C1CNTH @ 0x1EE;
char I2C1CNTL @ 0x1ED;
char I2C1ERR  @ 0x1EC;
char I2C1PIE  @ 0x1EB;
char I2C1PIR  @ 0x1EA;
char I2C1CON3 @ 0x1E9;
char I2C1CON2 @ 0x1E8;
char I2C1CON1 @ 0x1E7;
char I2C1CON0 @ 0x1E6;
char I2C1STAT1 @ 0x1E5;
char I2C1STAT0 @ 0x1E4;
char SPI1CLK  @ 0x1E3;
char SPI1INTE @ 0x1E2;
char SPI1INTF @ 0x1E1;
char SPI1BAUD @ 0x1E0;
char SPI1TWIDTH @ 0x1DF;
char SPI1STATUS @ 0x1DE;
char SPI1CON2 @ 0x1DD;
char SPI1CON1 @ 0x1DC;
char SPI1CON0 @ 0x1DB;
char SPI1TCNTH @ 0x1DA;
char SPI1TCNTL @ 0x1D9;
char SPI1TXB  @ 0x1D8;
char SPI1RXB  @ 0x1D7;
char U2ERRIE  @ 0x1D6;
char U2ERRIR  @ 0x1D5;
char U2UIR    @ 0x1D4;

char U2FIFO   @ 0x1D2;
char U2BRGH   @ 0x1D1;
char U2BRGL   @ 0x1D0;
char U2CON2   @ 0x1CF;
char U2CON1   @ 0x1CE;
char U2CON0   @ 0x1CD;

char U2P3L    @ 0x1CB;

char U2P2L    @ 0x1C9;

char U2P1L    @ 0x1C7;

char U2TXBL   @ 0x1C5;

char U2RXBL   @ 0x1C3;
char U1ERRIE  @ 0x1C2;
char U1ERRIR  @ 0x1C1;
char U1UIR    @ 0x1C0;

char U1FIFO   @ 0x1BE;
char U1BRGH   @ 0x1BD;
char U1BRGL   @ 0x1BC;
char U1CON2   @ 0x1BB;
char U1CON1   @ 0x1BA;
char U1CON0   @ 0x1B9;
char U1P3H    @ 0x1B8;
char U1P3L    @ 0x1B7;
char U1P2H    @ 0x1B6;
char U1P2L    @ 0x1B5;
char U1P1H    @ 0x1B4;
char U1P1L    @ 0x1B3;
char U1TXCHK  @ 0x1B2;
char U1TXBL   @ 0x1B1;
char U1RXCHK  @ 0x1B0;
char U1RXBL   @ 0x1AF;
char CLCnGLS3 @ 0x1AE;
char CLCnGLS2 @ 0x1AD;
char CLCnGLS1 @ 0x1AC;
char CLCnGLS0 @ 0x1AB;
char CLCnSEL3 @ 0x1AA;
char CLCnSEL2 @ 0x1A9;
char CLCnSEL1 @ 0x1A8;
char CLCnSEL0 @ 0x1A7;
char CLCnPOL  @ 0x1A6;
char CLCnCON  @ 0x1A5;
char CLCSELECT @ 0x1A4;
char CLCDATA  @ 0x1A3;

char CWG1STR  @ 0x1A1;
char CWG1AS1  @ 0x1A0;
char CWG1AS0  @ 0x19F;
char CWG1CON1 @ 0x19E;
char CWG1CON0 @ 0x19D;
char CWG1DBF  @ 0x19C;
char CWG1DBR  @ 0x19B;
char CWG1DAT  @ 0x19A;
char CWG1ISM  @ CWG1DAT;
char CWG1CLKCON @ 0x199;
char CWG1CLK  @ CWG1CLKCON;

char PWM2S1P2H @ 0x170;
char PWM2S1P2L @ 0x16F;
char PWM2S1P1H @ 0x16E;
char PWM2S1P1L @ 0x16D;
char PWM2S1CFG @ 0x16C;
char PWM2CON  @ 0x16B;
char PWM2GIE  @ 0x16A;
char PWM2GIR  @ 0x169;
char PWM2PIPOS @ 0x168;
char PWM2CPRE @ 0x167;
char PWM2PRH  @ 0x166;
char PWM2PRL  @ 0x165;
char PWM2LDS  @ 0x164;
char PWM2CLK  @ 0x163;
char PWM2ERS  @ 0x162;
char PWM1S1P2H @ 0x161;
char PWM1S1P2L @ 0x160;
char PWM1S1P1H @ 0x15F;
char PWM1S1P1L @ 0x15E;
char PWM1S1CFG @ 0x15D;
char PWM1CON  @ 0x15C;
char PWM1GIE  @ 0x15B;
char PWM1GIR  @ 0x15A;
char PWM1PIPOS @ 0x159;
char PWM1CPRE @ 0x158;
char PWM1PRH  @ 0x157;
char PWM1PRL  @ 0x156;
char PWM1LDS  @ 0x155;
char PWM1CLK  @ 0x154;
char PWM1ERS  @ 0x153;
char PWMEN    @ 0x152;
char PWMLOAD  @ 0x151;
char CCP2CAP  @ 0x150;
char CCP2CON  @ 0x14F;
char CCPR2H   @ 0x14E;
char CCPR2L   @ 0x14D;
char CCP1CAP  @ 0x14C;
char CCP1CON  @ 0x14B;
char CCPR1H   @ 0x14A;
char CCPR1L   @ 0x149;
char CCPTMRS0 @ 0x148;
char TU16BERS @ 0x147;
char TU16BCLK @ 0x146;
char TU16BPRT @ 0x145;

char TU16BPRH @ 0x143;
char TU16BPRL @ 0x142;
char TU16BCRT @ 0x141;
char TU16BTMRT @ TU16BCRT;

char TU16BCRH @ 0x13F;
char TU16BTMRH @ TU16BCRH;
char TU16BCRL @ 0x13E;
char TU16BTMRL @ TU16BCRL;
char TU16BCR  @ TU16BCRL;
char TU16BPS  @ 0x13D;
char TU16BHLT @ 0x13C;
char TU16BCON1 @ 0x13B;
char TU16BCON0 @ 0x13A;
char TU16AERS @ 0x139;
char TU16ACLK @ 0x138;
char TU16APRT @ 0x137;

char TU16APRH @ 0x135;
char TU16APRL @ 0x134;
char TU16ACRT @ 0x133;
char TU16ATMRT @ TU16ACRT;

char TU16ACRH @ 0x131;
char TU16ATMRH @ TU16ACRH;
char TU16ACRL @ 0x130;
char TU16ATMRL @ TU16ACRL;
char TU16ACR  @ TU16ACRL;
char TU16APS  @ 0x12F;
char TU16AHLT @ 0x12E;
char TU16ACON1 @ 0x12D;
char TU16ACON0 @ 0x12C;
char TUCHAIN  @ 0x12B;

char T4RST    @ 0x124;
char T4CLK    @ 0x123;
char T4CLKCON @ T4CLK;
char T4HLT    @ 0x122;
char T4CON    @ 0x121;
char T4PR     @ 0x120;
char TMR4     @ 0x11F;
char T4TMR    @ TMR4;
char T2RST    @ 0x11E;
char T2CLK    @ 0x11D;
char T2CLKCON @ T2CLK;
char T2HLT    @ 0x11C;
char T2CON    @ 0x11B;
char T2PR     @ 0x11A;
char TMR2     @ 0x119;
char T2TMR    @ TMR2;

char PR1      @ 0x10C;
char TMR1CLK  @ PR1;
char T1CLK    @ PR1;
char TMR1GATE @ 0x10B;
char T1GATE   @ TMR1GATE;
char TMR1GCON @ 0x10A;
char T1GCON   @ TMR1GCON;
char TMR1CON  @ 0x109;
char T1CON    @ TMR1CON;
char TMR1H    @ 0x108;
char TMR1L    @ 0x107;
char T0CON1   @ 0x106;
char T0CON0   @ 0x105;
char TMR0H    @ 0x104;
char TMR0L    @ 0x103;

char CLKRCLK  @ 0x101;
char CLKRCON  @ 0x100;

char I3C2CLK  @ 0xE8;
char I3C2I2CCON @ 0xE7;
char I3C2CCC  @ 0xE6;
char I3C2BUSCXT @ 0xE5;
char I3C2RSTACT @ 0xE4;
char I3C2MRTU @ 0xE3;
char I3C2MRTH @ 0xE2;
char I3C2MRTL @ 0xE1;
char I3C2MRS  @ 0xE0;
char I3C2MWS  @ 0xDF;
char I3C2DSTAT1 @ 0xDE;
char I3C2DSTAT0 @ 0xDD;
char I3C2DCR  @ 0xDC;
char I3C2BCR  @ 0xDB;
char I3C2PID5 @ 0xDA;
char I3C2PID4 @ 0xD9;
char I3C2PID3 @ 0xD8;
char I3C2PID2 @ 0xD7;
char I3C2PID1 @ 0xD6;
char I3C2PID0 @ 0xD5;
char I3C2IBIPSZ @ 0xD4;
char I3C2MRLH @ 0xD3;
char I3C2MRLL @ 0xD2;
char I3C2MWLH @ 0xD1;
char I3C2MWLL @ 0xD0;
char I3C2EC   @ 0xCF;
char I3C2DADR @ 0xCE;
char I3C2SADR @ 0xCD;
char I3C2FEAT @ 0xCC;
char I3C2RETRY @ 0xCB;
char I3C2IBIMDB @ 0xCA;
char I3C2BTOH @ 0xC9;
char I3C2BTOL @ 0xC8;
char I3C2BAVL @ 0xC7;
char I3C2BIDLH @ 0xC6;
char I3C2BIDLL @ 0xC5;
char I3C2ERRIE1 @ 0xC4;
char I3C2ERRIE0 @ 0xC3;
char I3C2PIE1 @ 0xC2;
char I3C2PIE0 @ 0xC1;
char I3C2ERRIR1 @ 0xC0;
char I3C2ERRIR0 @ 0xBF;
char I3C2PIR1 @ 0xBE;
char I3C2PIR0 @ 0xBD;
char I3C2BSTAT @ 0xBC;
char I3C2STAT1 @ 0xBB;
char I3C2STAT0 @ 0xBA;
char I3C2TXB  @ 0xB9;
char I3C2RXB  @ 0xB8;
char I3C2CON1 @ 0xB7;
char I3C2CON0 @ 0xB6;
char I3C1CLK  @ 0xB5;
char I3C1I2CCON @ 0xB4;
char I3C1CCC  @ 0xB3;
char I3C1BUSCXT @ 0xB2;
char I3C1RSTACT @ 0xB1;
char I3C1MRTU @ 0xB0;
char I3C1MRTH @ 0xAF;
char I3C1MRTL @ 0xAE;
char I3C1MRS  @ 0xAD;
char I3C1MWS  @ 0xAC;
char I3C1DSTAT1 @ 0xAB;
char I3C1DSTAT0 @ 0xAA;
char I3C1DCR  @ 0xA9;
char I3C1BCR  @ 0xA8;
char I3C1PID5 @ 0xA7;
char I3C1PID4 @ 0xA6;
char I3C1PID3 @ 0xA5;
char I3C1PID2 @ 0xA4;
char I3C1PID1 @ 0xA3;
char I3C1PID0 @ 0xA2;
char I3C1IBIPSZ @ 0xA1;
char I3C1MRLH @ 0xA0;
char I3C1MRLL @ 0x9F;
char I3C1MWLH @ 0x9E;
char I3C1MWLL @ 0x9D;
char I3C1EC   @ 0x9C;
char I3C1DADR @ 0x9B;
char I3C1SADR @ 0x9A;
char I3C1FEAT @ 0x99;
char I3C1RETRY @ 0x98;
char I3C1IBIMDB @ 0x97;
char I3C1BTOH @ 0x96;
char I3C1BTOL @ 0x95;
char I3C1BAVL @ 0x94;
char I3C1BIDLH @ 0x93;
char I3C1BIDLL @ 0x92;
char I3C1ERRIE1 @ 0x91;
char I3C1ERRIE0 @ 0x90;
char I3C1PIE1 @ 0x8F;
char I3C1PIE0 @ 0x8E;
char I3C1ERRIR1 @ 0x8D;
char I3C1ERRIR0 @ 0x8C;
char I3C1PIR1 @ 0x8B;
char I3C1PIR0 @ 0x8A;
char I3C1BSTAT @ 0x89;
char I3C1STAT1 @ 0x88;
char I3C1STAT0 @ 0x87;
char I3C1TXB  @ 0x86;
char I3C1RXB  @ 0x85;
char I3C1CON1 @ 0x84;
char I3C1CON0 @ 0x83;
char FSCMCON  @ 0x82;
char ACTCON   @ 0x81;
char OSCFREQ  @ 0x80;
char OSCFRQ   @ OSCFREQ;
char OSCTUNE  @ 0x7F;
char OSCEN    @ 0x7E;
char OSCSTAT1 @ 0x7D;
char OSCSTAT  @ OSCSTAT1;
char OSCCON3  @ 0x7C;
char OSCCON2  @ 0x7B;
char OSCCON1  @ 0x7A;
char VREGCON  @ 0x79;
char WDTTMR   @ 0x78;
char WDTPSH   @ 0x77;
char WDTPSL   @ 0x76;
char WDTCON1  @ 0x75;
char WDTCON0  @ 0x74;
char BORCON   @ 0x73;
char SCANTRIG @ 0x72;
char SCANCON0 @ 0x71;
char SCANHADRU @ 0x70;
char SCANHADRH @ 0x6F;
char SCANHADRL @ 0x6E;
char SCANLADRU @ 0x6D;
char SCANLADRH @ 0x6C;
char SCANLADRL @ 0x6B;
char CRCCON2  @ 0x6A;
char CRCCON1  @ 0x69;
char CRCCON0  @ 0x68;
char CRCXORT  @ 0x67;
char CRCSHIFTT @ CRCXORT;
char CRCSHFTT @ CRCXORT;
char CRCOUTT  @ CRCXORT;
char CRCXORU  @ 0x66;
char CRCSHIFTU @ CRCXORU;
char CRCSHFTU @ CRCXORU;
char CRCOUTU  @ CRCXORU;
char CRCXORH  @ 0x65;
char CRCSHIFTH @ CRCXORH;
char CRCSHFTH @ CRCXORH;
char CRCOUTH  @ CRCXORH;
char CRCXORL  @ 0x64;
char CRCSHIFTL @ CRCXORL;
char CRCSHFTL @ CRCXORL;
char CRCOUTL  @ CRCXORL;
char CRCXOR   @ CRCXORL;
char CRCSHFT  @ CRCXORL;
char CRCDATAT @ 0x63;
char CRCDATAU @ 0x62;
char CRCDATAH @ 0x61;
char CRCDATAL @ 0x60;
char NVMDATH  @ 0x5F;
char NVMDATL  @ 0x5E;
char NVMADRU  @ 0x5D;
char NVMADRH  @ 0x5C;
char NVMADRL  @ 0x5B;
char NVMLOCK  @ 0x5A;
char NVMCON1  @ 0x59;
char NVMCON0  @ 0x58;
char DMAnSIRQ @ 0x57;
char DMAnAIRQ @ 0x56;
char DMAnCON1 @ 0x55;
char DMAnCON0 @ 0x54;
char DMAnSSAU @ 0x53;
char DMAnSSAH @ 0x52;
char DMAnSSAL @ 0x51;
char DMAnSSZH @ 0x50;
char DMAnSSZL @ 0x4F;
char DMAnSPTRU @ 0x4E;
char DMAnSPTRH @ 0x4D;
char DMAnSPTRL @ 0x4C;
char DMAnSCNTH @ 0x4B;
char DMAnSCNTL @ 0x4A;
char DMAnDSAH @ 0x49;
char DMAnDSAL @ 0x48;
char DMAnDSZH @ 0x47;
char DMAnDSZL @ 0x46;
char DMAnDPTRH @ 0x45;
char DMAnDPTRL @ 0x44;
char DMAnDCNTH @ 0x43;
char DMAnDCNTL @ 0x42;
char DMAnBUF  @ 0x41;
char DMASELECT @ 0x40;
char SCANPR   @ 0x3F;
char DMA4PR   @ 0x3E;
char DMA3PR   @ 0x3D;
char DMA2PR   @ 0x3C;
char DMA1PR   @ 0x3B;
char ISRPR    @ 0x3A;
char MAINPR   @ 0x39;
char PRLOCK   @ 0x38;


bit DOZE0    @ CPUDOZE.0;
bit CPUDOZE_DOZE0 @ CPUDOZE.0;
bit DOZE1    @ CPUDOZE.1;
bit CPUDOZE_DOZE1 @ CPUDOZE.1;
bit DOZE2    @ CPUDOZE.2;
bit CPUDOZE_DOZE2 @ CPUDOZE.2;
bit DOE      @ CPUDOZE.4;
bit CPUDOZE_DOE @ CPUDOZE.4;
bit ROI      @ CPUDOZE.5;
bit CPUDOZE_ROI @ CPUDOZE.5;
bit DOZEN    @ CPUDOZE.6;
bit CPUDOZE_DOZEN @ CPUDOZE.6;
bit IDLEN    @ CPUDOZE.7;
bit CPUDOZE_IDLEN @ CPUDOZE.7;

bit RCM_     @ PCON1.0;
bit PCON1_RCM_ @ PCON1.0;
bit PCON1_nRCM @ PCON1.0;
bit PCON1_RCM @ PCON1.0;
bit MEMV_    @ PCON1.1;
bit PCON1_MEMV_ @ PCON1.1;
bit PCON1_nMEMV @ PCON1.1;
bit PCON1_MEMV @ PCON1.1;
bit RVREG_   @ PCON1.2;
bit PCON1_RVREG_ @ PCON1.2;
bit PCON1_nRVREG @ PCON1.2;
bit PCON1_RVREG @ PCON1.2;
bit PORVDDIO2_ @ PCON1.3;
bit PCON1_PORVDDIO2_ @ PCON1.3;
bit PCON1_nPORVDDIO2 @ PCON1.3;
bit PCON1_PORVDDIO2 @ PCON1.3;
bit PORVDDIO3_ @ PCON1.4;
bit PCON1_PORVDDIO3_ @ PCON1.4;
bit PCON1_nPORVDDIO3 @ PCON1.4;
bit PCON1_PORVDDIO3 @ PCON1.4;

bit BOR_     @ PCON0.0;
bit PCON0_BOR_ @ PCON0.0;
bit PCON0_nBOR @ PCON0.0;
bit PCON0_BOR @ PCON0.0;
bit POR_     @ PCON0.1;
bit PCON0_POR_ @ PCON0.1;
bit PCON0_nPOR @ PCON0.1;
bit PCON0_POR @ PCON0.1;
bit RI_      @ PCON0.2;
bit PCON0_RI_ @ PCON0.2;
bit PCON0_nRI @ PCON0.2;
bit PCON0_RI @ PCON0.2;
bit RMCLR_   @ PCON0.3;
bit PCON0_RMCLR_ @ PCON0.3;
bit PCON0_nRMCLR @ PCON0.3;
bit PCON0_RMCLR @ PCON0.3;
bit RWDT_    @ PCON0.4;
bit PCON0_RWDT_ @ PCON0.4;
bit PCON0_nRWDT @ PCON0.4;
bit PCON0_RWDT @ PCON0.4;
bit WDTWV_   @ PCON0.5;
bit PCON0_WDTWV_ @ PCON0.5;
bit PCON0_nWDTWV @ PCON0.5;
bit PCON0_WDTWV @ PCON0.5;
bit STKUNF   @ PCON0.6;
bit PCON0_STKUNF @ PCON0.6;
bit STKOVF   @ PCON0.7;
bit PCON0_STKOVF @ PCON0.7;

bit STATUS_C @ STATUS.0;
bit STATUS_DC @ STATUS.1;
bit STATUS_Z @ STATUS.2;
bit STATUS_OV @ STATUS.3;
bit STATUS_N @ STATUS.4;
bit STATUS_PD @ STATUS.5;
bit STATUS_TO @ STATUS.6;

bit MVIOSTAT_VDDIO2RDY @ MVIOSTAT.0;
bit MVIOSTAT_VDDIO3RDY @ MVIOSTAT.1;

bit PORTWCON_CLKEN @ PORTWCON.0;

bit PORTWIN7_IN0 @ PORTWIN7.0;
bit PORTWIN7_IN1 @ PORTWIN7.1;
bit PORTWIN7_IN2 @ PORTWIN7.2;

bit PORTWIN6_IN0 @ PORTWIN6.0;
bit PORTWIN6_IN1 @ PORTWIN6.1;
bit PORTWIN6_IN2 @ PORTWIN6.2;

bit PORTWIN5_IN0 @ PORTWIN5.0;
bit PORTWIN5_IN1 @ PORTWIN5.1;
bit PORTWIN5_IN2 @ PORTWIN5.2;

bit PORTWIN4_IN0 @ PORTWIN4.0;
bit PORTWIN4_IN1 @ PORTWIN4.1;
bit PORTWIN4_IN2 @ PORTWIN4.2;

bit PORTWIN3_IN0 @ PORTWIN3.0;
bit PORTWIN3_IN1 @ PORTWIN3.1;
bit PORTWIN3_IN2 @ PORTWIN3.2;

bit PORTWIN2_IN0 @ PORTWIN2.0;
bit PORTWIN2_IN1 @ PORTWIN2.1;
bit PORTWIN2_IN2 @ PORTWIN2.2;

bit PORTWIN1_IN0 @ PORTWIN1.0;
bit PORTWIN1_IN1 @ PORTWIN1.1;
bit PORTWIN1_IN2 @ PORTWIN1.2;

bit PORTWIN0_IN0 @ PORTWIN0.0;
bit PORTWIN0_IN1 @ PORTWIN0.1;
bit PORTWIN0_IN2 @ PORTWIN0.2;

bit LATC0    @ LATC.0;
bit LATC1    @ LATC.1;
bit LATC3    @ LATC.3;
bit LATC4    @ LATC.4;
bit LATC5    @ LATC.5;
bit LATC6    @ LATC.6;
bit LATC7    @ LATC.7;

bit LATB5    @ LATB.5;
bit LATB6    @ LATB.6;
bit LATB7    @ LATB.7;

bit LATA0    @ LATA.0;
bit LATA1    @ LATA.1;
bit LATA2    @ LATA.2;
bit LATA4    @ LATA.4;
bit LATA5    @ LATA.5;

bit TRISC0   @ TRISC.0;
bit TRISC1   @ TRISC.1;
bit TRISC3   @ TRISC.3;
bit TRISC4   @ TRISC.4;
bit TRISC5   @ TRISC.5;
bit TRISC6   @ TRISC.6;
bit TRISC7   @ TRISC.7;

bit TRISB5   @ TRISB.5;
bit TRISB6   @ TRISB.6;
bit TRISB7   @ TRISB.7;

bit TRISA0   @ TRISA.0;
bit TRISA1   @ TRISA.1;
bit TRISA2   @ TRISA.2;
bit TRISA4   @ TRISA.4;
bit TRISA5   @ TRISA.5;

bit RC0      @ PORTC.0;
bit RC1      @ PORTC.1;
bit RC3      @ PORTC.3;
bit RC4      @ PORTC.4;
bit RC5      @ PORTC.5;
bit RC6      @ PORTC.6;
bit RC7      @ PORTC.7;

bit RB5      @ PORTB.5;
bit RB6      @ PORTB.6;
bit RB7      @ PORTB.7;

bit RA0      @ PORTA.0;
bit RA1      @ PORTA.1;
bit RA2      @ PORTA.2;
bit RA3      @ PORTA.3;
bit RA4      @ PORTA.4;
bit RA5      @ PORTA.5;

bit I3C2RXIP @ IPR9.0;
bit IPR9_I3C2RXIP @ IPR9.0;
bit I3C2TXIP @ IPR9.1;
bit IPR9_I3C2TXIP @ IPR9.1;
bit I3C2IP   @ IPR9.2;
bit IPR9_I3C2IP @ IPR9.2;
bit I3C2EIP  @ IPR9.3;
bit IPR9_I3C2EIP @ IPR9.3;
bit I3C2RIP  @ IPR9.4;
bit IPR9_I3C2RIP @ IPR9.4;
bit HLVDIP   @ IPR9.5;
bit IPR9_HLVDIP @ IPR9.5;
bit ADIP     @ IPR9.6;
bit IPR9_ADIP @ IPR9.6;
bit ADTIP    @ IPR9.7;
bit IPR9_ADTIP @ IPR9.7;

bit I3C1RXIP @ IPR8.0;
bit IPR8_I3C1RXIP @ IPR8.0;
bit I3C1TXIP @ IPR8.1;
bit IPR8_I3C1TXIP @ IPR8.1;
bit I3C1IP   @ IPR8.2;
bit IPR8_I3C1IP @ IPR8.2;
bit I3C1EIP  @ IPR8.3;
bit IPR8_I3C1EIP @ IPR8.3;
bit I3C1RIP  @ IPR8.4;
bit IPR8_I3C1RIP @ IPR8.4;

bit SPI1RXIP @ IPR7.0;
bit IPR7_SPI1RXIP @ IPR7.0;
bit SPI1TXIP @ IPR7.1;
bit IPR7_SPI1TXIP @ IPR7.1;
bit SPI1IP   @ IPR7.2;
bit IPR7_SPI1IP @ IPR7.2;
bit I2C1RXIP @ IPR7.3;
bit IPR7_I2C1RXIP @ IPR7.3;
bit I2C1TXIP @ IPR7.4;
bit IPR7_I2C1TXIP @ IPR7.4;
bit I2C1IP   @ IPR7.5;
bit IPR7_I2C1IP @ IPR7.5;
bit I2C1EIP  @ IPR7.6;
bit IPR7_I2C1EIP @ IPR7.6;

bit U1RXIP   @ IPR6.0;
bit IPR6_U1RXIP @ IPR6.0;
bit U1TXIP   @ IPR6.1;
bit IPR6_U1TXIP @ IPR6.1;
bit U1IP     @ IPR6.2;
bit IPR6_U1IP @ IPR6.2;
bit U1EIP    @ IPR6.3;
bit IPR6_U1EIP @ IPR6.3;
bit U2RXIP   @ IPR6.4;
bit IPR6_U2RXIP @ IPR6.4;
bit U2TXIP   @ IPR6.5;
bit IPR6_U2TXIP @ IPR6.5;
bit U2IP     @ IPR6.6;
bit IPR6_U2IP @ IPR6.6;
bit U2EIP    @ IPR6.7;
bit IPR6_U2EIP @ IPR6.7;

bit PWM2PIP  @ IPR5.0;
bit IPR5_PWM2PIP @ IPR5.0;
bit PWM2IP   @ IPR5.1;
bit IPR5_PWM2IP @ IPR5.1;
bit CWG1IP   @ IPR5.2;
bit IPR5_CWG1IP @ IPR5.2;
bit CLC1IP   @ IPR5.3;
bit IPR5_CLC1IP @ IPR5.3;
bit CLC2IP   @ IPR5.4;
bit IPR5_CLC2IP @ IPR5.4;
bit CLC3IP   @ IPR5.5;
bit IPR5_CLC3IP @ IPR5.5;
bit CLC4IP   @ IPR5.6;
bit IPR5_CLC4IP @ IPR5.6;
bit IOCSRIP  @ IPR5.7;
bit IPR5_IOCSRIP @ IPR5.7;
bit IOCVIP   @ IPR5.7;
bit IPR5_IOCVIP @ IPR5.7;

bit TMR2IP   @ IPR4.0;
bit IPR4_TMR2IP @ IPR4.0;
bit TMR4IP   @ IPR4.1;
bit IPR4_TMR4IP @ IPR4.1;
bit TU16AIP  @ IPR4.2;
bit IPR4_TU16AIP @ IPR4.2;
bit TU16BIP  @ IPR4.3;
bit IPR4_TU16BIP @ IPR4.3;
bit CCP1IP   @ IPR4.4;
bit IPR4_CCP1IP @ IPR4.4;
bit CCP2IP   @ IPR4.5;
bit IPR4_CCP2IP @ IPR4.5;
bit PWM1PIP  @ IPR4.6;
bit IPR4_PWM1PIP @ IPR4.6;
bit PWM1IP   @ IPR4.7;
bit IPR4_PWM1IP @ IPR4.7;

bit CSWIP    @ IPR3.0;
bit IPR3_CSWIP @ IPR3.0;
bit OSFIP    @ IPR3.1;
bit IPR3_OSFIP @ IPR3.1;
bit VDDIO2IP @ IPR3.2;
bit IPR3_VDDIO2IP @ IPR3.2;
bit VDDIO3IP @ IPR3.3;
bit IPR3_VDDIO3IP @ IPR3.3;
bit IOCIP    @ IPR3.4;
bit IPR3_IOCIP @ IPR3.4;
bit TMR0IP   @ IPR3.5;
bit IPR3_TMR0IP @ IPR3.5;
bit TMR1IP   @ IPR3.6;
bit IPR3_TMR1IP @ IPR3.6;
bit TMR1GIP  @ IPR3.7;
bit IPR3_TMR1GIP @ IPR3.7;

bit DMA4SCNTIP @ IPR2.0;
bit IPR2_DMA4SCNTIP @ IPR2.0;
bit DMA4DCNTIP @ IPR2.1;
bit IPR2_DMA4DCNTIP @ IPR2.1;
bit DMA4ORIP @ IPR2.2;
bit IPR2_DMA4ORIP @ IPR2.2;
bit DMA4AIP  @ IPR2.3;
bit IPR2_DMA4AIP @ IPR2.3;
bit NVMIP    @ IPR2.4;
bit IPR2_NVMIP @ IPR2.4;
bit CRCIP    @ IPR2.5;
bit IPR2_CRCIP @ IPR2.5;
bit SCANIP   @ IPR2.6;
bit IPR2_SCANIP @ IPR2.6;
bit ACTIP    @ IPR2.7;
bit IPR2_ACTIP @ IPR2.7;

bit DMA2SCNTIP @ IPR1.0;
bit IPR1_DMA2SCNTIP @ IPR1.0;
bit DMA2DCNTIP @ IPR1.1;
bit IPR1_DMA2DCNTIP @ IPR1.1;
bit DMA2ORIP @ IPR1.2;
bit IPR1_DMA2ORIP @ IPR1.2;
bit DMA2AIP  @ IPR1.3;
bit IPR1_DMA2AIP @ IPR1.3;
bit DMA3SCNTIP @ IPR1.4;
bit IPR1_DMA3SCNTIP @ IPR1.4;
bit DMA3DCNTIP @ IPR1.5;
bit IPR1_DMA3DCNTIP @ IPR1.5;
bit DMA3ORIP @ IPR1.6;
bit IPR1_DMA3ORIP @ IPR1.6;
bit DMA3AIP  @ IPR1.7;
bit IPR1_DMA3AIP @ IPR1.7;

bit SWIP     @ IPR0.0;
bit IPR0_SWIP @ IPR0.0;
bit INT0IP   @ IPR0.1;
bit IPR0_INT0IP @ IPR0.1;
bit INT1IP   @ IPR0.2;
bit IPR0_INT1IP @ IPR0.2;
bit INT2IP   @ IPR0.3;
bit IPR0_INT2IP @ IPR0.3;
bit DMA1SCNTIP @ IPR0.4;
bit IPR0_DMA1SCNTIP @ IPR0.4;
bit DMA1DCNTIP @ IPR0.5;
bit IPR0_DMA1DCNTIP @ IPR0.5;
bit DMA1ORIP @ IPR0.6;
bit IPR0_DMA1ORIP @ IPR0.6;
bit DMA1AIP  @ IPR0.7;
bit IPR0_DMA1AIP @ IPR0.7;

bit I3C2RXIE @ PIE9.0;
bit PIE9_I3C2RXIE @ PIE9.0;
bit I3C2TXIE @ PIE9.1;
bit PIE9_I3C2TXIE @ PIE9.1;
bit I3C2IE   @ PIE9.2;
bit PIE9_I3C2IE @ PIE9.2;
bit I3C2EIE  @ PIE9.3;
bit PIE9_I3C2EIE @ PIE9.3;
bit I3C2RIE  @ PIE9.4;
bit PIE9_I3C2RIE @ PIE9.4;
bit HLVDIE   @ PIE9.5;
bit PIE9_HLVDIE @ PIE9.5;
bit ADIE     @ PIE9.6;
bit PIE9_ADIE @ PIE9.6;
bit ADTIE    @ PIE9.7;
bit PIE9_ADTIE @ PIE9.7;

bit I3C1RXIE @ PIE8.0;
bit PIE8_I3C1RXIE @ PIE8.0;
bit I3C1TXIE @ PIE8.1;
bit PIE8_I3C1TXIE @ PIE8.1;
bit I3C1IE   @ PIE8.2;
bit PIE8_I3C1IE @ PIE8.2;
bit I3C1EIE  @ PIE8.3;
bit PIE8_I3C1EIE @ PIE8.3;
bit I3C1RIE  @ PIE8.4;
bit PIE8_I3C1RIE @ PIE8.4;

bit SPI1RXIE @ PIE7.0;
bit PIE7_SPI1RXIE @ PIE7.0;
bit SPI1TXIE @ PIE7.1;
bit PIE7_SPI1TXIE @ PIE7.1;
bit SPI1IE   @ PIE7.2;
bit PIE7_SPI1IE @ PIE7.2;
bit I2C1RXIE @ PIE7.3;
bit PIE7_I2C1RXIE @ PIE7.3;
bit I2C1TXIE @ PIE7.4;
bit PIE7_I2C1TXIE @ PIE7.4;
bit I2C1IE   @ PIE7.5;
bit PIE7_I2C1IE @ PIE7.5;
bit I2C1EIE  @ PIE7.6;
bit PIE7_I2C1EIE @ PIE7.6;

bit U1RXIE   @ PIE6.0;
bit PIE6_U1RXIE @ PIE6.0;
bit U1TXIE   @ PIE6.1;
bit PIE6_U1TXIE @ PIE6.1;
bit U1IE     @ PIE6.2;
bit PIE6_U1IE @ PIE6.2;
bit U1EIE    @ PIE6.3;
bit PIE6_U1EIE @ PIE6.3;
bit U2RXIE   @ PIE6.4;
bit PIE6_U2RXIE @ PIE6.4;
bit U2TXIE   @ PIE6.5;
bit PIE6_U2TXIE @ PIE6.5;
bit U2IE     @ PIE6.6;
bit PIE6_U2IE @ PIE6.6;
bit U2EIE    @ PIE6.7;
bit PIE6_U2EIE @ PIE6.7;

bit PWM2PIE  @ PIE5.0;
bit PIE5_PWM2PIE @ PIE5.0;
bit PWM2IE   @ PIE5.1;
bit PIE5_PWM2IE @ PIE5.1;
bit CWG1IE   @ PIE5.2;
bit PIE5_CWG1IE @ PIE5.2;
bit CLC1IE   @ PIE5.3;
bit PIE5_CLC1IE @ PIE5.3;
bit CLC2IE   @ PIE5.4;
bit PIE5_CLC2IE @ PIE5.4;
bit CLC3IE   @ PIE5.5;
bit PIE5_CLC3IE @ PIE5.5;
bit CLC4IE   @ PIE5.6;
bit PIE5_CLC4IE @ PIE5.6;
bit IOCSRIE  @ PIE5.7;
bit PIE5_IOCSRIE @ PIE5.7;
bit IOCVIE   @ PIE5.7;
bit PIE5_IOCVIE @ PIE5.7;

bit TMR2IE   @ PIE4.0;
bit PIE4_TMR2IE @ PIE4.0;
bit TMR4IE   @ PIE4.1;
bit PIE4_TMR4IE @ PIE4.1;
bit TU16AIE  @ PIE4.2;
bit PIE4_TU16AIE @ PIE4.2;
bit TU16BIE  @ PIE4.3;
bit PIE4_TU16BIE @ PIE4.3;
bit CCP1IE   @ PIE4.4;
bit PIE4_CCP1IE @ PIE4.4;
bit CCP2IE   @ PIE4.5;
bit PIE4_CCP2IE @ PIE4.5;
bit PWM1PIE  @ PIE4.6;
bit PIE4_PWM1PIE @ PIE4.6;
bit PWM1IE   @ PIE4.7;
bit PIE4_PWM1IE @ PIE4.7;

bit CSWIE    @ PIE3.0;
bit PIE3_CSWIE @ PIE3.0;
bit OSFIE    @ PIE3.1;
bit PIE3_OSFIE @ PIE3.1;
bit VDDIO2IE @ PIE3.2;
bit PIE3_VDDIO2IE @ PIE3.2;
bit VDDIO3IE @ PIE3.3;
bit PIE3_VDDIO3IE @ PIE3.3;
bit IOCIE    @ PIE3.4;
bit PIE3_IOCIE @ PIE3.4;
bit TMR0IE   @ PIE3.5;
bit PIE3_TMR0IE @ PIE3.5;
bit TMR1IE   @ PIE3.6;
bit PIE3_TMR1IE @ PIE3.6;
bit TMR1GIE  @ PIE3.7;
bit PIE3_TMR1GIE @ PIE3.7;

bit DMA4SCNTIE @ PIE2.0;
bit PIE2_DMA4SCNTIE @ PIE2.0;
bit DMA4DCNTIE @ PIE2.1;
bit PIE2_DMA4DCNTIE @ PIE2.1;
bit DMA4ORIE @ PIE2.2;
bit PIE2_DMA4ORIE @ PIE2.2;
bit DMA4AIE  @ PIE2.3;
bit PIE2_DMA4AIE @ PIE2.3;
bit NVMIE    @ PIE2.4;
bit PIE2_NVMIE @ PIE2.4;
bit CRCIE    @ PIE2.5;
bit PIE2_CRCIE @ PIE2.5;
bit SCANIE   @ PIE2.6;
bit PIE2_SCANIE @ PIE2.6;
bit ACTIE    @ PIE2.7;
bit PIE2_ACTIE @ PIE2.7;

bit DMA2SCNTIE @ PIE1.0;
bit PIE1_DMA2SCNTIE @ PIE1.0;
bit DMA2DCNTIE @ PIE1.1;
bit PIE1_DMA2DCNTIE @ PIE1.1;
bit DMA2ORIE @ PIE1.2;
bit PIE1_DMA2ORIE @ PIE1.2;
bit DMA2AIE  @ PIE1.3;
bit PIE1_DMA2AIE @ PIE1.3;
bit DMA3SCNTIE @ PIE1.4;
bit PIE1_DMA3SCNTIE @ PIE1.4;
bit DMA3DCNTIE @ PIE1.5;
bit PIE1_DMA3DCNTIE @ PIE1.5;
bit DMA3ORIE @ PIE1.6;
bit PIE1_DMA3ORIE @ PIE1.6;
bit DMA3AIE  @ PIE1.7;
bit PIE1_DMA3AIE @ PIE1.7;

bit SWIE     @ PIE0.0;
bit PIE0_SWIE @ PIE0.0;
bit INT0IE   @ PIE0.1;
bit PIE0_INT0IE @ PIE0.1;
bit INT1IE   @ PIE0.2;
bit PIE0_INT1IE @ PIE0.2;
bit INT2IE   @ PIE0.3;
bit PIE0_INT2IE @ PIE0.3;
bit DMA1SCNTIE @ PIE0.4;
bit PIE0_DMA1SCNTIE @ PIE0.4;
bit DMA1DCNTIE @ PIE0.5;
bit PIE0_DMA1DCNTIE @ PIE0.5;
bit DMA1ORIE @ PIE0.6;
bit PIE0_DMA1ORIE @ PIE0.6;
bit DMA1AIE  @ PIE0.7;
bit PIE0_DMA1AIE @ PIE0.7;

bit I3C2RXIF @ PIR9.0;
bit PIR9_I3C2RXIF @ PIR9.0;
bit I3C2TXIF @ PIR9.1;
bit PIR9_I3C2TXIF @ PIR9.1;
bit I3C2IF   @ PIR9.2;
bit PIR9_I3C2IF @ PIR9.2;
bit I3C2EIF  @ PIR9.3;
bit PIR9_I3C2EIF @ PIR9.3;
bit I3C2RIF  @ PIR9.4;
bit PIR9_I3C2RIF @ PIR9.4;
bit HLVDIF   @ PIR9.5;
bit PIR9_HLVDIF @ PIR9.5;
bit ADIF     @ PIR9.6;
bit PIR9_ADIF @ PIR9.6;
bit ADTIF    @ PIR9.7;
bit PIR9_ADTIF @ PIR9.7;

bit I3C1RXIF @ PIR8.0;
bit PIR8_I3C1RXIF @ PIR8.0;
bit I3C1TXIF @ PIR8.1;
bit PIR8_I3C1TXIF @ PIR8.1;
bit I3C1IF   @ PIR8.2;
bit PIR8_I3C1IF @ PIR8.2;
bit I3C1EIF  @ PIR8.3;
bit PIR8_I3C1EIF @ PIR8.3;
bit I3C1RIF  @ PIR8.4;
bit PIR8_I3C1RIF @ PIR8.4;

bit SPI1RXIF @ PIR7.0;
bit PIR7_SPI1RXIF @ PIR7.0;
bit SPI1TXIF @ PIR7.1;
bit PIR7_SPI1TXIF @ PIR7.1;
bit SPI1IF   @ PIR7.2;
bit PIR7_SPI1IF @ PIR7.2;
bit I2C1RXIF @ PIR7.3;
bit PIR7_I2C1RXIF @ PIR7.3;
bit I2C1TXIF @ PIR7.4;
bit PIR7_I2C1TXIF @ PIR7.4;
bit I2C1IF   @ PIR7.5;
bit PIR7_I2C1IF @ PIR7.5;
bit I2C1EIF  @ PIR7.6;
bit PIR7_I2C1EIF @ PIR7.6;

bit U1RXIF   @ PIR6.0;
bit PIR6_U1RXIF @ PIR6.0;
bit U1TXIF   @ PIR6.1;
bit PIR6_U1TXIF @ PIR6.1;
bit U1IF     @ PIR6.2;
bit PIR6_U1IF @ PIR6.2;
bit U1EIF    @ PIR6.3;
bit PIR6_U1EIF @ PIR6.3;
bit U2RXIF   @ PIR6.4;
bit PIR6_U2RXIF @ PIR6.4;
bit U2TXIF   @ PIR6.5;
bit PIR6_U2TXIF @ PIR6.5;
bit U2IF     @ PIR6.6;
bit PIR6_U2IF @ PIR6.6;
bit U2EIF    @ PIR6.7;
bit PIR6_U2EIF @ PIR6.7;

bit PWM2PIF  @ PIR5.0;
bit PIR5_PWM2PIF @ PIR5.0;
bit PWM2IF   @ PIR5.1;
bit PIR5_PWM2IF @ PIR5.1;
bit CWG1IF   @ PIR5.2;
bit PIR5_CWG1IF @ PIR5.2;
bit CLC1IF   @ PIR5.3;
bit PIR5_CLC1IF @ PIR5.3;
bit CLC2IF   @ PIR5.4;
bit PIR5_CLC2IF @ PIR5.4;
bit CLC3IF   @ PIR5.5;
bit PIR5_CLC3IF @ PIR5.5;
bit CLC4IF   @ PIR5.6;
bit PIR5_CLC4IF @ PIR5.6;
bit IOCSRIF  @ PIR5.7;
bit PIR5_IOCSRIF @ PIR5.7;
bit IOCVIF   @ PIR5.7;
bit PIR5_IOCVIF @ PIR5.7;

bit TMR2IF   @ PIR4.0;
bit PIR4_TMR2IF @ PIR4.0;
bit TMR4IF   @ PIR4.1;
bit PIR4_TMR4IF @ PIR4.1;
bit TU16AIF  @ PIR4.2;
bit PIR4_TU16AIF @ PIR4.2;
bit TU16BIF  @ PIR4.3;
bit PIR4_TU16BIF @ PIR4.3;
bit CCP1IF   @ PIR4.4;
bit PIR4_CCP1IF @ PIR4.4;
bit CCP2IF   @ PIR4.5;
bit PIR4_CCP2IF @ PIR4.5;
bit PWM1PIF  @ PIR4.6;
bit PIR4_PWM1PIF @ PIR4.6;
bit PWM1IF   @ PIR4.7;
bit PIR4_PWM1IF @ PIR4.7;

bit CSWIF    @ PIR3.0;
bit PIR3_CSWIF @ PIR3.0;
bit OSFIF    @ PIR3.1;
bit PIR3_OSFIF @ PIR3.1;
bit VDDIO2IF @ PIR3.2;
bit PIR3_VDDIO2IF @ PIR3.2;
bit VDDIO3IF @ PIR3.3;
bit PIR3_VDDIO3IF @ PIR3.3;
bit IOCIF    @ PIR3.4;
bit PIR3_IOCIF @ PIR3.4;
bit TMR0IF   @ PIR3.5;
bit PIR3_TMR0IF @ PIR3.5;
bit TMR1IF   @ PIR3.6;
bit PIR3_TMR1IF @ PIR3.6;
bit TMR1GIF  @ PIR3.7;
bit PIR3_TMR1GIF @ PIR3.7;

bit DMA4SCNTIF @ PIR2.0;
bit PIR2_DMA4SCNTIF @ PIR2.0;
bit DMA4DCNTIF @ PIR2.1;
bit PIR2_DMA4DCNTIF @ PIR2.1;
bit DMA4ORIF @ PIR2.2;
bit PIR2_DMA4ORIF @ PIR2.2;
bit DMA4AIF  @ PIR2.3;
bit PIR2_DMA4AIF @ PIR2.3;
bit NVMIF    @ PIR2.4;
bit PIR2_NVMIF @ PIR2.4;
bit CRCIF    @ PIR2.5;
bit PIR2_CRCIF @ PIR2.5;
bit SCANIF   @ PIR2.6;
bit PIR2_SCANIF @ PIR2.6;
bit ACTIF    @ PIR2.7;
bit PIR2_ACTIF @ PIR2.7;

bit DMA2SCNTIF @ PIR1.0;
bit PIR1_DMA2SCNTIF @ PIR1.0;
bit DMA2DCNTIF @ PIR1.1;
bit PIR1_DMA2DCNTIF @ PIR1.1;
bit DMA2ORIF @ PIR1.2;
bit PIR1_DMA2ORIF @ PIR1.2;
bit DMA2AIF  @ PIR1.3;
bit PIR1_DMA2AIF @ PIR1.3;
bit DMA3SCNTIF @ PIR1.4;
bit PIR1_DMA3SCNTIF @ PIR1.4;
bit DMA3DCNTIF @ PIR1.5;
bit PIR1_DMA3DCNTIF @ PIR1.5;
bit DMA3ORIF @ PIR1.6;
bit PIR1_DMA3ORIF @ PIR1.6;
bit DMA3AIF  @ PIR1.7;
bit PIR1_DMA3AIF @ PIR1.7;

bit SWIF     @ PIR0.0;
bit PIR0_SWIF @ PIR0.0;
bit INT0IF   @ PIR0.1;
bit PIR0_INT0IF @ PIR0.1;
bit INT1IF   @ PIR0.2;
bit PIR0_INT1IF @ PIR0.2;
bit INT2IF   @ PIR0.3;
bit PIR0_INT2IF @ PIR0.3;
bit DMA1SCNTIF @ PIR0.4;
bit PIR0_DMA1SCNTIF @ PIR0.4;
bit DMA1DCNTIF @ PIR0.5;
bit PIR0_DMA1DCNTIF @ PIR0.5;
bit DMA1ORIF @ PIR0.6;
bit PIR0_DMA1ORIF @ PIR0.6;
bit DMA1AIF  @ PIR0.7;
bit PIR0_DMA1AIF @ PIR0.7;

bit INTCON1_STAT0 @ INTCON1.6;
bit INTCON1_STAT1 @ INTCON1.7;

bit INT0EDG  @ INTCON0.0;
bit INTCON0_INT0EDG @ INTCON0.0;
bit INT1EDG  @ INTCON0.1;
bit INTCON0_INT1EDG @ INTCON0.1;
bit INT2EDG  @ INTCON0.2;
bit INTCON0_INT2EDG @ INTCON0.2;
bit INTCON0_IPEN @ INTCON0.5;
bit GIEL     @ INTCON0.6;
bit INTCON0_GIEL @ INTCON0.6;
bit GIE      @ INTCON0.7;
bit INTCON0_GIE @ INTCON0.7;
bit GIEH     @ INTCON0.7;
bit INTCON0_GIEH @ INTCON0.7;

bit IVTLOCKED @ IVTLOCK.0;
bit IVTLOCK_IVTLOCKED @ IVTLOCK.0;

bit IOCCF0   @ IOCCF.0;
bit IOCCF1   @ IOCCF.1;
bit IOCCF3   @ IOCCF.3;
bit IOCCF4   @ IOCCF.4;
bit IOCCF5   @ IOCCF.5;
bit IOCCF6   @ IOCCF.6;
bit IOCCF7   @ IOCCF.7;

bit IOCCN0   @ IOCCN.0;
bit IOCCN1   @ IOCCN.1;
bit IOCCN3   @ IOCCN.3;
bit IOCCN4   @ IOCCN.4;
bit IOCCN5   @ IOCCN.5;
bit IOCCN6   @ IOCCN.6;
bit IOCCN7   @ IOCCN.7;

bit IOCCP0   @ IOCCP.0;
bit IOCCP1   @ IOCCP.1;
bit IOCCP3   @ IOCCP.3;
bit IOCCP4   @ IOCCP.4;
bit IOCCP5   @ IOCCP.5;
bit IOCCP6   @ IOCCP.6;
bit IOCCP7   @ IOCCP.7;

bit INLVLC0  @ INLVLC.0;
bit INLVLC1  @ INLVLC.1;
bit INLVLC3  @ INLVLC.3;
bit INLVLC4  @ INLVLC.4;
bit INLVLC5  @ INLVLC.5;
bit INLVLC6  @ INLVLC.6;
bit INLVLC7  @ INLVLC.7;

bit SLRC0    @ SLRCONC.0;
bit SLRC1    @ SLRCONC.1;
bit SLRC3    @ SLRCONC.3;
bit SLRC4    @ SLRCONC.4;
bit SLRC5    @ SLRCONC.5;
bit SLRC6    @ SLRCONC.6;
bit SLRC7    @ SLRCONC.7;

bit ODCC0    @ ODCONC.0;
bit ODCC1    @ ODCONC.1;
bit ODCC3    @ ODCONC.3;
bit ODCC4    @ ODCONC.4;
bit ODCC5    @ ODCONC.5;
bit ODCC6    @ ODCONC.6;
bit ODCC7    @ ODCONC.7;

bit WPUC0    @ WPUC.0;
bit WPUC1    @ WPUC.1;
bit WPUC3    @ WPUC.3;
bit WPUC4    @ WPUC.4;
bit WPUC5    @ WPUC.5;
bit WPUC6    @ WPUC.6;
bit WPUC7    @ WPUC.7;

bit ANSELC3  @ ANSELC.3;
bit ANSELC4  @ ANSELC.4;
bit ANSELC5  @ ANSELC.5;
bit ANSELC6  @ ANSELC.6;
bit ANSELC7  @ ANSELC.7;

bit IOCBF5   @ IOCBF.5;
bit IOCBF6   @ IOCBF.6;
bit IOCBF7   @ IOCBF.7;

bit IOCBN5   @ IOCBN.5;
bit IOCBN6   @ IOCBN.6;
bit IOCBN7   @ IOCBN.7;

bit IOCBP5   @ IOCBP.5;
bit IOCBP6   @ IOCBP.6;
bit IOCBP7   @ IOCBP.7;

bit INLVLB5  @ INLVLB.5;
bit INLVLB6  @ INLVLB.6;
bit INLVLB7  @ INLVLB.7;

bit SLRB5    @ SLRCONB.5;
bit SLRB6    @ SLRCONB.6;
bit SLRB7    @ SLRCONB.7;

bit ODCB5    @ ODCONB.5;
bit ODCB6    @ ODCONB.6;
bit ODCB7    @ ODCONB.7;

bit WPUB5    @ WPUB.5;
bit WPUB6    @ WPUB.6;
bit WPUB7    @ WPUB.7;

bit ANSELB7  @ ANSELB.7;

bit IOCAF0   @ IOCAF.0;
bit IOCAF1   @ IOCAF.1;
bit IOCAF2   @ IOCAF.2;
bit IOCAF3   @ IOCAF.3;
bit IOCAF4   @ IOCAF.4;
bit IOCAF5   @ IOCAF.5;

bit IOCAN0   @ IOCAN.0;
bit IOCAN1   @ IOCAN.1;
bit IOCAN2   @ IOCAN.2;
bit IOCAN3   @ IOCAN.3;
bit IOCAN4   @ IOCAN.4;
bit IOCAN5   @ IOCAN.5;

bit IOCAP0   @ IOCAP.0;
bit IOCAP1   @ IOCAP.1;
bit IOCAP2   @ IOCAP.2;
bit IOCAP3   @ IOCAP.3;
bit IOCAP4   @ IOCAP.4;
bit IOCAP5   @ IOCAP.5;

bit INLVLA0  @ INLVLA.0;
bit INLVLA1  @ INLVLA.1;
bit INLVLA2  @ INLVLA.2;
bit INLVLA3  @ INLVLA.3;
bit INLVLA4  @ INLVLA.4;
bit INLVLA5  @ INLVLA.5;

bit SLRA0    @ SLRCONA.0;
bit SLRA1    @ SLRCONA.1;
bit SLRA2    @ SLRCONA.2;
bit SLRA4    @ SLRCONA.4;
bit SLRA5    @ SLRCONA.5;

bit ODCA0    @ ODCONA.0;
bit ODCA1    @ ODCONA.1;
bit ODCA2    @ ODCONA.2;
bit ODCA4    @ ODCONA.4;
bit ODCA5    @ ODCONA.5;

bit WPUA0    @ WPUA.0;
bit WPUA1    @ WPUA.1;
bit WPUA2    @ WPUA.2;
bit WPUA3    @ WPUA.3;
bit WPUA4    @ WPUA.4;
bit WPUA5    @ WPUA.5;

bit ANSELA0  @ ANSELA.0;
bit ANSELA1  @ ANSELA.1;
bit ANSELA2  @ ANSELA.2;
bit ANSELA4  @ ANSELA.4;
bit ANSELA5  @ ANSELA.5;

bit STATUS_SHAD_C @ STATUS_SHAD.0;
bit STATUS_SHAD_DC @ STATUS_SHAD.1;
bit STATUS_SHAD_Z @ STATUS_SHAD.2;
bit STATUS_SHAD_OV @ STATUS_SHAD.3;
bit STATUS_SHAD_N @ STATUS_SHAD.4;
bit STATUS_SHAD_PD_ @ STATUS_SHAD.5;
bit STATUS_SHAD_nPD @ STATUS_SHAD.5;
bit STATUS_SHAD_PD @ STATUS_SHAD.5;
bit STATUS_SHAD_TO_ @ STATUS_SHAD.6;
bit STATUS_SHAD_nTO @ STATUS_SHAD.6;
bit STATUS_SHAD_TO @ STATUS_SHAD.6;

bit SHADLO   @ SHADCON.0;
bit SHADCON_SHADLO @ SHADCON.0;

bit STATUS_CSHAD_C @ STATUS_CSHAD.0;
bit STATUS_CSHAD_DC @ STATUS_CSHAD.1;
bit STATUS_CSHAD_Z @ STATUS_CSHAD.2;
bit STATUS_CSHAD_OV @ STATUS_CSHAD.3;
bit STATUS_CSHAD_N @ STATUS_CSHAD.4;
bit STATUS_CSHAD_PD_ @ STATUS_CSHAD.5;
bit STATUS_CSHAD_nPD @ STATUS_CSHAD.5;
bit STATUS_CSHAD_PD @ STATUS_CSHAD.5;
bit STATUS_CSHAD_TO_ @ STATUS_CSHAD.6;
bit STATUS_CSHAD_nTO @ STATUS_CSHAD.6;
bit STATUS_CSHAD_TO @ STATUS_CSHAD.6;

bit PPSLOCKED @ PPSLOCK.0;
bit PPSLOCK_PPSLOCKED @ PPSLOCK.0;

bit I3C2MD   @ PMD4.0;
bit PMD4_I3C2MD @ PMD4.0;
bit FVRMD    @ PMD4.1;
bit PMD4_FVRMD @ PMD4.1;
bit HLVDMD   @ PMD4.2;
bit PMD4_HLVDMD @ PMD4.2;
bit ADCMD    @ PMD4.3;
bit PMD4_ADCMD @ PMD4.3;

bit CLC2MD   @ PMD3.0;
bit PMD3_CLC2MD @ PMD3.0;
bit CLC3MD   @ PMD3.1;
bit PMD3_CLC3MD @ PMD3.1;
bit CLC4MD   @ PMD3.2;
bit PMD3_CLC4MD @ PMD3.2;
bit U1MD     @ PMD3.3;
bit PMD3_U1MD @ PMD3.3;
bit U2MD     @ PMD3.4;
bit PMD3_U2MD @ PMD3.4;
bit SPI1MD   @ PMD3.5;
bit PMD3_SPI1MD @ PMD3.5;
bit I2C1MD   @ PMD3.6;
bit PMD3_I2C1MD @ PMD3.6;
bit I3C1MD   @ PMD3.7;
bit PMD3_I3C1MD @ PMD3.7;

bit TU16AMD  @ PMD2.0;
bit PMD2_TU16AMD @ PMD2.0;
bit TU16BMD  @ PMD2.1;
bit PMD2_TU16BMD @ PMD2.1;
bit CCP1MD   @ PMD2.2;
bit PMD2_CCP1MD @ PMD2.2;
bit CCP2MD   @ PMD2.3;
bit PMD2_CCP2MD @ PMD2.3;
bit PWM1MD   @ PMD2.4;
bit PMD2_PWM1MD @ PMD2.4;
bit PWM2MD   @ PMD2.5;
bit PMD2_PWM2MD @ PMD2.5;
bit CWG1MD   @ PMD2.6;
bit PMD2_CWG1MD @ PMD2.6;
bit CLC1MD   @ PMD2.7;
bit PMD2_CLC1MD @ PMD2.7;

bit ACTMD    @ PMD1.0;
bit PMD1_ACTMD @ PMD1.0;
bit PORTWMD  @ PMD1.1;
bit PMD1_PORTWMD @ PMD1.1;
bit IOCMD    @ PMD1.2;
bit PMD1_IOCMD @ PMD1.2;
bit CLKRMD   @ PMD1.3;
bit PMD1_CLKRMD @ PMD1.3;
bit TMR0MD   @ PMD1.4;
bit PMD1_TMR0MD @ PMD1.4;
bit TMR1MD   @ PMD1.5;
bit PMD1_TMR1MD @ PMD1.5;
bit TMR2MD   @ PMD1.6;
bit PMD1_TMR2MD @ PMD1.6;
bit TMR4MD   @ PMD1.7;
bit PMD1_TMR4MD @ PMD1.7;

bit DMA1MD   @ PMD0.0;
bit PMD0_DMA1MD @ PMD0.0;
bit DMA2MD   @ PMD0.1;
bit PMD0_DMA2MD @ PMD0.1;
bit DMA3MD   @ PMD0.2;
bit PMD0_DMA3MD @ PMD0.2;
bit DMA4MD   @ PMD0.3;
bit PMD0_DMA4MD @ PMD0.3;
bit CRCMD    @ PMD0.5;
bit PMD0_CRCMD @ PMD0.5;
bit SCANMD   @ PMD0.6;
bit PMD0_SCANMD @ PMD0.6;
bit SYSCMD   @ PMD0.7;
bit PMD0_SYSCMD @ PMD0.7;

bit ADCG1C_CGC0 @ ADCG1C.0;
bit ADCG1C_CGC1 @ ADCG1C.1;
bit ADCG1C_CGC3 @ ADCG1C.3;
bit ADCG1C_CGC4 @ ADCG1C.4;
bit ADCG1C_CGC5 @ ADCG1C.5;
bit ADCG1C_CGC6 @ ADCG1C.6;
bit ADCG1C_CGC7 @ ADCG1C.7;

bit ADCG1B_CGB5 @ ADCG1B.5;
bit ADCG1B_CGB6 @ ADCG1B.6;
bit ADCG1B_CGB7 @ ADCG1B.7;

bit ADCG1A_CGA0 @ ADCG1A.0;
bit ADCG1A_CGA1 @ ADCG1A.1;
bit ADCG1A_CGA2 @ ADCG1A.2;
bit ADCG1A_CGA4 @ ADCG1A.4;
bit ADCG1A_CGA5 @ ADCG1A.5;

bit ADREF_PREF0 @ ADREF.0;
bit ADPREF0  @ ADREF.0;
bit ADREF_PREF1 @ ADREF.1;
bit ADPREF1  @ ADREF.1;
bit ADREF_NREF0 @ ADREF.4;
bit ADNREF0  @ ADREF.4;

bit ADSTAT0  @ ADSTAT.0;
bit ADSTAT_STAT0 @ ADSTAT.0;
bit ADSTAT1  @ ADSTAT.1;
bit ADSTAT_STAT1 @ ADSTAT.1;
bit ADSTAT2  @ ADSTAT.2;
bit ADSTAT_STAT2 @ ADSTAT.2;
bit ADSTAT_MATH @ ADSTAT.4;
bit ADMATH   @ ADSTAT.4;
bit ADSTAT_LTHR @ ADSTAT.5;
bit ADLTHR   @ ADSTAT.5;
bit ADSTAT_UTHR @ ADSTAT.6;
bit ADUTHR   @ ADSTAT.6;
bit ADSTAT_AOV @ ADSTAT.7;
bit ADAOV    @ ADSTAT.7;
bit ADSTAT_ADOV @ ADSTAT.7;
bit ADSTAT_OV @ ADSTAT.7;

bit ADTMD0   @ ADCON3.0;
bit ADCON3_TMD0 @ ADCON3.0;
bit ADTMD1   @ ADCON3.1;
bit ADCON3_TMD1 @ ADCON3.1;
bit ADTMD2   @ ADCON3.2;
bit ADCON3_TMD2 @ ADCON3.2;
bit ADCON3_SOI @ ADCON3.3;
bit ADSOI    @ ADCON3.3;
bit ADCALC0  @ ADCON3.4;
bit ADCON3_CALC0 @ ADCON3.4;
bit ADCALC1  @ ADCON3.5;
bit ADCON3_CALC1 @ ADCON3.5;
bit ADCALC2  @ ADCON3.6;
bit ADCON3_CALC2 @ ADCON3.6;

bit ADMD0    @ ADCON2.0;
bit ADCON2_MD0 @ ADCON2.0;
bit ADMD1    @ ADCON2.1;
bit ADCON2_MD1 @ ADCON2.1;
bit ADMD2    @ ADCON2.2;
bit ADCON2_MD2 @ ADCON2.2;
bit ADCON2_ACLR @ ADCON2.3;
bit ADACLR   @ ADCON2.3;
bit ADCRS0   @ ADCON2.4;
bit ADCON2_CRS0 @ ADCON2.4;
bit ADCRS1   @ ADCON2.5;
bit ADCON2_CRS1 @ ADCON2.5;
bit ADCRS2   @ ADCON2.6;
bit ADCON2_CRS2 @ ADCON2.6;
bit ADCON2_PSIS @ ADCON2.7;
bit ADPSIS   @ ADCON2.7;

bit ADCON1_DSEN @ ADCON1.0;
bit ADDSEN   @ ADCON1.0;
bit ADCON1_PCSC @ ADCON1.1;
bit ADPCSC   @ ADCON1.1;
bit ADCON1_GPOL @ ADCON1.5;
bit ADGPOL   @ ADCON1.5;
bit ADCON1_IPEN @ ADCON1.6;
bit ADIPEN   @ ADCON1.6;
bit ADCON1_PPOL @ ADCON1.7;
bit ADPPOL   @ ADCON1.7;

bit ADCON0_GO @ ADCON0.0;
bit ADGO     @ ADCON0.0;
bit ADCON0_DONE @ ADCON0.0;
bit ADCON0_GO_NOT_DONE @ ADCON0.0;
bit ADCON0_GO_nDONE @ ADCON0.0;
bit ADCON0_FM0 @ ADCON0.2;
bit ADFM0    @ ADCON0.2;
bit ADCON0_CS @ ADCON0.4;
bit ADCS     @ ADCON0.4;
bit ADCON0_CONT @ ADCON0.6;
bit ADCONT   @ ADCON0.6;
bit ADCON0_ON @ ADCON0.7;
bit ADON     @ ADCON0.7;

bit HLVDCON0_INTL @ HLVDCON0.0;
bit HLVDINTL @ HLVDCON0.0;
bit HLVDCON0_INTH @ HLVDCON0.1;
bit HLVDINTH @ HLVDCON0.1;
bit HLVDCON0_RDY @ HLVDCON0.4;
bit HLVDRDY  @ HLVDCON0.4;
bit HLVDCON0_OUT @ HLVDCON0.5;
bit HLVDOUT  @ HLVDCON0.5;
bit HLVDCON0_EN @ HLVDCON0.7;
bit HLVDEN   @ HLVDCON0.7;

bit ADFVR0   @ FVRCON.0;
bit FVRCON_ADFVR0 @ FVRCON.0;
bit ADFVR1   @ FVRCON.1;
bit FVRCON_ADFVR1 @ FVRCON.1;
bit TSRNG    @ FVRCON.4;
bit FVRCON_TSRNG @ FVRCON.4;
bit TSEN     @ FVRCON.5;
bit FVRCON_TSEN @ FVRCON.5;
bit FVRCON_RDY @ FVRCON.6;
bit FVRRDY   @ FVRCON.6;
bit FVRCON_EN @ FVRCON.7;
bit FVREN    @ FVRCON.7;

bit I2C1BTOC_BTOC0 @ I2C1BTOC.0;
bit I2CBTOC0 @ I2C1BTOC.0;
bit I2C1BTOC_BTOC1 @ I2C1BTOC.1;
bit I2CBTOC1 @ I2C1BTOC.1;
bit I2C1BTOC_BTOC2 @ I2C1BTOC.2;
bit I2CBTOC2 @ I2C1BTOC.2;

bit I2C1BTO_TOTIME0 @ I2C1BTO.0;
bit I2C1BTO_TOTIME1 @ I2C1BTO.1;
bit I2C1BTO_TOTIME2 @ I2C1BTO.2;
bit I2C1BTO_TOTIME3 @ I2C1BTO.3;
bit I2C1BTO_TOTIME4 @ I2C1BTO.4;
bit I2C1BTO_TOTIME5 @ I2C1BTO.5;
bit I2C1BTO_TOBY32 @ I2C1BTO.6;
bit I2C1BTO_TOREC @ I2C1BTO.7;

bit I2C1ERR_NACKIE @ I2C1ERR.0;
bit NACK1IE  @ I2C1ERR.0;
bit I2C1ERR_NACK1IE @ I2C1ERR.0;
bit I2C1ERR_BCLIE @ I2C1ERR.1;
bit BCL1IE   @ I2C1ERR.1;
bit I2C1ERR_BCL1IE @ I2C1ERR.1;
bit I2C1ERR_BTOIE @ I2C1ERR.2;
bit BTO1IE   @ I2C1ERR.2;
bit I2C1ERR_BTO1IE @ I2C1ERR.2;
bit I2C1ERR_NACKIF @ I2C1ERR.4;
bit NACK1IF  @ I2C1ERR.4;
bit I2C1ERR_NACK1IF @ I2C1ERR.4;
bit I2C1ERR_BCLIF @ I2C1ERR.5;
bit BCL1IF   @ I2C1ERR.5;
bit I2C1ERR_BCL1IF @ I2C1ERR.5;
bit I2C1ERR_BTOIF @ I2C1ERR.6;
bit BTO1IF   @ I2C1ERR.6;
bit I2C1ERR_BTO1IF @ I2C1ERR.6;

bit I2C1PIE_SCIE @ I2C1PIE.0;
bit SC1IE    @ I2C1PIE.0;
bit I2C1PIE_SC1IE @ I2C1PIE.0;
bit I2C1PIE_RSCIE @ I2C1PIE.1;
bit RSC1IE   @ I2C1PIE.1;
bit I2C1PIE_RSC1IE @ I2C1PIE.1;
bit I2C1PIE_PCIE @ I2C1PIE.2;
bit PC1IE    @ I2C1PIE.2;
bit I2C1PIE_PC1IE @ I2C1PIE.2;
bit I2C1PIE_ADRIE @ I2C1PIE.3;
bit ADR1IE   @ I2C1PIE.3;
bit I2C1PIE_ADR1IE @ I2C1PIE.3;
bit I2C1PIE_WRIE @ I2C1PIE.4;
bit WR1IE    @ I2C1PIE.4;
bit I2C1PIE_WR1IE @ I2C1PIE.4;
bit I2C1PIE_ACKTIE @ I2C1PIE.6;
bit ACKT1IE  @ I2C1PIE.6;
bit I2C1PIE_ACKT1IE @ I2C1PIE.6;
bit I2C1PIE_CNTIE @ I2C1PIE.7;
bit CNT1IE   @ I2C1PIE.7;
bit I2C1PIE_CNT1IE @ I2C1PIE.7;

bit I2C1PIR_SCIF @ I2C1PIR.0;
bit SC1IF    @ I2C1PIR.0;
bit I2C1PIR_SC1IF @ I2C1PIR.0;
bit I2C1PIR_RSCIF @ I2C1PIR.1;
bit RSC1IF   @ I2C1PIR.1;
bit I2C1PIR_RSC1IF @ I2C1PIR.1;
bit I2C1PIR_PCIF @ I2C1PIR.2;
bit PC1IF    @ I2C1PIR.2;
bit I2C1PIR_PC1IF @ I2C1PIR.2;
bit I2C1PIR_ADRIF @ I2C1PIR.3;
bit ADR1IF   @ I2C1PIR.3;
bit I2C1PIR_ADR1IF @ I2C1PIR.3;
bit I2C1PIR_WRIF @ I2C1PIR.4;
bit WR1IF    @ I2C1PIR.4;
bit I2C1PIR_WR1IF @ I2C1PIR.4;
bit I2C1PIR_ACKTIF @ I2C1PIR.6;
bit ACKT1IF  @ I2C1PIR.6;
bit I2C1PIR_ACKT1IF @ I2C1PIR.6;
bit I2C1PIR_CNTIF @ I2C1PIR.7;
bit CNT1IF   @ I2C1PIR.7;
bit I2C1PIR_CNT1IF @ I2C1PIR.7;

bit I2C1CON3_ACNTMD0 @ I2C1CON3.0;
bit I2C1CON3_ACNTMD1 @ I2C1CON3.1;
bit I2C1CON3_FME0 @ I2C1CON3.2;
bit I2C1CON3_FME1 @ I2C1CON3.3;
bit I2C1CON3_BFREDR @ I2C1CON3.4;

bit I2C1CON2_BFRET0 @ I2C1CON2.0;
bit I2C1CON2_BFRET1 @ I2C1CON2.1;
bit I2C1CON2_SDAHT0 @ I2C1CON2.2;
bit I2C1CON2_SDAHT1 @ I2C1CON2.3;
bit I2C1CON2_ABD @ I2C1CON2.4;
bit I2C1CON2_GCEN @ I2C1CON2.6;
bit I2C1CON2_ACNT @ I2C1CON2.7;

bit I2C1CON1_CSD @ I2C1CON1.0;
bit I2C1CON1_TXU @ I2C1CON1.1;
bit I2C1CON1_RXO @ I2C1CON1.2;
bit I2C1CON1_P @ I2C1CON1.3;
bit I2C1CON1_ACKT @ I2C1CON1.4;
bit I2C1CON1_ACKSTAT @ I2C1CON1.5;
bit I2C1CON1_ACKDT @ I2C1CON1.6;
bit I2C1CON1_ACKCNT @ I2C1CON1.7;

bit I2C1CON0_MODE0 @ I2C1CON0.0;
bit I2C1CON0_MODE1 @ I2C1CON0.1;
bit I2C1CON0_MODE2 @ I2C1CON0.2;
bit I2C1CON0_MDR @ I2C1CON0.3;
bit I2C1CON0_CSTR @ I2C1CON0.4;
bit I2C1CON0_S @ I2C1CON0.5;
bit I2C1CON0_RSEN @ I2C1CON0.6;
bit I2C1CON0_EN @ I2C1CON0.7;

bit I2C1STAT1_RXBF @ I2C1STAT1.0;
bit I2C1STAT1_CLRBF @ I2C1STAT1.2;
bit I2C1STAT1_RXRE @ I2C1STAT1.3;
bit I2C1STAT1_TXBE @ I2C1STAT1.5;
bit I2C1STAT1_TXWE @ I2C1STAT1.7;

bit I2C1STAT0_D @ I2C1STAT0.3;
bit I2C1STAT0_DATA @ I2C1STAT0.3;
bit I2C1STAT0_ADDRESS_ @ I2C1STAT0.3;
bit I2C1STAT0_A_ @ I2C1STAT0.3;
bit I2C1STAT0_R @ I2C1STAT0.4;
bit I2C1STAT0_READ @ I2C1STAT0.4;
bit I2C1STAT0_WRITE_ @ I2C1STAT0.4;
bit I2C1STAT0_W_ @ I2C1STAT0.4;
bit I2C1STAT0_MMA @ I2C1STAT0.5;
bit I2C1STAT0_SMA @ I2C1STAT0.6;
bit I2C1STAT0_BFRE @ I2C1STAT0.7;

bit SPI1INTE_TXUIE @ SPI1INTE.1;
bit SPI1TXUIE @ SPI1INTE.1;
bit SPI1INTE_RXOIE @ SPI1INTE.2;
bit SPI1RXOIE @ SPI1INTE.2;
bit SPI1INTE_EOSIE @ SPI1INTE.4;
bit SPI1EOSIE @ SPI1INTE.4;
bit SPI1INTE_SOSIE @ SPI1INTE.5;
bit SPI1SOSIE @ SPI1INTE.5;
bit SPI1INTE_TCZIE @ SPI1INTE.6;
bit SPI1TCZIE @ SPI1INTE.6;
bit SPI1INTE_SRMTIE @ SPI1INTE.7;
bit SPI1SRMTIE @ SPI1INTE.7;

bit SPI1INTF_TXUIF @ SPI1INTF.1;
bit SPI1TXUIF @ SPI1INTF.1;
bit SPI1INTF_RXOIF @ SPI1INTF.2;
bit SPI1RXOIF @ SPI1INTF.2;
bit SPI1INTF_EOSIF @ SPI1INTF.4;
bit SPI1EOSIF @ SPI1INTF.4;
bit SPI1INTF_SOSIF @ SPI1INTF.5;
bit SPI1SOSIF @ SPI1INTF.5;
bit SPI1INTF_TCZIF @ SPI1INTF.6;
bit SPI1TCZIF @ SPI1INTF.6;
bit SPI1INTF_SRMTIF @ SPI1INTF.7;
bit SPI1SRMTIF @ SPI1INTF.7;

bit SPI1TWIDTH_TWIDTH0 @ SPI1TWIDTH.0;
bit SPI1TWIDTH_TWIDTH1 @ SPI1TWIDTH.1;
bit SPI1TWIDTH_TWIDTH2 @ SPI1TWIDTH.2;

bit SPI1STATUS_RXBF @ SPI1STATUS.0;
bit SPI1RXBF @ SPI1STATUS.0;
bit SPI1STATUS_CLRBF @ SPI1STATUS.2;
bit SPI1CLRBF @ SPI1STATUS.2;
bit SPI1STATUS_RXRE @ SPI1STATUS.3;
bit SPI1RXRE @ SPI1STATUS.3;
bit SPI1STATUS_TXBE @ SPI1STATUS.5;
bit SPI1TXBE @ SPI1STATUS.5;
bit SPI1STATUS_TXWE @ SPI1STATUS.7;
bit SPI1TXWE @ SPI1STATUS.7;

bit SPI1CON2_RXR @ SPI1CON2.0;
bit SPI1RXR  @ SPI1CON2.0;
bit SPI1CON2_TXR @ SPI1CON2.1;
bit SPI1TXR  @ SPI1CON2.1;
bit SPI1CON2_SSET @ SPI1CON2.2;
bit SPI1SSET @ SPI1CON2.2;
bit SPI1CON2_SSFLT @ SPI1CON2.6;
bit SPI1SSFLT @ SPI1CON2.6;
bit SPI1CON2_BUSY @ SPI1CON2.7;
bit SPI1BUSY @ SPI1CON2.7;

bit SPI1CON1_SDOP @ SPI1CON1.0;
bit SPI1SDOP @ SPI1CON1.0;
bit SPI1CON1_SDIP @ SPI1CON1.1;
bit SPI1SDIP @ SPI1CON1.1;
bit SPI1CON1_SSP @ SPI1CON1.2;
bit SPI1SSP  @ SPI1CON1.2;
bit SPI1CON1_FST @ SPI1CON1.4;
bit SPI1FST  @ SPI1CON1.4;
bit SPI1CON1_CKP @ SPI1CON1.5;
bit SPI1CKP  @ SPI1CON1.5;
bit SPI1CON1_CKE @ SPI1CON1.6;
bit SPI1CKE  @ SPI1CON1.6;
bit SPI1CON1_SMP @ SPI1CON1.7;
bit SPI1SMP  @ SPI1CON1.7;

bit SPI1CON0_BMODE @ SPI1CON0.0;
bit SPI1BMODE @ SPI1CON0.0;
bit SPI1CON0_MST @ SPI1CON0.1;
bit SPI1MST  @ SPI1CON0.1;
bit SPI1CON0_LSBF @ SPI1CON0.2;
bit SPI1LSBF @ SPI1CON0.2;
bit SPI1CON0_EN @ SPI1CON0.7;
bit SPI1SPIEN @ SPI1CON0.7;

bit U2ERRIE_RXFOIE @ U2ERRIE.1;
bit U2RXFOIE @ U2ERRIE.1;
bit U2ERRIE_RXBKIE @ U2ERRIE.2;
bit U2RXBKIE @ U2ERRIE.2;
bit U2ERRIE_FERIE @ U2ERRIE.3;
bit U2FERIE  @ U2ERRIE.3;
bit U2ERRIE_ABDOVE @ U2ERRIE.5;
bit U2ABDOVE @ U2ERRIE.5;
bit U2ERRIE_PERIE @ U2ERRIE.6;
bit U2PERIE  @ U2ERRIE.6;
bit U2ERRIE_TXMTIE @ U2ERRIE.7;
bit U2TXMTIE @ U2ERRIE.7;

bit U2ERRIR_RXFOIF @ U2ERRIR.1;
bit U2RXFOIF @ U2ERRIR.1;
bit U2ERRIR_RXBKIF @ U2ERRIR.2;
bit U2RXBKIF @ U2ERRIR.2;
bit U2ERRIR_FERIF @ U2ERRIR.3;
bit U2FERIF  @ U2ERRIR.3;
bit U2ERRIR_ABDOVF @ U2ERRIR.5;
bit U2ABDOVF @ U2ERRIR.5;
bit U2ERRIR_PERIF @ U2ERRIR.6;
bit U2PERIF  @ U2ERRIR.6;
bit U2ERRIR_TXMTIF @ U2ERRIR.7;
bit U2TXMTIF @ U2ERRIR.7;

bit U2UIR_ABDIE @ U2UIR.2;
bit U2ABDIE  @ U2UIR.2;
bit U2UIR_ABDIF @ U2UIR.6;
bit U2ABDIF  @ U2UIR.6;
bit U2UIR_WUIF @ U2UIR.7;
bit U2WUIF   @ U2UIR.7;

bit U2FIFO_RXBF @ U2FIFO.0;
bit U2RXBF   @ U2FIFO.0;
bit U2FIFO_RXBE @ U2FIFO.1;
bit U2RXBE   @ U2FIFO.1;
bit U2FIFO_XON @ U2FIFO.2;
bit U2XON    @ U2FIFO.2;
bit U2FIFO_RXIDL @ U2FIFO.3;
bit U2RXIDL  @ U2FIFO.3;
bit U2FIFO_U2RCIDL @ U2FIFO.3;
bit U2FIFO_RCIDL @ U2FIFO.3;
bit U2FIFO_TXBF @ U2FIFO.4;
bit U2TXBF   @ U2FIFO.4;
bit U2FIFO_TXBE @ U2FIFO.5;
bit U2TXBE   @ U2FIFO.5;
bit U2FIFO_STPMD @ U2FIFO.6;
bit U2STPMD  @ U2FIFO.6;
bit U2FIFO_TXWRE @ U2FIFO.7;
bit U2TXWRE  @ U2FIFO.7;

bit U2CON2_FLO0 @ U2CON2.0;
bit U2FLO0   @ U2CON2.0;
bit U2CON2_FLO1 @ U2CON2.1;
bit U2FLO1   @ U2CON2.1;
bit U2CON2_TXPOL @ U2CON2.2;
bit U2TXPOL  @ U2CON2.2;
bit U2CON2_STP0 @ U2CON2.4;
bit U2STP0   @ U2CON2.4;
bit U2CON2_STP1 @ U2CON2.5;
bit U2STP1   @ U2CON2.5;
bit U2CON2_RXPOL @ U2CON2.6;
bit U2RXPOL  @ U2CON2.6;
bit U2CON2_RUNOVF @ U2CON2.7;
bit U2RUNOVF @ U2CON2.7;

bit U2CON1_SENDB @ U2CON1.0;
bit U2SENDB  @ U2CON1.0;
bit U2CON1_BRKOVR @ U2CON1.1;
bit U2BRKOVR @ U2CON1.1;
bit U2CON1_RXBIMD @ U2CON1.3;
bit U2RXBIMD @ U2CON1.3;
bit U2CON1_WUE @ U2CON1.4;
bit U2WUE    @ U2CON1.4;
bit U2CON1_ON @ U2CON1.7;
bit U2ON     @ U2CON1.7;

bit U2CON0_MODE0 @ U2CON0.0;
bit U2MODE0  @ U2CON0.0;
bit U2CON0_MODE1 @ U2CON0.1;
bit U2MODE1  @ U2CON0.1;
bit U2CON0_MODE2 @ U2CON0.2;
bit U2MODE2  @ U2CON0.2;
bit U2RXEN   @ U2CON0.4;
bit U2CON0_RXEN @ U2CON0.4;
bit U2TXEN   @ U2CON0.5;
bit U2CON0_TXEN @ U2CON0.5;
bit U2ABDEN  @ U2CON0.6;
bit U2CON0_ABDEN @ U2CON0.6;
bit U2BRGS   @ U2CON0.7;
bit U2CON0_BRGS @ U2CON0.7;

bit U1ERRIE_TXCIE @ U1ERRIE.0;
bit U1TXCIE  @ U1ERRIE.0;
bit U1ERRIE_RXFOIE @ U1ERRIE.1;
bit U1RXFOIE @ U1ERRIE.1;
bit U1ERRIE_RXBKIE @ U1ERRIE.2;
bit U1RXBKIE @ U1ERRIE.2;
bit U1ERRIE_FERIE @ U1ERRIE.3;
bit U1FERIE  @ U1ERRIE.3;
bit U1ERRIE_CERIE @ U1ERRIE.4;
bit U1CERIE  @ U1ERRIE.4;
bit U1ERRIE_ABDOVE @ U1ERRIE.5;
bit U1ABDOVE @ U1ERRIE.5;
bit U1ERRIE_PERIE @ U1ERRIE.6;
bit U1PERIE  @ U1ERRIE.6;
bit U1ERRIE_TXMTIE @ U1ERRIE.7;
bit U1TXMTIE @ U1ERRIE.7;

bit U1ERRIR_TXCIF @ U1ERRIR.0;
bit U1TXCIF  @ U1ERRIR.0;
bit U1ERRIR_RXFOIF @ U1ERRIR.1;
bit U1RXFOIF @ U1ERRIR.1;
bit U1ERRIR_RXBKIF @ U1ERRIR.2;
bit U1RXBKIF @ U1ERRIR.2;
bit U1ERRIR_FERIF @ U1ERRIR.3;
bit U1FERIF  @ U1ERRIR.3;
bit U1ERRIR_CERIF @ U1ERRIR.4;
bit U1CERIF  @ U1ERRIR.4;
bit U1ERRIR_ABDOVF @ U1ERRIR.5;
bit U1ABDOVF @ U1ERRIR.5;
bit U1ERRIR_PERIF @ U1ERRIR.6;
bit U1PERIF  @ U1ERRIR.6;
bit U1ERRIR_TXMTIF @ U1ERRIR.7;
bit U1TXMTIF @ U1ERRIR.7;

bit U1UIR_ABDIE @ U1UIR.2;
bit U1ABDIE  @ U1UIR.2;
bit U1UIR_ABDIF @ U1UIR.6;
bit U1ABDIF  @ U1UIR.6;
bit U1UIR_WUIF @ U1UIR.7;
bit U1WUIF   @ U1UIR.7;

bit U1FIFO_RXBF @ U1FIFO.0;
bit U1RXBF   @ U1FIFO.0;
bit U1FIFO_RXBE @ U1FIFO.1;
bit U1RXBE   @ U1FIFO.1;
bit U1FIFO_XON @ U1FIFO.2;
bit U1XON    @ U1FIFO.2;
bit U1FIFO_RXIDL @ U1FIFO.3;
bit U1RXIDL  @ U1FIFO.3;
bit U1FIFO_U1RCIDL @ U1FIFO.3;
bit U1FIFO_RCIDL @ U1FIFO.3;
bit U1FIFO_TXBF @ U1FIFO.4;
bit U1TXBF   @ U1FIFO.4;
bit U1FIFO_TXBE @ U1FIFO.5;
bit U1TXBE   @ U1FIFO.5;
bit U1FIFO_STPMD @ U1FIFO.6;
bit U1STPMD  @ U1FIFO.6;
bit U1FIFO_TXWRE @ U1FIFO.7;
bit U1TXWRE  @ U1FIFO.7;

bit U1CON2_FLO0 @ U1CON2.0;
bit U1FLO0   @ U1CON2.0;
bit U1CON2_FLO1 @ U1CON2.1;
bit U1FLO1   @ U1CON2.1;
bit U1CON2_TXPOL @ U1CON2.2;
bit U1TXPOL  @ U1CON2.2;
bit U1CON2_C0EN @ U1CON2.3;
bit U1C0EN   @ U1CON2.3;
bit U1CON2_STP0 @ U1CON2.4;
bit U1STP0   @ U1CON2.4;
bit U1CON2_STP1 @ U1CON2.5;
bit U1STP1   @ U1CON2.5;
bit U1CON2_RXPOL @ U1CON2.6;
bit U1RXPOL  @ U1CON2.6;
bit U1CON2_RUNOVF @ U1CON2.7;
bit U1RUNOVF @ U1CON2.7;

bit U1CON1_SENDB @ U1CON1.0;
bit U1SENDB  @ U1CON1.0;
bit U1CON1_BRKOVR @ U1CON1.1;
bit U1BRKOVR @ U1CON1.1;
bit U1CON1_RXBIMD @ U1CON1.3;
bit U1RXBIMD @ U1CON1.3;
bit U1CON1_WUE @ U1CON1.4;
bit U1WUE    @ U1CON1.4;
bit U1CON1_ON @ U1CON1.7;
bit U1ON     @ U1CON1.7;

bit U1CON0_MODE0 @ U1CON0.0;
bit U1MODE0  @ U1CON0.0;
bit U1CON0_MODE1 @ U1CON0.1;
bit U1MODE1  @ U1CON0.1;
bit U1CON0_MODE2 @ U1CON0.2;
bit U1MODE2  @ U1CON0.2;
bit U1CON0_MODE3 @ U1CON0.3;
bit U1MODE3  @ U1CON0.3;
bit U1RXEN   @ U1CON0.4;
bit U1CON0_RXEN @ U1CON0.4;
bit U1TXEN   @ U1CON0.5;
bit U1CON0_TXEN @ U1CON0.5;
bit U1ABDEN  @ U1CON0.6;
bit U1CON0_ABDEN @ U1CON0.6;
bit U1BRGS   @ U1CON0.7;
bit U1CON0_BRGS @ U1CON0.7;

bit U1P3H_P3H @ U1P3H.0;

bit U1P2H_P2H @ U1P2H.0;

bit U1P1H_P1H @ U1P1H.0;

bit G4D1N    @ CLCnGLS3.0;
bit CLCnGLS3_G4D1N @ CLCnGLS3.0;
bit G4D1T    @ CLCnGLS3.1;
bit CLCnGLS3_G4D1T @ CLCnGLS3.1;
bit G4D2N    @ CLCnGLS3.2;
bit CLCnGLS3_G4D2N @ CLCnGLS3.2;
bit G4D2T    @ CLCnGLS3.3;
bit CLCnGLS3_G4D2T @ CLCnGLS3.3;
bit G4D3N    @ CLCnGLS3.4;
bit CLCnGLS3_G4D3N @ CLCnGLS3.4;
bit G4D3T    @ CLCnGLS3.5;
bit CLCnGLS3_G4D3T @ CLCnGLS3.5;
bit G4D4N    @ CLCnGLS3.6;
bit CLCnGLS3_G4D4N @ CLCnGLS3.6;
bit G4D4T    @ CLCnGLS3.7;
bit CLCnGLS3_G4D4T @ CLCnGLS3.7;

bit G3D1N    @ CLCnGLS2.0;
bit CLCnGLS2_G3D1N @ CLCnGLS2.0;
bit G3D1T    @ CLCnGLS2.1;
bit CLCnGLS2_G3D1T @ CLCnGLS2.1;
bit G3D2N    @ CLCnGLS2.2;
bit CLCnGLS2_G3D2N @ CLCnGLS2.2;
bit G3D2T    @ CLCnGLS2.3;
bit CLCnGLS2_G3D2T @ CLCnGLS2.3;
bit G3D3N    @ CLCnGLS2.4;
bit CLCnGLS2_G3D3N @ CLCnGLS2.4;
bit G3D3T    @ CLCnGLS2.5;
bit CLCnGLS2_G3D3T @ CLCnGLS2.5;
bit G3D4N    @ CLCnGLS2.6;
bit CLCnGLS2_G3D4N @ CLCnGLS2.6;
bit G3D4T    @ CLCnGLS2.7;
bit CLCnGLS2_G3D4T @ CLCnGLS2.7;

bit G2D1N    @ CLCnGLS1.0;
bit CLCnGLS1_G2D1N @ CLCnGLS1.0;
bit G2D1T    @ CLCnGLS1.1;
bit CLCnGLS1_G2D1T @ CLCnGLS1.1;
bit G2D2N    @ CLCnGLS1.2;
bit CLCnGLS1_G2D2N @ CLCnGLS1.2;
bit G2D2T    @ CLCnGLS1.3;
bit CLCnGLS1_G2D2T @ CLCnGLS1.3;
bit G2D3N    @ CLCnGLS1.4;
bit CLCnGLS1_G2D3N @ CLCnGLS1.4;
bit G2D3T    @ CLCnGLS1.5;
bit CLCnGLS1_G2D3T @ CLCnGLS1.5;
bit G2D4N    @ CLCnGLS1.6;
bit CLCnGLS1_G2D4N @ CLCnGLS1.6;
bit G2D4T    @ CLCnGLS1.7;
bit CLCnGLS1_G2D4T @ CLCnGLS1.7;

bit G1D1N    @ CLCnGLS0.0;
bit CLCnGLS0_G1D1N @ CLCnGLS0.0;
bit G1D1T    @ CLCnGLS0.1;
bit CLCnGLS0_G1D1T @ CLCnGLS0.1;
bit G1D2N    @ CLCnGLS0.2;
bit CLCnGLS0_G1D2N @ CLCnGLS0.2;
bit G1D2T    @ CLCnGLS0.3;
bit CLCnGLS0_G1D2T @ CLCnGLS0.3;
bit G1D3N    @ CLCnGLS0.4;
bit CLCnGLS0_G1D3N @ CLCnGLS0.4;
bit G1D3T    @ CLCnGLS0.5;
bit CLCnGLS0_G1D3T @ CLCnGLS0.5;
bit G1D4N    @ CLCnGLS0.6;
bit CLCnGLS0_G1D4N @ CLCnGLS0.6;
bit G1D4T    @ CLCnGLS0.7;
bit CLCnGLS0_G1D4T @ CLCnGLS0.7;

bit G1POL    @ CLCnPOL.0;
bit CLCnPOL_G1POL @ CLCnPOL.0;
bit G2POL    @ CLCnPOL.1;
bit CLCnPOL_G2POL @ CLCnPOL.1;
bit G3POL    @ CLCnPOL.2;
bit CLCnPOL_G3POL @ CLCnPOL.2;
bit G4POL    @ CLCnPOL.3;
bit CLCnPOL_G4POL @ CLCnPOL.3;
bit POL      @ CLCnPOL.7;
bit CLCnPOL_POL @ CLCnPOL.7;

bit CLCnCON_MODE0 @ CLCnCON.0;
bit CLCnCON_MODE1 @ CLCnCON.1;
bit CLCnCON_MODE2 @ CLCnCON.2;
bit CLCnCON_INTN @ CLCnCON.3;
bit CLCnCON_INTP @ CLCnCON.4;
bit CLCnCON_OUT @ CLCnCON.5;
bit CLCnCON_EN @ CLCnCON.7;

bit CLCSELECT_SLCT0 @ CLCSELECT.0;
bit CLCSELECT_SLCT1 @ CLCSELECT.1;
bit CLCSELECT_SLCT2 @ CLCSELECT.2;

bit CLC1OUT  @ CLCDATA.0;
bit CLCDATA_CLC1OUT @ CLCDATA.0;
bit CLC2OUT  @ CLCDATA.1;
bit CLCDATA_CLC2OUT @ CLCDATA.1;
bit CLC3OUT  @ CLCDATA.2;
bit CLCDATA_CLC3OUT @ CLCDATA.2;
bit CLC4OUT  @ CLCDATA.3;
bit CLCDATA_CLC4OUT @ CLCDATA.3;

bit CWG1STR_STRA @ CWG1STR.0;
bit CWG1STRA @ CWG1STR.0;
bit CWG1STR_STRB @ CWG1STR.1;
bit CWG1STRB @ CWG1STR.1;
bit CWG1STR_STRC @ CWG1STR.2;
bit CWG1STRC @ CWG1STR.2;
bit CWG1STR_STRD @ CWG1STR.3;
bit CWG1STRD @ CWG1STR.3;
bit CWG1STR_OVRA @ CWG1STR.4;
bit CWG1OVRA @ CWG1STR.4;
bit CWG1STR_OVRB @ CWG1STR.5;
bit CWG1OVRB @ CWG1STR.5;
bit CWG1STR_OVRC @ CWG1STR.6;
bit CWG1OVRC @ CWG1STR.6;
bit CWG1STR_OVRD @ CWG1STR.7;
bit CWG1OVRD @ CWG1STR.7;

bit CWG1AS1_AS0E @ CWG1AS1.0;
bit CWG1AS1_AS1E @ CWG1AS1.1;
bit CWG1AS1_AS2E @ CWG1AS1.2;
bit CWG1AS1_AS6E @ CWG1AS1.6;
bit CWG1AS1_AS7E @ CWG1AS1.7;

bit CWG1AS0_LSAC0 @ CWG1AS0.2;
bit CWG1LSAC0 @ CWG1AS0.2;
bit CWG1AS0_LSCA1 @ CWG1AS0.3;
bit CWG1LSAC1 @ CWG1AS0.3;
bit CWG1AS0_LSAC1 @ CWG1AS0.3;
bit CWG1AS0_LSDB0 @ CWG1AS0.4;
bit CWG1LSDB0 @ CWG1AS0.4;
bit CWG1AS0_LSBD0 @ CWG1AS0.4;
bit CWG1AS0_CWG1LSBD0 @ CWG1AS0.4;
bit CWG1AS0_LSDB1 @ CWG1AS0.5;
bit CWG1LSDB1 @ CWG1AS0.5;
bit CWG1AS0_LSBD1 @ CWG1AS0.5;
bit CWG1AS0_CWG1LSBD1 @ CWG1AS0.5;
bit CWG1AS0_REN @ CWG1AS0.6;
bit CWG1REN  @ CWG1AS0.6;
bit CWG1AS0_SHUTDOWN @ CWG1AS0.7;
bit CWG1SHUTDOWN @ CWG1AS0.7;

bit CWG1CON1_POLA @ CWG1CON1.0;
bit CWG1POLA @ CWG1CON1.0;
bit CWG1CON1_POLB @ CWG1CON1.1;
bit CWG1POLB @ CWG1CON1.1;
bit CWG1CON1_POLC @ CWG1CON1.2;
bit CWG1POLC @ CWG1CON1.2;
bit CWG1CON1_POLD @ CWG1CON1.3;
bit CWG1POLD @ CWG1CON1.3;
bit CWG1CON1_IN @ CWG1CON1.5;
bit CWG1IN   @ CWG1CON1.5;

bit CWG1CON0_MODE0 @ CWG1CON0.0;
bit CWG1MODE0 @ CWG1CON0.0;
bit CWG1CON0_MODE1 @ CWG1CON0.1;
bit CWG1MODE1 @ CWG1CON0.1;
bit CWG1CON0_MODE2 @ CWG1CON0.2;
bit CWG1MODE2 @ CWG1CON0.2;
bit CWG1CON0_LD @ CWG1CON0.6;
bit CWG1LD   @ CWG1CON0.6;
bit CWG1CON0_EN @ CWG1CON0.7;
bit CWG1CON0_G1EN @ CWG1CON0.7;
bit CWG1EN   @ CWG1CON0.7;

bit CWG1CLK_CS @ CWG1CLK.0;
bit CWG1CS   @ CWG1CLK.0;

bit PWM2S1CFG_MODE0 @ PWM2S1CFG.0;
bit PWM2S1CFG_MODE1 @ PWM2S1CFG.1;
bit PWM2S1CFG_MODE2 @ PWM2S1CFG.2;
bit PWM2S1CFG_PPEN @ PWM2S1CFG.3;
bit PWM2S1CFG_POL1 @ PWM2S1CFG.6;
bit PWM2S1CFG_POL2 @ PWM2S1CFG.7;

bit PWM2CON_ERSNOW @ PWM2CON.0;
bit PWM2CON_ERSPOL @ PWM2CON.1;
bit PWM2CON_LD @ PWM2CON.2;
bit PWM2CON_EN @ PWM2CON.7;

bit PWM2GIE_S1P1IE @ PWM2GIE.0;
bit PWM2GIE_S1P2IE @ PWM2GIE.1;

bit PWM2GIR_S1P1IF @ PWM2GIR.0;
bit PWM2GIR_S1P2IF @ PWM2GIR.1;

bit PWM1S1CFG_MODE0 @ PWM1S1CFG.0;
bit PWM1S1CFG_MODE1 @ PWM1S1CFG.1;
bit PWM1S1CFG_MODE2 @ PWM1S1CFG.2;
bit PWM1S1CFG_PPEN @ PWM1S1CFG.3;
bit PWM1S1CFG_POL1 @ PWM1S1CFG.6;
bit PWM1S1CFG_POL2 @ PWM1S1CFG.7;

bit PWM1CON_ERSNOW @ PWM1CON.0;
bit PWM1CON_ERSPOL @ PWM1CON.1;
bit PWM1CON_LD @ PWM1CON.2;
bit PWM1CON_EN @ PWM1CON.7;

bit PWM1GIE_S1P1IE @ PWM1GIE.0;
bit PWM1GIE_S1P2IE @ PWM1GIE.1;

bit PWM1GIR_S1P1IF @ PWM1GIR.0;
bit PWM1GIR_S1P2IF @ PWM1GIR.1;

bit MPWM1EN  @ PWMEN.0;
bit PWMEN_MPWM1EN @ PWMEN.0;
bit MPWM2EN  @ PWMEN.1;
bit PWMEN_MPWM2EN @ PWMEN.1;

bit MPWM1LD  @ PWMLOAD.0;
bit PWMLOAD_MPWM1LD @ PWMLOAD.0;
bit MPWM2LD  @ PWMLOAD.1;
bit PWMLOAD_MPWM2LD @ PWMLOAD.1;

bit CCP2CAP_CTS0 @ CCP2CAP.0;
bit CCP2CTS0 @ CCP2CAP.0;
bit CCP2CAP_CTS1 @ CCP2CAP.1;
bit CCP2CTS1 @ CCP2CAP.1;
bit CCP2CAP_CTS2 @ CCP2CAP.2;
bit CCP2CTS2 @ CCP2CAP.2;

bit CCP2CON_MODE0 @ CCP2CON.0;
bit CCP2MODE0 @ CCP2CON.0;
bit CCP2CON_MODE1 @ CCP2CON.1;
bit CCP2MODE1 @ CCP2CON.1;
bit CCP2CON_MODE2 @ CCP2CON.2;
bit CCP2MODE2 @ CCP2CON.2;
bit CCP2CON_MODE3 @ CCP2CON.3;
bit CCP2MODE3 @ CCP2CON.3;
bit CCP2CON_FMT @ CCP2CON.4;
bit CCP2FMT  @ CCP2CON.4;
bit CCP2CON_OUT @ CCP2CON.5;
bit CCP2OUT  @ CCP2CON.5;
bit CCP2CON_EN @ CCP2CON.7;
bit CCP2EN   @ CCP2CON.7;

bit CCP1CAP_CTS0 @ CCP1CAP.0;
bit CCP1CTS0 @ CCP1CAP.0;
bit CCP1CAP_CTS1 @ CCP1CAP.1;
bit CCP1CTS1 @ CCP1CAP.1;
bit CCP1CAP_CTS2 @ CCP1CAP.2;
bit CCP1CTS2 @ CCP1CAP.2;

bit CCP1CON_MODE0 @ CCP1CON.0;
bit CCP1MODE0 @ CCP1CON.0;
bit CCP1CON_MODE1 @ CCP1CON.1;
bit CCP1MODE1 @ CCP1CON.1;
bit CCP1CON_MODE2 @ CCP1CON.2;
bit CCP1MODE2 @ CCP1CON.2;
bit CCP1CON_MODE3 @ CCP1CON.3;
bit CCP1MODE3 @ CCP1CON.3;
bit CCP1CON_FMT @ CCP1CON.4;
bit CCP1FMT  @ CCP1CON.4;
bit CCP1CON_OUT @ CCP1CON.5;
bit CCP1OUT  @ CCP1CON.5;
bit CCP1CON_EN @ CCP1CON.7;
bit CCP1EN   @ CCP1CON.7;

bit C1TSEL0  @ CCPTMRS0.0;
bit C1TSEL1  @ CCPTMRS0.1;
bit C2TSEL2  @ CCPTMRS0.2;
bit C2TSEL3  @ CCPTMRS0.3;

bit TU16BTMRT_CRT0 @ TU16BTMRT.0;
bit TU16BTMRT_TU16BCRT0 @ TU16BTMRT.0;
bit TU16BTMRT_TU16BCR24 @ TU16BTMRT.0;
bit TU16BTMRT_CRT1 @ TU16BTMRT.1;
bit TU16BTMRT_TU16BCRT1 @ TU16BTMRT.1;
bit TU16BTMRT_TU16BCR25 @ TU16BTMRT.1;
bit TU16BTMRT_CRT2 @ TU16BTMRT.2;
bit TU16BTMRT_TU16BCRT2 @ TU16BTMRT.2;
bit TU16BTMRT_TU16BCR26 @ TU16BTMRT.2;
bit TU16BTMRT_CRT3 @ TU16BTMRT.3;
bit TU16BTMRT_TU16BCRT3 @ TU16BTMRT.3;
bit TU16BTMRT_TU16BCR27 @ TU16BTMRT.3;
bit TU16BTMRT_CRT4 @ TU16BTMRT.4;
bit TU16BTMRT_TU16BCRT4 @ TU16BTMRT.4;
bit TU16BTMRT_TU16BCR28 @ TU16BTMRT.4;
bit TU16BTMRT_CRT5 @ TU16BTMRT.5;
bit TU16BTMRT_TU16BCRT5 @ TU16BTMRT.5;
bit TU16BTMRT_TU16BCR29 @ TU16BTMRT.5;
bit TU16BTMRT_CRT6 @ TU16BTMRT.6;
bit TU16BTMRT_TU16BCRT6 @ TU16BTMRT.6;
bit TU16BTMRT_TU16BCR30 @ TU16BTMRT.6;
bit TU16BTMRT_CRT7 @ TU16BTMRT.7;
bit TU16BTMRT_TU16BCRT7 @ TU16BTMRT.7;
bit TU16BTMRT_TU16BCR31 @ TU16BTMRT.7;

bit TU16BTMRH0 @ TU16BTMRH.0;
bit TU16BTMRH_CRH0 @ TU16BTMRH.0;
bit TU16BTMRH_TU16BCRH0 @ TU16BTMRH.0;
bit TU16BTMRH_TU16BCR8 @ TU16BTMRH.0;
bit TU16BTMRH1 @ TU16BTMRH.1;
bit TU16BTMRH_CRH1 @ TU16BTMRH.1;
bit TU16BTMRH_TU16BCRH1 @ TU16BTMRH.1;
bit TU16BTMRH_TU16BCR9 @ TU16BTMRH.1;
bit TU16BTMRH2 @ TU16BTMRH.2;
bit TU16BTMRH_CRH2 @ TU16BTMRH.2;
bit TU16BTMRH_TU16BCRH2 @ TU16BTMRH.2;
bit TU16BTMRH_TU16BCR10 @ TU16BTMRH.2;
bit TU16BTMRH3 @ TU16BTMRH.3;
bit TU16BTMRH_CRH3 @ TU16BTMRH.3;
bit TU16BTMRH_TU16BCRH3 @ TU16BTMRH.3;
bit TU16BTMRH_TU16BCR11 @ TU16BTMRH.3;
bit TU16BTMRH4 @ TU16BTMRH.4;
bit TU16BTMRH_CRH4 @ TU16BTMRH.4;
bit TU16BTMRH_TU16BCRH4 @ TU16BTMRH.4;
bit TU16BTMRH_TU16BCR12 @ TU16BTMRH.4;
bit TU16BTMRH5 @ TU16BTMRH.5;
bit TU16BTMRH_CRH5 @ TU16BTMRH.5;
bit TU16BTMRH_TU16BCRH5 @ TU16BTMRH.5;
bit TU16BTMRH_TU16BCR13 @ TU16BTMRH.5;
bit TU16BTMRH6 @ TU16BTMRH.6;
bit TU16BTMRH_CRH6 @ TU16BTMRH.6;
bit TU16BTMRH_TU16BCRH6 @ TU16BTMRH.6;
bit TU16BTMRH_TU16BCR14 @ TU16BTMRH.6;
bit TU16BTMRH7 @ TU16BTMRH.7;
bit TU16BTMRH_CRH7 @ TU16BTMRH.7;
bit TU16BTMRH_TU16BCRH7 @ TU16BTMRH.7;
bit TU16BTMRH_TU16BCR15 @ TU16BTMRH.7;

bit TU16BCR_CRL0 @ TU16BCR.0;
bit TU16BCR_TU16BCRL0 @ TU16BCR.0;
bit TU16BCR_TU16BCR0 @ TU16BCR.0;
bit TU16BCR_CRL1 @ TU16BCR.1;
bit TU16BCR_TU16BCRL1 @ TU16BCR.1;
bit TU16BCR_TU16BCR1 @ TU16BCR.1;
bit TU16BCR_CRL2 @ TU16BCR.2;
bit TU16BCR_TU16BCRL2 @ TU16BCR.2;
bit TU16BCR_TU16BCR2 @ TU16BCR.2;
bit TU16BCR_CRL3 @ TU16BCR.3;
bit TU16BCR_TU16BCRL3 @ TU16BCR.3;
bit TU16BCR_TU16BCR3 @ TU16BCR.3;
bit TU16BCR_CRL4 @ TU16BCR.4;
bit TU16BCR_TU16BCRL4 @ TU16BCR.4;
bit TU16BCR_TU16BCR4 @ TU16BCR.4;
bit TU16BCR_CRL5 @ TU16BCR.5;
bit TU16BCR_TU16BCRL5 @ TU16BCR.5;
bit TU16BCR_TU16BCR5 @ TU16BCR.5;
bit TU16BCR_CRL6 @ TU16BCR.6;
bit TU16BCR_TU16BCRL6 @ TU16BCR.6;
bit TU16BCR_TU16BCR6 @ TU16BCR.6;
bit TU16BCR_CRL7 @ TU16BCR.7;
bit TU16BCR_TU16BCRL7 @ TU16BCR.7;
bit TU16BCR_TU16BCR7 @ TU16BCR.7;

bit TU16BHLT_STOP0 @ TU16BHLT.0;
bit TU16BSTOP0 @ TU16BHLT.0;
bit TU16BHLT_STOP1 @ TU16BHLT.1;
bit TU16BSTOP1 @ TU16BHLT.1;
bit TU16BHLT_RESET0 @ TU16BHLT.2;
bit TU16BRESET0 @ TU16BHLT.2;
bit TU16BHLT_RESET1 @ TU16BHLT.3;
bit TU16BRESET1 @ TU16BHLT.3;
bit TU16BHLT_START0 @ TU16BHLT.4;
bit TU16BSTART0 @ TU16BHLT.4;
bit TU16BHLT_START1 @ TU16BHLT.5;
bit TU16BSTART1 @ TU16BHLT.5;
bit TU16BHLT_CSYNC @ TU16BHLT.6;
bit TU16BCSYNC @ TU16BHLT.6;
bit TU16BHLT_EPOL @ TU16BHLT.7;
bit TU16BEPOL @ TU16BHLT.7;

bit TU16BCON1_CIF @ TU16BCON1.0;
bit TU16BCIF @ TU16BCON1.0;
bit TU16BCON1_ZIF @ TU16BCON1.1;
bit TU16BZIF @ TU16BCON1.1;
bit TU16BCON1_PRIF @ TU16BCON1.2;
bit TU16BPRIF @ TU16BCON1.2;
bit TU16BCON1_CAPT @ TU16BCON1.3;
bit TU16BCAPT @ TU16BCON1.3;
bit TU16BCON1_LIMIT @ TU16BCON1.4;
bit TU16BLIMIT @ TU16BCON1.4;
bit TU16BCON1_CLR @ TU16BCON1.5;
bit TU16BCLR @ TU16BCON1.5;
bit TU16BCON1_OSEN @ TU16BCON1.6;
bit TU16BCON1_TMRBOSEN @ TU16BCON1.6;
bit TU16BCON1_RUN @ TU16BCON1.7;
bit TU16BRUN @ TU16BCON1.7;

bit TU16BCON0_CIE @ TU16BCON0.0;
bit TU16BCIE @ TU16BCON0.0;
bit TU16BCON0_ZIE @ TU16BCON0.1;
bit TU16BZIE @ TU16BCON0.1;
bit TU16BCON0_PRIE @ TU16BCON0.2;
bit TU16BPRIE @ TU16BCON0.2;
bit TU16BCON0_RDSEL @ TU16BCON0.3;
bit TU16BRDSEL @ TU16BCON0.3;
bit TU16BCON0_OPOL @ TU16BCON0.4;
bit TU16BOPOL @ TU16BCON0.4;
bit TU16BCON0_OM @ TU16BCON0.5;
bit TU16BOM  @ TU16BCON0.5;
bit TU16BCON0_CPOL @ TU16BCON0.6;
bit TU16BCPOL @ TU16BCON0.6;
bit TU16BCON0_ON @ TU16BCON0.7;
bit TU16BON  @ TU16BCON0.7;

bit TU16ATMRT_CRT0 @ TU16ATMRT.0;
bit TU16ATMRT_TU16ACRT0 @ TU16ATMRT.0;
bit TU16ATMRT_TU16ACR24 @ TU16ATMRT.0;
bit TU16ATMRT_CRT1 @ TU16ATMRT.1;
bit TU16ATMRT_TU16ACRT1 @ TU16ATMRT.1;
bit TU16ATMRT_TU16ACR25 @ TU16ATMRT.1;
bit TU16ATMRT_CRT2 @ TU16ATMRT.2;
bit TU16ATMRT_TU16ACRT2 @ TU16ATMRT.2;
bit TU16ATMRT_TU16ACR26 @ TU16ATMRT.2;
bit TU16ATMRT_CRT3 @ TU16ATMRT.3;
bit TU16ATMRT_TU16ACRT3 @ TU16ATMRT.3;
bit TU16ATMRT_TU16ACR27 @ TU16ATMRT.3;
bit TU16ATMRT_CRT4 @ TU16ATMRT.4;
bit TU16ATMRT_TU16ACRT4 @ TU16ATMRT.4;
bit TU16ATMRT_TU16ACR28 @ TU16ATMRT.4;
bit TU16ATMRT_CRT5 @ TU16ATMRT.5;
bit TU16ATMRT_TU16ACRT5 @ TU16ATMRT.5;
bit TU16ATMRT_TU16ACR29 @ TU16ATMRT.5;
bit TU16ATMRT_CRT6 @ TU16ATMRT.6;
bit TU16ATMRT_TU16ACRT6 @ TU16ATMRT.6;
bit TU16ATMRT_TU16ACR30 @ TU16ATMRT.6;
bit TU16ATMRT_CRT7 @ TU16ATMRT.7;
bit TU16ATMRT_TU16ACRT7 @ TU16ATMRT.7;
bit TU16ATMRT_TU16ACR31 @ TU16ATMRT.7;

bit TU16ATMRH_CRH0 @ TU16ATMRH.0;
bit TU16ATMRH_TU16ACRH0 @ TU16ATMRH.0;
bit TU16ATMRH_TU16ACR8 @ TU16ATMRH.0;
bit TU16ATMRH_CRH1 @ TU16ATMRH.1;
bit TU16ATMRH_TU16ACRH1 @ TU16ATMRH.1;
bit TU16ATMRH_TU16ACR9 @ TU16ATMRH.1;
bit TU16ATMRH_CRH2 @ TU16ATMRH.2;
bit TU16ATMRH_TU16ACRH2 @ TU16ATMRH.2;
bit TU16ATMRH_TU16ACR10 @ TU16ATMRH.2;
bit TU16ATMRH_CRH3 @ TU16ATMRH.3;
bit TU16ATMRH_TU16ACRH3 @ TU16ATMRH.3;
bit TU16ATMRH_TU16ACR11 @ TU16ATMRH.3;
bit TU16ATMRH_CRH4 @ TU16ATMRH.4;
bit TU16ATMRH_TU16ACRH4 @ TU16ATMRH.4;
bit TU16ATMRH_TU16ACR12 @ TU16ATMRH.4;
bit TU16ATMRH_CRH5 @ TU16ATMRH.5;
bit TU16ATMRH_TU16ACRH5 @ TU16ATMRH.5;
bit TU16ATMRH_TU16ACR13 @ TU16ATMRH.5;
bit TU16ATMRH_CRH6 @ TU16ATMRH.6;
bit TU16ATMRH_TU16ACRH6 @ TU16ATMRH.6;
bit TU16ATMRH_TU16ACR14 @ TU16ATMRH.6;
bit TU16ATMRH_CRH7 @ TU16ATMRH.7;
bit TU16ATMRH_TU16ACRH7 @ TU16ATMRH.7;
bit TU16ATMRH_TU16ACR15 @ TU16ATMRH.7;

bit TU16ACR_CRL0 @ TU16ACR.0;
bit TU16ACR_TU16ACRL0 @ TU16ACR.0;
bit TU16ACR_TU16ACR0 @ TU16ACR.0;
bit TU16ACR_CRL1 @ TU16ACR.1;
bit TU16ACR_TU16ACRL1 @ TU16ACR.1;
bit TU16ACR_TU16ACR1 @ TU16ACR.1;
bit TU16ACR_CRL2 @ TU16ACR.2;
bit TU16ACR_TU16ACRL2 @ TU16ACR.2;
bit TU16ACR_TU16ACR2 @ TU16ACR.2;
bit TU16ACR_CRL3 @ TU16ACR.3;
bit TU16ACR_TU16ACRL3 @ TU16ACR.3;
bit TU16ACR_TU16ACR3 @ TU16ACR.3;
bit TU16ACR_CRL4 @ TU16ACR.4;
bit TU16ACR_TU16ACRL4 @ TU16ACR.4;
bit TU16ACR_TU16ACR4 @ TU16ACR.4;
bit TU16ACR_CRL5 @ TU16ACR.5;
bit TU16ACR_TU16ACRL5 @ TU16ACR.5;
bit TU16ACR_TU16ACR5 @ TU16ACR.5;
bit TU16ACR_CRL6 @ TU16ACR.6;
bit TU16ACR_TU16ACRL6 @ TU16ACR.6;
bit TU16ACR_TU16ACR6 @ TU16ACR.6;
bit TU16ACR_CRL7 @ TU16ACR.7;
bit TU16ACR_TU16ACRL7 @ TU16ACR.7;
bit TU16ACR_TU16ACR7 @ TU16ACR.7;

bit TU16AHLT_STOP0 @ TU16AHLT.0;
bit TU16ASTOP0 @ TU16AHLT.0;
bit TU16AHLT_STOP1 @ TU16AHLT.1;
bit TU16ASTOP1 @ TU16AHLT.1;
bit TU16AHLT_RESET0 @ TU16AHLT.2;
bit TU16ARESET0 @ TU16AHLT.2;
bit TU16AHLT_RESET1 @ TU16AHLT.3;
bit TU16ARESET1 @ TU16AHLT.3;
bit TU16AHLT_START0 @ TU16AHLT.4;
bit TU16ASTART0 @ TU16AHLT.4;
bit TU16AHLT_START1 @ TU16AHLT.5;
bit TU16ASTART1 @ TU16AHLT.5;
bit TU16AHLT_CSYNC @ TU16AHLT.6;
bit TU16ACSYNC @ TU16AHLT.6;
bit TU16AHLT_EPOL @ TU16AHLT.7;
bit TU16AEPOL @ TU16AHLT.7;

bit TU16ACON1_CIF @ TU16ACON1.0;
bit TU16ACIF @ TU16ACON1.0;
bit TU16ACON1_ZIF @ TU16ACON1.1;
bit TU16AZIF @ TU16ACON1.1;
bit TU16ACON1_PRIF @ TU16ACON1.2;
bit TU16APRIF @ TU16ACON1.2;
bit TU16ACON1_CAPT @ TU16ACON1.3;
bit TU16ACAPT @ TU16ACON1.3;
bit TU16ACON1_LIMIT @ TU16ACON1.4;
bit TU16ALIMIT @ TU16ACON1.4;
bit TU16ACON1_CLR @ TU16ACON1.5;
bit TU16ACLR @ TU16ACON1.5;
bit TU16ACON1_OSEN @ TU16ACON1.6;
bit TU16ACON1_TMRAOSEN @ TU16ACON1.6;
bit TU16ACON1_RUN @ TU16ACON1.7;
bit TU16ARUN @ TU16ACON1.7;

bit TU16ACON0_CIE @ TU16ACON0.0;
bit TU16ACIE @ TU16ACON0.0;
bit TU16ACON0_ZIE @ TU16ACON0.1;
bit TU16AZIE @ TU16ACON0.1;
bit TU16ACON0_PRIE @ TU16ACON0.2;
bit TU16APRIE @ TU16ACON0.2;
bit TU16ACON0_RDSEL @ TU16ACON0.3;
bit TU16ARDSEL @ TU16ACON0.3;
bit TU16ACON0_OPOL @ TU16ACON0.4;
bit TU16AOPOL @ TU16ACON0.4;
bit TU16ACON0_OM @ TU16ACON0.5;
bit TU16AOM  @ TU16ACON0.5;
bit TU16ACON0_CPOL @ TU16ACON0.6;
bit TU16ACPOL @ TU16ACON0.6;
bit TU16ACON0_ON @ TU16ACON0.7;
bit TU16AON  @ TU16ACON0.7;

bit TUCHAIN_CH16AB @ TUCHAIN.0;

bit T4HLT_MODE0 @ T4HLT.0;
bit T4MODE0  @ T4HLT.0;
bit T4HLT_MODE1 @ T4HLT.1;
bit T4MODE1  @ T4HLT.1;
bit T4HLT_MODE2 @ T4HLT.2;
bit T4MODE2  @ T4HLT.2;
bit T4HLT_MODE3 @ T4HLT.3;
bit T4MODE3  @ T4HLT.3;
bit T4HLT_MODE4 @ T4HLT.4;
bit T4MODE4  @ T4HLT.4;
bit T4HLT_CKSYNC @ T4HLT.5;
bit T4CKSYNC @ T4HLT.5;
bit T4HLT_CKPOL @ T4HLT.6;
bit T4CKPOL  @ T4HLT.6;
bit T4HLT_PSYNC @ T4HLT.7;
bit T4PSYNC  @ T4HLT.7;

bit T4OUTPS0 @ T4CON.0;
bit T4CON_OUTPS0 @ T4CON.0;
bit T4OUTPS1 @ T4CON.1;
bit T4CON_OUTPS1 @ T4CON.1;
bit T4OUTPS2 @ T4CON.2;
bit T4CON_OUTPS2 @ T4CON.2;
bit T4OUTPS3 @ T4CON.3;
bit T4CON_OUTPS3 @ T4CON.3;
bit T4CKPS0  @ T4CON.4;
bit T4CON_CKPS0 @ T4CON.4;
bit T4CKPS1  @ T4CON.5;
bit T4CON_CKPS1 @ T4CON.5;
bit T4CKPS2  @ T4CON.6;
bit T4CON_CKPS2 @ T4CON.6;
bit T4CON_ON @ T4CON.7;
bit T4ON     @ T4CON.7;
bit TMR4ON   @ T4CON.7;
bit T4CON_TMR4ON @ T4CON.7;

bit T2HLT_MODE0 @ T2HLT.0;
bit T2MODE0  @ T2HLT.0;
bit T2HLT_MODE1 @ T2HLT.1;
bit T2MODE1  @ T2HLT.1;
bit T2HLT_MODE2 @ T2HLT.2;
bit T2MODE2  @ T2HLT.2;
bit T2HLT_MODE3 @ T2HLT.3;
bit T2MODE3  @ T2HLT.3;
bit T2HLT_MODE4 @ T2HLT.4;
bit T2MODE4  @ T2HLT.4;
bit T2HLT_CKSYNC @ T2HLT.5;
bit T2CKSYNC @ T2HLT.5;
bit T2HLT_CKPOL @ T2HLT.6;
bit T2CKPOL  @ T2HLT.6;
bit T2HLT_PSYNC @ T2HLT.7;
bit T2PSYNC  @ T2HLT.7;

bit T2OUTPS0 @ T2CON.0;
bit T2CON_OUTPS0 @ T2CON.0;
bit T2OUTPS1 @ T2CON.1;
bit T2CON_OUTPS1 @ T2CON.1;
bit T2OUTPS2 @ T2CON.2;
bit T2CON_OUTPS2 @ T2CON.2;
bit T2OUTPS3 @ T2CON.3;
bit T2CON_OUTPS3 @ T2CON.3;
bit T2CKPS0  @ T2CON.4;
bit T2CON_CKPS0 @ T2CON.4;
bit T2CKPS1  @ T2CON.5;
bit T2CON_CKPS1 @ T2CON.5;
bit T2CKPS2  @ T2CON.6;
bit T2CON_CKPS2 @ T2CON.6;
bit T2CON_ON @ T2CON.7;
bit T2ON     @ T2CON.7;
bit TMR2ON   @ T2CON.7;
bit T2CON_TMR2ON @ T2CON.7;

bit T1GCON_GVAL @ T1GCON.2;
bit T1GVAL   @ T1GCON.2;
bit T1GCON_GGO @ T1GCON.3;
bit T1GGO    @ T1GCON.3;
bit T1GCON_T1GGO @ T1GCON.3;
bit T1GCON_DONE_ @ T1GCON.3;
bit T1DONE_  @ T1GCON.3;
bit T1GCON_T1DONE_ @ T1GCON.3;
bit T1GCON_GGO_NOT_DONE @ T1GCON.3;
bit T1GCON_GGO_nDONE @ T1GCON.3;
bit T1GCON_GSPM @ T1GCON.4;
bit T1GSPM   @ T1GCON.4;
bit T1GCON_GTM @ T1GCON.5;
bit T1GTM    @ T1GCON.5;
bit T1GCON_GPOL @ T1GCON.6;
bit T1GPOL   @ T1GCON.6;
bit T1GCON_GE @ T1GCON.7;
bit T1GE     @ T1GCON.7;

bit T1CON_ON @ T1CON.0;
bit TMR1ON   @ T1CON.0;
bit T1CON_TMR1ON @ T1CON.0;
bit T1CON_RD16 @ T1CON.1;
bit T1RD16   @ T1CON.1;
bit T1CON_SYNC_ @ T1CON.2;
bit T1SYNC_  @ T1CON.2;
bit T1CON_nSYNC @ T1CON.2;
bit T1CON_nT1SYNC @ T1CON.2;
bit T1CKPS0  @ T1CON.4;
bit T1CON_CKPS0 @ T1CON.4;
bit T1CKPS1  @ T1CON.5;
bit T1CON_CKPS1 @ T1CON.5;

bit T0CON1_CKPS0 @ T0CON1.0;
bit T0CKPS0  @ T0CON1.0;
bit T0CON1_CKPS1 @ T0CON1.1;
bit T0CKPS1  @ T0CON1.1;
bit T0CON1_CKPS2 @ T0CON1.2;
bit T0CKPS2  @ T0CON1.2;
bit T0CON1_CKPS3 @ T0CON1.3;
bit T0CKPS3  @ T0CON1.3;
bit T0CON1_ASYNC @ T0CON1.4;
bit T0ASYNC  @ T0CON1.4;
bit T0CON1_CS0 @ T0CON1.5;
bit T0CS0    @ T0CON1.5;
bit T0CON1_CS1 @ T0CON1.6;
bit T0CS1    @ T0CON1.6;
bit T0CON1_CS2 @ T0CON1.7;
bit T0CS2    @ T0CON1.7;

bit T0CON0_OUTPS0 @ T0CON0.0;
bit T0OUTPS0 @ T0CON0.0;
bit T0CON0_OUTPS1 @ T0CON0.1;
bit T0OUTPS1 @ T0CON0.1;
bit T0CON0_OUTPS2 @ T0CON0.2;
bit T0OUTPS2 @ T0CON0.2;
bit T0CON0_OUTPS3 @ T0CON0.3;
bit T0OUTPS3 @ T0CON0.3;
bit T0CON0_MD16 @ T0CON0.4;
bit T0CON0_T0MD16 @ T0CON0.4;
bit T016BIT  @ T0CON0.4;
bit T0CON0_OUT @ T0CON0.5;
bit T0OUT    @ T0CON0.5;
bit T0CON0_EN @ T0CON0.7;
bit T0EN     @ T0CON0.7;

bit CLKRDIV0 @ CLKRCON.0;
bit CLKRCON_DIV0 @ CLKRCON.0;
bit CLKRDIV1 @ CLKRCON.1;
bit CLKRCON_DIV1 @ CLKRCON.1;
bit CLKRDIV2 @ CLKRCON.2;
bit CLKRCON_DIV2 @ CLKRCON.2;
bit CLKRDC0  @ CLKRCON.3;
bit CLKRCON_DC0 @ CLKRCON.3;
bit CLKRDC1  @ CLKRCON.4;
bit CLKRCON_DC1 @ CLKRCON.4;
bit CLKRCON_EN @ CLKRCON.7;
bit CLKREN   @ CLKRCON.7;

bit I3C2I2CCON_FLTEN @ I3C2I2CCON.2;

bit I3C2DSTAT0_INPEND0 @ I3C2DSTAT0.0;
bit I3C2DSTAT0_INTPEND1 @ I3C2DSTAT0.1;
bit I3C2DSTAT0_INTPEND2 @ I3C2DSTAT0.2;
bit I3C2DSTAT0_INTPEND3 @ I3C2DSTAT0.3;
bit I3C2DSTAT0_PERR @ I3C2DSTAT0.5;
bit I3C2DSTAT0_ACTMODE0 @ I3C2DSTAT0.6;
bit I3C2DSTAT0_ACTMODE1 @ I3C2DSTAT0.7;

bit I3C2PID5_PID40 @ I3C2PID5.0;
bit I3C2PID5_PID41 @ I3C2PID5.1;
bit I3C2PID5_PID42 @ I3C2PID5.2;
bit I3C2PID5_PID43 @ I3C2PID5.3;
bit I3C2PID5_PID44 @ I3C2PID5.4;
bit I3C2PID5_PID45 @ I3C2PID5.5;
bit I3C2PID5_PID46 @ I3C2PID5.6;
bit I3C2PID5_PID47 @ I3C2PID5.7;

bit I3C2PID4_PID32 @ I3C2PID4.0;
bit I3C2PID4_PID33 @ I3C2PID4.1;
bit I3C2PID4_PID34 @ I3C2PID4.2;
bit I3C2PID4_PID35 @ I3C2PID4.3;
bit I3C2PID4_PID36 @ I3C2PID4.4;
bit I3C2PID4_PID37 @ I3C2PID4.5;
bit I3C2PID4_PID38 @ I3C2PID4.6;
bit I3C2PID4_PID39 @ I3C2PID4.7;

bit I3C2EC_IBIEN @ I3C2EC.0;
bit I3C2EC_CREN @ I3C2EC.1;
bit I3C2EC_EC2 @ I3C2EC.2;
bit I3C2EC_HJEN @ I3C2EC.3;

bit I3C2FEAT_HJCAP @ I3C2FEAT.0;
bit I3C2FEAT_HDRCAP @ I3C2FEAT.1;

bit I3C2ERRIE1_RXREIE @ I3C2ERRIE1.0;
bit I3C2ERRIE1_TXWEIE @ I3C2ERRIE1.1;
bit I3C2ERRIE1_MWLOEIE @ I3C2ERRIE1.2;
bit I3C2ERRIE1_ABEIE @ I3C2ERRIE1.3;

bit I3C2ERRIE0_UCCCIE @ I3C2ERRIE0.0;
bit I3C2ERRIE0_BTOIE @ I3C2ERRIE0.1;
bit I3C2ERRIE0_BUSEIE @ I3C2ERRIE0.2;
bit I3C2ERRIE0_IBIEIE @ I3C2ERRIE0.3;
bit I3C2ERRIE0_HJEIE @ I3C2ERRIE0.4;
bit I3C2ERRIE0_RXOIE @ I3C2ERRIE0.5;
bit I3C2ERRIE0_TXUIE @ I3C2ERRIE0.6;
bit I3C2ERRIE0_I2CNACKIE @ I3C2ERRIE0.7;

bit I3C2PIE1_IBIDONEIE @ I3C2PIE1.5;
bit I3C2PIE1_DACHIE @ I3C2PIE1.6;
bit I3C2PIE1_TCOMPIE @ I3C2PIE1.7;

bit I3C2PIE0_SCCCIE @ I3C2PIE0.0;
bit I3C2PIE0_BTFIE @ I3C2PIE0.1;
bit I3C2PIE0_DADRIE @ I3C2PIE0.2;
bit I3C2PIE0_SADRIE @ I3C2PIE0.3;
bit I3C2PIE0_I2CACKIE @ I3C2PIE0.4;
bit I3C2PIE0_RSCIE @ I3C2PIE0.5;
bit I3C2PIE0_PCIE @ I3C2PIE0.6;
bit I3C2PIE0_SCIE @ I3C2PIE0.7;

bit I3C2ERRIR1_RXREIF @ I3C2ERRIR1.0;
bit I3C2ERRIR1_TXWEIF @ I3C2ERRIR1.1;
bit I3C2ERRIR1_MWLOEIF @ I3C2ERRIR1.2;
bit I3C2ERRIR1_ABEIF @ I3C2ERRIR1.3;

bit I3C2ERRIR0_UCCCIF @ I3C2ERRIR0.0;
bit I3C2ERRIR0_BTOIF @ I3C2ERRIR0.1;
bit I3C2ERRIR0_BUSEIF @ I3C2ERRIR0.2;
bit I3C2ERRIR0_IBIEIF @ I3C2ERRIR0.3;
bit I3C2ERRIR0_HJEIF @ I3C2ERRIR0.4;
bit I3C2ERRIR0_RXOIF @ I3C2ERRIR0.5;
bit I3C2ERRIR0_TXUIF @ I3C2ERRIR0.6;
bit I3C2ERRIR0_I2CNACKIF @ I3C2ERRIR0.7;

bit I3C2PIR1_IBIDONEIF @ I3C2PIR1.5;
bit I3C2PIR1_DACHIF @ I3C2PIR1.6;
bit I3C2PIR1_TCOMPIF @ I3C2PIR1.7;

bit I3C2PIR0_SCCCIF @ I3C2PIR0.0;
bit I3C2PIR0_BTFIF @ I3C2PIR0.1;
bit I3C2PIR0_DADRIF @ I3C2PIR0.2;
bit I3C2PIR0_SADRIF @ I3C2PIR0.3;
bit I3C2PIR0_I2CACKIF @ I3C2PIR0.4;
bit I3C2PIR0_RSCIF @ I3C2PIR0.5;
bit I3C2PIR0_PCIF @ I3C2PIR0.6;
bit I3C2PIR0_SCIF @ I3C2PIR0.7;

bit I3C2BSTAT_TE0ERR @ I3C2BSTAT.0;
bit I3C2BSTAT_TE1ERR @ I3C2BSTAT.1;
bit I3C2BSTAT_TE2ERR @ I3C2BSTAT.2;
bit I3C2BSTAT_TE3ERR @ I3C2BSTAT.3;
bit I3C2BSTAT_TE4ERR @ I3C2BSTAT.4;
bit I3C2BSTAT_TE5ERR @ I3C2BSTAT.5;
bit I3C2BSTAT_TE6ERR @ I3C2BSTAT.6;

bit I3C2STAT1_TXFNE @ I3C2STAT1.0;

bit I3C2STAT0_RXBF @ I3C2STAT0.2;
bit I3C2STAT0_TXBE @ I3C2STAT0.3;
bit I3C2STAT0_RSTDET @ I3C2STAT0.4;
bit I3C2STAT0_BFREE @ I3C2STAT0.7;

bit I3C2CON1_ACKPOS @ I3C2CON1.0;
bit I3C2CON1_SASDRMD @ I3C2CON1.1;
bit I3C2CON1_FHDRE @ I3C2CON1.2;

bit I3C2CON0_IBIREQ @ I3C2CON0.0;
bit I3C2CON0_HJREQ @ I3C2CON0.1;
bit I3C2CON0_ACKP @ I3C2CON0.2;
bit I3C2CON0_CLRRXB @ I3C2CON0.3;
bit I3C2CON0_CLRTXB @ I3C2CON0.4;
bit I3C2CON0_RST @ I3C2CON0.5;
bit I3C2CON0_BTOEN @ I3C2CON0.6;
bit I3C2CON0_EN @ I3C2CON0.7;

bit I3C1I2CCON_FLTEN @ I3C1I2CCON.2;

bit I3C1DSTAT0_INPEND0 @ I3C1DSTAT0.0;
bit I3C1DSTAT0_INTPEND1 @ I3C1DSTAT0.1;
bit I3C1DSTAT0_INTPEND2 @ I3C1DSTAT0.2;
bit I3C1DSTAT0_INTPEND3 @ I3C1DSTAT0.3;
bit I3C1DSTAT0_PERR @ I3C1DSTAT0.5;
bit I3C1DSTAT0_ACTMODE0 @ I3C1DSTAT0.6;
bit I3C1DSTAT0_ACTMODE1 @ I3C1DSTAT0.7;

bit I3C1PID5_PID40 @ I3C1PID5.0;
bit I3C1PID5_PID41 @ I3C1PID5.1;
bit I3C1PID5_PID42 @ I3C1PID5.2;
bit I3C1PID5_PID43 @ I3C1PID5.3;
bit I3C1PID5_PID44 @ I3C1PID5.4;
bit I3C1PID5_PID45 @ I3C1PID5.5;
bit I3C1PID5_PID46 @ I3C1PID5.6;
bit I3C1PID5_PID47 @ I3C1PID5.7;

bit I3C1PID4_PID32 @ I3C1PID4.0;
bit I3C1PID4_PID33 @ I3C1PID4.1;
bit I3C1PID4_PID34 @ I3C1PID4.2;
bit I3C1PID4_PID35 @ I3C1PID4.3;
bit I3C1PID4_PID36 @ I3C1PID4.4;
bit I3C1PID4_PID37 @ I3C1PID4.5;
bit I3C1PID4_PID38 @ I3C1PID4.6;
bit I3C1PID4_PID39 @ I3C1PID4.7;

bit I3C1EC_IBIEN @ I3C1EC.0;
bit I3C1EC_CREN @ I3C1EC.1;
bit I3C1EC_EC2 @ I3C1EC.2;
bit I3C1EC_HJEN @ I3C1EC.3;

bit I3C1FEAT_HJCAP @ I3C1FEAT.0;
bit I3C1FEAT_HDRCAP @ I3C1FEAT.1;

bit I3C1ERRIE1_RXREIE @ I3C1ERRIE1.0;
bit I3C1ERRIE1_TXWEIE @ I3C1ERRIE1.1;
bit I3C1ERRIE1_MWLOEIE @ I3C1ERRIE1.2;
bit I3C1ERRIE1_ABEIE @ I3C1ERRIE1.3;

bit I3C1ERRIE0_UCCCIE @ I3C1ERRIE0.0;
bit I3C1ERRIE0_BTOIE @ I3C1ERRIE0.1;
bit I3C1ERRIE0_BUSEIE @ I3C1ERRIE0.2;
bit I3C1ERRIE0_IBIEIE @ I3C1ERRIE0.3;
bit I3C1ERRIE0_HJEIE @ I3C1ERRIE0.4;
bit I3C1ERRIE0_RXOIE @ I3C1ERRIE0.5;
bit I3C1ERRIE0_TXUIE @ I3C1ERRIE0.6;
bit I3C1ERRIE0_I2CNACKIE @ I3C1ERRIE0.7;

bit I3C1PIE1_IBIDONEIE @ I3C1PIE1.5;
bit I3C1PIE1_DACHIE @ I3C1PIE1.6;
bit I3C1PIE1_TCOMPIE @ I3C1PIE1.7;

bit I3C1PIE0_SCCCIE @ I3C1PIE0.0;
bit I3C1PIE0_BTFIE @ I3C1PIE0.1;
bit I3C1PIE0_DADRIE @ I3C1PIE0.2;
bit I3C1PIE0_SADRIE @ I3C1PIE0.3;
bit I3C1PIE0_I2CACKIE @ I3C1PIE0.4;
bit I3C1PIE0_RSCIE @ I3C1PIE0.5;
bit I3C1PIE0_PCIE @ I3C1PIE0.6;
bit I3C1PIE0_SCIE @ I3C1PIE0.7;

bit I3C1ERRIR1_RXREIF @ I3C1ERRIR1.0;
bit I3C1ERRIR1_TXWEIF @ I3C1ERRIR1.1;
bit I3C1ERRIR1_MWLOEIF @ I3C1ERRIR1.2;
bit I3C1ERRIR1_ABEIF @ I3C1ERRIR1.3;

bit I3C1ERRIR0_UCCCIF @ I3C1ERRIR0.0;
bit I3C1ERRIR0_BTOIF @ I3C1ERRIR0.1;
bit I3C1ERRIR0_BUSEIF @ I3C1ERRIR0.2;
bit I3C1ERRIR0_IBIEIF @ I3C1ERRIR0.3;
bit I3C1ERRIR0_HJEIF @ I3C1ERRIR0.4;
bit I3C1ERRIR0_RXOIF @ I3C1ERRIR0.5;
bit I3C1ERRIR0_TXUIF @ I3C1ERRIR0.6;
bit I3C1ERRIR0_I2CNACKIF @ I3C1ERRIR0.7;

bit I3C1PIR1_IBIDONEIF @ I3C1PIR1.5;
bit I3C1PIR1_DACHIF @ I3C1PIR1.6;
bit I3C1PIR1_TCOMPIF @ I3C1PIR1.7;

bit I3C1PIR0_SCCCIF @ I3C1PIR0.0;
bit I3C1PIR0_BTFIF @ I3C1PIR0.1;
bit I3C1PIR0_DADRIF @ I3C1PIR0.2;
bit I3C1PIR0_SADRIF @ I3C1PIR0.3;
bit I3C1PIR0_I2CACKIF @ I3C1PIR0.4;
bit I3C1PIR0_RSCIF @ I3C1PIR0.5;
bit I3C1PIR0_PCIF @ I3C1PIR0.6;
bit I3C1PIR0_SCIF @ I3C1PIR0.7;

bit I3C1BSTAT_TE0ERR @ I3C1BSTAT.0;
bit I3C1BSTAT_TE1ERR @ I3C1BSTAT.1;
bit I3C1BSTAT_TE2ERR @ I3C1BSTAT.2;
bit I3C1BSTAT_TE3ERR @ I3C1BSTAT.3;
bit I3C1BSTAT_TE4ERR @ I3C1BSTAT.4;
bit I3C1BSTAT_TE5ERR @ I3C1BSTAT.5;
bit I3C1BSTAT_TE6ERR @ I3C1BSTAT.6;

bit I3C1STAT1_TXFNE @ I3C1STAT1.0;

bit I3C1STAT0_RXBF @ I3C1STAT0.2;
bit I3C1STAT0_TXBE @ I3C1STAT0.3;
bit I3C1STAT0_RSTDET @ I3C1STAT0.4;
bit I3C1STAT0_BFREE @ I3C1STAT0.7;

bit I3C1CON1_ACKPOS @ I3C1CON1.0;
bit I3C1CON1_SASDRMD @ I3C1CON1.1;
bit I3C1CON1_FHDRE @ I3C1CON1.2;

bit I3C1CON0_IBIREQ @ I3C1CON0.0;
bit I3C1CON0_HJREQ @ I3C1CON0.1;
bit I3C1CON0_ACKP @ I3C1CON0.2;
bit I3C1CON0_CLRRXB @ I3C1CON0.3;
bit I3C1CON0_CLRTXB @ I3C1CON0.4;
bit I3C1CON0_RST @ I3C1CON0.5;
bit I3C1CON0_BTOEN @ I3C1CON0.6;
bit I3C1CON0_EN @ I3C1CON0.7;

bit FSCMFEV  @ FSCMCON.0;
bit FSCMCON_FSCMFEV @ FSCMCON.0;
bit FSCMFFI  @ FSCMCON.1;
bit FSCMCON_FSCMFFI @ FSCMCON.1;
bit FSCMPEV  @ FSCMCON.2;
bit FSCMCON_FSCMPEV @ FSCMCON.2;
bit FSCMPFI  @ FSCMCON.3;
bit FSCMCON_FSCMPFI @ FSCMCON.3;
bit FSCMSEV  @ FSCMCON.4;
bit FSCMCON_FSCMSEV @ FSCMCON.4;
bit FSCMSFI  @ FSCMCON.5;
bit FSCMCON_FSCMSFI @ FSCMCON.5;

bit ACTCON_ORS @ ACTCON.1;
bit ACTORS   @ ACTCON.1;
bit ACTCON_LOCK @ ACTCON.3;
bit ACTLOCK  @ ACTCON.3;
bit ACTCON_UD @ ACTCON.6;
bit ACTUD    @ ACTCON.6;
bit ACTCON_EN @ ACTCON.7;
bit ACTEN    @ ACTCON.7;

bit FRQ0     @ OSCFRQ.0;
bit FRQ1     @ OSCFRQ.1;
bit FRQ2     @ OSCFRQ.2;
bit FRQ3     @ OSCFRQ.3;

bit PLLEN    @ OSCEN.0;
bit OSCEN_PLLEN @ OSCEN.0;
bit ADOEN    @ OSCEN.2;
bit OSCEN_ADOEN @ OSCEN.2;
bit SOSCEN   @ OSCEN.3;
bit OSCEN_SOSCEN @ OSCEN.3;
bit LFOEN    @ OSCEN.4;
bit OSCEN_LFOEN @ OSCEN.4;
bit MFOEN    @ OSCEN.5;
bit OSCEN_MFOEN @ OSCEN.5;
bit HFOEN    @ OSCEN.6;
bit OSCEN_HFOEN @ OSCEN.6;
bit EXTOEN   @ OSCEN.7;
bit OSCEN_EXTOEN @ OSCEN.7;

bit PLLR     @ OSCSTAT.0;
bit OSCSTAT_PLLR @ OSCSTAT.0;
bit SFOR     @ OSCSTAT.1;
bit OSCSTAT_SFOR @ OSCSTAT.1;
bit ADOR     @ OSCSTAT.2;
bit OSCSTAT_ADOR @ OSCSTAT.2;
bit SOR      @ OSCSTAT.3;
bit OSCSTAT_SOR @ OSCSTAT.3;
bit LFOR     @ OSCSTAT.4;
bit OSCSTAT_LFOR @ OSCSTAT.4;
bit MFOR     @ OSCSTAT.5;
bit OSCSTAT_MFOR @ OSCSTAT.5;
bit HFOR     @ OSCSTAT.6;
bit OSCSTAT_HFOR @ OSCSTAT.6;
bit EXTOR    @ OSCSTAT.7;
bit OSCSTAT_EXTOR @ OSCSTAT.7;

bit NOSCR    @ OSCCON3.3;
bit OSCCON3_NOSCR @ OSCCON3.3;
bit ORDY     @ OSCCON3.4;
bit OSCCON3_ORDY @ OSCCON3.4;
bit SOSCPWR  @ OSCCON3.6;
bit OSCCON3_SOSCPWR @ OSCCON3.6;
bit CSWHOLD  @ OSCCON3.7;
bit OSCCON3_CSWHOLD @ OSCCON3.7;

bit CDIV0    @ OSCCON2.0;
bit OSCCON2_CDIV0 @ OSCCON2.0;
bit CDIV1    @ OSCCON2.1;
bit OSCCON2_CDIV1 @ OSCCON2.1;
bit CDIV2    @ OSCCON2.2;
bit OSCCON2_CDIV2 @ OSCCON2.2;
bit CDIV3    @ OSCCON2.3;
bit OSCCON2_CDIV3 @ OSCCON2.3;
bit COSC0    @ OSCCON2.4;
bit OSCCON2_COSC0 @ OSCCON2.4;
bit COSC1    @ OSCCON2.5;
bit OSCCON2_COSC1 @ OSCCON2.5;
bit COSC2    @ OSCCON2.6;
bit OSCCON2_COSC2 @ OSCCON2.6;

bit NDIV0    @ OSCCON1.0;
bit OSCCON1_NDIV0 @ OSCCON1.0;
bit NDIV1    @ OSCCON1.1;
bit OSCCON1_NDIV1 @ OSCCON1.1;
bit NDIV2    @ OSCCON1.2;
bit OSCCON1_NDIV2 @ OSCCON1.2;
bit NDIV3    @ OSCCON1.3;
bit OSCCON1_NDIV3 @ OSCCON1.3;
bit NOSC0    @ OSCCON1.4;
bit OSCCON1_NOSC0 @ OSCCON1.4;
bit NOSC1    @ OSCCON1.5;
bit OSCCON1_NOSC1 @ OSCCON1.5;
bit NOSC2    @ OSCCON1.6;
bit OSCCON1_NOSC2 @ OSCCON1.6;

bit VREGPM0  @ VREGCON.0;
bit VREGCON_VREGPM0 @ VREGCON.0;
bit VREGPM1  @ VREGCON.1;
bit VREGCON_VREGPM1 @ VREGCON.1;
bit PMSYS0   @ VREGCON.4;
bit VREGCON_PMSYS0 @ VREGCON.4;
bit PMSYS1   @ VREGCON.5;
bit VREGCON_PMSYS1 @ VREGCON.5;

bit WDTTMR_PSCNT16 @ WDTTMR.0;
bit WDTPSCNT16 @ WDTTMR.0;
bit WDTTMR_PSCNT17 @ WDTTMR.1;
bit WDTPSCNT17 @ WDTTMR.1;
bit WDTTMR_STATE @ WDTTMR.2;
bit WDTSTATE @ WDTTMR.2;
bit WDTTMR0  @ WDTTMR.3;
bit WDTTMR_WDTTMR0 @ WDTTMR.3;
bit WDTTMR1  @ WDTTMR.4;
bit WDTTMR_WDTTMR1 @ WDTTMR.4;
bit WDTTMR2  @ WDTTMR.5;
bit WDTTMR_WDTTMR2 @ WDTTMR.5;
bit WDTTMR3  @ WDTTMR.6;
bit WDTTMR_WDTTMR3 @ WDTTMR.6;
bit WDTTMR4  @ WDTTMR.7;
bit WDTTMR_WDTTMR4 @ WDTTMR.7;

bit WDTCON1_WINDOW0 @ WDTCON1.0;
bit WDTWINDOW0 @ WDTCON1.0;
bit WDTCON1_WINDOW1 @ WDTCON1.1;
bit WDTWINDOW1 @ WDTCON1.1;
bit WDTCON1_WINDOW2 @ WDTCON1.2;
bit WDTWINDOW2 @ WDTCON1.2;
bit WDTCON1_CS0 @ WDTCON1.4;
bit WDTCS0   @ WDTCON1.4;
bit WDTCON1_CS1 @ WDTCON1.5;
bit WDTCS1   @ WDTCON1.5;
bit WDTCON1_CS2 @ WDTCON1.6;
bit WDTCS2   @ WDTCON1.6;

bit WDTCON0_SEN @ WDTCON0.0;
bit SWDTEN   @ WDTCON0.0;
bit WDTCON0_SWDTEN @ WDTCON0.0;
bit WDTSEN   @ WDTCON0.0;
bit WDTCON0_PS0 @ WDTCON0.1;
bit WDTPS0   @ WDTCON0.1;
bit WDTCON0_PS1 @ WDTCON0.2;
bit WDTPS1   @ WDTCON0.2;
bit WDTCON0_PS2 @ WDTCON0.3;
bit WDTPS2   @ WDTCON0.3;
bit WDTCON0_PS3 @ WDTCON0.4;
bit WDTPS3   @ WDTCON0.4;
bit WDTCON0_PS4 @ WDTCON0.5;
bit WDTPS4   @ WDTCON0.5;

bit BORRDY   @ BORCON.0;
bit BORCON_BORRDY @ BORCON.0;
bit SBOREN   @ BORCON.7;
bit BORCON_SBOREN @ BORCON.7;

bit SCANTRIG_TSEL0 @ SCANTRIG.0;
bit SCANTRIG_TSEL1 @ SCANTRIG.1;
bit SCANTRIG_TSEL2 @ SCANTRIG.2;
bit SCANTRIG_TSEL3 @ SCANTRIG.3;

bit SCANCON0_BUSY @ SCANCON0.0;
bit SCANBUSY @ SCANCON0.0;
bit SCANCON0_BURSTMD @ SCANCON0.1;
bit SCANBURSTMD @ SCANCON0.1;
bit SCANCON0_MREG @ SCANCON0.2;
bit SCANMREG @ SCANCON0.2;
bit SCANCON0_SGO @ SCANCON0.5;
bit SCANGO   @ SCANCON0.5;
bit SCANCON0_TRIGEN @ SCANCON0.6;
bit SCANTRIGEN @ SCANCON0.6;
bit SCANCON0_EN @ SCANCON0.7;
bit SCANEN   @ SCANCON0.7;

bit CRCCON0_FULL @ CRCCON0.0;
bit CRCCON0_SHIFTM @ CRCCON0.1;
bit CRCCON0_LENDIAN @ CRCCON0.1;
bit CRCCON0_SETUP0 @ CRCCON0.2;
bit CRCCON0_SETUP1 @ CRCCON0.3;
bit CRCCON0_ACCMOD @ CRCCON0.4;
bit CRCCON0_ACCM @ CRCCON0.4;
bit CRCCON0_BUSY @ CRCCON0.5;
bit CRCCON0_GO @ CRCCON0.6;
bit CRCCON0_EN @ CRCCON0.7;

bit WRERR    @ NVMCON1.7;
bit NVMCON1_WRERR @ NVMCON1.7;

bit NVMCON0_GO @ NVMCON0.0;
bit NVMCON0_DONE_ @ NVMCON0.0;
bit NVMCON0_nDONE @ NVMCON0.0;
bit NVMGO    @ NVMCON0.0;
bit NVMDONE_ @ NVMCON0.0;

bit DMAnCON1_SSTP @ DMAnCON1.0;
bit DMAnCON1_DSTP @ DMAnCON1.5;

bit DMAnCON0_XIP @ DMAnCON0.0;
bit DMAnCON0_AIRQEN @ DMAnCON0.2;
bit DMAnCON0_DGO @ DMAnCON0.5;
bit DMAnCON0_SIRQEN @ DMAnCON0.6;
bit DMAnCON0_EN @ DMAnCON0.7;

bit DMASELECT_SLCT0 @ DMASELECT.0;
bit DMASELECT_SLCT1 @ DMASELECT.1;
bit DMASELECT_SLCT2 @ DMASELECT.2;

bit SCANPR_PR0 @ SCANPR.0;
bit SCANPR_PR1 @ SCANPR.1;
bit SCANPR_PR2 @ SCANPR.2;

bit DMA4PR_PR0 @ DMA4PR.0;
bit DMA4PR0  @ DMA4PR.0;
bit DMA4PR_PR1 @ DMA4PR.1;
bit DMA4PR1  @ DMA4PR.1;
bit DMA4PR_PR2 @ DMA4PR.2;
bit DMA4PR2  @ DMA4PR.2;

bit DMA3PR_PR0 @ DMA3PR.0;
bit DMA3PR0  @ DMA3PR.0;
bit DMA3PR_PR1 @ DMA3PR.1;
bit DMA3PR1  @ DMA3PR.1;
bit DMA3PR_PR2 @ DMA3PR.2;
bit DMA3PR2  @ DMA3PR.2;

bit DMA2PR_PR0 @ DMA2PR.0;
bit DMA2PR0  @ DMA2PR.0;
bit DMA2PR_PR1 @ DMA2PR.1;
bit DMA2PR1  @ DMA2PR.1;
bit DMA2PR_PR2 @ DMA2PR.2;
bit DMA2PR2  @ DMA2PR.2;

bit DMA1PR_PR0 @ DMA1PR.0;
bit DMA1PR0  @ DMA1PR.0;
bit DMA1PR_PR1 @ DMA1PR.1;
bit DMA1PR1  @ DMA1PR.1;
bit DMA1PR_PR2 @ DMA1PR.2;
bit DMA1PR2  @ DMA1PR.2;

bit ISRPR_PR0 @ ISRPR.0;
bit ISRPR_PR1 @ ISRPR.1;
bit ISRPR_PR2 @ ISRPR.2;

bit MAINPR_PR0 @ MAINPR.0;
bit MAINPR_PR1 @ MAINPR.1;
bit MAINPR_PR2 @ MAINPR.2;

bit PRLOCKED @ PRLOCK.0;
bit PRLOCK_PRLOCKED @ PRLOCK.0;


#if __CC8E__ >= 1800
#pragma intSRC_=SW,0,Software*Interrupt
#pragma intSRC_=INT0,1,External*Interrupt*0
#pragma intSRC_=INT1,2,External*Interrupt*1
#pragma intSRC_=INT2,3,External*Interrupt*2
#pragma intSRC_=DMA1SCNT,4,DMA1*Source*Count*Interrupt
#pragma intSRC_=DMA1DCNT,5,DMA1*Destination*Count*Interrupt
#pragma intSRC_=DMA1OR,6,DMA1*Overflow*Interrupt
#pragma intSRC_=DMA1A,7,DMA1*Abort*Interrupt
#pragma intSRC_=DMA2SCNT,8,DMA2*Source*Count*Interrupt
#pragma intSRC_=DMA2DCNT,9,DMA2*Destination*Count*Interrupt
#pragma intSRC_=DMA2OR,10,DMA2*Overflow*Interrupt
#pragma intSRC_=DMA2A,11,DMA2*Abort*Interrupt
#pragma intSRC_=DMA3SCNT,12,DMA3*Source*Count*Interrupt
#pragma intSRC_=DMA3DCNT,13,DMA3*Destination*Count*Interrupt
#pragma intSRC_=DMA3OR,14,DMA3*Overflow*Interrupt
#pragma intSRC_=DMA3A,15,DMA3*Abort*Interrupt
#pragma intSRC_=DMA4SCNT,16,DMA4*Source*Count*Interrupt
#pragma intSRC_=DMA4DCNT,17,DMA4*Destination*Count*Interrupt
#pragma intSRC_=DMA4OR,18,DMA4*Overflow*Interrupt
#pragma intSRC_=DMA4A,19,DMA4*Abort*Interrupt
#pragma intSRC_=NVM,20,NVM*Interrupt
#pragma intSRC_=CRC,21,CRC*Interrupt
#pragma intSRC_=SCAN,22,Scanner*Interrupt
#pragma intSRC_=ACT,23,Active*Clock*Tuning*Interrupt
#pragma intSRC_=CSW,24,Clock*Switch*Interrupt
#pragma intSRC_=OSF,25,Oscillator*Failure*Interrupt
#pragma intSRC_=VDDIO2,26,VDDIO2*Interrupt
#pragma intSRC_=VDDIO3,27,VDDIO3*Interrupt
#pragma intSRC_=IOC,28,Interrupt*on*Change
#pragma intSRC_=TMR0,29,Timer0*Interrupt
#pragma intSRC_=TMR1,30,Timer1*Interrupt
#pragma intSRC_=TMR1G,31,Timer1*Gate*Interrupt
#pragma intSRC_=TMR2,32,Timer2*Interrupt
#pragma intSRC_=TMR4,33,Timer4*Interrupt
#pragma intSRC_=TU16A,34,16-Bit*Universal*Timer*A*Interrupt
#pragma intSRC_=TU16B,35,16-Bit*Universal*Timer*B*Interrupt
#pragma intSRC_=CCP1,36,CCP1*Interrupt
#pragma intSRC_=CCP2,37,CCP2*Interrupt
#pragma intSRC_=PWM1P,38,PWM1*Period*Interrupt
#pragma intSRC_=PWM1,39,PWM1*Interrupt
#pragma intSRC_=PWM2P,40,PWM2*Period*Interrupt
#pragma intSRC_=PWM2,41,PWM2*Interrupt
#pragma intSRC_=CWG1,42,CWG1*Interrupt
#pragma intSRC_=CLC1,43,CLC1*Interrupt
#pragma intSRC_=CLC2,44,CLC2*Interrupt
#pragma intSRC_=CLC3,45,CLC3*Interrupt
#pragma intSRC_=CLC4,46,CLC4*Interrupt
#pragma intSRC_=IOCSR,47,Signal*Routing*Port*Interrupt*on*Change
#pragma intSRC_=U1RX,48,UART1*Receive*Interrupt
#pragma intSRC_=U1TX,49,UART1*Transmit*Interrupt
#pragma intSRC_=U1,50,UART1*Interrupt
#pragma intSRC_=U1E,51,UART1*Error*Interrupt
#pragma intSRC_=U2RX,52,UART2*Receive*Interrupt
#pragma intSRC_=U2TX,53,UART2*Transmit*Interrupt
#pragma intSRC_=U2,54,UART2*Interrupt
#pragma intSRC_=U2E,55,UART2*Error*Interrupt
#pragma intSRC_=SPI1RX,56,SPI1*Receive*Interrupt
#pragma intSRC_=SPI1TX,57,SPI1*Transmit*Interrupt
#pragma intSRC_=SPI1,58,SPI1*Interrupt
#pragma intSRC_=I2C1RX,59,I2C1*Receive*Interrupt
#pragma intSRC_=I2C1TX,60,I2C1*Transmit*Interrupt
#pragma intSRC_=I2C1,61,I2C1*Interrupt
#pragma intSRC_=I2C1E,62,I2C1*Error*Interrupt
#pragma intSRC_=I3C1RX,64,I3C1*Receive*Interrupt
#pragma intSRC_=I3C1TX,65,I3C1*Transmit*Interrupt
#pragma intSRC_=I3C1,66,I3C1*General*Interrupt
#pragma intSRC_=I3C1E,67,I3C1*Error*Interrupt
#pragma intSRC_=I3C1R,68,I3C1*Reset*Interrupt
#pragma intSRC_=I3C2RX,72,I3C2*Receive*Interrupt
#pragma intSRC_=I3C2TX,73,I3C2*Transmit*Interrupt
#pragma intSRC_=I3C2,74,I3C2*General*Interrupt
#pragma intSRC_=I3C2E,75,I3C2*Error*Interrupt
#pragma intSRC_=I3C2R,76,I3C2*Reset*Interrupt
#pragma intSRC_=HLVD,77,HLVD*Interrupt
#pragma intSRC_=AD,78,ADC*Interrupt
#pragma intSRC_=ADT,79,ADC*Threshold*Interrupt
#endif


#if __CC8E__ >= 1500
#pragma config /0 0xF8 FEXTOSC = HS_8MHZ // HS (crystal oscillator) up to 8 MHz
#pragma config /0 0xF9 FEXTOSC = HS_16MHZ // HS (crystal oscillator) up to 16 MHz
#pragma config /0 0xFA FEXTOSC = HS_24MHZ // HS (crystal oscillator) up to 24 MHz
#pragma config /0 0xFB FEXTOSC = HS_32MHZ // HS (crystal oscillator) up to 32 MHz
#pragma config /0 0xFC FEXTOSC = OFF // Oscillator not enabled
#pragma config /0 0xFD FEXTOSC = ECL // EC (external clock) below 500 kHz
#pragma config /0 0xFE FEXTOSC = ECM // EC (external clock) for 500 kHz to 8 MHz
#pragma config /0 0xFF FEXTOSC = ECH // EC (external clock) above 8 MHz
#pragma config /0 0x8F RSTOSC = HFINTOSC_64MHZ // HFINTOSC with HFFRQ = 64 MHz and CDIV = 1:1
#pragma config /0 0xAF RSTOSC = EXTOSC_4PLL // EXTOSC with 4x PLL, with EXTOSC operating per FEXTOSC bits
#pragma config /0 0xCF RSTOSC = SOSC // Secondary Oscillator
#pragma config /0 0xDF RSTOSC = LFINTOSC // Low-Frequency Oscillator
#pragma config /0 0xEF RSTOSC = HFINTOSC_1MHZ // HFINTOSC with HFFRQ = 4 MHz and CDIV = 4:1
#pragma config /0 0xFF RSTOSC = EXTOSC // EXTOSC operating per FEXTOSC bits (device manufacturing default)
#pragma config /1 0xFF CLKOUTEN = OFF // CLKOUT function is disabled
#pragma config /1 0xFE CLKOUTEN = ON // CLKOUT function is enabled
#pragma config /1 0xFF PR1WAY = ON // PRLOCKED bit can be cleared and set only once
#pragma config /1 0xFD PR1WAY = OFF // PRLOCKED bit can be set and cleared repeatedly
#pragma config /1 0xFF BBEN = OFF // User PFM code protection disabled
#pragma config /1 0xFB BBEN = ON // User PFM code protection enabled
#pragma config /1 0xF7 CSWEN = OFF // The NOSC and NDIV bits cannot be changed by user software
#pragma config /1 0xFF CSWEN = ON // Writing to NOSC and NDIV is allowed
#pragma config /1 0xDF FCMEN = OFF // Fail-Safe Clock Monitor disabled
#pragma config /1 0xFF FCMEN = ON // Fail-Safe Clock Monitor enabled
#pragma config /1 0xBF FCMENP = OFF // Fail-Safe Clock Monitor disabled
#pragma config /1 0xFF FCMENP = ON // Fail-Safe Clock Monitor enabled; timer will flag FSCMP bit and OSFIF interrupt on EXTOSC failure.
#pragma config /1 0x7F FCMENS = OFF // Fail-Safe Clock Monitor Disabled
#pragma config /1 0xFF FCMENS = ON // Fail-Safe Clock Monitor enabled; timer will flag FSCMS bit and OSFIF interrupt on SOSC failure.
#pragma config /2 0xFF MCLRE = EXTMCLR // If LVP = 0, MCLR pin is MCLR; If LVP = 1, RE3 pin function is MCLR
#pragma config /2 0xFE MCLRE = INTMCLR // If LVP = 0, MCLR pin function is port defined function; If LVP =1, RE3 pin fuction is MCLR
#pragma config /2 0xFF PWRTS = PWRT_OFF // PWRT is disabled
#pragma config /2 0xFD PWRTS = PWRT_64 // PWRT set at 64ms
#pragma config /2 0xFB PWRTS = PWRT_16 // PWRT set at 16ms
#pragma config /2 0xF9 PWRTS = PWRT_1 // PWRT set at 1ms
#pragma config /2 0xFF MVECEN = ON // Multi-vector enabled, Vector table used for interrupts
#pragma config /2 0xF7 MVECEN = OFF // Interrupt contoller does not use vector table to prioritze interrupts
#pragma config /2 0xFF IVT1WAY = ON // IVTLOCKED bit can be cleared and set only once
#pragma config /2 0xEF IVT1WAY = OFF // IVTLOCKED bit can be cleared and set repeatedly
#pragma config /2 0xFF LPBOREN = OFF // Low-Power BOR disabled
#pragma config /2 0xDF LPBOREN = ON // Low-Power BOR enabled
#pragma config /2 0xFF BOREN = ON // Brown-out Reset enabled , SBOREN bit is ignored
#pragma config /2 0xBF BOREN = NOSLEEP // Brown-out Reset enabled while running, disabled in Sleep; SBOREN is ignored
#pragma config /2 0x7F BOREN = SBOREN // Brown-out Reset enabled according to SBOREN
#pragma config /2 0x3F BOREN = OFF // Brown-out Reset disabled
#pragma config /3 0xFF BORV = VBOR_1P9 // Brown-out Reset Voltage (VBOR) set to 1.9V
#pragma config /3 0xFE BORV = VBOR_2P45 // Brown-out Reset Voltage (VBOR) set to 2.45V
#pragma config /3 0xFD BORV = VBOR_2P7 // Brown-out Reset Voltage (VBOR) set to 2.7V
#pragma config /3 0xFC BORV = VBOR_2P85 // Brown-out Reset Voltage (VBOR) set to 2.8V
#pragma config /3 0xFF PPS1WAY = ON // PPSLOCKED bit can be cleared and set only once; PPS registers remain locked after one clear/set cycle
#pragma config /3 0xF7 PPS1WAY = OFF // PPSLOCKED bit can be set and cleared repeatedly (subject to the unlock sequence)
#pragma config /3 0xFF STVREN = ON // Stack full/underflow will cause Reset
#pragma config /3 0xEF STVREN = OFF // Stack full/underflow will not cause Reset
#pragma config /3 0xFF LVP = ON // Low voltage programming enabled. MCLR/VPP pin function is MCLR. MCLRE configuration bit is ignored
#pragma config /3 0xDF LVP = OFF // HV on MCLR/VPP must be used for programming
#pragma config /3 0xFF DEBUG = OFF // Backround debugger disabled
#pragma config /3 0xBF DEBUG = ON // Background debugger enabled
#pragma config /3 0xFF XINST = OFF // Extended Instruction Set and Indexed Addressing Mode disabled
#pragma config /3 0x7F XINST = ON // Extended Instruction Set and Indexed Addressing Mode enabled
#pragma config /4 0xE0 WDTCPS = WDTCPS_0 // Divider ratio 1:32
#pragma config /4 0xE1 WDTCPS = WDTCPS_1 // Divider ratio 1:64
#pragma config /4 0xE2 WDTCPS = WDTCPS_2 // Divider ratio 1:128
#pragma config /4 0xE3 WDTCPS = WDTCPS_3 // Divider ratio 1:256
#pragma config /4 0xE4 WDTCPS = WDTCPS_4 // Divider ratio 1:512
#pragma config /4 0xE5 WDTCPS = WDTCPS_5 // Divider ratio 1:1024
#pragma config /4 0xE6 WDTCPS = WDTCPS_6 // Divider ratio 1:2048
#pragma config /4 0xE7 WDTCPS = WDTCPS_7 // Divider ratio 1:4096
#pragma config /4 0xE8 WDTCPS = WDTCPS_8 // Divider ratio 1:8192
#pragma config /4 0xE9 WDTCPS = WDTCPS_9 // Divider ratio 1:16384
#pragma config /4 0xEA WDTCPS = WDTCPS_10 // Divider ratio 1:32768
#pragma config /4 0xEB WDTCPS = WDTCPS_11 // Divider ratio 1:65536
#pragma config /4 0xEC WDTCPS = WDTCPS_12 // Divider ratio 1:131072
#pragma config /4 0xED WDTCPS = WDTCPS_13 // Divider ratio 1:262144
#pragma config /4 0xEE WDTCPS = WDTCPS_14 // Divider ratio 1:524299
#pragma config /4 0xEF WDTCPS = WDTCPS_15 // Divider ratio 1:1048576
#pragma config /4 0xF0 WDTCPS = WDTCPS_16 // Divider ratio 1:2097152
#pragma config /4 0xF1 WDTCPS = WDTCPS_17 // Divider ratio 1:4194304
#pragma config /4 0xF2 WDTCPS = WDTCPS_18 // Divider ratio 1:8388608
#pragma config /4 0xF3 WDTCPS = WDTCPS_19 // Divider ratio 1:32
#pragma config /4 0xF4 WDTCPS = WDTCPS_20 // Divider ratio 1:32
#pragma config /4 0xF5 WDTCPS = WDTCPS_21 // Divider ratio 1:32
#pragma config /4 0xF6 WDTCPS = WDTCPS_22 // Divider ratio 1:32
#pragma config /4 0xF7 WDTCPS = WDTCPS_23 // Divider ratio 1:32
#pragma config /4 0xF8 WDTCPS = WDTCPS_24 // Divider ratio 1:32
#pragma config /4 0xF9 WDTCPS = WDTCPS_25 // Divider ratio 1:32
#pragma config /4 0xFA WDTCPS = WDTCPS_26 // Divider ratio 1:32
#pragma config /4 0xFB WDTCPS = WDTCPS_27 // Divider ratio 1:32
#pragma config /4 0xFC WDTCPS = WDTCPS_28 // Divider ratio 1:32
#pragma config /4 0xFD WDTCPS = WDTCPS_29 // Divider ratio 1:32
#pragma config /4 0xFE WDTCPS = WDTCPS_30 // Divider ratio 1:32
#pragma config /4 0xFF WDTCPS = WDTCPS_31 // Divider ratio 1:65536; software control of WDTPS
#pragma config /4 0x9F WDTE = OFF // WDT Disabled; SEN is ignored
#pragma config /4 0xBF WDTE = SEN // WDT enabled/disabled by SEN bit
#pragma config /4 0xDF WDTE = NSLEEP // WDT enabled while sleep=0, suspended when sleep=1; SEN ignored
#pragma config /4 0xFF WDTE = ON // WDT enabled regardless of sleep; SEN is ignored
#pragma config /5 0xF8 WDTCWS = WDTCWS_0 // window delay = 87.5; no software control; keyed access required
#pragma config /5 0xF9 WDTCWS = WDTCWS_1 // window delay = 75 percent of time; no software control; keyed access required
#pragma config /5 0xFA WDTCWS = WDTCWS_2 // window delay = 62.5 percent of time; no software control; keyed access required
#pragma config /5 0xFB WDTCWS = WDTCWS_3 // window delay = 50 percent of time; no software control; keyed access required
#pragma config /5 0xFC WDTCWS = WDTCWS_4 // window delay = 37.5 percent of time; no software control; keyed access required
#pragma config /5 0xFD WDTCWS = WDTCWS_5 // window delay = 25 percent of time; no software control; keyed access required
#pragma config /5 0xFE WDTCWS = WDTCWS_6 // window always open (100%); no software control; keyed access required
#pragma config /5 0xFF WDTCWS = WDTCWS_7 // window always open (100%); software control; keyed access not required
#pragma config /5 0xC7 WDTCCS = LFINTOSC // WDT reference clock is the 31.0 kHz LFINTOSC (when WDTE != 0b00)
#pragma config /5 0xCF WDTCCS = MFINTOSC // WDT reference clock is the 31.25kHz MFINTOSC output (when WDTE != 0b00)
#pragma config /5 0xD7 WDTCCS = SOSC // WDT reference clock is SOSC (when WDTE != 0b00)
#pragma config /5 0xFF WDTCCS = SC // Software Control (when WDTE != 0b00)
#pragma config /6 0xFF VDDIO2MD = STANDARD_RANGE // Standard Operating Range (VDDIO2 >= 1.62V)
#pragma config /6 0xFE VDDIO2MD = LOW_VOLTAGE_RANGE // Low-voltage Operating Range (VDDIO2 < 1.62V)
#pragma config /6 0xFF VDDIO3MD = STANDARD_RANGE // Standard Operating Range (VDDIO3 >= 1.62V)
#pragma config /6 0xFD VDDIO3MD = LOW_VOLTAGE_RANGE // Low-voltage Operating Range (VDDIO3 < 1.62V)
#pragma config /7 0x7F BBSIZE = BBSIZE_16384 // Boot Block size is 16384 words
#pragma config /7 0x7E BBSIZE = BBSIZE_16256 // Boot Block size is 16256 words
#pragma config /7 0x7D BBSIZE = BBSIZE_16128 // Boot Block size is 16128 words
#pragma config /7 0x7C BBSIZE = BBSIZE_16000 // Boot Block size is 16000 words
#pragma config /7 0x7B BBSIZE = BBSIZE_15872 // Boot Block size is 15872 words
#pragma config /7 0x7A BBSIZE = BBSIZE_15744 // Boot Block size is 15744 words
#pragma config /7 0x79 BBSIZE = BBSIZE_15616 // Boot Block size is 15616 words
#pragma config /7 0x78 BBSIZE = BBSIZE_15488 // Boot Block size is 15488 words
#pragma config /7 0x77 BBSIZE = BBSIZE_15360 // Boot Block size is 15360 words
#pragma config /7 0x76 BBSIZE = BBSIZE_15232 // Boot Block size is 15232 words
#pragma config /7 0x75 BBSIZE = BBSIZE_15104 // Boot Block size is 15104 words
#pragma config /7 0x74 BBSIZE = BBSIZE_14976 // Boot Block size is 14976 words
#pragma config /7 0x73 BBSIZE = BBSIZE_14848 // Boot Block size is 14848 words
#pragma config /7 0x72 BBSIZE = BBSIZE_14720 // Boot Block size is 14720 words
#pragma config /7 0x71 BBSIZE = BBSIZE_14592 // Boot Block size is 14592 words
#pragma config /7 0x70 BBSIZE = BBSIZE_14464 // Boot Block size is 14464 words
#pragma config /7 0x6F BBSIZE = BBSIZE_14336 // Boot Block size is 14336 words
#pragma config /7 0x6E BBSIZE = BBSIZE_14208 // Boot Block size is 14208 words
#pragma config /7 0x6D BBSIZE = BBSIZE_14080 // Boot Block size is 14080 words
#pragma config /7 0x6C BBSIZE = BBSIZE_13952 // Boot Block size is 13952 words
#pragma config /7 0x6B BBSIZE = BBSIZE_13824 // Boot Block size is 13824 words
#pragma config /7 0x6A BBSIZE = BBSIZE_13696 // Boot Block size is 13696 words
#pragma config /7 0x69 BBSIZE = BBSIZE_13568 // Boot Block size is 13568 words
#pragma config /7 0x68 BBSIZE = BBSIZE_13440 // Boot Block size is 13440 words
#pragma config /7 0x67 BBSIZE = BBSIZE_13312 // Boot Block size is 13312 words
#pragma config /7 0x66 BBSIZE = BBSIZE_13184 // Boot Block size is 13184 words
#pragma config /7 0x65 BBSIZE = BBSIZE_13056 // Boot Block size is 13056 words
#pragma config /7 0x64 BBSIZE = BBSIZE_12928 // Boot Block size is 12928 words
#pragma config /7 0x63 BBSIZE = BBSIZE_12800 // Boot Block size is 12800 words
#pragma config /7 0x62 BBSIZE = BBSIZE_12672 // Boot Block size is 12672 words
#pragma config /7 0x61 BBSIZE = BBSIZE_12544 // Boot Block size is 12544 words
#pragma config /7 0x60 BBSIZE = BBSIZE_12416 // Boot Block size is 12416 words
#pragma config /7 0x5F BBSIZE = BBSIZE_12288 // Boot Block size is 12288 words
#pragma config /7 0x5E BBSIZE = BBSIZE_12160 // Boot Block size is 12160 words
#pragma config /7 0x5D BBSIZE = BBSIZE_12032 // Boot Block size is 12032 words
#pragma config /7 0x5C BBSIZE = BBSIZE_11904 // Boot Block size is 11904 words
#pragma config /7 0x5B BBSIZE = BBSIZE_11776 // Boot Block size is 11776 words
#pragma config /7 0x5A BBSIZE = BBSIZE_11648 // Boot Block size is 11648 words
#pragma config /7 0x59 BBSIZE = BBSIZE_11520 // Boot Block size is 11520 words
#pragma config /7 0x58 BBSIZE = BBSIZE_11392 // Boot Block size is 11392 words
#pragma config /7 0x57 BBSIZE = BBSIZE_11264 // Boot Block size is 11264 words
#pragma config /7 0x56 BBSIZE = BBSIZE_11136 // Boot Block size is 11136 words
#pragma config /7 0x55 BBSIZE = BBSIZE_11008 // Boot Block size is 11008 words
#pragma config /7 0x54 BBSIZE = BBSIZE_10880 // Boot Block size is 10880 words
#pragma config /7 0x53 BBSIZE = BBSIZE_10752 // Boot Block size is 10752 words
#pragma config /7 0x52 BBSIZE = BBSIZE_10624 // Boot Block size is 10624 words
#pragma config /7 0x51 BBSIZE = BBSIZE_10496 // Boot Block size is 10496 words
#pragma config /7 0x50 BBSIZE = BBSIZE_10368 // Boot Block size is 10368 words
#pragma config /7 0x4F BBSIZE = BBSIZE_10240 // Boot Block size is 10240 words
#pragma config /7 0x4E BBSIZE = BBSIZE_10112 // Boot Block size is 10112 words
#pragma config /7 0x4D BBSIZE = BBSIZE_9984 // Boot Block size is 9984 words
#pragma config /7 0x4C BBSIZE = BBSIZE_9856 // Boot Block size is 9856 words
#pragma config /7 0x4B BBSIZE = BBSIZE_9728 // Boot Block size is 9728 words
#pragma config /7 0x4A BBSIZE = BBSIZE_9600 // Boot Block size is 9600 words
#pragma config /7 0x49 BBSIZE = BBSIZE_9472 // Boot Block size is 9472 words
#pragma config /7 0x48 BBSIZE = BBSIZE_9344 // Boot Block size is 9344 words
#pragma config /7 0x47 BBSIZE = BBSIZE_9216 // Boot Block size is 9216 words
#pragma config /7 0x46 BBSIZE = BBSIZE_9088 // Boot Block size is 9088 words
#pragma config /7 0x45 BBSIZE = BBSIZE_8960 // Boot Block size is 8960 words
#pragma config /7 0x44 BBSIZE = BBSIZE_8832 // Boot Block size is 8832 words
#pragma config /7 0x43 BBSIZE = BBSIZE_8704 // Boot Block size is 8704 words
#pragma config /7 0x42 BBSIZE = BBSIZE_8576 // Boot Block size is 8576 words
#pragma config /7 0x41 BBSIZE = BBSIZE_8448 // Boot Block size is 8448 words
#pragma config /7 0x40 BBSIZE = BBSIZE_8320 // Boot Block size is 8320 words
#pragma config /7 0x3F BBSIZE = BBSIZE_8192 // Boot Block size is 8192 words
#pragma config /7 0x3E BBSIZE = BBSIZE_8064 // Boot Block size is 8064 words
#pragma config /7 0x3D BBSIZE = BBSIZE_7936 // Boot Block size is 7936 words
#pragma config /7 0x3C BBSIZE = BBSIZE_7808 // Boot Block size is 7808 words
#pragma config /7 0x3B BBSIZE = BBSIZE_7680 // Boot Block size is 7680 words
#pragma config /7 0x3A BBSIZE = BBSIZE_7552 // Boot Block size is 7552 words
#pragma config /7 0x39 BBSIZE = BBSIZE_7424 // Boot Block size is 7424 words
#pragma config /7 0x38 BBSIZE = BBSIZE_7296 // Boot Block size is 7296 words
#pragma config /7 0x37 BBSIZE = BBSIZE_7168 // Boot Block size is 7168 words
#pragma config /7 0x36 BBSIZE = BBSIZE_7040 // Boot Block size is 7040 words
#pragma config /7 0x35 BBSIZE = BBSIZE_6912 // Boot Block size is 6912 words
#pragma config /7 0x34 BBSIZE = BBSIZE_6784 // Boot Block size is 6784 words
#pragma config /7 0x33 BBSIZE = BBSIZE_6656 // Boot Block size is 6656 words
#pragma config /7 0x32 BBSIZE = BBSIZE_6528 // Boot Block size is 6528 words
#pragma config /7 0x31 BBSIZE = BBSIZE_6400 // Boot Block size is 6400 words
#pragma config /7 0x30 BBSIZE = BBSIZE_6272 // Boot Block size is 6272 words
#pragma config /7 0x2F BBSIZE = BBSIZE_6144 // Boot Block size is 6144 words
#pragma config /7 0x2E BBSIZE = BBSIZE_6016 // Boot Block size is 6016 words
#pragma config /7 0x2D BBSIZE = BBSIZE_5888 // Boot Block size is 5888 words
#pragma config /7 0x2C BBSIZE = BBSIZE_5760 // Boot Block size is 5760 words
#pragma config /7 0x2B BBSIZE = BBSIZE_5632 // Boot Block size is 5632 words
#pragma config /7 0x2A BBSIZE = BBSIZE_5504 // Boot Block size is 5504 words
#pragma config /7 0x29 BBSIZE = BBSIZE_5376 // Boot Block size is 5376 words
#pragma config /7 0x28 BBSIZE = BBSIZE_5248 // Boot Block size is 5248 words
#pragma config /7 0x27 BBSIZE = BBSIZE_5120 // Boot Block size is 5120 words
#pragma config /7 0x26 BBSIZE = BBSIZE_4992 // Boot Block size is 4992 words
#pragma config /7 0x25 BBSIZE = BBSIZE_4864 // Boot Block size is 4864 words
#pragma config /7 0x24 BBSIZE = BBSIZE_4736 // Boot Block size is 4736 words
#pragma config /7 0x23 BBSIZE = BBSIZE_4608 // Boot Block size is 4608 words
#pragma config /7 0x22 BBSIZE = BBSIZE_4480 // Boot Block size is 4480 words
#pragma config /7 0x21 BBSIZE = BBSIZE_4352 // Boot Block size is 4352 words
#pragma config /7 0x20 BBSIZE = BBSIZE_4224 // Boot Block size is 4224 words
#pragma config /7 0x1F BBSIZE = BBSIZE_4096 // Boot Block size is 4096 words
#pragma config /7 0x1E BBSIZE = BBSIZE_3968 // Boot Block size is 3968 words
#pragma config /7 0x1D BBSIZE = BBSIZE_3840 // Boot Block size is 3840 words
#pragma config /7 0x1C BBSIZE = BBSIZE_3712 // Boot Block size is 3712 words
#pragma config /7 0x1B BBSIZE = BBSIZE_3584 // Boot Block size is 3584 words
#pragma config /7 0x1A BBSIZE = BBSIZE_3456 // Boot Block size is 3456 words
#pragma config /7 0x19 BBSIZE = BBSIZE_3328 // Boot Block size is 3328 words
#pragma config /7 0x18 BBSIZE = BBSIZE_3200 // Boot Block size is 3200 words
#pragma config /7 0x17 BBSIZE = BBSIZE_3072 // Boot Block size is 3072 words
#pragma config /7 0x16 BBSIZE = BBSIZE_2944 // Boot Block size is 2944 words
#pragma config /7 0x15 BBSIZE = BBSIZE_2816 // Boot Block size is 2816 words
#pragma config /7 0x14 BBSIZE = BBSIZE_2688 // Boot Block size is 2688 words
#pragma config /7 0x13 BBSIZE = BBSIZE_2560 // Boot Block size is 2560 words
#pragma config /7 0x12 BBSIZE = BBSIZE_2432 // Boot Block size is 2432 words
#pragma config /7 0x11 BBSIZE = BBSIZE_2304 // Boot Block size is 2304 words
#pragma config /7 0x10 BBSIZE = BBSIZE_2176 // Boot Block size is 2176 words
#pragma config /7 0x0F BBSIZE = BBSIZE_2048 // Boot Block size is 2048 words
#pragma config /7 0x0E BBSIZE = BBSIZE_1920 // Boot Block size is 1920 words
#pragma config /7 0x0D BBSIZE = BBSIZE_1792 // Boot Block size is 1792 words
#pragma config /7 0x0C BBSIZE = BBSIZE_1664 // Boot Block size is 1664 words
#pragma config /7 0x0B BBSIZE = BBSIZE_1536 // Boot Block size is 1536 words
#pragma config /7 0x0A BBSIZE = BBSIZE_1408 // Boot Block size is 1408 words
#pragma config /7 0x09 BBSIZE = BBSIZE_1280 // Boot Block size is 1280 words
#pragma config /7 0x08 BBSIZE = BBSIZE_1152 // Boot Block size is 1152 words
#pragma config /7 0x07 BBSIZE = BBSIZE_1024 // Boot Block size is 1024 words
#pragma config /7 0x06 BBSIZE = BBSIZE_896 // Boot Block size is 896 words
#pragma config /7 0x05 BBSIZE = BBSIZE_768 // Boot Block size is 768 words
#pragma config /7 0x04 BBSIZE = BBSIZE_640 // Boot Block size is 640 words
#pragma config /7 0x03 BBSIZE = BBSIZE_512 // Boot Block size is 512 words
#pragma config /7 0x02 BBSIZE = BBSIZE_384 // Boot Block size is 384 words
#pragma config /7 0x01 BBSIZE = BBSIZE_256 // Boot Block size is 256 words
#pragma config /7 0x00 BBSIZE = BBSIZE_128 // Boot Block size is 128 words
#pragma config /9 0xFF WRTB = OFF // Boot Block is not write-protected
#pragma config /9 0xFE WRTB = ON // Boot Block is write-protected
#pragma config /9 0xFF WRTC = OFF // Configuration registers are not write-protected
#pragma config /9 0xFD WRTC = ON // Configuration registers are write-protected
#pragma config /9 0xFF WRTD = OFF // Data EEPROM is not write-protected
#pragma config /9 0xFB WRTD = ON // Data EEPROM is write-protected
#pragma config /9 0xFF WRTSAF = OFF // SAF is not write-protected
#pragma config /9 0xF7 WRTSAF = ON // SAF is write-protected
#pragma config /9 0xFF WRTAPP = OFF // Application Block is not write-protected
#pragma config /9 0x7F WRTAPP = ON // Application Block is write-protected
#pragma config /10 0xFF CP = OFF // User PFM code protection is disabled
#pragma config /10 0xFE CP = ON // User PFM code protection is enabled
#pragma config /11 0xFF CPD = OFF // Data EEPROM code protection is disabled
#pragma config /11 0xFE CPD = ON // Data EEPROM code protection is enabled
#pragma config /13 0xFF SAFLOCK = OFF // SAF Lock disabled
#pragma config /13 0xFE SAFLOCK = ON // SAF Lock enabled, SAF areas are locked and SAFSZ bits cannot be erased
#pragma config /8 0xFF SAFSZ = SAFSZ_NONE // NONE
#pragma config /8 0xFE SAFSZ = SAFSZ_128 // Last 128 words of PFM; self write operation depends on WRTSAF and SAFLOCK bits
#pragma config /8 0xFC SAFSZ = SAFSZ_256 // Last 256 words of PFM; self write operation depends on WRTSAF and SAFLOCK bits
#pragma config /8 0xF8 SAFSZ = SAFSZ_384 // Last 384 words of PFM; self write operation depends on WRTSAF and SAFLOCK bits
#pragma config /8 0xF0 SAFSZ = SAFSZ_512 // Last 512 words of PFM; self write operation depends on WRTSAF and SAFLOCK bits
#pragma config /8 0xE0 SAFSZ = SAFSZ_640 // Last 640 words of PFM; self write operation depends on WRTSAF and SAFLOCK bits
#pragma config /8 0xC0 SAFSZ = SAFSZ_768 // Last 768 words of PFM; self write operation depends on WRTSAF and SAFLOCK bits
#pragma config /8 0x80 SAFSZ = SAFSZ_896 // Last 896 words of PFM; self write operation depends on WRTSAF and SAFLOCK bits
#pragma config /8 0x00 SAFSZ = SAFSZ_1024 // Last 1024 words of PFM; self write operation depends on WRTSAF and SAFLOCK bits
#endif
