// Header file
#pragma chip PIC18F46Q83, core 16 enh, code 32768, ram 0x500 : 0x24FF

// Extended Instruction Set

#pragma accessGPR 0x60

#pragma stackLevels 127


/* Predefined:
TOSU,TOSH,TOSL,
STKPTR,
PCLATU,PCLATH,PCL,
TBLPTRU,TBLPTRH,TBLPTRL,TBLPTR,TABLAT,
PRODH,PRODL,
INDF0,POSTINC0,POSTDEC0,PREINC0,PLUSW0,FSR0H,FSR0L,FSR0,
WREG,
INDF1,POSTINC1,POSTDEC1,PREINC1,PLUSW1,FSR1H,FSR1L,FSR1,
BSR,BSRL,
INDF2,POSTINC2,POSTDEC2,PREINC2,PLUSW2,FSR2H,FSR2L,FSR2,
STATUS,
Carry,DC,Zero_,Overflow,Negative,
*/

uns24 IVTBASE24 @ 0x45D;


/*
* The following REGISTER and CONFIG definitions are generated automatically
* from INI and CFGDATA files for the specific device. Note that some bit names
* are modified compared to the names found in the INI file.
*
* The INI and CFGDATA files contains a copyright and disclaimer notice from Microchip.
* The following text is copied from the INI file and should contain the notice:

# Generated 18/07/2023 GMT

# Copyright © 2023, Microchip Technology Inc. and its subsidiaries ("Microchip")
# All rights reserved.
# 
# This software is developed by Microchip Technology Inc. and its subsidiaries ("Microchip").
# 
# Redistribution and use in source and binary forms, with or without modification, are
# permitted provided that the following conditions are met:
# 
#     1. Redistributions of source code must retain the above copyright notice, this list of
#        conditions and the following disclaimer.
# 
#     2. Redistributions in binary form must reproduce the above copyright notice, this list
#        of conditions and the following disclaimer in the documentation and/or other
#        materials provided with the distribution. Publication is not required when
#        this file is used in an embedded application.
# 
#     3. Microchip's name may not be used to endorse or promote products derived from this
#        software without specific prior written permission.
# 
# THIS SOFTWARE IS PROVIDED BY MICROCHIP "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL MICROCHIP BE LIABLE FOR ANY DIRECT, INDIRECT,
# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING BUT NOT LIMITED TO
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWSOEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

*/


char CPUDOZE  @ 0x4F2;
char PCON1    @ 0x4F1;
char PCON0    @ 0x4F0;

char INTCON1  @ 0x4D7;
char INTCON0  @ 0x4D6;

char PORTE    @ 0x4D2;
char PORTD    @ 0x4D1;
char PORTC    @ 0x4D0;
char PORTB    @ 0x4CF;
char PORTA    @ 0x4CE;

char TRISE    @ 0x4CA;
char TRISD    @ 0x4C9;
char TRISC    @ 0x4C8;
char TRISB    @ 0x4C7;
char TRISA    @ 0x4C6;

char LATE     @ 0x4C2;
char LATD     @ 0x4C1;
char LATC     @ 0x4C0;
char LATB     @ 0x4BF;
char LATA     @ 0x4BE;
char PIR15    @ 0x4BD;
char PIR14    @ 0x4BC;
char PIR13    @ 0x4BB;
char PIR12    @ 0x4BA;
char PIR11    @ 0x4B9;
char PIR10    @ 0x4B8;
char PIR9     @ 0x4B7;
char PIR8     @ 0x4B6;
char PIR7     @ 0x4B5;
char PIR6     @ 0x4B4;
char PIR5     @ 0x4B3;
char PIR4     @ 0x4B2;
char PIR3     @ 0x4B1;
char PIR2     @ 0x4B0;
char PIR1     @ 0x4AF;
char PIR0     @ 0x4AE;
char PIE15    @ 0x4AD;
char PIE14    @ 0x4AC;
char PIE13    @ 0x4AB;
char PIE12    @ 0x4AA;
char PIE11    @ 0x4A9;
char PIE10    @ 0x4A8;
char PIE9     @ 0x4A7;
char PIE8     @ 0x4A6;
char PIE7     @ 0x4A5;
char PIE6     @ 0x4A4;
char PIE5     @ 0x4A3;
char PIE4     @ 0x4A2;
char PIE3     @ 0x4A1;
char PIE2     @ 0x4A0;
char PIE1     @ 0x49F;
char PIE0     @ 0x49E;
char PWMEN    @ 0x49D;
char PWMLOAD  @ 0x49C;
char PWM4S1P2H @ 0x49B;
char PWM4S1P2L @ 0x49A;
char PWM4S1P1H @ 0x499;
char PWM4S1P1L @ 0x498;
char PWM4S1CFG @ 0x497;
char PWM4CON  @ 0x496;
char PWM4GIE  @ 0x495;
char PWM4GIR  @ 0x494;
char PWM4PIPOS @ 0x493;
char PWM4CPRE @ 0x492;
char PWM4PRH  @ 0x491;
char PWM4PRL  @ 0x490;
char PWM4LDS  @ 0x48F;
char PWM4CLK  @ 0x48E;
char PWM4ERS  @ 0x48D;
char PWM3S1P2H @ 0x48C;
char PWM3S1P2L @ 0x48B;
char PWM3S1P1H @ 0x48A;
char PWM3S1P1L @ 0x489;
char PWM3S1CFG @ 0x488;
char PWM3CON  @ 0x487;
char PWM3GIE  @ 0x486;
char PWM3GIR  @ 0x485;
char PWM3PIPOS @ 0x484;
char PWM3CPRE @ 0x483;
char PWM3PRH  @ 0x482;
char PWM3PRL  @ 0x481;
char PWM3LDS  @ 0x480;
char PWM3CLK  @ 0x47F;
char PWM3ERS  @ 0x47E;
char PWM2S1P2H @ 0x47D;
char PWM2S1P2L @ 0x47C;
char PWM2S1P1H @ 0x47B;
char PWM2S1P1L @ 0x47A;
char PWM2S1CFG @ 0x479;
char PWM2CON  @ 0x478;
char PWM2GIE  @ 0x477;
char PWM2GIR  @ 0x476;
char PWM2PIPOS @ 0x475;
char PWM2CPRE @ 0x474;
char PWM2PRH  @ 0x473;
char PWM2PRL  @ 0x472;
char PWM2LDS  @ 0x471;
char PWM2CLK  @ 0x470;
char PWM2ERS  @ 0x46F;
char PWM1S1P2H @ 0x46E;
char PWM1S1P2L @ 0x46D;
char PWM1S1P1H @ 0x46C;
char PWM1S1P1L @ 0x46B;
char PWM1S1CFG @ 0x46A;
char PWM1CON  @ 0x469;
char PWM1GIE  @ 0x468;
char PWM1GIR  @ 0x467;
char PWM1PIPOS @ 0x466;
char PWM1CPRE @ 0x465;
char PWM1PRH  @ 0x464;
char PWM1PRL  @ 0x463;
char PWM1LDS  @ 0x462;
char PWM1CLK  @ 0x461;
char PWM1ERS  @ 0x460;
char IVTBASEU @ 0x45F;
char IVTBASEH @ 0x45E;
char IVTBASEL @ 0x45D;
char IVTADU   @ 0x45C;
char IVTADH   @ 0x45B;
char IVTADL   @ 0x45A;
char IVTLOCK  @ 0x459;
char FSCMCON  @ 0x458;
char NCO3CLK  @ 0x457;
char NCO3CON  @ 0x456;
char NCO3INCU @ 0x455;
char NCO3INCH @ 0x454;
char NCO3INCL @ 0x453;
char NCO3ACCU @ 0x452;
char NCO3ACCH @ 0x451;
char NCO3ACCL @ 0x450;
char NCO2CLK  @ 0x44F;
char NCO2CON  @ 0x44E;
char NCO2INCU @ 0x44D;
char NCO2INCH @ 0x44C;
char NCO2INCL @ 0x44B;
char NCO2ACCU @ 0x44A;
char NCO2ACCH @ 0x449;
char NCO2ACCL @ 0x448;
char NCO1CLK  @ 0x447;
char NCO1CON  @ 0x446;
char NCO1INCU @ 0x445;
char NCO1INCH @ 0x444;
char NCO1INCL @ 0x443;
char NCO1ACCU @ 0x442;
char NCO1ACCH @ 0x441;
char NCO1ACCL @ 0x440;

char IOCEF    @ 0x427;
char IOCEN    @ 0x426;
char IOCEP    @ 0x425;
char INLVLE   @ 0x424;
char SLRCONE  @ 0x423;
char ODCONE   @ 0x422;
char WPUE     @ 0x421;
char ANSELE   @ 0x420;

char INLVLD   @ 0x41C;
char SLRCOND  @ 0x41B;
char ODCOND   @ 0x41A;
char WPUD     @ 0x419;
char ANSELD   @ 0x418;
char IOCCF    @ 0x417;
char IOCCN    @ 0x416;
char IOCCP    @ 0x415;
char INLVLC   @ 0x414;
char SLRCONC  @ 0x413;
char ODCONC   @ 0x412;
char WPUC     @ 0x411;
char ANSELC   @ 0x410;
char IOCBF    @ 0x40F;
char IOCBN    @ 0x40E;
char IOCBP    @ 0x40D;
char INLVLB   @ 0x40C;
char SLRCONB  @ 0x40B;
char ODCONB   @ 0x40A;
char WPUB     @ 0x409;
char ANSELB   @ 0x408;
char IOCAF    @ 0x407;
char IOCAN    @ 0x406;
char IOCAP    @ 0x405;
char INLVLA   @ 0x404;
char SLRCONA  @ 0x403;
char ODCONA   @ 0x402;
char WPUA     @ 0x401;
char ANSELA   @ 0x400;
char ADCSEL4  @ 0x3FF;
char ADCSEL3  @ 0x3FE;
char ADCSEL2  @ 0x3FD;
char ADCSEL1  @ 0x3FC;
char ADCTX    @ 0x3FB;
char ADCLK    @ 0x3FA;
char ADACT    @ 0x3F9;
char ADREF    @ 0x3F8;
char ADSTAT   @ 0x3F7;
char ADCON3   @ 0x3F6;
char ADCON2   @ 0x3F5;
char ADCON1   @ 0x3F4;
char ADCON0   @ 0x3F3;
char ADPREH   @ 0x3F2;
char ADPREL   @ 0x3F1;
char ADCAP    @ 0x3F0;
char ADACQH   @ 0x3EF;
char ADACQL   @ 0x3EE;

char ADPCH    @ 0x3EC;
char ADRESH   @ 0x3EB;
char ADRESL   @ 0x3EA;
char ADPREVH  @ 0x3E9;
char ADPREVL  @ 0x3E8;
char ADRPT    @ 0x3E7;
char ADCNT    @ 0x3E6;
char ADACCU   @ 0x3E5;
char ADACCH   @ 0x3E4;
char ADACCL   @ 0x3E3;
char ADFLTRH  @ 0x3E2;
char ADFLTRL  @ 0x3E1;
char ADSTPTH  @ 0x3E0;
char ADSTPTL  @ 0x3DF;
char ADERRH   @ 0x3DE;
char ADERRL   @ 0x3DD;
char ADUTHH   @ 0x3DC;
char ADUTHL   @ 0x3DB;
char ADLTHH   @ 0x3DA;
char ADLTHL   @ 0x3D9;
char ADCP     @ 0x3D8;
char ADCPCON  @ ADCP;
char FVRCON   @ 0x3D7;
char CWG3STR  @ 0x3D6;
char CWG3AS1  @ 0x3D5;
char CWG3AS0  @ 0x3D4;
char CWG3CON1 @ 0x3D3;
char CWG3CON0 @ 0x3D2;
char CWG3DBF  @ 0x3D1;
char CWG3DBR  @ 0x3D0;
char CWG3ISM  @ 0x3CF;
char CWG3CLKCON @ 0x3CE;
char CWG3CLK  @ CWG3CLKCON;
char CWG2STR  @ 0x3CD;
char CWG2AS1  @ 0x3CC;
char CWG2AS0  @ 0x3CB;
char CWG2CON1 @ 0x3CA;
char CWG2CON0 @ 0x3C9;
char CWG2DBF  @ 0x3C8;
char CWG2DBR  @ 0x3C7;
char CWG2ISM  @ 0x3C6;
char CWG2CLKCON @ 0x3C5;
char CWG2CLK  @ CWG2CLKCON;
char CWG1STR  @ 0x3C4;
char CWG1AS1  @ 0x3C3;
char CWG1AS0  @ 0x3C2;
char CWG1CON1 @ 0x3C1;
char CWG1CON0 @ 0x3C0;
char CWG1DBF  @ 0x3BF;
char CWG1DBR  @ 0x3BE;
char CWG1ISM  @ 0x3BD;
char CWG1CLKCON @ 0x3BC;
char CWG1CLK  @ CWG1CLKCON;
char TUCHAIN  @ 0x3BB;

char TU16BERS @ 0x39C;
char TU16BCLK @ 0x39B;
char TU16BPRH @ 0x39A;
char TU16BPRL @ 0x399;
char TU16BCRH @ 0x398;
char TU16BTMRH @ TU16BCRH;
char TU16BCRL @ 0x397;
char TU16BTMRL @ TU16BCRL;
char TU16BCR  @ TU16BCRL;
char TU16BPS  @ 0x396;
char TU16BHLT @ 0x395;
char TU16BCON1 @ 0x394;
char TU16BCON0 @ 0x393;

char TU16AERS @ 0x390;
char TU16ACLK @ 0x38F;
char TU16APRH @ 0x38E;
char TU16APRL @ 0x38D;
char TU16ACRH @ 0x38C;
char TU16ATMRH @ TU16ACRH;
char TU16ACRL @ 0x38B;
char TU16ATMRL @ TU16ACRL;
char TU16ACR  @ TU16ACRL;
char TU16APS  @ 0x38A;
char TU16AHLT @ 0x389;
char TU16ACON1 @ 0x388;
char TU16ACON0 @ 0x387;

char PRODH_SHAD @ 0x383;
char PRODL_SHAD @ 0x382;
char FSR2H_SHAD @ 0x381;
char FSR2L_SHAD @ 0x380;
char FSR1H_SHAD @ 0x37F;
char FSR1L_SHAD @ 0x37E;
char FSR0H_SHAD @ 0x37D;
char FSR0L_SHAD @ 0x37C;
char PCLATU_SHAD @ 0x37B;
char PCLATH_SHAD @ 0x37A;
char BSR_SHAD @ 0x379;
char WREG_SHAD @ 0x378;
char STATUS_SHAD @ 0x377;
char SHADCON  @ 0x376;
char BSR_CSHAD @ 0x375;
char WREG_CSHAD @ 0x374;
char STATUS_CSHAD @ 0x373;

char IPR15    @ 0x371;
char IPR14    @ 0x370;
char IPR13    @ 0x36F;
char IPR12    @ 0x36E;
char IPR11    @ 0x36D;
char IPR10    @ 0x36C;
char IPR9     @ 0x36B;
char IPR8     @ 0x36A;
char IPR7     @ 0x369;
char IPR6     @ 0x368;
char IPR5     @ 0x367;
char IPR4     @ 0x366;
char IPR3     @ 0x365;
char IPR2     @ 0x364;
char IPR1     @ 0x363;
char IPR0     @ 0x362;
char SCANTRIG @ 0x361;
char SCANCON0 @ 0x360;
char SCANHADRU @ 0x35F;
char SCANHADRH @ 0x35E;
char SCANHADRL @ 0x35D;
char SCANLADRU @ 0x35C;
char SCANLADRH @ 0x35B;
char SCANLADRL @ 0x35A;
char CRCCON2  @ 0x359;
char CRCCON1  @ 0x358;
char CRCCON0  @ 0x357;
char CRCXORT  @ 0x356;
char CRCSHIFTT @ CRCXORT;
char CRCSHFTT @ CRCXORT;
char CRCOUTT  @ CRCXORT;
char CRCXORU  @ 0x355;
char CRCSHIFTU @ CRCXORU;
char CRCSHFTU @ CRCXORU;
char CRCOUTU  @ CRCXORU;
char CRCXORH  @ 0x354;
char CRCSHIFTH @ CRCXORH;
char CRCSHFTH @ CRCXORH;
char CRCOUTH  @ CRCXORH;
char CRCXORL  @ 0x353;
char CRCSHIFTL @ CRCXORL;
char CRCSHFTL @ CRCXORL;
char CRCOUTL  @ CRCXORL;
char CRCXOR   @ CRCXORL;
char CRCSHFT  @ CRCXORL;
char CRCDATAT @ 0x352;
char CRCDATAU @ 0x351;
char CRCDATAH @ 0x350;
char CRCDATAL @ 0x34F;

char CCPTMRS0 @ 0x34C;
char CCP3CAP  @ 0x34B;
char CCP3CON  @ 0x34A;
char CCPR3H   @ 0x349;
char CCPR3L   @ 0x348;
char CCP2CAP  @ 0x347;
char CCP2CON  @ 0x346;
char CCPR2H   @ 0x345;
char CCPR2L   @ 0x344;
char CCP1CAP  @ 0x343;
char CCP1CON  @ 0x342;
char CCPR1H   @ 0x341;
char CCPR1L   @ 0x340;
char T6RST    @ 0x33F;
char T6CLK    @ 0x33E;
char T6CLKCON @ T6CLK;
char T6HLT    @ 0x33D;
char T6CON    @ 0x33C;
char T6PR     @ 0x33B;
char TMR6     @ 0x33A;
char T6TMR    @ TMR6;
char PR5      @ 0x339;
char TMR5CLK  @ PR5;
char T5CLK    @ PR5;
char TMR5GATE @ 0x338;
char T5GATE   @ TMR5GATE;
char TMR5GCON @ 0x337;
char T5GCON   @ TMR5GCON;
char TMR5CON  @ 0x336;
char T5CON    @ TMR5CON;
char TMR5H    @ 0x335;
char TMR5L    @ 0x334;
char T4RST    @ 0x333;
char T4CLK    @ 0x332;
char T4CLKCON @ T4CLK;
char T4HLT    @ 0x331;
char T4CON    @ 0x330;
char T4PR     @ 0x32F;
char TMR4     @ 0x32E;
char T4TMR    @ TMR4;
char PR3      @ 0x32D;
char TMR3CLK  @ PR3;
char T3CLK    @ PR3;
char TMR3GATE @ 0x32C;
char T3GATE   @ TMR3GATE;
char TMR3GCON @ 0x32B;
char T3GCON   @ TMR3GCON;
char TMR3CON  @ 0x32A;
char T3CON    @ TMR3CON;
char TMR3H    @ 0x329;
char TMR3L    @ 0x328;
char T2RST    @ 0x327;
char T2CLK    @ 0x326;
char T2CLKCON @ T2CLK;
char T2HLT    @ 0x325;
char T2CON    @ 0x324;
char T2PR     @ 0x323;
char TMR2     @ 0x322;
char T2TMR    @ TMR2;
char PR1      @ 0x321;
char TMR1CLK  @ PR1;
char T1CLK    @ PR1;
char TMR1GATE @ 0x320;
char T1GATE   @ TMR1GATE;
char TMR1GCON @ 0x31F;
char T1GCON   @ TMR1GCON;
char TMR1CON  @ 0x31E;
char T1CON    @ TMR1CON;
char TMR1H    @ 0x31D;
char TMR1L    @ 0x31C;
char T0CON1   @ 0x31B;
char T0CON0   @ 0x31A;
char TMR0H    @ 0x319;
char TMR0L    @ 0x318;

char SMT1WIN  @ 0x311;
char SMT1SIG  @ 0x310;
char SMT1CLK  @ 0x30F;
char SMT1STAT @ 0x30E;
char SMT1CON1 @ 0x30D;
char SMT1CON0 @ 0x30C;
char SMT1PRU  @ 0x30B;
char SMT1PRH  @ 0x30A;
char SMT1PRL  @ 0x309;
char SMT1CPWU @ 0x308;
char SMT1CPWH @ 0x307;
char SMT1CPWL @ 0x306;
char SMT1CPRU @ 0x305;
char SMT1CPRH @ 0x304;
char SMT1CPRL @ 0x303;
char SMT1TMRU @ 0x302;
char SMT1TMRH @ 0x301;
char SMT1TMRL @ 0x300;
char U5ERRIE  @ 0x2FF;
char U5ERRIR  @ 0x2FE;
char U5UIR    @ 0x2FD;
char U5FIFO   @ 0x2FC;
char U5BRGH   @ 0x2FB;
char U5BRGL   @ 0x2FA;
char U5CON2   @ 0x2F9;
char U5CON1   @ 0x2F8;
char U5CON0   @ 0x2F7;

char U5P3L    @ 0x2F5;

char U5P2L    @ 0x2F3;

char U5P1L    @ 0x2F1;

char U5TXBL   @ 0x2EF;

char U5RXBL   @ 0x2ED;
char U4ERRIE  @ 0x2EC;
char U4ERRIR  @ 0x2EB;
char U4UIR    @ 0x2EA;
char U4FIFO   @ 0x2E9;
char U4BRGH   @ 0x2E8;
char U4BRGL   @ 0x2E7;
char U4CON2   @ 0x2E6;
char U4CON1   @ 0x2E5;
char U4CON0   @ 0x2E4;

char U4P3L    @ 0x2E2;

char U4P2L    @ 0x2E0;

char U4P1L    @ 0x2DE;

char U4TXBL   @ 0x2DC;

char U4RXBL   @ 0x2DA;
char U3ERRIE  @ 0x2D9;
char U3ERRIR  @ 0x2D8;
char U3UIR    @ 0x2D7;
char U3FIFO   @ 0x2D6;
char U3BRGH   @ 0x2D5;
char U3BRGL   @ 0x2D4;
char U3CON2   @ 0x2D3;
char U3CON1   @ 0x2D2;
char U3CON0   @ 0x2D1;

char U3P3L    @ 0x2CF;

char U3P2L    @ 0x2CD;

char U3P1L    @ 0x2CB;

char U3TXBL   @ 0x2C9;

char U3RXBL   @ 0x2C7;
char U2ERRIE  @ 0x2C6;
char U2ERRIR  @ 0x2C5;
char U2UIR    @ 0x2C4;
char U2FIFO   @ 0x2C3;
char U2BRGH   @ 0x2C2;
char U2BRGL   @ 0x2C1;
char U2CON2   @ 0x2C0;
char U2CON1   @ 0x2BF;
char U2CON0   @ 0x2BE;
char U2P3H    @ 0x2BD;
char U2P3L    @ 0x2BC;
char U2P2H    @ 0x2BB;
char U2P2L    @ 0x2BA;
char U2P1H    @ 0x2B9;
char U2P1L    @ 0x2B8;
char U2TXCHK  @ 0x2B7;
char U2TXBL   @ 0x2B6;
char U2RXCHK  @ 0x2B5;
char U2RXBL   @ 0x2B4;
char U1ERRIE  @ 0x2B3;
char U1ERRIR  @ 0x2B2;
char U1UIR    @ 0x2B1;
char U1FIFO   @ 0x2B0;
char U1BRGH   @ 0x2AF;
char U1BRGL   @ 0x2AE;
char U1CON2   @ 0x2AD;
char U1CON1   @ 0x2AC;
char U1CON0   @ 0x2AB;
char U1P3H    @ 0x2AA;
char U1P3L    @ 0x2A9;
char U1P2H    @ 0x2A8;
char U1P2L    @ 0x2A7;
char U1P1H    @ 0x2A6;
char U1P1L    @ 0x2A5;
char U1TXCHK  @ 0x2A4;
char U1TXBL   @ 0x2A3;
char U1RXCHK  @ 0x2A2;
char U1RXBL   @ 0x2A1;

char I2C1BTOC @ 0x29F;
char I2C1CLK  @ 0x29E;
char I2C1BAUD @ 0x29D;
char I2C1BTO  @ 0x29C;
char I2C1PIE  @ 0x29B;
char I2C1PIR  @ 0x29A;
char I2C1STAT1 @ 0x299;
char I2C1STAT0 @ 0x298;
char I2C1ERR  @ 0x297;
char I2C1CON2 @ 0x296;
char I2C1CON1 @ 0x295;
char I2C1CON0 @ 0x294;
char I2C1ADR3 @ 0x293;
char I2C1ADR2 @ 0x292;
char I2C1ADR1 @ 0x291;
char I2C1ADR0 @ 0x290;
char I2C1ADB1 @ 0x28F;
char I2C1ADB0 @ 0x28E;
char I2C1CNTH @ 0x28D;
char I2C1CNTL @ 0x28C;
char I2C1TXB  @ 0x28B;
char I2C1RXB  @ 0x28A;
char RB1I2C   @ 0x289;
char RB2I2C   @ 0x288;
char RC3I2C   @ 0x287;
char RC4I2C   @ 0x286;

char U5CTSPPS @ 0x27B;
char U5RXPPS  @ 0x27A;
char U4CTSPPS @ 0x279;
char U4RXPPS  @ 0x278;
char U3CTSPPS @ 0x277;
char U3RXPPS  @ 0x276;
char U2CTSPPS @ 0x275;
char U2RXPPS  @ 0x274;
char U1CTSPPS @ 0x273;
char U1RXPPS  @ 0x272;
char I2C1SCLPPS @ 0x271;
char I2C1SDAPPS @ 0x270;
char SPI2SSPPS @ 0x26F;
char SPI2SDIPPS @ 0x26E;
char SPI2SCKPPS @ 0x26D;
char SPI1SSPPS @ 0x26C;
char SPI1SDIPPS @ 0x26B;
char SPI1SCKPPS @ 0x26A;
char ADACTPPS @ 0x269;
char CLCIN7PPS @ 0x268;
char CLCIN6PPS @ 0x267;
char CLCIN5PPS @ 0x266;
char CLCIN4PPS @ 0x265;
char CLCIN3PPS @ 0x264;
char CLCIN2PPS @ 0x263;
char CLCIN1PPS @ 0x262;
char CLCIN0PPS @ 0x261;
char MDSRCPPS @ 0x260;
char MD1SRCPPS @ MDSRCPPS;
char MDCARHPPS @ 0x25F;
char MD1CARHPPS @ MDCARHPPS;
char MDCARLPPS @ 0x25E;
char MD1CARLPPS @ MDCARLPPS;
char CWG3INPPS @ 0x25D;
char CWG3PPS  @ CWG3INPPS;
char CWG2INPPS @ 0x25C;
char CWG2PPS  @ CWG2INPPS;
char CWG1INPPS @ 0x25B;
char CWG1PPS  @ CWG1INPPS;
char SMT1SIGPPS @ 0x25A;
char SMT1WINPPS @ 0x259;
char PWMIN1PPS @ 0x258;
char PWMIN0PPS @ 0x257;
char PWM4ERSPPS @ 0x256;
char PWM3ERSPPS @ 0x255;
char PWM2ERSPPS @ 0x254;
char PWM1ERSPPS @ 0x253;

char CCP3PPS  @ 0x251;
char CCP2PPS  @ 0x250;
char CCP1PPS  @ 0x24F;

char TUIN1PPS @ 0x24C;
char TUIN0PPS @ 0x24B;
char T6INPPS  @ 0x24A;
char T4INPPS  @ 0x249;
char T2INPPS  @ 0x248;
char T5GPPS   @ 0x247;
char T5CKIPPS @ 0x246;
char T3GPPS   @ 0x245;
char T3CKIPPS @ 0x244;
char T1GPPS   @ 0x243;
char T1CKIPPS @ 0x242;
char T0CKIPPS @ 0x241;
char INT2PPS  @ 0x240;
char INT1PPS  @ 0x23F;
char INT0PPS  @ 0x23E;
char CANRXPPS @ 0x23D;

char RE2PPS   @ 0x223;
char RE1PPS   @ 0x222;
char RE0PPS   @ 0x221;
char RD7PPS   @ 0x220;
char RD6PPS   @ 0x21F;
char RD5PPS   @ 0x21E;
char RD4PPS   @ 0x21D;
char RD3PPS   @ 0x21C;
char RD2PPS   @ 0x21B;
char RD1PPS   @ 0x21A;
char RD0PPS   @ 0x219;
char RC7PPS   @ 0x218;
char RC6PPS   @ 0x217;
char RC5PPS   @ 0x216;
char RC4PPS   @ 0x215;
char RC3PPS   @ 0x214;
char RC2PPS   @ 0x213;
char RC1PPS   @ 0x212;
char RC0PPS   @ 0x211;
char RB7PPS   @ 0x210;
char RB6PPS   @ 0x20F;
char RB5PPS   @ 0x20E;
char RB4PPS   @ 0x20D;
char RB3PPS   @ 0x20C;
char RB2PPS   @ 0x20B;
char RB1PPS   @ 0x20A;
char RB0PPS   @ 0x209;
char RA7PPS   @ 0x208;
char RA6PPS   @ 0x207;
char RA5PPS   @ 0x206;
char RA4PPS   @ 0x205;
char RA3PPS   @ 0x204;
char RA2PPS   @ 0x203;
char RA1PPS   @ 0x202;
char RA0PPS   @ 0x201;
char PPSLOCK  @ 0x200;

char C1MASK11T @ 0x1EB;
char C1MASK11U @ 0x1EA;
char C1MASK11H @ 0x1E9;
char C1MASK11L @ 0x1E8;
char C1FLTOBJ11T @ 0x1E7;
char C1FLTOBJ11U @ 0x1E6;
char C1FLTOBJ11H @ 0x1E5;
char C1FLTOBJ11L @ 0x1E4;
char C1MASK10T @ 0x1E3;
char C1MASK10U @ 0x1E2;
char C1MASK10H @ 0x1E1;
char C1MASK10L @ 0x1E0;
char C1FLTOBJ10T @ 0x1DF;
char C1FLTOBJ10U @ 0x1DE;
char C1FLTOBJ10H @ 0x1DD;
char C1FLTOBJ10L @ 0x1DC;
char C1MASK9T @ 0x1DB;
char C1MASK9U @ 0x1DA;
char C1MASK9H @ 0x1D9;
char C1MASK9L @ 0x1D8;
char C1FLTOBJ9T @ 0x1D7;
char C1FLTOBJ9U @ 0x1D6;
char C1FLTOBJ9H @ 0x1D5;
char C1FLTOBJ9L @ 0x1D4;
char C1MASK8T @ 0x1D3;
char C1MASK8U @ 0x1D2;
char C1MASK8H @ 0x1D1;
char C1MASK8L @ 0x1D0;
char C1FLTOBJ8T @ 0x1CF;
char C1FLTOBJ8U @ 0x1CE;
char C1FLTOBJ8H @ 0x1CD;
char C1FLTOBJ8L @ 0x1CC;
char C1MASK7T @ 0x1CB;
char C1MASK7U @ 0x1CA;
char C1MASK7H @ 0x1C9;
char C1MASK7L @ 0x1C8;
char C1FLTOBJ7T @ 0x1C7;
char C1FLTOBJ7U @ 0x1C6;
char C1FLTOBJ7H @ 0x1C5;
char C1FLTOBJ7L @ 0x1C4;
char C1MASK6T @ 0x1C3;
char C1MASK6U @ 0x1C2;
char C1MASK6H @ 0x1C1;
char C1MASK6L @ 0x1C0;
char C1FLTOBJ6T @ 0x1BF;
char C1FLTOBJ6U @ 0x1BE;
char C1FLTOBJ6H @ 0x1BD;
char C1FLTOBJ6L @ 0x1BC;
char C1MASK5T @ 0x1BB;
char C1MASK5U @ 0x1BA;
char C1MASK5H @ 0x1B9;
char C1MASK5L @ 0x1B8;
char C1FLTOBJ5T @ 0x1B7;
char C1FLTOBJ5U @ 0x1B6;
char C1FLTOBJ5H @ 0x1B5;
char C1FLTOBJ5L @ 0x1B4;
char C1MASK4T @ 0x1B3;
char C1MASK4U @ 0x1B2;
char C1MASK4H @ 0x1B1;
char C1MASK4L @ 0x1B0;
char C1FLTOBJ4T @ 0x1AF;
char C1FLTOBJ4U @ 0x1AE;
char C1FLTOBJ4H @ 0x1AD;
char C1FLTOBJ4L @ 0x1AC;
char C1MASK3T @ 0x1AB;
char C1MASK3U @ 0x1AA;
char C1MASK3H @ 0x1A9;
char C1MASK3L @ 0x1A8;
char C1FLTOBJ3T @ 0x1A7;
char C1FLTOBJ3U @ 0x1A6;
char C1FLTOBJ3H @ 0x1A5;
char C1FLTOBJ3L @ 0x1A4;
char C1MASK2T @ 0x1A3;
char C1MASK2U @ 0x1A2;
char C1MASK2H @ 0x1A1;
char C1MASK2L @ 0x1A0;
char C1FLTOBJ2T @ 0x19F;
char C1FLTOBJ2U @ 0x19E;
char C1FLTOBJ2H @ 0x19D;
char C1FLTOBJ2L @ 0x19C;
char C1MASK1T @ 0x19B;
char C1MASK1U @ 0x19A;
char C1MASK1H @ 0x199;
char C1MASK1L @ 0x198;
char C1FLTOBJ1T @ 0x197;
char C1FLTOBJ1U @ 0x196;
char C1FLTOBJ1H @ 0x195;
char C1FLTOBJ1L @ 0x194;
char C1MASK0T @ 0x193;
char C1MASK0U @ 0x192;
char C1MASK0H @ 0x191;
char C1MASK0L @ 0x190;
char C1FLTOBJ0T @ 0x18F;
char C1FLTOBJ0U @ 0x18E;
char C1FLTOBJ0H @ 0x18D;
char C1FLTOBJ0L @ 0x18C;
char C1FLTCON2T @ 0x18B;
char C1FLTCON2U @ 0x18A;
char C1FLTCON2H @ 0x189;
char C1FLTCON2L @ 0x188;
char C1FLTCON1T @ 0x187;
char C1FLTCON1U @ 0x186;
char C1FLTCON1H @ 0x185;
char C1FLTCON1L @ 0x184;
char C1FLTCON0T @ 0x183;
char C1FLTCON0U @ 0x182;
char C1FLTCON0H @ 0x181;
char C1FLTCON0L @ 0x180;
char C1FIFOUA3T @ 0x17F;
char C1FIFOUA3U @ 0x17E;
char C1FIFOUA3H @ 0x17D;
char C1FIFOUA3L @ 0x17C;
char C1FIFOSTA3T @ 0x17B;
char C1FIFOSTA3U @ 0x17A;
char C1FIFOSTA3H @ 0x179;
char C1FIFOSTA3L @ 0x178;
char C1FIFOCON3T @ 0x177;
char C1FIFOCON3U @ 0x176;
char C1FIFOCON3H @ 0x175;
char C1FIFOCON3L @ 0x174;
char C1FIFOUA2T @ 0x173;
char C1FIFOUA2U @ 0x172;
char C1FIFOUA2H @ 0x171;
char C1FIFOUA2L @ 0x170;
char C1FIFOSTA2T @ 0x16F;
char C1FIFOSTA2U @ 0x16E;
char C1FIFOSTA2H @ 0x16D;
char C1FIFOSTA2L @ 0x16C;
char C1FIFOCON2T @ 0x16B;
char C1FIFOCON2U @ 0x16A;
char C1FIFOCON2H @ 0x169;
char C1FIFOCON2L @ 0x168;
char C1FIFOUA1T @ 0x167;
char C1FIFOUA1U @ 0x166;
char C1FIFOUA1H @ 0x165;
char C1FIFOUA1L @ 0x164;
char C1FIFOSTA1T @ 0x163;
char C1FIFOSTA1U @ 0x162;
char C1FIFOSTA1H @ 0x161;
char C1FIFOSTA1L @ 0x160;
char C1FIFOCON1T @ 0x15F;
char C1FIFOCON1U @ 0x15E;
char C1FIFOCON1H @ 0x15D;
char C1FIFOCON1L @ 0x15C;
char C1TXQUAT @ 0x15B;
char C1TXQUAU @ 0x15A;
char C1TXQUAH @ 0x159;
char C1TXQUAL @ 0x158;
char C1TXQSTAT @ 0x157;
char C1TXQSTAU @ 0x156;
char C1TXQSTAH @ 0x155;
char C1TXQSTAL @ 0x154;
char C1TXQCONT @ 0x153;
char C1TXQCONU @ 0x152;
char C1TXQCONH @ 0x151;
char C1TXQCONL @ 0x150;
char C1FIFOBAT @ 0x14F;
char C1FIFOBAU @ 0x14E;
char C1FIFOBAH @ 0x14D;
char C1FIFOBAL @ 0x14C;
char C1TEFUAT @ 0x14B;
char C1TEFUAU @ 0x14A;
char C1TEFUAH @ 0x149;
char C1TEFUAL @ 0x148;
char C1TEFSTAT @ 0x147;
char C1TEFSTAU @ 0x146;
char C1TEFSTAH @ 0x145;
char C1TEFSTAL @ 0x144;
char C1TEFCONT @ 0x143;
char C1TEFCONU @ 0x142;
char C1TEFCONH @ 0x141;
char C1TEFCONL @ 0x140;
char C1BDIAG1T @ 0x13F;
char C1BDIAG1U @ 0x13E;
char C1BDIAG1H @ 0x13D;
char C1BDIAG1L @ 0x13C;

char C1BDIAG0H @ 0x139;
char C1BDIAG0L @ 0x138;
char C1TRECT  @ 0x137;
char C1TRECU  @ 0x136;
char C1TRECH  @ 0x135;
char C1TRECL  @ 0x134;
char C1TXREQT @ 0x133;
char C1TXREQU @ 0x132;
char C1TXREQH @ 0x131;
char C1TXREQL @ 0x130;
char C1TXATIFT @ 0x12F;
char C1TXATIFU @ 0x12E;
char C1TXATIFH @ 0x12D;
char C1TXATIFL @ 0x12C;
char C1RXOVIFT @ 0x12B;
char C1RXOVIFU @ 0x12A;
char C1RXOVIFH @ 0x129;
char C1RXOVIFL @ 0x128;
char C1TXIFT  @ 0x127;
char C1TXIFU  @ 0x126;
char C1TXIFH  @ 0x125;
char C1TXIFL  @ 0x124;
char C1RXIFT  @ 0x123;
char C1RXIFU  @ 0x122;
char C1RXIFH  @ 0x121;
char C1RXIFL  @ 0x120;
char C1INTT   @ 0x11F;
char C1INTU   @ 0x11E;
char C1INTH   @ 0x11D;
char C1INTL   @ 0x11C;
char C1VECT   @ 0x11B;
char C1VECU   @ 0x11A;
char C1VECH   @ 0x119;
char C1VECL   @ 0x118;
char C1TSCONT @ 0x117;
char C1TSCONU @ 0x116;
char C1TSCONH @ 0x115;
char C1TSCONL @ 0x114;
char C1TBCT   @ 0x113;
char C1TBCU   @ 0x112;
char C1TBCH   @ 0x111;
char C1TBCL   @ 0x110;

char C1TDCU   @ 0x10E;
char C1TDCH   @ 0x10D;
char C1TDCL   @ 0x10C;
char C1DBTCFGT @ 0x10B;
char C1DBTCFGU @ 0x10A;
char C1DBTCFGH @ 0x109;
char C1DBTCFGL @ 0x108;
char C1NBTCFGT @ 0x107;
char C1NBTCFGU @ 0x106;
char C1NBTCFGH @ 0x105;
char C1NBTCFGL @ 0x104;
char C1CONT   @ 0x103;
char C1CONU   @ 0x102;
char C1CONH   @ 0x101;
char C1CONL   @ 0x100;
char DMAnSIRQ @ 0xFF;
char DMAnAIRQ @ 0xFE;
char DMAnCON1 @ 0xFD;
char DMAnCON0 @ 0xFC;
char DMAnSSAU @ 0xFB;
char DMAnSSAH @ 0xFA;
char DMAnSSAL @ 0xF9;
char DMAnSSZH @ 0xF8;
char DMAnSSZL @ 0xF7;
char DMAnSPTRU @ 0xF6;
char DMAnSPTRH @ 0xF5;
char DMAnSPTRL @ 0xF4;
char DMAnSCNTH @ 0xF3;
char DMAnSCNTL @ 0xF2;
char DMAnDSAH @ 0xF1;
char DMAnDSAL @ 0xF0;
char DMAnDSZH @ 0xEF;
char DMAnDSZL @ 0xEE;
char DMAnDPTRH @ 0xED;
char DMAnDPTRL @ 0xEC;
char DMAnDCNTH @ 0xEB;
char DMAnDCNTL @ 0xEA;
char DMAnBUF  @ 0xE9;
char DMASELECT @ 0xE8;

char CLCnGLS3 @ 0xDF;
char CLCnGLS2 @ 0xDE;
char CLCnGLS1 @ 0xDD;
char CLCnGLS0 @ 0xDC;
char CLCnSEL3 @ 0xDB;
char CLCnSEL2 @ 0xDA;
char CLCnSEL1 @ 0xD9;
char CLCnSEL0 @ 0xD8;
char CLCnPOL  @ 0xD7;
char CLCnCON  @ 0xD6;
char CLCSELECT @ 0xD5;
char CLCDATA  @ 0xD4;

char ISRPR    @ 0xBF;
char MAINPR   @ 0xBE;
char DMA8PR   @ 0xBD;
char DMA7PR   @ 0xBC;
char DMA6PR   @ 0xBB;
char DMA5PR   @ 0xBA;
char DMA4PR   @ 0xB9;
char DMA3PR   @ 0xB8;
char DMA2PR   @ 0xB7;
char DMA1PR   @ 0xB6;
char SCANPR   @ 0xB5;
char PRLOCK   @ 0xB4;
char OSCEN    @ 0xB3;
char OSCSTAT1 @ 0xB2;
char OSCSTAT  @ OSCSTAT1;
char OSCFREQ  @ 0xB1;
char OSCFRQ   @ OSCFREQ;
char OSCTUNE  @ 0xB0;
char OSCCON3  @ 0xAF;
char OSCCON2  @ 0xAE;
char OSCCON1  @ 0xAD;
char ACTCON   @ 0xAC;

char SPI2CLK  @ 0x99;
char SPI2INTE @ 0x98;
char SPI2INTF @ 0x97;
char SPI2BAUD @ 0x96;
char SPI2TWIDTH @ 0x95;
char SPI2STATUS @ 0x94;
char SPI2CON2 @ 0x93;
char SPI2CON1 @ 0x92;
char SPI2CON0 @ 0x91;
char SPI2TCNTH @ 0x90;
char SPI2TCNTL @ 0x8F;
char SPI2TXB  @ 0x8E;
char SPI2RXB  @ 0x8D;
char SPI1CLK  @ 0x8C;
char SPI1INTE @ 0x8B;
char SPI1INTF @ 0x8A;
char SPI1BAUD @ 0x89;
char SPI1TWIDTH @ 0x88;
char SPI1STATUS @ 0x87;
char SPI1CON2 @ 0x86;
char SPI1CON1 @ 0x85;
char SPI1CON0 @ 0x84;
char SPI1TCNTH @ 0x83;
char SPI1TCNTL @ 0x82;
char SPI1TXB  @ 0x81;
char SPI1RXB  @ 0x80;
char DAC1CON  @ 0x7F;

char DAC1DATL @ 0x7D;
char WDTTMR   @ 0x7C;
char WDTPSH   @ 0x7B;
char WDTPSL   @ 0x7A;
char WDTCON1  @ 0x79;
char WDTCON0  @ 0x78;
char CM2PCH   @ 0x77;
char CM2NCH   @ 0x76;
char CM2CON1  @ 0x75;
char CM2CON0  @ 0x74;
char CM1PCH   @ 0x73;
char CM1NCH   @ 0x72;
char CM1CON1  @ 0x71;
char CM1CON0  @ 0x70;
char CMOUT    @ 0x6F;
char MD1CARH  @ 0x6E;
char MD1CARL  @ 0x6D;
char MD1SRC   @ 0x6C;
char MD1CON1  @ 0x6B;
char MD1CON0  @ 0x6A;

char PMD8     @ 0x68;
char PMD7     @ 0x67;
char PMD6     @ 0x66;
char PMD5     @ 0x65;
char PMD4     @ 0x64;
char PMD3     @ 0x63;
char PMD2     @ 0x62;
char PMD1     @ 0x61;
char PMD0     @ 0x60;

char ZCDCON   @ 0x4C;
char HLVDCON1 @ 0x4B;
char HLVDCON0 @ 0x4A;
char BORCON   @ 0x49;
char VREGCON  @ 0x48;
char NVMDATH  @ 0x47;
char NVMDATL  @ 0x46;
char NVMADRU  @ 0x45;
char NVMADRH  @ 0x44;
char NVMADRL  @ 0x43;
char NVMLOCK  @ 0x42;
char NVMCON1  @ 0x41;
char NVMCON0  @ 0x40;

char CLKRCLK  @ 0x3A;
char CLKRCON  @ 0x39;
char BOOTREG  @ 0x38;


bit DOZE0    @ CPUDOZE.0;
bit CPUDOZE_DOZE0 @ CPUDOZE.0;
bit DOZE1    @ CPUDOZE.1;
bit CPUDOZE_DOZE1 @ CPUDOZE.1;
bit DOZE2    @ CPUDOZE.2;
bit CPUDOZE_DOZE2 @ CPUDOZE.2;
bit DOE      @ CPUDOZE.4;
bit CPUDOZE_DOE @ CPUDOZE.4;
bit ROI      @ CPUDOZE.5;
bit CPUDOZE_ROI @ CPUDOZE.5;
bit DOZEN    @ CPUDOZE.6;
bit CPUDOZE_DOZEN @ CPUDOZE.6;
bit IDLEN    @ CPUDOZE.7;
bit CPUDOZE_IDLEN @ CPUDOZE.7;

bit MEMV_    @ PCON1.1;
bit PCON1_MEMV_ @ PCON1.1;
bit PCON1_nMEMV @ PCON1.1;
bit PCON1_MEMV @ PCON1.1;

bit BOR_     @ PCON0.0;
bit PCON0_BOR_ @ PCON0.0;
bit PCON0_nBOR @ PCON0.0;
bit PCON0_BOR @ PCON0.0;
bit POR_     @ PCON0.1;
bit PCON0_POR_ @ PCON0.1;
bit PCON0_nPOR @ PCON0.1;
bit PCON0_POR @ PCON0.1;
bit RI_      @ PCON0.2;
bit PCON0_RI_ @ PCON0.2;
bit PCON0_nRI @ PCON0.2;
bit PCON0_RI @ PCON0.2;
bit RMCLR_   @ PCON0.3;
bit PCON0_RMCLR_ @ PCON0.3;
bit PCON0_nRMCLR @ PCON0.3;
bit PCON0_RMCLR @ PCON0.3;
bit RWDT_    @ PCON0.4;
bit PCON0_RWDT_ @ PCON0.4;
bit PCON0_nRWDT @ PCON0.4;
bit PCON0_RWDT @ PCON0.4;
bit WDTWV_   @ PCON0.5;
bit PCON0_WDTWV_ @ PCON0.5;
bit PCON0_nWDTWV @ PCON0.5;
bit PCON0_WDTWV @ PCON0.5;
bit STKUNF   @ PCON0.6;
bit PCON0_STKUNF @ PCON0.6;
bit STKOVF   @ PCON0.7;
bit PCON0_STKOVF @ PCON0.7;

bit STATUS_C @ STATUS.0;
bit STATUS_DC @ STATUS.1;
bit STATUS_Z @ STATUS.2;
bit STATUS_OV @ STATUS.3;
bit STATUS_N @ STATUS.4;
bit STATUS_PD_ @ STATUS.5;
bit STATUS_nPD @ STATUS.5;
bit STATUS_PD @ STATUS.5;
bit STATUS_TO_ @ STATUS.6;
bit STATUS_nTO @ STATUS.6;
bit STATUS_TO @ STATUS.6;

bit INTCON1_STAT0 @ INTCON1.6;
bit INTCON1_STAT1 @ INTCON1.7;

bit INT0EDG  @ INTCON0.0;
bit INTCON0_INT0EDG @ INTCON0.0;
bit INT1EDG  @ INTCON0.1;
bit INTCON0_INT1EDG @ INTCON0.1;
bit INT2EDG  @ INTCON0.2;
bit INTCON0_INT2EDG @ INTCON0.2;
bit INTCON0_IPEN @ INTCON0.5;
bit GIEL     @ INTCON0.6;
bit INTCON0_GIEL @ INTCON0.6;
bit GIE      @ INTCON0.7;
bit INTCON0_GIE @ INTCON0.7;
bit GIEH     @ INTCON0.7;
bit INTCON0_GIEH @ INTCON0.7;

bit RE0      @ PORTE.0;
bit RE1      @ PORTE.1;
bit RE2      @ PORTE.2;
bit RE3      @ PORTE.3;

bit RD0      @ PORTD.0;
bit RD1      @ PORTD.1;
bit RD2      @ PORTD.2;
bit RD3      @ PORTD.3;
bit RD4      @ PORTD.4;
bit RD5      @ PORTD.5;
bit RD6      @ PORTD.6;
bit RD7      @ PORTD.7;

bit RC0      @ PORTC.0;
bit RC1      @ PORTC.1;
bit RC2      @ PORTC.2;
bit RC3      @ PORTC.3;
bit RC4      @ PORTC.4;
bit RC5      @ PORTC.5;
bit RC6      @ PORTC.6;
bit RC7      @ PORTC.7;

bit RB0      @ PORTB.0;
bit RB1      @ PORTB.1;
bit RB2      @ PORTB.2;
bit RB3      @ PORTB.3;
bit RB4      @ PORTB.4;
bit RB5      @ PORTB.5;
bit RB6      @ PORTB.6;
bit RB7      @ PORTB.7;

bit RA0      @ PORTA.0;
bit RA1      @ PORTA.1;
bit RA2      @ PORTA.2;
bit RA3      @ PORTA.3;
bit RA4      @ PORTA.4;
bit RA5      @ PORTA.5;
bit RA6      @ PORTA.6;
bit RA7      @ PORTA.7;

bit TRISE0   @ TRISE.0;
bit TRISE1   @ TRISE.1;
bit TRISE2   @ TRISE.2;

bit TRISD0   @ TRISD.0;
bit TRISD1   @ TRISD.1;
bit TRISD2   @ TRISD.2;
bit TRISD3   @ TRISD.3;
bit TRISD4   @ TRISD.4;
bit TRISD5   @ TRISD.5;
bit TRISD6   @ TRISD.6;
bit TRISD7   @ TRISD.7;

bit TRISC0   @ TRISC.0;
bit TRISC1   @ TRISC.1;
bit TRISC2   @ TRISC.2;
bit TRISC3   @ TRISC.3;
bit TRISC4   @ TRISC.4;
bit TRISC5   @ TRISC.5;
bit TRISC6   @ TRISC.6;
bit TRISC7   @ TRISC.7;

bit TRISB0   @ TRISB.0;
bit TRISB1   @ TRISB.1;
bit TRISB2   @ TRISB.2;
bit TRISB3   @ TRISB.3;
bit TRISB4   @ TRISB.4;
bit TRISB5   @ TRISB.5;
bit TRISB6   @ TRISB.6;
bit TRISB7   @ TRISB.7;

bit TRISA0   @ TRISA.0;
bit TRISA1   @ TRISA.1;
bit TRISA2   @ TRISA.2;
bit TRISA3   @ TRISA.3;
bit TRISA4   @ TRISA.4;
bit TRISA5   @ TRISA.5;
bit TRISA6   @ TRISA.6;
bit TRISA7   @ TRISA.7;

bit LATE0    @ LATE.0;
bit LATE1    @ LATE.1;
bit LATE2    @ LATE.2;

bit LATD0    @ LATD.0;
bit LATD1    @ LATD.1;
bit LATD2    @ LATD.2;
bit LATD3    @ LATD.3;
bit LATD4    @ LATD.4;
bit LATD5    @ LATD.5;
bit LATD6    @ LATD.6;
bit LATD7    @ LATD.7;

bit LATC0    @ LATC.0;
bit LATC1    @ LATC.1;
bit LATC2    @ LATC.2;
bit LATC3    @ LATC.3;
bit LATC4    @ LATC.4;
bit LATC5    @ LATC.5;
bit LATC6    @ LATC.6;
bit LATC7    @ LATC.7;

bit LATB0    @ LATB.0;
bit LATB1    @ LATB.1;
bit LATB2    @ LATB.2;
bit LATB3    @ LATB.3;
bit LATB4    @ LATB.4;
bit LATB5    @ LATB.5;
bit LATB6    @ LATB.6;
bit LATB7    @ LATB.7;

bit LATA0    @ LATA.0;
bit LATA1    @ LATA.1;
bit LATA2    @ LATA.2;
bit LATA3    @ LATA.3;
bit LATA4    @ LATA.4;
bit LATA5    @ LATA.5;
bit LATA6    @ LATA.6;
bit LATA7    @ LATA.7;

bit NVMIF    @ PIR15.0;
bit PIR15_NVMIF @ PIR15.0;
bit CLC8IF   @ PIR15.1;
bit PIR15_CLC8IF @ PIR15.1;
bit CRCIF    @ PIR15.2;
bit PIR15_CRCIF @ PIR15.2;
bit TMR6IF   @ PIR15.3;
bit PIR15_TMR6IF @ PIR15.3;
bit DMA8SCNTIF @ PIR15.4;
bit PIR15_DMA8SCNTIF @ PIR15.4;
bit DMA8DCNTIF @ PIR15.5;
bit PIR15_DMA8DCNTIF @ PIR15.5;
bit DMA8ORIF @ PIR15.6;
bit PIR15_DMA8ORIF @ PIR15.6;
bit DMA8AIF  @ PIR15.7;
bit PIR15_DMA8AIF @ PIR15.7;

bit CLC7IF   @ PIR14.1;
bit PIR14_CLC7IF @ PIR14.1;
bit C2IF     @ PIR14.2;
bit PIR14_C2IF @ PIR14.2;
bit NCO3IF   @ PIR14.3;
bit PIR14_NCO3IF @ PIR14.3;
bit DMA7SCNTIF @ PIR14.4;
bit PIR14_DMA7SCNTIF @ PIR14.4;
bit DMA7DCNTIF @ PIR14.5;
bit PIR14_DMA7DCNTIF @ PIR14.5;
bit DMA7ORIF @ PIR14.6;
bit PIR14_DMA7ORIF @ PIR14.6;
bit DMA7AIF  @ PIR14.7;
bit PIR14_DMA7AIF @ PIR14.7;

bit U5RXIF   @ PIR13.0;
bit PIR13_U5RXIF @ PIR13.0;
bit U5TXIF   @ PIR13.1;
bit PIR13_U5TXIF @ PIR13.1;
bit U5EIF    @ PIR13.2;
bit PIR13_U5EIF @ PIR13.2;
bit U5IF     @ PIR13.3;
bit PIR13_U5IF @ PIR13.3;
bit DMA6SCNTIF @ PIR13.4;
bit PIR13_DMA6SCNTIF @ PIR13.4;
bit DMA6DCNTIF @ PIR13.5;
bit PIR13_DMA6DCNTIF @ PIR13.5;
bit DMA6ORIF @ PIR13.6;
bit PIR13_DMA6ORIF @ PIR13.6;
bit DMA6AIF  @ PIR13.7;
bit PIR13_DMA6AIF @ PIR13.7;

bit U4RXIF   @ PIR12.0;
bit PIR12_U4RXIF @ PIR12.0;
bit U4TXIF   @ PIR12.1;
bit PIR12_U4TXIF @ PIR12.1;
bit U4EIF    @ PIR12.2;
bit PIR12_U4EIF @ PIR12.2;
bit U4IF     @ PIR12.3;
bit PIR12_U4IF @ PIR12.3;
bit DMA5SCNTIF @ PIR12.4;
bit PIR12_DMA5SCNTIF @ PIR12.4;
bit DMA5DCNTIF @ PIR12.5;
bit PIR12_DMA5DCNTIF @ PIR12.5;
bit DMA5ORIF @ PIR12.6;
bit PIR12_DMA5ORIF @ PIR12.6;
bit DMA5AIF  @ PIR12.7;
bit PIR12_DMA5AIF @ PIR12.7;

bit CCP3IF   @ PIR11.0;
bit PIR11_CCP3IF @ PIR11.0;
bit CLC6IF   @ PIR11.1;
bit PIR11_CLC6IF @ PIR11.1;
bit CWG3IF   @ PIR11.2;
bit PIR11_CWG3IF @ PIR11.2;
bit TMR4IF   @ PIR11.3;
bit PIR11_TMR4IF @ PIR11.3;
bit DMA4SCNTIF @ PIR11.4;
bit PIR11_DMA4SCNTIF @ PIR11.4;
bit DMA4DCNTIF @ PIR11.5;
bit PIR11_DMA4DCNTIF @ PIR11.5;
bit DMA4ORIF @ PIR11.6;
bit PIR11_DMA4ORIF @ PIR11.6;
bit DMA4AIF  @ PIR11.7;
bit PIR11_DMA4AIF @ PIR11.7;

bit INT2IF   @ PIR10.0;
bit PIR10_INT2IF @ PIR10.0;
bit CLC5IF   @ PIR10.1;
bit PIR10_CLC5IF @ PIR10.1;
bit CWG2IF   @ PIR10.2;
bit PIR10_CWG2IF @ PIR10.2;
bit NCO2IF   @ PIR10.3;
bit PIR10_NCO2IF @ PIR10.3;
bit DMA3SCNTIF @ PIR10.4;
bit PIR10_DMA3SCNTIF @ PIR10.4;
bit DMA3DCNTIF @ PIR10.5;
bit PIR10_DMA3DCNTIF @ PIR10.5;
bit DMA3ORIF @ PIR10.6;
bit PIR10_DMA3ORIF @ PIR10.6;
bit DMA3AIF  @ PIR10.7;
bit PIR10_DMA3AIF @ PIR10.7;

bit U3RXIF   @ PIR9.0;
bit PIR9_U3RXIF @ PIR9.0;
bit U3TXIF   @ PIR9.1;
bit PIR9_U3TXIF @ PIR9.1;
bit U3EIF    @ PIR9.2;
bit PIR9_U3EIF @ PIR9.2;
bit U3IF     @ PIR9.3;
bit PIR9_U3IF @ PIR9.3;
bit CLC4IF   @ PIR9.5;
bit PIR9_CLC4IF @ PIR9.5;
bit PWM4PIF  @ PIR9.6;
bit PIR9_PWM4PIF @ PIR9.6;
bit PWM4IF   @ PIR9.7;
bit PIR9_PWM4IF @ PIR9.7;

bit U2RXIF   @ PIR8.0;
bit PIR8_U2RXIF @ PIR8.0;
bit U2TXIF   @ PIR8.1;
bit PIR8_U2TXIF @ PIR8.1;
bit U2EIF    @ PIR8.2;
bit PIR8_U2EIF @ PIR8.2;
bit U2IF     @ PIR8.3;
bit PIR8_U2IF @ PIR8.3;
bit TMR5IF   @ PIR8.4;
bit PIR8_TMR5IF @ PIR8.4;
bit TMR5GIF  @ PIR8.5;
bit PIR8_TMR5GIF @ PIR8.5;
bit CCP2IF   @ PIR8.6;
bit PIR8_CCP2IF @ PIR8.6;
bit SCANIF   @ PIR8.7;
bit PIR8_SCANIF @ PIR8.7;

bit I2C1RXIF @ PIR7.0;
bit PIR7_I2C1RXIF @ PIR7.0;
bit I2C1TXIF @ PIR7.1;
bit PIR7_I2C1TXIF @ PIR7.1;
bit I2C1IF   @ PIR7.2;
bit PIR7_I2C1IF @ PIR7.2;
bit I2C1EIF  @ PIR7.3;
bit PIR7_I2C1EIF @ PIR7.3;
bit CLC3IF   @ PIR7.5;
bit PIR7_CLC3IF @ PIR7.5;
bit PWM3PIF  @ PIR7.6;
bit PIR7_PWM3PIF @ PIR7.6;
bit PWM3IF   @ PIR7.7;
bit PIR7_PWM3IF @ PIR7.7;

bit INT1IF   @ PIR6.0;
bit PIR6_INT1IF @ PIR6.0;
bit CLC2IF   @ PIR6.1;
bit PIR6_CLC2IF @ PIR6.1;
bit CWG1IF   @ PIR6.2;
bit PIR6_CWG1IF @ PIR6.2;
bit NCO1IF   @ PIR6.3;
bit PIR6_NCO1IF @ PIR6.3;
bit DMA2SCNTIF @ PIR6.4;
bit PIR6_DMA2SCNTIF @ PIR6.4;
bit DMA2DCNTIF @ PIR6.5;
bit PIR6_DMA2DCNTIF @ PIR6.5;
bit DMA2ORIF @ PIR6.6;
bit PIR6_DMA2ORIF @ PIR6.6;
bit DMA2AIF  @ PIR6.7;
bit PIR6_DMA2AIF @ PIR6.7;

bit SPI2RXIF @ PIR5.0;
bit PIR5_SPI2RXIF @ PIR5.0;
bit SPI2TXIF @ PIR5.1;
bit PIR5_SPI2TXIF @ PIR5.1;
bit SPI2IF   @ PIR5.2;
bit PIR5_SPI2IF @ PIR5.2;
bit TU16BIF  @ PIR5.3;
bit PIR5_TU16BIF @ PIR5.3;
bit TMR3IF   @ PIR5.4;
bit PIR5_TMR3IF @ PIR5.4;
bit TMR3GIF  @ PIR5.5;
bit PIR5_TMR3GIF @ PIR5.5;
bit PWM2PIF  @ PIR5.6;
bit PIR5_PWM2PIF @ PIR5.6;
bit PWM2IF   @ PIR5.7;
bit PIR5_PWM2IF @ PIR5.7;

bit U1RXIF   @ PIR4.0;
bit PIR4_U1RXIF @ PIR4.0;
bit U1TXIF   @ PIR4.1;
bit PIR4_U1TXIF @ PIR4.1;
bit U1EIF    @ PIR4.2;
bit PIR4_U1EIF @ PIR4.2;
bit U1IF     @ PIR4.3;
bit PIR4_U1IF @ PIR4.3;
bit CANRXIF  @ PIR4.4;
bit PIR4_CANRXIF @ PIR4.4;
bit CANTXIF  @ PIR4.5;
bit PIR4_CANTXIF @ PIR4.5;
bit PWM1PIF  @ PIR4.6;
bit PIR4_PWM1PIF @ PIR4.6;
bit PWM1IF   @ PIR4.7;
bit PIR4_PWM1IF @ PIR4.7;

bit SPI1RXIF @ PIR3.0;
bit PIR3_SPI1RXIF @ PIR3.0;
bit SPI1TXIF @ PIR3.1;
bit PIR3_SPI1TXIF @ PIR3.1;
bit SPI1IF   @ PIR3.2;
bit PIR3_SPI1IF @ PIR3.2;
bit TMR2IF   @ PIR3.3;
bit PIR3_TMR2IF @ PIR3.3;
bit TMR1IF   @ PIR3.4;
bit PIR3_TMR1IF @ PIR3.4;
bit TMR1GIF  @ PIR3.5;
bit PIR3_TMR1GIF @ PIR3.5;
bit CCP1IF   @ PIR3.6;
bit PIR3_CCP1IF @ PIR3.6;
bit TMR0IF   @ PIR3.7;
bit PIR3_TMR0IF @ PIR3.7;

bit PIR2_ADTIF @ PIR2.0;
bit ADCH1IF  @ PIR2.0;
bit PIR2_ADCH1IF @ PIR2.0;
bit ADCH2IF  @ PIR2.1;
bit PIR2_ADCH2IF @ PIR2.1;
bit ADCH3IF  @ PIR2.2;
bit PIR2_ADCH3IF @ PIR2.2;
bit ADCH4IF  @ PIR2.3;
bit PIR2_ADCH4IF @ PIR2.3;
bit DMA1SCNTIF @ PIR2.4;
bit PIR2_DMA1SCNTIF @ PIR2.4;
bit DMA1DCNTIF @ PIR2.5;
bit PIR2_DMA1DCNTIF @ PIR2.5;
bit DMA1ORIF @ PIR2.6;
bit PIR2_DMA1ORIF @ PIR2.6;
bit DMA1AIF  @ PIR2.7;
bit PIR2_DMA1AIF @ PIR2.7;

bit INT0IF   @ PIR1.0;
bit PIR1_INT0IF @ PIR1.0;
bit ZCDIF    @ PIR1.1;
bit PIR1_ZCDIF @ PIR1.1;
bit ADIF     @ PIR1.2;
bit PIR1_ADIF @ PIR1.2;
bit ACTIF    @ PIR1.3;
bit PIR1_ACTIF @ PIR1.3;
bit C1IF     @ PIR1.4;
bit PIR1_C1IF @ PIR1.4;
bit SMT1IF   @ PIR1.5;
bit PIR1_SMT1IF @ PIR1.5;
bit SMT1PRAIF @ PIR1.6;
bit PIR1_SMT1PRAIF @ PIR1.6;
bit SMT1PWAIF @ PIR1.7;
bit PIR1_SMT1PWAIF @ PIR1.7;

bit SWIF     @ PIR0.0;
bit PIR0_SWIF @ PIR0.0;
bit HLVDIF   @ PIR0.1;
bit PIR0_HLVDIF @ PIR0.1;
bit OSFIF    @ PIR0.2;
bit PIR0_OSFIF @ PIR0.2;
bit CSWIF    @ PIR0.3;
bit PIR0_CSWIF @ PIR0.3;
bit TU16AIF  @ PIR0.4;
bit PIR0_TU16AIF @ PIR0.4;
bit CLC1IF   @ PIR0.5;
bit PIR0_CLC1IF @ PIR0.5;
bit CANIF    @ PIR0.6;
bit PIR0_CANIF @ PIR0.6;
bit IOCIF    @ PIR0.7;
bit PIR0_IOCIF @ PIR0.7;

bit NVMIE    @ PIE15.0;
bit PIE15_NVMIE @ PIE15.0;
bit CLC8IE   @ PIE15.1;
bit PIE15_CLC8IE @ PIE15.1;
bit CRCIE    @ PIE15.2;
bit PIE15_CRCIE @ PIE15.2;
bit TMR6IE   @ PIE15.3;
bit PIE15_TMR6IE @ PIE15.3;
bit DMA8SCNTIE @ PIE15.4;
bit PIE15_DMA8SCNTIE @ PIE15.4;
bit DMA8DCNTIE @ PIE15.5;
bit PIE15_DMA8DCNTIE @ PIE15.5;
bit DMA8ORIE @ PIE15.6;
bit PIE15_DMA8ORIE @ PIE15.6;
bit DMA8AIE  @ PIE15.7;
bit PIE15_DMA8AIE @ PIE15.7;

bit CLC7IE   @ PIE14.1;
bit PIE14_CLC7IE @ PIE14.1;
bit C2IE     @ PIE14.2;
bit PIE14_C2IE @ PIE14.2;
bit NCO3IE   @ PIE14.3;
bit PIE14_NCO3IE @ PIE14.3;
bit DMA7SCNTIE @ PIE14.4;
bit PIE14_DMA7SCNTIE @ PIE14.4;
bit DMA7DCNTIE @ PIE14.5;
bit PIE14_DMA7DCNTIE @ PIE14.5;
bit DMA7ORIE @ PIE14.6;
bit PIE14_DMA7ORIE @ PIE14.6;
bit DMA7AIE  @ PIE14.7;
bit PIE14_DMA7AIE @ PIE14.7;

bit U5RXIE   @ PIE13.0;
bit PIE13_U5RXIE @ PIE13.0;
bit U5TXIE   @ PIE13.1;
bit PIE13_U5TXIE @ PIE13.1;
bit U5EIE    @ PIE13.2;
bit PIE13_U5EIE @ PIE13.2;
bit U5IE     @ PIE13.3;
bit PIE13_U5IE @ PIE13.3;
bit DMA6SCNTIE @ PIE13.4;
bit PIE13_DMA6SCNTIE @ PIE13.4;
bit DMA6DCNTIE @ PIE13.5;
bit PIE13_DMA6DCNTIE @ PIE13.5;
bit DMA6ORIE @ PIE13.6;
bit PIE13_DMA6ORIE @ PIE13.6;
bit DMA6AIE  @ PIE13.7;
bit PIE13_DMA6AIE @ PIE13.7;

bit U4RXIE   @ PIE12.0;
bit PIE12_U4RXIE @ PIE12.0;
bit U4TXIE   @ PIE12.1;
bit PIE12_U4TXIE @ PIE12.1;
bit U4EIE    @ PIE12.2;
bit PIE12_U4EIE @ PIE12.2;
bit U4IE     @ PIE12.3;
bit PIE12_U4IE @ PIE12.3;
bit DMA5SCNTIE @ PIE12.4;
bit PIE12_DMA5SCNTIE @ PIE12.4;
bit DMA5DCNTIE @ PIE12.5;
bit PIE12_DMA5DCNTIE @ PIE12.5;
bit DMA5ORIE @ PIE12.6;
bit PIE12_DMA5ORIE @ PIE12.6;
bit DMA5AIE  @ PIE12.7;
bit PIE12_DMA5AIE @ PIE12.7;

bit CCP3IE   @ PIE11.0;
bit PIE11_CCP3IE @ PIE11.0;
bit CLC6IE   @ PIE11.1;
bit PIE11_CLC6IE @ PIE11.1;
bit CWG3IE   @ PIE11.2;
bit PIE11_CWG3IE @ PIE11.2;
bit TMR4IE   @ PIE11.3;
bit PIE11_TMR4IE @ PIE11.3;
bit DMA4SCNTIE @ PIE11.4;
bit PIE11_DMA4SCNTIE @ PIE11.4;
bit DMA4DCNTIE @ PIE11.5;
bit PIE11_DMA4DCNTIE @ PIE11.5;
bit DMA4ORIE @ PIE11.6;
bit PIE11_DMA4ORIE @ PIE11.6;
bit DMA4AIE  @ PIE11.7;
bit PIE11_DMA4AIE @ PIE11.7;

bit INT2IE   @ PIE10.0;
bit PIE10_INT2IE @ PIE10.0;
bit CLC5IE   @ PIE10.1;
bit PIE10_CLC5IE @ PIE10.1;
bit CWG2IE   @ PIE10.2;
bit PIE10_CWG2IE @ PIE10.2;
bit NCO2IE   @ PIE10.3;
bit PIE10_NCO2IE @ PIE10.3;
bit DMA3SCNTIE @ PIE10.4;
bit PIE10_DMA3SCNTIE @ PIE10.4;
bit DMA3DCNTIE @ PIE10.5;
bit PIE10_DMA3DCNTIE @ PIE10.5;
bit DMA3ORIE @ PIE10.6;
bit PIE10_DMA3ORIE @ PIE10.6;
bit DMA3AIE  @ PIE10.7;
bit PIE10_DMA3AIE @ PIE10.7;

bit U3RXIE   @ PIE9.0;
bit PIE9_U3RXIE @ PIE9.0;
bit U3TXIE   @ PIE9.1;
bit PIE9_U3TXIE @ PIE9.1;
bit U3EIE    @ PIE9.2;
bit PIE9_U3EIE @ PIE9.2;
bit U3IE     @ PIE9.3;
bit PIE9_U3IE @ PIE9.3;
bit CLC4IE   @ PIE9.5;
bit PIE9_CLC4IE @ PIE9.5;
bit PWM4PIE  @ PIE9.6;
bit PIE9_PWM4PIE @ PIE9.6;
bit PWM4IE   @ PIE9.7;
bit PIE9_PWM4IE @ PIE9.7;

bit U2RXIE   @ PIE8.0;
bit PIE8_U2RXIE @ PIE8.0;
bit U2TXIE   @ PIE8.1;
bit PIE8_U2TXIE @ PIE8.1;
bit U2EIE    @ PIE8.2;
bit PIE8_U2EIE @ PIE8.2;
bit U2IE     @ PIE8.3;
bit PIE8_U2IE @ PIE8.3;
bit TMR5IE   @ PIE8.4;
bit PIE8_TMR5IE @ PIE8.4;
bit TMR5GIE  @ PIE8.5;
bit PIE8_TMR5GIE @ PIE8.5;
bit CCP2IE   @ PIE8.6;
bit PIE8_CCP2IE @ PIE8.6;
bit SCANIE   @ PIE8.7;
bit PIE8_SCANIE @ PIE8.7;

bit I2C1RXIE @ PIE7.0;
bit PIE7_I2C1RXIE @ PIE7.0;
bit I2C1TXIE @ PIE7.1;
bit PIE7_I2C1TXIE @ PIE7.1;
bit I2C1IE   @ PIE7.2;
bit PIE7_I2C1IE @ PIE7.2;
bit I2C1EIE  @ PIE7.3;
bit PIE7_I2C1EIE @ PIE7.3;
bit CLC3IE   @ PIE7.5;
bit PIE7_CLC3IE @ PIE7.5;
bit PWM3PIE  @ PIE7.6;
bit PIE7_PWM3PIE @ PIE7.6;
bit PWM3IE   @ PIE7.7;
bit PIE7_PWM3IE @ PIE7.7;

bit INT1IE   @ PIE6.0;
bit PIE6_INT1IE @ PIE6.0;
bit CLC2IE   @ PIE6.1;
bit PIE6_CLC2IE @ PIE6.1;
bit CWG1IE   @ PIE6.2;
bit PIE6_CWG1IE @ PIE6.2;
bit NCO1IE   @ PIE6.3;
bit PIE6_NCO1IE @ PIE6.3;
bit DMA2SCNTIE @ PIE6.4;
bit PIE6_DMA2SCNTIE @ PIE6.4;
bit DMA2DCNTIE @ PIE6.5;
bit PIE6_DMA2DCNTIE @ PIE6.5;
bit DMA2ORIE @ PIE6.6;
bit PIE6_DMA2ORIE @ PIE6.6;
bit DMA2AIE  @ PIE6.7;
bit PIE6_DMA2AIE @ PIE6.7;

bit SPI2RXIE @ PIE5.0;
bit PIE5_SPI2RXIE @ PIE5.0;
bit SPI2TXIE @ PIE5.1;
bit PIE5_SPI2TXIE @ PIE5.1;
bit SPI2IE   @ PIE5.2;
bit PIE5_SPI2IE @ PIE5.2;
bit TU16BIE  @ PIE5.3;
bit PIE5_TU16BIE @ PIE5.3;
bit TMR3IE   @ PIE5.4;
bit PIE5_TMR3IE @ PIE5.4;
bit TMR3GIE  @ PIE5.5;
bit PIE5_TMR3GIE @ PIE5.5;
bit PWM2PIE  @ PIE5.6;
bit PIE5_PWM2PIE @ PIE5.6;
bit PWM2IE   @ PIE5.7;
bit PIE5_PWM2IE @ PIE5.7;

bit U1RXIE   @ PIE4.0;
bit PIE4_U1RXIE @ PIE4.0;
bit U1TXIE   @ PIE4.1;
bit PIE4_U1TXIE @ PIE4.1;
bit U1EIE    @ PIE4.2;
bit PIE4_U1EIE @ PIE4.2;
bit U1IE     @ PIE4.3;
bit PIE4_U1IE @ PIE4.3;
bit CANRXIE  @ PIE4.4;
bit PIE4_CANRXIE @ PIE4.4;
bit CANTXIE  @ PIE4.5;
bit PIE4_CANTXIE @ PIE4.5;
bit PWM1PIE  @ PIE4.6;
bit PIE4_PWM1PIE @ PIE4.6;
bit PWM1IE   @ PIE4.7;
bit PIE4_PWM1IE @ PIE4.7;

bit SPI1RXIE @ PIE3.0;
bit PIE3_SPI1RXIE @ PIE3.0;
bit SPI1TXIE @ PIE3.1;
bit PIE3_SPI1TXIE @ PIE3.1;
bit SPI1IE   @ PIE3.2;
bit PIE3_SPI1IE @ PIE3.2;
bit TMR2IE   @ PIE3.3;
bit PIE3_TMR2IE @ PIE3.3;
bit TMR1IE   @ PIE3.4;
bit PIE3_TMR1IE @ PIE3.4;
bit TMR1GIE  @ PIE3.5;
bit PIE3_TMR1GIE @ PIE3.5;
bit CCP1IE   @ PIE3.6;
bit PIE3_CCP1IE @ PIE3.6;
bit TMR0IE   @ PIE3.7;
bit PIE3_TMR0IE @ PIE3.7;

bit PIE2_ADTIE @ PIE2.0;
bit ADCH1IE  @ PIE2.0;
bit PIE2_ADCH1IE @ PIE2.0;
bit ADCH2IE  @ PIE2.1;
bit PIE2_ADCH2IE @ PIE2.1;
bit ADCH3IE  @ PIE2.2;
bit PIE2_ADCH3IE @ PIE2.2;
bit ADCH4IE  @ PIE2.3;
bit PIE2_ADCH4IE @ PIE2.3;
bit DMA1SCNTIE @ PIE2.4;
bit PIE2_DMA1SCNTIE @ PIE2.4;
bit DMA1DCNTIE @ PIE2.5;
bit PIE2_DMA1DCNTIE @ PIE2.5;
bit DMA1ORIE @ PIE2.6;
bit PIE2_DMA1ORIE @ PIE2.6;
bit DMA1AIE  @ PIE2.7;
bit PIE2_DMA1AIE @ PIE2.7;

bit INT0IE   @ PIE1.0;
bit PIE1_INT0IE @ PIE1.0;
bit ZCDIE    @ PIE1.1;
bit PIE1_ZCDIE @ PIE1.1;
bit ADIE     @ PIE1.2;
bit PIE1_ADIE @ PIE1.2;
bit ACTIE    @ PIE1.3;
bit PIE1_ACTIE @ PIE1.3;
bit C1IE     @ PIE1.4;
bit PIE1_C1IE @ PIE1.4;
bit SMT1IE   @ PIE1.5;
bit PIE1_SMT1IE @ PIE1.5;
bit SMT1PRAIE @ PIE1.6;
bit PIE1_SMT1PRAIE @ PIE1.6;
bit SMT1PWAIE @ PIE1.7;
bit PIE1_SMT1PWAIE @ PIE1.7;

bit SWIE     @ PIE0.0;
bit PIE0_SWIE @ PIE0.0;
bit HLVDIE   @ PIE0.1;
bit PIE0_HLVDIE @ PIE0.1;
bit OSFIE    @ PIE0.2;
bit PIE0_OSFIE @ PIE0.2;
bit CSWIE    @ PIE0.3;
bit PIE0_CSWIE @ PIE0.3;
bit TU16AIE  @ PIE0.4;
bit PIE0_TU16AIE @ PIE0.4;
bit CLC1IE   @ PIE0.5;
bit PIE0_CLC1IE @ PIE0.5;
bit CANIE    @ PIE0.6;
bit PIE0_CANIE @ PIE0.6;
bit IOCIE    @ PIE0.7;
bit PIE0_IOCIE @ PIE0.7;

bit PWM1EN   @ PWMEN.0;
bit PWMEN_PWM1EN @ PWMEN.0;
bit PWM2EN   @ PWMEN.1;
bit PWMEN_PWM2EN @ PWMEN.1;
bit PWM3EN   @ PWMEN.2;
bit PWMEN_PWM3EN @ PWMEN.2;
bit PWM4EN   @ PWMEN.3;
bit PWMEN_PWM4EN @ PWMEN.3;

bit PWM1LD   @ PWMLOAD.0;
bit PWMLOAD_PWM1LD @ PWMLOAD.0;
bit PWM2LD   @ PWMLOAD.1;
bit PWMLOAD_PWM2LD @ PWMLOAD.1;
bit PWM3LD   @ PWMLOAD.2;
bit PWMLOAD_PWM3LD @ PWMLOAD.2;
bit PWM4LD   @ PWMLOAD.3;
bit PWMLOAD_PWM4LD @ PWMLOAD.3;

bit PWM4S1CFG_MODE0 @ PWM4S1CFG.0;
bit PWM4S1CFG_MODE1 @ PWM4S1CFG.1;
bit PWM4S1CFG_MODE2 @ PWM4S1CFG.2;
bit PWM4S1CFG_PPEN @ PWM4S1CFG.3;
bit PWM4S1CFG_POL1 @ PWM4S1CFG.6;
bit PWM4S1CFG_POL2 @ PWM4S1CFG.7;

bit PWM4CON_ERSNOW @ PWM4CON.0;
bit PWM4CON_ERSPOL @ PWM4CON.1;
bit PWM4CON_LD @ PWM4CON.2;
bit PWM4CON_EN @ PWM4CON.7;

bit PWM4GIE_S1P1IE @ PWM4GIE.0;
bit PWM4GIE_S1P2IE @ PWM4GIE.1;

bit PWM4GIR_S1P1IF @ PWM4GIR.0;
bit PWM4GIR_S1P2IF @ PWM4GIR.1;

bit PWM3S1CFG_MODE0 @ PWM3S1CFG.0;
bit PWM3S1CFG_MODE1 @ PWM3S1CFG.1;
bit PWM3S1CFG_MODE2 @ PWM3S1CFG.2;
bit PWM3S1CFG_PPEN @ PWM3S1CFG.3;
bit PWM3S1CFG_POL1 @ PWM3S1CFG.6;
bit PWM3S1CFG_POL2 @ PWM3S1CFG.7;

bit PWM3CON_ERSNOW @ PWM3CON.0;
bit PWM3CON_ERSPOL @ PWM3CON.1;
bit PWM3CON_LD @ PWM3CON.2;
bit PWM3CON_EN @ PWM3CON.7;

bit PWM3GIE_S1P1IE @ PWM3GIE.0;
bit PWM3GIE_S1P2IE @ PWM3GIE.1;

bit PWM3GIR_S1P1IF @ PWM3GIR.0;
bit PWM3GIR_S1P2IF @ PWM3GIR.1;

bit PWM2S1CFG_MODE0 @ PWM2S1CFG.0;
bit PWM2S1CFG_MODE1 @ PWM2S1CFG.1;
bit PWM2S1CFG_MODE2 @ PWM2S1CFG.2;
bit PWM2S1CFG_PPEN @ PWM2S1CFG.3;
bit PWM2S1CFG_POL1 @ PWM2S1CFG.6;
bit PWM2S1CFG_POL2 @ PWM2S1CFG.7;

bit PWM2CON_ERSNOW @ PWM2CON.0;
bit PWM2CON_ERSPOL @ PWM2CON.1;
bit PWM2CON_LD @ PWM2CON.2;
bit PWM2CON_EN @ PWM2CON.7;

bit PWM2GIE_S1P1IE @ PWM2GIE.0;
bit PWM2GIE_S1P2IE @ PWM2GIE.1;

bit PWM2GIR_S1P1IF @ PWM2GIR.0;
bit PWM2GIR_S1P2IF @ PWM2GIR.1;

bit PWM1S1CFG_MODE0 @ PWM1S1CFG.0;
bit PWM1S1CFG_MODE1 @ PWM1S1CFG.1;
bit PWM1S1CFG_MODE2 @ PWM1S1CFG.2;
bit PWM1S1CFG_PPEN @ PWM1S1CFG.3;
bit PWM1S1CFG_POL1 @ PWM1S1CFG.6;
bit PWM1S1CFG_POL2 @ PWM1S1CFG.7;

bit PWM1CON_ERSNOW @ PWM1CON.0;
bit PWM1CON_ERSPOL @ PWM1CON.1;
bit PWM1CON_LD @ PWM1CON.2;
bit PWM1CON_EN @ PWM1CON.7;

bit PWM1GIE_S1P1IE @ PWM1GIE.0;
bit PWM1GIE_S1P2IE @ PWM1GIE.1;

bit PWM1GIR_S1P1IF @ PWM1GIR.0;
bit PWM1GIR_S1P2IF @ PWM1GIR.1;

bit IVTLOCKED @ IVTLOCK.0;
bit IVTLOCK_IVTLOCKED @ IVTLOCK.0;

bit FSCMFEV  @ FSCMCON.0;
bit FSCMCON_FSCMFEV @ FSCMCON.0;
bit FSCMFFI  @ FSCMCON.1;
bit FSCMCON_FSCMFFI @ FSCMCON.1;
bit FSCMPEV  @ FSCMCON.2;
bit FSCMCON_FSCMPEV @ FSCMCON.2;
bit FSCMPFI  @ FSCMCON.3;
bit FSCMCON_FSCMPFI @ FSCMCON.3;
bit FSCMSEV  @ FSCMCON.4;
bit FSCMCON_FSCMSEV @ FSCMCON.4;
bit FSCMSFI  @ FSCMCON.5;
bit FSCMCON_FSCMSFI @ FSCMCON.5;

bit NCO3CLK_CKS0 @ NCO3CLK.0;
bit NCO3CKS0 @ NCO3CLK.0;
bit NCO3CLK_CKS1 @ NCO3CLK.1;
bit NCO3CKS1 @ NCO3CLK.1;
bit NCO3CLK_CKS2 @ NCO3CLK.2;
bit NCO3CKS2 @ NCO3CLK.2;
bit NCO3CLK_CKS3 @ NCO3CLK.3;
bit NCO3CKS3 @ NCO3CLK.3;
bit NCO3CLK_PWS0 @ NCO3CLK.5;
bit NCO3PWS0 @ NCO3CLK.5;
bit NCO3CLK_PWS1 @ NCO3CLK.6;
bit NCO3PWS1 @ NCO3CLK.6;
bit NCO3CLK_PWS2 @ NCO3CLK.7;
bit NCO3PWS2 @ NCO3CLK.7;

bit NCO3CON_PFM @ NCO3CON.0;
bit NCO3PFM  @ NCO3CON.0;
bit NCO3CON_POL @ NCO3CON.4;
bit NCO3POL  @ NCO3CON.4;
bit NCO3CON_OUT @ NCO3CON.5;
bit NCO3OUT  @ NCO3CON.5;
bit NCO3CON_EN @ NCO3CON.7;
bit NCO3EN   @ NCO3CON.7;

bit NCO2CLK_CKS0 @ NCO2CLK.0;
bit NCO2CKS0 @ NCO2CLK.0;
bit NCO2CLK_CKS1 @ NCO2CLK.1;
bit NCO2CKS1 @ NCO2CLK.1;
bit NCO2CLK_CKS2 @ NCO2CLK.2;
bit NCO2CKS2 @ NCO2CLK.2;
bit NCO2CLK_CKS3 @ NCO2CLK.3;
bit NCO2CKS3 @ NCO2CLK.3;
bit NCO2CLK_PWS0 @ NCO2CLK.5;
bit NCO2PWS0 @ NCO2CLK.5;
bit NCO2CLK_PWS1 @ NCO2CLK.6;
bit NCO2PWS1 @ NCO2CLK.6;
bit NCO2CLK_PWS2 @ NCO2CLK.7;
bit NCO2PWS2 @ NCO2CLK.7;

bit NCO2CON_PFM @ NCO2CON.0;
bit NCO2PFM  @ NCO2CON.0;
bit NCO2CON_POL @ NCO2CON.4;
bit NCO2POL  @ NCO2CON.4;
bit NCO2CON_OUT @ NCO2CON.5;
bit NCO2OUT  @ NCO2CON.5;
bit NCO2CON_EN @ NCO2CON.7;
bit NCO2EN   @ NCO2CON.7;

bit NCO1CLK_CKS0 @ NCO1CLK.0;
bit NCO1CKS0 @ NCO1CLK.0;
bit NCO1CLK_CKS1 @ NCO1CLK.1;
bit NCO1CKS1 @ NCO1CLK.1;
bit NCO1CLK_CKS2 @ NCO1CLK.2;
bit NCO1CKS2 @ NCO1CLK.2;
bit NCO1CLK_CKS3 @ NCO1CLK.3;
bit NCO1CKS3 @ NCO1CLK.3;
bit NCO1CLK_PWS0 @ NCO1CLK.5;
bit NCO1PWS0 @ NCO1CLK.5;
bit NCO1CLK_PWS1 @ NCO1CLK.6;
bit NCO1PWS1 @ NCO1CLK.6;
bit NCO1CLK_PWS2 @ NCO1CLK.7;
bit NCO1PWS2 @ NCO1CLK.7;

bit NCO1CON_PFM @ NCO1CON.0;
bit NCO1PFM  @ NCO1CON.0;
bit NCO1CON_POL @ NCO1CON.4;
bit NCO1POL  @ NCO1CON.4;
bit NCO1CON_OUT @ NCO1CON.5;
bit NCO1OUT  @ NCO1CON.5;
bit NCO1CON_EN @ NCO1CON.7;
bit NCO1EN   @ NCO1CON.7;

bit IOCEF3   @ IOCEF.3;

bit IOCEN3   @ IOCEN.3;

bit IOCEP3   @ IOCEP.3;

bit INLVLE0  @ INLVLE.0;
bit INLVLE1  @ INLVLE.1;
bit INLVLE2  @ INLVLE.2;
bit INLVLE3  @ INLVLE.3;

bit SLRE0    @ SLRCONE.0;
bit SLRE1    @ SLRCONE.1;
bit SLRE2    @ SLRCONE.2;

bit ODCE0    @ ODCONE.0;
bit ODCE1    @ ODCONE.1;
bit ODCE2    @ ODCONE.2;

bit WPUE0    @ WPUE.0;
bit WPUE1    @ WPUE.1;
bit WPUE2    @ WPUE.2;
bit WPUE3    @ WPUE.3;

bit ANSELE0  @ ANSELE.0;
bit ANSELE1  @ ANSELE.1;
bit ANSELE2  @ ANSELE.2;

bit INLVLD0  @ INLVLD.0;
bit INLVLD1  @ INLVLD.1;
bit INLVLD2  @ INLVLD.2;
bit INLVLD3  @ INLVLD.3;
bit INLVLD4  @ INLVLD.4;
bit INLVLD5  @ INLVLD.5;
bit INLVLD6  @ INLVLD.6;
bit INLVLD7  @ INLVLD.7;

bit SLRD0    @ SLRCOND.0;
bit SLRD1    @ SLRCOND.1;
bit SLRD2    @ SLRCOND.2;
bit SLRD3    @ SLRCOND.3;
bit SLRD4    @ SLRCOND.4;
bit SLRD5    @ SLRCOND.5;
bit SLRD6    @ SLRCOND.6;
bit SLRD7    @ SLRCOND.7;

bit ODCD0    @ ODCOND.0;
bit ODCD1    @ ODCOND.1;
bit ODCD2    @ ODCOND.2;
bit ODCD3    @ ODCOND.3;
bit ODCD4    @ ODCOND.4;
bit ODCD5    @ ODCOND.5;
bit ODCD6    @ ODCOND.6;
bit ODCD7    @ ODCOND.7;

bit WPUD0    @ WPUD.0;
bit WPUD1    @ WPUD.1;
bit WPUD2    @ WPUD.2;
bit WPUD3    @ WPUD.3;
bit WPUD4    @ WPUD.4;
bit WPUD5    @ WPUD.5;
bit WPUD6    @ WPUD.6;
bit WPUD7    @ WPUD.7;

bit ANSELD0  @ ANSELD.0;
bit ANSELD1  @ ANSELD.1;
bit ANSELD2  @ ANSELD.2;
bit ANSELD3  @ ANSELD.3;
bit ANSELD4  @ ANSELD.4;
bit ANSELD5  @ ANSELD.5;
bit ANSELD6  @ ANSELD.6;
bit ANSELD7  @ ANSELD.7;

bit IOCCF0   @ IOCCF.0;
bit IOCCF1   @ IOCCF.1;
bit IOCCF2   @ IOCCF.2;
bit IOCCF3   @ IOCCF.3;
bit IOCCF4   @ IOCCF.4;
bit IOCCF5   @ IOCCF.5;
bit IOCCF6   @ IOCCF.6;
bit IOCCF7   @ IOCCF.7;

bit IOCCN0   @ IOCCN.0;
bit IOCCN1   @ IOCCN.1;
bit IOCCN2   @ IOCCN.2;
bit IOCCN3   @ IOCCN.3;
bit IOCCN4   @ IOCCN.4;
bit IOCCN5   @ IOCCN.5;
bit IOCCN6   @ IOCCN.6;
bit IOCCN7   @ IOCCN.7;

bit IOCCP0   @ IOCCP.0;
bit IOCCP1   @ IOCCP.1;
bit IOCCP2   @ IOCCP.2;
bit IOCCP3   @ IOCCP.3;
bit IOCCP4   @ IOCCP.4;
bit IOCCP5   @ IOCCP.5;
bit IOCCP6   @ IOCCP.6;
bit IOCCP7   @ IOCCP.7;

bit INLVLC0  @ INLVLC.0;
bit INLVLC1  @ INLVLC.1;
bit INLVLC2  @ INLVLC.2;
bit INLVLC3  @ INLVLC.3;
bit INLVLC4  @ INLVLC.4;
bit INLVLC5  @ INLVLC.5;
bit INLVLC6  @ INLVLC.6;
bit INLVLC7  @ INLVLC.7;

bit SLRC0    @ SLRCONC.0;
bit SLRC1    @ SLRCONC.1;
bit SLRC2    @ SLRCONC.2;
bit SLRC3    @ SLRCONC.3;
bit SLRC4    @ SLRCONC.4;
bit SLRC5    @ SLRCONC.5;
bit SLRC6    @ SLRCONC.6;
bit SLRC7    @ SLRCONC.7;

bit ODCC0    @ ODCONC.0;
bit ODCC1    @ ODCONC.1;
bit ODCC2    @ ODCONC.2;
bit ODCC3    @ ODCONC.3;
bit ODCC4    @ ODCONC.4;
bit ODCC5    @ ODCONC.5;
bit ODCC6    @ ODCONC.6;
bit ODCC7    @ ODCONC.7;

bit WPUC0    @ WPUC.0;
bit WPUC1    @ WPUC.1;
bit WPUC2    @ WPUC.2;
bit WPUC3    @ WPUC.3;
bit WPUC4    @ WPUC.4;
bit WPUC5    @ WPUC.5;
bit WPUC6    @ WPUC.6;
bit WPUC7    @ WPUC.7;

bit ANSELC0  @ ANSELC.0;
bit ANSELC1  @ ANSELC.1;
bit ANSELC2  @ ANSELC.2;
bit ANSELC3  @ ANSELC.3;
bit ANSELC4  @ ANSELC.4;
bit ANSELC5  @ ANSELC.5;
bit ANSELC6  @ ANSELC.6;
bit ANSELC7  @ ANSELC.7;

bit IOCBF0   @ IOCBF.0;
bit IOCBF1   @ IOCBF.1;
bit IOCBF2   @ IOCBF.2;
bit IOCBF3   @ IOCBF.3;
bit IOCBF4   @ IOCBF.4;
bit IOCBF5   @ IOCBF.5;
bit IOCBF6   @ IOCBF.6;
bit IOCBF7   @ IOCBF.7;

bit IOCBN0   @ IOCBN.0;
bit IOCBN1   @ IOCBN.1;
bit IOCBN2   @ IOCBN.2;
bit IOCBN3   @ IOCBN.3;
bit IOCBN4   @ IOCBN.4;
bit IOCBN5   @ IOCBN.5;
bit IOCBN6   @ IOCBN.6;
bit IOCBN7   @ IOCBN.7;

bit IOCBP0   @ IOCBP.0;
bit IOCBP1   @ IOCBP.1;
bit IOCBP2   @ IOCBP.2;
bit IOCBP3   @ IOCBP.3;
bit IOCBP4   @ IOCBP.4;
bit IOCBP5   @ IOCBP.5;
bit IOCBP6   @ IOCBP.6;
bit IOCBP7   @ IOCBP.7;

bit INLVLB0  @ INLVLB.0;
bit INLVLB1  @ INLVLB.1;
bit INLVLB2  @ INLVLB.2;
bit INLVLB3  @ INLVLB.3;
bit INLVLB4  @ INLVLB.4;
bit INLVLB5  @ INLVLB.5;
bit INLVLB6  @ INLVLB.6;
bit INLVLB7  @ INLVLB.7;

bit SLRB0    @ SLRCONB.0;
bit SLRB1    @ SLRCONB.1;
bit SLRB2    @ SLRCONB.2;
bit SLRB3    @ SLRCONB.3;
bit SLRB4    @ SLRCONB.4;
bit SLRB5    @ SLRCONB.5;
bit SLRB6    @ SLRCONB.6;
bit SLRB7    @ SLRCONB.7;

bit ODCB0    @ ODCONB.0;
bit ODCB1    @ ODCONB.1;
bit ODCB2    @ ODCONB.2;
bit ODCB3    @ ODCONB.3;
bit ODCB4    @ ODCONB.4;
bit ODCB5    @ ODCONB.5;
bit ODCB6    @ ODCONB.6;
bit ODCB7    @ ODCONB.7;

bit WPUB0    @ WPUB.0;
bit WPUB1    @ WPUB.1;
bit WPUB2    @ WPUB.2;
bit WPUB3    @ WPUB.3;
bit WPUB4    @ WPUB.4;
bit WPUB5    @ WPUB.5;
bit WPUB6    @ WPUB.6;
bit WPUB7    @ WPUB.7;

bit ANSELB0  @ ANSELB.0;
bit ANSELB1  @ ANSELB.1;
bit ANSELB2  @ ANSELB.2;
bit ANSELB3  @ ANSELB.3;
bit ANSELB4  @ ANSELB.4;
bit ANSELB5  @ ANSELB.5;
bit ANSELB6  @ ANSELB.6;
bit ANSELB7  @ ANSELB.7;

bit IOCAF0   @ IOCAF.0;
bit IOCAF1   @ IOCAF.1;
bit IOCAF2   @ IOCAF.2;
bit IOCAF3   @ IOCAF.3;
bit IOCAF4   @ IOCAF.4;
bit IOCAF5   @ IOCAF.5;
bit IOCAF6   @ IOCAF.6;
bit IOCAF7   @ IOCAF.7;

bit IOCAN0   @ IOCAN.0;
bit IOCAN1   @ IOCAN.1;
bit IOCAN2   @ IOCAN.2;
bit IOCAN3   @ IOCAN.3;
bit IOCAN4   @ IOCAN.4;
bit IOCAN5   @ IOCAN.5;
bit IOCAN6   @ IOCAN.6;
bit IOCAN7   @ IOCAN.7;

bit IOCAP0   @ IOCAP.0;
bit IOCAP1   @ IOCAP.1;
bit IOCAP2   @ IOCAP.2;
bit IOCAP3   @ IOCAP.3;
bit IOCAP4   @ IOCAP.4;
bit IOCAP5   @ IOCAP.5;
bit IOCAP6   @ IOCAP.6;
bit IOCAP7   @ IOCAP.7;

bit INLVLA0  @ INLVLA.0;
bit INLVLA1  @ INLVLA.1;
bit INLVLA2  @ INLVLA.2;
bit INLVLA3  @ INLVLA.3;
bit INLVLA4  @ INLVLA.4;
bit INLVLA5  @ INLVLA.5;
bit INLVLA6  @ INLVLA.6;
bit INLVLA7  @ INLVLA.7;

bit SLRA0    @ SLRCONA.0;
bit SLRA1    @ SLRCONA.1;
bit SLRA2    @ SLRCONA.2;
bit SLRA3    @ SLRCONA.3;
bit SLRA4    @ SLRCONA.4;
bit SLRA5    @ SLRCONA.5;
bit SLRA6    @ SLRCONA.6;
bit SLRA7    @ SLRCONA.7;

bit ODCA0    @ ODCONA.0;
bit ODCA1    @ ODCONA.1;
bit ODCA2    @ ODCONA.2;
bit ODCA3    @ ODCONA.3;
bit ODCA4    @ ODCONA.4;
bit ODCA5    @ ODCONA.5;
bit ODCA6    @ ODCONA.6;
bit ODCA7    @ ODCONA.7;

bit WPUA0    @ WPUA.0;
bit WPUA1    @ WPUA.1;
bit WPUA2    @ WPUA.2;
bit WPUA3    @ WPUA.3;
bit WPUA4    @ WPUA.4;
bit WPUA5    @ WPUA.5;
bit WPUA6    @ WPUA.6;
bit WPUA7    @ WPUA.7;

bit ANSELA0  @ ANSELA.0;
bit ANSELA1  @ ANSELA.1;
bit ANSELA2  @ ANSELA.2;
bit ANSELA3  @ ANSELA.3;
bit ANSELA4  @ ANSELA.4;
bit ANSELA5  @ ANSELA.5;
bit ANSELA6  @ ANSELA.6;
bit ANSELA7  @ ANSELA.7;

bit ADCSEL4_SSI @ ADCSEL4.6;
bit ADCSEL4_CHEN @ ADCSEL4.7;

bit ADCSEL3_SSI @ ADCSEL3.6;
bit ADCSEL3_CHEN @ ADCSEL3.7;

bit ADCSEL2_SSI @ ADCSEL2.6;
bit ADCSEL2_CHEN @ ADCSEL2.7;

bit ADCSEL1_SSI @ ADCSEL1.6;
bit ADCSEL1_CHEN @ ADCSEL1.7;

bit ADCTX_CTX0 @ ADCTX.0;
bit ADCTX0   @ ADCTX.0;
bit ADCTX_CTX1 @ ADCTX.1;
bit ADCTX1   @ ADCTX.1;
bit ADCTX_CTXSW @ ADCTX.7;
bit ADCTXSW  @ ADCTX.7;

bit ADREF_PREF0 @ ADREF.0;
bit ADPREF0  @ ADREF.0;
bit ADREF_PREF1 @ ADREF.1;
bit ADPREF1  @ ADREF.1;
bit ADREF_NREF0 @ ADREF.4;
bit ADNREF0  @ ADREF.4;

bit ADSTAT0  @ ADSTAT.0;
bit ADSTAT_STAT0 @ ADSTAT.0;
bit ADSTAT1  @ ADSTAT.1;
bit ADSTAT_STAT1 @ ADSTAT.1;
bit ADSTAT2  @ ADSTAT.2;
bit ADSTAT_STAT2 @ ADSTAT.2;
bit ADSTAT_MATH @ ADSTAT.4;
bit ADMATH   @ ADSTAT.4;
bit ADSTAT_LTHR @ ADSTAT.5;
bit ADLTHR   @ ADSTAT.5;
bit ADSTAT_UTHR @ ADSTAT.6;
bit ADUTHR   @ ADSTAT.6;
bit ADSTAT_OV @ ADSTAT.7;
bit ADAOV    @ ADSTAT.7;
bit ADSTAT_ADOV @ ADSTAT.7;

bit ADTMD0   @ ADCON3.0;
bit ADCON3_TMD0 @ ADCON3.0;
bit ADTMD1   @ ADCON3.1;
bit ADCON3_TMD1 @ ADCON3.1;
bit ADTMD2   @ ADCON3.2;
bit ADCON3_TMD2 @ ADCON3.2;
bit ADCON3_SOI @ ADCON3.3;
bit ADSOI    @ ADCON3.3;
bit ADCALC0  @ ADCON3.4;
bit ADCON3_CALC0 @ ADCON3.4;
bit ADCALC1  @ ADCON3.5;
bit ADCON3_CALC1 @ ADCON3.5;
bit ADCALC2  @ ADCON3.6;
bit ADCON3_CALC2 @ ADCON3.6;

bit ADMD0    @ ADCON2.0;
bit ADCON2_MODE0 @ ADCON2.0;
bit ADCON2_MD0 @ ADCON2.0;
bit ADMD1    @ ADCON2.1;
bit ADCON2_MODE1 @ ADCON2.1;
bit ADCON2_MD1 @ ADCON2.1;
bit ADMD2    @ ADCON2.2;
bit ADCON2_MODE2 @ ADCON2.2;
bit ADCON2_MD2 @ ADCON2.2;
bit ADCON2_ACLR @ ADCON2.3;
bit ADACLR   @ ADCON2.3;
bit ADCRS0   @ ADCON2.4;
bit ADCON2_CRS0 @ ADCON2.4;
bit ADCRS1   @ ADCON2.5;
bit ADCON2_CRS1 @ ADCON2.5;
bit ADCRS2   @ ADCON2.6;
bit ADCON2_CRS2 @ ADCON2.6;
bit ADCON2_PSIS @ ADCON2.7;
bit ADPSIS   @ ADCON2.7;

bit ADCON1_DSEN @ ADCON1.0;
bit ADDSEN   @ ADCON1.0;
bit ADCON1_GPOL @ ADCON1.5;
bit ADGPOL   @ ADCON1.5;
bit ADCON1_IPEN @ ADCON1.6;
bit ADIPEN   @ ADCON1.6;
bit ADCON1_PPOL @ ADCON1.7;
bit ADPPOL   @ ADCON1.7;

bit ADCON0_GO @ ADCON0.0;
bit ADGO     @ ADCON0.0;
bit ADCON0_DONE @ ADCON0.0;
bit ADCON0_GO_NOT_DONE @ ADCON0.0;
bit ADCON0_GO_nDONE @ ADCON0.0;
bit ADCON0_FM0 @ ADCON0.2;
bit ADFM0    @ ADCON0.2;
bit ADCON0_CS @ ADCON0.4;
bit ADCS     @ ADCON0.4;
bit ADCON0_CSEN @ ADCON0.5;
bit ADCSEN   @ ADCON0.5;
bit ADCON0_CONT @ ADCON0.6;
bit ADCONT   @ ADCON0.6;
bit ADCON0_ON @ ADCON0.7;
bit ADON     @ ADCON0.7;

bit ADACC16  @ ADACCU.0;
bit ADACCU_ACC16 @ ADACCU.0;
bit ADACC17  @ ADACCU.1;
bit ADACCU_ACC17 @ ADACCU.1;

bit ADCPCON_CPRDY @ ADCPCON.0;
bit ADCPRDY  @ ADCPCON.0;
bit ADCPCON_ON @ ADCPCON.7;
bit ADCPCON_CPON @ ADCPCON.7;
bit ADCPON   @ ADCPCON.7;

bit ADFVR0   @ FVRCON.0;
bit FVRCON_ADFVR0 @ FVRCON.0;
bit ADFVR1   @ FVRCON.1;
bit FVRCON_ADFVR1 @ FVRCON.1;
bit CDAFVR0  @ FVRCON.2;
bit FVRCON_CDAFVR0 @ FVRCON.2;
bit CDAFVR1  @ FVRCON.3;
bit FVRCON_CDAFVR1 @ FVRCON.3;
bit TSRNG    @ FVRCON.4;
bit FVRCON_TSRNG @ FVRCON.4;
bit TSEN     @ FVRCON.5;
bit FVRCON_TSEN @ FVRCON.5;
bit FVRCON_RDY @ FVRCON.6;
bit FVRRDY   @ FVRCON.6;
bit FVRCON_EN @ FVRCON.7;
bit FVREN    @ FVRCON.7;

bit CWG3STR_STRA @ CWG3STR.0;
bit CWG3STRA @ CWG3STR.0;
bit CWG3STR_STRB @ CWG3STR.1;
bit CWG3STRB @ CWG3STR.1;
bit CWG3STR_STRC @ CWG3STR.2;
bit CWG3STRC @ CWG3STR.2;
bit CWG3STR_STRD @ CWG3STR.3;
bit CWG3STRD @ CWG3STR.3;
bit CWG3STR_OVRA @ CWG3STR.4;
bit CWG3OVRA @ CWG3STR.4;
bit CWG3STR_OVRB @ CWG3STR.5;
bit CWG3OVRB @ CWG3STR.5;
bit CWG3STR_OVRC @ CWG3STR.6;
bit CWG3OVRC @ CWG3STR.6;
bit CWG3STR_OVRD @ CWG3STR.7;
bit CWG3OVRD @ CWG3STR.7;

bit CWG3AS1_AS0E @ CWG3AS1.0;
bit CWG3AS1_AS1E @ CWG3AS1.1;
bit CWG3AS1_AS2E @ CWG3AS1.2;
bit CWG3AS1_AS3E @ CWG3AS1.3;
bit CWG3AS1_AS4E @ CWG3AS1.4;
bit CWG3AS1_AS5E @ CWG3AS1.5;
bit CWG3AS1_AS6E @ CWG3AS1.6;
bit CWG3AS1_AS7E @ CWG3AS1.7;

bit CWG3AS0_LSAC0 @ CWG3AS0.2;
bit CWG3LSAC0 @ CWG3AS0.2;
bit CWG3AS0_LSAC1 @ CWG3AS0.3;
bit CWG3LSAC1 @ CWG3AS0.3;
bit CWG3AS0_LSBD0 @ CWG3AS0.4;
bit CWG3LSBD0 @ CWG3AS0.4;
bit CWG3AS0_LSBD1 @ CWG3AS0.5;
bit CWG3LSBD1 @ CWG3AS0.5;
bit CWG3AS0_REN @ CWG3AS0.6;
bit CWG3REN  @ CWG3AS0.6;
bit CWG3AS0_SHUTDOWN @ CWG3AS0.7;
bit CWG3SHUTDOWN @ CWG3AS0.7;

bit CWG3CON1_POLA @ CWG3CON1.0;
bit CWG3POLA @ CWG3CON1.0;
bit CWG3CON1_POLB @ CWG3CON1.1;
bit CWG3POLB @ CWG3CON1.1;
bit CWG3CON1_POLC @ CWG3CON1.2;
bit CWG3POLC @ CWG3CON1.2;
bit CWG3CON1_POLD @ CWG3CON1.3;
bit CWG3POLD @ CWG3CON1.3;
bit CWG3CON1_IN @ CWG3CON1.5;
bit CWG3IN   @ CWG3CON1.5;

bit CWG3CON0_MODE0 @ CWG3CON0.0;
bit CWG3MODE0 @ CWG3CON0.0;
bit CWG3CON0_MODE1 @ CWG3CON0.1;
bit CWG3MODE1 @ CWG3CON0.1;
bit CWG3CON0_MODE2 @ CWG3CON0.2;
bit CWG3MODE2 @ CWG3CON0.2;
bit CWG3CON0_LD @ CWG3CON0.6;
bit CWG3LD   @ CWG3CON0.6;
bit CWG3CON0_EN @ CWG3CON0.7;
bit CWG3CON0_G3EN @ CWG3CON0.7;
bit CWG3EN   @ CWG3CON0.7;

bit CWG3CLK_CS @ CWG3CLK.0;
bit CWG3CS   @ CWG3CLK.0;

bit CWG2STR_STRA @ CWG2STR.0;
bit CWG2STRA @ CWG2STR.0;
bit CWG2STR_STRB @ CWG2STR.1;
bit CWG2STRB @ CWG2STR.1;
bit CWG2STR_STRC @ CWG2STR.2;
bit CWG2STRC @ CWG2STR.2;
bit CWG2STR_STRD @ CWG2STR.3;
bit CWG2STRD @ CWG2STR.3;
bit CWG2STR_OVRA @ CWG2STR.4;
bit CWG2OVRA @ CWG2STR.4;
bit CWG2STR_OVRB @ CWG2STR.5;
bit CWG2OVRB @ CWG2STR.5;
bit CWG2STR_OVRC @ CWG2STR.6;
bit CWG2OVRC @ CWG2STR.6;
bit CWG2STR_OVRD @ CWG2STR.7;
bit CWG2OVRD @ CWG2STR.7;

bit CWG2AS1_AS0E @ CWG2AS1.0;
bit CWG2AS1_AS1E @ CWG2AS1.1;
bit CWG2AS1_AS2E @ CWG2AS1.2;
bit CWG2AS1_AS3E @ CWG2AS1.3;
bit CWG2AS1_AS4E @ CWG2AS1.4;
bit CWG2AS1_AS5E @ CWG2AS1.5;
bit CWG2AS1_AS6E @ CWG2AS1.6;
bit CWG2AS1_AS7E @ CWG2AS1.7;

bit CWG2AS0_LSAC0 @ CWG2AS0.2;
bit CWG2LSAC0 @ CWG2AS0.2;
bit CWG2AS0_LSAC1 @ CWG2AS0.3;
bit CWG2LSAC1 @ CWG2AS0.3;
bit CWG2AS0_LSBD0 @ CWG2AS0.4;
bit CWG2LSBD0 @ CWG2AS0.4;
bit CWG2AS0_LSBD1 @ CWG2AS0.5;
bit CWG2LSBD1 @ CWG2AS0.5;
bit CWG2AS0_REN @ CWG2AS0.6;
bit CWG2REN  @ CWG2AS0.6;
bit CWG2AS0_SHUTDOWN @ CWG2AS0.7;
bit CWG2SHUTDOWN @ CWG2AS0.7;

bit CWG2CON1_POLA @ CWG2CON1.0;
bit CWG2POLA @ CWG2CON1.0;
bit CWG2CON1_POLB @ CWG2CON1.1;
bit CWG2POLB @ CWG2CON1.1;
bit CWG2CON1_POLC @ CWG2CON1.2;
bit CWG2POLC @ CWG2CON1.2;
bit CWG2CON1_POLD @ CWG2CON1.3;
bit CWG2POLD @ CWG2CON1.3;
bit CWG2CON1_IN @ CWG2CON1.5;
bit CWG2IN   @ CWG2CON1.5;

bit CWG2CON0_MODE0 @ CWG2CON0.0;
bit CWG2MODE0 @ CWG2CON0.0;
bit CWG2CON0_MODE1 @ CWG2CON0.1;
bit CWG2MODE1 @ CWG2CON0.1;
bit CWG2CON0_MODE2 @ CWG2CON0.2;
bit CWG2MODE2 @ CWG2CON0.2;
bit CWG2CON0_LD @ CWG2CON0.6;
bit CWG2LD   @ CWG2CON0.6;
bit CWG2CON0_EN @ CWG2CON0.7;
bit CWG2CON0_G2EN @ CWG2CON0.7;
bit CWG2EN   @ CWG2CON0.7;

bit CWG2CLK_CS @ CWG2CLK.0;
bit CWG2CS   @ CWG2CLK.0;

bit CWG1STR_STRA @ CWG1STR.0;
bit CWG1STRA @ CWG1STR.0;
bit CWG1STR_STRB @ CWG1STR.1;
bit CWG1STRB @ CWG1STR.1;
bit CWG1STR_STRC @ CWG1STR.2;
bit CWG1STRC @ CWG1STR.2;
bit CWG1STR_STRD @ CWG1STR.3;
bit CWG1STRD @ CWG1STR.3;
bit CWG1STR_OVRA @ CWG1STR.4;
bit CWG1OVRA @ CWG1STR.4;
bit CWG1STR_OVRB @ CWG1STR.5;
bit CWG1OVRB @ CWG1STR.5;
bit CWG1STR_OVRC @ CWG1STR.6;
bit CWG1OVRC @ CWG1STR.6;
bit CWG1STR_OVRD @ CWG1STR.7;
bit CWG1OVRD @ CWG1STR.7;

bit CWG1AS1_AS0E @ CWG1AS1.0;
bit CWG1AS1_AS1E @ CWG1AS1.1;
bit CWG1AS1_AS2E @ CWG1AS1.2;
bit CWG1AS1_AS3E @ CWG1AS1.3;
bit CWG1AS1_AS4E @ CWG1AS1.4;
bit CWG1AS1_AS5E @ CWG1AS1.5;
bit CWG1AS1_AS6E @ CWG1AS1.6;
bit CWG1AS1_AS7E @ CWG1AS1.7;

bit CWG1AS0_LSAC0 @ CWG1AS0.2;
bit CWG1LSAC0 @ CWG1AS0.2;
bit CWG1AS0_LSAC1 @ CWG1AS0.3;
bit CWG1LSAC1 @ CWG1AS0.3;
bit CWG1AS0_LSBD0 @ CWG1AS0.4;
bit CWG1LSBD0 @ CWG1AS0.4;
bit CWG1AS0_LSBD1 @ CWG1AS0.5;
bit CWG1LSBD1 @ CWG1AS0.5;
bit CWG1AS0_REN @ CWG1AS0.6;
bit CWG1REN  @ CWG1AS0.6;
bit CWG1AS0_SHUTDOWN @ CWG1AS0.7;
bit CWG1SHUTDOWN @ CWG1AS0.7;

bit CWG1CON1_POLA @ CWG1CON1.0;
bit CWG1POLA @ CWG1CON1.0;
bit CWG1CON1_POLB @ CWG1CON1.1;
bit CWG1POLB @ CWG1CON1.1;
bit CWG1CON1_POLC @ CWG1CON1.2;
bit CWG1POLC @ CWG1CON1.2;
bit CWG1CON1_POLD @ CWG1CON1.3;
bit CWG1POLD @ CWG1CON1.3;
bit CWG1CON1_IN @ CWG1CON1.5;
bit CWG1IN   @ CWG1CON1.5;

bit CWG1CON0_MODE0 @ CWG1CON0.0;
bit CWG1MODE0 @ CWG1CON0.0;
bit CWG1CON0_MODE1 @ CWG1CON0.1;
bit CWG1MODE1 @ CWG1CON0.1;
bit CWG1CON0_MODE2 @ CWG1CON0.2;
bit CWG1MODE2 @ CWG1CON0.2;
bit CWG1CON0_LD @ CWG1CON0.6;
bit CWG1LD   @ CWG1CON0.6;
bit CWG1CON0_EN @ CWG1CON0.7;
bit CWG1CON0_G1EN @ CWG1CON0.7;
bit CWG1EN   @ CWG1CON0.7;

bit CWG1CLK_CS @ CWG1CLK.0;
bit CWG1CS   @ CWG1CLK.0;

bit TUCHAIN_CH16AB @ TUCHAIN.0;

bit TU16BTMRH0 @ TU16BTMRH.0;
bit TU16BTMRH_CRH0 @ TU16BTMRH.0;
bit TU16BTMRH_TU16BCRH0 @ TU16BTMRH.0;
bit TU16BTMRH_TU16BCR8 @ TU16BTMRH.0;
bit TU16BTMRH1 @ TU16BTMRH.1;
bit TU16BTMRH_CRH1 @ TU16BTMRH.1;
bit TU16BTMRH_TU16BCRH1 @ TU16BTMRH.1;
bit TU16BTMRH_TU16BCR9 @ TU16BTMRH.1;
bit TU16BTMRH2 @ TU16BTMRH.2;
bit TU16BTMRH_CRH2 @ TU16BTMRH.2;
bit TU16BTMRH_TU16BCRH2 @ TU16BTMRH.2;
bit TU16BTMRH_TU16BCR10 @ TU16BTMRH.2;
bit TU16BTMRH3 @ TU16BTMRH.3;
bit TU16BTMRH_CRH3 @ TU16BTMRH.3;
bit TU16BTMRH_TU16BCRH3 @ TU16BTMRH.3;
bit TU16BTMRH_TU16BCR11 @ TU16BTMRH.3;
bit TU16BTMRH4 @ TU16BTMRH.4;
bit TU16BTMRH_CRH4 @ TU16BTMRH.4;
bit TU16BTMRH_TU16BCRH4 @ TU16BTMRH.4;
bit TU16BTMRH_TU16BCR12 @ TU16BTMRH.4;
bit TU16BTMRH5 @ TU16BTMRH.5;
bit TU16BTMRH_CRH5 @ TU16BTMRH.5;
bit TU16BTMRH_TU16BCRH5 @ TU16BTMRH.5;
bit TU16BTMRH_TU16BCR13 @ TU16BTMRH.5;
bit TU16BTMRH6 @ TU16BTMRH.6;
bit TU16BTMRH_CRH6 @ TU16BTMRH.6;
bit TU16BTMRH_TU16BCRH6 @ TU16BTMRH.6;
bit TU16BTMRH_TU16BCR14 @ TU16BTMRH.6;
bit TU16BTMRH7 @ TU16BTMRH.7;
bit TU16BTMRH_CRH7 @ TU16BTMRH.7;
bit TU16BTMRH_TU16BCRH7 @ TU16BTMRH.7;
bit TU16BTMRH_TU16BCR15 @ TU16BTMRH.7;

bit TU16BCR_CRL0 @ TU16BCR.0;
bit TU16BCR_TU16BCRL0 @ TU16BCR.0;
bit TU16BCR_TU16BCR0 @ TU16BCR.0;
bit TU16BCR_CRL1 @ TU16BCR.1;
bit TU16BCR_TU16BCRL1 @ TU16BCR.1;
bit TU16BCR_TU16BCR1 @ TU16BCR.1;
bit TU16BCR_CRL2 @ TU16BCR.2;
bit TU16BCR_TU16BCRL2 @ TU16BCR.2;
bit TU16BCR_TU16BCR2 @ TU16BCR.2;
bit TU16BCR_CRL3 @ TU16BCR.3;
bit TU16BCR_TU16BCRL3 @ TU16BCR.3;
bit TU16BCR_TU16BCR3 @ TU16BCR.3;
bit TU16BCR_CRL4 @ TU16BCR.4;
bit TU16BCR_TU16BCRL4 @ TU16BCR.4;
bit TU16BCR_TU16BCR4 @ TU16BCR.4;
bit TU16BCR_CRL5 @ TU16BCR.5;
bit TU16BCR_TU16BCRL5 @ TU16BCR.5;
bit TU16BCR_TU16BCR5 @ TU16BCR.5;
bit TU16BCR_CRL6 @ TU16BCR.6;
bit TU16BCR_TU16BCRL6 @ TU16BCR.6;
bit TU16BCR_TU16BCR6 @ TU16BCR.6;
bit TU16BCR_CRL7 @ TU16BCR.7;
bit TU16BCR_TU16BCRL7 @ TU16BCR.7;
bit TU16BCR_TU16BCR7 @ TU16BCR.7;

bit TU16BHLT_STOP0 @ TU16BHLT.0;
bit TU16BSTOP0 @ TU16BHLT.0;
bit TU16BHLT_STOP1 @ TU16BHLT.1;
bit TU16BSTOP1 @ TU16BHLT.1;
bit TU16BHLT_RESET0 @ TU16BHLT.2;
bit TU16BRESET0 @ TU16BHLT.2;
bit TU16BHLT_RESET1 @ TU16BHLT.3;
bit TU16BRESET1 @ TU16BHLT.3;
bit TU16BHLT_START0 @ TU16BHLT.4;
bit TU16BSTART0 @ TU16BHLT.4;
bit TU16BHLT_START1 @ TU16BHLT.5;
bit TU16BSTART1 @ TU16BHLT.5;
bit TU16BHLT_CSYNC @ TU16BHLT.6;
bit TU16BCSYNC @ TU16BHLT.6;
bit TU16BHLT_EPOL @ TU16BHLT.7;
bit TU16BEPOL @ TU16BHLT.7;

bit TU16BCON1_CIF @ TU16BCON1.0;
bit TU16BCIF @ TU16BCON1.0;
bit TU16BCON1_ZIF @ TU16BCON1.1;
bit TU16BZIF @ TU16BCON1.1;
bit TU16BCON1_PRIF @ TU16BCON1.2;
bit TU16BPRIF @ TU16BCON1.2;
bit TU16BCON1_CAPT @ TU16BCON1.3;
bit TU16BCAPT @ TU16BCON1.3;
bit TU16BCON1_LIMIT @ TU16BCON1.4;
bit TU16BLIMIT @ TU16BCON1.4;
bit TU16BCON1_CLR @ TU16BCON1.5;
bit TU16BCLR @ TU16BCON1.5;
bit TU16BCON1_OSEN @ TU16BCON1.6;
bit TU16BCON1_TMRBOSEN @ TU16BCON1.6;
bit TU16BCON1_RUN @ TU16BCON1.7;
bit TU16BRUN @ TU16BCON1.7;

bit TU16BCON0_CIE @ TU16BCON0.0;
bit TU16BCIE @ TU16BCON0.0;
bit TU16BCON0_ZIE @ TU16BCON0.1;
bit TU16BZIE @ TU16BCON0.1;
bit TU16BCON0_PRIE @ TU16BCON0.2;
bit TU16BPRIE @ TU16BCON0.2;
bit TU16BCON0_RDSEL @ TU16BCON0.3;
bit TU16BRDSEL @ TU16BCON0.3;
bit TU16BCON0_OPOL @ TU16BCON0.4;
bit TU16BOPOL @ TU16BCON0.4;
bit TU16BCON0_OM @ TU16BCON0.5;
bit TU16BOM  @ TU16BCON0.5;
bit TU16BCON0_CPOL @ TU16BCON0.6;
bit TU16BCPOL @ TU16BCON0.6;
bit TU16BCON0_ON @ TU16BCON0.7;
bit TU16BON  @ TU16BCON0.7;

bit TU16ATMRH_CRH0 @ TU16ATMRH.0;
bit TU16ATMRH_TU16ACRH0 @ TU16ATMRH.0;
bit TU16ATMRH_TU16ACR8 @ TU16ATMRH.0;
bit TU16ATMRH_CRH1 @ TU16ATMRH.1;
bit TU16ATMRH_TU16ACRH1 @ TU16ATMRH.1;
bit TU16ATMRH_TU16ACR9 @ TU16ATMRH.1;
bit TU16ATMRH_CRH2 @ TU16ATMRH.2;
bit TU16ATMRH_TU16ACRH2 @ TU16ATMRH.2;
bit TU16ATMRH_TU16ACR10 @ TU16ATMRH.2;
bit TU16ATMRH_CRH3 @ TU16ATMRH.3;
bit TU16ATMRH_TU16ACRH3 @ TU16ATMRH.3;
bit TU16ATMRH_TU16ACR11 @ TU16ATMRH.3;
bit TU16ATMRH_CRH4 @ TU16ATMRH.4;
bit TU16ATMRH_TU16ACRH4 @ TU16ATMRH.4;
bit TU16ATMRH_TU16ACR12 @ TU16ATMRH.4;
bit TU16ATMRH_CRH5 @ TU16ATMRH.5;
bit TU16ATMRH_TU16ACRH5 @ TU16ATMRH.5;
bit TU16ATMRH_TU16ACR13 @ TU16ATMRH.5;
bit TU16ATMRH_CRH6 @ TU16ATMRH.6;
bit TU16ATMRH_TU16ACRH6 @ TU16ATMRH.6;
bit TU16ATMRH_TU16ACR14 @ TU16ATMRH.6;
bit TU16ATMRH_CRH7 @ TU16ATMRH.7;
bit TU16ATMRH_TU16ACRH7 @ TU16ATMRH.7;
bit TU16ATMRH_TU16ACR15 @ TU16ATMRH.7;

bit TU16ACR_CRL0 @ TU16ACR.0;
bit TU16ACR_TU16ACRL0 @ TU16ACR.0;
bit TU16ACR_TU16ACR0 @ TU16ACR.0;
bit TU16ACR_CRL1 @ TU16ACR.1;
bit TU16ACR_TU16ACRL1 @ TU16ACR.1;
bit TU16ACR_TU16ACR1 @ TU16ACR.1;
bit TU16ACR_CRL2 @ TU16ACR.2;
bit TU16ACR_TU16ACRL2 @ TU16ACR.2;
bit TU16ACR_TU16ACR2 @ TU16ACR.2;
bit TU16ACR_CRL3 @ TU16ACR.3;
bit TU16ACR_TU16ACRL3 @ TU16ACR.3;
bit TU16ACR_TU16ACR3 @ TU16ACR.3;
bit TU16ACR_CRL4 @ TU16ACR.4;
bit TU16ACR_TU16ACRL4 @ TU16ACR.4;
bit TU16ACR_TU16ACR4 @ TU16ACR.4;
bit TU16ACR_CRL5 @ TU16ACR.5;
bit TU16ACR_TU16ACRL5 @ TU16ACR.5;
bit TU16ACR_TU16ACR5 @ TU16ACR.5;
bit TU16ACR_CRL6 @ TU16ACR.6;
bit TU16ACR_TU16ACRL6 @ TU16ACR.6;
bit TU16ACR_TU16ACR6 @ TU16ACR.6;
bit TU16ACR_CRL7 @ TU16ACR.7;
bit TU16ACR_TU16ACRL7 @ TU16ACR.7;
bit TU16ACR_TU16ACR7 @ TU16ACR.7;

bit TU16AHLT_STOP0 @ TU16AHLT.0;
bit TU16ASTOP0 @ TU16AHLT.0;
bit TU16AHLT_STOP1 @ TU16AHLT.1;
bit TU16ASTOP1 @ TU16AHLT.1;
bit TU16AHLT_RESET0 @ TU16AHLT.2;
bit TU16ARESET0 @ TU16AHLT.2;
bit TU16AHLT_RESET1 @ TU16AHLT.3;
bit TU16ARESET1 @ TU16AHLT.3;
bit TU16AHLT_START0 @ TU16AHLT.4;
bit TU16ASTART0 @ TU16AHLT.4;
bit TU16AHLT_START1 @ TU16AHLT.5;
bit TU16ASTART1 @ TU16AHLT.5;
bit TU16AHLT_CSYNC @ TU16AHLT.6;
bit TU16ACSYNC @ TU16AHLT.6;
bit TU16AHLT_EPOL @ TU16AHLT.7;
bit TU16AEPOL @ TU16AHLT.7;

bit TU16ACON1_CIF @ TU16ACON1.0;
bit TU16ACIF @ TU16ACON1.0;
bit TU16ACON1_ZIF @ TU16ACON1.1;
bit TU16AZIF @ TU16ACON1.1;
bit TU16ACON1_PRIF @ TU16ACON1.2;
bit TU16APRIF @ TU16ACON1.2;
bit TU16ACON1_CAPT @ TU16ACON1.3;
bit TU16ACAPT @ TU16ACON1.3;
bit TU16ACON1_LIMIT @ TU16ACON1.4;
bit TU16ALIMIT @ TU16ACON1.4;
bit TU16ACON1_CLR @ TU16ACON1.5;
bit TU16ACLR @ TU16ACON1.5;
bit TU16ACON1_OSEN @ TU16ACON1.6;
bit TU16ACON1_TMRAOSEN @ TU16ACON1.6;
bit TU16ACON1_RUN @ TU16ACON1.7;
bit TU16ARUN @ TU16ACON1.7;

bit TU16ACON0_CIE @ TU16ACON0.0;
bit TU16ACIE @ TU16ACON0.0;
bit TU16ACON0_ZIE @ TU16ACON0.1;
bit TU16AZIE @ TU16ACON0.1;
bit TU16ACON0_PRIE @ TU16ACON0.2;
bit TU16APRIE @ TU16ACON0.2;
bit TU16ACON0_RDSEL @ TU16ACON0.3;
bit TU16ARDSEL @ TU16ACON0.3;
bit TU16ACON0_OPOL @ TU16ACON0.4;
bit TU16AOPOL @ TU16ACON0.4;
bit TU16ACON0_OM @ TU16ACON0.5;
bit TU16AOM  @ TU16ACON0.5;
bit TU16ACON0_CPOL @ TU16ACON0.6;
bit TU16ACPOL @ TU16ACON0.6;
bit TU16ACON0_ON @ TU16ACON0.7;
bit TU16AON  @ TU16ACON0.7;

bit STATUS_SHAD_C @ STATUS_SHAD.0;
bit STATUS_SHAD_DC @ STATUS_SHAD.1;
bit STATUS_SHAD_Z @ STATUS_SHAD.2;
bit STATUS_SHAD_OV @ STATUS_SHAD.3;
bit STATUS_SHAD_N @ STATUS_SHAD.4;
bit STATUS_SHAD_PD_ @ STATUS_SHAD.5;
bit STATUS_SHAD_nPD @ STATUS_SHAD.5;
bit STATUS_SHAD_PD @ STATUS_SHAD.5;
bit STATUS_SHAD_TO_ @ STATUS_SHAD.6;
bit STATUS_SHAD_nTO @ STATUS_SHAD.6;
bit STATUS_SHAD_TO @ STATUS_SHAD.6;

bit SHADLO   @ SHADCON.0;
bit SHADCON_SHADLO @ SHADCON.0;

bit STATUS_CSHAD_C @ STATUS_CSHAD.0;
bit STATUS_CSHAD_DC @ STATUS_CSHAD.1;
bit STATUS_CSHAD_Z @ STATUS_CSHAD.2;
bit STATUS_CSHAD_OV @ STATUS_CSHAD.3;
bit STATUS_CSHAD_N @ STATUS_CSHAD.4;
bit STATUS_CSHAD_PD_ @ STATUS_CSHAD.5;
bit STATUS_CSHAD_nPD @ STATUS_CSHAD.5;
bit STATUS_CSHAD_PD @ STATUS_CSHAD.5;
bit STATUS_CSHAD_TO_ @ STATUS_CSHAD.6;
bit STATUS_CSHAD_nTO @ STATUS_CSHAD.6;
bit STATUS_CSHAD_TO @ STATUS_CSHAD.6;

bit NVMIP    @ IPR15.0;
bit IPR15_NVMIP @ IPR15.0;
bit CLC8IP   @ IPR15.1;
bit IPR15_CLC8IP @ IPR15.1;
bit CRCIP    @ IPR15.2;
bit IPR15_CRCIP @ IPR15.2;
bit TMR6IP   @ IPR15.3;
bit IPR15_TMR6IP @ IPR15.3;
bit DMA8SCNTIP @ IPR15.4;
bit IPR15_DMA8SCNTIP @ IPR15.4;
bit DMA8DCNTIP @ IPR15.5;
bit IPR15_DMA8DCNTIP @ IPR15.5;
bit DMA8ORIP @ IPR15.6;
bit IPR15_DMA8ORIP @ IPR15.6;
bit DMA8AIP  @ IPR15.7;
bit IPR15_DMA8AIP @ IPR15.7;

bit CLC7IP   @ IPR14.1;
bit IPR14_CLC7IP @ IPR14.1;
bit C2IP     @ IPR14.2;
bit IPR14_C2IP @ IPR14.2;
bit NCO3IP   @ IPR14.3;
bit IPR14_NCO3IP @ IPR14.3;
bit DMA7SCNTIP @ IPR14.4;
bit IPR14_DMA7SCNTIP @ IPR14.4;
bit DMA7DCNTIP @ IPR14.5;
bit IPR14_DMA7DCNTIP @ IPR14.5;
bit DMA7ORIP @ IPR14.6;
bit IPR14_DMA7ORIP @ IPR14.6;
bit DMA7AIP  @ IPR14.7;
bit IPR14_DMA7AIP @ IPR14.7;

bit U5RXIP   @ IPR13.0;
bit IPR13_U5RXIP @ IPR13.0;
bit U5TXIP   @ IPR13.1;
bit IPR13_U5TXIP @ IPR13.1;
bit U5EIP    @ IPR13.2;
bit IPR13_U5EIP @ IPR13.2;
bit U5IP     @ IPR13.3;
bit IPR13_U5IP @ IPR13.3;
bit DMA6SCNTIP @ IPR13.4;
bit IPR13_DMA6SCNTIP @ IPR13.4;
bit DMA6DCNTIP @ IPR13.5;
bit IPR13_DMA6DCNTIP @ IPR13.5;
bit DMA6ORIP @ IPR13.6;
bit IPR13_DMA6ORIP @ IPR13.6;
bit DMA6AIP  @ IPR13.7;
bit IPR13_DMA6AIP @ IPR13.7;

bit U4RXIP   @ IPR12.0;
bit IPR12_U4RXIP @ IPR12.0;
bit U4TXIP   @ IPR12.1;
bit IPR12_U4TXIP @ IPR12.1;
bit U4EIP    @ IPR12.2;
bit IPR12_U4EIP @ IPR12.2;
bit U4IP     @ IPR12.3;
bit IPR12_U4IP @ IPR12.3;
bit DMA5SCNTIP @ IPR12.4;
bit IPR12_DMA5SCNTIP @ IPR12.4;
bit DMA5DCNTIP @ IPR12.5;
bit IPR12_DMA5DCNTIP @ IPR12.5;
bit DMA5ORIP @ IPR12.6;
bit IPR12_DMA5ORIP @ IPR12.6;
bit DMA5AIP  @ IPR12.7;
bit IPR12_DMA5AIP @ IPR12.7;

bit CCP3IP   @ IPR11.0;
bit IPR11_CCP3IP @ IPR11.0;
bit CLC6IP   @ IPR11.1;
bit IPR11_CLC6IP @ IPR11.1;
bit CWG3IP   @ IPR11.2;
bit IPR11_CWG3IP @ IPR11.2;
bit TMR4IP   @ IPR11.3;
bit IPR11_TMR4IP @ IPR11.3;
bit DMA4SCNTIP @ IPR11.4;
bit IPR11_DMA4SCNTIP @ IPR11.4;
bit DMA4DCNTIP @ IPR11.5;
bit IPR11_DMA4DCNTIP @ IPR11.5;
bit DMA4ORIP @ IPR11.6;
bit IPR11_DMA4ORIP @ IPR11.6;
bit DMA4AIP  @ IPR11.7;
bit IPR11_DMA4AIP @ IPR11.7;

bit INT2IP   @ IPR10.0;
bit IPR10_INT2IP @ IPR10.0;
bit CLC5IP   @ IPR10.1;
bit IPR10_CLC5IP @ IPR10.1;
bit CWG2IP   @ IPR10.2;
bit IPR10_CWG2IP @ IPR10.2;
bit NCO2IP   @ IPR10.3;
bit IPR10_NCO2IP @ IPR10.3;
bit DMA3SCNTIP @ IPR10.4;
bit IPR10_DMA3SCNTIP @ IPR10.4;
bit DMA3DCNTIP @ IPR10.5;
bit IPR10_DMA3DCNTIP @ IPR10.5;
bit DMA3ORIP @ IPR10.6;
bit IPR10_DMA3ORIP @ IPR10.6;
bit DMA3AIP  @ IPR10.7;
bit IPR10_DMA3AIP @ IPR10.7;

bit U3RXIP   @ IPR9.0;
bit IPR9_U3RXIP @ IPR9.0;
bit U3TXIP   @ IPR9.1;
bit IPR9_U3TXIP @ IPR9.1;
bit U3EIP    @ IPR9.2;
bit IPR9_U3EIP @ IPR9.2;
bit U3IP     @ IPR9.3;
bit IPR9_U3IP @ IPR9.3;
bit CLC4IP   @ IPR9.5;
bit IPR9_CLC4IP @ IPR9.5;
bit PWM4PIP  @ IPR9.6;
bit IPR9_PWM4PIP @ IPR9.6;
bit PWM4IP   @ IPR9.7;
bit IPR9_PWM4IP @ IPR9.7;

bit U2RXIP   @ IPR8.0;
bit IPR8_U2RXIP @ IPR8.0;
bit U2TXIP   @ IPR8.1;
bit IPR8_U2TXIP @ IPR8.1;
bit U2EIP    @ IPR8.2;
bit IPR8_U2EIP @ IPR8.2;
bit U2IP     @ IPR8.3;
bit IPR8_U2IP @ IPR8.3;
bit TMR5IP   @ IPR8.4;
bit IPR8_TMR5IP @ IPR8.4;
bit TMR5GIP  @ IPR8.5;
bit IPR8_TMR5GIP @ IPR8.5;
bit CCP2IP   @ IPR8.6;
bit IPR8_CCP2IP @ IPR8.6;
bit SCANIP   @ IPR8.7;
bit IPR8_SCANIP @ IPR8.7;

bit I2C1RXIP @ IPR7.0;
bit IPR7_I2C1RXIP @ IPR7.0;
bit I2C1TXIP @ IPR7.1;
bit IPR7_I2C1TXIP @ IPR7.1;
bit I2C1IP   @ IPR7.2;
bit IPR7_I2C1IP @ IPR7.2;
bit I2C1EIP  @ IPR7.3;
bit IPR7_I2C1EIP @ IPR7.3;
bit CLC3IP   @ IPR7.5;
bit IPR7_CLC3IP @ IPR7.5;
bit PWM3PIP  @ IPR7.6;
bit IPR7_PWM3PIP @ IPR7.6;
bit PWM3IP   @ IPR7.7;
bit IPR7_PWM3IP @ IPR7.7;

bit INT1IP   @ IPR6.0;
bit IPR6_INT1IP @ IPR6.0;
bit CLC2IP   @ IPR6.1;
bit IPR6_CLC2IP @ IPR6.1;
bit CWG1IP   @ IPR6.2;
bit IPR6_CWG1IP @ IPR6.2;
bit NCO1IP   @ IPR6.3;
bit IPR6_NCO1IP @ IPR6.3;
bit DMA2SCNTIP @ IPR6.4;
bit IPR6_DMA2SCNTIP @ IPR6.4;
bit DMA2DCNTIP @ IPR6.5;
bit IPR6_DMA2DCNTIP @ IPR6.5;
bit DMA2ORIP @ IPR6.6;
bit IPR6_DMA2ORIP @ IPR6.6;
bit DMA2AIP  @ IPR6.7;
bit IPR6_DMA2AIP @ IPR6.7;

bit SPI2RXIP @ IPR5.0;
bit IPR5_SPI2RXIP @ IPR5.0;
bit SPI2TXIP @ IPR5.1;
bit IPR5_SPI2TXIP @ IPR5.1;
bit SPI2IP   @ IPR5.2;
bit IPR5_SPI2IP @ IPR5.2;
bit TU16BIP  @ IPR5.3;
bit IPR5_TU16BIP @ IPR5.3;
bit TMR3IP   @ IPR5.4;
bit IPR5_TMR3IP @ IPR5.4;
bit TMR3GIP  @ IPR5.5;
bit IPR5_TMR3GIP @ IPR5.5;
bit PWM2PIP  @ IPR5.6;
bit IPR5_PWM2PIP @ IPR5.6;
bit PWM2IP   @ IPR5.7;
bit IPR5_PWM2IP @ IPR5.7;

bit U1RXIP   @ IPR4.0;
bit IPR4_U1RXIP @ IPR4.0;
bit U1TXIP   @ IPR4.1;
bit IPR4_U1TXIP @ IPR4.1;
bit U1EIP    @ IPR4.2;
bit IPR4_U1EIP @ IPR4.2;
bit U1IP     @ IPR4.3;
bit IPR4_U1IP @ IPR4.3;
bit CANRXIP  @ IPR4.4;
bit IPR4_CANRXIP @ IPR4.4;
bit CANTXIP  @ IPR4.5;
bit IPR4_CANTXIP @ IPR4.5;
bit PWM1PIP  @ IPR4.6;
bit IPR4_PWM1PIP @ IPR4.6;
bit PWM1IP   @ IPR4.7;
bit IPR4_PWM1IP @ IPR4.7;

bit SPI1RXIP @ IPR3.0;
bit IPR3_SPI1RXIP @ IPR3.0;
bit SPI1TXIP @ IPR3.1;
bit IPR3_SPI1TXIP @ IPR3.1;
bit SPI1IP   @ IPR3.2;
bit IPR3_SPI1IP @ IPR3.2;
bit TMR2IP   @ IPR3.3;
bit IPR3_TMR2IP @ IPR3.3;
bit TMR1IP   @ IPR3.4;
bit IPR3_TMR1IP @ IPR3.4;
bit TMR1GIP  @ IPR3.5;
bit IPR3_TMR1GIP @ IPR3.5;
bit CCP1IP   @ IPR3.6;
bit IPR3_CCP1IP @ IPR3.6;
bit TMR0IP   @ IPR3.7;
bit IPR3_TMR0IP @ IPR3.7;

bit IPR2_ADTIP @ IPR2.0;
bit ADCH1IP  @ IPR2.0;
bit IPR2_ADCH1IP @ IPR2.0;
bit ADCH2IP  @ IPR2.1;
bit IPR2_ADCH2IP @ IPR2.1;
bit ADCH3IP  @ IPR2.2;
bit IPR2_ADCH3IP @ IPR2.2;
bit ADCH4IP  @ IPR2.3;
bit IPR2_ADCH4IP @ IPR2.3;
bit DMA1SCNTIP @ IPR2.4;
bit IPR2_DMA1SCNTIP @ IPR2.4;
bit DMA1DCNTIP @ IPR2.5;
bit IPR2_DMA1DCNTIP @ IPR2.5;
bit DMA1ORIP @ IPR2.6;
bit IPR2_DMA1ORIP @ IPR2.6;
bit DMA1AIP  @ IPR2.7;
bit IPR2_DMA1AIP @ IPR2.7;

bit INT0IP   @ IPR1.0;
bit IPR1_INT0IP @ IPR1.0;
bit ZCDIP    @ IPR1.1;
bit IPR1_ZCDIP @ IPR1.1;
bit ADIP     @ IPR1.2;
bit IPR1_ADIP @ IPR1.2;
bit ACTIP    @ IPR1.3;
bit IPR1_ACTIP @ IPR1.3;
bit C1IP     @ IPR1.4;
bit IPR1_C1IP @ IPR1.4;
bit SMT1IP   @ IPR1.5;
bit IPR1_SMT1IP @ IPR1.5;
bit SMT1PRAIP @ IPR1.6;
bit IPR1_SMT1PRAIP @ IPR1.6;
bit SMT1PWAIP @ IPR1.7;
bit IPR1_SMT1PWAIP @ IPR1.7;

bit SWIP     @ IPR0.0;
bit IPR0_SWIP @ IPR0.0;
bit HLVDIP   @ IPR0.1;
bit IPR0_HLVDIP @ IPR0.1;
bit OSFIP    @ IPR0.2;
bit IPR0_OSFIP @ IPR0.2;
bit CSWIP    @ IPR0.3;
bit IPR0_CSWIP @ IPR0.3;
bit TU16AIP  @ IPR0.4;
bit IPR0_TU16AIP @ IPR0.4;
bit CLC1IP   @ IPR0.5;
bit IPR0_CLC1IP @ IPR0.5;
bit CANIP    @ IPR0.6;
bit IPR0_CANIP @ IPR0.6;
bit IOCIP    @ IPR0.7;
bit IPR0_IOCIP @ IPR0.7;

bit SCANTRIG_TSEL0 @ SCANTRIG.0;
bit SCANTRIG_TSEL1 @ SCANTRIG.1;
bit SCANTRIG_TSEL2 @ SCANTRIG.2;
bit SCANTRIG_TSEL3 @ SCANTRIG.3;
bit SCANTRIG_TSEL4 @ SCANTRIG.4;

bit SCANCON0_BUSY @ SCANCON0.0;
bit SCANBUSY @ SCANCON0.0;
bit SCANCON0_BURSTMD @ SCANCON0.1;
bit SCANBURSTMD @ SCANCON0.1;
bit SCANCON0_MREG @ SCANCON0.2;
bit SCANMREG @ SCANCON0.2;
bit SCANCON0_SGO @ SCANCON0.5;
bit SCANGO   @ SCANCON0.5;
bit SCANCON0_TRIGEN @ SCANCON0.6;
bit SCANTRIGEN @ SCANCON0.6;
bit SCANCON0_EN @ SCANCON0.7;
bit SCANEN   @ SCANCON0.7;

bit CRCCON0_FULL @ CRCCON0.0;
bit CRCCON0_SHIFTM @ CRCCON0.1;
bit CRCCON0_LENDIAN @ CRCCON0.1;
bit CRCCON0_SETUP0 @ CRCCON0.2;
bit CRCCON0_SETUP1 @ CRCCON0.3;
bit CRCCON0_ACCMOD @ CRCCON0.4;
bit CRCCON0_ACCM @ CRCCON0.4;
bit CRCCON0_BUSY @ CRCCON0.5;
bit CRCCON0_GO @ CRCCON0.6;
bit CRCCON0_EN @ CRCCON0.7;

bit C1TSEL0  @ CCPTMRS0.0;
bit CCPTMRS0_C1TSEL0 @ CCPTMRS0.0;
bit C1TSEL1  @ CCPTMRS0.1;
bit CCPTMRS0_C1TSEL1 @ CCPTMRS0.1;
bit C2TSEL0  @ CCPTMRS0.2;
bit CCPTMRS0_C2TSEL0 @ CCPTMRS0.2;
bit C2TSEL1  @ CCPTMRS0.3;
bit CCPTMRS0_C2TSEL1 @ CCPTMRS0.3;
bit C3TSEL0  @ CCPTMRS0.4;
bit CCPTMRS0_C3TSEL0 @ CCPTMRS0.4;
bit C3TSEL1  @ CCPTMRS0.5;
bit CCPTMRS0_C3TSEL1 @ CCPTMRS0.5;

bit CCP3CAP_CTS0 @ CCP3CAP.0;
bit CCP3CTS0 @ CCP3CAP.0;
bit CCP3CAP_CTS1 @ CCP3CAP.1;
bit CCP3CTS1 @ CCP3CAP.1;
bit CCP3CAP_CTS2 @ CCP3CAP.2;
bit CCP3CTS2 @ CCP3CAP.2;
bit CCP3CAP_CTS3 @ CCP3CAP.3;
bit CCP3CTS3 @ CCP3CAP.3;

bit CCP3CON_MODE0 @ CCP3CON.0;
bit CCP3MODE0 @ CCP3CON.0;
bit CCP3CON_MODE1 @ CCP3CON.1;
bit CCP3MODE1 @ CCP3CON.1;
bit CCP3CON_MODE2 @ CCP3CON.2;
bit CCP3MODE2 @ CCP3CON.2;
bit CCP3CON_MODE3 @ CCP3CON.3;
bit CCP3MODE3 @ CCP3CON.3;
bit CCP3CON_FMT @ CCP3CON.4;
bit CCP3FMT  @ CCP3CON.4;
bit CCP3CON_OUT @ CCP3CON.5;
bit CCP3OUT  @ CCP3CON.5;
bit CCP3CON_EN @ CCP3CON.7;
bit CCP3EN   @ CCP3CON.7;

bit CCP2CAP_CTS0 @ CCP2CAP.0;
bit CCP2CTS0 @ CCP2CAP.0;
bit CCP2CAP_CTS1 @ CCP2CAP.1;
bit CCP2CTS1 @ CCP2CAP.1;
bit CCP2CAP_CTS2 @ CCP2CAP.2;
bit CCP2CTS2 @ CCP2CAP.2;
bit CCP2CAP_CTS3 @ CCP2CAP.3;
bit CCP2CTS3 @ CCP2CAP.3;

bit CCP2CON_MODE0 @ CCP2CON.0;
bit CCP2MODE0 @ CCP2CON.0;
bit CCP2CON_MODE1 @ CCP2CON.1;
bit CCP2MODE1 @ CCP2CON.1;
bit CCP2CON_MODE2 @ CCP2CON.2;
bit CCP2MODE2 @ CCP2CON.2;
bit CCP2CON_MODE3 @ CCP2CON.3;
bit CCP2MODE3 @ CCP2CON.3;
bit CCP2CON_FMT @ CCP2CON.4;
bit CCP2FMT  @ CCP2CON.4;
bit CCP2CON_OUT @ CCP2CON.5;
bit CCP2OUT  @ CCP2CON.5;
bit CCP2CON_EN @ CCP2CON.7;
bit CCP2EN   @ CCP2CON.7;

bit CCP1CAP_CTS0 @ CCP1CAP.0;
bit CCP1CTS0 @ CCP1CAP.0;
bit CCP1CAP_CTS1 @ CCP1CAP.1;
bit CCP1CTS1 @ CCP1CAP.1;
bit CCP1CAP_CTS2 @ CCP1CAP.2;
bit CCP1CTS2 @ CCP1CAP.2;
bit CCP1CAP_CTS3 @ CCP1CAP.3;
bit CCP1CTS3 @ CCP1CAP.3;

bit CCP1CON_MODE0 @ CCP1CON.0;
bit CCP1MODE0 @ CCP1CON.0;
bit CCP1CON_MODE1 @ CCP1CON.1;
bit CCP1MODE1 @ CCP1CON.1;
bit CCP1CON_MODE2 @ CCP1CON.2;
bit CCP1MODE2 @ CCP1CON.2;
bit CCP1CON_MODE3 @ CCP1CON.3;
bit CCP1MODE3 @ CCP1CON.3;
bit CCP1CON_FMT @ CCP1CON.4;
bit CCP1FMT  @ CCP1CON.4;
bit CCP1CON_OUT @ CCP1CON.5;
bit CCP1OUT  @ CCP1CON.5;
bit CCP1CON_EN @ CCP1CON.7;
bit CCP1EN   @ CCP1CON.7;

bit T6HLT_MODE0 @ T6HLT.0;
bit T6MODE0  @ T6HLT.0;
bit T6HLT_MODE1 @ T6HLT.1;
bit T6MODE1  @ T6HLT.1;
bit T6HLT_MODE2 @ T6HLT.2;
bit T6MODE2  @ T6HLT.2;
bit T6HLT_MODE3 @ T6HLT.3;
bit T6MODE3  @ T6HLT.3;
bit T6HLT_MODE4 @ T6HLT.4;
bit T6MODE4  @ T6HLT.4;
bit T6HLT_CKSYNC @ T6HLT.5;
bit T6CKSYNC @ T6HLT.5;
bit T6HLT_CKPOL @ T6HLT.6;
bit T6CKPOL  @ T6HLT.6;
bit T6HLT_PSYNC @ T6HLT.7;
bit T6PSYNC  @ T6HLT.7;

bit T6OUTPS0 @ T6CON.0;
bit T6CON_OUTPS0 @ T6CON.0;
bit T6OUTPS1 @ T6CON.1;
bit T6CON_OUTPS1 @ T6CON.1;
bit T6OUTPS2 @ T6CON.2;
bit T6CON_OUTPS2 @ T6CON.2;
bit T6OUTPS3 @ T6CON.3;
bit T6CON_OUTPS3 @ T6CON.3;
bit T6CKPS0  @ T6CON.4;
bit T6CON_CKPS0 @ T6CON.4;
bit T6CKPS1  @ T6CON.5;
bit T6CON_CKPS1 @ T6CON.5;
bit T6CKPS2  @ T6CON.6;
bit T6CON_CKPS2 @ T6CON.6;
bit T6CON_ON @ T6CON.7;
bit T6ON     @ T6CON.7;
bit TMR6ON   @ T6CON.7;
bit T6CON_TMR6ON @ T6CON.7;

bit T5GCON_GVAL @ T5GCON.2;
bit T5GVAL   @ T5GCON.2;
bit T5GCON_GGO @ T5GCON.3;
bit T5GGO    @ T5GCON.3;
bit T5GCON_T5GGO @ T5GCON.3;
bit T5GCON_DONE_ @ T5GCON.3;
bit T5DONE_  @ T5GCON.3;
bit T5GCON_T5DONE_ @ T5GCON.3;
bit T5GCON_GGO_NOT_DONE @ T5GCON.3;
bit T5GCON_GGO_nDONE @ T5GCON.3;
bit T5GCON_GSPM @ T5GCON.4;
bit T5GSPM   @ T5GCON.4;
bit T5GCON_GTM @ T5GCON.5;
bit T5GTM    @ T5GCON.5;
bit T5GCON_GPOL @ T5GCON.6;
bit T5GPOL   @ T5GCON.6;
bit T5GCON_GE @ T5GCON.7;
bit T5GE     @ T5GCON.7;

bit T5CON_ON @ T5CON.0;
bit TMR5ON   @ T5CON.0;
bit T5CON_TMR5ON @ T5CON.0;
bit T5CON_RD16 @ T5CON.1;
bit T5RD16   @ T5CON.1;
bit T5CON_SYNC_ @ T5CON.2;
bit T5SYNC_  @ T5CON.2;
bit T5CON_nSYNC @ T5CON.2;
bit T5CON_nT5SYNC @ T5CON.2;
bit T5CKPS0  @ T5CON.4;
bit T5CON_CKPS0 @ T5CON.4;
bit T5CKPS1  @ T5CON.5;
bit T5CON_CKPS1 @ T5CON.5;

bit T4HLT_MODE0 @ T4HLT.0;
bit T4MODE0  @ T4HLT.0;
bit T4HLT_MODE1 @ T4HLT.1;
bit T4MODE1  @ T4HLT.1;
bit T4HLT_MODE2 @ T4HLT.2;
bit T4MODE2  @ T4HLT.2;
bit T4HLT_MODE3 @ T4HLT.3;
bit T4MODE3  @ T4HLT.3;
bit T4HLT_MODE4 @ T4HLT.4;
bit T4MODE4  @ T4HLT.4;
bit T4HLT_CKSYNC @ T4HLT.5;
bit T4CKSYNC @ T4HLT.5;
bit T4HLT_CKPOL @ T4HLT.6;
bit T4CKPOL  @ T4HLT.6;
bit T4HLT_PSYNC @ T4HLT.7;
bit T4PSYNC  @ T4HLT.7;

bit T4OUTPS0 @ T4CON.0;
bit T4CON_OUTPS0 @ T4CON.0;
bit T4OUTPS1 @ T4CON.1;
bit T4CON_OUTPS1 @ T4CON.1;
bit T4OUTPS2 @ T4CON.2;
bit T4CON_OUTPS2 @ T4CON.2;
bit T4OUTPS3 @ T4CON.3;
bit T4CON_OUTPS3 @ T4CON.3;
bit T4CKPS0  @ T4CON.4;
bit T4CON_CKPS0 @ T4CON.4;
bit T4CKPS1  @ T4CON.5;
bit T4CON_CKPS1 @ T4CON.5;
bit T4CKPS2  @ T4CON.6;
bit T4CON_CKPS2 @ T4CON.6;
bit T4CON_ON @ T4CON.7;
bit T4ON     @ T4CON.7;
bit TMR4ON   @ T4CON.7;
bit T4CON_TMR4ON @ T4CON.7;

bit T3GCON_GVAL @ T3GCON.2;
bit T3GVAL   @ T3GCON.2;
bit T3GCON_GGO @ T3GCON.3;
bit T3GGO    @ T3GCON.3;
bit T3GCON_T3GGO @ T3GCON.3;
bit T3GCON_DONE_ @ T3GCON.3;
bit T3DONE_  @ T3GCON.3;
bit T3GCON_T3DONE_ @ T3GCON.3;
bit T3GCON_GGO_NOT_DONE @ T3GCON.3;
bit T3GCON_GGO_nDONE @ T3GCON.3;
bit T3GCON_GSPM @ T3GCON.4;
bit T3GSPM   @ T3GCON.4;
bit T3GCON_GTM @ T3GCON.5;
bit T3GTM    @ T3GCON.5;
bit T3GCON_GPOL @ T3GCON.6;
bit T3GPOL   @ T3GCON.6;
bit T3GCON_GE @ T3GCON.7;
bit T3GE     @ T3GCON.7;

bit T3CON_ON @ T3CON.0;
bit TMR3ON   @ T3CON.0;
bit T3CON_TMR3ON @ T3CON.0;
bit T3CON_RD16 @ T3CON.1;
bit T3RD16   @ T3CON.1;
bit T3CON_SYNC_ @ T3CON.2;
bit T3SYNC_  @ T3CON.2;
bit T3CON_nSYNC @ T3CON.2;
bit T3CON_nT3SYNC @ T3CON.2;
bit T3CKPS0  @ T3CON.4;
bit T3CON_CKPS0 @ T3CON.4;
bit T3CKPS1  @ T3CON.5;
bit T3CON_CKPS1 @ T3CON.5;

bit T2HLT_MODE0 @ T2HLT.0;
bit T2MODE0  @ T2HLT.0;
bit T2HLT_MODE1 @ T2HLT.1;
bit T2MODE1  @ T2HLT.1;
bit T2HLT_MODE2 @ T2HLT.2;
bit T2MODE2  @ T2HLT.2;
bit T2HLT_MODE3 @ T2HLT.3;
bit T2MODE3  @ T2HLT.3;
bit T2HLT_MODE4 @ T2HLT.4;
bit T2MODE4  @ T2HLT.4;
bit T2HLT_CKSYNC @ T2HLT.5;
bit T2CKSYNC @ T2HLT.5;
bit T2HLT_CKPOL @ T2HLT.6;
bit T2CKPOL  @ T2HLT.6;
bit T2HLT_PSYNC @ T2HLT.7;
bit T2PSYNC  @ T2HLT.7;

bit T2OUTPS0 @ T2CON.0;
bit T2CON_OUTPS0 @ T2CON.0;
bit T2OUTPS1 @ T2CON.1;
bit T2CON_OUTPS1 @ T2CON.1;
bit T2OUTPS2 @ T2CON.2;
bit T2CON_OUTPS2 @ T2CON.2;
bit T2OUTPS3 @ T2CON.3;
bit T2CON_OUTPS3 @ T2CON.3;
bit T2CKPS0  @ T2CON.4;
bit T2CON_CKPS0 @ T2CON.4;
bit T2CKPS1  @ T2CON.5;
bit T2CON_CKPS1 @ T2CON.5;
bit T2CKPS2  @ T2CON.6;
bit T2CON_CKPS2 @ T2CON.6;
bit T2CON_ON @ T2CON.7;
bit T2ON     @ T2CON.7;
bit TMR2ON   @ T2CON.7;
bit T2CON_TMR2ON @ T2CON.7;

bit T1GCON_GVAL @ T1GCON.2;
bit T1GVAL   @ T1GCON.2;
bit T1GCON_GGO @ T1GCON.3;
bit T1GGO    @ T1GCON.3;
bit T1GCON_T1GGO @ T1GCON.3;
bit T1GCON_DONE_ @ T1GCON.3;
bit T1DONE_  @ T1GCON.3;
bit T1GCON_T1DONE_ @ T1GCON.3;
bit T1GCON_GGO_NOT_DONE @ T1GCON.3;
bit T1GCON_GGO_nDONE @ T1GCON.3;
bit T1GCON_GSPM @ T1GCON.4;
bit T1GSPM   @ T1GCON.4;
bit T1GCON_GTM @ T1GCON.5;
bit T1GTM    @ T1GCON.5;
bit T1GCON_GPOL @ T1GCON.6;
bit T1GPOL   @ T1GCON.6;
bit T1GCON_GE @ T1GCON.7;
bit T1GE     @ T1GCON.7;

bit T1CON_ON @ T1CON.0;
bit TMR1ON   @ T1CON.0;
bit T1CON_TMR1ON @ T1CON.0;
bit T1CON_RD16 @ T1CON.1;
bit T1RD16   @ T1CON.1;
bit T1CON_SYNC_ @ T1CON.2;
bit T1SYNC_  @ T1CON.2;
bit T1CON_nSYNC @ T1CON.2;
bit T1CON_nT1SYNC @ T1CON.2;
bit T1CKPS0  @ T1CON.4;
bit T1CON_CKPS0 @ T1CON.4;
bit T1CKPS1  @ T1CON.5;
bit T1CON_CKPS1 @ T1CON.5;

bit T0CON1_CKPS0 @ T0CON1.0;
bit T0CKPS0  @ T0CON1.0;
bit T0CON1_CKPS1 @ T0CON1.1;
bit T0CKPS1  @ T0CON1.1;
bit T0CON1_CKPS2 @ T0CON1.2;
bit T0CKPS2  @ T0CON1.2;
bit T0CON1_CKPS3 @ T0CON1.3;
bit T0CKPS3  @ T0CON1.3;
bit T0CON1_ASYNC @ T0CON1.4;
bit T0ASYNC  @ T0CON1.4;
bit T0CON1_CS0 @ T0CON1.5;
bit T0CS0    @ T0CON1.5;
bit T0CON1_CS1 @ T0CON1.6;
bit T0CS1    @ T0CON1.6;
bit T0CON1_CS2 @ T0CON1.7;
bit T0CS2    @ T0CON1.7;

bit T0CON0_OUTPS0 @ T0CON0.0;
bit T0OUTPS0 @ T0CON0.0;
bit T0CON0_OUTPS1 @ T0CON0.1;
bit T0OUTPS1 @ T0CON0.1;
bit T0CON0_OUTPS2 @ T0CON0.2;
bit T0OUTPS2 @ T0CON0.2;
bit T0CON0_OUTPS3 @ T0CON0.3;
bit T0OUTPS3 @ T0CON0.3;
bit T0CON0_MD16 @ T0CON0.4;
bit T0CON0_T0MD16 @ T0CON0.4;
bit T016BIT  @ T0CON0.4;
bit T0CON0_OUT @ T0CON0.5;
bit T0OUT    @ T0CON0.5;
bit T0CON0_EN @ T0CON0.7;
bit T0EN     @ T0CON0.7;

bit SMT1CLK_CSEL0 @ SMT1CLK.0;
bit SMT1CSEL0 @ SMT1CLK.0;
bit SMT1CLK_CSEL1 @ SMT1CLK.1;
bit SMT1CSEL1 @ SMT1CLK.1;
bit SMT1CLK_CSEL2 @ SMT1CLK.2;
bit SMT1CSEL2 @ SMT1CLK.2;

bit SMT1STAT_AS @ SMT1STAT.0;
bit SMT1AS   @ SMT1STAT.0;
bit SMT1STAT_WS @ SMT1STAT.1;
bit SMT1WS   @ SMT1STAT.1;
bit SMT1STAT_TS @ SMT1STAT.2;
bit SMT1TS   @ SMT1STAT.2;
bit SMT1STAT_RST @ SMT1STAT.5;
bit SMT1RESET @ SMT1STAT.5;
bit SMT1STAT_SMT1RST @ SMT1STAT.5;
bit SMT1STAT_CPWUP @ SMT1STAT.6;
bit SMT1CPWUP @ SMT1STAT.6;
bit SMT1STAT_CPRUP @ SMT1STAT.7;
bit SMT1CPRUP @ SMT1STAT.7;

bit SMT1CON1_MODE0 @ SMT1CON1.0;
bit SMT1MODE0 @ SMT1CON1.0;
bit SMT1CON1_MODE1 @ SMT1CON1.1;
bit SMT1MODE1 @ SMT1CON1.1;
bit SMT1CON1_MODE2 @ SMT1CON1.2;
bit SMT1MODE2 @ SMT1CON1.2;
bit SMT1CON1_MODE3 @ SMT1CON1.3;
bit SMT1MODE3 @ SMT1CON1.3;
bit SMT1CON1_REPEAT @ SMT1CON1.6;
bit SMT1REPEAT @ SMT1CON1.6;
bit SMT1CON1_GO @ SMT1CON1.7;
bit SMT1GO   @ SMT1CON1.7;

bit SMT1CON0_PS0 @ SMT1CON0.0;
bit SMT1PS0  @ SMT1CON0.0;
bit SMT1CON0_PS1 @ SMT1CON0.1;
bit SMT1PS1  @ SMT1CON0.1;
bit SMT1CON0_CPOL @ SMT1CON0.2;
bit SMT1CPOL @ SMT1CON0.2;
bit SMT1CON0_SPOL @ SMT1CON0.3;
bit SMT1SPOL @ SMT1CON0.3;
bit SMT1CON0_WPOL @ SMT1CON0.4;
bit SMT1WPOL @ SMT1CON0.4;
bit SMT1CON0_STP @ SMT1CON0.5;
bit SMT1STP  @ SMT1CON0.5;
bit SMT1CON0_EN @ SMT1CON0.7;
bit SMT1EN   @ SMT1CON0.7;

bit U5ERRIE_TXCIE @ U5ERRIE.0;
bit U5TXCIE  @ U5ERRIE.0;
bit U5ERRIE_RXFOIE @ U5ERRIE.1;
bit U5RXFOIE @ U5ERRIE.1;
bit U5ERRIE_RXBKIE @ U5ERRIE.2;
bit U5RXBKIE @ U5ERRIE.2;
bit U5ERRIE_FERIE @ U5ERRIE.3;
bit U5FERIE  @ U5ERRIE.3;
bit U5ERRIE_CERIE @ U5ERRIE.4;
bit U5CERIE  @ U5ERRIE.4;
bit U5ERRIE_ABDOVE @ U5ERRIE.5;
bit U5ABDOVE @ U5ERRIE.5;
bit U5ERRIE_PERIE @ U5ERRIE.6;
bit U5PERIE  @ U5ERRIE.6;
bit U5ERRIE_TXMTIE @ U5ERRIE.7;
bit U5TXMTIE @ U5ERRIE.7;

bit U5ERRIR_TXCIF @ U5ERRIR.0;
bit U5TXCIF  @ U5ERRIR.0;
bit U5ERRIR_RXFOIF @ U5ERRIR.1;
bit U5RXFOIF @ U5ERRIR.1;
bit U5ERRIR_RXBKIF @ U5ERRIR.2;
bit U5RXBKIF @ U5ERRIR.2;
bit U5ERRIR_FERIF @ U5ERRIR.3;
bit U5FERIF  @ U5ERRIR.3;
bit U5ERRIR_CERIF @ U5ERRIR.4;
bit U5CERIF  @ U5ERRIR.4;
bit U5ERRIR_ABDOVF @ U5ERRIR.5;
bit U5ABDOVF @ U5ERRIR.5;
bit U5ERRIR_PERIF @ U5ERRIR.6;
bit U5PERIF  @ U5ERRIR.6;
bit U5ERRIR_TXMTIF @ U5ERRIR.7;
bit U5TXMTIF @ U5ERRIR.7;

bit U5UIR_ABDIE @ U5UIR.2;
bit U5ABDIE  @ U5UIR.2;
bit U5UIR_ABDIF @ U5UIR.6;
bit U5ABDIF  @ U5UIR.6;
bit U5UIR_WUIF @ U5UIR.7;
bit U5WUIF   @ U5UIR.7;

bit U5FIFO_RXBF @ U5FIFO.0;
bit U5RXBF   @ U5FIFO.0;
bit U5FIFO_RXBE @ U5FIFO.1;
bit U5RXBE   @ U5FIFO.1;
bit U5FIFO_XON @ U5FIFO.2;
bit U5XON    @ U5FIFO.2;
bit U5FIFO_RXIDL @ U5FIFO.3;
bit U5RXIDL  @ U5FIFO.3;
bit U5FIFO_U5RCIDL @ U5FIFO.3;
bit U5FIFO_RCIDL @ U5FIFO.3;
bit U5FIFO_TXBF @ U5FIFO.4;
bit U5TXBF   @ U5FIFO.4;
bit U5FIFO_TXBE @ U5FIFO.5;
bit U5TXBE   @ U5FIFO.5;
bit U5FIFO_STPMD @ U5FIFO.6;
bit U5STPMD  @ U5FIFO.6;
bit U5FIFO_TXWRE @ U5FIFO.7;
bit U5TXWRE  @ U5FIFO.7;

bit U5CON2_FLO0 @ U5CON2.0;
bit U5FLO0   @ U5CON2.0;
bit U5CON2_FLO1 @ U5CON2.1;
bit U5FLO1   @ U5CON2.1;
bit U5CON2_TXPOL @ U5CON2.2;
bit U5TXPOL  @ U5CON2.2;
bit U5CON2_STP0 @ U5CON2.4;
bit U5STP0   @ U5CON2.4;
bit U5CON2_STP1 @ U5CON2.5;
bit U5STP1   @ U5CON2.5;
bit U5CON2_RXPOL @ U5CON2.6;
bit U5RXPOL  @ U5CON2.6;
bit U5CON2_RUNOVF @ U5CON2.7;
bit U5RUNOVF @ U5CON2.7;

bit U5CON1_SENDB @ U5CON1.0;
bit U5SENDB  @ U5CON1.0;
bit U5CON1_BRKOVR @ U5CON1.1;
bit U5BRKOVR @ U5CON1.1;
bit U5CON1_RXBIMD @ U5CON1.3;
bit U5RXBIMD @ U5CON1.3;
bit U5CON1_WUE @ U5CON1.4;
bit U5WUE    @ U5CON1.4;
bit U5CON1_ON @ U5CON1.7;
bit U5ON     @ U5CON1.7;

bit U5CON0_MODE0 @ U5CON0.0;
bit U5MODE0  @ U5CON0.0;
bit U5CON0_MODE1 @ U5CON0.1;
bit U5MODE1  @ U5CON0.1;
bit U5CON0_MODE2 @ U5CON0.2;
bit U5MODE2  @ U5CON0.2;
bit U5RXEN   @ U5CON0.4;
bit U5CON0_RXEN @ U5CON0.4;
bit U5TXEN   @ U5CON0.5;
bit U5CON0_TXEN @ U5CON0.5;
bit U5ABDEN  @ U5CON0.6;
bit U5CON0_ABDEN @ U5CON0.6;
bit U5BRGS   @ U5CON0.7;
bit U5CON0_BRGS @ U5CON0.7;

bit U4ERRIE_TXCIE @ U4ERRIE.0;
bit U4TXCIE  @ U4ERRIE.0;
bit U4ERRIE_RXFOIE @ U4ERRIE.1;
bit U4RXFOIE @ U4ERRIE.1;
bit U4ERRIE_RXBKIE @ U4ERRIE.2;
bit U4RXBKIE @ U4ERRIE.2;
bit U4ERRIE_FERIE @ U4ERRIE.3;
bit U4FERIE  @ U4ERRIE.3;
bit U4ERRIE_CERIE @ U4ERRIE.4;
bit U4CERIE  @ U4ERRIE.4;
bit U4ERRIE_ABDOVE @ U4ERRIE.5;
bit U4ABDOVE @ U4ERRIE.5;
bit U4ERRIE_PERIE @ U4ERRIE.6;
bit U4PERIE  @ U4ERRIE.6;
bit U4ERRIE_TXMTIE @ U4ERRIE.7;
bit U4TXMTIE @ U4ERRIE.7;

bit U4ERRIR_TXCIF @ U4ERRIR.0;
bit U4TXCIF  @ U4ERRIR.0;
bit U4ERRIR_RXFOIF @ U4ERRIR.1;
bit U4RXFOIF @ U4ERRIR.1;
bit U4ERRIR_RXBKIF @ U4ERRIR.2;
bit U4RXBKIF @ U4ERRIR.2;
bit U4ERRIR_FERIF @ U4ERRIR.3;
bit U4FERIF  @ U4ERRIR.3;
bit U4ERRIR_CERIF @ U4ERRIR.4;
bit U4CERIF  @ U4ERRIR.4;
bit U4ERRIR_ABDOVF @ U4ERRIR.5;
bit U4ABDOVF @ U4ERRIR.5;
bit U4ERRIR_PERIF @ U4ERRIR.6;
bit U4PERIF  @ U4ERRIR.6;
bit U4ERRIR_TXMTIF @ U4ERRIR.7;
bit U4TXMTIF @ U4ERRIR.7;

bit U4UIR_ABDIE @ U4UIR.2;
bit U4ABDIE  @ U4UIR.2;
bit U4UIR_ABDIF @ U4UIR.6;
bit U4ABDIF  @ U4UIR.6;
bit U4UIR_WUIF @ U4UIR.7;
bit U4WUIF   @ U4UIR.7;

bit U4FIFO_RXBF @ U4FIFO.0;
bit U4RXBF   @ U4FIFO.0;
bit U4FIFO_RXBE @ U4FIFO.1;
bit U4RXBE   @ U4FIFO.1;
bit U4FIFO_XON @ U4FIFO.2;
bit U4XON    @ U4FIFO.2;
bit U4FIFO_RXIDL @ U4FIFO.3;
bit U4RXIDL  @ U4FIFO.3;
bit U4FIFO_U4RCIDL @ U4FIFO.3;
bit U4FIFO_RCIDL @ U4FIFO.3;
bit U4FIFO_TXBF @ U4FIFO.4;
bit U4TXBF   @ U4FIFO.4;
bit U4FIFO_TXBE @ U4FIFO.5;
bit U4TXBE   @ U4FIFO.5;
bit U4FIFO_STPMD @ U4FIFO.6;
bit U4STPMD  @ U4FIFO.6;
bit U4FIFO_TXWRE @ U4FIFO.7;
bit U4TXWRE  @ U4FIFO.7;

bit U4CON2_FLO0 @ U4CON2.0;
bit U4FLO0   @ U4CON2.0;
bit U4CON2_FLO1 @ U4CON2.1;
bit U4FLO1   @ U4CON2.1;
bit U4CON2_TXPOL @ U4CON2.2;
bit U4TXPOL  @ U4CON2.2;
bit U4CON2_STP0 @ U4CON2.4;
bit U4STP0   @ U4CON2.4;
bit U4CON2_STP1 @ U4CON2.5;
bit U4STP1   @ U4CON2.5;
bit U4CON2_RXPOL @ U4CON2.6;
bit U4RXPOL  @ U4CON2.6;
bit U4CON2_RUNOVF @ U4CON2.7;
bit U4RUNOVF @ U4CON2.7;

bit U4CON1_SENDB @ U4CON1.0;
bit U4SENDB  @ U4CON1.0;
bit U4CON1_BRKOVR @ U4CON1.1;
bit U4BRKOVR @ U4CON1.1;
bit U4CON1_RXBIMD @ U4CON1.3;
bit U4RXBIMD @ U4CON1.3;
bit U4CON1_WUE @ U4CON1.4;
bit U4WUE    @ U4CON1.4;
bit U4CON1_ON @ U4CON1.7;
bit U4ON     @ U4CON1.7;

bit U4CON0_MODE0 @ U4CON0.0;
bit U4MODE0  @ U4CON0.0;
bit U4CON0_MODE1 @ U4CON0.1;
bit U4MODE1  @ U4CON0.1;
bit U4CON0_MODE2 @ U4CON0.2;
bit U4MODE2  @ U4CON0.2;
bit U4RXEN   @ U4CON0.4;
bit U4CON0_RXEN @ U4CON0.4;
bit U4TXEN   @ U4CON0.5;
bit U4CON0_TXEN @ U4CON0.5;
bit U4ABDEN  @ U4CON0.6;
bit U4CON0_ABDEN @ U4CON0.6;
bit U4BRGS   @ U4CON0.7;
bit U4CON0_BRGS @ U4CON0.7;

bit U3ERRIE_TXCIE @ U3ERRIE.0;
bit U3TXCIE  @ U3ERRIE.0;
bit U3ERRIE_RXFOIE @ U3ERRIE.1;
bit U3RXFOIE @ U3ERRIE.1;
bit U3ERRIE_RXBKIE @ U3ERRIE.2;
bit U3RXBKIE @ U3ERRIE.2;
bit U3ERRIE_FERIE @ U3ERRIE.3;
bit U3FERIE  @ U3ERRIE.3;
bit U3ERRIE_CERIE @ U3ERRIE.4;
bit U3CERIE  @ U3ERRIE.4;
bit U3ERRIE_ABDOVE @ U3ERRIE.5;
bit U3ABDOVE @ U3ERRIE.5;
bit U3ERRIE_PERIE @ U3ERRIE.6;
bit U3PERIE  @ U3ERRIE.6;
bit U3ERRIE_TXMTIE @ U3ERRIE.7;
bit U3TXMTIE @ U3ERRIE.7;

bit U3ERRIR_TXCIF @ U3ERRIR.0;
bit U3TXCIF  @ U3ERRIR.0;
bit U3ERRIR_RXFOIF @ U3ERRIR.1;
bit U3RXFOIF @ U3ERRIR.1;
bit U3ERRIR_RXBKIF @ U3ERRIR.2;
bit U3RXBKIF @ U3ERRIR.2;
bit U3ERRIR_FERIF @ U3ERRIR.3;
bit U3FERIF  @ U3ERRIR.3;
bit U3ERRIR_CERIF @ U3ERRIR.4;
bit U3CERIF  @ U3ERRIR.4;
bit U3ERRIR_ABDOVF @ U3ERRIR.5;
bit U3ABDOVF @ U3ERRIR.5;
bit U3ERRIR_PERIF @ U3ERRIR.6;
bit U3PERIF  @ U3ERRIR.6;
bit U3ERRIR_TXMTIF @ U3ERRIR.7;
bit U3TXMTIF @ U3ERRIR.7;

bit U3UIR_ABDIE @ U3UIR.2;
bit U3ABDIE  @ U3UIR.2;
bit U3UIR_ABDIF @ U3UIR.6;
bit U3ABDIF  @ U3UIR.6;
bit U3UIR_WUIF @ U3UIR.7;
bit U3WUIF   @ U3UIR.7;

bit U3FIFO_RXBF @ U3FIFO.0;
bit U3RXBF   @ U3FIFO.0;
bit U3FIFO_RXBE @ U3FIFO.1;
bit U3RXBE   @ U3FIFO.1;
bit U3FIFO_XON @ U3FIFO.2;
bit U3XON    @ U3FIFO.2;
bit U3FIFO_RXIDL @ U3FIFO.3;
bit U3RXIDL  @ U3FIFO.3;
bit U3FIFO_U3RCIDL @ U3FIFO.3;
bit U3FIFO_RCIDL @ U3FIFO.3;
bit U3FIFO_TXBF @ U3FIFO.4;
bit U3TXBF   @ U3FIFO.4;
bit U3FIFO_TXBE @ U3FIFO.5;
bit U3TXBE   @ U3FIFO.5;
bit U3FIFO_STPMD @ U3FIFO.6;
bit U3STPMD  @ U3FIFO.6;
bit U3FIFO_TXWRE @ U3FIFO.7;
bit U3TXWRE  @ U3FIFO.7;

bit U3CON2_FLO0 @ U3CON2.0;
bit U3FLO0   @ U3CON2.0;
bit U3CON2_FLO1 @ U3CON2.1;
bit U3FLO1   @ U3CON2.1;
bit U3CON2_TXPOL @ U3CON2.2;
bit U3TXPOL  @ U3CON2.2;
bit U3CON2_STP0 @ U3CON2.4;
bit U3STP0   @ U3CON2.4;
bit U3CON2_STP1 @ U3CON2.5;
bit U3STP1   @ U3CON2.5;
bit U3CON2_RXPOL @ U3CON2.6;
bit U3RXPOL  @ U3CON2.6;
bit U3CON2_RUNOVF @ U3CON2.7;
bit U3RUNOVF @ U3CON2.7;

bit U3CON1_SENDB @ U3CON1.0;
bit U3SENDB  @ U3CON1.0;
bit U3CON1_BRKOVR @ U3CON1.1;
bit U3BRKOVR @ U3CON1.1;
bit U3CON1_RXBIMD @ U3CON1.3;
bit U3RXBIMD @ U3CON1.3;
bit U3CON1_WUE @ U3CON1.4;
bit U3WUE    @ U3CON1.4;
bit U3CON1_ON @ U3CON1.7;
bit U3ON     @ U3CON1.7;

bit U3CON0_MODE0 @ U3CON0.0;
bit U3MODE0  @ U3CON0.0;
bit U3CON0_MODE1 @ U3CON0.1;
bit U3MODE1  @ U3CON0.1;
bit U3CON0_MODE2 @ U3CON0.2;
bit U3MODE2  @ U3CON0.2;
bit U3RXEN   @ U3CON0.4;
bit U3CON0_RXEN @ U3CON0.4;
bit U3TXEN   @ U3CON0.5;
bit U3CON0_TXEN @ U3CON0.5;
bit U3ABDEN  @ U3CON0.6;
bit U3CON0_ABDEN @ U3CON0.6;
bit U3BRGS   @ U3CON0.7;
bit U3CON0_BRGS @ U3CON0.7;

bit U2ERRIE_TXCIE @ U2ERRIE.0;
bit U2TXCIE  @ U2ERRIE.0;
bit U2ERRIE_RXFOIE @ U2ERRIE.1;
bit U2RXFOIE @ U2ERRIE.1;
bit U2ERRIE_RXBKIE @ U2ERRIE.2;
bit U2RXBKIE @ U2ERRIE.2;
bit U2ERRIE_FERIE @ U2ERRIE.3;
bit U2FERIE  @ U2ERRIE.3;
bit U2ERRIE_CERIE @ U2ERRIE.4;
bit U2CERIE  @ U2ERRIE.4;
bit U2ERRIE_ABDOVE @ U2ERRIE.5;
bit U2ABDOVE @ U2ERRIE.5;
bit U2ERRIE_PERIE @ U2ERRIE.6;
bit U2PERIE  @ U2ERRIE.6;
bit U2ERRIE_TXMTIE @ U2ERRIE.7;
bit U2TXMTIE @ U2ERRIE.7;

bit U2ERRIR_TXCIF @ U2ERRIR.0;
bit U2TXCIF  @ U2ERRIR.0;
bit U2ERRIR_RXFOIF @ U2ERRIR.1;
bit U2RXFOIF @ U2ERRIR.1;
bit U2ERRIR_RXBKIF @ U2ERRIR.2;
bit U2RXBKIF @ U2ERRIR.2;
bit U2ERRIR_FERIF @ U2ERRIR.3;
bit U2FERIF  @ U2ERRIR.3;
bit U2ERRIR_CERIF @ U2ERRIR.4;
bit U2CERIF  @ U2ERRIR.4;
bit U2ERRIR_ABDOVF @ U2ERRIR.5;
bit U2ABDOVF @ U2ERRIR.5;
bit U2ERRIR_PERIF @ U2ERRIR.6;
bit U2PERIF  @ U2ERRIR.6;
bit U2ERRIR_TXMTIF @ U2ERRIR.7;
bit U2TXMTIF @ U2ERRIR.7;

bit U2UIR_ABDIE @ U2UIR.2;
bit U2ABDIE  @ U2UIR.2;
bit U2UIR_ABDIF @ U2UIR.6;
bit U2ABDIF  @ U2UIR.6;
bit U2UIR_WUIF @ U2UIR.7;
bit U2WUIF   @ U2UIR.7;

bit U2FIFO_RXBF @ U2FIFO.0;
bit U2RXBF   @ U2FIFO.0;
bit U2FIFO_RXBE @ U2FIFO.1;
bit U2RXBE   @ U2FIFO.1;
bit U2FIFO_XON @ U2FIFO.2;
bit U2XON    @ U2FIFO.2;
bit U2FIFO_RXIDL @ U2FIFO.3;
bit U2RXIDL  @ U2FIFO.3;
bit U2FIFO_U2RCIDL @ U2FIFO.3;
bit U2FIFO_RCIDL @ U2FIFO.3;
bit U2FIFO_TXBF @ U2FIFO.4;
bit U2TXBF   @ U2FIFO.4;
bit U2FIFO_TXBE @ U2FIFO.5;
bit U2TXBE   @ U2FIFO.5;
bit U2FIFO_STPMD @ U2FIFO.6;
bit U2STPMD  @ U2FIFO.6;
bit U2FIFO_TXWRE @ U2FIFO.7;
bit U2TXWRE  @ U2FIFO.7;

bit U2CON2_FLO0 @ U2CON2.0;
bit U2FLO0   @ U2CON2.0;
bit U2CON2_FLO1 @ U2CON2.1;
bit U2FLO1   @ U2CON2.1;
bit U2CON2_TXPOL @ U2CON2.2;
bit U2TXPOL  @ U2CON2.2;
bit U2CON2_C0EN @ U2CON2.3;
bit U2C0EN   @ U2CON2.3;
bit U2CON2_STP0 @ U2CON2.4;
bit U2STP0   @ U2CON2.4;
bit U2CON2_STP1 @ U2CON2.5;
bit U2STP1   @ U2CON2.5;
bit U2CON2_RXPOL @ U2CON2.6;
bit U2RXPOL  @ U2CON2.6;
bit U2CON2_RUNOVF @ U2CON2.7;
bit U2RUNOVF @ U2CON2.7;

bit U2CON1_SENDB @ U2CON1.0;
bit U2SENDB  @ U2CON1.0;
bit U2CON1_BRKOVR @ U2CON1.1;
bit U2BRKOVR @ U2CON1.1;
bit U2CON1_RXBIMD @ U2CON1.3;
bit U2RXBIMD @ U2CON1.3;
bit U2CON1_WUE @ U2CON1.4;
bit U2WUE    @ U2CON1.4;
bit U2CON1_ON @ U2CON1.7;
bit U2ON     @ U2CON1.7;

bit U2CON0_MODE0 @ U2CON0.0;
bit U2MODE0  @ U2CON0.0;
bit U2CON0_MODE1 @ U2CON0.1;
bit U2MODE1  @ U2CON0.1;
bit U2CON0_MODE2 @ U2CON0.2;
bit U2MODE2  @ U2CON0.2;
bit U2CON0_MODE3 @ U2CON0.3;
bit U2MODE3  @ U2CON0.3;
bit U2RXEN   @ U2CON0.4;
bit U2CON0_RXEN @ U2CON0.4;
bit U2TXEN   @ U2CON0.5;
bit U2CON0_TXEN @ U2CON0.5;
bit U2ABDEN  @ U2CON0.6;
bit U2CON0_ABDEN @ U2CON0.6;
bit U2BRGS   @ U2CON0.7;
bit U2CON0_BRGS @ U2CON0.7;

bit U2P3H_P3H @ U2P3H.0;

bit U2P2H_P2H @ U2P2H.0;

bit U2P1H_P1H @ U2P1H.0;

bit U1ERRIE_TXCIE @ U1ERRIE.0;
bit U1TXCIE  @ U1ERRIE.0;
bit U1ERRIE_RXFOIE @ U1ERRIE.1;
bit U1RXFOIE @ U1ERRIE.1;
bit U1ERRIE_RXBKIE @ U1ERRIE.2;
bit U1RXBKIE @ U1ERRIE.2;
bit U1ERRIE_FERIE @ U1ERRIE.3;
bit U1FERIE  @ U1ERRIE.3;
bit U1ERRIE_CERIE @ U1ERRIE.4;
bit U1CERIE  @ U1ERRIE.4;
bit U1ERRIE_ABDOVE @ U1ERRIE.5;
bit U1ABDOVE @ U1ERRIE.5;
bit U1ERRIE_PERIE @ U1ERRIE.6;
bit U1PERIE  @ U1ERRIE.6;
bit U1ERRIE_TXMTIE @ U1ERRIE.7;
bit U1TXMTIE @ U1ERRIE.7;

bit U1ERRIR_TXCIF @ U1ERRIR.0;
bit U1TXCIF  @ U1ERRIR.0;
bit U1ERRIR_RXFOIF @ U1ERRIR.1;
bit U1RXFOIF @ U1ERRIR.1;
bit U1ERRIR_RXBKIF @ U1ERRIR.2;
bit U1RXBKIF @ U1ERRIR.2;
bit U1ERRIR_FERIF @ U1ERRIR.3;
bit U1FERIF  @ U1ERRIR.3;
bit U1ERRIR_CERIF @ U1ERRIR.4;
bit U1CERIF  @ U1ERRIR.4;
bit U1ERRIR_ABDOVF @ U1ERRIR.5;
bit U1ABDOVF @ U1ERRIR.5;
bit U1ERRIR_PERIF @ U1ERRIR.6;
bit U1PERIF  @ U1ERRIR.6;
bit U1ERRIR_TXMTIF @ U1ERRIR.7;
bit U1TXMTIF @ U1ERRIR.7;

bit U1UIR_ABDIE @ U1UIR.2;
bit U1ABDIE  @ U1UIR.2;
bit U1UIR_ABDIF @ U1UIR.6;
bit U1ABDIF  @ U1UIR.6;
bit U1UIR_WUIF @ U1UIR.7;
bit U1WUIF   @ U1UIR.7;

bit U1FIFO_RXBF @ U1FIFO.0;
bit U1RXBF   @ U1FIFO.0;
bit U1FIFO_RXBE @ U1FIFO.1;
bit U1RXBE   @ U1FIFO.1;
bit U1FIFO_XON @ U1FIFO.2;
bit U1XON    @ U1FIFO.2;
bit U1FIFO_RXIDL @ U1FIFO.3;
bit U1RXIDL  @ U1FIFO.3;
bit U1FIFO_U1RCIDL @ U1FIFO.3;
bit U1FIFO_RCIDL @ U1FIFO.3;
bit U1FIFO_TXBF @ U1FIFO.4;
bit U1TXBF   @ U1FIFO.4;
bit U1FIFO_TXBE @ U1FIFO.5;
bit U1TXBE   @ U1FIFO.5;
bit U1FIFO_STPMD @ U1FIFO.6;
bit U1STPMD  @ U1FIFO.6;
bit U1FIFO_TXWRE @ U1FIFO.7;
bit U1TXWRE  @ U1FIFO.7;

bit U1CON2_FLO0 @ U1CON2.0;
bit U1FLO0   @ U1CON2.0;
bit U1CON2_FLO1 @ U1CON2.1;
bit U1FLO1   @ U1CON2.1;
bit U1CON2_TXPOL @ U1CON2.2;
bit U1TXPOL  @ U1CON2.2;
bit U1CON2_C0EN @ U1CON2.3;
bit U1C0EN   @ U1CON2.3;
bit U1CON2_STP0 @ U1CON2.4;
bit U1STP0   @ U1CON2.4;
bit U1CON2_STP1 @ U1CON2.5;
bit U1STP1   @ U1CON2.5;
bit U1CON2_RXPOL @ U1CON2.6;
bit U1RXPOL  @ U1CON2.6;
bit U1CON2_RUNOVF @ U1CON2.7;
bit U1RUNOVF @ U1CON2.7;

bit U1CON1_SENDB @ U1CON1.0;
bit U1SENDB  @ U1CON1.0;
bit U1CON1_BRKOVR @ U1CON1.1;
bit U1BRKOVR @ U1CON1.1;
bit U1CON1_RXBIMD @ U1CON1.3;
bit U1RXBIMD @ U1CON1.3;
bit U1CON1_WUE @ U1CON1.4;
bit U1WUE    @ U1CON1.4;
bit U1CON1_ON @ U1CON1.7;
bit U1ON     @ U1CON1.7;

bit U1CON0_MODE0 @ U1CON0.0;
bit U1MODE0  @ U1CON0.0;
bit U1CON0_MODE1 @ U1CON0.1;
bit U1MODE1  @ U1CON0.1;
bit U1CON0_MODE2 @ U1CON0.2;
bit U1MODE2  @ U1CON0.2;
bit U1CON0_MODE3 @ U1CON0.3;
bit U1MODE3  @ U1CON0.3;
bit U1RXEN   @ U1CON0.4;
bit U1CON0_RXEN @ U1CON0.4;
bit U1TXEN   @ U1CON0.5;
bit U1CON0_TXEN @ U1CON0.5;
bit U1ABDEN  @ U1CON0.6;
bit U1CON0_ABDEN @ U1CON0.6;
bit U1BRGS   @ U1CON0.7;
bit U1CON0_BRGS @ U1CON0.7;

bit U1P3H_P3H @ U1P3H.0;

bit U1P2H_P2H @ U1P2H.0;

bit U1P1H_P1H @ U1P1H.0;

bit I2C1BTO_TOTIME0 @ I2C1BTO.0;
bit I2C1BTO_TOTIME1 @ I2C1BTO.1;
bit I2C1BTO_TOTIME2 @ I2C1BTO.2;
bit I2C1BTO_TOTIME3 @ I2C1BTO.3;
bit I2C1BTO_TOTIME4 @ I2C1BTO.4;
bit I2C1BTO_TOTIME5 @ I2C1BTO.5;
bit I2C1BTO_TOBY32 @ I2C1BTO.6;
bit I2C1BTO_TOREC @ I2C1BTO.7;

bit I2C1PIE_SCIE @ I2C1PIE.0;
bit SC1IE    @ I2C1PIE.0;
bit I2C1PIE_SC1IE @ I2C1PIE.0;
bit I2C1PIE_RSCIE @ I2C1PIE.1;
bit RSC1IE   @ I2C1PIE.1;
bit I2C1PIE_RSC1IE @ I2C1PIE.1;
bit I2C1PIE_PCIE @ I2C1PIE.2;
bit PC1IE    @ I2C1PIE.2;
bit I2C1PIE_PC1IE @ I2C1PIE.2;
bit I2C1PIE_ADRIE @ I2C1PIE.3;
bit ADR1IE   @ I2C1PIE.3;
bit I2C1PIE_ADR1IE @ I2C1PIE.3;
bit I2C1PIE_WRIE @ I2C1PIE.4;
bit WR1IE    @ I2C1PIE.4;
bit I2C1PIE_WR1IE @ I2C1PIE.4;
bit I2C1PIE_ACKTIE @ I2C1PIE.6;
bit ACKT1IE  @ I2C1PIE.6;
bit I2C1PIE_ACKT1IE @ I2C1PIE.6;
bit I2C1PIE_CNTIE @ I2C1PIE.7;
bit CNT1IE   @ I2C1PIE.7;
bit I2C1PIE_CNT1IE @ I2C1PIE.7;

bit I2C1PIR_SCIF @ I2C1PIR.0;
bit SC1IF    @ I2C1PIR.0;
bit I2C1PIR_SC1IF @ I2C1PIR.0;
bit I2C1PIR_RSCIF @ I2C1PIR.1;
bit RSC1IF   @ I2C1PIR.1;
bit I2C1PIR_RSC1IF @ I2C1PIR.1;
bit I2C1PIR_PCIF @ I2C1PIR.2;
bit PC1IF    @ I2C1PIR.2;
bit I2C1PIR_PC1IF @ I2C1PIR.2;
bit I2C1PIR_ADRIF @ I2C1PIR.3;
bit ADR1IF   @ I2C1PIR.3;
bit I2C1PIR_ADR1IF @ I2C1PIR.3;
bit I2C1PIR_WRIF @ I2C1PIR.4;
bit WR1IF    @ I2C1PIR.4;
bit I2C1PIR_WR1IF @ I2C1PIR.4;
bit I2C1PIR_ACKTIF @ I2C1PIR.6;
bit ACKT1IF  @ I2C1PIR.6;
bit I2C1PIR_ACKT1IF @ I2C1PIR.6;
bit I2C1PIR_CNTIF @ I2C1PIR.7;
bit CNT1IF   @ I2C1PIR.7;
bit I2C1PIR_CNT1IF @ I2C1PIR.7;

bit I2C1STAT1_RXBF @ I2C1STAT1.0;
bit I2C1STAT1_CLRBF @ I2C1STAT1.2;
bit I2C1STAT1_RXRE @ I2C1STAT1.3;
bit I2C1STAT1_TXBE @ I2C1STAT1.5;
bit I2C1STAT1_TXWE @ I2C1STAT1.7;

bit I2C1STAT0_D @ I2C1STAT0.3;
bit I2C1STAT0_DATA @ I2C1STAT0.3;
bit I2C1STAT0_ADDRESS_ @ I2C1STAT0.3;
bit I2C1STAT0_A_ @ I2C1STAT0.3;
bit I2C1STAT0_R @ I2C1STAT0.4;
bit I2C1STAT0_READ @ I2C1STAT0.4;
bit I2C1STAT0_WRITE_ @ I2C1STAT0.4;
bit I2C1STAT0_W_ @ I2C1STAT0.4;
bit I2C1STAT0_MMA @ I2C1STAT0.5;
bit I2C1STAT0_SMA @ I2C1STAT0.6;
bit I2C1STAT0_BFRE @ I2C1STAT0.7;

bit I2C1ERR_NACKIE @ I2C1ERR.0;
bit NACK1IE  @ I2C1ERR.0;
bit I2C1ERR_NACK1IE @ I2C1ERR.0;
bit I2C1ERR_BCLIE @ I2C1ERR.1;
bit BCL1IE   @ I2C1ERR.1;
bit I2C1ERR_BCL1IE @ I2C1ERR.1;
bit I2C1ERR_BTOIE @ I2C1ERR.2;
bit BTO1IE   @ I2C1ERR.2;
bit I2C1ERR_BTO1IE @ I2C1ERR.2;
bit I2C1ERR_NACKIF @ I2C1ERR.4;
bit NACK1IF  @ I2C1ERR.4;
bit I2C1ERR_NACK1IF @ I2C1ERR.4;
bit I2C1ERR_BCLIF @ I2C1ERR.5;
bit BCL1IF   @ I2C1ERR.5;
bit I2C1ERR_BCL1IF @ I2C1ERR.5;
bit I2C1ERR_BTOIF @ I2C1ERR.6;
bit BTO1IF   @ I2C1ERR.6;
bit I2C1ERR_BTO1IF @ I2C1ERR.6;

bit I2C1CON2_BFRET0 @ I2C1CON2.0;
bit I2C1CON2_BFRET1 @ I2C1CON2.1;
bit I2C1CON2_SDAHT0 @ I2C1CON2.2;
bit I2C1CON2_SDAHT1 @ I2C1CON2.3;
bit I2C1CON2_ABD @ I2C1CON2.4;
bit I2C1CON2_FME @ I2C1CON2.5;
bit I2C1CON2_GCEN @ I2C1CON2.6;
bit I2C1CON2_ACNT @ I2C1CON2.7;

bit I2C1CON1_CSD @ I2C1CON1.0;
bit I2C1CON1_TXU @ I2C1CON1.1;
bit I2C1CON1_RXO @ I2C1CON1.2;
bit I2C1CON1_P @ I2C1CON1.3;
bit I2C1CON1_ACKT @ I2C1CON1.4;
bit I2C1CON1_ACKSTAT @ I2C1CON1.5;
bit I2C1CON1_ACKDT @ I2C1CON1.6;
bit I2C1CON1_ACKCNT @ I2C1CON1.7;

bit I2C1CON0_MODE0 @ I2C1CON0.0;
bit I2C1CON0_MODE1 @ I2C1CON0.1;
bit I2C1CON0_MODE2 @ I2C1CON0.2;
bit I2C1CON0_MDR @ I2C1CON0.3;
bit I2C1CON0_CSTR @ I2C1CON0.4;
bit I2C1CON0_S @ I2C1CON0.5;
bit I2C1CON0_RSEN @ I2C1CON0.6;
bit I2C1CON0_EN @ I2C1CON0.7;

bit RB1I2C_TH0 @ RB1I2C.0;
bit RB1I2C_I2CTH0 @ RB1I2C.0;
bit RB1I2C_TH1 @ RB1I2C.1;
bit RB1I2C_I2CTH1 @ RB1I2C.1;
bit RB1I2C_PU0 @ RB1I2C.4;
bit RB1I2C_I2CPU0 @ RB1I2C.4;
bit RB1I2C_PU1 @ RB1I2C.5;
bit RB1I2C_I2CPU1 @ RB1I2C.5;
bit RB1I2C_SLEW0 @ RB1I2C.6;
bit RB1I2C_I2CSLEW0 @ RB1I2C.6;
bit RB1I2C_SLEW1 @ RB1I2C.7;
bit RB1I2C_I2CSLEW1 @ RB1I2C.7;

bit RB2I2C_TH0 @ RB2I2C.0;
bit RB2I2C_I2CTH0 @ RB2I2C.0;
bit RB2I2C_TH1 @ RB2I2C.1;
bit RB2I2C_I2CTH1 @ RB2I2C.1;
bit RB2I2C_PU0 @ RB2I2C.4;
bit RB2I2C_I2CPU0 @ RB2I2C.4;
bit RB2I2C_PU1 @ RB2I2C.5;
bit RB2I2C_I2CPU1 @ RB2I2C.5;
bit RB2I2C_SLEW0 @ RB2I2C.6;
bit RB2I2C_I2CSLEW0 @ RB2I2C.6;
bit RB2I2C_SLEW1 @ RB2I2C.7;
bit RB2I2C_I2CSLEW1 @ RB2I2C.7;

bit RC3I2C_TH0 @ RC3I2C.0;
bit RC3I2C_I2CTH0 @ RC3I2C.0;
bit RC3I2C_TH1 @ RC3I2C.1;
bit RC3I2C_I2CTH1 @ RC3I2C.1;
bit RC3I2C_PU0 @ RC3I2C.4;
bit RC3I2C_I2CPU0 @ RC3I2C.4;
bit RC3I2C_PU1 @ RC3I2C.5;
bit RC3I2C_I2CPU1 @ RC3I2C.5;
bit RC3I2C_SLEW0 @ RC3I2C.6;
bit RC3I2C_I2CSLEW0 @ RC3I2C.6;
bit RC3I2C_SLEW1 @ RC3I2C.7;
bit RC3I2C_I2CSLEW1 @ RC3I2C.7;

bit RC4I2C_TH0 @ RC4I2C.0;
bit RC4I2C_I2CTH0 @ RC4I2C.0;
bit RC4I2C_TH1 @ RC4I2C.1;
bit RC4I2C_I2CTH1 @ RC4I2C.1;
bit RC4I2C_PU0 @ RC4I2C.4;
bit RC4I2C_I2CPU0 @ RC4I2C.4;
bit RC4I2C_PU1 @ RC4I2C.5;
bit RC4I2C_I2CPU1 @ RC4I2C.5;
bit RC4I2C_SLEW0 @ RC4I2C.6;
bit RC4I2C_I2CSLEW0 @ RC4I2C.6;
bit RC4I2C_SLEW1 @ RC4I2C.7;
bit RC4I2C_I2CSLEW1 @ RC4I2C.7;

bit INT0PPS0 @ INT0PPS.0;
bit INT0PPS_INT0PPS0 @ INT0PPS.0;
bit INT0PPS1 @ INT0PPS.1;
bit INT0PPS_INT0PPS1 @ INT0PPS.1;
bit INT0PPS2 @ INT0PPS.2;
bit INT0PPS_INT0PPS2 @ INT0PPS.2;
bit INT0PPS_PORT @ INT0PPS.3;
bit INT0PPS3 @ INT0PPS.3;

bit PPSLOCKED @ PPSLOCK.0;
bit PPSLOCK_PPSLOCKED @ PPSLOCK.0;

bit C1MASK11T_MEID13 @ C1MASK11T.0;
bit C1MASK11T_MEID14 @ C1MASK11T.1;
bit C1MASK11T_MEID15 @ C1MASK11T.2;
bit C1MASK11T_MEID16 @ C1MASK11T.3;
bit C1MASK11T_MEID17 @ C1MASK11T.4;
bit C1MASK11T_MSID11 @ C1MASK11T.5;
bit C1MASK11T_MIDE @ C1MASK11T.6;

bit C1MASK11U_MEID5 @ C1MASK11U.0;
bit C1MASK11U_MEID6 @ C1MASK11U.1;
bit C1MASK11U_MEID7 @ C1MASK11U.2;
bit C1MASK11U_MEID8 @ C1MASK11U.3;
bit C1MASK11U_MEID9 @ C1MASK11U.4;
bit C1MASK11U_MEID10 @ C1MASK11U.5;
bit C1MASK11U_MEID11 @ C1MASK11U.6;
bit C1MASK11U_MEID12 @ C1MASK11U.7;

bit C1MASK11H_MSID8 @ C1MASK11H.0;
bit C1MASK11H_MSID9 @ C1MASK11H.1;
bit C1MASK11H_MSID10 @ C1MASK11H.2;
bit C1MASK11H_MEID0 @ C1MASK11H.3;
bit C1MASK11H_MEID1 @ C1MASK11H.4;
bit C1MASK11H_MEID2 @ C1MASK11H.5;
bit C1MASK11H_MEID3 @ C1MASK11H.6;
bit C1MASK11H_MEID4 @ C1MASK11H.7;

bit C1FLTOBJ11T_EID13 @ C1FLTOBJ11T.0;
bit C1FLTOBJ11T_EID14 @ C1FLTOBJ11T.1;
bit C1FLTOBJ11T_EID15 @ C1FLTOBJ11T.2;
bit C1FLTOBJ11T_EID16 @ C1FLTOBJ11T.3;
bit C1FLTOBJ11T_EID17 @ C1FLTOBJ11T.4;
bit C1FLTOBJ11T_SID11 @ C1FLTOBJ11T.5;
bit C1FLTOBJ11T_EXIDE @ C1FLTOBJ11T.6;

bit C1FLTOBJ11U_EID5 @ C1FLTOBJ11U.0;
bit C1FLTOBJ11U_EID6 @ C1FLTOBJ11U.1;
bit C1FLTOBJ11U_EID7 @ C1FLTOBJ11U.2;
bit C1FLTOBJ11U_EID8 @ C1FLTOBJ11U.3;
bit C1FLTOBJ11U_EID9 @ C1FLTOBJ11U.4;
bit C1FLTOBJ11U_EID10 @ C1FLTOBJ11U.5;
bit C1FLTOBJ11U_EID11 @ C1FLTOBJ11U.6;
bit C1FLTOBJ11U_EID12 @ C1FLTOBJ11U.7;

bit C1FLTOBJ11H_SID8 @ C1FLTOBJ11H.0;
bit C1FLTOBJ11H_SID9 @ C1FLTOBJ11H.1;
bit C1FLTOBJ11H_SID10 @ C1FLTOBJ11H.2;
bit C1FLTOBJ11H_EID0 @ C1FLTOBJ11H.3;
bit C1FLTOBJ11H_EID1 @ C1FLTOBJ11H.4;
bit C1FLTOBJ11H_EID2 @ C1FLTOBJ11H.5;
bit C1FLTOBJ11H_EID3 @ C1FLTOBJ11H.6;
bit C1FLTOBJ11H_EID4 @ C1FLTOBJ11H.7;

bit C1MASK10T_MEID13 @ C1MASK10T.0;
bit C1MASK10T_MEID14 @ C1MASK10T.1;
bit C1MASK10T_MEID15 @ C1MASK10T.2;
bit C1MASK10T_MEID16 @ C1MASK10T.3;
bit C1MASK10T_MEID17 @ C1MASK10T.4;
bit C1MASK10T_MSID11 @ C1MASK10T.5;
bit C1MASK10T_MIDE @ C1MASK10T.6;

bit C1MASK10U_MEID5 @ C1MASK10U.0;
bit C1MASK10U_MEID6 @ C1MASK10U.1;
bit C1MASK10U_MEID7 @ C1MASK10U.2;
bit C1MASK10U_MEID8 @ C1MASK10U.3;
bit C1MASK10U_MEID9 @ C1MASK10U.4;
bit C1MASK10U_MEID10 @ C1MASK10U.5;
bit C1MASK10U_MEID11 @ C1MASK10U.6;
bit C1MASK10U_MEID12 @ C1MASK10U.7;

bit C1MASK10H_MSID8 @ C1MASK10H.0;
bit C1MASK10H_MSID9 @ C1MASK10H.1;
bit C1MASK10H_MSID10 @ C1MASK10H.2;
bit C1MASK10H_MEID0 @ C1MASK10H.3;
bit C1MASK10H_MEID1 @ C1MASK10H.4;
bit C1MASK10H_MEID2 @ C1MASK10H.5;
bit C1MASK10H_MEID3 @ C1MASK10H.6;
bit C1MASK10H_MEID4 @ C1MASK10H.7;

bit C1FLTOBJ10T_EID13 @ C1FLTOBJ10T.0;
bit C1FLTOBJ10T_EID14 @ C1FLTOBJ10T.1;
bit C1FLTOBJ10T_EID15 @ C1FLTOBJ10T.2;
bit C1FLTOBJ10T_EID16 @ C1FLTOBJ10T.3;
bit C1FLTOBJ10T_EID17 @ C1FLTOBJ10T.4;
bit C1FLTOBJ10T_SID11 @ C1FLTOBJ10T.5;
bit C1FLTOBJ10T_EXIDE @ C1FLTOBJ10T.6;

bit C1FLTOBJ10U_EID5 @ C1FLTOBJ10U.0;
bit C1FLTOBJ10U_EID6 @ C1FLTOBJ10U.1;
bit C1FLTOBJ10U_EID7 @ C1FLTOBJ10U.2;
bit C1FLTOBJ10U_EID8 @ C1FLTOBJ10U.3;
bit C1FLTOBJ10U_EID9 @ C1FLTOBJ10U.4;
bit C1FLTOBJ10U_EID10 @ C1FLTOBJ10U.5;
bit C1FLTOBJ10U_EID11 @ C1FLTOBJ10U.6;
bit C1FLTOBJ10U_EID12 @ C1FLTOBJ10U.7;

bit C1FLTOBJ10H_SID8 @ C1FLTOBJ10H.0;
bit C1FLTOBJ10H_SID9 @ C1FLTOBJ10H.1;
bit C1FLTOBJ10H_SID10 @ C1FLTOBJ10H.2;
bit C1FLTOBJ10H_EID0 @ C1FLTOBJ10H.3;
bit C1FLTOBJ10H_EID1 @ C1FLTOBJ10H.4;
bit C1FLTOBJ10H_EID2 @ C1FLTOBJ10H.5;
bit C1FLTOBJ10H_EID3 @ C1FLTOBJ10H.6;
bit C1FLTOBJ10H_EID4 @ C1FLTOBJ10H.7;

bit C1MASK9T_MEID13 @ C1MASK9T.0;
bit C1MASK9T_MEID14 @ C1MASK9T.1;
bit C1MASK9T_MEID15 @ C1MASK9T.2;
bit C1MASK9T_MEID16 @ C1MASK9T.3;
bit C1MASK9T_MEID17 @ C1MASK9T.4;
bit C1MASK9T_MSID11 @ C1MASK9T.5;
bit C1MASK9T_MIDE @ C1MASK9T.6;

bit C1MASK9U_MEID5 @ C1MASK9U.0;
bit C1MASK9U_MEID6 @ C1MASK9U.1;
bit C1MASK9U_MEID7 @ C1MASK9U.2;
bit C1MASK9U_MEID8 @ C1MASK9U.3;
bit C1MASK9U_MEID9 @ C1MASK9U.4;
bit C1MASK9U_MEID10 @ C1MASK9U.5;
bit C1MASK9U_MEID11 @ C1MASK9U.6;
bit C1MASK9U_MEID12 @ C1MASK9U.7;

bit C1MASK9H_MSID8 @ C1MASK9H.0;
bit C1MASK9H_MSID9 @ C1MASK9H.1;
bit C1MASK9H_MSID10 @ C1MASK9H.2;
bit C1MASK9H_MEID0 @ C1MASK9H.3;
bit C1MASK9H_MEID1 @ C1MASK9H.4;
bit C1MASK9H_MEID2 @ C1MASK9H.5;
bit C1MASK9H_MEID3 @ C1MASK9H.6;
bit C1MASK9H_MEID4 @ C1MASK9H.7;

bit C1FLTOBJ9T_EID13 @ C1FLTOBJ9T.0;
bit C1FLTOBJ9T_EID14 @ C1FLTOBJ9T.1;
bit C1FLTOBJ9T_EID15 @ C1FLTOBJ9T.2;
bit C1FLTOBJ9T_EID16 @ C1FLTOBJ9T.3;
bit C1FLTOBJ9T_EID17 @ C1FLTOBJ9T.4;
bit C1FLTOBJ9T_SID11 @ C1FLTOBJ9T.5;
bit C1FLTOBJ9T_EXIDE @ C1FLTOBJ9T.6;

bit C1FLTOBJ9U_EID5 @ C1FLTOBJ9U.0;
bit C1FLTOBJ9U_EID6 @ C1FLTOBJ9U.1;
bit C1FLTOBJ9U_EID7 @ C1FLTOBJ9U.2;
bit C1FLTOBJ9U_EID8 @ C1FLTOBJ9U.3;
bit C1FLTOBJ9U_EID9 @ C1FLTOBJ9U.4;
bit C1FLTOBJ9U_EID10 @ C1FLTOBJ9U.5;
bit C1FLTOBJ9U_EID11 @ C1FLTOBJ9U.6;
bit C1FLTOBJ9U_EID12 @ C1FLTOBJ9U.7;

bit C1FLTOBJ9H_SID8 @ C1FLTOBJ9H.0;
bit C1FLTOBJ9H_SID9 @ C1FLTOBJ9H.1;
bit C1FLTOBJ9H_SID10 @ C1FLTOBJ9H.2;
bit C1FLTOBJ9H_EID0 @ C1FLTOBJ9H.3;
bit C1FLTOBJ9H_EID1 @ C1FLTOBJ9H.4;
bit C1FLTOBJ9H_EID2 @ C1FLTOBJ9H.5;
bit C1FLTOBJ9H_EID3 @ C1FLTOBJ9H.6;
bit C1FLTOBJ9H_EID4 @ C1FLTOBJ9H.7;

bit C1MASK8T_MEID13 @ C1MASK8T.0;
bit C1MASK8T_MEID14 @ C1MASK8T.1;
bit C1MASK8T_MEID15 @ C1MASK8T.2;
bit C1MASK8T_MEID16 @ C1MASK8T.3;
bit C1MASK8T_MEID17 @ C1MASK8T.4;
bit C1MASK8T_MSID11 @ C1MASK8T.5;
bit C1MASK8T_MIDE @ C1MASK8T.6;

bit C1MASK8U_MEID5 @ C1MASK8U.0;
bit C1MASK8U_MEID6 @ C1MASK8U.1;
bit C1MASK8U_MEID7 @ C1MASK8U.2;
bit C1MASK8U_MEID8 @ C1MASK8U.3;
bit C1MASK8U_MEID9 @ C1MASK8U.4;
bit C1MASK8U_MEID10 @ C1MASK8U.5;
bit C1MASK8U_MEID11 @ C1MASK8U.6;
bit C1MASK8U_MEID12 @ C1MASK8U.7;

bit C1MASK8H_MSID8 @ C1MASK8H.0;
bit C1MASK8H_MSID9 @ C1MASK8H.1;
bit C1MASK8H_MSID10 @ C1MASK8H.2;
bit C1MASK8H_MEID0 @ C1MASK8H.3;
bit C1MASK8H_MEID1 @ C1MASK8H.4;
bit C1MASK8H_MEID2 @ C1MASK8H.5;
bit C1MASK8H_MEID3 @ C1MASK8H.6;
bit C1MASK8H_MEID4 @ C1MASK8H.7;

bit C1FLTOBJ8T_EID13 @ C1FLTOBJ8T.0;
bit C1FLTOBJ8T_EID14 @ C1FLTOBJ8T.1;
bit C1FLTOBJ8T_EID15 @ C1FLTOBJ8T.2;
bit C1FLTOBJ8T_EID16 @ C1FLTOBJ8T.3;
bit C1FLTOBJ8T_EID17 @ C1FLTOBJ8T.4;
bit C1FLTOBJ8T_SID11 @ C1FLTOBJ8T.5;
bit C1FLTOBJ8T_EXIDE @ C1FLTOBJ8T.6;

bit C1FLTOBJ8U_EID5 @ C1FLTOBJ8U.0;
bit C1FLTOBJ8U_EID6 @ C1FLTOBJ8U.1;
bit C1FLTOBJ8U_EID7 @ C1FLTOBJ8U.2;
bit C1FLTOBJ8U_EID8 @ C1FLTOBJ8U.3;
bit C1FLTOBJ8U_EID9 @ C1FLTOBJ8U.4;
bit C1FLTOBJ8U_EID10 @ C1FLTOBJ8U.5;
bit C1FLTOBJ8U_EID11 @ C1FLTOBJ8U.6;
bit C1FLTOBJ8U_EID12 @ C1FLTOBJ8U.7;

bit C1FLTOBJ8H_SID8 @ C1FLTOBJ8H.0;
bit C1FLTOBJ8H_SID9 @ C1FLTOBJ8H.1;
bit C1FLTOBJ8H_SID10 @ C1FLTOBJ8H.2;
bit C1FLTOBJ8H_EID0 @ C1FLTOBJ8H.3;
bit C1FLTOBJ8H_EID1 @ C1FLTOBJ8H.4;
bit C1FLTOBJ8H_EID2 @ C1FLTOBJ8H.5;
bit C1FLTOBJ8H_EID3 @ C1FLTOBJ8H.6;
bit C1FLTOBJ8H_EID4 @ C1FLTOBJ8H.7;

bit C1MASK7T_MEID13 @ C1MASK7T.0;
bit C1MASK7T_MEID14 @ C1MASK7T.1;
bit C1MASK7T_MEID15 @ C1MASK7T.2;
bit C1MASK7T_MEID16 @ C1MASK7T.3;
bit C1MASK7T_MEID17 @ C1MASK7T.4;
bit C1MASK7T_MSID11 @ C1MASK7T.5;
bit C1MASK7T_MIDE @ C1MASK7T.6;

bit C1MASK7U_MEID5 @ C1MASK7U.0;
bit C1MASK7U_MEID6 @ C1MASK7U.1;
bit C1MASK7U_MEID7 @ C1MASK7U.2;
bit C1MASK7U_MEID8 @ C1MASK7U.3;
bit C1MASK7U_MEID9 @ C1MASK7U.4;
bit C1MASK7U_MEID10 @ C1MASK7U.5;
bit C1MASK7U_MEID11 @ C1MASK7U.6;
bit C1MASK7U_MEID12 @ C1MASK7U.7;

bit C1MASK7H_MSID8 @ C1MASK7H.0;
bit C1MASK7H_MSID9 @ C1MASK7H.1;
bit C1MASK7H_MSID10 @ C1MASK7H.2;
bit C1MASK7H_MEID0 @ C1MASK7H.3;
bit C1MASK7H_MEID1 @ C1MASK7H.4;
bit C1MASK7H_MEID2 @ C1MASK7H.5;
bit C1MASK7H_MEID3 @ C1MASK7H.6;
bit C1MASK7H_MEID4 @ C1MASK7H.7;

bit C1FLTOBJ7T_EID13 @ C1FLTOBJ7T.0;
bit C1FLTOBJ7T_EID14 @ C1FLTOBJ7T.1;
bit C1FLTOBJ7T_EID15 @ C1FLTOBJ7T.2;
bit C1FLTOBJ7T_EID16 @ C1FLTOBJ7T.3;
bit C1FLTOBJ7T_EID17 @ C1FLTOBJ7T.4;
bit C1FLTOBJ7T_SID11 @ C1FLTOBJ7T.5;
bit C1FLTOBJ7T_EXIDE @ C1FLTOBJ7T.6;

bit C1FLTOBJ7U_EID5 @ C1FLTOBJ7U.0;
bit C1FLTOBJ7U_EID6 @ C1FLTOBJ7U.1;
bit C1FLTOBJ7U_EID7 @ C1FLTOBJ7U.2;
bit C1FLTOBJ7U_EID8 @ C1FLTOBJ7U.3;
bit C1FLTOBJ7U_EID9 @ C1FLTOBJ7U.4;
bit C1FLTOBJ7U_EID10 @ C1FLTOBJ7U.5;
bit C1FLTOBJ7U_EID11 @ C1FLTOBJ7U.6;
bit C1FLTOBJ7U_EID12 @ C1FLTOBJ7U.7;

bit C1FLTOBJ7H_SID8 @ C1FLTOBJ7H.0;
bit C1FLTOBJ7H_SID9 @ C1FLTOBJ7H.1;
bit C1FLTOBJ7H_SID10 @ C1FLTOBJ7H.2;
bit C1FLTOBJ7H_EID0 @ C1FLTOBJ7H.3;
bit C1FLTOBJ7H_EID1 @ C1FLTOBJ7H.4;
bit C1FLTOBJ7H_EID2 @ C1FLTOBJ7H.5;
bit C1FLTOBJ7H_EID3 @ C1FLTOBJ7H.6;
bit C1FLTOBJ7H_EID4 @ C1FLTOBJ7H.7;

bit C1MASK6T_MEID13 @ C1MASK6T.0;
bit C1MASK6T_MEID14 @ C1MASK6T.1;
bit C1MASK6T_MEID15 @ C1MASK6T.2;
bit C1MASK6T_MEID16 @ C1MASK6T.3;
bit C1MASK6T_MEID17 @ C1MASK6T.4;
bit C1MASK6T_MSID11 @ C1MASK6T.5;
bit C1MASK6T_MIDE @ C1MASK6T.6;

bit C1MASK6U_MEID5 @ C1MASK6U.0;
bit C1MASK6U_MEID6 @ C1MASK6U.1;
bit C1MASK6U_MEID7 @ C1MASK6U.2;
bit C1MASK6U_MEID8 @ C1MASK6U.3;
bit C1MASK6U_MEID9 @ C1MASK6U.4;
bit C1MASK6U_MEID10 @ C1MASK6U.5;
bit C1MASK6U_MEID11 @ C1MASK6U.6;
bit C1MASK6U_MEID12 @ C1MASK6U.7;

bit C1MASK6H_MSID8 @ C1MASK6H.0;
bit C1MASK6H_MSID9 @ C1MASK6H.1;
bit C1MASK6H_MSID10 @ C1MASK6H.2;
bit C1MASK6H_MEID0 @ C1MASK6H.3;
bit C1MASK6H_MEID1 @ C1MASK6H.4;
bit C1MASK6H_MEID2 @ C1MASK6H.5;
bit C1MASK6H_MEID3 @ C1MASK6H.6;
bit C1MASK6H_MEID4 @ C1MASK6H.7;

bit C1FLTOBJ6T_EID13 @ C1FLTOBJ6T.0;
bit C1FLTOBJ6T_EID14 @ C1FLTOBJ6T.1;
bit C1FLTOBJ6T_EID15 @ C1FLTOBJ6T.2;
bit C1FLTOBJ6T_EID16 @ C1FLTOBJ6T.3;
bit C1FLTOBJ6T_EID17 @ C1FLTOBJ6T.4;
bit C1FLTOBJ6T_SID11 @ C1FLTOBJ6T.5;
bit C1FLTOBJ6T_EXIDE @ C1FLTOBJ6T.6;

bit C1FLTOBJ6U_EID5 @ C1FLTOBJ6U.0;
bit C1FLTOBJ6U_EID6 @ C1FLTOBJ6U.1;
bit C1FLTOBJ6U_EID7 @ C1FLTOBJ6U.2;
bit C1FLTOBJ6U_EID8 @ C1FLTOBJ6U.3;
bit C1FLTOBJ6U_EID9 @ C1FLTOBJ6U.4;
bit C1FLTOBJ6U_EID10 @ C1FLTOBJ6U.5;
bit C1FLTOBJ6U_EID11 @ C1FLTOBJ6U.6;
bit C1FLTOBJ6U_EID12 @ C1FLTOBJ6U.7;

bit C1FLTOBJ6H_SID8 @ C1FLTOBJ6H.0;
bit C1FLTOBJ6H_SID9 @ C1FLTOBJ6H.1;
bit C1FLTOBJ6H_SID10 @ C1FLTOBJ6H.2;
bit C1FLTOBJ6H_EID0 @ C1FLTOBJ6H.3;
bit C1FLTOBJ6H_EID1 @ C1FLTOBJ6H.4;
bit C1FLTOBJ6H_EID2 @ C1FLTOBJ6H.5;
bit C1FLTOBJ6H_EID3 @ C1FLTOBJ6H.6;
bit C1FLTOBJ6H_EID4 @ C1FLTOBJ6H.7;

bit C1MASK5T_MEID13 @ C1MASK5T.0;
bit C1MASK5T_MEID14 @ C1MASK5T.1;
bit C1MASK5T_MEID15 @ C1MASK5T.2;
bit C1MASK5T_MEID16 @ C1MASK5T.3;
bit C1MASK5T_MEID17 @ C1MASK5T.4;
bit C1MASK5T_MSID11 @ C1MASK5T.5;
bit C1MASK5T_MIDE @ C1MASK5T.6;

bit C1MASK5U_MEID5 @ C1MASK5U.0;
bit C1MASK5U_MEID6 @ C1MASK5U.1;
bit C1MASK5U_MEID7 @ C1MASK5U.2;
bit C1MASK5U_MEID8 @ C1MASK5U.3;
bit C1MASK5U_MEID9 @ C1MASK5U.4;
bit C1MASK5U_MEID10 @ C1MASK5U.5;
bit C1MASK5U_MEID11 @ C1MASK5U.6;
bit C1MASK5U_MEID12 @ C1MASK5U.7;

bit C1MASK5H_MSID8 @ C1MASK5H.0;
bit C1MASK5H_MSID9 @ C1MASK5H.1;
bit C1MASK5H_MSID10 @ C1MASK5H.2;
bit C1MASK5H_MEID0 @ C1MASK5H.3;
bit C1MASK5H_MEID1 @ C1MASK5H.4;
bit C1MASK5H_MEID2 @ C1MASK5H.5;
bit C1MASK5H_MEID3 @ C1MASK5H.6;
bit C1MASK5H_MEID4 @ C1MASK5H.7;

bit C1FLTOBJ5T_EID13 @ C1FLTOBJ5T.0;
bit C1FLTOBJ5T_EID14 @ C1FLTOBJ5T.1;
bit C1FLTOBJ5T_EID15 @ C1FLTOBJ5T.2;
bit C1FLTOBJ5T_EID16 @ C1FLTOBJ5T.3;
bit C1FLTOBJ5T_EID17 @ C1FLTOBJ5T.4;
bit C1FLTOBJ5T_SID11 @ C1FLTOBJ5T.5;
bit C1FLTOBJ5T_EXIDE @ C1FLTOBJ5T.6;

bit C1FLTOBJ5U_EID5 @ C1FLTOBJ5U.0;
bit C1FLTOBJ5U_EID6 @ C1FLTOBJ5U.1;
bit C1FLTOBJ5U_EID7 @ C1FLTOBJ5U.2;
bit C1FLTOBJ5U_EID8 @ C1FLTOBJ5U.3;
bit C1FLTOBJ5U_EID9 @ C1FLTOBJ5U.4;
bit C1FLTOBJ5U_EID10 @ C1FLTOBJ5U.5;
bit C1FLTOBJ5U_EID11 @ C1FLTOBJ5U.6;
bit C1FLTOBJ5U_EID12 @ C1FLTOBJ5U.7;

bit C1FLTOBJ5H_SID8 @ C1FLTOBJ5H.0;
bit C1FLTOBJ5H_SID9 @ C1FLTOBJ5H.1;
bit C1FLTOBJ5H_SID10 @ C1FLTOBJ5H.2;
bit C1FLTOBJ5H_EID0 @ C1FLTOBJ5H.3;
bit C1FLTOBJ5H_EID1 @ C1FLTOBJ5H.4;
bit C1FLTOBJ5H_EID2 @ C1FLTOBJ5H.5;
bit C1FLTOBJ5H_EID3 @ C1FLTOBJ5H.6;
bit C1FLTOBJ5H_EID4 @ C1FLTOBJ5H.7;

bit C1MASK4T_MEID13 @ C1MASK4T.0;
bit C1MASK4T_MEID14 @ C1MASK4T.1;
bit C1MASK4T_MEID15 @ C1MASK4T.2;
bit C1MASK4T_MEID16 @ C1MASK4T.3;
bit C1MASK4T_MEID17 @ C1MASK4T.4;
bit C1MASK4T_MSID11 @ C1MASK4T.5;
bit C1MASK4T_MIDE @ C1MASK4T.6;

bit C1MASK4U_MEID5 @ C1MASK4U.0;
bit C1MASK4U_MEID6 @ C1MASK4U.1;
bit C1MASK4U_MEID7 @ C1MASK4U.2;
bit C1MASK4U_MEID8 @ C1MASK4U.3;
bit C1MASK4U_MEID9 @ C1MASK4U.4;
bit C1MASK4U_MEID10 @ C1MASK4U.5;
bit C1MASK4U_MEID11 @ C1MASK4U.6;
bit C1MASK4U_MEID12 @ C1MASK4U.7;

bit C1MASK4H_MSID8 @ C1MASK4H.0;
bit C1MASK4H_MSID9 @ C1MASK4H.1;
bit C1MASK4H_MSID10 @ C1MASK4H.2;
bit C1MASK4H_MEID0 @ C1MASK4H.3;
bit C1MASK4H_MEID1 @ C1MASK4H.4;
bit C1MASK4H_MEID2 @ C1MASK4H.5;
bit C1MASK4H_MEID3 @ C1MASK4H.6;
bit C1MASK4H_MEID4 @ C1MASK4H.7;

bit C1FLTOBJ4T_EID13 @ C1FLTOBJ4T.0;
bit C1FLTOBJ4T_EID14 @ C1FLTOBJ4T.1;
bit C1FLTOBJ4T_EID15 @ C1FLTOBJ4T.2;
bit C1FLTOBJ4T_EID16 @ C1FLTOBJ4T.3;
bit C1FLTOBJ4T_EID17 @ C1FLTOBJ4T.4;
bit C1FLTOBJ4T_SID11 @ C1FLTOBJ4T.5;
bit C1FLTOBJ4T_EXIDE @ C1FLTOBJ4T.6;

bit C1FLTOBJ4U_EID5 @ C1FLTOBJ4U.0;
bit C1FLTOBJ4U_EID6 @ C1FLTOBJ4U.1;
bit C1FLTOBJ4U_EID7 @ C1FLTOBJ4U.2;
bit C1FLTOBJ4U_EID8 @ C1FLTOBJ4U.3;
bit C1FLTOBJ4U_EID9 @ C1FLTOBJ4U.4;
bit C1FLTOBJ4U_EID10 @ C1FLTOBJ4U.5;
bit C1FLTOBJ4U_EID11 @ C1FLTOBJ4U.6;
bit C1FLTOBJ4U_EID12 @ C1FLTOBJ4U.7;

bit C1FLTOBJ4H_SID8 @ C1FLTOBJ4H.0;
bit C1FLTOBJ4H_SID9 @ C1FLTOBJ4H.1;
bit C1FLTOBJ4H_SID10 @ C1FLTOBJ4H.2;
bit C1FLTOBJ4H_EID0 @ C1FLTOBJ4H.3;
bit C1FLTOBJ4H_EID1 @ C1FLTOBJ4H.4;
bit C1FLTOBJ4H_EID2 @ C1FLTOBJ4H.5;
bit C1FLTOBJ4H_EID3 @ C1FLTOBJ4H.6;
bit C1FLTOBJ4H_EID4 @ C1FLTOBJ4H.7;

bit C1MASK3T_MEID13 @ C1MASK3T.0;
bit C1MASK3T_MEID14 @ C1MASK3T.1;
bit C1MASK3T_MEID15 @ C1MASK3T.2;
bit C1MASK3T_MEID16 @ C1MASK3T.3;
bit C1MASK3T_MEID17 @ C1MASK3T.4;
bit C1MASK3T_MSID11 @ C1MASK3T.5;
bit C1MASK3T_MIDE @ C1MASK3T.6;

bit C1MASK3U_MEID5 @ C1MASK3U.0;
bit C1MASK3U_MEID6 @ C1MASK3U.1;
bit C1MASK3U_MEID7 @ C1MASK3U.2;
bit C1MASK3U_MEID8 @ C1MASK3U.3;
bit C1MASK3U_MEID9 @ C1MASK3U.4;
bit C1MASK3U_MEID10 @ C1MASK3U.5;
bit C1MASK3U_MEID11 @ C1MASK3U.6;
bit C1MASK3U_MEID12 @ C1MASK3U.7;

bit C1MASK3H_MSID8 @ C1MASK3H.0;
bit C1MASK3H_MSID9 @ C1MASK3H.1;
bit C1MASK3H_MSID10 @ C1MASK3H.2;
bit C1MASK3H_MEID0 @ C1MASK3H.3;
bit C1MASK3H_MEID1 @ C1MASK3H.4;
bit C1MASK3H_MEID2 @ C1MASK3H.5;
bit C1MASK3H_MEID3 @ C1MASK3H.6;
bit C1MASK3H_MEID4 @ C1MASK3H.7;

bit C1FLTOBJ3T_EID13 @ C1FLTOBJ3T.0;
bit C1FLTOBJ3T_EID14 @ C1FLTOBJ3T.1;
bit C1FLTOBJ3T_EID15 @ C1FLTOBJ3T.2;
bit C1FLTOBJ3T_EID16 @ C1FLTOBJ3T.3;
bit C1FLTOBJ3T_EID17 @ C1FLTOBJ3T.4;
bit C1FLTOBJ3T_SID11 @ C1FLTOBJ3T.5;
bit C1FLTOBJ3T_EXIDE @ C1FLTOBJ3T.6;

bit C1FLTOBJ3U_EID5 @ C1FLTOBJ3U.0;
bit C1FLTOBJ3U_EID6 @ C1FLTOBJ3U.1;
bit C1FLTOBJ3U_EID7 @ C1FLTOBJ3U.2;
bit C1FLTOBJ3U_EID8 @ C1FLTOBJ3U.3;
bit C1FLTOBJ3U_EID9 @ C1FLTOBJ3U.4;
bit C1FLTOBJ3U_EID10 @ C1FLTOBJ3U.5;
bit C1FLTOBJ3U_EID11 @ C1FLTOBJ3U.6;
bit C1FLTOBJ3U_EID12 @ C1FLTOBJ3U.7;

bit C1FLTOBJ3H_SID8 @ C1FLTOBJ3H.0;
bit C1FLTOBJ3H_SID9 @ C1FLTOBJ3H.1;
bit C1FLTOBJ3H_SID10 @ C1FLTOBJ3H.2;
bit C1FLTOBJ3H_EID0 @ C1FLTOBJ3H.3;
bit C1FLTOBJ3H_EID1 @ C1FLTOBJ3H.4;
bit C1FLTOBJ3H_EID2 @ C1FLTOBJ3H.5;
bit C1FLTOBJ3H_EID3 @ C1FLTOBJ3H.6;
bit C1FLTOBJ3H_EID4 @ C1FLTOBJ3H.7;

bit C1MASK2T_MEID13 @ C1MASK2T.0;
bit C1MASK2T_MEID14 @ C1MASK2T.1;
bit C1MASK2T_MEID15 @ C1MASK2T.2;
bit C1MASK2T_MEID16 @ C1MASK2T.3;
bit C1MASK2T_MEID17 @ C1MASK2T.4;
bit C1MASK2T_MSID11 @ C1MASK2T.5;
bit C1MASK2T_MIDE @ C1MASK2T.6;

bit C1MASK2U_MEID5 @ C1MASK2U.0;
bit C1MASK2U_MEID6 @ C1MASK2U.1;
bit C1MASK2U_MEID7 @ C1MASK2U.2;
bit C1MASK2U_MEID8 @ C1MASK2U.3;
bit C1MASK2U_MEID9 @ C1MASK2U.4;
bit C1MASK2U_MEID10 @ C1MASK2U.5;
bit C1MASK2U_MEID11 @ C1MASK2U.6;
bit C1MASK2U_MEID12 @ C1MASK2U.7;

bit C1MASK2H_MSID8 @ C1MASK2H.0;
bit C1MASK2H_MSID9 @ C1MASK2H.1;
bit C1MASK2H_MSID10 @ C1MASK2H.2;
bit C1MASK2H_MEID0 @ C1MASK2H.3;
bit C1MASK2H_MEID1 @ C1MASK2H.4;
bit C1MASK2H_MEID2 @ C1MASK2H.5;
bit C1MASK2H_MEID3 @ C1MASK2H.6;
bit C1MASK2H_MEID4 @ C1MASK2H.7;

bit C1FLTOBJ2T_EID13 @ C1FLTOBJ2T.0;
bit C1FLTOBJ2T_EID14 @ C1FLTOBJ2T.1;
bit C1FLTOBJ2T_EID15 @ C1FLTOBJ2T.2;
bit C1FLTOBJ2T_EID16 @ C1FLTOBJ2T.3;
bit C1FLTOBJ2T_EID17 @ C1FLTOBJ2T.4;
bit C1FLTOBJ2T_SID11 @ C1FLTOBJ2T.5;
bit C1FLTOBJ2T_EXIDE @ C1FLTOBJ2T.6;

bit C1FLTOBJ2U_EID5 @ C1FLTOBJ2U.0;
bit C1FLTOBJ2U_EID6 @ C1FLTOBJ2U.1;
bit C1FLTOBJ2U_EID7 @ C1FLTOBJ2U.2;
bit C1FLTOBJ2U_EID8 @ C1FLTOBJ2U.3;
bit C1FLTOBJ2U_EID9 @ C1FLTOBJ2U.4;
bit C1FLTOBJ2U_EID10 @ C1FLTOBJ2U.5;
bit C1FLTOBJ2U_EID11 @ C1FLTOBJ2U.6;
bit C1FLTOBJ2U_EID12 @ C1FLTOBJ2U.7;

bit C1FLTOBJ2H_SID8 @ C1FLTOBJ2H.0;
bit C1FLTOBJ2H_SID9 @ C1FLTOBJ2H.1;
bit C1FLTOBJ2H_SID10 @ C1FLTOBJ2H.2;
bit C1FLTOBJ2H_EID0 @ C1FLTOBJ2H.3;
bit C1FLTOBJ2H_EID1 @ C1FLTOBJ2H.4;
bit C1FLTOBJ2H_EID2 @ C1FLTOBJ2H.5;
bit C1FLTOBJ2H_EID3 @ C1FLTOBJ2H.6;
bit C1FLTOBJ2H_EID4 @ C1FLTOBJ2H.7;

bit C1MASK1T_MEID13 @ C1MASK1T.0;
bit C1MASK1T_MEID14 @ C1MASK1T.1;
bit C1MASK1T_MEID15 @ C1MASK1T.2;
bit C1MASK1T_MEID16 @ C1MASK1T.3;
bit C1MASK1T_MEID17 @ C1MASK1T.4;
bit C1MASK1T_MSID11 @ C1MASK1T.5;
bit C1MASK1T_MIDE @ C1MASK1T.6;

bit C1MASK1U_MEID5 @ C1MASK1U.0;
bit C1MASK1U_MEID6 @ C1MASK1U.1;
bit C1MASK1U_MEID7 @ C1MASK1U.2;
bit C1MASK1U_MEID8 @ C1MASK1U.3;
bit C1MASK1U_MEID9 @ C1MASK1U.4;
bit C1MASK1U_MEID10 @ C1MASK1U.5;
bit C1MASK1U_MEID11 @ C1MASK1U.6;
bit C1MASK1U_MEID12 @ C1MASK1U.7;

bit C1MASK1H_MSID8 @ C1MASK1H.0;
bit C1MASK1H_MSID9 @ C1MASK1H.1;
bit C1MASK1H_MSID10 @ C1MASK1H.2;
bit C1MASK1H_MEID0 @ C1MASK1H.3;
bit C1MASK1H_MEID1 @ C1MASK1H.4;
bit C1MASK1H_MEID2 @ C1MASK1H.5;
bit C1MASK1H_MEID3 @ C1MASK1H.6;
bit C1MASK1H_MEID4 @ C1MASK1H.7;

bit C1FLTOBJ1T_EID13 @ C1FLTOBJ1T.0;
bit C1FLTOBJ1T_EID14 @ C1FLTOBJ1T.1;
bit C1FLTOBJ1T_EID15 @ C1FLTOBJ1T.2;
bit C1FLTOBJ1T_EID16 @ C1FLTOBJ1T.3;
bit C1FLTOBJ1T_EID17 @ C1FLTOBJ1T.4;
bit C1FLTOBJ1T_SID11 @ C1FLTOBJ1T.5;
bit C1FLTOBJ1T_EXIDE @ C1FLTOBJ1T.6;

bit C1FLTOBJ1U_EID5 @ C1FLTOBJ1U.0;
bit C1FLTOBJ1U_EID6 @ C1FLTOBJ1U.1;
bit C1FLTOBJ1U_EID7 @ C1FLTOBJ1U.2;
bit C1FLTOBJ1U_EID8 @ C1FLTOBJ1U.3;
bit C1FLTOBJ1U_EID9 @ C1FLTOBJ1U.4;
bit C1FLTOBJ1U_EID10 @ C1FLTOBJ1U.5;
bit C1FLTOBJ1U_EID11 @ C1FLTOBJ1U.6;
bit C1FLTOBJ1U_EID12 @ C1FLTOBJ1U.7;

bit C1FLTOBJ1H_SID8 @ C1FLTOBJ1H.0;
bit C1FLTOBJ1H_SID9 @ C1FLTOBJ1H.1;
bit C1FLTOBJ1H_SID10 @ C1FLTOBJ1H.2;
bit C1FLTOBJ1H_EID0 @ C1FLTOBJ1H.3;
bit C1FLTOBJ1H_EID1 @ C1FLTOBJ1H.4;
bit C1FLTOBJ1H_EID2 @ C1FLTOBJ1H.5;
bit C1FLTOBJ1H_EID3 @ C1FLTOBJ1H.6;
bit C1FLTOBJ1H_EID4 @ C1FLTOBJ1H.7;

bit C1MASK0T_MEID13 @ C1MASK0T.0;
bit C1MASK0T_MEID14 @ C1MASK0T.1;
bit C1MASK0T_MEID15 @ C1MASK0T.2;
bit C1MASK0T_MEID16 @ C1MASK0T.3;
bit C1MASK0T_MEID17 @ C1MASK0T.4;
bit C1MASK0T_MSID11 @ C1MASK0T.5;
bit C1MASK0T_MIDE @ C1MASK0T.6;

bit C1MASK0U_MEID5 @ C1MASK0U.0;
bit C1MASK0U_MEID6 @ C1MASK0U.1;
bit C1MASK0U_MEID7 @ C1MASK0U.2;
bit C1MASK0U_MEID8 @ C1MASK0U.3;
bit C1MASK0U_MEID9 @ C1MASK0U.4;
bit C1MASK0U_MEID10 @ C1MASK0U.5;
bit C1MASK0U_MEID11 @ C1MASK0U.6;
bit C1MASK0U_MEID12 @ C1MASK0U.7;

bit C1MASK0H_MSID8 @ C1MASK0H.0;
bit C1MASK0H_MSID9 @ C1MASK0H.1;
bit C1MASK0H_MSID10 @ C1MASK0H.2;
bit C1MASK0H_MEID0 @ C1MASK0H.3;
bit C1MASK0H_MEID1 @ C1MASK0H.4;
bit C1MASK0H_MEID2 @ C1MASK0H.5;
bit C1MASK0H_MEID3 @ C1MASK0H.6;
bit C1MASK0H_MEID4 @ C1MASK0H.7;

bit C1FLTOBJ0T_EID13 @ C1FLTOBJ0T.0;
bit C1FLTOBJ0T_EID14 @ C1FLTOBJ0T.1;
bit C1FLTOBJ0T_EID15 @ C1FLTOBJ0T.2;
bit C1FLTOBJ0T_EID16 @ C1FLTOBJ0T.3;
bit C1FLTOBJ0T_EID17 @ C1FLTOBJ0T.4;
bit C1FLTOBJ0T_SID11 @ C1FLTOBJ0T.5;
bit C1FLTOBJ0T_EXIDE @ C1FLTOBJ0T.6;

bit C1FLTOBJ0U_EID5 @ C1FLTOBJ0U.0;
bit C1FLTOBJ0U_EID6 @ C1FLTOBJ0U.1;
bit C1FLTOBJ0U_EID7 @ C1FLTOBJ0U.2;
bit C1FLTOBJ0U_EID8 @ C1FLTOBJ0U.3;
bit C1FLTOBJ0U_EID9 @ C1FLTOBJ0U.4;
bit C1FLTOBJ0U_EID10 @ C1FLTOBJ0U.5;
bit C1FLTOBJ0U_EID11 @ C1FLTOBJ0U.6;
bit C1FLTOBJ0U_EID12 @ C1FLTOBJ0U.7;

bit C1FLTOBJ0H_SID8 @ C1FLTOBJ0H.0;
bit C1FLTOBJ0H_SID9 @ C1FLTOBJ0H.1;
bit C1FLTOBJ0H_SID10 @ C1FLTOBJ0H.2;
bit C1FLTOBJ0H_EID0 @ C1FLTOBJ0H.3;
bit C1FLTOBJ0H_EID1 @ C1FLTOBJ0H.4;
bit C1FLTOBJ0H_EID2 @ C1FLTOBJ0H.5;
bit C1FLTOBJ0H_EID3 @ C1FLTOBJ0H.6;
bit C1FLTOBJ0H_EID4 @ C1FLTOBJ0H.7;

bit F11BP0   @ C1FLTCON2T.0;
bit C1FLTCON2T_F11BP0 @ C1FLTCON2T.0;
bit F11BP1   @ C1FLTCON2T.1;
bit C1FLTCON2T_F11BP1 @ C1FLTCON2T.1;
bit F11BP2   @ C1FLTCON2T.2;
bit C1FLTCON2T_F11BP2 @ C1FLTCON2T.2;
bit F11BP3   @ C1FLTCON2T.3;
bit C1FLTCON2T_F11BP3 @ C1FLTCON2T.3;
bit F11BP4   @ C1FLTCON2T.4;
bit C1FLTCON2T_F11BP4 @ C1FLTCON2T.4;
bit FLTEN11  @ C1FLTCON2T.7;
bit C1FLTCON2T_FLTEN11 @ C1FLTCON2T.7;

bit F10BP0   @ C1FLTCON2U.0;
bit C1FLTCON2U_F10BP0 @ C1FLTCON2U.0;
bit F10BP1   @ C1FLTCON2U.1;
bit C1FLTCON2U_F10BP1 @ C1FLTCON2U.1;
bit F10BP2   @ C1FLTCON2U.2;
bit C1FLTCON2U_F10BP2 @ C1FLTCON2U.2;
bit F10BP3   @ C1FLTCON2U.3;
bit C1FLTCON2U_F10BP3 @ C1FLTCON2U.3;
bit F10BP4   @ C1FLTCON2U.4;
bit C1FLTCON2U_F10BP4 @ C1FLTCON2U.4;
bit FLTEN10  @ C1FLTCON2U.7;
bit C1FLTCON2U_FLTEN10 @ C1FLTCON2U.7;

bit F9BP0    @ C1FLTCON2H.0;
bit C1FLTCON2H_F9BP0 @ C1FLTCON2H.0;
bit F9BP1    @ C1FLTCON2H.1;
bit C1FLTCON2H_F9BP1 @ C1FLTCON2H.1;
bit F9BP2    @ C1FLTCON2H.2;
bit C1FLTCON2H_F9BP2 @ C1FLTCON2H.2;
bit F9BP3    @ C1FLTCON2H.3;
bit C1FLTCON2H_F9BP3 @ C1FLTCON2H.3;
bit F9BP4    @ C1FLTCON2H.4;
bit C1FLTCON2H_F9BP4 @ C1FLTCON2H.4;
bit FLTEN9   @ C1FLTCON2H.7;
bit C1FLTCON2H_FLTEN9 @ C1FLTCON2H.7;

bit F8BP0    @ C1FLTCON2L.0;
bit C1FLTCON2L_F8BP0 @ C1FLTCON2L.0;
bit F8BP1    @ C1FLTCON2L.1;
bit C1FLTCON2L_F8BP1 @ C1FLTCON2L.1;
bit F8BP2    @ C1FLTCON2L.2;
bit C1FLTCON2L_F8BP2 @ C1FLTCON2L.2;
bit F8BP3    @ C1FLTCON2L.3;
bit C1FLTCON2L_F8BP3 @ C1FLTCON2L.3;
bit F8BP4    @ C1FLTCON2L.4;
bit C1FLTCON2L_F8BP4 @ C1FLTCON2L.4;
bit FLTEN8   @ C1FLTCON2L.7;
bit C1FLTCON2L_FLTEN8 @ C1FLTCON2L.7;

bit F7BP0    @ C1FLTCON1T.0;
bit C1FLTCON1T_F7BP0 @ C1FLTCON1T.0;
bit F7BP1    @ C1FLTCON1T.1;
bit C1FLTCON1T_F7BP1 @ C1FLTCON1T.1;
bit F7BP2    @ C1FLTCON1T.2;
bit C1FLTCON1T_F7BP2 @ C1FLTCON1T.2;
bit F7BP3    @ C1FLTCON1T.3;
bit C1FLTCON1T_F7BP3 @ C1FLTCON1T.3;
bit F7BP4    @ C1FLTCON1T.4;
bit C1FLTCON1T_F7BP4 @ C1FLTCON1T.4;
bit FLTEN7   @ C1FLTCON1T.7;
bit C1FLTCON1T_FLTEN7 @ C1FLTCON1T.7;

bit F6BP0    @ C1FLTCON1U.0;
bit C1FLTCON1U_F6BP0 @ C1FLTCON1U.0;
bit F6BP1    @ C1FLTCON1U.1;
bit C1FLTCON1U_F6BP1 @ C1FLTCON1U.1;
bit F6BP2    @ C1FLTCON1U.2;
bit C1FLTCON1U_F6BP2 @ C1FLTCON1U.2;
bit F6BP3    @ C1FLTCON1U.3;
bit C1FLTCON1U_F6BP3 @ C1FLTCON1U.3;
bit F6BP4    @ C1FLTCON1U.4;
bit C1FLTCON1U_F6BP4 @ C1FLTCON1U.4;
bit FLTEN6   @ C1FLTCON1U.7;
bit C1FLTCON1U_FLTEN6 @ C1FLTCON1U.7;

bit F5BP0    @ C1FLTCON1H.0;
bit C1FLTCON1H_F5BP0 @ C1FLTCON1H.0;
bit F5BP1    @ C1FLTCON1H.1;
bit C1FLTCON1H_F5BP1 @ C1FLTCON1H.1;
bit F5BP2    @ C1FLTCON1H.2;
bit C1FLTCON1H_F5BP2 @ C1FLTCON1H.2;
bit F5BP3    @ C1FLTCON1H.3;
bit C1FLTCON1H_F5BP3 @ C1FLTCON1H.3;
bit F5BP4    @ C1FLTCON1H.4;
bit C1FLTCON1H_F5BP4 @ C1FLTCON1H.4;
bit FLTEN5   @ C1FLTCON1H.7;
bit C1FLTCON1H_FLTEN5 @ C1FLTCON1H.7;

bit F4BP0    @ C1FLTCON1L.0;
bit C1FLTCON1L_F4BP0 @ C1FLTCON1L.0;
bit F4BP1    @ C1FLTCON1L.1;
bit C1FLTCON1L_F4BP1 @ C1FLTCON1L.1;
bit F4BP2    @ C1FLTCON1L.2;
bit C1FLTCON1L_F4BP2 @ C1FLTCON1L.2;
bit F4BP3    @ C1FLTCON1L.3;
bit C1FLTCON1L_F4BP3 @ C1FLTCON1L.3;
bit F4BP4    @ C1FLTCON1L.4;
bit C1FLTCON1L_F4BP4 @ C1FLTCON1L.4;
bit FLTEN4   @ C1FLTCON1L.7;
bit C1FLTCON1L_FLTEN4 @ C1FLTCON1L.7;

bit F3BP0    @ C1FLTCON0T.0;
bit C1FLTCON0T_F3BP0 @ C1FLTCON0T.0;
bit F3BP1    @ C1FLTCON0T.1;
bit C1FLTCON0T_F3BP1 @ C1FLTCON0T.1;
bit F3BP2    @ C1FLTCON0T.2;
bit C1FLTCON0T_F3BP2 @ C1FLTCON0T.2;
bit F3BP3    @ C1FLTCON0T.3;
bit C1FLTCON0T_F3BP3 @ C1FLTCON0T.3;
bit F3BP4    @ C1FLTCON0T.4;
bit C1FLTCON0T_F3BP4 @ C1FLTCON0T.4;
bit FLTEN3   @ C1FLTCON0T.7;
bit C1FLTCON0T_FLTEN3 @ C1FLTCON0T.7;

bit F2BP0    @ C1FLTCON0U.0;
bit C1FLTCON0U_F2BP0 @ C1FLTCON0U.0;
bit F2BP1    @ C1FLTCON0U.1;
bit C1FLTCON0U_F2BP1 @ C1FLTCON0U.1;
bit F2BP2    @ C1FLTCON0U.2;
bit C1FLTCON0U_F2BP2 @ C1FLTCON0U.2;
bit F2BP3    @ C1FLTCON0U.3;
bit C1FLTCON0U_F2BP3 @ C1FLTCON0U.3;
bit F2BP4    @ C1FLTCON0U.4;
bit C1FLTCON0U_F2BP4 @ C1FLTCON0U.4;
bit FLTEN2   @ C1FLTCON0U.7;
bit C1FLTCON0U_FLTEN2 @ C1FLTCON0U.7;

bit F1BP0    @ C1FLTCON0H.0;
bit C1FLTCON0H_F1BP0 @ C1FLTCON0H.0;
bit F1BP1    @ C1FLTCON0H.1;
bit C1FLTCON0H_F1BP1 @ C1FLTCON0H.1;
bit F1BP2    @ C1FLTCON0H.2;
bit C1FLTCON0H_F1BP2 @ C1FLTCON0H.2;
bit F1BP3    @ C1FLTCON0H.3;
bit C1FLTCON0H_F1BP3 @ C1FLTCON0H.3;
bit F1BP4    @ C1FLTCON0H.4;
bit C1FLTCON0H_F1BP4 @ C1FLTCON0H.4;
bit FLTEN1   @ C1FLTCON0H.7;
bit C1FLTCON0H_FLTEN1 @ C1FLTCON0H.7;

bit F0BP0    @ C1FLTCON0L.0;
bit C1FLTCON0L_F0BP0 @ C1FLTCON0L.0;
bit F0BP1    @ C1FLTCON0L.1;
bit C1FLTCON0L_F0BP1 @ C1FLTCON0L.1;
bit F0BP2    @ C1FLTCON0L.2;
bit C1FLTCON0L_F0BP2 @ C1FLTCON0L.2;
bit F0BP3    @ C1FLTCON0L.3;
bit C1FLTCON0L_F0BP3 @ C1FLTCON0L.3;
bit F0BP4    @ C1FLTCON0L.4;
bit C1FLTCON0L_F0BP4 @ C1FLTCON0L.4;
bit FLTEN0   @ C1FLTCON0L.7;
bit C1FLTCON0L_FLTEN0 @ C1FLTCON0L.7;

bit C1FIFOSTA3L_TFNRFNIF @ C1FIFOSTA3L.0;
bit C1FIFOSTA3L_TFHRFHIF @ C1FIFOSTA3L.1;
bit C1FIFOSTA3L_TFERFFIF @ C1FIFOSTA3L.2;
bit C1FIFOSTA3L_RXOVIF @ C1FIFOSTA3L.3;
bit C1FIFOSTA3L_TXATIF @ C1FIFOSTA3L.4;
bit C1FIFOSTA3L_TXERR @ C1FIFOSTA3L.5;
bit C1FIFOSTA3L_TXLARB @ C1FIFOSTA3L.6;
bit C1FIFOSTA3L_TXABT @ C1FIFOSTA3L.7;

bit C1FIFOCON3U_TXPRI0 @ C1FIFOCON3U.0;
bit C1FIFOCON3U_TXPRI1 @ C1FIFOCON3U.1;
bit C1FIFOCON3U_TXPRI2 @ C1FIFOCON3U.2;
bit C1FIFOCON3U_TXPRI3 @ C1FIFOCON3U.3;
bit C1FIFOCON3U_TXPRI4 @ C1FIFOCON3U.4;
bit C1FIFOCON3U_TXAT0 @ C1FIFOCON3U.5;
bit C1FIFOCON3U_TXAT1 @ C1FIFOCON3U.6;

bit C1FIFOCON3H_UINC @ C1FIFOCON3H.0;
bit C1FIFOCON3H_TXREQ @ C1FIFOCON3H.1;
bit C1FIFOCON3H_FRESET @ C1FIFOCON3H.2;

bit C1FIFOCON3L_TFNRFNIE @ C1FIFOCON3L.0;
bit C1FIFOCON3L_TFHRFHIE @ C1FIFOCON3L.1;
bit C1FIFOCON3L_TFERFFIE @ C1FIFOCON3L.2;
bit C1FIFOCON3L_RXOVIE @ C1FIFOCON3L.3;
bit C1FIFOCON3L_TXATIE @ C1FIFOCON3L.4;
bit C1FIFOCON3L_RXTSEN @ C1FIFOCON3L.5;
bit C1FIFOCON3L_RTREN @ C1FIFOCON3L.6;
bit C1FIFOCON3L_TXEN @ C1FIFOCON3L.7;

bit C1FIFOSTA2L_TFNRFNIF @ C1FIFOSTA2L.0;
bit C1FIFOSTA2L_TFHRFHIF @ C1FIFOSTA2L.1;
bit C1FIFOSTA2L_TFERFFIF @ C1FIFOSTA2L.2;
bit C1FIFOSTA2L_RXOVIF @ C1FIFOSTA2L.3;
bit C1FIFOSTA2L_TXATIF @ C1FIFOSTA2L.4;
bit C1FIFOSTA2L_TXERR @ C1FIFOSTA2L.5;
bit C1FIFOSTA2L_TXLARB @ C1FIFOSTA2L.6;
bit C1FIFOSTA2L_TXABT @ C1FIFOSTA2L.7;

bit C1FIFOCON2U_TXPRI0 @ C1FIFOCON2U.0;
bit C1FIFOCON2U_TXPRI1 @ C1FIFOCON2U.1;
bit C1FIFOCON2U_TXPRI2 @ C1FIFOCON2U.2;
bit C1FIFOCON2U_TXPRI3 @ C1FIFOCON2U.3;
bit C1FIFOCON2U_TXPRI4 @ C1FIFOCON2U.4;
bit C1FIFOCON2U_TXAT0 @ C1FIFOCON2U.5;
bit C1FIFOCON2U_TXAT1 @ C1FIFOCON2U.6;

bit C1FIFOCON2H_UINC @ C1FIFOCON2H.0;
bit C1FIFOCON2H_TXREQ @ C1FIFOCON2H.1;
bit C1FIFOCON2H_FRESET @ C1FIFOCON2H.2;

bit C1FIFOCON2L_TFNRFNIE @ C1FIFOCON2L.0;
bit C1FIFOCON2L_TFHRFHIE @ C1FIFOCON2L.1;
bit C1FIFOCON2L_TFERFFIE @ C1FIFOCON2L.2;
bit C1FIFOCON2L_RXOVIE @ C1FIFOCON2L.3;
bit C1FIFOCON2L_TXATIE @ C1FIFOCON2L.4;
bit C1FIFOCON2L_RXTSEN @ C1FIFOCON2L.5;
bit C1FIFOCON2L_RTREN @ C1FIFOCON2L.6;
bit C1FIFOCON2L_TXEN @ C1FIFOCON2L.7;

bit C1FIFOSTA1L_TFNRFNIF @ C1FIFOSTA1L.0;
bit C1FIFOSTA1L_TFHRFHIF @ C1FIFOSTA1L.1;
bit C1FIFOSTA1L_TFERFFIF @ C1FIFOSTA1L.2;
bit C1FIFOSTA1L_RXOVIF @ C1FIFOSTA1L.3;
bit C1FIFOSTA1L_TXATIF @ C1FIFOSTA1L.4;
bit C1FIFOSTA1L_TXERR @ C1FIFOSTA1L.5;
bit C1FIFOSTA1L_TXLARB @ C1FIFOSTA1L.6;
bit C1FIFOSTA1L_TXABT @ C1FIFOSTA1L.7;

bit C1FIFOCON1U_TXPRI0 @ C1FIFOCON1U.0;
bit C1FIFOCON1U_TXPRI1 @ C1FIFOCON1U.1;
bit C1FIFOCON1U_TXPRI2 @ C1FIFOCON1U.2;
bit C1FIFOCON1U_TXPRI3 @ C1FIFOCON1U.3;
bit C1FIFOCON1U_TXPRI4 @ C1FIFOCON1U.4;
bit C1FIFOCON1U_TXAT0 @ C1FIFOCON1U.5;
bit C1FIFOCON1U_TXAT1 @ C1FIFOCON1U.6;

bit C1FIFOCON1H_UINC @ C1FIFOCON1H.0;
bit C1FIFOCON1H_TXREQ @ C1FIFOCON1H.1;
bit C1FIFOCON1H_FRESET @ C1FIFOCON1H.2;

bit C1FIFOCON1L_TFNRFNIE @ C1FIFOCON1L.0;
bit C1FIFOCON1L_TFHRFHIE @ C1FIFOCON1L.1;
bit C1FIFOCON1L_TFERFFIE @ C1FIFOCON1L.2;
bit C1FIFOCON1L_RXOVIE @ C1FIFOCON1L.3;
bit C1FIFOCON1L_TXATIE @ C1FIFOCON1L.4;
bit C1FIFOCON1L_RXTSEN @ C1FIFOCON1L.5;
bit C1FIFOCON1L_RTREN @ C1FIFOCON1L.6;
bit C1FIFOCON1L_TXEN @ C1FIFOCON1L.7;

bit C1TXQSTAL_TXQNIF @ C1TXQSTAL.0;
bit C1TXQSTAL_TXQEIF @ C1TXQSTAL.2;
bit C1TXQSTAL_TXATIF @ C1TXQSTAL.4;
bit C1TXQSTAL_TXERR @ C1TXQSTAL.5;
bit C1TXQSTAL_TXLARB @ C1TXQSTAL.6;
bit C1TXQSTAL_TXABT @ C1TXQSTAL.7;

bit C1TXQCONU_TXPRI0 @ C1TXQCONU.0;
bit C1TXQCONU_TXPRI1 @ C1TXQCONU.1;
bit C1TXQCONU_TXPRI2 @ C1TXQCONU.2;
bit C1TXQCONU_TXPRI3 @ C1TXQCONU.3;
bit C1TXQCONU_TXPRI4 @ C1TXQCONU.4;
bit C1TXQCONU_TXAT0 @ C1TXQCONU.5;
bit C1TXQCONU_TXAT1 @ C1TXQCONU.6;

bit C1TXQCONH_UINC @ C1TXQCONH.0;
bit C1TXQCONH_TXREQ @ C1TXQCONH.1;
bit C1TXQCONH_FRESET @ C1TXQCONH.2;

bit C1TXQCONL_TXQNIE @ C1TXQCONL.0;
bit C1TXQCONL_TXQEIE @ C1TXQCONL.2;
bit C1TXQCONL_TXATIE @ C1TXQCONL.4;
bit C1TXQCONL_TXEN @ C1TXQCONL.7;

bit TEFNEIF  @ C1TEFSTAL.0;
bit C1TEFSTAL_TEFNEIF @ C1TEFSTAL.0;
bit TEFHIF   @ C1TEFSTAL.1;
bit C1TEFSTAL_TEFHIF @ C1TEFSTAL.1;
bit TEFFIF   @ C1TEFSTAL.2;
bit C1TEFSTAL_TEFFIF @ C1TEFSTAL.2;
bit TEFOVIF  @ C1TEFSTAL.3;
bit C1TEFSTAL_TEFOVIF @ C1TEFSTAL.3;

bit C1TEFCONH_UINC @ C1TEFCONH.0;
bit C1TEFCONH_FRESET @ C1TEFCONH.2;

bit TEFNEIE  @ C1TEFCONL.0;
bit C1TEFCONL_TEFNEIE @ C1TEFCONL.0;
bit TEFHIE   @ C1TEFCONL.1;
bit C1TEFCONL_TEFHIE @ C1TEFCONL.1;
bit TEFFIE   @ C1TEFCONL.2;
bit C1TEFCONL_TEFFIE @ C1TEFCONL.2;
bit TEFOVIE  @ C1TEFCONL.3;
bit C1TEFCONL_TEFOVIE @ C1TEFCONL.3;
bit TEFTSEN  @ C1TEFCONL.5;
bit C1TEFCONL_TEFTSEN @ C1TEFCONL.5;

bit C1BDIAG1T_DCRCERR @ C1BDIAG1T.5;
bit C1BDIAG1T_ESI @ C1BDIAG1T.6;

bit C1BDIAG1U_NBIT0ERR @ C1BDIAG1U.0;
bit C1BDIAG1U_NBIT1ERR @ C1BDIAG1U.1;
bit C1BDIAG1U_NACKERR @ C1BDIAG1U.2;
bit C1BDIAG1U_NFORMERR @ C1BDIAG1U.3;
bit C1BDIAG1U_NSTUFERR @ C1BDIAG1U.4;
bit C1BDIAG1U_NCRCERR @ C1BDIAG1U.5;
bit C1BDIAG1U_TXBOERR @ C1BDIAG1U.7;

bit C1TRECU_EWARN @ C1TRECU.0;
bit C1TRECU_RXWARN @ C1TRECU.1;
bit C1TRECU_TXWARN @ C1TRECU.2;
bit C1TRECU_RXBP @ C1TRECU.3;
bit C1TRECU_TXBP @ C1TRECU.4;
bit C1TRECU_TXBO @ C1TRECU.5;

bit C1RXOVIFL_RFOVIF1 @ C1RXOVIFL.1;
bit C1RXOVIFL_RFOVIF2 @ C1RXOVIFL.2;
bit C1RXOVIFL_RFOVIF3 @ C1RXOVIFL.3;
bit C1RXOVIFL_RFOVIF4 @ C1RXOVIFL.4;
bit C1RXOVIFL_RFOVIF5 @ C1RXOVIFL.5;
bit C1RXOVIFL_RFOVIF6 @ C1RXOVIFL.6;
bit C1RXOVIFL_RFOVIF7 @ C1RXOVIFL.7;

bit C1RXIFL_RFIF1 @ C1RXIFL.1;
bit C1RXIFL_RFIF2 @ C1RXIFL.2;
bit C1RXIFL_RFIF3 @ C1RXIFL.3;
bit C1RXIFL_RFIF4 @ C1RXIFL.4;
bit C1RXIFL_RFIF5 @ C1RXIFL.5;
bit C1RXIFL_RFIF6 @ C1RXIFL.6;
bit C1RXIFL_RFIF7 @ C1RXIFL.7;

bit C1INTT_TXATIE @ C1INTT.2;
bit C1INTT_RXOVIE @ C1INTT.3;
bit C1INTT_SERRIE @ C1INTT.4;
bit C1INTT_CERRIE @ C1INTT.5;
bit C1INTT_WAKIE @ C1INTT.6;
bit C1INTT_IVMIE @ C1INTT.7;

bit C1INTU_TXIE @ C1INTU.0;
bit C1INTU_RXIE @ C1INTU.1;
bit C1INTU_TBCIE @ C1INTU.2;
bit C1INTU_MODIE @ C1INTU.3;
bit C1INTU_TEFIE @ C1INTU.4;

bit C1INTH_TXATIF @ C1INTH.2;
bit C1INTH_RXOVIF @ C1INTH.3;
bit C1INTH_SERRIF @ C1INTH.4;
bit C1INTH_CERRIF @ C1INTH.5;
bit C1INTH_WAKIF @ C1INTH.6;
bit C1INTH_IVMIF @ C1INTH.7;

bit C1INTL_TXIF @ C1INTL.0;
bit C1INTL_RXIF @ C1INTL.1;
bit C1INTL_TBCIF @ C1INTL.2;
bit C1INTL_MODIF @ C1INTL.3;
bit C1INTL_TEFIF @ C1INTL.4;

bit C1TSCONU_TBCEN @ C1TSCONU.0;
bit C1TSCONU_TSEOF @ C1TSCONU.1;

bit C1TSCONH_TBCPRE8 @ C1TSCONH.0;
bit C1TSCONH_TBCPRE9 @ C1TSCONH.1;

bit C1TDCU_TDCMOD0 @ C1TDCU.0;
bit C1TDCU_TDCMOD1 @ C1TDCU.1;

bit C1DBTCFGU_TSEG10 @ C1DBTCFGU.0;
bit C1DBTCFGU_TSEG11 @ C1DBTCFGU.1;
bit C1DBTCFGU_TSEG12 @ C1DBTCFGU.2;
bit C1DBTCFGU_TSEG13 @ C1DBTCFGU.3;
bit C1DBTCFGU_TSEG14 @ C1DBTCFGU.4;

bit C1DBTCFGH_TSEG20 @ C1DBTCFGH.0;
bit C1DBTCFGH_TSEG21 @ C1DBTCFGH.1;
bit C1DBTCFGH_TSEG22 @ C1DBTCFGH.2;
bit C1DBTCFGH_TSEG23 @ C1DBTCFGH.3;

bit C1NBTCFGU_TSEG10 @ C1NBTCFGU.0;
bit C1NBTCFGU_TSEG11 @ C1NBTCFGU.1;
bit C1NBTCFGU_TSEG12 @ C1NBTCFGU.2;
bit C1NBTCFGU_TSEG13 @ C1NBTCFGU.3;
bit C1NBTCFGU_TSEG14 @ C1NBTCFGU.4;
bit C1NBTCFGU_TSEG15 @ C1NBTCFGU.5;
bit C1NBTCFGU_TSEG16 @ C1NBTCFGU.6;
bit C1NBTCFGU_TSEG17 @ C1NBTCFGU.7;

bit C1NBTCFGH_TSEG20 @ C1NBTCFGH.0;
bit C1NBTCFGH_TSEG21 @ C1NBTCFGH.1;
bit C1NBTCFGH_TSEG22 @ C1NBTCFGH.2;
bit C1NBTCFGH_TSEG23 @ C1NBTCFGH.3;
bit C1NBTCFGH_TSEG24 @ C1NBTCFGH.4;
bit C1NBTCFGH_TSEG25 @ C1NBTCFGH.5;
bit C1NBTCFGH_TSEG26 @ C1NBTCFGH.6;

bit C1CONT_REQOP0 @ C1CONT.0;
bit C1CONT_REQOP1 @ C1CONT.1;
bit C1CONT_REQOP2 @ C1CONT.2;
bit C1CONT_ABAT @ C1CONT.3;
bit C1CONT_TXBWS0 @ C1CONT.4;
bit C1CONT_TXBWS1 @ C1CONT.5;
bit C1CONT_TXBWS2 @ C1CONT.6;
bit C1CONT_TXBWS3 @ C1CONT.7;

bit C1CONU_RTXAT @ C1CONU.0;
bit C1CONU_ESIGM @ C1CONU.1;
bit C1CONU_SERR2LOM @ C1CONU.2;
bit C1CONU_STEF @ C1CONU.3;
bit C1CONU_TXQEN @ C1CONU.4;
bit C1CONU_OPMOD0 @ C1CONU.5;
bit C1CONU_OPMOD1 @ C1CONU.6;
bit C1CONU_OPMOD2 @ C1CONU.7;

bit C1CONH_WAKFIL @ C1CONH.0;
bit C1CONH_WFT0 @ C1CONH.1;
bit C1CONH_WFT1 @ C1CONH.2;
bit C1CONH_BUSY @ C1CONH.3;
bit C1CONH_SIDL @ C1CONH.5;
bit C1CONH_FRZ @ C1CONH.6;
bit C1CONH_ON @ C1CONH.7;

bit C1CONL_DNCNT0 @ C1CONL.0;
bit C1CONL_DNCNT1 @ C1CONL.1;
bit C1CONL_DNCNT2 @ C1CONL.2;
bit C1CONL_DNCNT3 @ C1CONL.3;
bit C1CONL_DNCNT4 @ C1CONL.4;
bit C1CONL_CLKSEL0 @ C1CONL.7;

bit DMAnCON1_SSTP @ DMAnCON1.0;
bit DMAnCON1_DSTP @ DMAnCON1.5;

bit DMAnCON0_XIP @ DMAnCON0.0;
bit DMAnCON0_AIRQEN @ DMAnCON0.2;
bit DMAnCON0_DGO @ DMAnCON0.5;
bit DMAnCON0_SIRQEN @ DMAnCON0.6;
bit DMAnCON0_EN @ DMAnCON0.7;

bit DMASELECT_SLCT0 @ DMASELECT.0;
bit DMASELECT_SLCT1 @ DMASELECT.1;
bit DMASELECT_SLCT2 @ DMASELECT.2;

bit G4D1N    @ CLCnGLS3.0;
bit CLCnGLS3_G4D1N @ CLCnGLS3.0;
bit G4D1T    @ CLCnGLS3.1;
bit CLCnGLS3_G4D1T @ CLCnGLS3.1;
bit G4D2N    @ CLCnGLS3.2;
bit CLCnGLS3_G4D2N @ CLCnGLS3.2;
bit G4D2T    @ CLCnGLS3.3;
bit CLCnGLS3_G4D2T @ CLCnGLS3.3;
bit G4D3N    @ CLCnGLS3.4;
bit CLCnGLS3_G4D3N @ CLCnGLS3.4;
bit G4D3T    @ CLCnGLS3.5;
bit CLCnGLS3_G4D3T @ CLCnGLS3.5;
bit G4D4N    @ CLCnGLS3.6;
bit CLCnGLS3_G4D4N @ CLCnGLS3.6;
bit G4D4T    @ CLCnGLS3.7;
bit CLCnGLS3_G4D4T @ CLCnGLS3.7;

bit G3D1N    @ CLCnGLS2.0;
bit CLCnGLS2_G3D1N @ CLCnGLS2.0;
bit G3D1T    @ CLCnGLS2.1;
bit CLCnGLS2_G3D1T @ CLCnGLS2.1;
bit G3D2N    @ CLCnGLS2.2;
bit CLCnGLS2_G3D2N @ CLCnGLS2.2;
bit G3D2T    @ CLCnGLS2.3;
bit CLCnGLS2_G3D2T @ CLCnGLS2.3;
bit G3D3N    @ CLCnGLS2.4;
bit CLCnGLS2_G3D3N @ CLCnGLS2.4;
bit G3D3T    @ CLCnGLS2.5;
bit CLCnGLS2_G3D3T @ CLCnGLS2.5;
bit G3D4N    @ CLCnGLS2.6;
bit CLCnGLS2_G3D4N @ CLCnGLS2.6;
bit G3D4T    @ CLCnGLS2.7;
bit CLCnGLS2_G3D4T @ CLCnGLS2.7;

bit G2D1N    @ CLCnGLS1.0;
bit CLCnGLS1_G2D1N @ CLCnGLS1.0;
bit G2D1T    @ CLCnGLS1.1;
bit CLCnGLS1_G2D1T @ CLCnGLS1.1;
bit G2D2N    @ CLCnGLS1.2;
bit CLCnGLS1_G2D2N @ CLCnGLS1.2;
bit G2D2T    @ CLCnGLS1.3;
bit CLCnGLS1_G2D2T @ CLCnGLS1.3;
bit G2D3N    @ CLCnGLS1.4;
bit CLCnGLS1_G2D3N @ CLCnGLS1.4;
bit G2D3T    @ CLCnGLS1.5;
bit CLCnGLS1_G2D3T @ CLCnGLS1.5;
bit G2D4N    @ CLCnGLS1.6;
bit CLCnGLS1_G2D4N @ CLCnGLS1.6;
bit G2D4T    @ CLCnGLS1.7;
bit CLCnGLS1_G2D4T @ CLCnGLS1.7;

bit G1D1N    @ CLCnGLS0.0;
bit CLCnGLS0_G1D1N @ CLCnGLS0.0;
bit G1D1T    @ CLCnGLS0.1;
bit CLCnGLS0_G1D1T @ CLCnGLS0.1;
bit G1D2N    @ CLCnGLS0.2;
bit CLCnGLS0_G1D2N @ CLCnGLS0.2;
bit G1D2T    @ CLCnGLS0.3;
bit CLCnGLS0_G1D2T @ CLCnGLS0.3;
bit G1D3N    @ CLCnGLS0.4;
bit CLCnGLS0_G1D3N @ CLCnGLS0.4;
bit G1D3T    @ CLCnGLS0.5;
bit CLCnGLS0_G1D3T @ CLCnGLS0.5;
bit G1D4N    @ CLCnGLS0.6;
bit CLCnGLS0_G1D4N @ CLCnGLS0.6;
bit G1D4T    @ CLCnGLS0.7;
bit CLCnGLS0_G1D4T @ CLCnGLS0.7;

bit G1POL    @ CLCnPOL.0;
bit CLCnPOL_G1POL @ CLCnPOL.0;
bit G2POL    @ CLCnPOL.1;
bit CLCnPOL_G2POL @ CLCnPOL.1;
bit G3POL    @ CLCnPOL.2;
bit CLCnPOL_G3POL @ CLCnPOL.2;
bit G4POL    @ CLCnPOL.3;
bit CLCnPOL_G4POL @ CLCnPOL.3;
bit CLCnPOL_POL @ CLCnPOL.7;

bit CLCnCON_MODE0 @ CLCnCON.0;
bit CLCnCON_MODE1 @ CLCnCON.1;
bit CLCnCON_MODE2 @ CLCnCON.2;
bit CLCnCON_INTN @ CLCnCON.3;
bit CLCnCON_INTP @ CLCnCON.4;
bit CLCnCON_OUT @ CLCnCON.5;
bit CLCnCON_OE @ CLCnCON.6;
bit CLCnCON_EN @ CLCnCON.7;

bit CLCSELECT_SLCT0 @ CLCSELECT.0;
bit CLCSELECT_SLCT1 @ CLCSELECT.1;
bit CLCSELECT_SLCT2 @ CLCSELECT.2;

bit CLC1OUT  @ CLCDATA.0;
bit CLC2OUT  @ CLCDATA.1;
bit CLC3OUT  @ CLCDATA.2;
bit CLC4OUT  @ CLCDATA.3;
bit CLC5OUT  @ CLCDATA.4;
bit CLC6OUT  @ CLCDATA.5;
bit CLC7OUT  @ CLCDATA.6;
bit CLC8OUT  @ CLCDATA.7;

bit ISRPR_PR0 @ ISRPR.0;
bit ISRPR_PR1 @ ISRPR.1;
bit ISRPR_PR2 @ ISRPR.2;

bit MAINPR_PR0 @ MAINPR.0;
bit MAINPR_PR1 @ MAINPR.1;
bit MAINPR_PR2 @ MAINPR.2;

bit DMA8PR_PR0 @ DMA8PR.0;
bit DMA8PR0  @ DMA8PR.0;
bit DMA8PR_PR1 @ DMA8PR.1;
bit DMA8PR1  @ DMA8PR.1;
bit DMA8PR_PR2 @ DMA8PR.2;
bit DMA8PR2  @ DMA8PR.2;

bit DMA7PR_PR0 @ DMA7PR.0;
bit DMA7PR0  @ DMA7PR.0;
bit DMA7PR_PR1 @ DMA7PR.1;
bit DMA7PR1  @ DMA7PR.1;
bit DMA7PR_PR2 @ DMA7PR.2;
bit DMA7PR2  @ DMA7PR.2;

bit DMA6PR_PR0 @ DMA6PR.0;
bit DMA6PR0  @ DMA6PR.0;
bit DMA6PR_PR1 @ DMA6PR.1;
bit DMA6PR1  @ DMA6PR.1;
bit DMA6PR_PR2 @ DMA6PR.2;
bit DMA6PR2  @ DMA6PR.2;

bit DMA5PR_PR0 @ DMA5PR.0;
bit DMA5PR0  @ DMA5PR.0;
bit DMA5PR_PR1 @ DMA5PR.1;
bit DMA5PR1  @ DMA5PR.1;
bit DMA5PR_PR2 @ DMA5PR.2;
bit DMA5PR2  @ DMA5PR.2;

bit DMA4PR_PR0 @ DMA4PR.0;
bit DMA4PR0  @ DMA4PR.0;
bit DMA4PR_PR1 @ DMA4PR.1;
bit DMA4PR1  @ DMA4PR.1;
bit DMA4PR_PR2 @ DMA4PR.2;
bit DMA4PR2  @ DMA4PR.2;

bit DMA3PR_PR0 @ DMA3PR.0;
bit DMA3PR0  @ DMA3PR.0;
bit DMA3PR_PR1 @ DMA3PR.1;
bit DMA3PR1  @ DMA3PR.1;
bit DMA3PR_PR2 @ DMA3PR.2;
bit DMA3PR2  @ DMA3PR.2;

bit DMA2PR_PR0 @ DMA2PR.0;
bit DMA2PR0  @ DMA2PR.0;
bit DMA2PR_PR1 @ DMA2PR.1;
bit DMA2PR1  @ DMA2PR.1;
bit DMA2PR_PR2 @ DMA2PR.2;
bit DMA2PR2  @ DMA2PR.2;

bit DMA1PR_PR0 @ DMA1PR.0;
bit DMA1PR0  @ DMA1PR.0;
bit DMA1PR_PR1 @ DMA1PR.1;
bit DMA1PR1  @ DMA1PR.1;
bit DMA1PR_PR2 @ DMA1PR.2;
bit DMA1PR2  @ DMA1PR.2;

bit SCANPR_PR0 @ SCANPR.0;
bit SCANPR_PR1 @ SCANPR.1;
bit SCANPR_PR2 @ SCANPR.2;

bit PRLOCKED @ PRLOCK.0;
bit PRLOCK_PRLOCKED @ PRLOCK.0;

bit PLLEN    @ OSCEN.0;
bit OSCEN_PLLEN @ OSCEN.0;
bit ADOEN    @ OSCEN.2;
bit OSCEN_ADOEN @ OSCEN.2;
bit SOSCEN   @ OSCEN.3;
bit OSCEN_SOSCEN @ OSCEN.3;
bit LFOEN    @ OSCEN.4;
bit OSCEN_LFOEN @ OSCEN.4;
bit MFOEN    @ OSCEN.5;
bit OSCEN_MFOEN @ OSCEN.5;
bit HFOEN    @ OSCEN.6;
bit OSCEN_HFOEN @ OSCEN.6;
bit EXTOEN   @ OSCEN.7;
bit OSCEN_EXTOEN @ OSCEN.7;

bit PLLR     @ OSCSTAT.0;
bit OSCSTAT_PLLR @ OSCSTAT.0;
bit ADOR     @ OSCSTAT.2;
bit OSCSTAT_ADOR @ OSCSTAT.2;
bit SOR      @ OSCSTAT.3;
bit OSCSTAT_SOR @ OSCSTAT.3;
bit LFOR     @ OSCSTAT.4;
bit OSCSTAT_LFOR @ OSCSTAT.4;
bit MFOR     @ OSCSTAT.5;
bit OSCSTAT_MFOR @ OSCSTAT.5;
bit HFOR     @ OSCSTAT.6;
bit OSCSTAT_HFOR @ OSCSTAT.6;
bit EXTOR    @ OSCSTAT.7;
bit OSCSTAT_EXTOR @ OSCSTAT.7;

bit FRQ0     @ OSCFRQ.0;
bit FRQ1     @ OSCFRQ.1;
bit FRQ2     @ OSCFRQ.2;
bit FRQ3     @ OSCFRQ.3;

bit NOSCR    @ OSCCON3.3;
bit OSCCON3_NOSCR @ OSCCON3.3;
bit ORDY     @ OSCCON3.4;
bit OSCCON3_ORDY @ OSCCON3.4;
bit SOSCPWR  @ OSCCON3.6;
bit OSCCON3_SOSCPWR @ OSCCON3.6;
bit CSWHOLD  @ OSCCON3.7;
bit OSCCON3_CSWHOLD @ OSCCON3.7;

bit CDIV0    @ OSCCON2.0;
bit OSCCON2_CDIV0 @ OSCCON2.0;
bit CDIV1    @ OSCCON2.1;
bit OSCCON2_CDIV1 @ OSCCON2.1;
bit CDIV2    @ OSCCON2.2;
bit OSCCON2_CDIV2 @ OSCCON2.2;
bit CDIV3    @ OSCCON2.3;
bit OSCCON2_CDIV3 @ OSCCON2.3;
bit COSC0    @ OSCCON2.4;
bit OSCCON2_COSC0 @ OSCCON2.4;
bit COSC1    @ OSCCON2.5;
bit OSCCON2_COSC1 @ OSCCON2.5;
bit COSC2    @ OSCCON2.6;
bit OSCCON2_COSC2 @ OSCCON2.6;

bit NDIV0    @ OSCCON1.0;
bit OSCCON1_NDIV0 @ OSCCON1.0;
bit NDIV1    @ OSCCON1.1;
bit OSCCON1_NDIV1 @ OSCCON1.1;
bit NDIV2    @ OSCCON1.2;
bit OSCCON1_NDIV2 @ OSCCON1.2;
bit NDIV3    @ OSCCON1.3;
bit OSCCON1_NDIV3 @ OSCCON1.3;
bit NOSC0    @ OSCCON1.4;
bit OSCCON1_NOSC0 @ OSCCON1.4;
bit NOSC1    @ OSCCON1.5;
bit OSCCON1_NOSC1 @ OSCCON1.5;
bit NOSC2    @ OSCCON1.6;
bit OSCCON1_NOSC2 @ OSCCON1.6;

bit ACTORS   @ ACTCON.1;
bit ACTCON_ACTORS @ ACTCON.1;
bit ACTLOCK  @ ACTCON.3;
bit ACTCON_ACTLOCK @ ACTCON.3;
bit ACTUD    @ ACTCON.6;
bit ACTCON_ACTUD @ ACTCON.6;
bit ACTEN    @ ACTCON.7;
bit ACTCON_ACTEN @ ACTCON.7;

bit SPI2INTE_TXUIE @ SPI2INTE.1;
bit SPI2TXUIE @ SPI2INTE.1;
bit SPI2INTE_RXOIE @ SPI2INTE.2;
bit SPI2RXOIE @ SPI2INTE.2;
bit SPI2INTE_EOSIE @ SPI2INTE.4;
bit SPI2EOSIE @ SPI2INTE.4;
bit SPI2INTE_SOSIE @ SPI2INTE.5;
bit SPI2SOSIE @ SPI2INTE.5;
bit SPI2INTE_TCZIE @ SPI2INTE.6;
bit SPI2TCZIE @ SPI2INTE.6;
bit SPI2INTE_SRMTIE @ SPI2INTE.7;
bit SPI2SRMTIE @ SPI2INTE.7;

bit SPI2INTF_TXUIF @ SPI2INTF.1;
bit SPI2TXUIF @ SPI2INTF.1;
bit SPI2INTF_RXOIF @ SPI2INTF.2;
bit SPI2RXOIF @ SPI2INTF.2;
bit SPI2INTF_EOSIF @ SPI2INTF.4;
bit SPI2EOSIF @ SPI2INTF.4;
bit SPI2INTF_SOSIF @ SPI2INTF.5;
bit SPI2SOSIF @ SPI2INTF.5;
bit SPI2INTF_TCZIF @ SPI2INTF.6;
bit SPI2TCZIF @ SPI2INTF.6;
bit SPI2INTF_SRMTIF @ SPI2INTF.7;
bit SPI2SRMTIF @ SPI2INTF.7;

bit SPI2TWIDTH_TWIDTH0 @ SPI2TWIDTH.0;
bit SPI2TWIDTH_TWIDTH1 @ SPI2TWIDTH.1;
bit SPI2TWIDTH_TWIDTH2 @ SPI2TWIDTH.2;

bit SPI2STATUS_RXBF @ SPI2STATUS.0;
bit SPI2RXBF @ SPI2STATUS.0;
bit SPI2STATUS_CLRBF @ SPI2STATUS.2;
bit SPI2CLRBF @ SPI2STATUS.2;
bit SPI2STATUS_RXRE @ SPI2STATUS.3;
bit SPI2RXRE @ SPI2STATUS.3;
bit SPI2STATUS_TXBE @ SPI2STATUS.5;
bit SPI2TXBE @ SPI2STATUS.5;
bit SPI2STATUS_TXWE @ SPI2STATUS.7;
bit SPI2TXWE @ SPI2STATUS.7;

bit SPI2CON2_RXR @ SPI2CON2.0;
bit SPI2RXR  @ SPI2CON2.0;
bit SPI2CON2_TXR @ SPI2CON2.1;
bit SPI2TXR  @ SPI2CON2.1;
bit SPI2CON2_SSET @ SPI2CON2.2;
bit SPI2SSET @ SPI2CON2.2;
bit SPI2CON2_SSFLT @ SPI2CON2.6;
bit SPI2SSFLT @ SPI2CON2.6;
bit SPI2CON2_BUSY @ SPI2CON2.7;
bit SPI2BUSY @ SPI2CON2.7;

bit SPI2CON1_SDOP @ SPI2CON1.0;
bit SPI2SDOP @ SPI2CON1.0;
bit SPI2CON1_SDIP @ SPI2CON1.1;
bit SPI2SDIP @ SPI2CON1.1;
bit SPI2CON1_SSP @ SPI2CON1.2;
bit SPI2SSP  @ SPI2CON1.2;
bit SPI2CON1_FST @ SPI2CON1.4;
bit SPI2FST  @ SPI2CON1.4;
bit SPI2CON1_CKP @ SPI2CON1.5;
bit SPI2CKP  @ SPI2CON1.5;
bit SPI2CON1_CKE @ SPI2CON1.6;
bit SPI2CKE  @ SPI2CON1.6;
bit SPI2CON1_SMP @ SPI2CON1.7;
bit SPI2SMP  @ SPI2CON1.7;

bit SPI2CON0_BMODE @ SPI2CON0.0;
bit SPI2BMODE @ SPI2CON0.0;
bit SPI2CON0_MST @ SPI2CON0.1;
bit SPI2MST  @ SPI2CON0.1;
bit SPI2CON0_LSBF @ SPI2CON0.2;
bit SPI2LSBF @ SPI2CON0.2;
bit SPI2CON0_EN @ SPI2CON0.7;
bit SPI2SPIEN @ SPI2CON0.7;

bit SPI1INTE_TXUIE @ SPI1INTE.1;
bit SPI1TXUIE @ SPI1INTE.1;
bit SPI1INTE_RXOIE @ SPI1INTE.2;
bit SPI1RXOIE @ SPI1INTE.2;
bit SPI1INTE_EOSIE @ SPI1INTE.4;
bit SPI1EOSIE @ SPI1INTE.4;
bit SPI1INTE_SOSIE @ SPI1INTE.5;
bit SPI1SOSIE @ SPI1INTE.5;
bit SPI1INTE_TCZIE @ SPI1INTE.6;
bit SPI1TCZIE @ SPI1INTE.6;
bit SPI1INTE_SRMTIE @ SPI1INTE.7;
bit SPI1SRMTIE @ SPI1INTE.7;

bit SPI1INTF_TXUIF @ SPI1INTF.1;
bit SPI1TXUIF @ SPI1INTF.1;
bit SPI1INTF_RXOIF @ SPI1INTF.2;
bit SPI1RXOIF @ SPI1INTF.2;
bit SPI1INTF_EOSIF @ SPI1INTF.4;
bit SPI1EOSIF @ SPI1INTF.4;
bit SPI1INTF_SOSIF @ SPI1INTF.5;
bit SPI1SOSIF @ SPI1INTF.5;
bit SPI1INTF_TCZIF @ SPI1INTF.6;
bit SPI1TCZIF @ SPI1INTF.6;
bit SPI1INTF_SRMTIF @ SPI1INTF.7;
bit SPI1SRMTIF @ SPI1INTF.7;

bit SPI1TWIDTH_TWIDTH0 @ SPI1TWIDTH.0;
bit SPI1TWIDTH_TWIDTH1 @ SPI1TWIDTH.1;
bit SPI1TWIDTH_TWIDTH2 @ SPI1TWIDTH.2;

bit SPI1STATUS_RXBF @ SPI1STATUS.0;
bit SPI1RXBF @ SPI1STATUS.0;
bit SPI1STATUS_CLRBF @ SPI1STATUS.2;
bit SPI1CLRBF @ SPI1STATUS.2;
bit SPI1STATUS_RXRE @ SPI1STATUS.3;
bit SPI1RXRE @ SPI1STATUS.3;
bit SPI1STATUS_TXBE @ SPI1STATUS.5;
bit SPI1TXBE @ SPI1STATUS.5;
bit SPI1STATUS_TXWE @ SPI1STATUS.7;
bit SPI1TXWE @ SPI1STATUS.7;

bit SPI1CON2_RXR @ SPI1CON2.0;
bit SPI1RXR  @ SPI1CON2.0;
bit SPI1CON2_TXR @ SPI1CON2.1;
bit SPI1TXR  @ SPI1CON2.1;
bit SPI1CON2_SSET @ SPI1CON2.2;
bit SPI1SSET @ SPI1CON2.2;
bit SPI1CON2_SSFLT @ SPI1CON2.6;
bit SPI1SSFLT @ SPI1CON2.6;
bit SPI1CON2_BUSY @ SPI1CON2.7;
bit SPI1BUSY @ SPI1CON2.7;

bit SPI1CON1_SDOP @ SPI1CON1.0;
bit SPI1SDOP @ SPI1CON1.0;
bit SPI1CON1_SDIP @ SPI1CON1.1;
bit SPI1SDIP @ SPI1CON1.1;
bit SPI1CON1_SSP @ SPI1CON1.2;
bit SPI1SSP  @ SPI1CON1.2;
bit SPI1CON1_FST @ SPI1CON1.4;
bit SPI1FST  @ SPI1CON1.4;
bit SPI1CON1_CKP @ SPI1CON1.5;
bit SPI1CKP  @ SPI1CON1.5;
bit SPI1CON1_CKE @ SPI1CON1.6;
bit SPI1CKE  @ SPI1CON1.6;
bit SPI1CON1_SMP @ SPI1CON1.7;
bit SPI1SMP  @ SPI1CON1.7;

bit SPI1CON0_BMODE @ SPI1CON0.0;
bit SPI1BMODE @ SPI1CON0.0;
bit SPI1CON0_MST @ SPI1CON0.1;
bit SPI1MST  @ SPI1CON0.1;
bit SPI1CON0_LSBF @ SPI1CON0.2;
bit SPI1LSBF @ SPI1CON0.2;
bit SPI1CON0_EN @ SPI1CON0.7;
bit SPI1SPIEN @ SPI1CON0.7;

bit DAC1CON_NSS0 @ DAC1CON.0;
bit DAC1NSS0 @ DAC1CON.0;
bit DAC1PSS0 @ DAC1CON.2;
bit DAC1CON_PSS0 @ DAC1CON.2;
bit DAC1PSS1 @ DAC1CON.3;
bit DAC1CON_PSS1 @ DAC1CON.3;
bit DAC1CON_OE0 @ DAC1CON.4;
bit DAC1OE0  @ DAC1CON.4;
bit DAC1CON_OE1 @ DAC1CON.5;
bit DAC1OE1  @ DAC1CON.5;
bit DAC1CON_EN @ DAC1CON.7;
bit DAC1EN   @ DAC1CON.7;

bit WDTTMR_PSCNT16 @ WDTTMR.0;
bit WDTPSCNT16 @ WDTTMR.0;
bit WDTTMR_PSCNT17 @ WDTTMR.1;
bit WDTPSCNT17 @ WDTTMR.1;
bit WDTTMR_STATE @ WDTTMR.2;
bit WDTSTATE @ WDTTMR.2;
bit WDTTMR0  @ WDTTMR.3;
bit WDTTMR_WDTTMR0 @ WDTTMR.3;
bit WDTTMR1  @ WDTTMR.4;
bit WDTTMR_WDTTMR1 @ WDTTMR.4;
bit WDTTMR2  @ WDTTMR.5;
bit WDTTMR_WDTTMR2 @ WDTTMR.5;
bit WDTTMR3  @ WDTTMR.6;
bit WDTTMR_WDTTMR3 @ WDTTMR.6;
bit WDTTMR4  @ WDTTMR.7;
bit WDTTMR_WDTTMR4 @ WDTTMR.7;

bit WDTCON1_WINDOW0 @ WDTCON1.0;
bit WDTWINDOW0 @ WDTCON1.0;
bit WDTCON1_WINDOW1 @ WDTCON1.1;
bit WDTWINDOW1 @ WDTCON1.1;
bit WDTCON1_WINDOW2 @ WDTCON1.2;
bit WDTWINDOW2 @ WDTCON1.2;
bit WDTCS0   @ WDTCON1.4;
bit WDTCON1_WDTCS0 @ WDTCON1.4;
bit WDTCS1   @ WDTCON1.5;
bit WDTCON1_WDTCS1 @ WDTCON1.5;
bit WDTCS2   @ WDTCON1.6;
bit WDTCON1_WDTCS2 @ WDTCON1.6;

bit WDTCON0_SEN @ WDTCON0.0;
bit SWDTEN   @ WDTCON0.0;
bit WDTCON0_SWDTEN @ WDTCON0.0;
bit WDTSEN   @ WDTCON0.0;
bit WDTPS0   @ WDTCON0.1;
bit WDTPS1   @ WDTCON0.2;
bit WDTPS2   @ WDTCON0.3;
bit WDTPS3   @ WDTCON0.4;
bit WDTPS4   @ WDTCON0.5;

bit CM2PCH_PCH0 @ CM2PCH.0;
bit C2PCH0   @ CM2PCH.0;
bit CM2PCH_PCH1 @ CM2PCH.1;
bit C2PCH1   @ CM2PCH.1;
bit CM2PCH_PCH2 @ CM2PCH.2;
bit C2PCH2   @ CM2PCH.2;

bit CM2NCH_NCH0 @ CM2NCH.0;
bit C2NCH0   @ CM2NCH.0;
bit CM2NCH_NCH1 @ CM2NCH.1;
bit C2NCH1   @ CM2NCH.1;
bit CM2NCH_NCH2 @ CM2NCH.2;
bit C2NCH2   @ CM2NCH.2;

bit CM2CON1_INTN @ CM2CON1.0;
bit C2INTN   @ CM2CON1.0;
bit CM2CON1_INTP @ CM2CON1.1;
bit C2INTP   @ CM2CON1.1;

bit CM2CON0_SYNC @ CM2CON0.0;
bit C2SYNC   @ CM2CON0.0;
bit CM2CON0_HYS @ CM2CON0.1;
bit C2HYS    @ CM2CON0.1;
bit CM2CON0_POL @ CM2CON0.4;
bit C2POL    @ CM2CON0.4;
bit CM2CON0_OUT @ CM2CON0.6;
bit C2OUT    @ CM2CON0.6;
bit CM2CON0_EN @ CM2CON0.7;
bit C2EN     @ CM2CON0.7;

bit CM1PCH_PCH0 @ CM1PCH.0;
bit C1PCH0   @ CM1PCH.0;
bit CM1PCH_PCH1 @ CM1PCH.1;
bit C1PCH1   @ CM1PCH.1;
bit CM1PCH_PCH2 @ CM1PCH.2;
bit C1PCH2   @ CM1PCH.2;

bit CM1NCH_NCH0 @ CM1NCH.0;
bit C1NCH0   @ CM1NCH.0;
bit CM1NCH_NCH1 @ CM1NCH.1;
bit C1NCH1   @ CM1NCH.1;
bit CM1NCH_NCH2 @ CM1NCH.2;
bit C1NCH2   @ CM1NCH.2;

bit CM1CON1_INTN @ CM1CON1.0;
bit C1INTN   @ CM1CON1.0;
bit CM1CON1_INTP @ CM1CON1.1;
bit C1INTP   @ CM1CON1.1;

bit CM1CON0_SYNC @ CM1CON0.0;
bit C1SYNC   @ CM1CON0.0;
bit CM1CON0_HYS @ CM1CON0.1;
bit C1HYS    @ CM1CON0.1;
bit CM1CON0_POL @ CM1CON0.4;
bit C1POL    @ CM1CON0.4;
bit CM1CON0_OUT @ CM1CON0.6;
bit C1OUT    @ CM1CON0.6;
bit CM1CON0_EN @ CM1CON0.7;
bit C1EN     @ CM1CON0.7;

bit MC1OUT   @ CMOUT.0;
bit CMOUT_MC1OUT @ CMOUT.0;
bit MC2OUT   @ CMOUT.1;
bit CMOUT_MC2OUT @ CMOUT.1;

bit MD1CON1_CLSYNC @ MD1CON1.0;
bit MD1CLSYNC @ MD1CON1.0;
bit MD1CON1_CLPOL @ MD1CON1.1;
bit MD1CLPOL @ MD1CON1.1;
bit MD1CON1_CHSYNC @ MD1CON1.4;
bit MD1CHSYNC @ MD1CON1.4;
bit MD1CON1_CHPOL @ MD1CON1.5;
bit MD1CHPOL @ MD1CON1.5;

bit MD1CON0_BIT @ MD1CON0.0;
bit MD1BIT   @ MD1CON0.0;
bit MD1CON0_OPOL @ MD1CON0.4;
bit MD1OPOL  @ MD1CON0.4;
bit MD1CON0_OUT @ MD1CON0.5;
bit MD1OUT   @ MD1CON0.5;
bit MD1CON0_EN @ MD1CON0.7;
bit MD1EN    @ MD1CON0.7;

bit DMA1MD   @ PMD8.0;
bit PMD8_DMA1MD @ PMD8.0;
bit DMA2MD   @ PMD8.1;
bit PMD8_DMA2MD @ PMD8.1;
bit DMA3MD   @ PMD8.2;
bit PMD8_DMA3MD @ PMD8.2;
bit DMA4MD   @ PMD8.3;
bit PMD8_DMA4MD @ PMD8.3;
bit DMA5MD   @ PMD8.4;
bit PMD8_DMA5MD @ PMD8.4;
bit DMA6MD   @ PMD8.5;
bit PMD8_DMA6MD @ PMD8.5;
bit DMA7MD   @ PMD8.6;
bit PMD8_DMA7MD @ PMD8.6;
bit DMA8MD   @ PMD8.7;
bit PMD8_DMA8MD @ PMD8.7;

bit CLC1MD   @ PMD7.0;
bit PMD7_CLC1MD @ PMD7.0;
bit CLC2MD   @ PMD7.1;
bit PMD7_CLC2MD @ PMD7.1;
bit CLC3MD   @ PMD7.2;
bit PMD7_CLC3MD @ PMD7.2;
bit CLC4MD   @ PMD7.3;
bit PMD7_CLC4MD @ PMD7.3;
bit CLC5MD   @ PMD7.4;
bit PMD7_CLC5MD @ PMD7.4;
bit CLC6MD   @ PMD7.5;
bit PMD7_CLC6MD @ PMD7.5;
bit CLC7MD   @ PMD7.6;
bit PMD7_CLC7MD @ PMD7.6;
bit CLC8MD   @ PMD7.7;
bit PMD7_CLC8MD @ PMD7.7;

bit I2C1MD   @ PMD6.0;
bit PMD6_I2C1MD @ PMD6.0;
bit SPI1MD   @ PMD6.1;
bit PMD6_SPI1MD @ PMD6.1;
bit SPI2MD   @ PMD6.2;
bit PMD6_SPI2MD @ PMD6.2;
bit U1MD     @ PMD6.3;
bit PMD6_U1MD @ PMD6.3;
bit U2MD     @ PMD6.4;
bit PMD6_U2MD @ PMD6.4;
bit U3MD     @ PMD6.5;
bit PMD6_U3MD @ PMD6.5;
bit U4MD     @ PMD6.6;
bit PMD6_U4MD @ PMD6.6;
bit U5MD     @ PMD6.7;
bit PMD6_U5MD @ PMD6.7;

bit CCP1MD   @ PMD5.0;
bit PMD5_CCP1MD @ PMD5.0;
bit CCP2MD   @ PMD5.1;
bit PMD5_CCP2MD @ PMD5.1;
bit CCP3MD   @ PMD5.2;
bit PMD5_CCP3MD @ PMD5.2;
bit PWM1MD   @ PMD5.4;
bit PMD5_PWM1MD @ PMD5.4;
bit PWM2MD   @ PMD5.5;
bit PMD5_PWM2MD @ PMD5.5;
bit PWM3MD   @ PMD5.6;
bit PMD5_PWM3MD @ PMD5.6;
bit PWM4MD   @ PMD5.7;
bit PMD5_PWM4MD @ PMD5.7;

bit NCO1MD   @ PMD4.0;
bit PMD4_NCO1MD @ PMD4.0;
bit NCO2MD   @ PMD4.1;
bit PMD4_NCO2MD @ PMD4.1;
bit NCO3MD   @ PMD4.2;
bit PMD4_NCO3MD @ PMD4.2;
bit DSM1MD   @ PMD4.3;
bit PMD4_DSM1MD @ PMD4.3;
bit CWG1MD   @ PMD4.4;
bit PMD4_CWG1MD @ PMD4.4;
bit CWG2MD   @ PMD4.5;
bit PMD4_CWG2MD @ PMD4.5;
bit CWG3MD   @ PMD4.6;
bit PMD4_CWG3MD @ PMD4.6;

bit ZCDMD    @ PMD3.0;
bit PMD3_ZCDMD @ PMD3.0;
bit CM1MD    @ PMD3.1;
bit PMD3_CM1MD @ PMD3.1;
bit CM2MD    @ PMD3.2;
bit PMD3_CM2MD @ PMD3.2;
bit ADCMD    @ PMD3.5;
bit PMD3_ADCMD @ PMD3.5;
bit DACMD    @ PMD3.6;
bit PMD3_DACMD @ PMD3.6;
bit ACTMD    @ PMD3.7;
bit PMD3_ACTMD @ PMD3.7;

bit TU16AMD  @ PMD2.0;
bit PMD2_TU16AMD @ PMD2.0;
bit PMD2_TU1MD @ PMD2.0;
bit TU16BMD  @ PMD2.1;
bit PMD2_TU16BMD @ PMD2.1;
bit PMD2_TU2MD @ PMD2.1;
bit CANMD    @ PMD2.7;
bit PMD2_CANMD @ PMD2.7;

bit TMR0MD   @ PMD1.0;
bit PMD1_TMR0MD @ PMD1.0;
bit TMR1MD   @ PMD1.1;
bit PMD1_TMR1MD @ PMD1.1;
bit TMR2MD   @ PMD1.2;
bit PMD1_TMR2MD @ PMD1.2;
bit TMR3MD   @ PMD1.3;
bit PMD1_TMR3MD @ PMD1.3;
bit TMR4MD   @ PMD1.4;
bit PMD1_TMR4MD @ PMD1.4;
bit TMR5MD   @ PMD1.5;
bit PMD1_TMR5MD @ PMD1.5;
bit TMR6MD   @ PMD1.6;
bit PMD1_TMR6MD @ PMD1.6;
bit SMT1MD   @ PMD1.7;
bit PMD1_SMT1MD @ PMD1.7;

bit IOCMD    @ PMD0.0;
bit PMD0_IOCMD @ PMD0.0;
bit CLKRMD   @ PMD0.1;
bit PMD0_CLKRMD @ PMD0.1;
bit SCANMD   @ PMD0.3;
bit PMD0_SCANMD @ PMD0.3;
bit CRCMD    @ PMD0.4;
bit PMD0_CRCMD @ PMD0.4;
bit HLVDMD   @ PMD0.5;
bit PMD0_HLVDMD @ PMD0.5;
bit PMD0_LVDMD @ PMD0.5;
bit FVRMD    @ PMD0.6;
bit PMD0_FVRMD @ PMD0.6;
bit SYSCMD   @ PMD0.7;
bit PMD0_SYSCMD @ PMD0.7;

bit ZCDCON_INTN @ ZCDCON.0;
bit ZCDINTN  @ ZCDCON.0;
bit ZCDCON_INTP @ ZCDCON.1;
bit ZCDINTP  @ ZCDCON.1;
bit ZCDCON_POL @ ZCDCON.4;
bit ZCDPOL   @ ZCDCON.4;
bit ZCDCON_OUT @ ZCDCON.5;
bit ZCDOUT   @ ZCDCON.5;
bit ZCDCON_SEN @ ZCDCON.7;
bit ZCDSEN   @ ZCDCON.7;

bit HLVDCON0_INTL @ HLVDCON0.0;
bit HLVDINTL @ HLVDCON0.0;
bit HLVDCON0_INTH @ HLVDCON0.1;
bit HLVDINTH @ HLVDCON0.1;
bit HLVDCON0_RDY @ HLVDCON0.4;
bit HLVDRDY  @ HLVDCON0.4;
bit HLVDCON0_OUT @ HLVDCON0.5;
bit HLVDOUT  @ HLVDCON0.5;
bit HLVDCON0_EN @ HLVDCON0.7;
bit HLVDEN   @ HLVDCON0.7;

bit BORRDY   @ BORCON.0;
bit BORCON_BORRDY @ BORCON.0;
bit SBOREN   @ BORCON.7;
bit BORCON_SBOREN @ BORCON.7;

bit VREGPM0  @ VREGCON.0;
bit VREGCON_VREGPM0 @ VREGCON.0;
bit VREGPM1  @ VREGCON.1;
bit VREGCON_VREGPM1 @ VREGCON.1;
bit PMSYS0   @ VREGCON.4;
bit VREGCON_PMSYS0 @ VREGCON.4;
bit PMSYS1   @ VREGCON.5;
bit VREGCON_PMSYS1 @ VREGCON.5;

bit WRERR    @ NVMCON1.7;
bit NVMCON1_WRERR @ NVMCON1.7;

bit NVMCON0_GO @ NVMCON0.0;
bit NVMCON0_DONE_ @ NVMCON0.0;
bit NVMCON0_nDONE @ NVMCON0.0;
bit NVMDONE_ @ NVMCON0.0;

bit CLKRDIV0 @ CLKRCON.0;
bit CLKRCON_DIV0 @ CLKRCON.0;
bit CLKRDIV1 @ CLKRCON.1;
bit CLKRCON_DIV1 @ CLKRCON.1;
bit CLKRDIV2 @ CLKRCON.2;
bit CLKRCON_DIV2 @ CLKRCON.2;
bit CLKRDC0  @ CLKRCON.3;
bit CLKRCON_DC0 @ CLKRCON.3;
bit CLKRDC1  @ CLKRCON.4;
bit CLKRCON_DC1 @ CLKRCON.4;
bit CLKRCON_EN @ CLKRCON.7;
bit CLKREN   @ CLKRCON.7;

bit BOOTDONE @ BOOTREG.6;
bit BOOTREG_BOOTDONE @ BOOTREG.6;
bit BOOTREG_BPOUT @ BOOTREG.7;


#if __CC8E__ >= 1800
#pragma intSRC_=SWINT,0,Software*Interrupt
#pragma intSRC_=HLVD,1,HLVD*Interrupt
#pragma intSRC_=OSF,2,Oscillator*Failure*Interrupt
#pragma intSRC_=CSW,3,Clock*Switch*Interrupt
#pragma intSRC_=TU16A,4,Universal*Timer*16A*Interrupt
#pragma intSRC_=CLC1,5,CLC1*Interrupt
#pragma intSRC_=CAN,6,CAN*FD*Interrupt
#pragma intSRC_=IOC,7,Interrupt*on*change
#pragma intSRC_=INT0,8,External*Interrupt*0
#pragma intSRC_=ZCD,9,ZCD*Interrupt
#pragma intSRC_=AD,10,ADC*Interrupt
#pragma intSRC_=ACT,11,ADC*Treshold*Interrupt
#pragma intSRC_=CM1,12,Comparator*1*Interrupt
#pragma intSRC_=SMT1,13,SMT1*Interrupt
#pragma intSRC_=SMT1PRA,14
#pragma intSRC_=SMT1PWA,15
#pragma intSRC_=ADCH1,16,ADC*Threshold*Interrupt-Context*0
#pragma intSRC_=ADCH2,17,ADC*Threshold*Interrupt-Context*1
#pragma intSRC_=ADCH3,18,ADC*Threshold*Interrupt-Context*2
#pragma intSRC_=ADCH4,19,ADC*Threshold*Interrupt-Context*3
#pragma intSRC_=DMA1SCNT,20,DMA1*Source*count*Interrupt
#pragma intSRC_=DMA1DCNT,21,DMA1*Destination*count*Interrupt
#pragma intSRC_=DMA1OR,22,DMA1*Overflow*Interrupt
#pragma intSRC_=DMA1A,23,DMA1*Abort*Interrupt
#pragma intSRC_=SPI1RX,24,SPI1*Receive*Interrupt
#pragma intSRC_=SPI1TX,25,SPI1*Transmit*Interrupt
#pragma intSRC_=SPI1,26,SPI1*Interrupt
#pragma intSRC_=TMR2,27,Timer*2*Interrupt
#pragma intSRC_=TMR1,28,Timer*1*Interrupt
#pragma intSRC_=TMR1G,29,Timer*1*Gate*Interrupt
#pragma intSRC_=CCP1,30,CCP1*Interrupt
#pragma intSRC_=TMR0,31,Timer0*Interrupt
#pragma intSRC_=U1RX,32,UART1*Receive*Interrupt
#pragma intSRC_=U1TX,33,UART1*Transmit*Interrupt
#pragma intSRC_=U1E,34,UART1*Error*Interrupt
#pragma intSRC_=U1,35,UART1*Interrupt
#pragma intSRC_=CANRX,36,CAN*FD*Receive*Interrupt
#pragma intSRC_=CANTX,37,CAN*FD*Transmit*Interrupt
#pragma intSRC_=PWM1PR,38,PWM1*Period*Interrupt
#pragma intSRC_=PWM1,39,PWM1*Interrupt
#pragma intSRC_=SPI2RX,40,SPI2*Receive*Interrupt
#pragma intSRC_=SPI2TX,41,SPI2*Transmit*Interrupt
#pragma intSRC_=SPI2,42,SPI*2*Interrupt
#pragma intSRC_=TU16B,43,Universal*Time*16B*Interrupt
#pragma intSRC_=TMR3,44,Timer*3*Interrupt
#pragma intSRC_=TMR3G,45,Timer*3*Gate*Interrupt
#pragma intSRC_=PWM2PR,46,PWM2*Period*Interrupt
#pragma intSRC_=PWM2,47,PWM2*Interrupt
#pragma intSRC_=INT1,48,External*Interrupt*1
#pragma intSRC_=CLC2,49,CLC2*Interrupt
#pragma intSRC_=CWG1,50,CWG*1*Interrupt
#pragma intSRC_=NCO1,51,NCO*1*Interrupt
#pragma intSRC_=DMA2SCNT,52,DMA2*Source*Count*Interrupt
#pragma intSRC_=DMA2DCNT,53,DMA2*Destination*Count*Interrupt
#pragma intSRC_=DMA2OR,54,DMA2*Overflow*Interrupt
#pragma intSRC_=DMA2A,55,DMA2*Abort*Interrupt
#pragma intSRC_=I2C1RX,56,I2C1*Receive*Interrupt
#pragma intSRC_=I2C1TX,57,I2C1*Transmit*Interrupt
#pragma intSRC_=I2C1,58,I2C1*General*Interrupt
#pragma intSRC_=I2C1E,59,I2C1*Error*Interrupt
#pragma intSRC_=CLC3,61,CLC3*Interrupt
#pragma intSRC_=PWM3PR,62,PWM3*Period*Interrupt
#pragma intSRC_=PWM3,63,PWM3*Interrupt
#pragma intSRC_=U2RX,64,UART2*Receive*Interrupt
#pragma intSRC_=U2TX,65,UART2*Transmit*Interrupt
#pragma intSRC_=U2E,66,UART2*Error*Interrupt
#pragma intSRC_=U2,67,UART2*Interrupt
#pragma intSRC_=TMR5,68,Timer5*Interrupt
#pragma intSRC_=TMR5G,69,Timer5*Gate*Interrupt
#pragma intSRC_=CCP2,70,CCP2*Interrupt
#pragma intSRC_=SCAN,71,Scanner*Interrupt
#pragma intSRC_=U3RX,72,UART3*Receive*Interrupt
#pragma intSRC_=U3TX,73,UART3*Transmit*Interrupt
#pragma intSRC_=U3E,74,UART3*Error*Interrupt
#pragma intSRC_=U3,75,UART3*Interrupt
#pragma intSRC_=CLC4,77,CLC4*Interrupt
#pragma intSRC_=PWM4PR,78,PWM4*Period*Interrupt
#pragma intSRC_=PWM4,79,PWM4*Interrupt
#pragma intSRC_=INT2,80,External*Interrupt*2
#pragma intSRC_=CLC5,81,CLC5*Interrupt
#pragma intSRC_=CWG2,82,CWG2*Interrupt
#pragma intSRC_=NCO2,83,NCO2*Interrupt
#pragma intSRC_=DMA3SCNT,84,DMA3*Source*count*Interrupt
#pragma intSRC_=DMA3DCNT,85,DMA3*Destination*count*Interrupt
#pragma intSRC_=DMA3OR,86,DMA3*Overflow*Interrupt
#pragma intSRC_=DMA3A,87,DMA3*Abort*Interrupt
#pragma intSRC_=CCP3,88,CCP3*Interrupt
#pragma intSRC_=CLC6,89,CLC6*Interrupt
#pragma intSRC_=CWG3,90,CWG3*Interrupt
#pragma intSRC_=TMR4,91,TMR4*Interrupt
#pragma intSRC_=DMA4SCNT,92,DMA4*Source*count*Interrupt
#pragma intSRC_=DMA4DCNT,93,DMA4*Destination*count*Interrupt
#pragma intSRC_=DMA4OR,94,DMA4*Overflow*Interrupt
#pragma intSRC_=DMA4A,95,DMA4*Abort*Interrupt
#pragma intSRC_=U4RX,96,UART2*Receive*Interrupt
#pragma intSRC_=U4TX,97,UART*4*Transmit*Interrupt
#pragma intSRC_=U4E,98,UART4*Error*Interrupt
#pragma intSRC_=U4,99,UART4*Interrupt
#pragma intSRC_=DMA5SCNT,100,DMA5*Source*Count*Interrupt
#pragma intSRC_=DMA5DCNT,101,DMA5*Destination*Count*Interrupt
#pragma intSRC_=DMA5OR,102,DMA5*Overflow*Interrupt
#pragma intSRC_=DMA5A,103,DMA5*Abort*Interrupt
#pragma intSRC_=U5RX,104,UART5*Receive*Interrupt
#pragma intSRC_=U5TX,105,UART5*Transmit*Interrupt
#pragma intSRC_=U5E,106,UART5*Error*Interrupt
#pragma intSRC_=U5,107,UART5*Interrupt
#pragma intSRC_=DMA6SCNT,108,DMA6*Source*Count*Interrupt
#pragma intSRC_=DMA6DCNT,109,DMA6*Destination*Count*Interrupt
#pragma intSRC_=DMA6OR,110,DMA6*Overflow*Interrupt
#pragma intSRC_=DMA6A,111,DMA6*Abort*Interrupt
#pragma intSRC_=CLC7,113,CLC7*Interrupt
#pragma intSRC_=CM2,114,Comparator*2*Interrupt
#pragma intSRC_=NCO3,115,NCO3*Interrupt
#pragma intSRC_=DMA7SCNT,116,DMA7*Source*Count*Interrupt
#pragma intSRC_=DMA7DCNT,117,DMA7*Destination*Count*Interrupt
#pragma intSRC_=DMA7OR,118,DMA7*Overflow*Interrupt
#pragma intSRC_=DMA7A,119,DMA7*Abort*Interrupt
#pragma intSRC_=NVM,120,NVM*Interrupt
#pragma intSRC_=CLC8,121,CLC8*Interrupt
#pragma intSRC_=CRC,122,CRC*Interrupt
#pragma intSRC_=TMR6,123,TMR6*Interrupt
#pragma intSRC_=DMA8SCNT,124,DMA8*Source*Count*Interrupt
#pragma intSRC_=DMA8DCNT,125,DMA8*Destination*Count*Interrupt
#pragma intSRC_=DMA8OR,126,DMA8*Overflow*Interrupt
#pragma intSRC_=DMA8A,127,DMA8*Abort*Interrupt
#endif


#if __CC8E__ >= 1500
#pragma config /0 0xF8 FEXTOSC = LP // LP (crystal oscillator) optimized for 32.768 kHz
#pragma config /0 0xF9 FEXTOSC = XT // XT (crystal oscillator) above 100 kHz, below 8 MHz
#pragma config /0 0xFA FEXTOSC = HS // HS (crystal oscillator) above 8 MHz
#pragma config /0 0xFC FEXTOSC = OFF // Oscillator not enabled
#pragma config /0 0xFD FEXTOSC = ECL // EC (external clock) below 100 kHz
#pragma config /0 0xFE FEXTOSC = ECM // EC (external clock) for 500 kHz to 8 MHz
#pragma config /0 0xFF FEXTOSC = ECH // EC (external clock) above 8 MHz
#pragma config /0 0x8F RSTOSC = HFINTOSC_64MHZ // HFINTOSC with HFFRQ = 64 MHz and CDIV = 1:1
#pragma config /0 0xAF RSTOSC = EXTOSC_4PLL // EXTOSC with 4x PLL, with EXTOSC operating per FEXTOSC bits
#pragma config /0 0xCF RSTOSC = SOSC // Secondary Oscillator
#pragma config /0 0xDF RSTOSC = LFINTOSC // Low-Frequency Oscillator
#pragma config /0 0xEF RSTOSC = HFINTOSC_1MHZ // HFINTOSC with HFFRQ = 4 MHz and CDIV = 4:1
#pragma config /0 0xFF RSTOSC = EXTOSC // EXTOSC operating per FEXTOSC bits (device manufacturing default)
#pragma config /1 0xFF CLKOUTEN = OFF // CLKOUT function is disabled
#pragma config /1 0xFE CLKOUTEN = ON // CLKOUT function is enabled
#pragma config /1 0xFF PR1WAY = ON // PRLOCKED bit can be cleared and set only once
#pragma config /1 0xFD PR1WAY = OFF // PRLOCKED bit can be set and cleared repeatedly
#pragma config /1 0xF7 CSWEN = OFF // The NOSC and NDIV bits cannot be changed by user software
#pragma config /1 0xFF CSWEN = ON // Writing to NOSC and NDIV is allowed
#pragma config /1 0xFF JTAGEN = ON // Enable JTAG Boundary Scan mode and pins
#pragma config /1 0xEF JTAGEN = OFF // Disable JTAG Boundary Scan mode, JTAG pins revert to user functions
#pragma config /1 0xDF FCMEN = OFF // Fail-Safe Clock Monitor disabled
#pragma config /1 0xFF FCMEN = ON // Fail-Safe Clock Monitor enabled
#pragma config /1 0xBF FCMENP = OFF // FSCM timer will not set FSCMP bit or OSFIF interrupt on Primary XTAL failure
#pragma config /1 0xFF FCMENP = ON // FSCM timer will set FSCMP bit and OSFIF interrupt on Primary XTAL failure
#pragma config /1 0x7F FCMENS = OFF // FSCM timer will not set FSCMS bit or OSFIF interrupt on Secondary XTAL failure
#pragma config /1 0xFF FCMENS = ON // FSCM timer will set FSCMS bit and OSFIF interrupt on Secondary XTAL failure
#pragma config /2 0xFF MCLRE = EXTMCLR // If LVP = 0, MCLR pin is MCLR; If LVP = 1, RE3 pin function is MCLR
#pragma config /2 0xFE MCLRE = INTMCLR // If LVP = 0, MCLR pin function is port defined function; If LVP =1, RE3 pin fuction is MCLR
#pragma config /2 0xFF PWRTS = PWRT_OFF // PWRT is disabled
#pragma config /2 0xFD PWRTS = PWRT_64 // PWRT set at 64ms
#pragma config /2 0xFB PWRTS = PWRT_16 // PWRT set at 16ms
#pragma config /2 0xF9 PWRTS = PWRT_1 // PWRT set at 1ms
#pragma config /2 0xFF MVECEN = ON // Multi-vector enabled, Vector table used for interrupts
#pragma config /2 0xF7 MVECEN = OFF // Interrupt contoller does not use vector table to prioritze interrupts
#pragma config /2 0xFF IVT1WAY = ON // IVTLOCKED bit can be cleared and set only once
#pragma config /2 0xEF IVT1WAY = OFF // IVTLOCKED bit can be cleared and set repeatedly
#pragma config /2 0xFF LPBOREN = OFF // Low-Power BOR disabled
#pragma config /2 0xDF LPBOREN = ON // Low-Power BOR enabled
#pragma config /2 0xFF BOREN = SBORDIS // Brown-out Reset enabled , SBOREN bit is ignored
#pragma config /2 0xBF BOREN = NOSLP // Brown-out Reset enabled while running, disabled in Sleep; SBOREN is ignored
#pragma config /2 0x7F BOREN = ON // Brown-out Reset enabled according to SBOREN
#pragma config /2 0x3F BOREN = OFF // Brown-out Reset disabled
#pragma config /3 0xFF BORV = VBOR_1P9 // Brown-out Reset Voltage (VBOR) set to 1.9V
#pragma config /3 0xFE BORV = VBOR_2P45 // Brown-out Reset Voltage (VBOR) set to 2.45V
#pragma config /3 0xFD BORV = VBOR_2P7 // Brown-out Reset Voltage (VBOR) set to 2.7V
#pragma config /3 0xFC BORV = VBOR_2P85 // Brown-out Reset Voltage (VBOR) set to 2.8V
#pragma config /3 0xFF ZCD = OFF // ZCD module is disabled. ZCD can be enabled by setting the ZCDSEN bit of ZCDCON
#pragma config /3 0xFB ZCD = ON // ZCD module is always enabled; ZCDMD and ZCDSEN bits are ignored
#pragma config /3 0xFF PPS1WAY = ON // PPSLOCKED bit can be cleared and set only once; PPS registers remain locked after one clear/set cycle
#pragma config /3 0xF7 PPS1WAY = OFF // PPSLOCKED bit can be set and cleared repeatedly (subject to the unlock sequence)
#pragma config /3 0xFF STVREN = ON // Stack full/underflow will cause Reset
#pragma config /3 0xEF STVREN = OFF // Stack full/underflow will not cause Reset
#pragma config /3 0xFF LVP = ON // Low voltage programming enabled. MCLR/VPP pin function is MCLR. MCLRE configuration bit is ignored
#pragma config /3 0xDF LVP = OFF // HV on MCLR/VPP must be used for programming
#pragma config /3 0xFF XINST = OFF // Extended Instruction Set and Indexed Addressing Mode disabled
#pragma config /3 0x7F XINST = ON // Extended Instruction Set and Indexed Addressing Mode enabled
#pragma config /4 0xE0 WDTCPS = WDTCPS_0 // Divider ratio 1:32
#pragma config /4 0xE1 WDTCPS = WDTCPS_1 // Divider ratio 1:64
#pragma config /4 0xE2 WDTCPS = WDTCPS_2 // Divider ratio 1:128
#pragma config /4 0xE3 WDTCPS = WDTCPS_3 // Divider ratio 1:256
#pragma config /4 0xE4 WDTCPS = WDTCPS_4 // Divider ratio 1:512
#pragma config /4 0xE5 WDTCPS = WDTCPS_5 // Divider ratio 1:1024
#pragma config /4 0xE6 WDTCPS = WDTCPS_6 // Divider ratio 1:2048
#pragma config /4 0xE7 WDTCPS = WDTCPS_7 // Divider ratio 1:4096
#pragma config /4 0xE8 WDTCPS = WDTCPS_8 // Divider ratio 1:8192
#pragma config /4 0xE9 WDTCPS = WDTCPS_9 // Divider ratio 1:16384
#pragma config /4 0xEA WDTCPS = WDTCPS_10 // Divider ratio 1:32768
#pragma config /4 0xEB WDTCPS = WDTCPS_11 // Divider ratio 1:65536
#pragma config /4 0xEC WDTCPS = WDTCPS_12 // Divider ratio 1:131072
#pragma config /4 0xED WDTCPS = WDTCPS_13 // Divider ratio 1:262144
#pragma config /4 0xEE WDTCPS = WDTCPS_14 // Divider ratio 1:524299
#pragma config /4 0xEF WDTCPS = WDTCPS_15 // Divider ratio 1:1048576
#pragma config /4 0xF0 WDTCPS = WDTCPS_16 // Divider ratio 1:2097152
#pragma config /4 0xF1 WDTCPS = WDTCPS_17 // Divider ratio 1:4194304
#pragma config /4 0xF2 WDTCPS = WDTCPS_18 // Divider ratio 1:8388608
#pragma config /4 0xF3 WDTCPS = WDTCPS_19 // Divider ratio 1:32
#pragma config /4 0xF4 WDTCPS = WDTCPS_20 // Divider ratio 1:32
#pragma config /4 0xF5 WDTCPS = WDTCPS_21 // Divider ratio 1:32
#pragma config /4 0xF6 WDTCPS = WDTCPS_22 // Divider ratio 1:32
#pragma config /4 0xF7 WDTCPS = WDTCPS_23 // Divider ratio 1:32
#pragma config /4 0xF8 WDTCPS = WDTCPS_24 // Divider ratio 1:32
#pragma config /4 0xF9 WDTCPS = WDTCPS_25 // Divider ratio 1:32
#pragma config /4 0xFA WDTCPS = WDTCPS_26 // Divider ratio 1:32
#pragma config /4 0xFB WDTCPS = WDTCPS_27 // Divider ratio 1:32
#pragma config /4 0xFC WDTCPS = WDTCPS_28 // Divider ratio 1:32
#pragma config /4 0xFD WDTCPS = WDTCPS_29 // Divider ratio 1:32
#pragma config /4 0xFE WDTCPS = WDTCPS_30 // Divider ratio 1:32
#pragma config /4 0xFF WDTCPS = WDTCPS_31 // Divider ratio 1:65536; software control of WDTPS
#pragma config /4 0x9F WDTE = OFF // WDT Disabled; SWDTEN is ignored
#pragma config /4 0xBF WDTE = SWDTEN // WDT enabled/disabled by SWDTEN bit
#pragma config /4 0xDF WDTE = NSLEEP // WDT enabled while sleep=0, suspended when sleep=1; SWDTEN ignored
#pragma config /4 0xFF WDTE = ON // WDT enabled regardless of sleep; SWDTEN is ignored
#pragma config /5 0xF8 WDTCWS = WDTCWS_0 // window delay = 87.5; no software control; keyed access required
#pragma config /5 0xF9 WDTCWS = WDTCWS_1 // window delay = 75 percent of time; no software control; keyed access required
#pragma config /5 0xFA WDTCWS = WDTCWS_2 // window delay = 62.5 percent of time; no software control; keyed access required
#pragma config /5 0xFB WDTCWS = WDTCWS_3 // window delay = 50 percent of time; no software control; keyed access required
#pragma config /5 0xFC WDTCWS = WDTCWS_4 // window delay = 37.5 percent of time; no software control; keyed access required
#pragma config /5 0xFD WDTCWS = WDTCWS_5 // window delay = 25 percent of time; no software control; keyed access required
#pragma config /5 0xFE WDTCWS = WDTCWS_6 // window always open (100%); no software control; keyed access required
#pragma config /5 0xFF WDTCWS = WDTCWS_7 // window always open (100%); software control; keyed access not required
#pragma config /5 0xC7 WDTCCS = LFINTOSC // WDT reference clock is the 31.0 kHz LFINTOSC
#pragma config /5 0xCF WDTCCS = MFINTOSC // WDT reference clock is the 32kHz MFINTOSC output
#pragma config /5 0xD7 WDTCCS = SOSC // WDT reference clock is SOSC
#pragma config /5 0xFF WDTCCS = SC // Software Control
#pragma config /6 0xFF BBSIZE = BBSIZE_512 // Boot Block size is 512 words
#pragma config /6 0xFE BBSIZE = BBSIZE_1024 // Boot Block size is 1024 words
#pragma config /6 0xFD BBSIZE = BBSIZE_2048 // Boot Block size is 2048 words
#pragma config /6 0xFC BBSIZE = BBSIZE_4096 // Boot Block size is 4096 words
#pragma config /6 0xFB BBSIZE = BBSIZE_8192 // Boot Block size is 8192 words
#pragma config /6 0xFA BBSIZE = BBSIZE_16384 // Boot Block size is 16384 words
#pragma config /6 0xF9 BBSIZE = BBSIZE_32768 // Boot Block size is 32768 words
#pragma config /6 0xFF BBEN = OFF // Boot block disabled
#pragma config /6 0xF7 BBEN = ON // Boot block enabled
#pragma config /6 0xFF SAFEN = OFF // SAF disabled
#pragma config /6 0xEF SAFEN = ON // SAF enabled
#pragma config /6 0xFF DEBUG = OFF // Background Debugger disabled
#pragma config /6 0xDF DEBUG = ON // background debugger enabled
#pragma config /7 0xFF WRTB = OFF // Boot Block not Write protected
#pragma config /7 0xFE WRTB = ON // Boot Block Write protected
#pragma config /7 0xFF WRTC = OFF // Configuration registers not Write protected
#pragma config /7 0xFD WRTC = ON // Configuration registers Write protected
#pragma config /7 0xFF WRTD = OFF // Data EEPROM not Write protected
#pragma config /7 0xFB WRTD = ON // Data EEPROM Write protected
#pragma config /7 0xFF WRTSAF = OFF // SAF not Write Protected
#pragma config /7 0xF7 WRTSAF = ON // SAF Write Protected
#pragma config /7 0xFF WRTAPP = OFF // Application Block not write protected
#pragma config /7 0x7F WRTAPP = ON // Application Block write protected
#pragma config /8 0xFC BOOTPINSEL = RA4 // CRC on boot output pin is RA4
#pragma config /8 0xFD BOOTPINSEL = RA2 // CRC on boot output pin is RA2
#pragma config /8 0xFE BOOTPINSEL = RC4 // CRC on boot output pin is RC4
#pragma config /8 0xFF BOOTPINSEL = RC5 // CRC on boot output pin is RC5
#pragma config /8 0xFF BPEN = OFF // CRC on boot output pin disabled
#pragma config /8 0xEF BPEN = ON // CRC on boot output pin enabled, selected by BOOTPINSEL<1:0>
#pragma config /8 0xFF ODCON = OFF // Pin drives both high-going and low-going signals
#pragma config /8 0xDF ODCON = ON // Pin drives only low-going signals
#pragma config /9 0xFF CP = OFF // PFM and Data EEPROM code protection disabled
#pragma config /9 0xFE CP = ON // PFM and Data EEPROM code protection enabled
#pragma config /10 0xFF BOOTSCEN = OFF // CRC on boot will not include the boot area of program memory in its calculation
#pragma config /10 0xFE BOOTSCEN = ON // CRC on boot will include the boot area of program memory in its calculation
#pragma config /10 0xFF BOOTCOE = HALT // CRC on boot will stop device if error is detected in boot areas
#pragma config /10 0xFD BOOTCOE = CONTINUE // CRC on boot will allow device to continue code execution regardless of error detection in boot areas
#pragma config /10 0xFF APPSCEN = OFF // CRC on boot will not include the application area of program memory in its calculation
#pragma config /10 0xFB APPSCEN = ON // CRC on boot will include the application area of program memory in its calculation
#pragma config /10 0xFF SAFSCEN = OFF // CRC on boot will not include the SAF area of program memory in its calculation
#pragma config /10 0xF7 SAFSCEN = ON // CRC on boot will include the SAF area of program memory in its calculation
#pragma config /10 0xFF DATASCEN = OFF // CRC on boot will not include data EEPROM in its calculation
#pragma config /10 0xEF DATASCEN = ON // CRC on boot will include data EEPROM in its calculation
#pragma config /10 0xFF CFGSCEN = OFF // CRC on boot will not include the configuration fuses in its calculation
#pragma config /10 0xDF CFGSCEN = ON // CRC on boot will include the configuration fuses in its calculation
#pragma config /10 0xFF COE = HALT // CRC on boot will stop device if error is detected in non-boot areas
#pragma config /10 0xBF COE = CONTINUE // CRC on boot will allow device to continue code execution regardless of error detection in non-boot areas
#pragma config /10 0xFF BOOTPOR = OFF // CRC on boot will not run
#pragma config /10 0x7F BOOTPOR = ON // CRC on boot will run
#pragma config /11 0x00 BCRCPOLT = h00 // Bits 31:24 of BCRCPOL are 0x00
#pragma config /11 0x01 BCRCPOLT = h01 // Bits 31:24 of BCRCPOL are 0x01
#pragma config /11 0x02 BCRCPOLT = h02 // Bits 31:24 of BCRCPOL are 0x02
#pragma config /11 0x03 BCRCPOLT = h03 // Bits 31:24 of BCRCPOL are 0x03
#pragma config /11 0x04 BCRCPOLT = h04 // Bits 31:24 of BCRCPOL are 0x04
#pragma config /11 0x05 BCRCPOLT = h05 // Bits 31:24 of BCRCPOL are 0x05
#pragma config /11 0x06 BCRCPOLT = h06 // Bits 31:24 of BCRCPOL are 0x06
#pragma config /11 0x07 BCRCPOLT = h07 // Bits 31:24 of BCRCPOL are 0x07
#pragma config /11 0x08 BCRCPOLT = h08 // Bits 31:24 of BCRCPOL are 0x08
#pragma config /11 0x09 BCRCPOLT = h09 // Bits 31:24 of BCRCPOL are 0x09
#pragma config /11 0x0A BCRCPOLT = h0A // Bits 31:24 of BCRCPOL are 0x0A
#pragma config /11 0x0B BCRCPOLT = h0B // Bits 31:24 of BCRCPOL are 0x0B
#pragma config /11 0x0C BCRCPOLT = h0C // Bits 31:24 of BCRCPOL are 0x0C
#pragma config /11 0x0D BCRCPOLT = h0D // Bits 31:24 of BCRCPOL are 0x0D
#pragma config /11 0x0E BCRCPOLT = h0E // Bits 31:24 of BCRCPOL are 0x0E
#pragma config /11 0x0F BCRCPOLT = h0F // Bits 31:24 of BCRCPOL are 0x0F
#pragma config /11 0x10 BCRCPOLT = h10 // Bits 31:24 of BCRCPOL are 0x10
#pragma config /11 0x11 BCRCPOLT = h11 // Bits 31:24 of BCRCPOL are 0x11
#pragma config /11 0x12 BCRCPOLT = h12 // Bits 31:24 of BCRCPOL are 0x12
#pragma config /11 0x13 BCRCPOLT = h13 // Bits 31:24 of BCRCPOL are 0x13
#pragma config /11 0x14 BCRCPOLT = h14 // Bits 31:24 of BCRCPOL are 0x14
#pragma config /11 0x15 BCRCPOLT = h15 // Bits 31:24 of BCRCPOL are 0x15
#pragma config /11 0x16 BCRCPOLT = h16 // Bits 31:24 of BCRCPOL are 0x16
#pragma config /11 0x17 BCRCPOLT = h17 // Bits 31:24 of BCRCPOL are 0x17
#pragma config /11 0x18 BCRCPOLT = h18 // Bits 31:24 of BCRCPOL are 0x18
#pragma config /11 0x19 BCRCPOLT = h19 // Bits 31:24 of BCRCPOL are 0x19
#pragma config /11 0x1A BCRCPOLT = h1A // Bits 31:24 of BCRCPOL are 0x1A
#pragma config /11 0x1B BCRCPOLT = h1B // Bits 31:24 of BCRCPOL are 0x1B
#pragma config /11 0x1C BCRCPOLT = h1C // Bits 31:24 of BCRCPOL are 0x1C
#pragma config /11 0x1D BCRCPOLT = h1D // Bits 31:24 of BCRCPOL are 0x1D
#pragma config /11 0x1E BCRCPOLT = h1E // Bits 31:24 of BCRCPOL are 0x1E
#pragma config /11 0x1F BCRCPOLT = h1F // Bits 31:24 of BCRCPOL are 0x1F
#pragma config /11 0x20 BCRCPOLT = h20 // Bits 31:24 of BCRCPOL are 0x20
#pragma config /11 0x21 BCRCPOLT = h21 // Bits 31:24 of BCRCPOL are 0x21
#pragma config /11 0x22 BCRCPOLT = h22 // Bits 31:24 of BCRCPOL are 0x22
#pragma config /11 0x23 BCRCPOLT = h23 // Bits 31:24 of BCRCPOL are 0x23
#pragma config /11 0x24 BCRCPOLT = h24 // Bits 31:24 of BCRCPOL are 0x24
#pragma config /11 0x25 BCRCPOLT = h25 // Bits 31:24 of BCRCPOL are 0x25
#pragma config /11 0x26 BCRCPOLT = h26 // Bits 31:24 of BCRCPOL are 0x26
#pragma config /11 0x27 BCRCPOLT = h27 // Bits 31:24 of BCRCPOL are 0x27
#pragma config /11 0x28 BCRCPOLT = h28 // Bits 31:24 of BCRCPOL are 0x28
#pragma config /11 0x29 BCRCPOLT = h29 // Bits 31:24 of BCRCPOL are 0x29
#pragma config /11 0x2A BCRCPOLT = h2A // Bits 31:24 of BCRCPOL are 0x2A
#pragma config /11 0x2B BCRCPOLT = h2B // Bits 31:24 of BCRCPOL are 0x2B
#pragma config /11 0x2C BCRCPOLT = h2C // Bits 31:24 of BCRCPOL are 0x2C
#pragma config /11 0x2D BCRCPOLT = h2D // Bits 31:24 of BCRCPOL are 0x2D
#pragma config /11 0x2E BCRCPOLT = h2E // Bits 31:24 of BCRCPOL are 0x2E
#pragma config /11 0x2F BCRCPOLT = h2F // Bits 31:24 of BCRCPOL are 0x2F
#pragma config /11 0x30 BCRCPOLT = h30 // Bits 31:24 of BCRCPOL are 0x30
#pragma config /11 0x31 BCRCPOLT = h31 // Bits 31:24 of BCRCPOL are 0x31
#pragma config /11 0x32 BCRCPOLT = h32 // Bits 31:24 of BCRCPOL are 0x32
#pragma config /11 0x33 BCRCPOLT = h33 // Bits 31:24 of BCRCPOL are 0x33
#pragma config /11 0x34 BCRCPOLT = h34 // Bits 31:24 of BCRCPOL are 0x34
#pragma config /11 0x35 BCRCPOLT = h35 // Bits 31:24 of BCRCPOL are 0x35
#pragma config /11 0x36 BCRCPOLT = h36 // Bits 31:24 of BCRCPOL are 0x36
#pragma config /11 0x37 BCRCPOLT = h37 // Bits 31:24 of BCRCPOL are 0x37
#pragma config /11 0x38 BCRCPOLT = h38 // Bits 31:24 of BCRCPOL are 0x38
#pragma config /11 0x39 BCRCPOLT = h39 // Bits 31:24 of BCRCPOL are 0x39
#pragma config /11 0x3A BCRCPOLT = h3A // Bits 31:24 of BCRCPOL are 0x3A
#pragma config /11 0x3B BCRCPOLT = h3B // Bits 31:24 of BCRCPOL are 0x3B
#pragma config /11 0x3C BCRCPOLT = h3C // Bits 31:24 of BCRCPOL are 0x3C
#pragma config /11 0x3D BCRCPOLT = h3D // Bits 31:24 of BCRCPOL are 0x3D
#pragma config /11 0x3E BCRCPOLT = h3E // Bits 31:24 of BCRCPOL are 0x3E
#pragma config /11 0x3F BCRCPOLT = h3F // Bits 31:24 of BCRCPOL are 0x3F
#pragma config /11 0x40 BCRCPOLT = h40 // Bits 31:24 of BCRCPOL are 0x40
#pragma config /11 0x41 BCRCPOLT = h41 // Bits 31:24 of BCRCPOL are 0x41
#pragma config /11 0x42 BCRCPOLT = h42 // Bits 31:24 of BCRCPOL are 0x42
#pragma config /11 0x43 BCRCPOLT = h43 // Bits 31:24 of BCRCPOL are 0x43
#pragma config /11 0x44 BCRCPOLT = h44 // Bits 31:24 of BCRCPOL are 0x44
#pragma config /11 0x45 BCRCPOLT = h45 // Bits 31:24 of BCRCPOL are 0x45
#pragma config /11 0x46 BCRCPOLT = h46 // Bits 31:24 of BCRCPOL are 0x46
#pragma config /11 0x47 BCRCPOLT = h47 // Bits 31:24 of BCRCPOL are 0x47
#pragma config /11 0x48 BCRCPOLT = h48 // Bits 31:24 of BCRCPOL are 0x48
#pragma config /11 0x49 BCRCPOLT = h49 // Bits 31:24 of BCRCPOL are 0x49
#pragma config /11 0x4A BCRCPOLT = h4A // Bits 31:24 of BCRCPOL are 0x4A
#pragma config /11 0x4B BCRCPOLT = h4B // Bits 31:24 of BCRCPOL are 0x4B
#pragma config /11 0x4C BCRCPOLT = h4C // Bits 31:24 of BCRCPOL are 0x4C
#pragma config /11 0x4D BCRCPOLT = h4D // Bits 31:24 of BCRCPOL are 0x4D
#pragma config /11 0x4E BCRCPOLT = h4E // Bits 31:24 of BCRCPOL are 0x4E
#pragma config /11 0x4F BCRCPOLT = h4F // Bits 31:24 of BCRCPOL are 0x4F
#pragma config /11 0x50 BCRCPOLT = h50 // Bits 31:24 of BCRCPOL are 0x50
#pragma config /11 0x51 BCRCPOLT = h51 // Bits 31:24 of BCRCPOL are 0x51
#pragma config /11 0x52 BCRCPOLT = h52 // Bits 31:24 of BCRCPOL are 0x52
#pragma config /11 0x53 BCRCPOLT = h53 // Bits 31:24 of BCRCPOL are 0x53
#pragma config /11 0x54 BCRCPOLT = h54 // Bits 31:24 of BCRCPOL are 0x54
#pragma config /11 0x55 BCRCPOLT = h55 // Bits 31:24 of BCRCPOL are 0x55
#pragma config /11 0x56 BCRCPOLT = h56 // Bits 31:24 of BCRCPOL are 0x56
#pragma config /11 0x57 BCRCPOLT = h57 // Bits 31:24 of BCRCPOL are 0x57
#pragma config /11 0x58 BCRCPOLT = h58 // Bits 31:24 of BCRCPOL are 0x58
#pragma config /11 0x59 BCRCPOLT = h59 // Bits 31:24 of BCRCPOL are 0x59
#pragma config /11 0x5A BCRCPOLT = h5A // Bits 31:24 of BCRCPOL are 0x5A
#pragma config /11 0x5B BCRCPOLT = h5B // Bits 31:24 of BCRCPOL are 0x5B
#pragma config /11 0x5C BCRCPOLT = h5C // Bits 31:24 of BCRCPOL are 0x5C
#pragma config /11 0x5D BCRCPOLT = h5D // Bits 31:24 of BCRCPOL are 0x5D
#pragma config /11 0x5E BCRCPOLT = h5E // Bits 31:24 of BCRCPOL are 0x5E
#pragma config /11 0x5F BCRCPOLT = h5F // Bits 31:24 of BCRCPOL are 0x5F
#pragma config /11 0x60 BCRCPOLT = h60 // Bits 31:24 of BCRCPOL are 0x60
#pragma config /11 0x61 BCRCPOLT = h61 // Bits 31:24 of BCRCPOL are 0x61
#pragma config /11 0x62 BCRCPOLT = h62 // Bits 31:24 of BCRCPOL are 0x62
#pragma config /11 0x63 BCRCPOLT = h63 // Bits 31:24 of BCRCPOL are 0x63
#pragma config /11 0x64 BCRCPOLT = h64 // Bits 31:24 of BCRCPOL are 0x64
#pragma config /11 0x65 BCRCPOLT = h65 // Bits 31:24 of BCRCPOL are 0x65
#pragma config /11 0x66 BCRCPOLT = h66 // Bits 31:24 of BCRCPOL are 0x66
#pragma config /11 0x67 BCRCPOLT = h67 // Bits 31:24 of BCRCPOL are 0x67
#pragma config /11 0x68 BCRCPOLT = h68 // Bits 31:24 of BCRCPOL are 0x68
#pragma config /11 0x69 BCRCPOLT = h69 // Bits 31:24 of BCRCPOL are 0x69
#pragma config /11 0x6A BCRCPOLT = h6A // Bits 31:24 of BCRCPOL are 0x6A
#pragma config /11 0x6B BCRCPOLT = h6B // Bits 31:24 of BCRCPOL are 0x6B
#pragma config /11 0x6C BCRCPOLT = h6C // Bits 31:24 of BCRCPOL are 0x6C
#pragma config /11 0x6D BCRCPOLT = h6D // Bits 31:24 of BCRCPOL are 0x6D
#pragma config /11 0x6E BCRCPOLT = h6E // Bits 31:24 of BCRCPOL are 0x6E
#pragma config /11 0x6F BCRCPOLT = h6F // Bits 31:24 of BCRCPOL are 0x6F
#pragma config /11 0x70 BCRCPOLT = h70 // Bits 31:24 of BCRCPOL are 0x70
#pragma config /11 0x71 BCRCPOLT = h71 // Bits 31:24 of BCRCPOL are 0x71
#pragma config /11 0x72 BCRCPOLT = h72 // Bits 31:24 of BCRCPOL are 0x72
#pragma config /11 0x73 BCRCPOLT = h73 // Bits 31:24 of BCRCPOL are 0x73
#pragma config /11 0x74 BCRCPOLT = h74 // Bits 31:24 of BCRCPOL are 0x74
#pragma config /11 0x75 BCRCPOLT = h75 // Bits 31:24 of BCRCPOL are 0x75
#pragma config /11 0x76 BCRCPOLT = h76 // Bits 31:24 of BCRCPOL are 0x76
#pragma config /11 0x77 BCRCPOLT = h77 // Bits 31:24 of BCRCPOL are 0x77
#pragma config /11 0x78 BCRCPOLT = h78 // Bits 31:24 of BCRCPOL are 0x78
#pragma config /11 0x79 BCRCPOLT = h79 // Bits 31:24 of BCRCPOL are 0x79
#pragma config /11 0x7A BCRCPOLT = h7A // Bits 31:24 of BCRCPOL are 0x7A
#pragma config /11 0x7B BCRCPOLT = h7B // Bits 31:24 of BCRCPOL are 0x7B
#pragma config /11 0x7C BCRCPOLT = h7C // Bits 31:24 of BCRCPOL are 0x7C
#pragma config /11 0x7D BCRCPOLT = h7D // Bits 31:24 of BCRCPOL are 0x7D
#pragma config /11 0x7E BCRCPOLT = h7E // Bits 31:24 of BCRCPOL are 0x7E
#pragma config /11 0x7F BCRCPOLT = h7F // Bits 31:24 of BCRCPOL are 0x7F
#pragma config /11 0x80 BCRCPOLT = h80 // Bits 31:24 of BCRCPOL are 0x80
#pragma config /11 0x81 BCRCPOLT = h81 // Bits 31:24 of BCRCPOL are 0x81
#pragma config /11 0x82 BCRCPOLT = h82 // Bits 31:24 of BCRCPOL are 0x82
#pragma config /11 0x83 BCRCPOLT = h83 // Bits 31:24 of BCRCPOL are 0x83
#pragma config /11 0x84 BCRCPOLT = h84 // Bits 31:24 of BCRCPOL are 0x84
#pragma config /11 0x85 BCRCPOLT = h85 // Bits 31:24 of BCRCPOL are 0x85
#pragma config /11 0x86 BCRCPOLT = h86 // Bits 31:24 of BCRCPOL are 0x86
#pragma config /11 0x87 BCRCPOLT = h87 // Bits 31:24 of BCRCPOL are 0x87
#pragma config /11 0x88 BCRCPOLT = h88 // Bits 31:24 of BCRCPOL are 0x88
#pragma config /11 0x89 BCRCPOLT = h89 // Bits 31:24 of BCRCPOL are 0x89
#pragma config /11 0x8A BCRCPOLT = h8A // Bits 31:24 of BCRCPOL are 0x8A
#pragma config /11 0x8B BCRCPOLT = h8B // Bits 31:24 of BCRCPOL are 0x8B
#pragma config /11 0x8C BCRCPOLT = h8C // Bits 31:24 of BCRCPOL are 0x8C
#pragma config /11 0x8D BCRCPOLT = h8D // Bits 31:24 of BCRCPOL are 0x8D
#pragma config /11 0x8E BCRCPOLT = h8E // Bits 31:24 of BCRCPOL are 0x8E
#pragma config /11 0x8F BCRCPOLT = h8F // Bits 31:24 of BCRCPOL are 0x8F
#pragma config /11 0x90 BCRCPOLT = h90 // Bits 31:24 of BCRCPOL are 0x90
#pragma config /11 0x91 BCRCPOLT = h91 // Bits 31:24 of BCRCPOL are 0x91
#pragma config /11 0x92 BCRCPOLT = h92 // Bits 31:24 of BCRCPOL are 0x92
#pragma config /11 0x93 BCRCPOLT = h93 // Bits 31:24 of BCRCPOL are 0x93
#pragma config /11 0x94 BCRCPOLT = h94 // Bits 31:24 of BCRCPOL are 0x94
#pragma config /11 0x95 BCRCPOLT = h95 // Bits 31:24 of BCRCPOL are 0x95
#pragma config /11 0x96 BCRCPOLT = h96 // Bits 31:24 of BCRCPOL are 0x96
#pragma config /11 0x97 BCRCPOLT = h97 // Bits 31:24 of BCRCPOL are 0x97
#pragma config /11 0x98 BCRCPOLT = h98 // Bits 31:24 of BCRCPOL are 0x98
#pragma config /11 0x99 BCRCPOLT = h99 // Bits 31:24 of BCRCPOL are 0x99
#pragma config /11 0x9A BCRCPOLT = h9A // Bits 31:24 of BCRCPOL are 0x9A
#pragma config /11 0x9B BCRCPOLT = h9B // Bits 31:24 of BCRCPOL are 0x9B
#pragma config /11 0x9C BCRCPOLT = h9C // Bits 31:24 of BCRCPOL are 0x9C
#pragma config /11 0x9D BCRCPOLT = h9D // Bits 31:24 of BCRCPOL are 0x9D
#pragma config /11 0x9E BCRCPOLT = h9E // Bits 31:24 of BCRCPOL are 0x9E
#pragma config /11 0x9F BCRCPOLT = h9F // Bits 31:24 of BCRCPOL are 0x9F
#pragma config /11 0xA0 BCRCPOLT = hA0 // Bits 31:24 of BCRCPOL are 0xA0
#pragma config /11 0xA1 BCRCPOLT = hA1 // Bits 31:24 of BCRCPOL are 0xA1
#pragma config /11 0xA2 BCRCPOLT = hA2 // Bits 31:24 of BCRCPOL are 0xA2
#pragma config /11 0xA3 BCRCPOLT = hA3 // Bits 31:24 of BCRCPOL are 0xA3
#pragma config /11 0xA4 BCRCPOLT = hA4 // Bits 31:24 of BCRCPOL are 0xA4
#pragma config /11 0xA5 BCRCPOLT = hA5 // Bits 31:24 of BCRCPOL are 0xA5
#pragma config /11 0xA6 BCRCPOLT = hA6 // Bits 31:24 of BCRCPOL are 0xA6
#pragma config /11 0xA7 BCRCPOLT = hA7 // Bits 31:24 of BCRCPOL are 0xA7
#pragma config /11 0xA8 BCRCPOLT = hA8 // Bits 31:24 of BCRCPOL are 0xA8
#pragma config /11 0xA9 BCRCPOLT = hA9 // Bits 31:24 of BCRCPOL are 0xA9
#pragma config /11 0xAA BCRCPOLT = hAA // Bits 31:24 of BCRCPOL are 0xAA
#pragma config /11 0xAB BCRCPOLT = hAB // Bits 31:24 of BCRCPOL are 0xAB
#pragma config /11 0xAC BCRCPOLT = hAC // Bits 31:24 of BCRCPOL are 0xAC
#pragma config /11 0xAD BCRCPOLT = hAD // Bits 31:24 of BCRCPOL are 0xAD
#pragma config /11 0xAE BCRCPOLT = hAE // Bits 31:24 of BCRCPOL are 0xAE
#pragma config /11 0xAF BCRCPOLT = hAF // Bits 31:24 of BCRCPOL are 0xAF
#pragma config /11 0xB0 BCRCPOLT = hB0 // Bits 31:24 of BCRCPOL are 0xB0
#pragma config /11 0xB1 BCRCPOLT = hB1 // Bits 31:24 of BCRCPOL are 0xB1
#pragma config /11 0xB2 BCRCPOLT = hB2 // Bits 31:24 of BCRCPOL are 0xB2
#pragma config /11 0xB3 BCRCPOLT = hB3 // Bits 31:24 of BCRCPOL are 0xB3
#pragma config /11 0xB4 BCRCPOLT = hB4 // Bits 31:24 of BCRCPOL are 0xB4
#pragma config /11 0xB5 BCRCPOLT = hB5 // Bits 31:24 of BCRCPOL are 0xB5
#pragma config /11 0xB6 BCRCPOLT = hB6 // Bits 31:24 of BCRCPOL are 0xB6
#pragma config /11 0xB7 BCRCPOLT = hB7 // Bits 31:24 of BCRCPOL are 0xB7
#pragma config /11 0xB8 BCRCPOLT = hB8 // Bits 31:24 of BCRCPOL are 0xB8
#pragma config /11 0xB9 BCRCPOLT = hB9 // Bits 31:24 of BCRCPOL are 0xB9
#pragma config /11 0xBA BCRCPOLT = hBA // Bits 31:24 of BCRCPOL are 0xBA
#pragma config /11 0xBB BCRCPOLT = hBB // Bits 31:24 of BCRCPOL are 0xBB
#pragma config /11 0xBC BCRCPOLT = hBC // Bits 31:24 of BCRCPOL are 0xBC
#pragma config /11 0xBD BCRCPOLT = hBD // Bits 31:24 of BCRCPOL are 0xBD
#pragma config /11 0xBE BCRCPOLT = hBE // Bits 31:24 of BCRCPOL are 0xBE
#pragma config /11 0xBF BCRCPOLT = hBF // Bits 31:24 of BCRCPOL are 0xBF
#pragma config /11 0xC0 BCRCPOLT = hC0 // Bits 31:24 of BCRCPOL are 0xC0
#pragma config /11 0xC1 BCRCPOLT = hC1 // Bits 31:24 of BCRCPOL are 0xC1
#pragma config /11 0xC2 BCRCPOLT = hC2 // Bits 31:24 of BCRCPOL are 0xC2
#pragma config /11 0xC3 BCRCPOLT = hC3 // Bits 31:24 of BCRCPOL are 0xC3
#pragma config /11 0xC4 BCRCPOLT = hC4 // Bits 31:24 of BCRCPOL are 0xC4
#pragma config /11 0xC5 BCRCPOLT = hC5 // Bits 31:24 of BCRCPOL are 0xC5
#pragma config /11 0xC6 BCRCPOLT = hC6 // Bits 31:24 of BCRCPOL are 0xC6
#pragma config /11 0xC7 BCRCPOLT = hC7 // Bits 31:24 of BCRCPOL are 0xC7
#pragma config /11 0xC8 BCRCPOLT = hC8 // Bits 31:24 of BCRCPOL are 0xC8
#pragma config /11 0xC9 BCRCPOLT = hC9 // Bits 31:24 of BCRCPOL are 0xC9
#pragma config /11 0xCA BCRCPOLT = hCA // Bits 31:24 of BCRCPOL are 0xCA
#pragma config /11 0xCB BCRCPOLT = hCB // Bits 31:24 of BCRCPOL are 0xCB
#pragma config /11 0xCC BCRCPOLT = hCC // Bits 31:24 of BCRCPOL are 0xCC
#pragma config /11 0xCD BCRCPOLT = hCD // Bits 31:24 of BCRCPOL are 0xCD
#pragma config /11 0xCE BCRCPOLT = hCE // Bits 31:24 of BCRCPOL are 0xCE
#pragma config /11 0xCF BCRCPOLT = hCF // Bits 31:24 of BCRCPOL are 0xCF
#pragma config /11 0xD0 BCRCPOLT = hD0 // Bits 31:24 of BCRCPOL are 0xD0
#pragma config /11 0xD1 BCRCPOLT = hD1 // Bits 31:24 of BCRCPOL are 0xD1
#pragma config /11 0xD2 BCRCPOLT = hD2 // Bits 31:24 of BCRCPOL are 0xD2
#pragma config /11 0xD3 BCRCPOLT = hD3 // Bits 31:24 of BCRCPOL are 0xD3
#pragma config /11 0xD4 BCRCPOLT = hD4 // Bits 31:24 of BCRCPOL are 0xD4
#pragma config /11 0xD5 BCRCPOLT = hD5 // Bits 31:24 of BCRCPOL are 0xD5
#pragma config /11 0xD6 BCRCPOLT = hD6 // Bits 31:24 of BCRCPOL are 0xD6
#pragma config /11 0xD7 BCRCPOLT = hD7 // Bits 31:24 of BCRCPOL are 0xD7
#pragma config /11 0xD8 BCRCPOLT = hD8 // Bits 31:24 of BCRCPOL are 0xD8
#pragma config /11 0xD9 BCRCPOLT = hD9 // Bits 31:24 of BCRCPOL are 0xD9
#pragma config /11 0xDA BCRCPOLT = hDA // Bits 31:24 of BCRCPOL are 0xDA
#pragma config /11 0xDB BCRCPOLT = hDB // Bits 31:24 of BCRCPOL are 0xDB
#pragma config /11 0xDC BCRCPOLT = hDC // Bits 31:24 of BCRCPOL are 0xDC
#pragma config /11 0xDD BCRCPOLT = hDD // Bits 31:24 of BCRCPOL are 0xDD
#pragma config /11 0xDE BCRCPOLT = hDE // Bits 31:24 of BCRCPOL are 0xDE
#pragma config /11 0xDF BCRCPOLT = hDF // Bits 31:24 of BCRCPOL are 0xDF
#pragma config /11 0xE0 BCRCPOLT = hE0 // Bits 31:24 of BCRCPOL are 0xE0
#pragma config /11 0xE1 BCRCPOLT = hE1 // Bits 31:24 of BCRCPOL are 0xE1
#pragma config /11 0xE2 BCRCPOLT = hE2 // Bits 31:24 of BCRCPOL are 0xE2
#pragma config /11 0xE3 BCRCPOLT = hE3 // Bits 31:24 of BCRCPOL are 0xE3
#pragma config /11 0xE4 BCRCPOLT = hE4 // Bits 31:24 of BCRCPOL are 0xE4
#pragma config /11 0xE5 BCRCPOLT = hE5 // Bits 31:24 of BCRCPOL are 0xE5
#pragma config /11 0xE6 BCRCPOLT = hE6 // Bits 31:24 of BCRCPOL are 0xE6
#pragma config /11 0xE7 BCRCPOLT = hE7 // Bits 31:24 of BCRCPOL are 0xE7
#pragma config /11 0xE8 BCRCPOLT = hE8 // Bits 31:24 of BCRCPOL are 0xE8
#pragma config /11 0xE9 BCRCPOLT = hE9 // Bits 31:24 of BCRCPOL are 0xE9
#pragma config /11 0xEA BCRCPOLT = hEA // Bits 31:24 of BCRCPOL are 0xEA
#pragma config /11 0xEB BCRCPOLT = hEB // Bits 31:24 of BCRCPOL are 0xEB
#pragma config /11 0xEC BCRCPOLT = hEC // Bits 31:24 of BCRCPOL are 0xEC
#pragma config /11 0xED BCRCPOLT = hED // Bits 31:24 of BCRCPOL are 0xED
#pragma config /11 0xEE BCRCPOLT = hEE // Bits 31:24 of BCRCPOL are 0xEE
#pragma config /11 0xEF BCRCPOLT = hEF // Bits 31:24 of BCRCPOL are 0xEF
#pragma config /11 0xF0 BCRCPOLT = hF0 // Bits 31:24 of BCRCPOL are 0xF0
#pragma config /11 0xF1 BCRCPOLT = hF1 // Bits 31:24 of BCRCPOL are 0xF1
#pragma config /11 0xF2 BCRCPOLT = hF2 // Bits 31:24 of BCRCPOL are 0xF2
#pragma config /11 0xF3 BCRCPOLT = hF3 // Bits 31:24 of BCRCPOL are 0xF3
#pragma config /11 0xF4 BCRCPOLT = hF4 // Bits 31:24 of BCRCPOL are 0xF4
#pragma config /11 0xF5 BCRCPOLT = hF5 // Bits 31:24 of BCRCPOL are 0xF5
#pragma config /11 0xF6 BCRCPOLT = hF6 // Bits 31:24 of BCRCPOL are 0xF6
#pragma config /11 0xF7 BCRCPOLT = hF7 // Bits 31:24 of BCRCPOL are 0xF7
#pragma config /11 0xF8 BCRCPOLT = hF8 // Bits 31:24 of BCRCPOL are 0xF8
#pragma config /11 0xF9 BCRCPOLT = hF9 // Bits 31:24 of BCRCPOL are 0xF9
#pragma config /11 0xFA BCRCPOLT = hFA // Bits 31:24 of BCRCPOL are 0xFA
#pragma config /11 0xFB BCRCPOLT = hFB // Bits 31:24 of BCRCPOL are 0xFB
#pragma config /11 0xFC BCRCPOLT = hFC // Bits 31:24 of BCRCPOL are 0xFC
#pragma config /11 0xFD BCRCPOLT = hFD // Bits 31:24 of BCRCPOL are 0xFD
#pragma config /11 0xFE BCRCPOLT = hFE // Bits 31:24 of BCRCPOL are 0xFE
#pragma config /11 0xFF BCRCPOLT = hFF // Bits 31:24 of BCRCPOL are 0xFF
#pragma config /12 0x00 BCRCPOLU = h00 // Bits 23:16 of BCRCPOL are 0x00
#pragma config /12 0x01 BCRCPOLU = h01 // Bits 23:16 of BCRCPOL are 0x01
#pragma config /12 0x02 BCRCPOLU = h02 // Bits 23:16 of BCRCPOL are 0x02
#pragma config /12 0x03 BCRCPOLU = h03 // Bits 23:16 of BCRCPOL are 0x03
#pragma config /12 0x04 BCRCPOLU = h04 // Bits 23:16 of BCRCPOL are 0x04
#pragma config /12 0x05 BCRCPOLU = h05 // Bits 23:16 of BCRCPOL are 0x05
#pragma config /12 0x06 BCRCPOLU = h06 // Bits 23:16 of BCRCPOL are 0x06
#pragma config /12 0x07 BCRCPOLU = h07 // Bits 23:16 of BCRCPOL are 0x07
#pragma config /12 0x08 BCRCPOLU = h08 // Bits 23:16 of BCRCPOL are 0x08
#pragma config /12 0x09 BCRCPOLU = h09 // Bits 23:16 of BCRCPOL are 0x09
#pragma config /12 0x0A BCRCPOLU = h0A // Bits 23:16 of BCRCPOL are 0x0A
#pragma config /12 0x0B BCRCPOLU = h0B // Bits 23:16 of BCRCPOL are 0x0B
#pragma config /12 0x0C BCRCPOLU = h0C // Bits 23:16 of BCRCPOL are 0x0C
#pragma config /12 0x0D BCRCPOLU = h0D // Bits 23:16 of BCRCPOL are 0x0D
#pragma config /12 0x0E BCRCPOLU = h0E // Bits 23:16 of BCRCPOL are 0x0E
#pragma config /12 0x0F BCRCPOLU = h0F // Bits 23:16 of BCRCPOL are 0x0F
#pragma config /12 0x10 BCRCPOLU = h10 // Bits 23:16 of BCRCPOL are 0x10
#pragma config /12 0x11 BCRCPOLU = h11 // Bits 23:16 of BCRCPOL are 0x11
#pragma config /12 0x12 BCRCPOLU = h12 // Bits 23:16 of BCRCPOL are 0x12
#pragma config /12 0x13 BCRCPOLU = h13 // Bits 23:16 of BCRCPOL are 0x13
#pragma config /12 0x14 BCRCPOLU = h14 // Bits 23:16 of BCRCPOL are 0x14
#pragma config /12 0x15 BCRCPOLU = h15 // Bits 23:16 of BCRCPOL are 0x15
#pragma config /12 0x16 BCRCPOLU = h16 // Bits 23:16 of BCRCPOL are 0x16
#pragma config /12 0x17 BCRCPOLU = h17 // Bits 23:16 of BCRCPOL are 0x17
#pragma config /12 0x18 BCRCPOLU = h18 // Bits 23:16 of BCRCPOL are 0x18
#pragma config /12 0x19 BCRCPOLU = h19 // Bits 23:16 of BCRCPOL are 0x19
#pragma config /12 0x1A BCRCPOLU = h1A // Bits 23:16 of BCRCPOL are 0x1A
#pragma config /12 0x1B BCRCPOLU = h1B // Bits 23:16 of BCRCPOL are 0x1B
#pragma config /12 0x1C BCRCPOLU = h1C // Bits 23:16 of BCRCPOL are 0x1C
#pragma config /12 0x1D BCRCPOLU = h1D // Bits 23:16 of BCRCPOL are 0x1D
#pragma config /12 0x1E BCRCPOLU = h1E // Bits 23:16 of BCRCPOL are 0x1E
#pragma config /12 0x1F BCRCPOLU = h1F // Bits 23:16 of BCRCPOL are 0x1F
#pragma config /12 0x20 BCRCPOLU = h20 // Bits 23:16 of BCRCPOL are 0x20
#pragma config /12 0x21 BCRCPOLU = h21 // Bits 23:16 of BCRCPOL are 0x21
#pragma config /12 0x22 BCRCPOLU = h22 // Bits 23:16 of BCRCPOL are 0x22
#pragma config /12 0x23 BCRCPOLU = h23 // Bits 23:16 of BCRCPOL are 0x23
#pragma config /12 0x24 BCRCPOLU = h24 // Bits 23:16 of BCRCPOL are 0x24
#pragma config /12 0x25 BCRCPOLU = h25 // Bits 23:16 of BCRCPOL are 0x25
#pragma config /12 0x26 BCRCPOLU = h26 // Bits 23:16 of BCRCPOL are 0x26
#pragma config /12 0x27 BCRCPOLU = h27 // Bits 23:16 of BCRCPOL are 0x27
#pragma config /12 0x28 BCRCPOLU = h28 // Bits 23:16 of BCRCPOL are 0x28
#pragma config /12 0x29 BCRCPOLU = h29 // Bits 23:16 of BCRCPOL are 0x29
#pragma config /12 0x2A BCRCPOLU = h2A // Bits 23:16 of BCRCPOL are 0x2A
#pragma config /12 0x2B BCRCPOLU = h2B // Bits 23:16 of BCRCPOL are 0x2B
#pragma config /12 0x2C BCRCPOLU = h2C // Bits 23:16 of BCRCPOL are 0x2C
#pragma config /12 0x2D BCRCPOLU = h2D // Bits 23:16 of BCRCPOL are 0x2D
#pragma config /12 0x2E BCRCPOLU = h2E // Bits 23:16 of BCRCPOL are 0x2E
#pragma config /12 0x2F BCRCPOLU = h2F // Bits 23:16 of BCRCPOL are 0x2F
#pragma config /12 0x30 BCRCPOLU = h30 // Bits 23:16 of BCRCPOL are 0x30
#pragma config /12 0x31 BCRCPOLU = h31 // Bits 23:16 of BCRCPOL are 0x31
#pragma config /12 0x32 BCRCPOLU = h32 // Bits 23:16 of BCRCPOL are 0x32
#pragma config /12 0x33 BCRCPOLU = h33 // Bits 23:16 of BCRCPOL are 0x33
#pragma config /12 0x34 BCRCPOLU = h34 // Bits 23:16 of BCRCPOL are 0x34
#pragma config /12 0x35 BCRCPOLU = h35 // Bits 23:16 of BCRCPOL are 0x35
#pragma config /12 0x36 BCRCPOLU = h36 // Bits 23:16 of BCRCPOL are 0x36
#pragma config /12 0x37 BCRCPOLU = h37 // Bits 23:16 of BCRCPOL are 0x37
#pragma config /12 0x38 BCRCPOLU = h38 // Bits 23:16 of BCRCPOL are 0x38
#pragma config /12 0x39 BCRCPOLU = h39 // Bits 23:16 of BCRCPOL are 0x39
#pragma config /12 0x3A BCRCPOLU = h3A // Bits 23:16 of BCRCPOL are 0x3A
#pragma config /12 0x3B BCRCPOLU = h3B // Bits 23:16 of BCRCPOL are 0x3B
#pragma config /12 0x3C BCRCPOLU = h3C // Bits 23:16 of BCRCPOL are 0x3C
#pragma config /12 0x3D BCRCPOLU = h3D // Bits 23:16 of BCRCPOL are 0x3D
#pragma config /12 0x3E BCRCPOLU = h3E // Bits 23:16 of BCRCPOL are 0x3E
#pragma config /12 0x3F BCRCPOLU = h3F // Bits 23:16 of BCRCPOL are 0x3F
#pragma config /12 0x40 BCRCPOLU = h40 // Bits 23:16 of BCRCPOL are 0x40
#pragma config /12 0x41 BCRCPOLU = h41 // Bits 23:16 of BCRCPOL are 0x41
#pragma config /12 0x42 BCRCPOLU = h42 // Bits 23:16 of BCRCPOL are 0x42
#pragma config /12 0x43 BCRCPOLU = h43 // Bits 23:16 of BCRCPOL are 0x43
#pragma config /12 0x44 BCRCPOLU = h44 // Bits 23:16 of BCRCPOL are 0x44
#pragma config /12 0x45 BCRCPOLU = h45 // Bits 23:16 of BCRCPOL are 0x45
#pragma config /12 0x46 BCRCPOLU = h46 // Bits 23:16 of BCRCPOL are 0x46
#pragma config /12 0x47 BCRCPOLU = h47 // Bits 23:16 of BCRCPOL are 0x47
#pragma config /12 0x48 BCRCPOLU = h48 // Bits 23:16 of BCRCPOL are 0x48
#pragma config /12 0x49 BCRCPOLU = h49 // Bits 23:16 of BCRCPOL are 0x49
#pragma config /12 0x4A BCRCPOLU = h4A // Bits 23:16 of BCRCPOL are 0x4A
#pragma config /12 0x4B BCRCPOLU = h4B // Bits 23:16 of BCRCPOL are 0x4B
#pragma config /12 0x4C BCRCPOLU = h4C // Bits 23:16 of BCRCPOL are 0x4C
#pragma config /12 0x4D BCRCPOLU = h4D // Bits 23:16 of BCRCPOL are 0x4D
#pragma config /12 0x4E BCRCPOLU = h4E // Bits 23:16 of BCRCPOL are 0x4E
#pragma config /12 0x4F BCRCPOLU = h4F // Bits 23:16 of BCRCPOL are 0x4F
#pragma config /12 0x50 BCRCPOLU = h50 // Bits 23:16 of BCRCPOL are 0x50
#pragma config /12 0x51 BCRCPOLU = h51 // Bits 23:16 of BCRCPOL are 0x51
#pragma config /12 0x52 BCRCPOLU = h52 // Bits 23:16 of BCRCPOL are 0x52
#pragma config /12 0x53 BCRCPOLU = h53 // Bits 23:16 of BCRCPOL are 0x53
#pragma config /12 0x54 BCRCPOLU = h54 // Bits 23:16 of BCRCPOL are 0x54
#pragma config /12 0x55 BCRCPOLU = h55 // Bits 23:16 of BCRCPOL are 0x55
#pragma config /12 0x56 BCRCPOLU = h56 // Bits 23:16 of BCRCPOL are 0x56
#pragma config /12 0x57 BCRCPOLU = h57 // Bits 23:16 of BCRCPOL are 0x57
#pragma config /12 0x58 BCRCPOLU = h58 // Bits 23:16 of BCRCPOL are 0x58
#pragma config /12 0x59 BCRCPOLU = h59 // Bits 23:16 of BCRCPOL are 0x59
#pragma config /12 0x5A BCRCPOLU = h5A // Bits 23:16 of BCRCPOL are 0x5A
#pragma config /12 0x5B BCRCPOLU = h5B // Bits 23:16 of BCRCPOL are 0x5B
#pragma config /12 0x5C BCRCPOLU = h5C // Bits 23:16 of BCRCPOL are 0x5C
#pragma config /12 0x5D BCRCPOLU = h5D // Bits 23:16 of BCRCPOL are 0x5D
#pragma config /12 0x5E BCRCPOLU = h5E // Bits 23:16 of BCRCPOL are 0x5E
#pragma config /12 0x5F BCRCPOLU = h5F // Bits 23:16 of BCRCPOL are 0x5F
#pragma config /12 0x60 BCRCPOLU = h60 // Bits 23:16 of BCRCPOL are 0x60
#pragma config /12 0x61 BCRCPOLU = h61 // Bits 23:16 of BCRCPOL are 0x61
#pragma config /12 0x62 BCRCPOLU = h62 // Bits 23:16 of BCRCPOL are 0x62
#pragma config /12 0x63 BCRCPOLU = h63 // Bits 23:16 of BCRCPOL are 0x63
#pragma config /12 0x64 BCRCPOLU = h64 // Bits 23:16 of BCRCPOL are 0x64
#pragma config /12 0x65 BCRCPOLU = h65 // Bits 23:16 of BCRCPOL are 0x65
#pragma config /12 0x66 BCRCPOLU = h66 // Bits 23:16 of BCRCPOL are 0x66
#pragma config /12 0x67 BCRCPOLU = h67 // Bits 23:16 of BCRCPOL are 0x67
#pragma config /12 0x68 BCRCPOLU = h68 // Bits 23:16 of BCRCPOL are 0x68
#pragma config /12 0x69 BCRCPOLU = h69 // Bits 23:16 of BCRCPOL are 0x69
#pragma config /12 0x6A BCRCPOLU = h6A // Bits 23:16 of BCRCPOL are 0x6A
#pragma config /12 0x6B BCRCPOLU = h6B // Bits 23:16 of BCRCPOL are 0x6B
#pragma config /12 0x6C BCRCPOLU = h6C // Bits 23:16 of BCRCPOL are 0x6C
#pragma config /12 0x6D BCRCPOLU = h6D // Bits 23:16 of BCRCPOL are 0x6D
#pragma config /12 0x6E BCRCPOLU = h6E // Bits 23:16 of BCRCPOL are 0x6E
#pragma config /12 0x6F BCRCPOLU = h6F // Bits 23:16 of BCRCPOL are 0x6F
#pragma config /12 0x70 BCRCPOLU = h70 // Bits 23:16 of BCRCPOL are 0x70
#pragma config /12 0x71 BCRCPOLU = h71 // Bits 23:16 of BCRCPOL are 0x71
#pragma config /12 0x72 BCRCPOLU = h72 // Bits 23:16 of BCRCPOL are 0x72
#pragma config /12 0x73 BCRCPOLU = h73 // Bits 23:16 of BCRCPOL are 0x73
#pragma config /12 0x74 BCRCPOLU = h74 // Bits 23:16 of BCRCPOL are 0x74
#pragma config /12 0x75 BCRCPOLU = h75 // Bits 23:16 of BCRCPOL are 0x75
#pragma config /12 0x76 BCRCPOLU = h76 // Bits 23:16 of BCRCPOL are 0x76
#pragma config /12 0x77 BCRCPOLU = h77 // Bits 23:16 of BCRCPOL are 0x77
#pragma config /12 0x78 BCRCPOLU = h78 // Bits 23:16 of BCRCPOL are 0x78
#pragma config /12 0x79 BCRCPOLU = h79 // Bits 23:16 of BCRCPOL are 0x79
#pragma config /12 0x7A BCRCPOLU = h7A // Bits 23:16 of BCRCPOL are 0x7A
#pragma config /12 0x7B BCRCPOLU = h7B // Bits 23:16 of BCRCPOL are 0x7B
#pragma config /12 0x7C BCRCPOLU = h7C // Bits 23:16 of BCRCPOL are 0x7C
#pragma config /12 0x7D BCRCPOLU = h7D // Bits 23:16 of BCRCPOL are 0x7D
#pragma config /12 0x7E BCRCPOLU = h7E // Bits 23:16 of BCRCPOL are 0x7E
#pragma config /12 0x7F BCRCPOLU = h7F // Bits 23:16 of BCRCPOL are 0x7F
#pragma config /12 0x80 BCRCPOLU = h80 // Bits 23:16 of BCRCPOL are 0x80
#pragma config /12 0x81 BCRCPOLU = h81 // Bits 23:16 of BCRCPOL are 0x81
#pragma config /12 0x82 BCRCPOLU = h82 // Bits 23:16 of BCRCPOL are 0x82
#pragma config /12 0x83 BCRCPOLU = h83 // Bits 23:16 of BCRCPOL are 0x83
#pragma config /12 0x84 BCRCPOLU = h84 // Bits 23:16 of BCRCPOL are 0x84
#pragma config /12 0x85 BCRCPOLU = h85 // Bits 23:16 of BCRCPOL are 0x85
#pragma config /12 0x86 BCRCPOLU = h86 // Bits 23:16 of BCRCPOL are 0x86
#pragma config /12 0x87 BCRCPOLU = h87 // Bits 23:16 of BCRCPOL are 0x87
#pragma config /12 0x88 BCRCPOLU = h88 // Bits 23:16 of BCRCPOL are 0x88
#pragma config /12 0x89 BCRCPOLU = h89 // Bits 23:16 of BCRCPOL are 0x89
#pragma config /12 0x8A BCRCPOLU = h8A // Bits 23:16 of BCRCPOL are 0x8A
#pragma config /12 0x8B BCRCPOLU = h8B // Bits 23:16 of BCRCPOL are 0x8B
#pragma config /12 0x8C BCRCPOLU = h8C // Bits 23:16 of BCRCPOL are 0x8C
#pragma config /12 0x8D BCRCPOLU = h8D // Bits 23:16 of BCRCPOL are 0x8D
#pragma config /12 0x8E BCRCPOLU = h8E // Bits 23:16 of BCRCPOL are 0x8E
#pragma config /12 0x8F BCRCPOLU = h8F // Bits 23:16 of BCRCPOL are 0x8F
#pragma config /12 0x90 BCRCPOLU = h90 // Bits 23:16 of BCRCPOL are 0x90
#pragma config /12 0x91 BCRCPOLU = h91 // Bits 23:16 of BCRCPOL are 0x91
#pragma config /12 0x92 BCRCPOLU = h92 // Bits 23:16 of BCRCPOL are 0x92
#pragma config /12 0x93 BCRCPOLU = h93 // Bits 23:16 of BCRCPOL are 0x93
#pragma config /12 0x94 BCRCPOLU = h94 // Bits 23:16 of BCRCPOL are 0x94
#pragma config /12 0x95 BCRCPOLU = h95 // Bits 23:16 of BCRCPOL are 0x95
#pragma config /12 0x96 BCRCPOLU = h96 // Bits 23:16 of BCRCPOL are 0x96
#pragma config /12 0x97 BCRCPOLU = h97 // Bits 23:16 of BCRCPOL are 0x97
#pragma config /12 0x98 BCRCPOLU = h98 // Bits 23:16 of BCRCPOL are 0x98
#pragma config /12 0x99 BCRCPOLU = h99 // Bits 23:16 of BCRCPOL are 0x99
#pragma config /12 0x9A BCRCPOLU = h9A // Bits 23:16 of BCRCPOL are 0x9A
#pragma config /12 0x9B BCRCPOLU = h9B // Bits 23:16 of BCRCPOL are 0x9B
#pragma config /12 0x9C BCRCPOLU = h9C // Bits 23:16 of BCRCPOL are 0x9C
#pragma config /12 0x9D BCRCPOLU = h9D // Bits 23:16 of BCRCPOL are 0x9D
#pragma config /12 0x9E BCRCPOLU = h9E // Bits 23:16 of BCRCPOL are 0x9E
#pragma config /12 0x9F BCRCPOLU = h9F // Bits 23:16 of BCRCPOL are 0x9F
#pragma config /12 0xA0 BCRCPOLU = hA0 // Bits 23:16 of BCRCPOL are 0xA0
#pragma config /12 0xA1 BCRCPOLU = hA1 // Bits 23:16 of BCRCPOL are 0xA1
#pragma config /12 0xA2 BCRCPOLU = hA2 // Bits 23:16 of BCRCPOL are 0xA2
#pragma config /12 0xA3 BCRCPOLU = hA3 // Bits 23:16 of BCRCPOL are 0xA3
#pragma config /12 0xA4 BCRCPOLU = hA4 // Bits 23:16 of BCRCPOL are 0xA4
#pragma config /12 0xA5 BCRCPOLU = hA5 // Bits 23:16 of BCRCPOL are 0xA5
#pragma config /12 0xA6 BCRCPOLU = hA6 // Bits 23:16 of BCRCPOL are 0xA6
#pragma config /12 0xA7 BCRCPOLU = hA7 // Bits 23:16 of BCRCPOL are 0xA7
#pragma config /12 0xA8 BCRCPOLU = hA8 // Bits 23:16 of BCRCPOL are 0xA8
#pragma config /12 0xA9 BCRCPOLU = hA9 // Bits 23:16 of BCRCPOL are 0xA9
#pragma config /12 0xAA BCRCPOLU = hAA // Bits 23:16 of BCRCPOL are 0xAA
#pragma config /12 0xAB BCRCPOLU = hAB // Bits 23:16 of BCRCPOL are 0xAB
#pragma config /12 0xAC BCRCPOLU = hAC // Bits 23:16 of BCRCPOL are 0xAC
#pragma config /12 0xAD BCRCPOLU = hAD // Bits 23:16 of BCRCPOL are 0xAD
#pragma config /12 0xAE BCRCPOLU = hAE // Bits 23:16 of BCRCPOL are 0xAE
#pragma config /12 0xAF BCRCPOLU = hAF // Bits 23:16 of BCRCPOL are 0xAF
#pragma config /12 0xB0 BCRCPOLU = hB0 // Bits 23:16 of BCRCPOL are 0xB0
#pragma config /12 0xB1 BCRCPOLU = hB1 // Bits 23:16 of BCRCPOL are 0xB1
#pragma config /12 0xB2 BCRCPOLU = hB2 // Bits 23:16 of BCRCPOL are 0xB2
#pragma config /12 0xB3 BCRCPOLU = hB3 // Bits 23:16 of BCRCPOL are 0xB3
#pragma config /12 0xB4 BCRCPOLU = hB4 // Bits 23:16 of BCRCPOL are 0xB4
#pragma config /12 0xB5 BCRCPOLU = hB5 // Bits 23:16 of BCRCPOL are 0xB5
#pragma config /12 0xB6 BCRCPOLU = hB6 // Bits 23:16 of BCRCPOL are 0xB6
#pragma config /12 0xB7 BCRCPOLU = hB7 // Bits 23:16 of BCRCPOL are 0xB7
#pragma config /12 0xB8 BCRCPOLU = hB8 // Bits 23:16 of BCRCPOL are 0xB8
#pragma config /12 0xB9 BCRCPOLU = hB9 // Bits 23:16 of BCRCPOL are 0xB9
#pragma config /12 0xBA BCRCPOLU = hBA // Bits 23:16 of BCRCPOL are 0xBA
#pragma config /12 0xBB BCRCPOLU = hBB // Bits 23:16 of BCRCPOL are 0xBB
#pragma config /12 0xBC BCRCPOLU = hBC // Bits 23:16 of BCRCPOL are 0xBC
#pragma config /12 0xBD BCRCPOLU = hBD // Bits 23:16 of BCRCPOL are 0xBD
#pragma config /12 0xBE BCRCPOLU = hBE // Bits 23:16 of BCRCPOL are 0xBE
#pragma config /12 0xBF BCRCPOLU = hBF // Bits 23:16 of BCRCPOL are 0xBF
#pragma config /12 0xC0 BCRCPOLU = hC0 // Bits 23:16 of BCRCPOL are 0xC0
#pragma config /12 0xC1 BCRCPOLU = hC1 // Bits 23:16 of BCRCPOL are 0xC1
#pragma config /12 0xC2 BCRCPOLU = hC2 // Bits 23:16 of BCRCPOL are 0xC2
#pragma config /12 0xC3 BCRCPOLU = hC3 // Bits 23:16 of BCRCPOL are 0xC3
#pragma config /12 0xC4 BCRCPOLU = hC4 // Bits 23:16 of BCRCPOL are 0xC4
#pragma config /12 0xC5 BCRCPOLU = hC5 // Bits 23:16 of BCRCPOL are 0xC5
#pragma config /12 0xC6 BCRCPOLU = hC6 // Bits 23:16 of BCRCPOL are 0xC6
#pragma config /12 0xC7 BCRCPOLU = hC7 // Bits 23:16 of BCRCPOL are 0xC7
#pragma config /12 0xC8 BCRCPOLU = hC8 // Bits 23:16 of BCRCPOL are 0xC8
#pragma config /12 0xC9 BCRCPOLU = hC9 // Bits 23:16 of BCRCPOL are 0xC9
#pragma config /12 0xCA BCRCPOLU = hCA // Bits 23:16 of BCRCPOL are 0xCA
#pragma config /12 0xCB BCRCPOLU = hCB // Bits 23:16 of BCRCPOL are 0xCB
#pragma config /12 0xCC BCRCPOLU = hCC // Bits 23:16 of BCRCPOL are 0xCC
#pragma config /12 0xCD BCRCPOLU = hCD // Bits 23:16 of BCRCPOL are 0xCD
#pragma config /12 0xCE BCRCPOLU = hCE // Bits 23:16 of BCRCPOL are 0xCE
#pragma config /12 0xCF BCRCPOLU = hCF // Bits 23:16 of BCRCPOL are 0xCF
#pragma config /12 0xD0 BCRCPOLU = hD0 // Bits 23:16 of BCRCPOL are 0xD0
#pragma config /12 0xD1 BCRCPOLU = hD1 // Bits 23:16 of BCRCPOL are 0xD1
#pragma config /12 0xD2 BCRCPOLU = hD2 // Bits 23:16 of BCRCPOL are 0xD2
#pragma config /12 0xD3 BCRCPOLU = hD3 // Bits 23:16 of BCRCPOL are 0xD3
#pragma config /12 0xD4 BCRCPOLU = hD4 // Bits 23:16 of BCRCPOL are 0xD4
#pragma config /12 0xD5 BCRCPOLU = hD5 // Bits 23:16 of BCRCPOL are 0xD5
#pragma config /12 0xD6 BCRCPOLU = hD6 // Bits 23:16 of BCRCPOL are 0xD6
#pragma config /12 0xD7 BCRCPOLU = hD7 // Bits 23:16 of BCRCPOL are 0xD7
#pragma config /12 0xD8 BCRCPOLU = hD8 // Bits 23:16 of BCRCPOL are 0xD8
#pragma config /12 0xD9 BCRCPOLU = hD9 // Bits 23:16 of BCRCPOL are 0xD9
#pragma config /12 0xDA BCRCPOLU = hDA // Bits 23:16 of BCRCPOL are 0xDA
#pragma config /12 0xDB BCRCPOLU = hDB // Bits 23:16 of BCRCPOL are 0xDB
#pragma config /12 0xDC BCRCPOLU = hDC // Bits 23:16 of BCRCPOL are 0xDC
#pragma config /12 0xDD BCRCPOLU = hDD // Bits 23:16 of BCRCPOL are 0xDD
#pragma config /12 0xDE BCRCPOLU = hDE // Bits 23:16 of BCRCPOL are 0xDE
#pragma config /12 0xDF BCRCPOLU = hDF // Bits 23:16 of BCRCPOL are 0xDF
#pragma config /12 0xE0 BCRCPOLU = hE0 // Bits 23:16 of BCRCPOL are 0xE0
#pragma config /12 0xE1 BCRCPOLU = hE1 // Bits 23:16 of BCRCPOL are 0xE1
#pragma config /12 0xE2 BCRCPOLU = hE2 // Bits 23:16 of BCRCPOL are 0xE2
#pragma config /12 0xE3 BCRCPOLU = hE3 // Bits 23:16 of BCRCPOL are 0xE3
#pragma config /12 0xE4 BCRCPOLU = hE4 // Bits 23:16 of BCRCPOL are 0xE4
#pragma config /12 0xE5 BCRCPOLU = hE5 // Bits 23:16 of BCRCPOL are 0xE5
#pragma config /12 0xE6 BCRCPOLU = hE6 // Bits 23:16 of BCRCPOL are 0xE6
#pragma config /12 0xE7 BCRCPOLU = hE7 // Bits 23:16 of BCRCPOL are 0xE7
#pragma config /12 0xE8 BCRCPOLU = hE8 // Bits 23:16 of BCRCPOL are 0xE8
#pragma config /12 0xE9 BCRCPOLU = hE9 // Bits 23:16 of BCRCPOL are 0xE9
#pragma config /12 0xEA BCRCPOLU = hEA // Bits 23:16 of BCRCPOL are 0xEA
#pragma config /12 0xEB BCRCPOLU = hEB // Bits 23:16 of BCRCPOL are 0xEB
#pragma config /12 0xEC BCRCPOLU = hEC // Bits 23:16 of BCRCPOL are 0xEC
#pragma config /12 0xED BCRCPOLU = hED // Bits 23:16 of BCRCPOL are 0xED
#pragma config /12 0xEE BCRCPOLU = hEE // Bits 23:16 of BCRCPOL are 0xEE
#pragma config /12 0xEF BCRCPOLU = hEF // Bits 23:16 of BCRCPOL are 0xEF
#pragma config /12 0xF0 BCRCPOLU = hF0 // Bits 23:16 of BCRCPOL are 0xF0
#pragma config /12 0xF1 BCRCPOLU = hF1 // Bits 23:16 of BCRCPOL are 0xF1
#pragma config /12 0xF2 BCRCPOLU = hF2 // Bits 23:16 of BCRCPOL are 0xF2
#pragma config /12 0xF3 BCRCPOLU = hF3 // Bits 23:16 of BCRCPOL are 0xF3
#pragma config /12 0xF4 BCRCPOLU = hF4 // Bits 23:16 of BCRCPOL are 0xF4
#pragma config /12 0xF5 BCRCPOLU = hF5 // Bits 23:16 of BCRCPOL are 0xF5
#pragma config /12 0xF6 BCRCPOLU = hF6 // Bits 23:16 of BCRCPOL are 0xF6
#pragma config /12 0xF7 BCRCPOLU = hF7 // Bits 23:16 of BCRCPOL are 0xF7
#pragma config /12 0xF8 BCRCPOLU = hF8 // Bits 23:16 of BCRCPOL are 0xF8
#pragma config /12 0xF9 BCRCPOLU = hF9 // Bits 23:16 of BCRCPOL are 0xF9
#pragma config /12 0xFA BCRCPOLU = hFA // Bits 23:16 of BCRCPOL are 0xFA
#pragma config /12 0xFB BCRCPOLU = hFB // Bits 23:16 of BCRCPOL are 0xFB
#pragma config /12 0xFC BCRCPOLU = hFC // Bits 23:16 of BCRCPOL are 0xFC
#pragma config /12 0xFD BCRCPOLU = hFD // Bits 23:16 of BCRCPOL are 0xFD
#pragma config /12 0xFE BCRCPOLU = hFE // Bits 23:16 of BCRCPOL are 0xFE
#pragma config /12 0xFF BCRCPOLU = hFF // Bits 23:16 of BCRCPOL are 0xFF
#pragma config /13 0x00 BCRCPOLH = h00 // Bits 15:8 of BCRCPOL are 0x00
#pragma config /13 0x01 BCRCPOLH = h01 // Bits 15:8 of BCRCPOL are 0x01
#pragma config /13 0x02 BCRCPOLH = h02 // Bits 15:8 of BCRCPOL are 0x02
#pragma config /13 0x03 BCRCPOLH = h03 // Bits 15:8 of BCRCPOL are 0x03
#pragma config /13 0x04 BCRCPOLH = h04 // Bits 15:8 of BCRCPOL are 0x04
#pragma config /13 0x05 BCRCPOLH = h05 // Bits 15:8 of BCRCPOL are 0x05
#pragma config /13 0x06 BCRCPOLH = h06 // Bits 15:8 of BCRCPOL are 0x06
#pragma config /13 0x07 BCRCPOLH = h07 // Bits 15:8 of BCRCPOL are 0x07
#pragma config /13 0x08 BCRCPOLH = h08 // Bits 15:8 of BCRCPOL are 0x08
#pragma config /13 0x09 BCRCPOLH = h09 // Bits 15:8 of BCRCPOL are 0x09
#pragma config /13 0x0A BCRCPOLH = h0A // Bits 15:8 of BCRCPOL are 0x0A
#pragma config /13 0x0B BCRCPOLH = h0B // Bits 15:8 of BCRCPOL are 0x0B
#pragma config /13 0x0C BCRCPOLH = h0C // Bits 15:8 of BCRCPOL are 0x0C
#pragma config /13 0x0D BCRCPOLH = h0D // Bits 15:8 of BCRCPOL are 0x0D
#pragma config /13 0x0E BCRCPOLH = h0E // Bits 15:8 of BCRCPOL are 0x0E
#pragma config /13 0x0F BCRCPOLH = h0F // Bits 15:8 of BCRCPOL are 0x0F
#pragma config /13 0x10 BCRCPOLH = h10 // Bits 15:8 of BCRCPOL are 0x10
#pragma config /13 0x11 BCRCPOLH = h11 // Bits 15:8 of BCRCPOL are 0x11
#pragma config /13 0x12 BCRCPOLH = h12 // Bits 15:8 of BCRCPOL are 0x12
#pragma config /13 0x13 BCRCPOLH = h13 // Bits 15:8 of BCRCPOL are 0x13
#pragma config /13 0x14 BCRCPOLH = h14 // Bits 15:8 of BCRCPOL are 0x14
#pragma config /13 0x15 BCRCPOLH = h15 // Bits 15:8 of BCRCPOL are 0x15
#pragma config /13 0x16 BCRCPOLH = h16 // Bits 15:8 of BCRCPOL are 0x16
#pragma config /13 0x17 BCRCPOLH = h17 // Bits 15:8 of BCRCPOL are 0x17
#pragma config /13 0x18 BCRCPOLH = h18 // Bits 15:8 of BCRCPOL are 0x18
#pragma config /13 0x19 BCRCPOLH = h19 // Bits 15:8 of BCRCPOL are 0x19
#pragma config /13 0x1A BCRCPOLH = h1A // Bits 15:8 of BCRCPOL are 0x1A
#pragma config /13 0x1B BCRCPOLH = h1B // Bits 15:8 of BCRCPOL are 0x1B
#pragma config /13 0x1C BCRCPOLH = h1C // Bits 15:8 of BCRCPOL are 0x1C
#pragma config /13 0x1D BCRCPOLH = h1D // Bits 15:8 of BCRCPOL are 0x1D
#pragma config /13 0x1E BCRCPOLH = h1E // Bits 15:8 of BCRCPOL are 0x1E
#pragma config /13 0x1F BCRCPOLH = h1F // Bits 15:8 of BCRCPOL are 0x1F
#pragma config /13 0x20 BCRCPOLH = h20 // Bits 15:8 of BCRCPOL are 0x20
#pragma config /13 0x21 BCRCPOLH = h21 // Bits 15:8 of BCRCPOL are 0x21
#pragma config /13 0x22 BCRCPOLH = h22 // Bits 15:8 of BCRCPOL are 0x22
#pragma config /13 0x23 BCRCPOLH = h23 // Bits 15:8 of BCRCPOL are 0x23
#pragma config /13 0x24 BCRCPOLH = h24 // Bits 15:8 of BCRCPOL are 0x24
#pragma config /13 0x25 BCRCPOLH = h25 // Bits 15:8 of BCRCPOL are 0x25
#pragma config /13 0x26 BCRCPOLH = h26 // Bits 15:8 of BCRCPOL are 0x26
#pragma config /13 0x27 BCRCPOLH = h27 // Bits 15:8 of BCRCPOL are 0x27
#pragma config /13 0x28 BCRCPOLH = h28 // Bits 15:8 of BCRCPOL are 0x28
#pragma config /13 0x29 BCRCPOLH = h29 // Bits 15:8 of BCRCPOL are 0x29
#pragma config /13 0x2A BCRCPOLH = h2A // Bits 15:8 of BCRCPOL are 0x2A
#pragma config /13 0x2B BCRCPOLH = h2B // Bits 15:8 of BCRCPOL are 0x2B
#pragma config /13 0x2C BCRCPOLH = h2C // Bits 15:8 of BCRCPOL are 0x2C
#pragma config /13 0x2D BCRCPOLH = h2D // Bits 15:8 of BCRCPOL are 0x2D
#pragma config /13 0x2E BCRCPOLH = h2E // Bits 15:8 of BCRCPOL are 0x2E
#pragma config /13 0x2F BCRCPOLH = h2F // Bits 15:8 of BCRCPOL are 0x2F
#pragma config /13 0x30 BCRCPOLH = h30 // Bits 15:8 of BCRCPOL are 0x30
#pragma config /13 0x31 BCRCPOLH = h31 // Bits 15:8 of BCRCPOL are 0x31
#pragma config /13 0x32 BCRCPOLH = h32 // Bits 15:8 of BCRCPOL are 0x32
#pragma config /13 0x33 BCRCPOLH = h33 // Bits 15:8 of BCRCPOL are 0x33
#pragma config /13 0x34 BCRCPOLH = h34 // Bits 15:8 of BCRCPOL are 0x34
#pragma config /13 0x35 BCRCPOLH = h35 // Bits 15:8 of BCRCPOL are 0x35
#pragma config /13 0x36 BCRCPOLH = h36 // Bits 15:8 of BCRCPOL are 0x36
#pragma config /13 0x37 BCRCPOLH = h37 // Bits 15:8 of BCRCPOL are 0x37
#pragma config /13 0x38 BCRCPOLH = h38 // Bits 15:8 of BCRCPOL are 0x38
#pragma config /13 0x39 BCRCPOLH = h39 // Bits 15:8 of BCRCPOL are 0x39
#pragma config /13 0x3A BCRCPOLH = h3A // Bits 15:8 of BCRCPOL are 0x3A
#pragma config /13 0x3B BCRCPOLH = h3B // Bits 15:8 of BCRCPOL are 0x3B
#pragma config /13 0x3C BCRCPOLH = h3C // Bits 15:8 of BCRCPOL are 0x3C
#pragma config /13 0x3D BCRCPOLH = h3D // Bits 15:8 of BCRCPOL are 0x3D
#pragma config /13 0x3E BCRCPOLH = h3E // Bits 15:8 of BCRCPOL are 0x3E
#pragma config /13 0x3F BCRCPOLH = h3F // Bits 15:8 of BCRCPOL are 0x3F
#pragma config /13 0x40 BCRCPOLH = h40 // Bits 15:8 of BCRCPOL are 0x40
#pragma config /13 0x41 BCRCPOLH = h41 // Bits 15:8 of BCRCPOL are 0x41
#pragma config /13 0x42 BCRCPOLH = h42 // Bits 15:8 of BCRCPOL are 0x42
#pragma config /13 0x43 BCRCPOLH = h43 // Bits 15:8 of BCRCPOL are 0x43
#pragma config /13 0x44 BCRCPOLH = h44 // Bits 15:8 of BCRCPOL are 0x44
#pragma config /13 0x45 BCRCPOLH = h45 // Bits 15:8 of BCRCPOL are 0x45
#pragma config /13 0x46 BCRCPOLH = h46 // Bits 15:8 of BCRCPOL are 0x46
#pragma config /13 0x47 BCRCPOLH = h47 // Bits 15:8 of BCRCPOL are 0x47
#pragma config /13 0x48 BCRCPOLH = h48 // Bits 15:8 of BCRCPOL are 0x48
#pragma config /13 0x49 BCRCPOLH = h49 // Bits 15:8 of BCRCPOL are 0x49
#pragma config /13 0x4A BCRCPOLH = h4A // Bits 15:8 of BCRCPOL are 0x4A
#pragma config /13 0x4B BCRCPOLH = h4B // Bits 15:8 of BCRCPOL are 0x4B
#pragma config /13 0x4C BCRCPOLH = h4C // Bits 15:8 of BCRCPOL are 0x4C
#pragma config /13 0x4D BCRCPOLH = h4D // Bits 15:8 of BCRCPOL are 0x4D
#pragma config /13 0x4E BCRCPOLH = h4E // Bits 15:8 of BCRCPOL are 0x4E
#pragma config /13 0x4F BCRCPOLH = h4F // Bits 15:8 of BCRCPOL are 0x4F
#pragma config /13 0x50 BCRCPOLH = h50 // Bits 15:8 of BCRCPOL are 0x50
#pragma config /13 0x51 BCRCPOLH = h51 // Bits 15:8 of BCRCPOL are 0x51
#pragma config /13 0x52 BCRCPOLH = h52 // Bits 15:8 of BCRCPOL are 0x52
#pragma config /13 0x53 BCRCPOLH = h53 // Bits 15:8 of BCRCPOL are 0x53
#pragma config /13 0x54 BCRCPOLH = h54 // Bits 15:8 of BCRCPOL are 0x54
#pragma config /13 0x55 BCRCPOLH = h55 // Bits 15:8 of BCRCPOL are 0x55
#pragma config /13 0x56 BCRCPOLH = h56 // Bits 15:8 of BCRCPOL are 0x56
#pragma config /13 0x57 BCRCPOLH = h57 // Bits 15:8 of BCRCPOL are 0x57
#pragma config /13 0x58 BCRCPOLH = h58 // Bits 15:8 of BCRCPOL are 0x58
#pragma config /13 0x59 BCRCPOLH = h59 // Bits 15:8 of BCRCPOL are 0x59
#pragma config /13 0x5A BCRCPOLH = h5A // Bits 15:8 of BCRCPOL are 0x5A
#pragma config /13 0x5B BCRCPOLH = h5B // Bits 15:8 of BCRCPOL are 0x5B
#pragma config /13 0x5C BCRCPOLH = h5C // Bits 15:8 of BCRCPOL are 0x5C
#pragma config /13 0x5D BCRCPOLH = h5D // Bits 15:8 of BCRCPOL are 0x5D
#pragma config /13 0x5E BCRCPOLH = h5E // Bits 15:8 of BCRCPOL are 0x5E
#pragma config /13 0x5F BCRCPOLH = h5F // Bits 15:8 of BCRCPOL are 0x5F
#pragma config /13 0x60 BCRCPOLH = h60 // Bits 15:8 of BCRCPOL are 0x60
#pragma config /13 0x61 BCRCPOLH = h61 // Bits 15:8 of BCRCPOL are 0x61
#pragma config /13 0x62 BCRCPOLH = h62 // Bits 15:8 of BCRCPOL are 0x62
#pragma config /13 0x63 BCRCPOLH = h63 // Bits 15:8 of BCRCPOL are 0x63
#pragma config /13 0x64 BCRCPOLH = h64 // Bits 15:8 of BCRCPOL are 0x64
#pragma config /13 0x65 BCRCPOLH = h65 // Bits 15:8 of BCRCPOL are 0x65
#pragma config /13 0x66 BCRCPOLH = h66 // Bits 15:8 of BCRCPOL are 0x66
#pragma config /13 0x67 BCRCPOLH = h67 // Bits 15:8 of BCRCPOL are 0x67
#pragma config /13 0x68 BCRCPOLH = h68 // Bits 15:8 of BCRCPOL are 0x68
#pragma config /13 0x69 BCRCPOLH = h69 // Bits 15:8 of BCRCPOL are 0x69
#pragma config /13 0x6A BCRCPOLH = h6A // Bits 15:8 of BCRCPOL are 0x6A
#pragma config /13 0x6B BCRCPOLH = h6B // Bits 15:8 of BCRCPOL are 0x6B
#pragma config /13 0x6C BCRCPOLH = h6C // Bits 15:8 of BCRCPOL are 0x6C
#pragma config /13 0x6D BCRCPOLH = h6D // Bits 15:8 of BCRCPOL are 0x6D
#pragma config /13 0x6E BCRCPOLH = h6E // Bits 15:8 of BCRCPOL are 0x6E
#pragma config /13 0x6F BCRCPOLH = h6F // Bits 15:8 of BCRCPOL are 0x6F
#pragma config /13 0x70 BCRCPOLH = h70 // Bits 15:8 of BCRCPOL are 0x70
#pragma config /13 0x71 BCRCPOLH = h71 // Bits 15:8 of BCRCPOL are 0x71
#pragma config /13 0x72 BCRCPOLH = h72 // Bits 15:8 of BCRCPOL are 0x72
#pragma config /13 0x73 BCRCPOLH = h73 // Bits 15:8 of BCRCPOL are 0x73
#pragma config /13 0x74 BCRCPOLH = h74 // Bits 15:8 of BCRCPOL are 0x74
#pragma config /13 0x75 BCRCPOLH = h75 // Bits 15:8 of BCRCPOL are 0x75
#pragma config /13 0x76 BCRCPOLH = h76 // Bits 15:8 of BCRCPOL are 0x76
#pragma config /13 0x77 BCRCPOLH = h77 // Bits 15:8 of BCRCPOL are 0x77
#pragma config /13 0x78 BCRCPOLH = h78 // Bits 15:8 of BCRCPOL are 0x78
#pragma config /13 0x79 BCRCPOLH = h79 // Bits 15:8 of BCRCPOL are 0x79
#pragma config /13 0x7A BCRCPOLH = h7A // Bits 15:8 of BCRCPOL are 0x7A
#pragma config /13 0x7B BCRCPOLH = h7B // Bits 15:8 of BCRCPOL are 0x7B
#pragma config /13 0x7C BCRCPOLH = h7C // Bits 15:8 of BCRCPOL are 0x7C
#pragma config /13 0x7D BCRCPOLH = h7D // Bits 15:8 of BCRCPOL are 0x7D
#pragma config /13 0x7E BCRCPOLH = h7E // Bits 15:8 of BCRCPOL are 0x7E
#pragma config /13 0x7F BCRCPOLH = h7F // Bits 15:8 of BCRCPOL are 0x7F
#pragma config /13 0x80 BCRCPOLH = h80 // Bits 15:8 of BCRCPOL are 0x80
#pragma config /13 0x81 BCRCPOLH = h81 // Bits 15:8 of BCRCPOL are 0x81
#pragma config /13 0x82 BCRCPOLH = h82 // Bits 15:8 of BCRCPOL are 0x82
#pragma config /13 0x83 BCRCPOLH = h83 // Bits 15:8 of BCRCPOL are 0x83
#pragma config /13 0x84 BCRCPOLH = h84 // Bits 15:8 of BCRCPOL are 0x84
#pragma config /13 0x85 BCRCPOLH = h85 // Bits 15:8 of BCRCPOL are 0x85
#pragma config /13 0x86 BCRCPOLH = h86 // Bits 15:8 of BCRCPOL are 0x86
#pragma config /13 0x87 BCRCPOLH = h87 // Bits 15:8 of BCRCPOL are 0x87
#pragma config /13 0x88 BCRCPOLH = h88 // Bits 15:8 of BCRCPOL are 0x88
#pragma config /13 0x89 BCRCPOLH = h89 // Bits 15:8 of BCRCPOL are 0x89
#pragma config /13 0x8A BCRCPOLH = h8A // Bits 15:8 of BCRCPOL are 0x8A
#pragma config /13 0x8B BCRCPOLH = h8B // Bits 15:8 of BCRCPOL are 0x8B
#pragma config /13 0x8C BCRCPOLH = h8C // Bits 15:8 of BCRCPOL are 0x8C
#pragma config /13 0x8D BCRCPOLH = h8D // Bits 15:8 of BCRCPOL are 0x8D
#pragma config /13 0x8E BCRCPOLH = h8E // Bits 15:8 of BCRCPOL are 0x8E
#pragma config /13 0x8F BCRCPOLH = h8F // Bits 15:8 of BCRCPOL are 0x8F
#pragma config /13 0x90 BCRCPOLH = h90 // Bits 15:8 of BCRCPOL are 0x90
#pragma config /13 0x91 BCRCPOLH = h91 // Bits 15:8 of BCRCPOL are 0x91
#pragma config /13 0x92 BCRCPOLH = h92 // Bits 15:8 of BCRCPOL are 0x92
#pragma config /13 0x93 BCRCPOLH = h93 // Bits 15:8 of BCRCPOL are 0x93
#pragma config /13 0x94 BCRCPOLH = h94 // Bits 15:8 of BCRCPOL are 0x94
#pragma config /13 0x95 BCRCPOLH = h95 // Bits 15:8 of BCRCPOL are 0x95
#pragma config /13 0x96 BCRCPOLH = h96 // Bits 15:8 of BCRCPOL are 0x96
#pragma config /13 0x97 BCRCPOLH = h97 // Bits 15:8 of BCRCPOL are 0x97
#pragma config /13 0x98 BCRCPOLH = h98 // Bits 15:8 of BCRCPOL are 0x98
#pragma config /13 0x99 BCRCPOLH = h99 // Bits 15:8 of BCRCPOL are 0x99
#pragma config /13 0x9A BCRCPOLH = h9A // Bits 15:8 of BCRCPOL are 0x9A
#pragma config /13 0x9B BCRCPOLH = h9B // Bits 15:8 of BCRCPOL are 0x9B
#pragma config /13 0x9C BCRCPOLH = h9C // Bits 15:8 of BCRCPOL are 0x9C
#pragma config /13 0x9D BCRCPOLH = h9D // Bits 15:8 of BCRCPOL are 0x9D
#pragma config /13 0x9E BCRCPOLH = h9E // Bits 15:8 of BCRCPOL are 0x9E
#pragma config /13 0x9F BCRCPOLH = h9F // Bits 15:8 of BCRCPOL are 0x9F
#pragma config /13 0xA0 BCRCPOLH = hA0 // Bits 15:8 of BCRCPOL are 0xA0
#pragma config /13 0xA1 BCRCPOLH = hA1 // Bits 15:8 of BCRCPOL are 0xA1
#pragma config /13 0xA2 BCRCPOLH = hA2 // Bits 15:8 of BCRCPOL are 0xA2
#pragma config /13 0xA3 BCRCPOLH = hA3 // Bits 15:8 of BCRCPOL are 0xA3
#pragma config /13 0xA4 BCRCPOLH = hA4 // Bits 15:8 of BCRCPOL are 0xA4
#pragma config /13 0xA5 BCRCPOLH = hA5 // Bits 15:8 of BCRCPOL are 0xA5
#pragma config /13 0xA6 BCRCPOLH = hA6 // Bits 15:8 of BCRCPOL are 0xA6
#pragma config /13 0xA7 BCRCPOLH = hA7 // Bits 15:8 of BCRCPOL are 0xA7
#pragma config /13 0xA8 BCRCPOLH = hA8 // Bits 15:8 of BCRCPOL are 0xA8
#pragma config /13 0xA9 BCRCPOLH = hA9 // Bits 15:8 of BCRCPOL are 0xA9
#pragma config /13 0xAA BCRCPOLH = hAA // Bits 15:8 of BCRCPOL are 0xAA
#pragma config /13 0xAB BCRCPOLH = hAB // Bits 15:8 of BCRCPOL are 0xAB
#pragma config /13 0xAC BCRCPOLH = hAC // Bits 15:8 of BCRCPOL are 0xAC
#pragma config /13 0xAD BCRCPOLH = hAD // Bits 15:8 of BCRCPOL are 0xAD
#pragma config /13 0xAE BCRCPOLH = hAE // Bits 15:8 of BCRCPOL are 0xAE
#pragma config /13 0xAF BCRCPOLH = hAF // Bits 15:8 of BCRCPOL are 0xAF
#pragma config /13 0xB0 BCRCPOLH = hB0 // Bits 15:8 of BCRCPOL are 0xB0
#pragma config /13 0xB1 BCRCPOLH = hB1 // Bits 15:8 of BCRCPOL are 0xB1
#pragma config /13 0xB2 BCRCPOLH = hB2 // Bits 15:8 of BCRCPOL are 0xB2
#pragma config /13 0xB3 BCRCPOLH = hB3 // Bits 15:8 of BCRCPOL are 0xB3
#pragma config /13 0xB4 BCRCPOLH = hB4 // Bits 15:8 of BCRCPOL are 0xB4
#pragma config /13 0xB5 BCRCPOLH = hB5 // Bits 15:8 of BCRCPOL are 0xB5
#pragma config /13 0xB6 BCRCPOLH = hB6 // Bits 15:8 of BCRCPOL are 0xB6
#pragma config /13 0xB7 BCRCPOLH = hB7 // Bits 15:8 of BCRCPOL are 0xB7
#pragma config /13 0xB8 BCRCPOLH = hB8 // Bits 15:8 of BCRCPOL are 0xB8
#pragma config /13 0xB9 BCRCPOLH = hB9 // Bits 15:8 of BCRCPOL are 0xB9
#pragma config /13 0xBA BCRCPOLH = hBA // Bits 15:8 of BCRCPOL are 0xBA
#pragma config /13 0xBB BCRCPOLH = hBB // Bits 15:8 of BCRCPOL are 0xBB
#pragma config /13 0xBC BCRCPOLH = hBC // Bits 15:8 of BCRCPOL are 0xBC
#pragma config /13 0xBD BCRCPOLH = hBD // Bits 15:8 of BCRCPOL are 0xBD
#pragma config /13 0xBE BCRCPOLH = hBE // Bits 15:8 of BCRCPOL are 0xBE
#pragma config /13 0xBF BCRCPOLH = hBF // Bits 15:8 of BCRCPOL are 0xBF
#pragma config /13 0xC0 BCRCPOLH = hC0 // Bits 15:8 of BCRCPOL are 0xC0
#pragma config /13 0xC1 BCRCPOLH = hC1 // Bits 15:8 of BCRCPOL are 0xC1
#pragma config /13 0xC2 BCRCPOLH = hC2 // Bits 15:8 of BCRCPOL are 0xC2
#pragma config /13 0xC3 BCRCPOLH = hC3 // Bits 15:8 of BCRCPOL are 0xC3
#pragma config /13 0xC4 BCRCPOLH = hC4 // Bits 15:8 of BCRCPOL are 0xC4
#pragma config /13 0xC5 BCRCPOLH = hC5 // Bits 15:8 of BCRCPOL are 0xC5
#pragma config /13 0xC6 BCRCPOLH = hC6 // Bits 15:8 of BCRCPOL are 0xC6
#pragma config /13 0xC7 BCRCPOLH = hC7 // Bits 15:8 of BCRCPOL are 0xC7
#pragma config /13 0xC8 BCRCPOLH = hC8 // Bits 15:8 of BCRCPOL are 0xC8
#pragma config /13 0xC9 BCRCPOLH = hC9 // Bits 15:8 of BCRCPOL are 0xC9
#pragma config /13 0xCA BCRCPOLH = hCA // Bits 15:8 of BCRCPOL are 0xCA
#pragma config /13 0xCB BCRCPOLH = hCB // Bits 15:8 of BCRCPOL are 0xCB
#pragma config /13 0xCC BCRCPOLH = hCC // Bits 15:8 of BCRCPOL are 0xCC
#pragma config /13 0xCD BCRCPOLH = hCD // Bits 15:8 of BCRCPOL are 0xCD
#pragma config /13 0xCE BCRCPOLH = hCE // Bits 15:8 of BCRCPOL are 0xCE
#pragma config /13 0xCF BCRCPOLH = hCF // Bits 15:8 of BCRCPOL are 0xCF
#pragma config /13 0xD0 BCRCPOLH = hD0 // Bits 15:8 of BCRCPOL are 0xD0
#pragma config /13 0xD1 BCRCPOLH = hD1 // Bits 15:8 of BCRCPOL are 0xD1
#pragma config /13 0xD2 BCRCPOLH = hD2 // Bits 15:8 of BCRCPOL are 0xD2
#pragma config /13 0xD3 BCRCPOLH = hD3 // Bits 15:8 of BCRCPOL are 0xD3
#pragma config /13 0xD4 BCRCPOLH = hD4 // Bits 15:8 of BCRCPOL are 0xD4
#pragma config /13 0xD5 BCRCPOLH = hD5 // Bits 15:8 of BCRCPOL are 0xD5
#pragma config /13 0xD6 BCRCPOLH = hD6 // Bits 15:8 of BCRCPOL are 0xD6
#pragma config /13 0xD7 BCRCPOLH = hD7 // Bits 15:8 of BCRCPOL are 0xD7
#pragma config /13 0xD8 BCRCPOLH = hD8 // Bits 15:8 of BCRCPOL are 0xD8
#pragma config /13 0xD9 BCRCPOLH = hD9 // Bits 15:8 of BCRCPOL are 0xD9
#pragma config /13 0xDA BCRCPOLH = hDA // Bits 15:8 of BCRCPOL are 0xDA
#pragma config /13 0xDB BCRCPOLH = hDB // Bits 15:8 of BCRCPOL are 0xDB
#pragma config /13 0xDC BCRCPOLH = hDC // Bits 15:8 of BCRCPOL are 0xDC
#pragma config /13 0xDD BCRCPOLH = hDD // Bits 15:8 of BCRCPOL are 0xDD
#pragma config /13 0xDE BCRCPOLH = hDE // Bits 15:8 of BCRCPOL are 0xDE
#pragma config /13 0xDF BCRCPOLH = hDF // Bits 15:8 of BCRCPOL are 0xDF
#pragma config /13 0xE0 BCRCPOLH = hE0 // Bits 15:8 of BCRCPOL are 0xE0
#pragma config /13 0xE1 BCRCPOLH = hE1 // Bits 15:8 of BCRCPOL are 0xE1
#pragma config /13 0xE2 BCRCPOLH = hE2 // Bits 15:8 of BCRCPOL are 0xE2
#pragma config /13 0xE3 BCRCPOLH = hE3 // Bits 15:8 of BCRCPOL are 0xE3
#pragma config /13 0xE4 BCRCPOLH = hE4 // Bits 15:8 of BCRCPOL are 0xE4
#pragma config /13 0xE5 BCRCPOLH = hE5 // Bits 15:8 of BCRCPOL are 0xE5
#pragma config /13 0xE6 BCRCPOLH = hE6 // Bits 15:8 of BCRCPOL are 0xE6
#pragma config /13 0xE7 BCRCPOLH = hE7 // Bits 15:8 of BCRCPOL are 0xE7
#pragma config /13 0xE8 BCRCPOLH = hE8 // Bits 15:8 of BCRCPOL are 0xE8
#pragma config /13 0xE9 BCRCPOLH = hE9 // Bits 15:8 of BCRCPOL are 0xE9
#pragma config /13 0xEA BCRCPOLH = hEA // Bits 15:8 of BCRCPOL are 0xEA
#pragma config /13 0xEB BCRCPOLH = hEB // Bits 15:8 of BCRCPOL are 0xEB
#pragma config /13 0xEC BCRCPOLH = hEC // Bits 15:8 of BCRCPOL are 0xEC
#pragma config /13 0xED BCRCPOLH = hED // Bits 15:8 of BCRCPOL are 0xED
#pragma config /13 0xEE BCRCPOLH = hEE // Bits 15:8 of BCRCPOL are 0xEE
#pragma config /13 0xEF BCRCPOLH = hEF // Bits 15:8 of BCRCPOL are 0xEF
#pragma config /13 0xF0 BCRCPOLH = hF0 // Bits 15:8 of BCRCPOL are 0xF0
#pragma config /13 0xF1 BCRCPOLH = hF1 // Bits 15:8 of BCRCPOL are 0xF1
#pragma config /13 0xF2 BCRCPOLH = hF2 // Bits 15:8 of BCRCPOL are 0xF2
#pragma config /13 0xF3 BCRCPOLH = hF3 // Bits 15:8 of BCRCPOL are 0xF3
#pragma config /13 0xF4 BCRCPOLH = hF4 // Bits 15:8 of BCRCPOL are 0xF4
#pragma config /13 0xF5 BCRCPOLH = hF5 // Bits 15:8 of BCRCPOL are 0xF5
#pragma config /13 0xF6 BCRCPOLH = hF6 // Bits 15:8 of BCRCPOL are 0xF6
#pragma config /13 0xF7 BCRCPOLH = hF7 // Bits 15:8 of BCRCPOL are 0xF7
#pragma config /13 0xF8 BCRCPOLH = hF8 // Bits 15:8 of BCRCPOL are 0xF8
#pragma config /13 0xF9 BCRCPOLH = hF9 // Bits 15:8 of BCRCPOL are 0xF9
#pragma config /13 0xFA BCRCPOLH = hFA // Bits 15:8 of BCRCPOL are 0xFA
#pragma config /13 0xFB BCRCPOLH = hFB // Bits 15:8 of BCRCPOL are 0xFB
#pragma config /13 0xFC BCRCPOLH = hFC // Bits 15:8 of BCRCPOL are 0xFC
#pragma config /13 0xFD BCRCPOLH = hFD // Bits 15:8 of BCRCPOL are 0xFD
#pragma config /13 0xFE BCRCPOLH = hFE // Bits 15:8 of BCRCPOL are 0xFE
#pragma config /13 0xFF BCRCPOLH = hFF // Bits 15:8 of BCRCPOL are 0xFF
#pragma config /14 0x00 BCRCPOLL = h00 // Bits 7:0 of BCRCPOL are 0x00
#pragma config /14 0x01 BCRCPOLL = h01 // Bits 7:0 of BCRCPOL are 0x01
#pragma config /14 0x02 BCRCPOLL = h02 // Bits 7:0 of BCRCPOL are 0x02
#pragma config /14 0x03 BCRCPOLL = h03 // Bits 7:0 of BCRCPOL are 0x03
#pragma config /14 0x04 BCRCPOLL = h04 // Bits 7:0 of BCRCPOL are 0x04
#pragma config /14 0x05 BCRCPOLL = h05 // Bits 7:0 of BCRCPOL are 0x05
#pragma config /14 0x06 BCRCPOLL = h06 // Bits 7:0 of BCRCPOL are 0x06
#pragma config /14 0x07 BCRCPOLL = h07 // Bits 7:0 of BCRCPOL are 0x07
#pragma config /14 0x08 BCRCPOLL = h08 // Bits 7:0 of BCRCPOL are 0x08
#pragma config /14 0x09 BCRCPOLL = h09 // Bits 7:0 of BCRCPOL are 0x09
#pragma config /14 0x0A BCRCPOLL = h0A // Bits 7:0 of BCRCPOL are 0x0A
#pragma config /14 0x0B BCRCPOLL = h0B // Bits 7:0 of BCRCPOL are 0x0B
#pragma config /14 0x0C BCRCPOLL = h0C // Bits 7:0 of BCRCPOL are 0x0C
#pragma config /14 0x0D BCRCPOLL = h0D // Bits 7:0 of BCRCPOL are 0x0D
#pragma config /14 0x0E BCRCPOLL = h0E // Bits 7:0 of BCRCPOL are 0x0E
#pragma config /14 0x0F BCRCPOLL = h0F // Bits 7:0 of BCRCPOL are 0x0F
#pragma config /14 0x10 BCRCPOLL = h10 // Bits 7:0 of BCRCPOL are 0x10
#pragma config /14 0x11 BCRCPOLL = h11 // Bits 7:0 of BCRCPOL are 0x11
#pragma config /14 0x12 BCRCPOLL = h12 // Bits 7:0 of BCRCPOL are 0x12
#pragma config /14 0x13 BCRCPOLL = h13 // Bits 7:0 of BCRCPOL are 0x13
#pragma config /14 0x14 BCRCPOLL = h14 // Bits 7:0 of BCRCPOL are 0x14
#pragma config /14 0x15 BCRCPOLL = h15 // Bits 7:0 of BCRCPOL are 0x15
#pragma config /14 0x16 BCRCPOLL = h16 // Bits 7:0 of BCRCPOL are 0x16
#pragma config /14 0x17 BCRCPOLL = h17 // Bits 7:0 of BCRCPOL are 0x17
#pragma config /14 0x18 BCRCPOLL = h18 // Bits 7:0 of BCRCPOL are 0x18
#pragma config /14 0x19 BCRCPOLL = h19 // Bits 7:0 of BCRCPOL are 0x19
#pragma config /14 0x1A BCRCPOLL = h1A // Bits 7:0 of BCRCPOL are 0x1A
#pragma config /14 0x1B BCRCPOLL = h1B // Bits 7:0 of BCRCPOL are 0x1B
#pragma config /14 0x1C BCRCPOLL = h1C // Bits 7:0 of BCRCPOL are 0x1C
#pragma config /14 0x1D BCRCPOLL = h1D // Bits 7:0 of BCRCPOL are 0x1D
#pragma config /14 0x1E BCRCPOLL = h1E // Bits 7:0 of BCRCPOL are 0x1E
#pragma config /14 0x1F BCRCPOLL = h1F // Bits 7:0 of BCRCPOL are 0x1F
#pragma config /14 0x20 BCRCPOLL = h20 // Bits 7:0 of BCRCPOL are 0x20
#pragma config /14 0x21 BCRCPOLL = h21 // Bits 7:0 of BCRCPOL are 0x21
#pragma config /14 0x22 BCRCPOLL = h22 // Bits 7:0 of BCRCPOL are 0x22
#pragma config /14 0x23 BCRCPOLL = h23 // Bits 7:0 of BCRCPOL are 0x23
#pragma config /14 0x24 BCRCPOLL = h24 // Bits 7:0 of BCRCPOL are 0x24
#pragma config /14 0x25 BCRCPOLL = h25 // Bits 7:0 of BCRCPOL are 0x25
#pragma config /14 0x26 BCRCPOLL = h26 // Bits 7:0 of BCRCPOL are 0x26
#pragma config /14 0x27 BCRCPOLL = h27 // Bits 7:0 of BCRCPOL are 0x27
#pragma config /14 0x28 BCRCPOLL = h28 // Bits 7:0 of BCRCPOL are 0x28
#pragma config /14 0x29 BCRCPOLL = h29 // Bits 7:0 of BCRCPOL are 0x29
#pragma config /14 0x2A BCRCPOLL = h2A // Bits 7:0 of BCRCPOL are 0x2A
#pragma config /14 0x2B BCRCPOLL = h2B // Bits 7:0 of BCRCPOL are 0x2B
#pragma config /14 0x2C BCRCPOLL = h2C // Bits 7:0 of BCRCPOL are 0x2C
#pragma config /14 0x2D BCRCPOLL = h2D // Bits 7:0 of BCRCPOL are 0x2D
#pragma config /14 0x2E BCRCPOLL = h2E // Bits 7:0 of BCRCPOL are 0x2E
#pragma config /14 0x2F BCRCPOLL = h2F // Bits 7:0 of BCRCPOL are 0x2F
#pragma config /14 0x30 BCRCPOLL = h30 // Bits 7:0 of BCRCPOL are 0x30
#pragma config /14 0x31 BCRCPOLL = h31 // Bits 7:0 of BCRCPOL are 0x31
#pragma config /14 0x32 BCRCPOLL = h32 // Bits 7:0 of BCRCPOL are 0x32
#pragma config /14 0x33 BCRCPOLL = h33 // Bits 7:0 of BCRCPOL are 0x33
#pragma config /14 0x34 BCRCPOLL = h34 // Bits 7:0 of BCRCPOL are 0x34
#pragma config /14 0x35 BCRCPOLL = h35 // Bits 7:0 of BCRCPOL are 0x35
#pragma config /14 0x36 BCRCPOLL = h36 // Bits 7:0 of BCRCPOL are 0x36
#pragma config /14 0x37 BCRCPOLL = h37 // Bits 7:0 of BCRCPOL are 0x37
#pragma config /14 0x38 BCRCPOLL = h38 // Bits 7:0 of BCRCPOL are 0x38
#pragma config /14 0x39 BCRCPOLL = h39 // Bits 7:0 of BCRCPOL are 0x39
#pragma config /14 0x3A BCRCPOLL = h3A // Bits 7:0 of BCRCPOL are 0x3A
#pragma config /14 0x3B BCRCPOLL = h3B // Bits 7:0 of BCRCPOL are 0x3B
#pragma config /14 0x3C BCRCPOLL = h3C // Bits 7:0 of BCRCPOL are 0x3C
#pragma config /14 0x3D BCRCPOLL = h3D // Bits 7:0 of BCRCPOL are 0x3D
#pragma config /14 0x3E BCRCPOLL = h3E // Bits 7:0 of BCRCPOL are 0x3E
#pragma config /14 0x3F BCRCPOLL = h3F // Bits 7:0 of BCRCPOL are 0x3F
#pragma config /14 0x40 BCRCPOLL = h40 // Bits 7:0 of BCRCPOL are 0x40
#pragma config /14 0x41 BCRCPOLL = h41 // Bits 7:0 of BCRCPOL are 0x41
#pragma config /14 0x42 BCRCPOLL = h42 // Bits 7:0 of BCRCPOL are 0x42
#pragma config /14 0x43 BCRCPOLL = h43 // Bits 7:0 of BCRCPOL are 0x43
#pragma config /14 0x44 BCRCPOLL = h44 // Bits 7:0 of BCRCPOL are 0x44
#pragma config /14 0x45 BCRCPOLL = h45 // Bits 7:0 of BCRCPOL are 0x45
#pragma config /14 0x46 BCRCPOLL = h46 // Bits 7:0 of BCRCPOL are 0x46
#pragma config /14 0x47 BCRCPOLL = h47 // Bits 7:0 of BCRCPOL are 0x47
#pragma config /14 0x48 BCRCPOLL = h48 // Bits 7:0 of BCRCPOL are 0x48
#pragma config /14 0x49 BCRCPOLL = h49 // Bits 7:0 of BCRCPOL are 0x49
#pragma config /14 0x4A BCRCPOLL = h4A // Bits 7:0 of BCRCPOL are 0x4A
#pragma config /14 0x4B BCRCPOLL = h4B // Bits 7:0 of BCRCPOL are 0x4B
#pragma config /14 0x4C BCRCPOLL = h4C // Bits 7:0 of BCRCPOL are 0x4C
#pragma config /14 0x4D BCRCPOLL = h4D // Bits 7:0 of BCRCPOL are 0x4D
#endif
